﻿/**
 * 创业板
 */
define(function(require, exports, module){ 
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		layerUtils = require("layerUtils"),
		gconfig = require("gconfig"),
		global = gconfig.global,
		_pageId = "#account_index";
	var mobileService = require("mobileService");
	var userInfo;
	var external = require("external");
	var platform = gconfig.platform;
	var accountInfoList = null;
	var otherInfo;
	var szaArray;
	var selectedArray;
    	var zqAccount;
	/* 私有业务模块的全局变量 end */	/* 适当性匹配  start */
    var suitablevel;//适当性匹配协议类型
    var common =require("common");
	/* 适当性匹配 end */	
    function init()
	{
    	var param = {
             "funcNo": "60021",
             "navTitle": "选择需要开通的账号"
        };
        external.callMessage(param);
        /***********适当性匹配  start*************/
        checkBusinessInfo(appUtils.getSStorageInfo("userInfo").user_id,"cybzq");
        $(_pageId+" .tong").removeClass("on");//清楚选择属性
        /***********适当性匹配  end*************/
        initPage();
	}
	
	function bindPageEvent(){		//绑定返回键
		appUtils.bindEvent($(_pageId+" #icon_back"),function(){
			appUtils.pageBack();
			
		});		
		appUtils.bindEvent($(_pageId+" .icon_home"),function(){
			var param = {
                    "funcNo": "50114",
                    "moduleName": "open"
                };
                external.callMessage(param);
			
		});
		//绑定提示界面可以开通状态的确认按钮
		appUtils.bindEvent($(_pageId+" #nextStep"),function(){
			var selectFlag = 0;
			$(_pageId+" .icon_check").each(function(){
				if($(this).hasClass("checked") || $(this).hasClass("disable")) {
					selectFlag++;
				}
			});
			if(!$(_pageId+" .icon_check").hasClass("checked")) {
				if(appUtils.getSStorageInfo("cunzaicyb")=="1"){
					layerUtils.iMsg(-1, "请选择深A股东账户");
					return false;
				}else{
					layerUtils.iMsg(-1, "您所有的账号均已开通!");
					return false;
				}
			} else {
				//提交
				$(_pageId + " #popWindow").show();
		    	/*start by 适当性评估*/          
		          //放弃办理
		          appUtils.bindEvent($(_pageId + " #gp"), function() {
		        	  common.moduleJump();
		          });
		          
		          //返回
		          appUtils.bindEvent($(_pageId + " #back_icon"), function() {
		          	$(_pageId + " #popWindow").hide();
		          });
		          //点击签署协议
		          appUtils.bindEvent($(_pageId+" #check_off"),function(){
		              var $parent=$(this).parent();
		              var md5=appUtils.getSStorageInfo("md5");
		              if(md5!=null && md5 !=""){
		                  if($parent.hasClass("on")){
		                      $parent.removeClass("on");
		                  }else{
		                      $parent.addClass("on");
		                  }
		              }else{
		                  layerUtils.iAlert("请您先阅读确认书",-1);
		              }		          
		          });
		          
		          
		        //点击签署协议
		          appUtils.bindEvent($(_pageId+" #xy_back"),function(){
		          	$(_pageId + " #xyWindow").hide();
		          	$(_pageId + " #popWindow").show();
		          });
		          
		        //点击签署协议
		          appUtils.bindEvent($(_pageId+" #xy_btn"),function(){
		          	$(_pageId + " #xyWindow").hide();
		          	$(_pageId + " #popWindow").show();
		          });
		  		/*end by 适当性平台*/			
		    }
		});
		//绑定提示界面不可可以开通状态的确认按钮
		appUtils.bindEvent($(_pageId+" #notice_confirm"),function(){
			common.moduleJump();
		});	
	}
	
	function destroy()
	{	
	}
	
	function submitSza() {		
		var trdaccount = "";
		$(_pageId+" .icon_check").each(function(){
			if($(this).hasClass("checked")) {
				trdaccount += $(this).html()+",";
			}
		});
		trdaccount = trdaccount.substring(0,trdaccount.lastIndexOf(','));
		
        var cyb_param = {
            "user_id":appUtils.getSStorageInfo("user_id"),
            "trdaccount":trdaccount
        };
        mobileService.submitSzaAccount(cyb_param,function(data){
             var error_no = data.error_no,
                 error_info = data.error_info;
             if(error_no == "0"){
            	//提交账户后面插入匹配功能号
             	var param_user = {
         			 "user_id" : appUtils.getSStorageInfo("userInfo").user_id,
                      "business_code" : "cybzq",
                      "unid" : appUtils.getSStorageInfo("unid")	
             	};
             	//插入用户协议
                mobileService.matchUserInfo(param_user,function(data){
                     var error_no = data.error_no;
                     var error_info = data.error_info;
                     if(error_no == "0"){
                     	//提交账户后面插入匹配功能号
                     	appUtils.pageInit("account/mainPage","account/result",{});
                     }else{
                         layerUtils.iAlert(error_info,-1);
                         return false;
                     }
                 });
             }else{
                 layerUtils.iAlert(error_info,-1);
             }
         });
	}        
	//获取签名值
    function selectSign(){  
    	var unid = "";
        var param = {
            "user_id":appUtils.getSStorageInfo("userInfo").user_id,
            "fundaccount":appUtils.getSStorageInfo("zqAccount"),
            "name":appUtils.getSStorageInfo("userInfo").name,
            "type":"1",
            "protocol_name":appUtils.getSStorageInfo("agree_name"),
            "protocol_version":appUtils.getSStorageInfo("agree_version"),
            "signing_status":1,//1为签署   0未签署
            "signature_channel":global.opSource,//签署渠道
            "channel_type":global.opSource,//渠道类型
            "channel_version_number":appUtils.getSStorageInfo("agree_version"),//渠道版本号
            "md5":appUtils.getSStorageInfo("md5"),//MD5值
            "protocol_content":appUtils.getSStorageInfo("agree_content"),  //协议内容business_code
            "business_code":"cybzq"  //协议内容business_code
        };
        mobileService.insertSignProtocol(param,function(data){
            if(data.error_no == "0"){
              var results = data.results[0];
           	  unid =results.unid;
         	  var param = {
         	            "user_id":appUtils.getSStorageInfo("userInfo").user_id,
         	            "fundaccount":appUtils.getSStorageInfo("zqAccount"),
         	            "name":appUtils.getSStorageInfo("userInfo").name,
         	            "type":"1",
         	            "business_code":"cybzq",
         	            "request_data" : appUtils.getSStorageInfo("userInfo").user_id +"&"+"cybzq" +"&"+"1"
                       ,"response_data" : results
         	           ,"app_version_numbers" : appUtils.getSStorageInfo("agree_version") 
         	        };
         	        mobileService.matchCaozuo(param,function(data){
         	            if(data.error_no == "0"){
         	         	  var param = {
         	           	            "user_id":appUtils.getSStorageInfo("userInfo").user_id,
         	           	            "zj_account":appUtils.getSStorageInfo("zqAccount"),
         	           	            "name":appUtils.getSStorageInfo("userInfo").name,
         	           	            "type":"1",
         	           	            "business_code":"cybzq",
         	           	            "risklevel" : appUtils.getSStorageInfo("subitemname"),
         	           	            "service_time" : appUtils.getSStorageInfo("service_time"),//投资期限
         	           	            "state" : appUtils.getSStorageInfo("state")
         	           	            ,"score" : appUtils.getSStorageInfo("score")
         	           	        };
         	           	        mobileService.insertUser(param,function(data){
         	           	        	unid = unid + "|" + data.results[0].unid;
         	           	        	appUtils.setSStorageInfo("unid",unid);
         	           	            if(data.error_no == "0"){
         	           	                //网厅插入流水后，保存信息
         	           	            	submitSza();           	           
         	           	            }else{
         	           	                layerUtils.iAlert(data.error_info,-1,function (){
         	           	                common.moduleJump();
         	           	                });
         	           	                return false;
         	           	            }
         	           	        });       
         	            }else{
         	                layerUtils.iAlert(data.error_info,-1,function (){
         	                	common.moduleJump();
         	                });
         	                return false;
         	            }
         	        });
            }else{
                layerUtils.iAlert(data.error_info,-1,function (){
                	common.moduleJump();
                });
                return false;
            }
        });
    }
    
    
	function initPage(){
		otherInfo = null;
		szaArray = null;
		selectedArray = null;
	    zqAccount = null;
		//默认显示缓冲提示	
	    var innerHtml= appUtils.getSStorageInfo("innerHtml");
	   	$(_pageId+" .account_list").html(innerHtml);	
	   	appUtils.bindEvent($(_pageId+" .icon_check"), function(e){
			if(!$(this).hasClass("disable")) {
				$(this).toggleClass("checked"); //  切换勾选样式
			}
			e.stopPropagation();
		});
	}
	
    /****************适当性改造 start*******************/
    function checkBusinessInfo(user_id,business_code){
        var param={
            "user_id":user_id,
            "business_code":business_code
        };
        mobileService.appropriatBusinessInfo(param,function(data){
            var error_no = data.error_no;
            if(error_no == "0"){
            	var results = data.results[0];
                if(results.state){
                    var service_risk =results.service_risk;
                    var subitemname =results.subitemname;
                    var state =results.state;
                    var invest_type =results.invest_type;//投资品种
                    var invest_deadline =results.invest_deadline;//投资期限
                    var score =results.score;//测评所得分数
                    var risklevel =results.risklevel;//测评等级
                    if(subitemname=="" || subitemname ==null){
                        subitemname ="未设定";
                    }
                    //state  0 表示通过  1 表示不通过
                    appUtils.setSStorageInfo('subitemname',subitemname);//风险测评等级
                    appUtils.setSStorageInfo('service_risk',results.service_risk);
                    appUtils.setSStorageInfo('state',results.state);
                    appUtils.setSStorageInfo('invest_type',results.invest_type);
                    appUtils.setSStorageInfo('invest_deadline',results.invest_deadline);
                    appUtils.setSStorageInfo('score',results.score);
                    appUtils.setSStorageInfo('risklevel',results.risklevel);//风险等级
                    
                    if(risklevel=="11"){
                    	$(_pageId+" #isOk").hide();//等级为最低的时候确认按钮取消 qsxy
                    	$(_pageId+" #qsxy").hide();//隐藏签署协议
                    }else{
                    	 //我已确认
      		          appUtils.bindEvent($(_pageId+" #isOk"),function(){
      		              if(!$(_pageId+" .tong").hasClass("on")){
      		                  layerUtils.iAlert("您还未勾选相关协议，请先勾选",-1);
      		                  return;
      		              }
      		              //验签以及插入流水
      		              selectSign();
      		          });
                    }
                    
                    var varietiesStr="";
                   if(invest_type.indexOf("1") > -1){
                	varietiesStr += "权益类投资品种;";
             	   }
             	   if(invest_type.indexOf("2") > -1){
             		  varietiesStr += "固定收益类投资品种;";
             	   }
             	   if(invest_type.indexOf("4") > -1){
             		  varietiesStr += "期货、融资融卷";
             	   }
             	   if(invest_type.indexOf("8") > -1){
             		  varietiesStr += "复杂金融产品;";
             	   }
             	   if(invest_type.indexOf("16") > -1){
             		  varietiesStr += "其他产品;";
            	   }
                             
                   var service_time=""; 
             	   if(invest_deadline ==1){
             		   service_time = "0到1年";
             	   }
             	   if(invest_deadline ==2){
             		   service_time = "1到5年";
             	   }
             	
             	   appUtils.setSStorageInfo('service_time',service_time); //投资期限
					/*start by 2017-06-13 适当性评估*/
                    //查询业务对于的服务风测类型
                    if("1"==appUtils.getSStorageInfo('state')){
                        $(_pageId+" #matchimg").attr("src","images/ce_icon04.png");
                        $(_pageId+" #match_title").html("您的适当性评估匹配");
                        $(_pageId+" #risklevel").html(appUtils.getSStorageInfo('subitemname'));
                        $(_pageId+" #businessCode").html("创业板转签");
                        $(_pageId+" #businessInfo").html(appUtils.getSStorageInfo('service_risk'));
                        $(_pageId+" #varieties").html(varietiesStr);						
                        /*start by 2017-06-13 适当性改造*/
                        getSign("qrs");//获取告知函协议
						/*end by 2017-06-13 适当性改造*/
                    }else{
                        $(_pageId+" #matchimg").attr("src","images/ce_icon05.png");
                        $(_pageId+" #match_title").html("您的适当性评估不匹配");
                        $(_pageId+" #risklevel").html(appUtils.getSStorageInfo('subitemname'));
                        $(_pageId+" #businessCode").html("创业板转签");
                        $(_pageId+" #businessInfo").html(appUtils.getSStorageInfo('service_risk'));
                        $(_pageId+" #varieties").html(varietiesStr);						
                        /*start by 2017-06-13 适当性改造*/
                        getSign("fxjs_qrs");//获取告知函协议
						/*end by 2017-06-13 适当性改造*/
                    }
					/*end by 2017-06-13 适当性评估*/                }
            }
            else{
                layerUtils.iLoading(false);
                layerUtils.iAlert(data.error_info,-1);
            }
        });
    }
    //查询协议
    function getSign(agree_type){
        appUtils.clearSStorage("agree_content");
        appUtils.clearSStorage("md5");        
        var param = {
            "agree_type":agree_type
        };
        mobileService.gzhProtocol(param,function(data){
            var error_no = data.error_no,
                error_info = data.error_info;
            if(error_no == "0"){
                var results = data.results,
                    allProtocols = "";
                //获取相关数据
                if(results[0].id){//ID
                    appUtils.setSStorageInfo("id", results[0].id);
                }
                if(results[0].business_id){//业务ID
                    appUtils.setSStorageInfo("business_id", results[0].business_id);
                }
                if(results[0].business_code){//业务类型
                    appUtils.setSStorageInfo("business_code", results[0].business_code);
                }
                if(results[0].agree_name){//协议名称
                    appUtils.setSStorageInfo("agree_name", results[0].agree_name);
                }
                if(results[0].agree_no){//协议编号
                    appUtils.setSStorageInfo("agree_no", results[0].agree_no);
                }
                if(results[0].agree_version){//协议版本
                    appUtils.setSStorageInfo("agree_version", results[0].agree_version);
                }
                if(results[0].out_date){//过期时间
                    appUtils.setSStorageInfo("out_date", results[0].out_date);
                }
                if(results[0].agree_type){//agree_type
                    appUtils.setSStorageInfo("agree_type", results[0].agree_type);
                }                allProtocols += "<a href=\"javascript:;\" protocol-id=\""+results[0].id+"\" id=\"protocol0\">《"+results[0].agree_name+"》</a>";
                $(_pageId+" #xyShow").html(allProtocols);
//                $(_pageId + " #popWindow").show();
                // 预绑定查看协议的事件
                appUtils.bindEvent($(_pageId+" #protocol0"),function(e){
                    var param = {
                        "user_id" : appUtils.getSStorageInfo("userInfo").user_id,
                        "agree_no" : appUtils.getSStorageInfo("agree_no"),
                        "risklevel" : appUtils.getSStorageInfo("subitemname"),
                        "business_code" : "cybzq",
                        "agree_type" : appUtils.getSStorageInfo("agree_type")
                    }
                    //查询协议内容
                    mobileService.getGzhProtocolInfo(param,function(data){
                        if(error_no = data.error_no)
                        {
                            $(_pageId+" .xy_cont").html(data.results[0].content);
                            appUtils.setSStorageInfo("md5", data.results[0].md5);
                            appUtils.setSStorageInfo("agree_content", data.results[0].content);
                            $(_pageId + " #xyWindow").show();
                            $(_pageId + " #popWindow").hide();
                        }
                        else
                        {
                            layerUtils.iAlert(data.error_info,-1);
                        }
                    });
                    e.stopPropagation();
                });            
                }else{
                layerUtils.iAlert(error_info,-1,function () {
                	common.moduleJump();
                });
            }
        });
    }
	
	
	var index = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = index;
});
