/**
* 结果页
*/
define(function(require,exports,module){
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		gconfig = require("gconfig"),
		_pageId = "#account_result";
	var mobileService = require("mobileService");
	var external = require("external");
	var platform = gconfig.platform;
	var common = require("common");
	function init(){
		var param = {
                "funcNo": "60021",
                "navTitle": "创业板转签-结果页"
            };
            external.callMessage(param);
//		cleanPageInfo();
		//初始化页面
		initPage();
	}
	
	function bindPageEvent(){
		//绑定确认按钮
		appUtils.bindEvent($(_pageId+" .ct_btn"), function(){
			if(appUtils.getSStorageInfo("state") != "4" || appUtils.getSStorageInfo("state") != "5"){
				var param = {
	                    "funcNo": "50114",
	                    "moduleName": "open"
	                };
	                external.callMessage(param);
			}else{
				cybentityend();
			}
		});
		
		//绑定home键 跳转到主界面
		appUtils.bindEvent($(_pageId+" .icon_home"), function(){
			var param = {
                    "funcNo": "50114",
                    "moduleName": "open"
                };
                external.callMessage(param);
		});		
		appUtils.bindEvent($(_pageId+" .icon_back"), function(){
			common.moduleJump();
		});
	}
	
	//初始化页面
	function initPage() {
		var state = appUtils.getSStorageInfo("state");
		var accountstate = appUtils.getSStorageInfo("accountstate");
//		var openState = appUtils.getSStorageInfo("openState");
		// 开通成功
		if(state == "4") {
			$(_pageId+" .result_main h5").html("创业板转签失败");
		} else if(state == "5") {
			$(_pageId+" .result_main h5").html("创业板转签成功");
		}else{
			$(_pageId+" .result_main h5").html("创业板转签申请中");
		}
	}
	
	function cybentityend() {
		var param = {
				"user_id":appUtils.getSStorageInfo("user_id")
		}
		mobileService.cybentityend(param, function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			if(error_no == "0") {
				var param = {
						"funcNo": "50114",
						"moduleName": "open"
					};
					external.callMessage(param);
			}else{
				layerUtils.iAlert(error_info,-1);
			}
		});
	}
	
	function destroy(){
		mobileService.destroy();
	}
	
	var result = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = result;
});
