/**
 * 主菜单
 */
define(function(require, exports, module){
	/* 私有业务模块的全局变量 begin */
    var appUtils = require("appUtils"),
        global = require("gconfig").global,
        layerUtils = require("layerUtils"),        fundsFlag = "",  //资金状况 1 满足  2 不满足
        knowledgeFlag = "", //知识评测状况 1 满足  2 不满足
        cxcnsFlag = "", //诚信承诺书 1 满足  2 不满足
        riskFlag = "",   //风险评测状况 1 满足  2 不满足
        signFlag = "", //协议签署状况 1 签署了 2 没有签署
        gconfig = require("gconfig"),
        hfwjFlag = "", //回访问卷 1 通过 2 没有通过
        stockder = "", //选择沪A 账号 1 选了 2 没选
        _pageId = "#account_mainPage";
    var mobileService = require("mobileService");
    var external = require("external");
    var platform = gconfig.platform;
    var common = require("common");
    var risklevel = 11;
    var shaArray;
	/* 私有业务模块的全局变量 end */    
	function init()
    {
		var param = {
                "funcNo": "60021",
                "navTitle": "开通港股通"
            };
            external.callMessage(param);
        shaArray= null;
        //初始化操作
        initHandle();
        /***********适当性匹配  start*************/
        checkBusinessInfo(appUtils.getSStorageInfo("userInfo").user_id,"ggt");
        /***********适当性匹配  end*************/
    }    //保存 沪A 账号
    function submitSha()
    {
        var trdaccount = appUtils.getSStorageInfo("trdaccountA");
        var account_arr = trdaccount.split(",");
        var account = "";
        for(var i = 0;i < account_arr.length;i++){
            if(account_arr[i].indexOf("深") > -1){
                account += account_arr[i].substring(3) + "|00" + ","
            }
            if(account_arr[i].indexOf("沪") > -1){
                account += account_arr[i].substring(3) + "|10" + ","
            }
        }
        var param = {
            "user_id":appUtils.getSStorageInfo("user_id"),
            "trdaccount":account
        };
        mobileService.getStockHolder(param,function(data){
            var error_no = data.error_no,
                error_info = data.error_info,
                result = data.accountInfoList;
            if(error_no == "0"){
				/*stockder="1";
				 appUtils.setSStorageInfo("stockder",stockder);
				 appUtils.pageInit("account/stockHolder","account/mainPage",{});*/
                //添加到跑批
                var param = {
                    "user_id":appUtils.getSStorageInfo("user_id")
                };
              //提交账户后面插入匹配功能号
                var param_user = {
                    "user_id" : appUtils.getSStorageInfo("userInfo").user_id,
                    "business_code" : "ggt",
                    "unid" : appUtils.getSStorageInfo("unid")
                }
                mobileService.matchUserInfo(param_user,function(data){
                    var error_no = data.error_no;
                    var error_info = data.error_info;
                    if(error_no == "0"){
                    	//开通港股通权限
                        mobileService.openAccount(param,function(data){
                            var error_no = data.error_no;
                            var error_info = data.error_info;
                            if(error_no == "0"){
                            	//提交账户后面插入匹配功能号
                                appUtils.pageInit("account/mainPage","account/result",{});
                                
                            }else{
                                layerUtils.iAlert(error_info,-1);
                                return false;
                            }
                        });
                        
                    }else{
                        layerUtils.iAlert(error_info,-1);
                        return false;
                    }
                });
                
                
                            }else{
                layerUtils.iAlert(error_info,-1);
            }
        });
    }
    function bindPageEvent()
    {
        //绑定资金菜单
        appUtils.bindEvent($(_pageId+" #funds"),function(){
            appUtils.pageInit("account/mainPage","account/netInfo",{});
        });
        //绑定风险等级测试
        appUtils.bindEvent($(_pageId+" #riskTest"),function(){
            appUtils.pageInit("account/mainPage","account/riskInfo",{});
        });
        //绑定知识测评
        appUtils.bindEvent($(_pageId+" #knowledgeTest"),function(){
            appUtils.pageInit("account/mainPage","account/knowledge",{});
        });
        //绑定电子签约
        appUtils.bindEvent($(_pageId+" #elecSign"),function(){
            appUtils.pageInit("account/mainPage","account/signProtocol",{});
        });
        //绑定诚信承诺书
        appUtils.bindEvent($(_pageId+" #cxcns"),function(){
            appUtils.pageInit("account/mainPage","account/signCxProtocol",{});
        });
        //回访问卷
        appUtils.bindEvent($(_pageId+" #pilgrimage"),function(){
            appUtils.pageInit("account/mainPage","account/pilgrimage",{});
        });
        //选择股东号
        appUtils.bindEvent($(_pageId+" #stockHolder"),function(){
            appUtils.pageInit("account/mainPage","account/stockHolder", shaArray);
        });        //绑定home键 跳转到主界面
        appUtils.bindEvent($(_pageId+" .icon_home"), function(){
        	var param = {
                    "funcNo": "50114",
                    "moduleName": "open"
                };
                external.callMessage(param);
        });        //绑定提交港股通权限的按钮
        appUtils.bindEvent($(_pageId+" .ct_btn"),function(){
            if(!$(_pageId+" .ct_btn").hasClass("disable")){                // selectSign();
                /*************适当性改造 start*****************/
				/*start by 适当性评估*/
                $(_pageId + " #popWindow").show();
                $(_pageId+" #check_off").removeClass("on");
                
                if(risklevel=="11"){
                	$(_pageId+" #isOk").hide();//等级为最低的时候确认按钮取消 qsxy
                	$(_pageId+" #qsxy").hide();//隐藏签署协议
                }else{
                	 //我已确认
                    appUtils.bindEvent($(_pageId+" #isOk"),function(){
                        if(!$(_pageId+" .tong").hasClass("on")){
                            layerUtils.iAlert("您还未勾选相关协议，请先勾选",-1);
                            return;
                        }
                        //验签以及插入流水
                        selectSign();
                    });
                }
                
                               //放弃办理
                appUtils.bindEvent($(_pageId + " #gp"), function() {
                	var param = {
                            "funcNo": "50114",
                            "moduleName": "open"
                        };
                        external.callMessage(param);
                });
                //点击签署协议
                appUtils.bindEvent($(_pageId+" #check_off"),function(){
                    var $parent=$(this).parent();
                    var md5=appUtils.getSStorageInfo("md5");
                    if(md5!=null && md5 !=""){
                        if($parent.hasClass("on")){
                            $parent.removeClass("on");
                        }else{
                            $parent.addClass("on");
                        }
                    }else{
                        layerUtils.iAlert("请您先阅读确认书",-1);
                    }
                });
                //协议返回
                appUtils.bindEvent($(_pageId+" #xy_back"),function(){
                    $(_pageId + " #xyWindow").hide();
                    $(_pageId + " #popWindow").show();
                });                //协议确认
                appUtils.bindEvent($(_pageId+" #xy_btn"),function(){
                    $(_pageId + " #xyWindow").hide();
                    $(_pageId + " #popWindow").show();
                });
				/*end by 适当性平台*/
                /*************适当性改造 end*****************/
                //先提交 沪A 账号
                // submitSha();
				/*//添加到跑批
				 var param = {
				 "user_id":appUtils.getSStorageInfo("user_id")
				 };
				 //开通港股通权限
				 mobileService.openAccount(param,function(data){				 var error_no = data.error_no;
				 var error_info = data.error_info;
				 if(error_no == "0"){				 appUtils.pageInit("account/mainPage","account/result",{});
				 }else{
				 layerUtils.iAlert(error_info,-1);
				 return false;
				 }
				 });*/
            } else {
                layerUtils.iAlert("请满足上面的条件再开通港股通！",-1);
            }
        });        //处理返回
        appUtils.bindEvent($(_pageId+" .icon_back"),function(){
            //清楚所有缓存
            //	appUtils.clearSStorage();
            /**
             * 清除项目中的html
             */
            $("#bodyContent .page").each(function(){
                $(this).remove();
            });
            appUtils.pageInit("account/mainPage","account/stockHolder",{});
        });
    }    //初始化操作
    function initHandle(){
        var value = appUtils.getSStorageInfo("marketvalue"),   //在主菜单显示账户资金
            rating_lvl = appUtils.getSStorageInfo("subitemname"),    //在主菜单显示风险评测等级
            zscpvalue = appUtils.getSStorageInfo("zscpvalue");  //在主菜单显示知识评测分数
        var	knowledgeScore = appUtils.getSStorageInfo("knowledgeScore");   //在主菜单显示知识评测等级
        if(zscpvalue != "" && zscpvalue != undefined){
            knowledgeScore = zscpvalue;
        }
        var totalValue = appUtils.getSStorageInfo("totalValue"); //在主菜单显示账户总资产
        var signed_cxcns = appUtils.getSStorageInfo("signed_cxcns");//是否已签署诚信承诺书
        risklevel = appUtils.getSStorageInfo("risklevel");//风险测评等级
        var signed_ggtjysm = appUtils.getSStorageInfo("signed_ggtjysm");//是否签署港股通交易声明
        var ggt_selected_acc = appUtils.getSStorageInfo("ggt_selected_acc");//已选择的账户  0：未选择，1：深A，2：沪A，3：深A和沪A
        var signed_shenjsggt = appUtils.getSStorageInfo("signed_shenjsggt");//是否签署深港通协议
        var signed_shangjsggt = appUtils.getSStorageInfo("signed_shangjsggt");//是否签署沪港通协议
        var cxcnsFlag = appUtils.getSStorageInfo("cxcnsFlag");
        fundsFlag = appUtils.getSStorageInfo("fundsFlag");
        riskFlag = appUtils.getSStorageInfo("riskFlag");
        knowledgeFlag = appUtils.getSStorageInfo("knowledgeFlag");
        signFlag = appUtils.getSStorageInfo("signFlag");        hfwjFlag = appUtils.getSStorageInfo("hfwjFlag");
        //    stockder = appUtils.getSStorageInfo("stockder");        shaArray = appUtils.getPageParam();
        var _prePageCode = appUtils.getSStorageInfo("_prePageCode");
//		var sign = appUtils.getSStorageInfo("sign"); //是否已经签署了协议
//		var risk = appUtils.getSStorageInfo("risk"); //是否已经做了风险评测
//		var knowledge = appUtils.getSStorageInfo("knowledge"); //是否已经选择了沪A 股东账号
        //判断从子页面跳到主菜单
//		if(_prePageCode != "account/stockHolder"){
        $(_pageId+" #funds span").html(totalValue);        //总资产
        if(parseFloat(totalValue) >= 500000){
            fundsFlag = "1";
        }else{
            fundsFlag = "2";
        }
        appUtils.setSStorageInfo("fundsFlag",fundsFlag);        //知识测评
        if(parseInt(zscpvalue) >= 60){
            knowledgeFlag = "1";
        }else{
            knowledgeFlag = "2";
        }
        appUtils.setSStorageInfo("knowledgeFlag",knowledgeFlag);        //诚信承诺书
        if(cxcnsFlag != "1"){
            if(signed_cxcns == "1"){
                cxcnsFlag = "1";
            }else{
                cxcnsFlag = "2";
            }
        }
        appUtils.setSStorageInfo("cxcnsFlag",cxcnsFlag);        //风险等级测试
        if(parseInt(risklevel) >= 3){
            riskFlag = "1";
        }else{//稳健型以下
            if(signed_ggtjysm == "1"){
                riskFlag = "1";
            }else{
                riskFlag = "2";
            }
        }
        appUtils.setSStorageInfo("riskFlag",riskFlag);        //电子签约书
        if(signFlag != "1"){
            if(ggt_selected_acc == 3){
                if(signed_shenjsggt == "1" && signed_shangjsggt == "1"){
                    signFlag = "1";
                }else{
                    signFlag = "2";
                }
            }else if(ggt_selected_acc == 1){
                if(signed_shenjsggt == "1"){
                    signFlag = "1";
                }else{
                    signFlag = "2";
                }
            }else if(ggt_selected_acc == 2){
                if(signed_shangjsggt == "1"){
                    signFlag = "1";
                }else{
                    signFlag = "2";
                }
            }else{
                signFlag = "2";
            }
        }
        appUtils.setSStorageInfo("signFlag",signFlag);
        //资金状况
        if(fundsFlag == "1"){
            $(_pageId+" #funds").parent().removeClass("lost");
            $(_pageId+" #funds").parent().addClass("over");
            if(totalValue != null || totalValue != undefined || totalValue != ""){
                $(_pageId+" #funds span").removeClass("ared");
                $(_pageId+" #funds span").html(value);
            }
        }else if(fundsFlag == "2"){
            $(_pageId+" #funds").parent().removeClass("over");
            $(_pageId+" #funds").parent().addClass("lost");
            if(totalValue != null || totalValue != undefined || totalValue != ""){
                $(_pageId+" #funds span").addClass("ared");
                $(_pageId+" #funds span").html(totalValue);
            }
        }
        //知识评测
        if(knowledgeFlag == "1"){
            $(_pageId+" #knowledgeTest").parent().removeClass("lost");
            $(_pageId+" #knowledgeTest").parent().addClass("over");
            if(knowledgeScore != null || knowledgeScore != undefined || knowledgeScore != ""){
                $(_pageId+" #knowledgeTest span").removeClass("ared");
                $(_pageId+" #knowledgeTest span").html(knowledgeScore);
            }
        }else if(knowledgeFlag == "2"){
            $(_pageId+" #knowledgeTest").parent().removeClass("over");
            $(_pageId+" #knowledgeTest").parent().addClass("lost");
            if(knowledgeScore != null || knowledgeScore != undefined || knowledgeScore != ""){
                $(_pageId+" #knowledgeTest span").addClass("ared");
                $(_pageId+" #knowledgeTest span").html(knowledgeScore);
            }
        }
        //诚信承诺书
        if(cxcnsFlag == "1"){
            $(_pageId+" #cxcns").parent().removeClass("lost");
            $(_pageId+" #cxcns").parent().addClass("over");
        }else if(cxcnsFlag == "2"){
            $(_pageId+" #cxcns").parent().removeClass("over");
            $(_pageId+" #cxcns").parent().addClass("lost");
        }
        //风险评测
        if(riskFlag == "1"){
            $(_pageId+" #riskTest").parent().removeClass("lost");
            $(_pageId+" #riskTest").parent().addClass("over");
            if(rating_lvl != null || rating_lvl != undefined || rating_lvl != ""){
                $(_pageId+" #riskTest span").removeClass("ared");
                $(_pageId+" #riskTest span").html(rating_lvl);
            }
        }else if(riskFlag == "2"){
            $(_pageId+" #riskTest").parent().removeClass("over");
            $(_pageId+" #riskTest").parent().addClass("lost");
            if(rating_lvl != null || rating_lvl != undefined || rating_lvl != ""){
                $(_pageId+" #riskTest span").addClass("ared");
                $(_pageId+" #riskTest span").html(rating_lvl);
            }
        }
        //协议签署
        if(signFlag == "1"){
            $(_pageId+" #elecSign").parent().removeClass("lost");
            $(_pageId+" #elecSign").parent().addClass("over");
        }else if(signFlag == "2"){
            $(_pageId+" #elecSign").parent().removeClass("over");
            $(_pageId+" #elecSign").parent().addClass("lost");
        }
        //问卷回访
        if(hfwjFlag == "1"){
            $(_pageId+" #pilgrimage").parent().removeClass("lost");
            $(_pageId+" #pilgrimage").parent().addClass("over");
			/*if(totalValue != null || totalValue != undefined || totalValue != ""){
			 $(_pageId+" #funds span").removeClass("ared");
			 $(_pageId+" #funds span").html(value);
			 }*/
        }else if(hfwjFlag == "2"){
            $(_pageId+" #pilgrimage").parent().removeClass("over");
            $(_pageId+" #pilgrimage").parent().addClass("lost");
			/* if(totalValue != null || totalValue != undefined || totalValue != ""){
			 $(_pageId+" #funds span").addClass("ared");
			 $(_pageId+" #funds span").html(totalValue);
			 }*/
        }
//		} else {
//			// 显示账户总资产
//			$(_pageId+" #funds span").html(totalValue);
//			// 协议已经签署
//			if(sign == "1") {
//				signFlag = "1";
//				appUtils.setSStorageInfo("signFlag", signFlag);
//				$(_pageId+" #elecSign").parent().removeClass("lost");
//				$(_pageId+" #elecSign").parent().addClass("over");
//			}
//			// 已经做了风险评测
//			if(risk == "1") {
//				var survey_score = appUtils.getSStorageInfo("riskvalue"); //风险评测分数
//				if(survey_score >= 85) {
//					riskFlag = "1";
//					appUtils.setSStorageInfo("riskFlag", riskFlag);
//					$(_pageId+" #riskTest").parent().removeClass("lost");
//					$(_pageId+" #riskTest").parent().addClass("over");
//					$(_pageId+" #riskTest span").removeClass("ared");
//					$(_pageId+" #riskTest span").html(rating_lvl);
//				} else {
//					riskFlag = "2";
//					appUtils.setSStorageInfo("riskFlag", riskFlag);
//					$(_pageId+" #riskTest").parent().removeClass("over");
//					$(_pageId+" #riskTest").parent().addClass("lost");
//					$(_pageId+" #riskTest span").addClass("ared");
//					$(_pageId+" #riskTest span").html(rating_lvl);
//				}
//			} else {
//				//$(_pageId+" #riskTest span").addClass("ared");
//				$(_pageId+" #riskTest span").html(rating_lvl);
//			}
//
//			// 已经做了知识评测
//			if(knowledge == "1") {
//				knowledge_score = appUtils.getPageParam("zscpvalue");
//				if(knowledge_score >= 85) {
//					knowledgeFlag = "1";
//					appUtils.setSStorageInfo("knowledgeFlag", knowledgeFlag);
//					$(_pageId+" #knowledgeTest").parent().removeClass("lost");
//					$(_pageId+" #knowledgeTest").parent().addClass("over");
//					if(knowledgeScore != null || knowledgeScore != undefined || knowledgeScore != ""){
//						$(_pageId+" #knowledgeTest span").removeClass("ared");
//						$(_pageId+" #knowledgeTest span").html(knowledgeScore);
//					}
//				} else {
//					knowledgeFlag = "2";
//					appUtils.setSStorageInfo("knowledgeFlag", knowledgeFlag);
//					$(_pageId+" #knowledgeTest").parent().addClass("lost");
//					$(_pageId+" #knowledgeTest").parent().removeClass("over");
//					if(knowledgeScore != null || knowledgeScore != undefined || knowledgeScore != ""){
//						$(_pageId+" #knowledgeTest span").addClass("ared");
//						$(_pageId+" #knowledgeTest span").html(knowledgeScore);
//					}
//				}
//			}
//		}        //判断提交港股通权限按钮的功能
        if(fundsFlag == "1" && riskFlag == "1" && knowledgeFlag == "1" && signFlag == "1" && cxcnsFlag == "1"){
            //	$(_pageId+" .ct_btn").removeClass("disable");
            var knowledge = appUtils.getSStorageInfo("knowledge");
            if(knowledge != "1"){
                //修改知识测评状态
                xiuGaijuan();
            }else {
                $(_pageId+" .ct_btn").removeClass("disable");
            }
        }
    }    function xiuGaijuan(){
        var param = {
            "user_id":appUtils.getSStorageInfo("user_id"),
            "survey_type":"2"
        };
        mobileService.xiuGaijuan(param,function(data){
            var error_no = data.error_no,
                error_info = data.error_info;
            if(error_no == "0"){
                $(_pageId+" .ct_btn").removeClass("disable");
            }else{
                layerUtils.iAlert(error_info,-1);
            }
        });
    }    /****************适当性改造 start*******************/
    function checkBusinessInfo(user_id,business_code){
        var param={
            "user_id":user_id,
            "business_code":business_code
        };
        mobileService.appropriatBusinessInfo(param,function(data){
            var error_no = data.error_no;
            var results = data.results;
            if(error_no == "0"){
                if(results[0].state){
                    var result =results[0];
                    var service_risk =result.service_risk;
                    var subitemname =result.subitemname;
                    var state =result.state;
                    var invest_type =result.invest_type;
                    var invest_deadline =result.invest_deadline;//score
                    var score =result.score;
                    if(subitemname=="" || subitemname ==null){
                        subitemname ="未设定";
                    }
                    //state  0 表示通过  1 表示不通过
                    appUtils.setSStorageInfo('subitemname',subitemname);//风险测评结果
                    appUtils.setSStorageInfo('service_risk',results[0].service_risk);
                    appUtils.setSStorageInfo('state',results[0].state);
                    appUtils.setSStorageInfo('invest_type',results[0].invest_type);
                    appUtils.setSStorageInfo('invest_deadline',results[0].invest_deadline);
                    appUtils.setSStorageInfo('score',results[0].score);                    var varietiesStr="";
                    if(invest_type.indexOf("1") > -1){
                        varietiesStr += "权益类投资品种";
                    }
                    if(invest_type.indexOf("2") > -1){
                        varietiesStr += "固定收益类投资品种";
                    }
                    if(invest_type.indexOf("3") > -1){
                        varietiesStr += "期货、融资融券";
                    }
                    if(invest_type.indexOf("4") > -1){
                        varietiesStr += "复杂金融产品";
                    }
                    if(invest_type.indexOf("5") > -1){
                        varietiesStr += "其他产品";
                    }					/*start by 2017-06-13 适当性评估*/
                    //查询业务对于的服务风测类型
                    if("1"==appUtils.getSStorageInfo('state')){
                        $(_pageId+" #matchimg").attr("src","images/ce_icon04.png");
                        $(_pageId+" #match_title").html("您的适当性评估匹配");
                        $(_pageId+" #risklevel").html(appUtils.getSStorageInfo('subitemname'));
                        $(_pageId+" #businessCode").html("港股通");
                        $(_pageId+" #businessInfo").html(appUtils.getSStorageInfo('service_risk'));
                        $(_pageId+" #varieties").html(varietiesStr);						/*start by 2017-06-13 适当性改造*/
                        getSign("qrs");//获取告知函协议
						/*end by 2017-06-13 适当性改造*/
                    }else{
                        $(_pageId+" #matchimg").attr("src","images/ce_icon05.png");
                        $(_pageId+" #match_title").html("您的适当性评估不匹配");
                        $(_pageId+" #risklevel").html(appUtils.getSStorageInfo('subitemname'));
                        $(_pageId+" #businessCode").html("港股通");
                        $(_pageId+" #businessInfo").html(appUtils.getSStorageInfo('service_risk'));
                        $(_pageId+" #varieties").html(varietiesStr);						/*start by 2017-06-13 适当性改造*/
                        getSign("fxjs_qrs");//获取告知函协议
						/*end by 2017-06-13 适当性改造*/
                    }
					/*end by 2017-06-13 适当性评估*/                }
            }
            else{
                layerUtils.iLoading(false);
                layerUtils.iAlert(data.error_info,-1);
            }
        });
    }
    //查询协议
    function getSign(agree_type){
        appUtils.clearSStorage("agree_content");
        appUtils.clearSStorage("md5");        var param = {
            "agree_type":agree_type
        };
        mobileService.gzhProtocol(param,function(data){
            var error_no = data.error_no,
                error_info = data.error_info;
            if(error_no == "0"){
                var results = data.results,
                    allProtocols = "";
                //获取相关数据
                if(results[0].id){//ID
                    appUtils.setSStorageInfo("id", results[0].id);
                }
                if(results[0].business_id){//业务ID
                    appUtils.setSStorageInfo("business_id", results[0].business_id);
                }
                if(results[0].business_code){//业务类型
                    appUtils.setSStorageInfo("business_code", results[0].business_code);
                }
                if(results[0].agree_name){//协议名称
                    appUtils.setSStorageInfo("agree_name", results[0].agree_name);
                }
                if(results[0].agree_no){//协议编号
                    appUtils.setSStorageInfo("agree_no", results[0].agree_no);
                }
                if(results[0].agree_version){//协议版本
                    appUtils.setSStorageInfo("agree_version", results[0].agree_version);
                }
                if(results[0].out_date){//过期时间
                    appUtils.setSStorageInfo("out_date", results[0].out_date);
                }
                if(results[0].agree_type){//agree_type
                    appUtils.setSStorageInfo("agree_type", results[0].agree_type);
                }                allProtocols += "<a href=\"javascript:;\" protocol-id=\""+results[0].id+"\" id=\"protocol0\">《"+results[0].agree_name+"》</a>";
                $(_pageId+" #xyShow").html(allProtocols);
//                $(_pageId + " #popWindow").show();
                // 预绑定查看协议的事件
                appUtils.preBindEvent($(_pageId+" #xyShow"),"#protocol0",function(e){
//                	 appUtils.setSStorageInfo("protocol-id", $(this).attr("protocol-id"));
                    var param = {
                        "user_id" : appUtils.getSStorageInfo("userInfo").user_id,
                        "agree_no" : appUtils.getSStorageInfo("agree_no"),
                        "risklevel" : appUtils.getSStorageInfo("subitemname"),
                        "business_code" : "ggt",
                        "agree_type" : appUtils.getSStorageInfo("agree_type")
                    }
                    //查询协议内容
                    mobileService.getGzhProtocolInfo(param,function(data){
                        if(error_no = data.error_no)
                        {
                            $(_pageId+" .xy_cont").html(data.results[0].content);
                            appUtils.setSStorageInfo("md5", data.results[0].md5);
                            appUtils.setSStorageInfo("agree_content", data.results[0].content);
                            $(_pageId + " #xyWindow").show();
                            $(_pageId + " #popWindow").hide();
                        }
                        else
                        {
                            layerUtils.iAlert(data.error_info,-1);
                        }
                    });
                    e.stopPropagation();
                });            }else{
                layerUtils.iAlert(error_info,-1,function () {
                	common.moduleJump();
                });
            }
        });
    }
    //获取签名值
    function selectSign(){
        var param = {
            "user_id":appUtils.getSStorageInfo("userInfo").user_id,
            "fundaccount":appUtils.getSStorageInfo("fund_account"),
            "name":appUtils.getSStorageInfo("userInfo").name,
            "type":"1",
            "protocol_name":appUtils.getSStorageInfo("agree_name"),
            "protocol_version":appUtils.getSStorageInfo("agree_version"),
            "signing_status":1,//1为签署   0未签署
//          "signature_channel":global.opSource,//签署渠道
//          "channel_type":global.opSource,//渠道类型
            "signature_channel":1,//签署渠道
            "channel_type":1,//渠道类型
            "channel_version_number":appUtils.getSStorageInfo("agree_version"),//渠道版本号
            "md5":appUtils.getSStorageInfo("md5"),//MD5值
            "protocol_content":appUtils.getSStorageInfo("agree_content"),  //协议内容business_code
            "business_code":"ggt"  //协议内容business_code
        }
        mobileService.insertSignProtocol(param,function(data){
            if(data.error_no == "0"){
                var results = data.results[0];
                var unid =results.unid;
                appUtils.setSStorageInfo("unid", unid);//保存unid
                var param = {
                    "user_id":appUtils.getSStorageInfo("userInfo").user_id,
                    "zj_account":appUtils.getSStorageInfo("fund_account"),
                    "name":appUtils.getSStorageInfo("userInfo").name,
                    "type":"1",
                    "business_code":"ggt",
                    "risklevel" : appUtils.getSStorageInfo("subitemname"),
                    "service_time" : appUtils.getSStorageInfo("invest_deadline"),
                    "state" : appUtils.getSStorageInfo("state")
                    ,"score" : appUtils.getSStorageInfo("score")
                };
                mobileService.insertUser(param,function(data){
                    if(data.error_no == "0"){
                        //网厅插入流水后，保存信息
                        submitSha();
                    }else{
                        layerUtils.iAlert(data.error_info,-1,function (){
                        	common.moduleJump();
                        });
                        return false;
                    }
                });            }else{
                layerUtils.iAlert(data.error_info,-1,function (){
                	common.moduleJump();
                });
                return false;
            }
        });
    }
    /****************适当性改造 end*******************/    function destroy()
    {
        mobileService.destroy();
    }
	/* 清理界面元素*/
	/*function cleanPageElement()
	 {	 }*/    var mainPage = {
        "init" : init,
        "bindPageEvent" : bindPageEvent,
        "destroy" : destroy
    };    module.exports = mainPage;
});
