/**
* 结果页
*/
define(function(require,exports,module){
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		gconfig = require("gconfig"),	
		_pageId = "#account_result";
	var mobileService = require("mobileService");
	var external = require("external");
	var platform = gconfig.platform;
	var common = require("common");
	
	function init(){
		var param = {
                "funcNo": "60021",
                "navTitle": "查看结果"
            };
            external.callMessage(param);
		var _prePageCode = appUtils.getSStorageInfo("_prePageCode");
		if(_prePageCode != "account/mainPage") {
			//电话号码
			var mobileNum = appUtils.getSStorageInfo("mobile"),
				state = appUtils.getSStorageInfo("state"),  //港股通开通标志
				
				// state = appUtils.getSStorageInfo("state"),  //港股通开通标志
				failReason = appUtils.getSStorageInfo("ggtopen_remark"),   //失败原因
				sha_open = appUtils.getSStorageInfo("sha_open"), //是否有沪A
				sha_bind = appUtils.getSStorageInfo("sha_bind");  //是否指定沪A
			//var h1css = {color:'red'};
			$(_pageId+" .result_main p strong").html(mobileNum);
			if(state == "4" && state == "2"){
				$(_pageId+ " .result_main div").removeClass("icon_ok");
				$(_pageId+ " .result_main div").addClass("icon_fail");
				$(_pageId+ " .result_main h5").addClass("fail");
				$(_pageId+ " .result_main h5").html("开通失败");
				$(_pageId+ " .result_main p").html("");
				$(_pageId+ " #confirm").hide();
				$(_pageId+ " #back").show();
				//$(_pageId+ " .bottom_tips").hide();
			}else {
				$(_pageId+ " .result_main div").addClass("icon_ok");
				$(_pageId+ " .result_main div").removeClass("icon_fail");
				$(_pageId+ " .result_main h5").removeClass("fail");
				$(_pageId+ " .result_main h5").html("提交开通");
				$(_pageId+ " .result_main p").html("恭喜您的港股通申请已成功提交，我们将在一个工作日内审核完成，并告知您申请结果！");
				$(_pageId+ " #confirm").show();
				$(_pageId+ " #back").hide();
				//$(_pageId+" .spel p strong").html(appUtils.getSStorageInfo("mobile"));
			}
		}else{
			$(_pageId+ " .result_main div").addClass("icon_ok");
			$(_pageId+ " .result_main div").removeClass("icon_fail");
			$(_pageId+ " .result_main h5").removeClass("fail");
			$(_pageId+ " .result_main h5").html("提交开通");
			$(_pageId+ " .result_main p").html("恭喜您的港股通申请已成功提交，我们将在一个工作日内审核完成，并告知您申请结果！");
			$(_pageId+ " #confirm").show();
			$(_pageId+ " #back").hide();
		}
	};
	function bindPageEvent(){
		console.log("yangrui");		
		//绑定home键 跳转到主界面
		appUtils.bindEvent($(_pageId+" .icon_home"), function(){
			var param = {
                    "funcNo": "50114",
                    "moduleName": "open"
                };
                external.callMessage(param);
		});		appUtils.bindEvent($(_pageId+" #confirm"), function(){
			var param = {
                    "funcNo": "50114",
                    "moduleName": "open"
                };
                external.callMessage(param);
		});		appUtils.bindEvent($(_pageId+" #back"), function(){
			appUtils.pageBack();
		});		appUtils.bindEvent($(_pageId+" .icon_back"), function(){
			appUtils.pageBack();
		});
	}
	
	function destroy(){
		mobileService.destroy();
	}
	
	var result = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = result;
});
