/**
 * 港股通开户
 */
define(function(require, exports, module){ 
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		layerUtils = require("layerUtils"),
		gconfig = require("gconfig"),
		global = gconfig.global,
		_pageId = "#business_index";
	var mobileService = require("mobileService");
	var userInfo;
	var external = require("external");
	var platform = gconfig.platform;
	var szaccountInfoList = null;
	var shaccountInfoList = null;
	//var zjList = null;
	var otherInfo = null;
	var businessInfo = null;
	var fxcpInfo = null;
	var zscpInfo = null;
	var zqAccount = null;
	var shaArray = null;  //沪A数组
	var szaArray = null;  //深A数组
	
	// 1 导入common_sso.js
	// 2 configuration.js配置common_sso.js路径
	// 3  引入统一登录的JS
	// 4 init方法做登录操作
	var common = require("common");
	var common_sso = require("common_sso");
	/* 私有业务模块的全局变量 end */
	
	function init()
	{
		external.callMessage({"funcNo": "50100","moduleName":"open"}); 
		var param = {
                "funcNo": "60021",
                "navTitle": "港股通"
            };
            external.callMessage(param);
		var callback = function(result){
			if(result.error_no!="0"){
				var urlDirect = window.location.href;
				urlDirect = urlDirect.split('www')[0]+"www/m/login/index.html";
				layerUtils.iAlert(result.error_info,-1,function(){
					 appUtils.sendDirect(urlDirect);
				});
			}else{
				
				//if(appUtils.getSStorageInfo("userInfo2")){
		       // 	alert("init - userInfo ===> "+JSON.stringify(appUtils.getSStorageInfo("userInfo2")));
		       // }
				
				//清除session信息
				initSession();
				//从原生内存缓存中获取用户信息
				//getUserInfo();
				 setUserInfo();
				//userInfo = {"emergency_mobile":"","emergency_tel":"","jsessionid":"abcDWi0c9WFRre7g9oR1u","login_by_mobile":"1","nick_name":"唐阿黑957号","recommend_person":"","qq_microblog":"","client_id":"111111","login_by_email":"1","login_id":"","papers_addr":"湖南省长沙市开福区巡道街幸福小区居民组","ethnicname":"","last_login_date":"2015-05-19 19:28:33","emergency_name":"","authentication_state":"0","sign_office":"桃江县公安局","emergency_email":"","validity_end":"2023-03-05","email":"test@thinkive.com","identity_type":"00","type_name":"","identity_num":"420527199110225339","is_trade":"","mobile":"15716638099","birthday":"19350906","occupational":"1","sex":"1","trade_account":"","vip_level":"","total_integration":"","modified_date":"2015-05-19 19:30:47","extend10":"","name":"唐阿黑111111","is_freeze":"0","user_id":"1153","emergency_relation":"","qq":"","branch_no":"10000","post_code":"518000","extend1":"","extend3":"","extend2":"","extend5":"","extend4":"","adapter":"2","extend7":"","extend6":"","extend9":"","sina_microblog":"","type_code":"","extend8":"","org_id":"91","validity_begin":"2013-03-05","nationality":"156","address":"深圳市南山区高新南一道创维大厦A座14层1409室","certuid":"5818","wechat":"","telephone":"0755-98765456"};

		        /*********新增中焯登录***********/
//		        var url = window.location.href;
//		        common.zhongZhuLogin(url,setUserInfo);
		        /*********新增中焯登录***********/
			}
		};
		var isLogin = require("external").callMessage({"funcNo":"50041","key":"isLogin"});
		if(isLogin.results[0].value == "1"){
			getUserInfo();
		}else{
			common_sso.zhongZhuLogin(callback);
		}
		
	}
	
	function initSession(){
		appUtils.setSStorageInfo("signed_cxcns", "0");
    	appUtils.setSStorageInfo("signed_ggtjysm", "0");
        appUtils.setSStorageInfo("signed_shenjsggt", "0");
        appUtils.setSStorageInfo("signed_shangjsggt", "0");
        appUtils.setSStorageInfo("signFlag", "2");
	}
	
	function bindPageEvent(){
	
		
	        appUtils.bindEvent($(_pageId+" .icon_hbk02"), function() {
	        	common.moduleJump();
	        });
		
		/**返回*/
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			// 这应该回调给中卓APP登录页面
//			appUtils.sendDirect("/home/ywbl.html");
			// common.moduleJump();
			var param = {
                    "funcNo": "50114",
                    "moduleName": "open"
                };
                external.callMessage(param);
			
		});
		//绑定新开账户
		appUtils.bindEvent($(_pageId+" .ggt_homebtn"),function(){
			var param = {
				"user_id":appUtils.getSStorageInfo("user_id"),
			
				"fundid":appUtils.getSStorageInfo("fundid"),
				"isbind":"1"
			}; 
			mobileService.getGgtAuthority(param,function(data){
				console.log("~~~~~~~"+JSON.stringify(data));
				var error_no = data.error_no;
				var error_info = data.error_info;
				if(error_no == "0") {
					if(data.otherInfo[0].isTradeTime != "1") {
						layerUtils.iAlert("非交易时间不允许办理业务",-1,function(){
							common.moduleJump();
						});
						return false;
					}
					szaccountInfoList = data.szaccountInfoList;
					shaccountInfoList = data.shaccountInfoList;
					//zjList = data.zjList;
					otherInfo = data.otherInfo;
					appUtils.setSStorageInfo("shaNeedSign", data.signInfo[0].need_sign);
					if((szaccountInfoList == "" || szaccountInfoList == undefined) && (shaccountInfoList == "" || shaccountInfoList == undefined)){//深A、沪A都没有
						layerUtils.iAlert("对不起，您还没有开通股东账户！",-1,function(){
							common.moduleJump();
						});
						return false;
					}
					if(shaccountInfoList != "" && shaccountInfoList != undefined){
						// 把是否已有沪A股东户存到H5缓存中
						if(shaccountInfoList.length > 0) {
							shaArray = new Array();
							for(var i = 0; i<shaccountInfoList.length; i++) {
								console.log(shaccountInfoList[i].trd_account+"|"+shaccountInfoList[i].ggt_open);
								shaArray.push(shaccountInfoList[i].trd_account+"|"+shaccountInfoList[i].ggt_open+"|沪A");
								appUtils.setSStorageInfo("ggt_open_date", shaccountInfoList[i].ggt_open_date);
							}
							appUtils.setSStorageInfo("shaArray", shaArray);
						}
					}

					if(szaccountInfoList != "" && szaccountInfoList != undefined){
						// 把是否已有深A股东户存到H5缓存中
						if(szaccountInfoList.length > 0) {
							szaArray = new Array();
							for(var i = 0; i<szaccountInfoList.length; i++) {
								console.log(szaccountInfoList[i].trd_account+"|"+szaccountInfoList[i].ggt_open);
								szaArray.push(szaccountInfoList[i].trd_account+"|"+szaccountInfoList[i].ggt_open+"|深A");
							}
							appUtils.setSStorageInfo("szaArray", szaArray);
						}
					}


//					for(var i=0; i<zjList.length; i++) {
//						//信用账户
//						if(zjList[i].type == "3") {
//							// 把资产总值存到H5缓存中
//							if(zjList[0].marketvalue) {
//								appUtils.setSStorageInfo("net_asset", zjList[0].net_asset);
//							} else {
//								appUtils.setSStorageInfo("net_asset", "0");
//							}
//						} else {
//							appUtils.setSStorageInfo("net_asset", "0");
//						}
//						//证券账户
//						if(zjList[i].type == "4"){
//							// 把资产总值存到H5缓存中
//							if(zjList[0].marketvalue) {
//								appUtils.setSStorageInfo("marketvalue", zjList[0].marketvalue);
//							} else {
//								appUtils.setSStorageInfo("marketvalue", "0");
//							}
//						}
//					}

					// 把身份证状态是否可用存到H5缓存中
					if(otherInfo[0].idenddate_valid) {
						appUtils.setSStorageInfo("idenddate_valid", otherInfo[0].idenddate_valid);
					}
					// 总资产
					if(otherInfo[0].marketvalue) {
						console.log("yangrui____zichan"+otherInfo[0].marketvalue);
						appUtils.setSStorageInfo("totalValue", otherInfo[0].marketvalue);
						appUtils.setSStorageInfo("marketvalue", otherInfo[0].marketvalue);
					}

//					if(shaccountInfoList.length == 0 && szaccountInfoList.length == 0){
//						appUtils.pageInit("business/index", "account/result",{});
//					} else {
							//获取业务办理过程中的所有步骤的数据
							var ggtParam = {
								"user_id":appUtils.getSStorageInfo("user_id"),
								"entrance":"1",
								"asset":appUtils.getSStorageInfo("totalValue")
							};
							mobileService.getGgtAllInfo(ggtParam, function(data) {
								console.log("zhaocheng111"+JSON.stringify(data));
								var error_no = data.error_no;
								var error_info = data.error_info;
								businessInfo = data.businessInfo;
								fxcpInfo = data.fxcpInfo;
								zscpInfo = data.zscpInfo;
								var signed_xylist = data.signed_xylist;//已经签署的协议的list
								if(error_no == "0") {
									if(signed_xylist){
										for(var i = 0;i < signed_xylist.length;i++){
											switch(signed_xylist[i].agree_ename){
												case "cxcns":
													appUtils.setSStorageInfo("signed_cxcns", "1");
													break;
												case "ggtjysm":
                                                	appUtils.setSStorageInfo("signed_ggtjysm", "1");
                                                	break;
                                                case "shenjsggt":
                                                    appUtils.setSStorageInfo("signed_shenjsggt", "1");
                                                    break;
                                                case "shangjsggt":
                                                    appUtils.setSStorageInfo("signed_shangjsggt", "1");
                                                    break;
                                                default:
                                                	break;
											}
										}
									}
									// 业务办理ID
									if(businessInfo[0].id) {
										appUtils.setSStorageInfo("businessId", businessInfo[0].id);
									}
									//港股通开立标志
									if(businessInfo[0].ggtopen_flag){
										appUtils.setSStorageInfo("ggtopen_flag",businessInfo[0].ggtopen_flag);
									}
									//开通港股通备注
									if(businessInfo[0].ggtopen_remark){
										appUtils.setSStorageInfo("ggtopen_remark",businessInfo[0].ggtopen_remark);
									}
									//开通港股通流水号
									if(businessInfo[0].order_no){
										appUtils.setSStorageInfo("order_no",businessInfo[0].order_no);
									}
									//业务办理状态
									if(businessInfo[0].state){
										appUtils.setSStorageInfo("state",businessInfo[0].state);
									}
									//协议签署
									if(businessInfo[0].sign){
										appUtils.setSStorageInfo("sign",businessInfo[0].sign);
									}
									//问卷回访
									if(businessInfo[0].return_visit){
										appUtils.setSStorageInfo("return_visit",businessInfo[0].return_visit);
									}
									//风险测评
									if(businessInfo[0].risk){
										appUtils.setSStorageInfo("risk",businessInfo[0].risk);
									}
									//诚信评测
									if(businessInfo[0].sincerity){
										appUtils.setSStorageInfo("sincerity",businessInfo[0].sincerity);
									}
									//知识评测
									if(businessInfo[0].knowledge){
										appUtils.setSStorageInfo("knowledge",businessInfo[0].knowledge);
									}
									//上传身份证
									if(businessInfo[0].upload_state){
										appUtils.setSStorageInfo("upload_state",businessInfo[0].upload_state);
									}
									//账号状态
									appUtils.setSStorageInfo("accountstate",businessInfo[0].accountstate);
									//已选择的交易账号
									appUtils.setSStorageInfo("trdaccount",businessInfo[0].trdaccount);

									//风险评测等级
									if(fxcpInfo[0].risklevel) {
										appUtils.setSStorageInfo("risklevel",fxcpInfo[0].risklevel);
									}
									//风险测评等级名称
									if(fxcpInfo[0].subitemname) {
										appUtils.setSStorageInfo("subitemname",fxcpInfo[0].subitemname);
									}
									//风险测评分数
									if(fxcpInfo[0].riskvalue) {
										appUtils.setSStorageInfo("riskvalue",fxcpInfo[0].riskvalue);
									}
									//风险评测状态
									if(fxcpInfo[0].status) {
										appUtils.setSStorageInfo("status",fxcpInfo[0].status);
									}
									if(zscpInfo) {
										//知识评测分数
										if(zscpInfo[0].zscpvalue) {
											appUtils.setSStorageInfo("zscpvalue",zscpInfo[0].zscpvalue);
										}
										//知识评测级别
										if(zscpInfo[0].zscplevel) {
											appUtils.setSStorageInfo("zscplevel",zscpInfo[0].zscplevel);
										}
										//知识评测级别名称
										if(zscpInfo[0].zscplevelName) {
											appUtils.setSStorageInfo("zscplevelName",zscpInfo[0].zscplevelName);
										}
									}
                                      //alert(businessInfo[0].state);
									//如果港股通开通标志是1（已开通）或者3（提交到跑批未执行），则跳转到结果页
									if(businessInfo[0].state == "1" || businessInfo[0].state == "3") {
                                    	appUtils.pageInit("business/index", "account/result");
                                    }else{
                                    	appUtils.pageInit("business/index", "account/stockHolder");
                                    }
								} else {
									layerUtils.iAlert(error_info,-1);
									return false;
								}
							});
//						}
//					}
				} else {
					layerUtils.iAlert(error_info,-1);
					return false;
				}
			});
		});
	}
	
	function destroy(){
		mobileService.destroy();
	}
	
	//从原生内存缓存中获取用户信息
	function getUserInfo() {
		if(platform == 0){
			userInfo = appUtils.getSStorageInfo("userInfo");
			var zqAccount = appUtils.getSStorageInfo("zqAccount", true);
			appUtils.setSStorageInfo("zqAccount", zqAccount);
			common_sso.synUserInof(userInfo);
		}else{
			var param = {
				"funcNo":"50041",
				"key":"userInfo"
			};
			var result = external.callMessage(param);
			if(result.error_no == "0" || result.error_no == "1") {
				if(JSON.stringify(result.results[0]) == "{}") {
					return false;
				}
				userInfo = result.results[0].value;
				appUtils.setSStorageInfo("userInfo2", userInfo);
				var param = {
					"funcNo":"50041",
					"key":"zqAccount"
				};
				var result = external.callMessage(param);
				if(result.error_no == "0" || result.error_info == "1") {
					zqAccount = result.results[0].value;
					console.log("zhaocheng@@@+++"+zqAccount);
					appUtils.setSStorageInfo("zqAccount", zqAccount);
					//把从内存缓存中的数据取出来存到H5缓存中
					common_sso.synUserInof(userInfo);
				} else {
					layerUtils.iAlert(result.error_info);
					return false;
				}
			} else {
				layerUtils.iAlert(result.error_info);
				return false;
			}
		}
	}
	
	//把从原生内存缓存中取到的用户信息保存到session中
	function setUserInfo() {
		 var userInfo = appUtils.getSStorageInfo("userInfo2");
	    	//user_id保存到session
	 		if( userInfo.user_id) {
	 			appUtils.setSStorageInfo("user_id",  userInfo.user_id);
	 			
	 		}
	 		//登陆账号保存到session
	 		if( userInfo.login_id) {
	 			appUtils.setSStorageInfo("login_id",  userInfo.login_id);
	 		}
	 		//证件类型保存到session
	 		if( userInfo.identity_type) {
	 			appUtils.setSStorageInfo("identity_type",  userInfo.identity_type);
	 		}
	 		//证件号码保存到session
	 		if( userInfo.identity_num) {
	 			appUtils.setSStorageInfo("identity_num",  userInfo.identity_num);
	 		}
	 		//姓名保存到session
	 		if( userInfo.name) {
	 			appUtils.setSStorageInfo("name",  userInfo.name);
	 		}
	 		//是否是交易用户 保存到session
	 		if( userInfo.is_trade) {
	 			appUtils.setSStorageInfo("is_trade",  userInfo.is_trade);
	 		}
	 		//交易账户保存到session
	 		if( userInfo.trade_account) {
	 			appUtils.setSStorageInfo("trade_account",  userInfo.trade_account);
	 		}
	 		//昵称保存到session
	 		if( userInfo.nick_name) {
	 			appUtils.setSStorageInfo("nick_name",  userInfo.nick_name);
	 		}
	 		//sex性别保存到session
	 		if( userInfo.sex) {
	 			appUtils.setSStorageInfo("sex",  userInfo.sex);
	 		}
	 		//birthday生日保存到session
	 		if( userInfo.birthday) {
	 			appUtils.setSStorageInfo("birthday",  userInfo.birthday);
	 		}
	 		//mobile手机保存到session
	 		if( userInfo.mobile) {
	 			appUtils.setSStorageInfo("mobile",  userInfo.mobile);
	 		}
	 		//login_by_mobile手机绑定保存到session
	 		if( userInfo.login_by_mobile) {
	 			appUtils.setSStorageInfo("login_by_mobile",  userInfo.login_by_mobile);
	 		}
	 		//email邮箱保存到session
	 		if( userInfo.email) {
	 			appUtils.setSStorageInfo("email",  userInfo.email);
	 		}
	 		//login_by_email绑定邮箱保存到session
	 		if( userInfo.login_by_email) {
	 			appUtils.setSStorageInfo("login_by_email",  userInfo.login_by_email);
	 		}
	 		//telephone固定电话绑定到session
	 		if( userInfo.telephone) {
	 			appUtils.setSStorageInfo("telephone",  userInfo.telephone);
	 		}
	 		//address通信住址保存到session
	 		if( userInfo.address) {
	 			appUtils.setSStorageInfo("address",  userInfo.address);
	 		}
	 		//post_code邮编保存到session
	 		if( userInfo.post_code) {
	 			appUtils.setSStorageInfo("post_code",  userInfo.post_code);
	 		}
	 		//qq_microblog QQ微博账号保存到session
	 		if( userInfo.qq_microblog) {
	 			appUtils.setSStorageInfo("qq_microblog",  userInfo.qq_microblog);
	 		}
	 		//sina_microblog 新浪微博账号保存到session
	 		if( userInfo.sina_microblog) {
	 			appUtils.setSStorageInfo("sina_microblog",  userInfo.sina_microblog);
	 		}
	 		//QQ号保存到session
	 		if( userInfo.qq) {
	 			appUtils.setSStorageInfo("qq",  userInfo.qq);
	 		}
	 		//wechat号保存到session
	 		if( userInfo.wechat) {
	 			appUtils.setSStorageInfo("wechat",  userInfo.wechat);
	 		}
	 		//recommend_person推荐人保存到session
	 		if( userInfo.recommend_person) {
	 			appUtils.setSStorageInfo("recommend_person",  userInfo.recommend_person);
	 		}
	 		//last_login_time上次登录时间保存到session
	 		if( userInfo.last_login_time) {
	 			appUtils.setSStorageInfo("last_login_time",  userInfo.last_login_time);
	 		}
	 		//occupational职业保存到session
	 		if( userInfo.occupational) {
	 			appUtils.setSStorageInfo("occupational",  userInfo.occupational);
	 		}
	 		//adapter学历保存到session
	 		if( userInfo.adapter) {
	 			appUtils.setSStorageInfo("adapter",  userInfo.adapter);
	 		}
	 		//certuid证书用户id保存到session
	 		if( userInfo.certuid) {
	 			appUtils.setSStorageInfo("certuid",  userInfo.certuid);
	 		}
	 		//branch_no营业部保存到session
	 		if( userInfo.branch_no) {
	 			appUtils.setSStorageInfo("branch_no",  userInfo.branch_no);
	 		}
	 		//emergency_name应急联系人姓名保存到session
	 		if( userInfo.emergency_name) {
	 			appUtils.setSStorageInfo("emergency_name",  userInfo.emergency_name);
	 		}
	 		//emergency_relation与应急联系人关系保存到session
	 		if( userInfo.emergency_relation) {
	 			appUtils.setSStorageInfo("emergency_relation",  userInfo.emergency_relation);
	 		}
	 		//emergency_tel应急联系人固定电话保存到session
	 		if( userInfo.emergency_tel) {
	 			appUtils.setSStorageInfo("emergency_tel",  userInfo.emergency_tel);
	 		}
	 		//emergency_mobile应急联系人手机保存到session
	 		if( userInfo.emergency_mobile) {
	 			appUtils.setSStorageInfo("emergency_mobile",  userInfo.emergency_mobile);
	 		}
	 		//emergency_email应急联系人邮箱保存到session
	 		if( userInfo.emergency_email) {
	 			appUtils.setSStorageInfo("emergency_email",  userInfo.emergency_email);
	 		}
	 		//authentication_state实名认证,绑定银行卡 保存到session
	 		if( userInfo.authentication_state) {
	 			appUtils.setSStorageInfo("authentication_state",  userInfo.authentication_state);
	 		}
	 		//org_id机构ID(第三方接口)保存到session
	 		if( userInfo.org_id) {
	 			appUtils.setSStorageInfo("org_id",  userInfo.org_id);
	 		}
	 		//emergency_address应急联系人联系地址保存到session
	 		if( userInfo.emergency_address) {
	 			appUtils.setSStorageInfo("emergency_address",  userInfo.emergency_address);
	 		}
	 		//type_code类别代码保存到session
	 		if( userInfo.type_code) {
	 			appUtils.setSStorageInfo("type_code",  userInfo.type_code);
	 		}
	 		//type_name类别名称保存到session
	 		if( userInfo.type_name) {
	 			appUtils.setSStorageInfo("type_name",  userInfo.type_name);
	 		}
	 		//vip_level会员等级保存到session
	 		if( userInfo.vip_level) {
	 			appUtils.setSStorageInfo("vip_level",  userInfo.vip_level);
	 		}
	 		//total_integration用户总积分保存到session
	 		if( userInfo.total_integration) {
	 			appUtils.setSStorageInfo("total_integration",  userInfo.total_integration);
	 		}
			if(userInfo.curr_loginid) {
            appUtils.setSStorageInfo("curr_loginid", userInfo.curr_loginid);
	        }
	         if(userInfo.client_id) {
	            appUtils.setSStorageInfo("client_id", userInfo.client_id );
	        }
	        if(userInfo.fund_account) {
	            appUtils.setSStorageInfo("fund_account", userInfo.fund_account );
	        }
	        if(userInfo.fundid) {
	            appUtils.setSStorageInfo("fundid", userInfo.fundid );
	        }
	 		appUtils.setSStorageInfo("zqAccount", sessionStorage.getItem("zqAccount"));
	}
	
	var index = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = index;
});
