/**
* 身份证升位
* 杨瑞
*/
define(function(require,exports,module) {
	var gconfig = require("gconfig");
    var appUtils = require("appUtils"),
        global = gconfig.global,
        layerUtils = require("layerUtils"),
        _pageId = "#account_identityCardSw";
    var mobileService = require("mobileService");
    var external = require("external");
    var platform = gconfig.platform;
    var openflag = ""; 
    var identityCard_state="";
    var userInfo;
    var common = require("common");
	var common_sso = require("common_sso");
    function init() {
	     external.callMessage({"funcNo": "50100","moduleName":"open"});
		var param = {
                "funcNo": "60021",
                "navTitle": "身份证升位"
            };
            external.callMessage(param);
				var callback = function(result){
			if(result.error_no!="0"){
				var urlDirect = window.location.href;
				urlDirect = urlDirect.split('www')[0]+"www/m/login/index.html";
				layerUtils.iAlert(result.error_info,-1,function(){
					 appUtils.sendDirect(urlDirect);
				});
			}else{
				/*if(appUtils.getSStorageInfo("userInfo2")){
		        	alert("init - userInfo ===> "+JSON.stringify(appUtils.getSStorageInfo("userInfo2")));
		        }*/
				  	if(appUtils.getSStorageInfo("identity_num").length == "18"){
						layerUtils.iAlert("您的身份证为18位，不需要进行升位",-1,function(){
						var param = {
							"funcNo": "50114",
							"moduleName": "open"
						};
					external.callMessage(param);
					});
					}
						
			        /*********新增中焯登录***********/
//			        var url = window.location.href;
//			        common.zhongZhuLogin(url,initPage);
			        /*********新增中焯登录***********/
			}
		};
		var isLogin = require("external").callMessage({"funcNo":"50041","key":"isLogin"});
		if(isLogin.results[0].value == "1"){
			 getUserInfo();
		}else{
			common_sso.zhongZhuLogin(callback);
		}
    //	getUserInfo();
    //	layerUtils.iAlert("111111111111111");
    }
	
	function getUserInfo() {
		if(platform == 0){
			userInfo = appUtils.getSStorageInfo("userInfo");
			var zqAccount = appUtils.getSStorageInfo("zqAccount", true);
			appUtils.setSStorageInfo("zqAccount", zqAccount);
			common_sso.synUserInof(userInfo,function(){
						if(appUtils.getSStorageInfo("identity_num").length == "18"){
						layerUtils.iAlert("您的身份证为18位，不需要进行升位",-1,function(){
						var param = {
							"funcNo": "50114",
							"moduleName": "open"
						};
					external.callMessage(param);
					});
					}
					});
		}else{
			var param = {
				"funcNo":"50041",
				"key":"userInfo"
			};
			var result = external.callMessage(param);
			if(result.error_no == "0" || result.error_no == "1") {
				if(JSON.stringify(result.results[0]) == "{}") {
					return false;
				}
				userInfo = result.results[0].value;
				appUtils.setSStorageInfo("userInfo2", userInfo);
				var param = {
					"funcNo":"50041",
					"key":"zqAccount"
				};
				var result = external.callMessage(param);
				if(result.error_no == "0" || result.error_info == "1") {
					zqAccount = result.results[0].value;
					console.log("zhaocheng@@@+++"+zqAccount);
					appUtils.setSStorageInfo("zqAccount", zqAccount);
					//把从内存缓存中的数据取出来存到H5缓存中
					common_sso.synUserInof(userInfo,function(){
						if(appUtils.getSStorageInfo("identity_num").length == "18"){
						layerUtils.iAlert("您的身份证为18位，不需要进行升位",-1,function(){
						var param = {
							"funcNo": "50114",
							"moduleName": "open"
						};
					external.callMessage(param);
					});
					}
					});
					
				} else {
					layerUtils.iAlert(result.error_info);
					return false;
				}
			} else {
				layerUtils.iAlert(result.error_info);
				return false;
			}
		}
	}
    function bindPageEvent() {
        //绑定home键 跳转到主界面
        appUtils.bindEvent($(_pageId+" .icon_home"), function(){
        	var param = {
                "funcNo": "50114",
                "moduleName": "open"
            };
            external.callMessage(param);
        });
        
        //绑定回退按钮
        appUtils.bindEvent($(_pageId+" .icon_back"), function(){
            common.moduleJump();
        });
        
        //确认按钮
        appUtils.bindEvent($(_pageId+" .ce_btn"), function(){
			appUtils.pageInit("account/identityCardSw", "account/uploadPhoto", {});
        });
    }



    function destroy() {
    	
    }

    var identityCardSw = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };

    module.exports = identityCardSw;
});