/**
* 身份证更新
* 杨瑞
*/
define(function(require,exports,module) {
    var appUtils = require("appUtils"),
        global = require("gconfig").global,
        _pageId = "#account_updateIdCardResult";
    var mobileService = require("mobileService");
    var external = require("external");
    var openflag = "";
    var platform = require("gconfig").platform;
    var common = require("common");

    function init() {
		var param = {
                "funcNo": "60021",
                "navTitle": "身份证更新"
            };
            external.callMessage(param);
    }
   
    function bindPageEvent() {
        //绑定home键 跳转到主界面
        appUtils.bindEvent($(_pageId+" .icon_home"), function(){
        	common.moduleJump();
        });
        
        //确认按钮
        appUtils.bindEvent($(_pageId+" .ce_btn"), function(){
        	common.moduleJump();
        });
    }
   

    function destroy() {
    	$(_pageId+" .success").show();
		$(_pageId+" .fail").hide();
		$(_pageId+" .ct_btn a").text("返回");
    }

    var updateIdCardResult = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };

    module.exports = updateIdCardResult;
});