/**
* 身份证更新
* 杨瑞
*/
define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var validatorUtil=require("validatorUtil");
	var layerUtils = require("layerUtils");
	var _pageId ="#account_updateIndex";
	var mobileService = require("mobileService");
	var external = require("external");
	 var common = require("common");
	 	var common_sso = require("common_sso");
		 var platform = gconfig.platform;

	function init() {
			external.callMessage({"funcNo": "50100","moduleName":"open"});
		var param = {
                "funcNo": "60021",
                "navTitle": "上传身份证"
            };
            external.callMessage(param);
		//查询业务办理数据
		
		var callback = function(result){
			if(result.error_no!="0"){
				var urlDirect = window.location.href;
				urlDirect = urlDirect.split('www')[0]+"www/m/login/index.html";
				layerUtils.iAlert(result.error_info,-1,function(){
					 appUtils.sendDirect(urlDirect);
				});
			}else{
				/*if(appUtils.getSStorageInfo("userInfo2")){
		        	alert("init - userInfo ===> "+JSON.stringify(appUtils.getSStorageInfo("userInfo2")));
		        }*/
				  Userinfo();
			        /*********新增中焯登录***********/
//			        var url = window.location.href;
//			        common.zhongZhuLogin(url,initPage);
			        /*********新增中焯登录***********/
			}
		};
	var isLogin = require("external").callMessage({"funcNo":"50041","key":"isLogin"});
		if(isLogin.results[0].value == "1"){
			 getUserInfo();
		}else{
			common_sso.zhongZhuLogin(callback);
		}
		
	}
	function getUserInfo() {
		if(platform == 0){
			userInfo = appUtils.getSStorageInfo("userInfo");
			var zqAccount = appUtils.getSStorageInfo("zqAccount", true);
			appUtils.setSStorageInfo("zqAccount", zqAccount);
			common_sso.synUserInof(userInfo,initPage);
		}else{
			var param = {
				"funcNo":"50041",
				"key":"userInfo"
			};
			var result = external.callMessage(param);
			if(result.error_no == "0" || result.error_no == "1") {
				if(JSON.stringify(result.results[0]) == "{}") {
					return false;
				}
				userInfo = result.results[0].value;
				var param = {
					"funcNo":"50041",
					"key":"zqAccount"
				};
				var result = external.callMessage(param);
				if(result.error_no == "0" || result.error_info == "1") {
					zqAccount = result.results[0].value;
					console.log("zhaocheng@@@+++"+zqAccount);
					appUtils.setSStorageInfo("zqAccount", zqAccount);
					//把从内存缓存中的数据取出来存到H5缓存中
					common_sso.synUserInof(userInfo,initPage);
				} else {
					layerUtils.iAlert(result.error_info);
					return false;
				}
			} else {
				layerUtils.iAlert(result.error_info);
				return false;
			}
		}
	}
	 function initPage(){
		
		 var validity_end = appUtils.getSStorageInfo("validity_end");
		 var IDno = appUtils.getSStorageInfo("identity_num");
		 if(IDno.length != "18" ){
			 layerUtils.iAlert("您的身份证为15位身份证，请先进行升位","-1",function(){
				 common.moduleJump();
			 });
			 return;
		 }
		 var nowdate = (new Date()).format("yyyyMd");
			//如果还未过期，则不需要进行接口查询。
			//if(validity_end != "" && validity_end != undefined){
				if(validity_end>nowdate){
					$(_pageId +" #idCardUpMz").show();
					$(_pageId +" #business").hide();
					$(_pageId +" #pending").hide();
					$(_pageId +" #result").hide();
					$(_pageId+" #result_main h5").text("您的证件还未过期，"+validity_end+"!");
				}else{
					$(_pageId +" #idCardUpMz").hide();
					$(_pageId +" #business").show();
					$(_pageId +" #pending").hide();
					$(_pageId +" #result").hide();
					initInfo();
				}
			//}
	}
	
	function initInfo(){
		
		/* 查询是否有办理中的业务 */
		/* 有办理中的业务，弹窗提示，点击确定：继续上次的流程；点击取消：调用接口（新增）结束上次的流程，进入上传图片步骤 */
		/* 没有办理中的业务，直接跳到上传图片页面 */
		var param = {
			"user_id": appUtils.getSStorageInfo("user_id")
		};
		mobileService.idNoOpenStart(param,function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			var result = data.results;
			if(error_no == "0") {
					$(_pageId+" .content").eq(0).hide();
					$(_pageId+" .content").eq(1).hide();
					$(_pageId+" .content").eq(2).hide();
				if(result[0].query_flag == "1"){//是否查询到业务办理数据    1.有  0.没有
					appUtils.setSStorageInfo("idcard_id",result[0].id);
					if(result[0].state == "1"){//流程已完成，待审核
						$(_pageId+" .title").html("审核结果");
						$(_pageId+" .content").eq(1).show();
						// 绑定确定按钮-返回到首页
						appUtils.bindEvent($(_pageId+" .button"), function(){
							common.moduleJump();
						});
						$(_pageId +" #business").hide();
					$(_pageId +" #pending").show();
					$(_pageId +" #result").hide();
					} else if(result[0].state == "2" || result[0].state == "4"){//失败
						$(_pageId+" .title").html("审核结果");
						$(_pageId+" .result_main h5").html("身份证更新失败");
						$(_pageId+" .result_main div").addClass("icon_fail");
						$(_pageId+" .center").html('您于'+result[0].update_date.split(" ")[0]+'修改身份信息失败');
						$(_pageId+" .content").eq(2).show();
						$(_pageId+" .bottom_lk").show();
						
						appUtils.bindEvent($(_pageId+" .button"), function(){
							confirmUpdateIdcard();
						});
							$(_pageId +" #business").hide();
					$(_pageId +" #pending").hide();
					$(_pageId +" #result").show();
					} else if(result[0].state == "5"){//成功
						$(_pageId+" .title").html("审核结果");
						$(_pageId+" .result_main h5").html("身份证更新成功");
						$(_pageId+" .result_main div").addClass("icon_ok");
						$(_pageId+" .center").html('您于'+result[0].update_date.split(" ")[0]+'修改身份信息成功');
						$(_pageId+" .content").eq(2).show();
						$(_pageId+" .bottom_lk").hide();
						appUtils.bindEvent($(_pageId+" .button"), function(){
							confirmUpdateIdcard();
						});
								$(_pageId +" #business").hide();
					$(_pageId +" #pending").hide();
					$(_pageId +" #result").show();
					} else{
						if(result[0].video=="1"){
							$(_pageId+" .title").html("审核结果");
							$(_pageId+" .content").eq(1).show();
							// 绑定确定按钮-返回到首页
							appUtils.bindEvent($(_pageId+" .button"), function(){
								common.moduleJump();
							});
						$(_pageId +" #business").show();
						$(_pageId +" #pending").hide();
						$(_pageId +" #result").hide();
						}else if(result[0].information=="1"){
							$(_pageId+" .title").html("身份证更新");
							$(_pageId+" .content").eq(0).show();
							// 绑定确定按钮
							appUtils.bindEvent($(_pageId+" .button"), function(){
								//提示有未完成的操作，点击确定继续流程，
								layerUtils.iConfirm("检测您有未完成操作，是否继续上次操作？",function(){
									appUtils.pageInit("account/updateIndex", "account/updateVideo", {});
								}, function() {
									//点击取消：调用接口（新增）结束上次的流程，进入上传图片步骤 
									endIdCardGx();
									return false;
							  	});
							});
							$(_pageId +" #business").show();
							$(_pageId +" #pending").hide();
							$(_pageId +" #result").hide();
						}else{
							$(_pageId+" .title").html("身份证更新");
							$(_pageId+" .content").eq(0).show();
							// 绑定确定按钮
							appUtils.bindEvent($(_pageId+" .button"), function(){
								appUtils.pageInit("account/updateIndex", "account/updatePhoto", {});
							});
							$(_pageId +" #business").show();
							$(_pageId +" #pending").hide();
							$(_pageId +" #result").hide();
						}
					}
				}else{
					$(_pageId+" .title").html("身份证更新");
					$(_pageId+" .content").eq(0).show();
					// 绑定确定按钮
					appUtils.bindEvent($(_pageId+" .button"), function(){
						appUtils.pageInit("account/updateIndex", "account/updatePhoto", {});
					});
					$(_pageId +" #business").show();
					$(_pageId +" #pending").hide();
					$(_pageId +" #result").hide();
				}
			} else {
				layerUtils.iAlert(error_info, -1);
			}
		});
	}
	//结束身份证升位之前的流程
	function endIdCardGx(){
		var param = {"user_id":appUtils.getSStorageInfo("user_id")};
        mobileService.endIdCardGx(param, function(data) {
            var error_no = data.error_no;
            var error_info = data.error_info;
            var results = data.results;
            if(error_no == "0") {
            	common.moduleJump();
            }else{
            	layerUtils.iAlert(error_info, -1);
            }
        });
	}
	//确认业务办理数据
	function confirmUpdateIdcard(){
		var param={
			"user_id":appUtils.getSStorageInfo("user_id")
		}
		mobileService.idNoUpdateConfrim(param,function(data){
			var errorNo = data.error_no;
			var errorInfo = data.error_info;
			if(errorNo==0){
				$(_pageId).remove();
				common.moduleJump();
			}else{
				layerUtils.iAlert(errorInfo);
				return false;
			}
		})
	}

	//--4用户信息
	function  Userinfo(){
		var userInfo=sessionStorage.getItem("idcardUpdate|userInfo2");
		//user_id保存到session
 		if( JSON.parse(userInfo).user_id) {
 			appUtils.setSStorageInfo("user_id",  JSON.parse(userInfo).user_id);
 			
 		}
 		//登陆账号保存到session
 		if( JSON.parse(userInfo).login_id) {
 			appUtils.setSStorageInfo("login_id",  JSON.parse(userInfo).login_id);
 		}
 		//证件类型保存到session
 		if( JSON.parse(userInfo).identity_type) {
 			appUtils.setSStorageInfo("identity_type",  JSON.parse(userInfo).identity_type);
 		}
 		//证件号码保存到session
 		if( JSON.parse(userInfo).identity_num) {
 			appUtils.setSStorageInfo("identity_num",  JSON.parse(userInfo).identity_num);
 		}
 		//姓名保存到session
 		if( JSON.parse(userInfo).name) {
 			appUtils.setSStorageInfo("name",  JSON.parse(userInfo).name);
 		}
 		//是否是交易用户 保存到session
 		if( JSON.parse(userInfo).is_trade) {
 			appUtils.setSStorageInfo("is_trade",  JSON.parse(userInfo).is_trade);
 		}
 		//交易账户保存到session
 		if( JSON.parse(userInfo).trade_account) {
 			appUtils.setSStorageInfo("trade_account",  JSON.parse(userInfo).trade_account);
 		}
 		//昵称保存到session
 		if( JSON.parse(userInfo).nick_name) {
 			appUtils.setSStorageInfo("nick_name",  JSON.parse(userInfo).nick_name);
 		}
 		//sex性别保存到session
 		if( JSON.parse(userInfo).sex) {
 			appUtils.setSStorageInfo("sex",  JSON.parse(userInfo).sex);
 		}
 		//birthday生日保存到session
 		if( JSON.parse(userInfo).birthday) {
 			appUtils.setSStorageInfo("birthday",  JSON.parse(userInfo).birthday);
 		}
 		
 		
 		
 		if(validatorUtil.isNotEmpty(appUtils.getSStorageInfo("mobiles"))){
 			appUtils.setSStorageInfo("mobile",appUtils.getSStorageInfo("mobiles"));
 	 	 	
 		}else{
 			//mobile手机保存到session
 	 		if( JSON.parse(userInfo).mobile) {
 	 			appUtils.setSStorageInfo("mobile",  JSON.parse(userInfo).mobile);
 	 		}
 		}
 		
 		
 		
 		
 		//login_by_mobile手机绑定保存到session
 		if( JSON.parse(userInfo).login_by_mobile) {
 			appUtils.setSStorageInfo("login_by_mobile",  JSON.parse(userInfo).login_by_mobile);
 		}
 		
 		if( JSON.parse(userInfo).validity_end) {
 			appUtils.setSStorageInfo("validity_end",  JSON.parse(userInfo).validity_end);
 		}
 		
 		
 		
 		if(validatorUtil.isNotEmpty(appUtils.getSStorageInfo("newEmail"))){
 			appUtils.setSStorageInfo("email",appUtils.getSStorageInfo("newEmail"));
 	 	 	
 		}else{
 			//email邮箱保存到session
 	 		if( JSON.parse(userInfo).email) {
 	 			
 	 			appUtils.setSStorageInfo("email",  JSON.parse(userInfo).email);
 	 		}
 		}
 		
 		//login_by_email绑定邮箱保存到session
 		if( JSON.parse(userInfo).login_by_email) {
 			appUtils.setSStorageInfo("login_by_email",  JSON.parse(userInfo).login_by_email);
 		}
 		//telephone固定电话绑定到session
 		if( JSON.parse(userInfo).telephone) {
 			appUtils.setSStorageInfo("telephone",  JSON.parse(userInfo).telephone);
 		}
 		//address通信住址保存到session
 	if(validatorUtil.isNotEmpty(appUtils.getSStorageInfo("newAddress"))){
 			appUtils.setSStorageInfo("address",appUtils.getSStorageInfo("newAddress"));
			 	
 		}else{
 			if( JSON.parse(userInfo).address) {
 		 		
 				appUtils.setSStorageInfo("address",  JSON.parse(userInfo).address);
 			 	
 			
 				}
 		}
 	
 		
 		
 		
 			
 		
 		
 		//post_code邮编保存到session
 		if( JSON.parse(userInfo).post_code) {
 			appUtils.setSStorageInfo("post_code",  JSON.parse(userInfo).post_code);
 		}
 		//qq_microblog QQ微博账号保存到session
 		if( JSON.parse(userInfo).qq_microblog) {
 			appUtils.setSStorageInfo("qq_microblog",  JSON.parse(userInfo).qq_microblog);
 		}
 		//sina_microblog 新浪微博账号保存到session
 		if( JSON.parse(userInfo).sina_microblog) {
 			appUtils.setSStorageInfo("sina_microblog",  JSON.parse(userInfo).sina_microblog);
 		}
 		//QQ号保存到session
 		if( JSON.parse(userInfo).qq) {
 			appUtils.setSStorageInfo("qq",  JSON.parse(userInfo).qq);
 		}
 		//wechat号保存到session
 		if( JSON.parse(userInfo).wechat) {
 			appUtils.setSStorageInfo("wechat",  JSON.parse(userInfo).wechat);
 		}
 		//recommend_person推荐人保存到session
 		if( JSON.parse(userInfo).recommend_person) {
 			appUtils.setSStorageInfo("recommend_person",  JSON.parse(userInfo).recommend_person);
 		}
 		//last_login_time上次登录时间保存到session
 		if( JSON.parse(userInfo).last_login_time) {
 			appUtils.setSStorageInfo("last_login_time",  JSON.parse(userInfo).last_login_time);
 		}
 		//occupational职业保存到session
 		if( JSON.parse(userInfo).occupational) {
 			appUtils.setSStorageInfo("occupational",  JSON.parse(userInfo).occupational);
 		}
 		//adapter学历保存到session
 		if( JSON.parse(userInfo).adapter) {
 			appUtils.setSStorageInfo("adapter",  JSON.parse(userInfo).adapter);
 		}
 		//certuid证书用户id保存到session
 		if( JSON.parse(userInfo).certuid) {
 			appUtils.setSStorageInfo("certuid",  JSON.parse(userInfo).certuid);
 		}
 		//branch_no营业部保存到session
 		if( JSON.parse(userInfo).branch_no) {
 			appUtils.setSStorageInfo("branch_no",  JSON.parse(userInfo).branch_no);
 		}
 		//emergency_name应急联系人姓名保存到session
 		if( JSON.parse(userInfo).emergency_name) {
 			appUtils.setSStorageInfo("emergency_name",  JSON.parse(userInfo).emergency_name);
 		}
 		//emergency_relation与应急联系人关系保存到session
 		if( JSON.parse(userInfo).emergency_relation) {
 			appUtils.setSStorageInfo("emergency_relation",  JSON.parse(userInfo).emergency_relation);
 		}
 		//emergency_tel应急联系人固定电话保存到session
 		if( JSON.parse(userInfo).emergency_tel) {
 			appUtils.setSStorageInfo("emergency_tel",  JSON.parse(userInfo).emergency_tel);
 		}
 		//emergency_mobile应急联系人手机保存到session
 		if( JSON.parse(userInfo).emergency_mobile) {
 			appUtils.setSStorageInfo("emergency_mobile",  JSON.parse(userInfo).emergency_mobile);
 		}
 		//emergency_email应急联系人邮箱保存到session
 		if( JSON.parse(userInfo).emergency_email) {
 			appUtils.setSStorageInfo("emergency_email",  JSON.parse(userInfo).emergency_email);
 		}
 		//authentication_state实名认证,绑定银行卡 保存到session
 		if( JSON.parse(userInfo).authentication_state) {
 			appUtils.setSStorageInfo("authentication_state",  JSON.parse(userInfo).authentication_state);
 		}
 		//org_id机构ID(第三方接口)保存到session
 		if( JSON.parse(userInfo).org_id) {
 			appUtils.setSStorageInfo("org_id",  JSON.parse(userInfo).org_id);
 		}
 		//emergency_address应急联系人联系地址保存到session
 		if( JSON.parse(userInfo).emergency_address) {
 			appUtils.setSStorageInfo("emergency_address",  JSON.parse(userInfo).emergency_address);
 		}
 		//type_code类别代码保存到session
 		if( JSON.parse(userInfo).type_code) {
 			appUtils.setSStorageInfo("type_code",  JSON.parse(userInfo).type_code);
 		}
 		//type_name类别名称保存到session
 		if( JSON.parse(userInfo).type_name) {
 			appUtils.setSStorageInfo("type_name",  JSON.parse(userInfo).type_name);
 		}
 		//vip_level会员等级保存到session
 		if( JSON.parse(userInfo).vip_level) {
 			appUtils.setSStorageInfo("vip_level",  JSON.parse(userInfo).vip_level);
 		}
 		//total_integration用户总积分保存到session
 		if( JSON.parse(userInfo).total_integration) {
 			appUtils.setSStorageInfo("total_integration",  JSON.parse(userInfo).total_integration);
 		}
 		if( JSON.parse(userInfo).curr_loginid) {
 			appUtils.setSStorageInfo("curr_loginid",  JSON.parse(userInfo).curr_loginid);
 		} 
 		if( JSON.parse(userInfo).jsessionid) {
 			appUtils.setSStorageInfo("jsessionid",  JSON.parse(userInfo).jsessionid);
 		} 
 		
 		
 		
 		appUtils.setSStorageInfo("zqAccount", sessionStorage.getItem("zqAccount"));
		var Username=appUtils.getSStorageInfo("name");//姓名
		var Usercard=appUtils.getSStorageInfo("identity_num");//身份证
		var UserSex=appUtils.getSStorageInfo("sex");//性别
		var UserPhone=appUtils.getSStorageInfo("mobile");//开户手机
		var adress=appUtils.getSStorageInfo("address");//家庭住址
		var email=appUtils.getSStorageInfo("email");//邮箱
		var sex="";
		if(UserSex==0){
			sex="男";
		}else{
			sex="女";
		}
	
		$(_pageId+".ste_cont  ul li:eq(0)  .cont").html(Username);
		$(_pageId+".ste_cont  ul li:eq(1)  .cont").html(sex);
		$(_pageId+".ste_cont  ul li:eq(2)  .cont").html(Usercard);
		$(_pageId+".ste_cont  ul li:eq(3)  .zh").html(UserPhone);
		$(_pageId+".ste_cont  ul li:eq(4)  .zh").html(adress);
		$(_pageId+".ste_cont  ul li:eq(5)  .zh").html(email);//邮箱
		//查询业务办理数据
		initPage();
	}  
	
	

	
	function bindPageEvent() {
		//确认按钮
        appUtils.bindEvent($(_pageId+" .icon_home"), function(){
        	common.moduleJump();
        });
        
        
        appUtils.bindEvent($(_pageId+" .icon_back"), function(){
        	common.moduleJump();
		});
        
        appUtils.bindEvent($(_pageId+" #ce_btnMz"), function(){
        	common.moduleJump();
        });
	}

	function destroy(){
		//$(_pageId).remove();
	}

	var index = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = index;
});
