define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var validata = require("validatorUtil");
	var layerUtils = require("layerUtils");
	var _pageId = "#account_register";
	var mobileService = require("mobileService");

	function init() {

	}

	function bindPageEvent() {
		appUtils.bindEvent($(_pageId + " .mobileNo"), function(){
			$(_pageId+" .txt:eq(0)").addClass("error_txt");
			$(_pageId+" .txt:eq(1)").removeClass("error_txt");
		});
		
		appUtils.bindEvent($(_pageId + " .password"), function(){
			$(_pageId+" .txt:eq(0)").removeClass("error_txt");
			$(_pageId+" .txt:eq(1)").addClass("error_txt");
		});
		
		//绑定删除已经输入的电话号码
		appUtils.bindEvent($(_pageId + " .txt_close"), function(){
			$(_pageId+" .mobileNo").attr("value","");
		});
		
		//绑定明文显示输入的密码
		appUtils.bindEvent($(_pageId + " .pword_btn"), function(){
			var pass_value = $(_pageId+" .password").val();
			if(!$(_pageId + " .pword_btn").hasClass("show")) {
				$(_pageId+" .txt:eq(1) input:eq(0)").hide();
				$(_pageId+" .txt:eq(1) input:eq(1)").show();
				$(_pageId + " .pword_btn").addClass("show");
			} else {
				$(_pageId+" .txt:eq(1) input:eq(0)").show();
				$(_pageId+" .txt:eq(1) input:eq(1)").hide();
				$(_pageId + " .pword_btn").removeClass("show");
			}
			$(_pageId+" .password").attr("value", pass_value);
		});
		
		//绑定注册
		appUtils.bindEvent($(_pageId + " .ct_btn"), function(){
			appUtils.pageInit("account/register","account/registerSuccess",{});
		});
	}

	function destroy(){

	}
	
		var register = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = register;
});
