/**
 * 银行转账
 */
define('mall/scripts/account/bankTransfer.js',function(require, exports, module) {
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var service = require("serviceImp").getInstance(); //业务层接口，请求数据
	var global = gconfig.global;
	var layerUtils = require("layerUtils");
	var putils = require("putils");
	var bankAcco="";
	var trans_type=1;
	var _pageId="#account_bankTransfer ";
	var keyPanel = require("keyPanel");//软键盘
	var product_id="";
	var useable_money="";
	var is_bank_pwd="";
	var is_fund_pwd="";
	var is_trade_pwd="";
	var common=require("common");
	/*初始化*/
	function init()
	{
		common.initTitle(_pageId);
		//清除数据
		$(_pageId+" .trade_box input").val("");
		$(_pageId+" .money_type").html("");
		$(_pageId+" #tradePwd em").html("支付密码");//切换时清除密码
		$(_pageId+" .bank_no").html("");  //切换时清除银行
		$(_pageId+" #bankPwd em").html("银行卡密码");
		$(_pageId+" #fundPwd em").html("提现密码");
//		queryAsset();
		product_id=appUtils.getPageParam().product_id;//产品编号
		var transType=appUtils.getPageParam().transType;
		if(transType!=null&&transType!=""){
			if(transType=="1"){
				$(_pageId+" .bankTofund").addClass("oper-tit-sec");
				$(_pageId+" .fundTobank").removeClass("oper-tit-sec");
				trans_type=1;
			}else if(transType=="2"){
				$(_pageId+" .bankTofund").removeClass("oper-tit-sec");
				$(_pageId+" .fundTobank").addClass("oper-tit-sec");
				trans_type=2;
			}
		}
		accountBank();
	}

	function bindPageEvent() 
	{
		/*初始化支付密码键盘*/
		appUtils.bindEvent($(_pageId+" #tradePwd") ,function(e){
//			$(_pageId+" #banktype").hide();
//			$(_pageId+" #moneytype").hide();
//			$(_pageId+" #password em").html("");
//			$(_pageId+" #trade_pwd").val("");
			$(_pageId+" .trade_pwd").addClass(" active");
			$(_pageId+" .bank_pwd").removeClass(" active");
			$(_pageId+" .fund_pwd").removeClass(" active");
			
			var input_pwd = $(this);
			input_pwd.find("em").html("");  // 清空密码
			input_pwd.attr("data-password","");  // 清空密码值
//			$(_pageId+" .input_custom").addClass("active");
			keyPanel.init_keyPanel(function(value){
				var curEchoText = input_pwd.find("em").html();  // 密码回显文本
				var input_pass_curPwd = input_pwd.attr("data-password") || "";  // 密码值
				var valInput=$(_pageId+" #trade_pwd");
				if(value == "del")
				{
					input_pwd.find("em").html(curEchoText.slice(0, -1));
					input_pwd.attr("data-password", input_pass_curPwd.slice(0, -1));
				}
				else
				{
//					if(input_pass_curPwd.length < 6)
//					{
						input_pwd.attr("data-password", input_pass_curPwd + value);  // 设置密码值
						input_pwd.find("em").html(curEchoText + "*");
						valInput.val(input_pass_curPwd + value);
//					}
//					else
//					{
//						layerUtils.iMsg(-1, "支付密码最多 6位!");
//					}
				}
			}, input_pwd);
			e.stopPropagation();
//			var passwordInput=$(_pageId+" #password em");
//			var valInput=$(_pageId+" #trade_pwd");
//			keyPanel.init_keyPanel(_pageId,valInput.val(),valInput,function(pw)
//				{
//				var ch="";
//				for(var i=0;i<pw.length;i++){
//					ch+="*";
//				}
//				passwordInput.html(ch);
//				valInput.val(pw);
//				valInput.text("");
//				},"num","密码");
//			e.stopPropagation();	
		});

		/*初始化银行密码键盘*/
		appUtils.bindEvent($(_pageId+" #bankPwd") ,function(e){
//			$(_pageId+" #banktype").hide();
//			$(_pageId+" #moneytype").hide();
//			$(_pageId+" #bankPwd em").html("");
//			$(_pageId+" #bank_pwd").val("");
			$(_pageId+" .bank_pwd").addClass(" active");
			$(_pageId+" .fund_pwd").removeClass(" active");
			$(_pageId+" .trade_pwd").removeClass("active");
			
			var input_pwd = $(this);
			input_pwd.find("em").html("");  // 清空密码
			input_pwd.attr("data-password","");  // 清空密码值
//			$(_pageId+" .input_custom").addClass("active");
			keyPanel.init_keyPanel(function(value){
				var curEchoText = input_pwd.find("em").html();  // 密码回显文本
				var input_pass_curPwd = input_pwd.attr("data-password") || "";  // 密码值
				var valInput=$(_pageId+" #bank_pwd");
				if(value == "del")
				{
					input_pwd.find("em").html(curEchoText.slice(0, -1));
					input_pwd.attr("data-password", input_pass_curPwd.slice(0, -1));
				}
				else
				{
					if(input_pass_curPwd.length < 6)
					{
						input_pwd.attr("data-password", input_pass_curPwd + value);  // 设置密码值
						input_pwd.find("em").html(curEchoText + "*");
						valInput.val(input_pass_curPwd + value);
					}
					else
					{
						layerUtils.iMsg(-1, "银行密码最多 6位!");
					}
				}
			}, input_pwd);
			e.stopPropagation();
//			var passwordInput=$(_pageId+" #bankPwd em");
//			var valInput=$(_pageId+" #bank_pwd");
//			keyPanel.init_keyPanel(_pageId,valInput.val(),valInput,function(pw)
//				{
//				var ch="";
//				for(var i=0;i<pw.length;i++){
//					ch+="*";
//				}
//				passwordInput.html(ch);
//				valInput.val(pw);
//				valInput.text("");
//				},"num","密码");
//			e.stopPropagation();	
		});
		
		/*初始化提现密码键盘*/
		appUtils.bindEvent($(_pageId+" #fundPwd") ,function(e){
//			$(_pageId+" #banktype").hide();
//			$(_pageId+" #moneytype").hide();
//			$(_pageId+" #fundPwd em").html("");
//			$(_pageId+" #fund_pwd").val("");
			$(_pageId+" .fund_pwd").addClass(" active");
			$(_pageId+" .trade_pwd").removeClass("active");
			$(_pageId+" .bank_pwd").removeClass("active");
			
			var input_pwd = $(this);
			input_pwd.find("em").html("");  // 清空密码
			input_pwd.attr("data-password","");  // 清空密码值
//			$(_pageId+" .input_custom").addClass("active");
			keyPanel.init_keyPanel(function(value){
				var curEchoText = input_pwd.find("em").html();  // 密码回显文本
				var input_pass_curPwd = input_pwd.attr("data-password") || "";  // 密码值
				var valInput=$(_pageId+" #fund_pwd");
				if(value == "del")
				{
					input_pwd.find("em").html(curEchoText.slice(0, -1));
					input_pwd.attr("data-password", input_pass_curPwd.slice(0, -1));
				}
				else
				{
//					if(input_pass_curPwd.length < 6)
//					{
						input_pwd.attr("data-password", input_pass_curPwd + value);  // 设置密码值
						input_pwd.find("em").html(curEchoText + "*");
						valInput.val(input_pass_curPwd + value);
//					}
//					else
//					{
//						layerUtils.iMsg(-1, "提现密码最多 6位!");
//					}
				}
			}, input_pwd);
			e.stopPropagation();
//			var passwordInput=$(_pageId+" #fundPwd em");
//			var valInput=$(_pageId+" #fund_pwd");
//			keyPanel.init_keyPanel(_pageId,valInput.val(),valInput,function(pw)
//				{
//				var ch="";
//				for(var i=0;i<pw.length;i++){
//					ch+="*";
//				}
//				passwordInput.html(ch);
//				valInput.val(pw);
//				valInput.text("");
//				},"num","密码");
//			e.stopPropagation();	
		});

		//点击页面关闭软键盘
		appUtils.bindEvent($(_pageId),function(){
			keyPanel.closeKeyPanel();
			$(_pageId+" .input_custom").removeClass("active");
			$(_pageId+" div[id$='Pwd'] em").each(function(index, obj){
				if($(obj).html()==""){
					var huozhui =$(obj).parent().attr("id");
					if(huozhui=="tradePwd"){
						$(obj).html("支付密码");
					}else if(huozhui=="fundPwd"){
						$(obj).html("提现密码");
					}else if(huozhui=="bankPwd"){
						$(obj).html("银行卡密码");
					}
				}
			});
		});

		//判断输入是否合法
		appUtils.bindEvent($(_pageId+" #transferValue"),function(){
			var buyNum =$(_pageId+" #transferValue").val();
			if(buyNum!="0"){
				if(!/^((0\.)|([1-9]+\.?))\d{0,2}$/.test(buyNum)){
					 layerUtils.iMsg(-1,"请输入合法金额数字且小数点最多保留两位!");
					 $(_pageId+" #transferValue").val("");
				 }
			}
			},"keyup");
		
		//
		appUtils.bindEvent($(_pageId+" #transferValue"),function(){
//			$(_pageId+" #banktype").hide();
//			$(_pageId+" #moneytype").hide();
			$(_pageId+" .trade_pwd").removeClass(" active");
			$(_pageId+" .bank_pwd").removeClass(" active");
			$(_pageId+" .fund_pwd").removeClass(" active");
			});

//		/* 绑定账户类型事件 */
//		appUtils.bindEvent($(_pageId+" .money_type"),function(){
//			$(_pageId+" #banktype").hide();
//		});
		
		/* 转账金额加*/
		appUtils.bindEvent($(_pageId+" #add"),function(){
			var fund_amount=$(_pageId+" #transferValue").val();
			if(fund_amount==""){
				$(_pageId+" #transferValue").val(1);
			}else if(!isNaN(fund_amount)){
				$(_pageId+" #transferValue").val(parseFloat(fund_amount)+1);
			}
		});
		
		/* 转账金额减*/
		appUtils.bindEvent($(_pageId+" #min"),function(){
			var fund_amount=$(_pageId+" #transferValue").val();
			if(fund_amount==""||fund_amount=="0"){
				$(_pageId+" #transferValue").val(0);
			}else if(!isNaN(fund_amount)){
				$(_pageId+" #transferValue").val(parseFloat(fund_amount)-1);
			}
		});
		
		/* 绑定返回事件 */
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});

//		/* 绑定返回首页事件 */
//		appUtils.bindEvent($(_pageId+" .icon_mall"),function(){
//			appUtils.pageInit("account/bankTransfer","mall/moneyShop",{});
//		});


		/* 下一步(确认查询)*/
		appUtils.bindEvent($(_pageId+" .of-infor-core-con .core-pay") ,function(){
			if(verifyInfo()){
				bankTrans();
			}
		});

		/* 绑定银行转证券事件 */
		appUtils.bindEvent($(_pageId+" .bankTofund"),function()
			{
//			$(_pageId+" #banktype").hide();
//			$(_pageId+" #moneytype").hide();
			trans_type= $(_pageId+" .bankTofund").attr("data-value");
			$(_pageId+" .trade_box input").val("");
//			$(_pageId+" .money_type").html("");
			$(_pageId+" #transferValue").val("");
			$(_pageId+" #bank_no").html(""); //切换时清除银行
			$(_pageId+" #bankPwd em").html("银行卡密码");
			$(_pageId+" #fundPwd em").html("提现密码");
			$(_pageId+" #tradePwd em").html("支付密码");
			$(_pageId+" #trade_pwd").val("");  // 清除密码
			$(_pageId+" #fund_pwd").val("");  // 清除密码
			$(_pageId+" #bank_pwd").val(""); 

			// 设置样式
			$(_pageId+" .bankTofund").addClass("oper-tit-sec");
			$(_pageId+" .fundTobank").removeClass("oper-tit-sec");
			$(_pageId+" .bankPassword").hide();
			$(_pageId+" .tradePassword").hide();
			$(_pageId+" .fundPassword").hide();
			accountBank();
			});

		/* 绑定证券转银行事件 */
		appUtils.bindEvent($(_pageId+" .fundTobank"),function()
			{
			$(_pageId+" .trade_box input").val("");
			trans_type= $(_pageId+" .fundTobank").attr("data-value");
			$(_pageId+" #transferValue").val("");
			$(_pageId+" #bank_no").html("");  //切换时清除银行
			$(_pageId+" #bankPwd em").html("银行卡密码");
			$(_pageId+" #fundPwd em").html("提现密码");
			$(_pageId+" #tradePwd em").html("支付密码");
			$(_pageId+" #trade_pwd").val("");  // 清除密码
			$(_pageId+" #fund_pwd").val("");  // 清除密码
			$(_pageId+" #bank_pwd").val(""); 

			// 设置样式
			$(_pageId+" .fundTobank").addClass("oper-tit-sec");
			$(_pageId+" .bankTofund").removeClass("oper-tit-sec");
			$(_pageId+" .bankPassword").hide();
			$(_pageId+" .tradePassword").hide();
			$(_pageId+" .fundPassword").hide();
			accountBank();
			});

//		/* 绑定银行列表事件 */
//		appUtils.bindEvent($(_pageId+" #banks"),function(){
//			if($(_pageId+" #banktype").is(":hidden")){
//				$(_pageId+" #banktype").show();
//				$(_pageId+" #moneytype").hide();
//			}else{
//				$(_pageId+" #banktype").hide();
//				$(_pageId+" #moneytype").hide();
//			}
//			accountBank();
//		});
		
//		/* 绑定币种列表事件 */
//		appUtils.bindEvent($(_pageId+" #moneyType"),function(){
//			if($(_pageId+" #moneytype").is(":hidden")){
//				$(_pageId+" #banktype").hide();
//				$(_pageId+" #moneytype").show();
//			}else{
//				$(_pageId+" #banktype").hide();
//				$(_pageId+" #moneytype").hide();
//			}
//		});
		
//		/* 重置*/
//		appUtils.bindEvent($(_pageId+" .trade_btn .n1") ,function(){
//			destroy();
//		});
	}
	
//	function queryAsset(){
//		var fund_account=appUtils.getSStorageInfo("fund_account");
//		var param={"fund_account" : fund_account};
//
//		/*调用查询资金接口*/
//		service.queryAsset(param,function(data){
//			var error_no = data.error_no;
//			var error_info = data.error_info;
//			var result = data.results;
//			if(error_no == "0" && result.length != 0)
//			{
//				if(result[0].money_type ==0){
//					useable_money=result[0].useable_money;
//				}
//			}
//			else
//			{
//				layerUtils.iAlert(error_info);
//			}
//		});
//	}
	
	/* 查询账户所属银行*/
	function accountBank(){
		var fund_account=appUtils.getSStorageInfo("fund_account");
		var param={"fund_account" : fund_account};

		/*调用转账查询接口*/
		service.accountBank(param,function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			var result = data.results;
			if(error_no == "0" && result.length != 0)
			{
				var allBankStr="";
				var moneyType="";
				for(i=0; i<result.length;i++){

					// 获取银行枚举
					var bankName=result[i].bank_name;
//					var money_type=result[i].money_type;
					var bankCode=result[i].bank_no;
//					if(money_type==0){
//						allBankStr+="<li style='color:#fff;margin-left:10px;font-size:18px;'>请选择银行:</li>";
//						allBankStr+="<li><span  money_type='"+money_type+"'  bankname='"+bankName+"' id='"+bankCode+"' >"+bankName+"</span></li>";
//					}
					var bankFlag="";
					var bankName="";
					if(bankCode=='5'){
						bankFlag="images/bank/bank-logo.png";
						bankName="招商银行";
					}else if(bankCode=='6'){
						bankFlag="images/bank/NUHUFRrHx.png";
						bankName="中国银行";
					}else if(bankCode=='4'){
						bankFlag="images/bank/icon1.png";
						bankName="农业银行";
					}else if(bankCode=='9'){
						bankFlag="images/bank/icon7.png";
						bankName="兴业银行";
					}else if(bankCode=='b'){
						bankFlag="images/bank/huaxia.png";
						bankName="华夏银行";
					}else if(bankCode=='c'){
						bankFlag="images/bank/icon16.png";
						bankName="光大银行";
					}else if(bankCode=='d'){
						bankFlag="images/bank/icon8.png";
						bankName="中信银行";
					}else{
						bankFlag="images/bank/icon5.png";
						bankName="浦发银行";
					}
					var bank_card_no=result[i].bank_card_no;
					bank_card_no=bank_card_no.substring(bank_card_no.length-4);
					
					if(i==0){
						allBankStr +="<dl class='clearfix'><dt><img src='"+bankFlag+"' alt='' title=''></dt><dd><h3>"+bankName+"</h3>";
						allBankStr +="<p>尾号<span>"+bank_card_no+"</span></p><a href='javascript:void(0);'></a></dd></dl>";
//						$(_pageId+" #bank_card_no").val(result[i].bank_card_no);
						$(_pageId+" #bank_no").val(bankCode);
					}else{
						allBankStr +="<dl class='clearfix' style='display:none'><dt><img src='"+bankFlag+"' alt='' title=''></dt><dd><h3>"+bankName+"</h3>";
						allBankStr +="<p>尾号<span>"+bank_card_no+"</span></p></dd></dl>";
					}
				}
				$(_pageId+" #bank_list").html(allBankStr);  // 填充银行信息
				queryPwd();
			
//			/*选中值赋给选择框*/
//			appUtils.bindEvent($(_pageId+" #moneytype ul li span"),function(){
//				var bankName = $(this).text();  //当前选中银行的值
//				$(_pageId+" .money_type").text(bankName);	  //选中值赋给选择框
//				$(_pageId+" #banktype").hide();
//				$(_pageId+" #moneytype").hide();
//				if (moneyType==$(this).attr("id")){
//				}
//				else{
//					layerUtils.iMsg(-1,"对不起，银行账户不存在此种货币！");
//					$(_pageId+" .money_type").text("");
//					return false;
//				}
//			});
			
			}
			else
			{
				layerUtils.iAlert(error_info);
			}
		});


	}

	function queryPwd(){
		bankAcco=$(_pageId+" #bank_no").val();
		var param = {
			"trans_type" : trans_type,
			"bank_no" :  bankAcco
		};	
		/*调用 银行转账接口*/
		service.queryPwd(param,function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			var result = data.results;
			if(error_no == "0" )
			{
				if(result.length == 0){
					layerUtils.iMsg(-1,"暂无返回数据!");
					return false;
				}
				 is_bank_pwd=result[0].is_bank_pwd;
				 is_fund_pwd=result[0].is_fund_pwd;
				 is_trade_pwd=result[0].is_trade_pwd;
				if(is_bank_pwd=="1"){
					$(_pageId+" .bankPassword").show();
				}else{
					$(_pageId+" .bankPassword").hide();
				}
				if(is_fund_pwd=="1"){
					$(_pageId+" .fundPassword").show();
				}else{
					$(_pageId+" .fundPassword").hide();
				}
				if(is_trade_pwd=="1"){
					$(_pageId+" .tradePassword").show();
				}else{
					$(_pageId+" .tradePassword").hide();
				}
			}
			else
			{
				layerUtils.iAlert(error_info);
			}
		});
	}

	/* 银行转账*/
	function bankTrans(){
		//product_id=appUtils.getPageParam().product_id;
		//加密
		service.getRSAKey({},function(data){
			if(data.error_no=="0")
			{
				var modulus = data.results[0].modulus;
				var publicExponent =data.results[0].publicExponent;
				var endecryptUtils = require("endecryptUtils");
				if($.trim($(_pageId+" #trade_pwd").val())!=""){
					var trade_pwd=endecryptUtils.rsaEncrypt(modulus,publicExponent,$.trim($(_pageId+" #trade_pwd").val()));//机密后的密码
				}else{
					var trade_pwd=$(_pageId+" #trade_pwd").val();
				}
				if($.trim($(_pageId+" #bank_pwd").val())!=""){
					var bank_pwd=endecryptUtils.rsaEncrypt(modulus,publicExponent,$.trim($(_pageId+" #bank_pwd").val()));//机密后的密码
				}else{
					var bank_pwd=$(_pageId+" #bank_pwd").val();
				}
				if($.trim($(_pageId+" #fund_pwd").val())!=""){
					var fund_pwd=endecryptUtils.rsaEncrypt(modulus,publicExponent,$.trim($(_pageId+" #fund_pwd").val()));//机密后的密码
				}
				else{
					var fund_pwd=$(_pageId+" #fund_pwd").val();
				}
				var fund_account = appUtils.getSStorageInfo("fund_account");
//				var fund_money= $(_pageId+" .fund_amount").val();	//转账金额
/*				if(trade_pwd==null||trade_pwd=="")
				{
					layerUtils.iMsg(-1,"支付密码不能为空！");
					return false;
				}
				if(bank_pwd==null||bank_pwd=="")
				{
					layerUtils.iMsg(-1,"银行密码不能为空！");
					return false;
				}
*/				

				if(trans_type==1){
					var param = {
						"fund_account" : fund_account,
						"trans_type" : trans_type,
						"bank_no" :  bankAcco,
						"money_type" :  "",
						"fund_pwd" : fund_pwd,
						"trade_pwd": trade_pwd,
						"bank_pwd":bank_pwd,
						"fund_amount" : $(_pageId+" #transferValue").val()
					};	
					/*调用 银行转账接口*/
					service.bankTrans(param,function(data){
						var error_no = data.error_no;
						var error_info = data.error_info;
						var result = data.results;
						if(error_no == "0"&& result.length != 0)
						{

							if(product_id!=null)
							{
								layerUtils.iMsg(-1,"银证转账成功,请重新支付");
								var tot_price=appUtils.getPageParam().tot_price;
								var param={
										"product_id":product_id,
										"tot_price":tot_price
								}
								if(appUtils.getSStorageInfo("_prePageCode")=="mall/finanOrder/confirmOrder"){
									appUtils.pageInit("account/bankTransfer","mall/finanOrder/confirmOrder",param);
								}
								if(appUtils.getSStorageInfo("_prePageCode")=="mall/fundOrder/confirmOrder"){
									appUtils.pageInit("account/bankTransfer","mall/fundOrder/confirmOrder",param);
								}
								if(appUtils.getSStorageInfo("_prePageCode")=="mall/infoOrder/confirmOrder"){
									appUtils.pageInit("account/bankTransfer","mall/infoOrder/confirmOrder",param);
								}
							}
							else
							{
								layerUtils.iMsg(-1,"银证转账成功!");
								appUtils.pageInit("account/bankTransfer","account/userCenter",{});
							}
							
						}
						else
						{
							if(error_no==-61){
								layerUtils.iAlert("柜台交易系统正在维护...");
							}else{
								layerUtils.iAlert(error_info);
							}
							$(_pageId+" .trade_box input").val("");
							$(_pageId+" .money_type").html("");
							$(_pageId+" #tradePwd em").html("支付密码");//切换时清除密码
							$(_pageId+" .bank_no").html("");  //切换时清除银行
							$(_pageId+" #bankPwd em").html("银行卡密码");
							$(_pageId+" #fundPwd em").html("提现密码");
							$(_pageId+" #trade_pwd").val("");  // 清除密码
							$(_pageId+" #fund_pwd").val("");  // 清除密码
							$(_pageId+" #bank_pwd").val(""); 
							$(_pageId+" #bankPwd").attr("data-password","");  // 清除标志
							$(_pageId+" #fundPwd").attr("data-password","");  // 
							$(_pageId+" #tradePwd").attr("data-password","");  // 清除密码
						}
					});
				}
				else if(trans_type==2){
					var param = {
						"fund_account" : fund_account,
						"trans_type" : trans_type,
						"bank_no" :  bankAcco,
						"money_type" :  "",
						"fund_pwd" : fund_pwd,
						"trade_pwd": trade_pwd,
						"bank_pwd":bank_pwd,
						"fund_amount" :  $(_pageId+" #transferValue").val()
					};	
					/*调用 银行转账接口*/
					service.bankTrans(param,function(data){
						var error_no = data.error_no;
						var error_info = data.error_info;
						var result = data.results;
						if(error_no == "0" && result.length != 0)
						{
							layerUtils.iMsg(-1,"银证转账成功!");
							appUtils.pageInit("account/bankTransfer","account/userCenter",{});
						}
						else
						{
							if(error_no==-61){
								layerUtils.iAlert("柜台交易系统正在维护...");
							}else{
								layerUtils.iAlert(error_info);
							}
							$(_pageId+" .trade_box input").val("");
							$(_pageId+" .money_type").html("");
							$(_pageId+" #tradePwd em").html("支付密码");//切换时清除密码
							$(_pageId+" .bank_no").html("");  //切换时清除银行
							$(_pageId+" #bankPwd em").html("银行卡密码");
							$(_pageId+" #fundPwd em").html("提现密码");
							$(_pageId+" #trade_pwd").val("");  // 清除密码
							$(_pageId+" #fund_pwd").val("");  // 清除密码
							$(_pageId+" #bank_pwd").val(""); 
							$(_pageId+" #bankPwd").attr("data-password","");  // 清除标志
							$(_pageId+" #fundPwd").attr("data-password","");  // 
							$(_pageId+" #tradePwd").attr("data-password","");  // 清除密码
						}
					});
				}
			}
		},false);	
	}


	/* 信息验证*/
	function verifyInfo(){
//		var bank_no = $(_pageId+" .bank_no").text();
//		var money_type = $(_pageId+" .money_type").text();
		var fund_pwd = $(_pageId+" #fund_pwd").val();
		var trade_pwd = $(_pageId+" #trade_pwd").val();
		var bank_pwd = $(_pageId+" #bank_pwd").val();
		var fund_amount = $(_pageId+" #transferValue").val();
//		if(bank_no == ""||bank_no==null)
//		{
//			layerUtils.iMsg(-1,"请选择银行！");
//			return false;
//		}
//
//		if(money_type == ""||money_type==null)
//		{
//			layerUtils.iMsg(-1,"币种不能为空");
//			return false;
//		}
		if(is_bank_pwd==1){
			if(bank_pwd == ""||bank_pwd==null)
			{
				layerUtils.iMsg(-1,"银行密码不能为空");
				return false;
			}
		}
		
		if(is_fund_pwd==1){
			if(fund_pwd == ""||fund_pwd==null)
			{
				layerUtils.iMsg(-1,"提现密码不能为空");
				return false;
			}
		}
		
		if(is_trade_pwd==1){
			if(trade_pwd == ""||trade_pwd==null)
			{
				layerUtils.iMsg(-1,"支付密码不能为空");
				return false;
			}
		}
		

		if(fund_amount == ""||fund_amount==null)
		{
			layerUtils.iMsg(-1,"转账金额不能为空");
			return false;
		}
		//判断输入的值是否为数字
		if(isNaN(fund_amount))
		{
			layerUtils.iMsg(-1,"输入的金额必须为数字！");
			$(_pageId+" #transferValue").val("");
			return false;
		}
		return true;
	}


	function destroy()
	{
		//清除数据
		$(_pageId+" .trade_box input").val("");
		$(_pageId+" .money_type").val("");
		$(_pageId+" #transferValue").val("");
		$(_pageId+" #bankPwd em").html("银行卡密码");//切换时清除密码
		$(_pageId+" #fundPwd em").html("提现密码");//切换时清除密码
		$(_pageId+" #tradePwd em").html("支付密码");//切换时清除密码
		$(_pageId+" #bankPwd").attr("data-password","");  // 清除标志
		$(_pageId+" #fundPwd").attr("data-password","");  // 
		$(_pageId+" #tradePwd").attr("data-password","");  // 清除密码
		$(_pageId+" #bank_no").val("");  //切换时清除银行
		$(_pageId+" #trade_pwd").val("");  // 清除密码
		$(_pageId+" #fund_pwd").val("");  // 清除密码
		$(_pageId+" #bank_pwd").val(""); 
		keyPanel.closeKeyPanel();
		service.destroy();

	}

	var changeQuery = 
	{
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};

	module.exports = changeQuery;

});