/**
 * 滴滴打车首页
 */
define('mall/scripts/account/dropsTaxi.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var pageId = "#account_dropsTaxi ";
	var pageCode = "account/dropsTaxi";
	var gconfig = require("gconfig");
	var platform=gconfig.platform;//判断app或pc用
	var global = gconfig.global;
	var common = require("common");
	var URL=global.url;
	var layerUtils = require("layerUtils"); 
	var pageCodeIn="";//传进来的地址
	var type="";//1为 所有时间段的活动表，2为查询当前时间点活动
	//初始化
	function init(){
		common.initTitle(pageId);
		pageCodeIn= appUtils.getPageParam("pageCode");//页面传进来的地址
		//findDropsTime();//查询当前时间活动
		findDropsTimeOne();
		$(pageId+" #didi_jrc").removeClass("shade_box");//去除接入层
		$(pageId+" .date_pop").hide();//列表关闭
		setTimeout(findDropsTimeOne, 60000);  //定时任务5分钟刷新一次
	}
	//查询单签时间活动列表
	function findDropsTime(){
		service.findDropsTime({"type":"1"}, function(data){
			var error_no = data.error_no;
			if(error_no=="0"){
				var dropsresults = data.results;
				if(dropsresults==""){
					$(pageId+" #didi_timelist").html("");
				}else{
					var str="<table><tr><th>日期</th><td>开始时间至结束时间</td></tr>";
					for(var i = 0;i<dropsresults.length;i++){
						//var id = dropsresults[i].id;//id
						var rq = dropsresults[i].rq;//日期
						var starttime = dropsresults[i].starttime;//开始时间段
						var endtime = dropsresults[i].endtime;//结束时间段
						var start="08:00";
						var end="00:00";
						if(starttime!=null&&starttime!="") {
							 start=starttime.split(":");
						}
						if(endtime!=null&&endtime!="") {
							 end=endtime.split(":");
						}
						var total = dropsresults[i].total;//发行总数量
						//var remainingnumber = dropsresults[i].remainingnumber;//剩余总数量
						//var lastupdatetime = dropsresults[i].lastupdatetime;//最后更新时间
						str+="<tr><th>"+rq+"</th><td>"+start[0]+":"+start[1]+"至"+end[0]+":"+end[1]+"发放"+total+"</td></tr>";
					}
					str +="</table>";
					$(pageId+" #didi_timelist").html(str);
				}
			};
		});
	}
	//查询单签时间活动单个
	function findDropsTimeOne(){
		service.findDropsTime({"type":"2"}, function(data){
			var error_no = data.error_no;
			if(error_no=="0"){
				var dropsOne = data.results;
				var oneStr="";
				if(dropsOne==""){//没有数据
				oneStr = "<h5>----</h5><div class='info_box pop in'>" +
						 "<span><strong>--</strong><p>限时领取</p></span>" +
						 "<span><strong>--</strong><p>剩余数量</p></span></div>"+
						 "<a href='javaScript:void(0);' class='look_btn'>查看活动开抢时间 ></a>";
				
				findDropsTime();
				$(pageId+" #didi_coupon").removeClass("btn");//删除样式
				$(pageId+" #didi_coupon").addClass("btn1");//增加样式
				$(pageId+" #didi_jrc").addClass("shade_box");//添加接入层
				$(pageId+" .date_pop").show();//列表显示
				}else{
					var rq = dropsOne[0].rq;//日期
					var remainingnumber = dropsOne[0].remainingnumber;//剩余总数量	
					var endtime =rq+" "+ dropsOne[0].endtime;//结束时间段
					var sta_str=new Date();//当前时间
					var end_str = endtime.replace(/-/g,"/"); //转化结束时间
					var end_date = new Date(end_str);//结束时间
					var timer = (end_date-sta_str)/1000;//求出两个时间的时间差(单位是秒)
					oneStr = "<h5>"+rq+"</h5><div class='info_box pop in'>" +
					 "<span><strong id='timedjs'></strong><p>限时领取</p></span>" +
					 "<span><strong>"+remainingnumber+"</strong><p>剩余数量</p></span></div>"+
					 "<a href='javaScript:void(0);' class='look_btn'>查看活动开抢时间 ></a>";
					startMsgCodeTimer(timer);//倒计时开始
					if(remainingnumber=="0"){
						$(pageId+" #didi_coupon").removeClass("btn");//删除样式
						$(pageId+" #didi_coupon").addClass("btn1");//增加样式
					}else{
						$(pageId+" #didi_coupon").removeClass("btn1");//删除样式
						$(pageId+" #didi_coupon").addClass("btn");//增加样式
					}
					}
					$(pageId+" #didi_onetime").html(oneStr);//显示样式
					
			}
			//查看活动开枪时间
			appUtils.bindEvent($(pageId+" .look_btn"),function(){
				$(pageId+" #didi_jrc").addClass("shade_box");//添加接入层
				$(pageId+" .date_pop").show();//列表显示
				findDropsTime();
				clearMsgCodeTimer();
			});
		});
	}
	/**
	 * 时间倒计时
	 */
	function startMsgCodeTimer(timer){
		var intDiff = parseInt(timer);//倒计时总秒数量
	    window.setInterval(function(){
	    var day=0,
	        hour=0,
	        minute=0,
	        second=0;//时间默认值        
	    if(intDiff > 0){
	        hour = Math.floor(intDiff / (60 * 60)) - (day * 24);
	        minute = Math.floor(intDiff / 60) - (day * 24 * 60) - (hour * 60);
	        second = Math.floor(intDiff) - (day * 24 * 60 * 60) - (hour * 60 * 60) - (minute * 60);
	    }
	    if (minute <= 9) minute = '0' + minute;
	    if (second <= 9) second = '0' + second;
	    $(pageId + " #timedjs").html(hour+':'+minute+':'+second);
	    intDiff--;
	    }, 1000);
	} 
	/**
     * 清除时间倒计时
     */
    function clearMsgCodeTimer()
    {
        $(pageId + " #timedjs").html("");
    }
	//集团员工认证控制方法
	function controlMethod(obj){
		var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆			
		if(login_flag!="true"){//没有登入
			var pageInParam = {
					"prePageCode" : pageCode,
					"backUrl" : "account/dropsTaxi"
			};
			appUtils.pageInit(pageCode, "account/userLogin",{"backparam":pageInParam});
		}else{//登入
			var param1={
				"userid":appUtils.getSStorageInfo("user_id"),
				"source":"2"
			};
			service.DropsCoupon(param1, function(data){
				var error_no = data.error_no;
				if(error_no=="0"){
					var couponresults = data.results;
					if(couponresults!=""){
						var backUrl = couponresults[0].backUrl;//返回的地址
						window.location.href=backUrl;//跳转到相应的界面
					}else{
						layerUtils.iMsg(0,data.error_info);//提示报错
					}
				}
			});
		}
		};
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			if(pageCodeIn=="groupExclusive/groupLuxuryV3"){
				appUtils.pageInit(pageCode,"groupExclusive/groupLuxuryV3");
			}else{
				appUtils.pageInit(pageCode,"account/index");
			}
			
		});
		//列表关闭 
		appUtils.bindEvent($(pageId+" .close_btn"),function(){
			$(pageId+" #didi_jrc").removeClass("shade_box");//去除接入层
			$(pageId+" .date_pop").hide();//列表关闭
			//findDropsTimeOne();//查询单签时间活动单个
			
		});
		
		//关闭滴滴列表页面
		appUtils.bindEvent($(pageId+" .icon_close"),function(){
			$(pageId+" #didi_jrc").removeClass("shade_box");//去除接入层
			$(pageId+" .date_pop").hide();//列表关闭
			//findDropsTimeOne();//查询单签时间活动单个
			
		});
		
		
		//领取优惠卷
		appUtils.bindEvent($(pageId+" #didi_coupon"),function(){
			var bnt=$(pageId+" #didi_coupon").attr("class");//获取是否可以领取的值
			var q=bnt.split(" ");//分割取第一个
			if(q[0]=="btn"){
				controlMethod(this);//集团员工认证控制方
			}
			
		});
	}
	//销毁
	function destroy(){
//		$(pageId+" #didi_jrc").addClass("shade_box");//添加接入层
//		$(pageId+" .date_pop").show();//列表显示
		$(pageId+" #didi_jrc").removeClass("shade_box");//去除接入层
		$(pageId+" .date_pop").hide();//列表关闭
		$(pageId+" #didi_coupon").removeClass("btn1");//删除样式
		$(pageId+" #didi_coupon").addClass("btn");//增加样式
		clearMsgCodeTimer();//清除倒计时
	}
	var dropsTaxi = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = dropsTaxi;
	
});