/**
 * 详情页
 */
define('mall/scripts/account/xiangqing.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var _pageId = "#account_xiangqing ";
	var common=require("common");
	//初始化
	function init(){
		common.initTitle(_pageId);
		var photo_url= appUtils.getPageParam().photo_url;
		$(_pageId+" #photo_url").attr("src",photo_url);
	}
	
	//绑定事件
	function bindPageEvent(){
		appUtils.bindEvent($(_pageId+".icon_back"),function(){
			appUtils.pageInit("account/xiangqing","account/home");
		});
	}
	
	
	//销毁
	function destroy(){
		$(_pageId+" #photo_url").attr("src","");
	}
	
	var accountGuide = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	// 暴露对外的接口
	module.exports = accountGuide;
	
});