/**
 * 预测专题  BrotherZeng
 */
define('mall/scripts/account/yczt.js',function(require, exports, module) {
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var _pageId = "#account_yczt ";
	var external = require("external");
	var platform=require("gconfig").platform;
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var common = require("common");
	var curPageNo = 1;
	var	myScroller = null; // 滚动组件
	var	VIscroll = require("vIscroll");
	
	//初始化  10893781
	function init(){
		common.initTitle(_pageId);
		common.clearCommonCss();
		curPageNo = 1;
		getImgUrl();
	}
	
	//获取图片地址
	function getImgUrl(){
		var param = {
			"groupNo" : "appzxyc"
		};
		service.getImgUrl(param,function(data){
			if(data.error_no == "0"){
				var results = data.results;
				var picture = results[0].small_picture;
				var imgstr = '<img src="http://www.avicsec.com'+ picture +'" alt="" title="">';
				$(_pageId+" .financial-banner").html(imgstr);
				queryTitle();
			}else{
				layerUtils.iMsg(-1,data.error_info);
				return false;
			}
		});
	}
	
	//查询标题
	function queryTitle(){
		var param = {
			"catalog_id" : "3499",
			"page" : curPageNo,
			"pageSize" : "10"
		};
		service.testTitle(param,function(data){
			if(data.error_no == "0"){
				var result = data.results;
				var list = "";
				var li = "";
				for(var i = 0;i<result.length;i++){
					var title = result[i].title;
					var article_id = result[i].article_id;
					var app_photo = result[i].app_photo;
					var publish_date = result[i].publish_date;
					var movieinfo = result[i].movieinfo;
					publish_date = publish_date.substring(0,4)+"."+publish_date.substring(5,7)+"."+publish_date.substring(8,10);
//					li += '<li article_id="'+ article_id +'"><a href="javascript:void(0);"><strong>'+ title.substring(0,15) +' ......</strong><em>&nbsp&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'+ publish_date +'</em></a></li>';
					li += '<dl class="clearfix" article_id="'+ article_id +'"><dt><a href="javascript:void(0);"><img style="margin-top:15%;" src="http://www.avicsec.com'+ app_photo +'" alt="" title=""></a></dt><dd>'+
                    					'<h3>'+ title +'......</h3><h4 style="line-height:20px;margin-top:15%;">'+ publish_date +'<span></span></h4><p>'+ movieinfo +'</p></dd></dl>';
				}
				$(_pageId+" .produce-listold").append(li);
				$(_pageId+" .produce-listold dl dd h3").css({"overflow": "hidden",
																"float":"left",
																"width": "100%",
																"height": "40px",
																"text-overflow": "ellipsis",
																"white-space": "nowraps"
															   });
				$(_pageId+" .produce-listold p").css({"height":"60px","line-height":"20px","white-space":"pre-wrap"});
//				$(_pageId+" .financial-list li a strong").css({"overflow": "hidden",
//																"float":"left",
//																"width": "57%",
//																"height": "40px",
//																"text-overflow": "ellipsis",
//																"white-space": "nowraps"
//															   });
//				$(_pageId+" .financial-list li a em").css({ "float":"right",
// 														   	"width": "30%",
//														   	"height":"30px",
//														   	"padding-right":"12%"
//														   });
				initScroller();
				appUtils.bindEvent($(_pageId+" .produce-listold dl"),function(){
					var article_id = $(this).attr("article_id");
					var param = {
						"article_id" : article_id
					};
					appUtils.pageInit("account/yczt","account/ycztArticle",param);
				},"click");
			}else{
				layerUtils.iMsg(-1,data.error_info);
				return false;
			}
		});
	}
	
	/**
	 * 初始化滚动组件
	 */
	function initScroller()
	{
		if(myScroller)
		{
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(_pageId + " #list")
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
		else
		{
			var visibleHeight = $(window).height() - $(_pageId + ".new-header").height(); // 滑动组件的可见高度
			var scrollerParam = {
				isPagingType: false,
				isHasHead: false,
				visibleHeight: visibleHeight,
				container: $(_pageId + " #list").parents(".visc_wrapper").parent(), // container元素
				wrapper: $(_pageId + " #list").parents(".visc_wrapper"), // wrapper元素
				downHandle : function() {
					$(_pageId+" .produce-listold").html("");
					curPageNo = 1;
					queryTitle();
				},
				upHandle : function(){
					curPageNo++;
					queryTitle();
				}
			};
			myScroller = new VIscroll(scrollerParam); //初始化
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(_pageId + " #list")
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
	}
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			window.location.href="/m/mall/index.html#!/account/chiefPoint.html";
		});
		
		/*//分享
		appUtils.bindEvent($(_pageId+" #appShare"),function(){
			var link = global.shareLink;
        	var param={
				moduleName: "mall", // String	目标模块名	N
				funcNo: "50230",
				shareTypeList: "22,23,24",
				title: "翼启航预测专题",
				link:  link+"/m/mall/#!/account/yczt.html",
				content: "最全最新的预测",
				imgUrl: ""
			};
			external.callMessage(param);
		})*/;
	}
	
	//销毁
	function destroy(){
		$(_pageId+" .produce-listold").html("");
	}
	
	var chiefPoint = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = chiefPoint;
	
});