/**
 * 新首页 BrotherZeng
 */
define('mall/scripts/account/ytg/PlayGame.js',function(require, exports, module){
	var	pageCode = "account/ytg/PlayGame";
	var _pageId = "#account_ytg_PlayGame ";
	var external = require("external");
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var ytgService = require("ytgService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var platform=require("gconfig").platform;
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var domain = gconfig.global.domain;
	var URL=global.url;
	var common = require("common");
	var constants=require("constants");//常量类
	var	curPageNo = 1; // 当前页序号
	var	myScroller = null; // 滚动组件
	var	VIscroll = require("vIscroll");
	//下标0的元素表示头部滑动，1、2、3分别表示推荐理财、推荐基金和推荐资讯
	var customHIscroll= [{"scroll":null,"_init":false},{"scroll":null,"_init":false},{"scroll":null,"_init":false}];
	var HIscroll =require("hIscroll");
	var picLoadTimer = null;
	var type = "1";
	var bdflag = 1;// 1是赛场榜单  2是筛选榜单
	var currPage = 1;
	//初始化
	function init(){
		common.initTitle(_pageId);
		// 样式兼容性问题
		common.initFootbutton(_pageId,pageCode);
		/*common.initLoginStyle();*/
		common.loadNewCss();
		queryBd(1); // 查询榜单数据
		$(".nav_box3").children("a").children("span").children("div").css("color","#fff");
		$(".rank_list h3 span").html("英雄联盟");
		$("#yxlm").children("span").children("div").css("color","#FFF200");
		initAdScroller();
		
		//$(_pageId+" #scroller #showBd").css("height","100%");
	}
	
	function queryBd(type) {
			var param = {
				"type" : type,
				"page" : curPageNo,
				"pageSize" : "10",
					"user_id":appUtils.getSStorageInfo("yqtid")
			};
			service
					.queryBd(
							param,
							function(data) {
								var error_no = data.error_no;
								var error_info = data.error_info;
								var bdData = data.results[0].data;
								if(curPageNo==1){
									$(_pageId + " #bdShow").html("");
								}
								if (error_no == 0) {
									if( curPageNo == 1&&bdData.length==0) {
										// 暂无数据
										var nodata  = "<div style='font-size:16px; color:#9999B1;  text-align:center; padding-top:150px; margin-top: 0.1rem;'>暂无数据</div>";
										$(_pageId + " #bdShow").append(nodata);
									}else {
										
									
									for ( var i = 0; i < bdData.length; i++) {
										var xm = bdData[i].yyxm;
										var star = bdData[i].star;
										var inUserid = appUtils.getSStorageInfo("yqtid");
										if(inUserid==null||inUserid=="") {
											inUserid=bdData[i].xsid;
										}
										var xsid = bdData[i].xsid;
											var style  = "top4";
											var rank = "class='rank_01'";
											if(curPageNo==1&&i==0) {
												style = "top1";
												rank = "class='rank_01'";
											}else if(curPageNo==1&&i==1) {
												style = "top2";
												rank = "class='rank_02'";
											}else if(curPageNo==1&&i==2) {
												style = "top3";
												rank = "class='rank_03'";
											}else {
												style = "top4";
												rank = "";
											}
											var gzClass = "";
											// 判断是否关注
											if(bdData[i].sub_status=="1") {
												gzClass="btn_followed";
											}else {
												gzClass="btn_follow";
											}
											var syl = ""+bdData[i].profit+"%";
											if(bdData[i].zsy==null||bdData[i].profit=="") {
												syl = "暂无数据";
											}
											var zcg = ""+bdData[i].zcg+"";
											if(bdData[i].zcg==null||bdData[i].zcg=="") {
												zcg = "暂无持仓";
											}
											var ranknum = (parseInt(i)+(1)+(10*(curPageNo-1)));
											if(ranknum==1||ranknum==2||ranknum==3) {
												ranknum="";
											}
											var face_image = bdData[i].face_image_small;// 投顾头像;
											face_image = face_image ? face_image:constants.ytg_img.INVEST_IMG ;
											var top = "<tr class='"+style+"' user_id="+xsid+" fsnum="+bdData[i].fans_num+"><td width='150'><dl><dt><img src='" +domain+ face_image + "' alt=''><em "+rank+">" 
											+ranknum+"</em></dt><dd><strong></strong><p>"+bdData[i].yyxm+"</p></dd><dd><strong></strong><p>粉丝数：<span class='fsnum'>"+bdData[i].fans_num+"</span></p></dd>"+
											"</dl></td><td><p>比赛收益</p><p><span ><strong class=' "+ (bdData[i].profit >=0 ? 'red' : 'agreen') + "' >"+syl+"</strong></span></p></td><td><p>重仓股" +
											"</p><p><span>"+zcg+"</span></p></td><td><a href='javaScript:void(0);' class='"+gzClass+"'>关注</a></td></tr>";
											$(_pageId + " #bdShow").append(top);
		
									}
									}
									appUtils.bindEvent($(_pageId +"#bdShow  .btn_follow"),function(e){
										userSubInvestOrCancel(this);
										e.stopPropagation();
									});
									appUtils.bindEvent($(_pageId +"#bdShow  .btn_followed"),function(e){
										userSubInvestOrCancel(this);
										e.stopPropagation();
									});
									
									appUtils.bindEvent($(_pageId +"#bdShow tbody tr td dl"),function(e){
										var user_id=$(this).parent().parent().attr("user_id");
										common.grzyTz(user_id,pageCode);//翼投顾中个人主页跳转统一方法

									});
									initScroller();
								} else {
									layerUtils.iMsg(-1, error_info);
								}
							});
	};
	
	function isLogin() {
		var islogin = appUtils.getSStorageInfo("_isLoginIn");
		appUtils.setSStorageInfo("_prePageCode",pageCode);
		var param={
			"pageCode":pageCode	
		};
		if (islogin!="true") {
			common.findLogin(param);
			//appUtils.pageInit(pageCode, "account/userLogin");
			return false;
		}
		return true;
	}
	
	//绑定事件
	function bindPageEvent(){
		// 跳转到英雄列表-》newsFlash
		appUtils.bindEvent($(_pageId+" .toHeroList_newsFlash"),function(){
			var param = {
				"pageCode" : pageCode,
				"heroType" : "toHeroList_newsFlash"
			};
			appUtils.pageInit(pageCode,"account/heroList",param);
		});
		// 英雄聯盟
		appUtils.bindEvent($(_pageId+" #yxlm"),function(){
			curPageNo=1;
			type="1";
			bdflag=1;
			$(this).addClass("bounceIn");
			$(".rank_list h3 span").html("英雄联盟");
			$(this).children("span").children("div").css("color","#FFF200");
			
			$(this).siblings().children("span").children("div").css("color","#fff");
			$(this).siblings().removeClass("bounceIn");
			queryBd("1");
		});
		// 英雄聯盟
		appUtils.bindEvent($(_pageId+" #ryzl"),function(){
			curPageNo=1;
			type="2";
			bdflag=1;
			$(this).addClass("bounceIn");
			$(this ).css("color","#FFF200");
			$(this).children("span").children("div").css("color","#FFF200");
			$(this).siblings().children("span").children("div").css("color","#fff");
			$(".rank_list h3 span").html("荣耀之路");
			$(this).siblings().removeClass("bounceIn");
			queryBd("2");
		});
		// 英雄聯盟
		appUtils.bindEvent($(_pageId+" #dfdj"),function(){
			curPageNo=1;
			type="3";
			bdflag=1;
			$(this).addClass("bounceIn");
			$(this).css("color","#FFF200");
			$(this).children("span").children("div").css("color","#FFF200");
			$(this).siblings().children("span").children("div").css("color","#fff");
			$(".rank_list h3 span").html("巅峰对决");
			$(this).siblings().removeClass("bounceIn");
			queryBd("3");
		});
		// 英雄聯盟
		appUtils.bindEvent($(_pageId+" #wzzb"),function(){
			curPageNo=1;
			type="4";
			bdflag=1;
			$(this).addClass("bounceIn");
			$(this).css("color","#FFF200");
			$(this).children("span").children("div").css("color","#FFF200");
			$(this).siblings().children("span").children("div").css("color","#fff");
			$(".rank_list h3 span").html("王者争霸");
			$(this).siblings().removeClass("bounceIn");
			queryBd("4");
		});
		
		// 登陆
		appUtils.bindEvent($(_pageId + " .left_text"), function() {
			appUtils.pageInit(pageCode, "account/userLogin");
		});
		// 搜索
		appUtils.bindEvent($(_pageId + " .icon_search"), function() {
		});
		// 主页
		appUtils.bindEvent($(_pageId + " #index"), function(event) {
			 event.stopPropagation();
			appUtils.pageInit(pageCode, "account/index");
		},"touchstart");
		// 翼启投
		appUtils.bindEvent($(_pageId + " #yqt"), function(event) {
			 event.stopPropagation();
			appUtils.pageInit(pageCode, "account/ytg/yqt");
		},"touchstart");
		// 理财
		appUtils.bindEvent($(_pageId + " #lc"), function(event) {
			 event.stopPropagation();
			appUtils.pageInit(pageCode, "mall/moneyShop");
		},"touchstart");
		// 生活
		appUtils.bindEvent($(_pageId + " #sh"), function(event) {
			 event.stopPropagation();
			appUtils.pageInit(pageCode, "life/lifeIndex");
		},"touchstart");
		// 我的
		appUtils.bindEvent($(_pageId + " #wd"), function(event) {
			appUtils.setSStorageInfo("_loginInPageCode","userCenter/wd");//保存要跳转的页面
			 event.stopPropagation();
			appUtils.pageInit(pageCode, "userCenter/wd");
		},"touchstart");
		//头部返回
		appUtils.bindEvent($(_pageId + ".icon_back"), function(e){
			appUtils.pageBack();
		});
		// 设置
		appUtils.bindEvent($(_pageId + " .icon_set"), function() {
			//appUtils.setSStorageInfo("_loginInPageCode","userCenter/wd");//保存要跳转的页面
			var param = {
				"pageCode" : pageCode
			};
			appUtils.pageInit(pageCode, "userCenter/wdsz",param);
		});
		//高手
		appUtils.bindEvent($(_pageId+" #adviser"),function(){
			appUtils.pageInit(pageCode,"account/ytg/queryAdviser");
		});
	// 发现
		appUtils.bindEvent($(_pageId+" #yqt"),function(){
			appUtils.pageInit(pageCode,"account/ytg/yqt");
		});
		appUtils.bindEvent($(_pageId+" .icon_xx"),function(){
			var islogin = appUtils.getSStorageInfo("_isLoginIn");
			if(islogin!="true"){
				appUtils.pageInit("account/index","account/userLogin");
				return;
			}
			var paramO = {
					"funcNo":"50101",
					"moduleName":"im",
					"params" : {"iphone":appUtils.getSStorageInfo("mobile_phone"),"pwd":"888888"}
				};
				external.callMessage(paramO);
		});
		// 发现
		appUtils.bindEvent($(_pageId+" #trends"),function(){
			appUtils.pageInit(pageCode,"account/ytg/yqtTrends");
		});
		// 筛选条件btn_filter
		appUtils.bindEvent($(_pageId+" .btn_filter"),function(){
			$(".btn_filter").toggleClass("active");  
			if("btn_filter"==$(".btn_filter").attr("class")) {
				$(".screen_shadow").hide();
			}else {
				$(".screen_shadow").show();
			}
		});
		// 最牛组合
		appUtils.bindEvent($(_pageId+" #znzh"),function(){
			curPageNo=1;
			queryBdbyflag("35");
			type="35";
			$(".rank_list h3 span").html("最牛组合");
			bdflag = 2;
			$(".btn_filter").toggleClass("active");  
			$(".nav_box3 a span").css("color","#FFF200");
			$(".screen_shadow").hide();
		});
		
		// 专业投顾
		appUtils.bindEvent($(_pageId+" #zytg"),function(){
			curPageNo=1;
			$(".rank_list h3 span").html("专业投顾");
			queryBdbyflag("28");
			type="28";
			bdflag = 2;
			$(".btn_filter").toggleClass("active");  
			$(".nav_box3 a span").css("color","#FFF200");
			$(".screen_shadow").hide();
		});
		
		// 服务达人
		appUtils.bindEvent($(_pageId+" #fwdr"),function(){
			curPageNo=1;
			$(".screen_shadow").hide();
			$(".rank_list h3 span").html("服务达人");
			bdflag = 2;
			type="30";
			$(".btn_filter").toggleClass("active");  
			$(".nav_box3 a span").css("color","#FFF200");
			queryBdbyflag("30");
		});
		
		// 民间高手
		appUtils.bindEvent($(_pageId+" #mjgs"),function(){
			curPageNo=1;
			type="29";
			$(".screen_shadow").hide();
			$(".rank_list h3 span").html("民间高手");
			bdflag = 2;
			$(".btn_filter").toggleClass("active");  
			$(".nav_box3 a span").css("color","#FFF200");
			queryBdbyflag("29");
		});
		
		// IM
		appUtils.bindEvent($(_pageId+" #im"),function(){
			var islogin = appUtils.getSStorageInfo("_isLoginIn");
			if(islogin!="true"){
				appUtils.pageInit("account/index","account/userLogin");
				return;
			}
			var paramO = {
					"funcNo":"50101",
					"moduleName":"im",
					"params" : {"iphone":appUtils.getSStorageInfo("mobile_phone"),"pwd":"888888"}
				};
				external.callMessage(paramO);
		});
	}
	
	function queryBdbyflag(flag){
		var param = {
				"order_flag" : flag,
				"cur_page" : curPageNo,
				"num_ber_page" : "10",
				"user_id":appUtils.getSStorageInfo("yqtid")
			};
		ytgService
					.queryBdforflag(
							param,
							function(data) {
								var error_no = data.error_no;
								var error_info = data.error_info;
								var bdData = data.results;
								if(curPageNo==1){
									$(_pageId + " #bdShow").html("");
								}
								if (error_no == 0) {
									if( bdData.length==0) {
										// 暂无数据
										var nodata  = "<div style='font-size:16px; color:#9999B1;  text-align:center; padding-top:150px; margin-top: 0.1rem;'>暂无数据</div>";
										$(_pageId + " #bdShow").append(nodata);
									}else {
									for ( var i = 0; i < bdData.length; i++) {
										var xm = bdData[i].real_name;
										var face_image = bdData[i].big_image;// 投顾头像;
										face_image = face_image ? face_image:constants.ytg_img.INVEST_IMG ;
										var inUserid = appUtils.getSStorageInfo("yqtid");
										var xsid = bdData[i].user_id;
											var style  = "top4";
											var rank = "class='rank_01'";
											if(curPageNo==1&&i==0) {
												style = "top1";
												rank = "class='rank_01'";
											}else if(curPageNo==1&&i==1) {
												style = "top2";
												rank = "class='rank_02'";
											}else if(curPageNo==1&&i==2) {
												style = "top3";
												rank = "class='rank_03'";
											}else {
												style = "top3";
												rank = "";
											}
											
											
											var syl = ""+bdData[i].profit+"%";
											if(bdData[i].total_yields==null||bdData[i].total_yields=="") {
												syl = "暂无数据";
											}
											
											
											var top = "<tr class='"+style+"' user_id="+xsid+"><td width='150'><dl><dt><img src='"+ domain+face_image+"' alt=''><em "+rank+">" +
											+(parseInt(i)+(1)+(10*(curPageNo-1)))+"</em></dt><dd><strong></strong><p>"+xm+"</p></dd><dd><strong></strong><p>粉丝数：<span class='fsnum'>"+bdData[i].total_intrest_num+"</span></p></dd>"+
											"</dl></td><td><p>比赛收益</p><p><span>"+syl+"</span></p></td><td><p>月收益" +
											"</p><p><span>"+(bdData[i].month_one_yields * 100).toFixed(2)+"%</span></p></td><td><a href='javaScript:void(0);' class='btn_follow'>关注</a></td></tr>";
											$(_pageId + " #bdShow").append(top);
									}
									}
										
									
									appUtils.bindEvent($(_pageId +"#bdShow  .btn_follow "),function(e){
										userSubInvestOrCancel(this);
										
								});
									appUtils.bindEvent($(_pageId +"#bdShow  .btn_followed "),function(e){
										userSubInvestOrCancel(this);
										
								});
									
									appUtils.bindEvent($(_pageId +"#bdShow tbody tr td dl"),function(e){
										var user_id=$(this).parent().parent().attr("user_id");
										common.grzyTz(user_id,pageCode);//翼投顾中个人主页跳转统一方法
										

									});
									initScroller();
								} else {
									layerUtils.iMsg(-1, error_info);
								}
							});
	}
	
	/**
	 * 用户关注/取消关注投顾
	 */
	function userSubInvestOrCancel(obj) {
		if (!isLogin()) {
			return false;
		}
		var param = new Object();
		param.user_id = appUtils.getSStorageInfo("yqtid");
		param.invest_id = $(obj).parent().parent().attr("user_id");
		ytgService.userSubInvestOrCancel(param, function(resultVo) {
			if (resultVo.error_no != 0) {
				layerUtils.iAlert("用户关注/取消关注投顾失败:" + resultVo.error_info, -1);
				return false;
			}
			// 取消关注投顾成功
			if ("取消关注投顾成功" == resultVo.error_info) {
				$(obj).html("关注");
				$(obj).attr("class","btn_follow");
				
				
				var num = eval($(obj).parent().parent().attr("fsnum"))-1;
				$(obj).parent().parent().find(".fsnum").html("<span class='fsnum'>"+num+"</span>");
				$(obj).parent().parent().attr("fsnum",num);
				//$(_pageId + "#subState").html("关注");
			}
			// 关注成功
			if ("关注投顾成功" == resultVo.error_info) {
				$(obj).html("关注");
				var num = eval($(obj).parent().parent().attr("fsnum"))+1;
				$(obj).parent().parent().find(".fsnum").html("<span class='fsnum'>"+num+"</span>");
				$(obj).parent().parent().attr("fsnum",num);
				
				
				$(obj).attr("class","btn_followed");
				//$(_pageId + "#subState").html("已关注");
			}
			layerUtils.iAlert(resultVo.error_info);
		});
	}
	
	/**
	 * 初始化滚动组件
	 */
	function initScroller()
	{
		if(myScroller)
		{
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(_pageId + " #list")
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
		else
		{
			var visibleHeight = $(window).height() - $(_pageId + ".header").height()- $(_pageId + ".footer_inner").height(); // 滑动组件的可见高度
			var scrollerParam = {
				isPagingType: false,
				isHasHead: false,
				visibleHeight: visibleHeight,
				container: $(_pageId + " .index-con").parents(".visc_wrapper").parent(), // container元素
				wrapper: $(_pageId + " .index-con").parents(".visc_wrapper"), // wrapper元素
				downHandle : function() {
					curPageNo = 1;
					if(bdflag==1) {
						// 查询赛场榜单
						queryBd(type);
					}else {
						queryBdbyflag(type);
					}
					 
				},
				upHandle : function(){
				//	$(_pageId+" .visc_pullUp").show();
					curPageNo++;
					if(bdflag==1) {
						// 查询赛场榜单
						queryBd(type);
					}else {
						queryBdbyflag(type);
					}
				}
			};
			myScroller = new VIscroll(scrollerParam); //初始化
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(_pageId + " .index-con")
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
		$(_pageId+" .pay_main").hide();
		$(".visc_pullUp").hide();
		$(_pageId + " .index-con").hide();
	}
	
	/**
	 * 初始化滚动条
	 */
	function initAdScroller()
	{
		$(_pageId+" #wrapper").show();
		clearInterval(picLoadTimer);
		picLoadTimer = null;
		if(customHIscroll[0].scroll)
		{
			customHIscroll[0].scroll.destroy();
			customHIscroll[0].scroll = null;
		}
		var config = {
			wrapper: $(_pageId+" #wrapper"), //wrapper对象
			scroller: $(_pageId+" #scroller" ), //scroller对象
			perCount: 1,  //每个可视区域显示的子元素
			showTab: true, //是否有导航点
			tabDiv: $(_pageId+" #nav"), //导航点集合对象
			auto: false, //是否自动播放
			interval: null, //自动播放定时器
			wrapperObj: null
		};
		customHIscroll[0].scroll = new HIscroll(config); 
		customHIscroll[0]._init = true;
		$(_pageId+" #bdShow").show();
		$(_pageId+" #scroller").css("height","100%");
		//$$(".visc_pullUpDiv").hide();
	}
	
	//销毁
	function destroy(){
		common.clearNewCss();
		$(_pageId + " #bdShow").html("");
	}
	
	var PlayGame = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	// 暴露对外的接口
	module.exports = PlayGame;
	
});