/**
 * 大赛选手
 */
define('mall/scripts/account/ytg/RegisSuccess.js',function(require, exports, module) {

	var _pageId = "#account_ytg_RegisSuccess ";
	var pageCode = "account/ytg/RegisSuccess";
	var appUtils = require("appUtils");
	var service = require("mobileService"); // 业务层接口，请求数据
	var ytgService = require("ytgService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var common = require("common");
	var constants = require("constants");// 常量类
	var curPageNo = ""; // 当前页序号
	var myScroller = null; // 滚动组件
	var VIscroll = require("vIscroll");
	var prePageCode = "";
	
	// 初始化
	function init() {
		common.initTitle(_pageId);
		prePageCode = appUtils.getPageParam("pageCode"); // 上一页面pageCode
		
		regisIsOk();//是否审核成功
	}
	//是否审核
	function regisIsOk(){
		var user_id = appUtils.getSStorageInfo("yqtid");
		var param={
				"user_id":user_id
		};
		ytgService.findSginUpImpZliao(param,function(data){
			var results = data.results;
			 var error_no = data.error_no;	
			 if(error_no==0){//已经报名
				 
				 var my_iscg = results[0].my_iscg;//是否审核
				 if(my_iscg!="1"){//没有审核
					 $(_pageId + " #bm_cg").html("提交报名成功");
					 $(_pageId + " #xs_cg").html("您的报名已提交成功，我们将尽快审核!");
					 $(_pageId + " #my_xiugai").show();
					 $(_pageId + " #my_cheng").show();
					 $(_pageId + " #zh_jr").hide();
				 }else{//审核通过
					 $(_pageId + " #bm_cg").html("报名成功");
					 $(_pageId + " #xs_cg").html("您的报名已审核通过!");
					 $(_pageId + " #my_xiugai").hide();//审核后不能修改资料
					 $(_pageId + " #my_cheng").hide();
					 $(_pageId + " #zh_jr").show();
				 }
				 
			 }
		 });
	};
	// 绑定事件
	function bindPageEvent() {
		// 返回
		appUtils.bindEvent($(_pageId + " .icon_back"), function() {
			appUtils.pageInit("account/ytg/RegisSuccess", "userCenter/wd");
		});
		//确定
		appUtils.bindEvent($(_pageId + " #my_cheng"), function() {
			appUtils.pageInit("account/ytg/RegisSuccess", "userCenter/wd");
		});
		//修改资料
		appUtils.bindEvent($(_pageId + " #my_xiugai"), function() {
			var user_id = appUtils.getSStorageInfo("yqtid");
			var param={
					"user_id":user_id
			};
			appUtils.pageInit("account/ytg/RegisSuccess", "account/ytg/PlayerRegis",param);
		});
		//
		appUtils.bindEvent($(_pageId + " #zh_jr"), function() {
		var user_id = appUtils.getSStorageInfo("yqtid");
		var param={
				"user_id":user_id
		};
		appUtils.pageInit("account/ytg/RegisSuccess", "account/ytg/trade/myPortfolio/myPortfolio",param);
	});
		
	}

	
	// 销毁
	function destroy() {
		$(_pageId + " #bm_cg").html("");
		 $(_pageId + " #xs_cg").html("");
		 $(_pageId + " #my_cheng").show();
		 $(_pageId + " #zh_jr").hide();
	}

	var RegisSuccess = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = RegisSuccess;

});;