/**
 * 我的提问
 */
define('mall/scripts/account/ytg/myAns/myAns.js',function(require, exports, module) {
	var appUtils = require("appUtils"), 
	    layerUtils = require("layerUtils"), 
        ytgService = require("ytgService"),
	    commonUtils=require("commonUtils"),
		pageCode = "account/ytg/myAns/myAns", 
		pageId = "#account_ytg_myAns_myAns ";
	
	//页面公共JS
	
	//插件
	var dropload=require("dropload"); // 滚动组件
	var me="";
	//全局变量
	var user_id =null;
	//入参
	var curPage = 1;
	var numPerPage = 4;
	var totalPage=1;
	var totalRows = 0;
	var num = 0;
	var isFirstShow=true;
	var anscount=0;
	var gconfig = require("gconfig");
	var common = require("common");
    var domain = gconfig.global.domain;
	/**
	 * 初始化
	 */
	function init() {
		common.initTitle(pageId);
		user_id=appUtils.getSStorageInfo("yqtid");
		if (!commonUtils.isLogin()) {
			return false;
		}
		querymyAns();
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent() {
		//投顾未回答数据
		appUtils.bindEvent($(pageId + "#myAnsWHD"), function() {
			appUtils.pageInit(pageCode, "account/ytg/myAns/myAnsWHD", {});
		});
		
		//头部返回
		appUtils.bindEvent($(pageId + ".icon_back"), function(e) {
			appUtils.pageInit(pageCode,"userCenter/wd");
		});
		
		/** ************************* 预绑定事件  ************************** */
		//进入问答详情
		appUtils.preBindEvent($(pageId), " [tag='quesDetails']",function(event) {
            event.stopPropagation();
			var ques_id = $(this).attr("ques_id");
			var pageInParam = {
					ques_id : ques_id
			};
			appUtils.pageInit(pageCode, "account/ytg/myAns/quesDetail",pageInParam);
		}, "click");
	}
	
	//***************************【函数方法】***********************************//
	
	 /**
	  * 查询回答问题列表
	  */
	function querymyAns(insertType){
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" #myAnsList").html("");
		//初始化滑动组件
		var dropload = $(pageId +".khfxWarp").dropload({
	        scrollArea: $(pageId +".khfxWarp"),
	        loadDownFn: function (me) {
	        	setTimeout(function(){
	        		//调用方法
	        		var param={
	        				"curPage" : curPage,
	        				"numPerPage" : numPerPage,
	        				"user_id" :user_id//97
	        		};
	        		ytgService.queryMyQuestion(param,function(resultVo){
	        			if (resultVo.error_no == "-40841801") {
	        				if(curPage == 1){
	        					$(pageId+" .no_data_box").show();
		        				$(pageId+" .dropload-down").hide();
		        				return false;
	        				}else{
	        					me.lock();
    				            // 显示无数据
    				            me.noData();
    				            me.loading = false;
    				            me.resetload();//加载数据
	        				}
	        			}
	        			var results = resultVo.results[0].data;
        				if(resultVo.error_no == 0){
        					if(curPage == 1){//处理没有数据的情况
        						if(results.length==0){
        							$(pageId+" .no_data_box").show();
        							$(pageId + " #myAnsList").hide();
        							$(pageId+" .dropload-down").hide();
        						}else{
        							$(pageId+" .no_data_box").hide();
        							$(pageId + " #myAnsList").show();
        							$(pageId+" .dropload-down").show();
        						}
        					}else{
        						if(results.length==0){
        							$(pageId+" .dropload-down").hide();
        							me.lock();
        				            // 显示无数据
        				            me.noData();
        				            me.loading = false;
        				            me.resetload();//加载数据
        						}
        					}
        					curPage++;
        					if ( results && results.length>0 ) {
        						var html="";
        							for (var i = 0; i <  results.length; i++) {
        								var result = results[i];
        								html +="<div class='view_item clearfix'>";
        								html += "<div class='head_por'><img src='"+domain + result.face_image_small+"'></div>";
        								html += "<div class='view_det' id='"+result.ques_id+"'>";
        								html += "<h4>"+result.user_name+"</h4>";
        								html += "<p class='view_txt' tag='quesDetails' ques_id='"+result.ques_id+"'><span class='label answer_label'>问</span>"+result.ques_content+"</p>";
        								html += "<p class='time_txt'>"+result.create_time+"</p>";
        								if (result.ansList) {
        									var ansList =JSON.parse(result.ansList);
        									if ( ansList && ansList.length>0 ) {
        										for (var j = 0; j < ansList.length; j++) {
        											var ansListData = ansList[j];
        											html += "<div class='comment_box ask_box' tag='quesDetails' ques_id='"+result.ques_id+"'><p><span class='label ask_label'>答</span><span class='ask_txt'>"+ansListData.answer_content+"</span></p><p><span class='label user_label'></span><span class='ask_txt'>"+ansListData.user_name+" <em>"+ ansListData.create_time +" 来自翼启航</em></span></p></div>";
        										}
        									}
        								}
        								html += "</div>";
        								html += "</div>";
        						}
        						$(pageId + "#myAnsList").append(html);
        					}
        					if(results.length<numPerPage){
        			            // 再往下已经没有数据
        			            // 锁定
        			            me.lock();
        			            // 显示无数据
        			            me.noData();
        			            me.loading = false;
        			        }
        					me.resetload();//加载数据
        				}
	        		},{"isShowWait":false});		
	    		},200);
	        }
	    });
	} 
	
	//*********************************************************************//
	
	/**
	 * 销毁
	 */
	function destroy() {
		$(pageId +" #myAnsList").html("");
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" .no_data_box").hide();
		curPage = 1;		//当前页数
		totalPage=1;		//后台返回的总页数
		totalRows = 0;     //总条数
		num = 0;
	}
	
	var account_ytg_myAns_myAns = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = account_ytg_myAns_myAns;
});