/**
 * 组合详情(持仓)
 */
define('mall/scripts/account/ytg/trade/myPortfolio/portfolioDetail.js',function(require, exports, module) {
	var appUtils = require("appUtils"), 
	    layerUtils = require("layerUtils"), 
        gconfig = require("gconfig"),
        
        portfolioService = require("ytgService"),
		
		pageCode = "account/ytg/trade/myPortfolio/portfolioDetail", 
		_pageId = "#account_ytg_trade_myPortfolio_portfolioDetail ";
	
	//页面公共JS
	var pageCommon = require("pageCommon");
	var common = require("common");
	//插件
/*	var VIscroll = require("vIscroll");
	var vIscroll = {"scroll":null,"_init":false,"curPage":1,"totalPages":1,"totalRows":0,"num":0};*/
	var portfolio_id = null; //组合id,页面传参
	var portfolio_name = null; //组合名称
	var gtaccount_id=null;
	var gtjsessionid=null;
	/**
	 * 初始化
	 */
	function init() {
		common.initTitle(_pageId);
		common.loadNewCss();
		portfolio_id = appUtils.getSStorageInfo("portfolioId");
		/*
		if(portfolio_id==null || portfolio_id==""){
			  gtaccount_id=appUtils.getSStorageInfo("GT_id");
			  jsessionid=appUtils.getSStorageInfo("gtjsessionid");
			  queryAccount_id(gtaccount_id);
		}else{*/
			//查询组合基本信息
			getPortfolioInfo();
			//查询组合持仓
			getPosition();
	//	}
		

		//设置标题
		portfolio_name = appUtils.getSStorageInfo("portfolioName");
		$(_pageId + "#protfolio_name").html(portfolio_name);
		//设置页面高度  
		var contentHeight = $(window).height()-$(_pageId + ".header").height()-$(_pageId + ".top_nav").height();
		$(_pageId+".holdings_list").css("height", contentHeight);
		$(_pageId+".holdings_list").css("overflow","auto");
	
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent() {
		//头部返回
		appUtils.bindEvent($(_pageId + ".icon_back"), function(e) {
			appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/myPortfolio");
		});
		
		//头部导航栏(持仓;买入;卖出;撤单;查询)
		appUtils.bindEvent($(_pageId + ".row-1"), function(e) {
			var index = $(this).index();
			if(index == 0){
				//appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/portfolioDetail");
			}
			else if(index ==1){
				appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/buyStock");
			}
			else if(index ==2 ){
				appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/sellStock");
			}
			else if(index ==3){
				appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/cancelEntrust");
			}
			else if(index ==4){
				appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/queryEntrust/queryEntrustIndex");
			}
		});
	}
	
	//***************************【初始化方法】***********************************//
	/**
	 * 根据跟投ID查询云投顾数据库对应ID
	 * *//*
	function queryAccount_id(gtaccount_id){
		var param = {
				"gtaccount_id" : gtaccount_id,
				"jsessionid": jsessionid
		};
		portfolioService.queryACCOUNTID(param,function callBack(resultVo){
			if(Number(resultVo.error_no) == 0){
				var result = resultVo.results[0];
				portfolio_id=result.portfolio_id;		
				appUtils.clearSStorage("portfolioId");
				appUtils.setSStorageInfo("portfolioId",portfolio_id);
				//查询组合基本信息
				getPortfolioInfo();
				//查询组合持仓
				getPosition();
			}
			else{
				layerUtils.iAlert("查询组合信息失败:"+resultVo.error_info,-1);
			}
		});
	}*/
	/**
	 * 查询组合基本信息
	 * */
	function getPortfolioInfo(){
		portfolio_id = appUtils.getSStorageInfo("portfolioId");
		var param = {
				"portfolio_id" : portfolio_id
		};
		portfolioService.queryPortfolioDetails(param,function callBack(resultVo){
			if(Number(resultVo.error_no) == 0){
				//layerUtils.iMsg(0,"查询组合信息成功");
				var result = resultVo.results[0];
				fillPortInfoData(result); //将组合数据填充到页面
				
				//将可用资金存入cookie
				var userable_balance = result.userable_balance; //可用资金
				appUtils.clearSStorage("userableBalance");
				appUtils.setSStorageInfo("userableBalance",userable_balance);
				appUtils.clearSStorage("totalBalance");
				appUtils.setSStorageInfo("totalBalance",result.total_assets);//总资产
			}
			else{
				layerUtils.iAlert("查询组合信息失败:"+resultVo.error_info,-1);
			}
		});
	}
	
	//将组合基本信息填充到页面
	function fillPortInfoData(result)
	{
		var protfolio_name = result.portfolio_name; //组合名称
		var total_assets = result.total_assets; //总资产
		var userable_balance = result.userable_balance; //可用资金
		var total_earnings = result.total_earnings; //总收益
		var total_yield = (Number(result.total_yield)*100).toFixed(2); //总收益
		var day_yield = (Number(result.day_yield)*100).toFixed(2); //日收益
		var recent_week_yield = (Number(result.total_yield)*100).toFixed(2); //7日收益
		var introdution = result.introdution; //简介
		$(_pageId + "#protfolio_name").html(protfolio_name);
		$(_pageId + "#total_assets").html(total_assets);
		$(_pageId + "#userable_balance").html(userable_balance);
		$(_pageId + "#total_earnings").html(total_earnings);
		$(_pageId + "#total_yield").html(total_yield+'%');
		$(_pageId + "#day_yield").html(day_yield+'%');
		$(_pageId + "#recent_week_yield").html(recent_week_yield+'%');
		$(_pageId + "#introdution").html(introdution);
		if(total_yield >= 0){
			$(_pageId + "#total_earnings").addClass("ared");
			$(_pageId + "#total_yield").addClass("ared");
		}
		else{
			$(_pageId + "#total_earnings").addClass("agreen");
			$(_pageId + "#total_yield").addClass("agreen");
		}
		if(day_yield >= 0){
			$(_pageId + "#day_yield").addClass("ared");
		}
		else{
			$(_pageId + "#day_yield").addClass("agreen");
		}
		if(recent_week_yield >= 0){
			$(_pageId + "#recent_week_yield").addClass("ared");
		}
		else{
			$(_pageId + "#recent_week_yield").addClass("agreen");
		}
	}
	
	/**
	 * 查询组合持仓(默认查询100条，不分页)
	 * */
	function getPosition(){
		var param = {
				"account_id" : portfolio_id,
				"curPage" : 1,
				"numPerPage" : 200
		};
		portfolioService.queryProtfolioHoldStock(param,function callBack(resultVo){
			if(Number(resultVo.error_no) == 0){
				//layerUtils.iMsg(0,"查询组合持仓成功");
				$(_pageId + "#positionBox2").hide();
				$(_pageId + "#positionBox").show();
				var result = resultVo.results[0].data;
				fillPositionData(result); //将组合数据填充到页面
				//initVIScroll();
			}
			else if(resultVo.error_no == '-40835102'){
				$(_pageId + "#positionBox").hide();
				$(_pageId + "#positionBox2").show();
				$(_pageId + "#position2").siblings().remove();
				var noDataHtml = '<tr><td colspan="4" style="height:10px; border-bottom:1px dashed #BBBBBB; font-size:0.12rem; color:#9999B1; text-align:center;">暂无持仓</td></tr>';
				$(_pageId + "#position2").after(noDataHtml);
			}
			else{
				layerUtils.iAlert("查询组合持仓失败:"+resultVo.error_info,-1);
			}
		});
	}
	
	//将组合持仓填充到页面
	function fillPositionData(result)
	{
		$(_pageId + "#position").siblings().remove();
		var html = "";
		for(var i = 0;i<result.length;i++)
		{
			html += '<tr>';
			html += '<td><p>'+result[i].stock_name+'</p><p>'+result[i].stock_code+'</p></td>';
			if(result[i].profit_rate >= 0)
				html += '<td><p class="ared">'+result[i].profit_rate+'%</p><p class="ared">'+result[i].profit+'</p></td>';
			else
				html += '<td><p class="agreen">'+result[i].profit_rate+'%</p><p class="agreen">'+result[i].profit+'</p></td>';
			html += '<td><p>'+result[i].total_qty+'</p><p>'+result[i].usable_qty+'</p></td>';
			html += '<td><p>'+result[i].cost_price+'</p><p class="'+(result[i].uppercent>= 0 ? "ared" : "agreen")+'">'+result[i].now_price+'</p></td>';
			html += '</tr>';
		}
		$(_pageId + "#position").after(html);
		
//		positionHeight = $(_pageId + ".visc_scroller").height();
	}
	
	/**
	 * 初始化上下滑动组件 
	 *//*
	function initVIScroll(){
		var positionHeight = $(window).height()-$(_pageId +" .header").height()-$(_pageId+" .top_nav").height()-$(_pageId + ".property_box").height()-121-70;
		console.log("windowHeight="+$(window).height()+"positionHeight"+positionHeight);
		if(!vIscroll._init){
			var config = {
					"isPagingType": false,		//false表示是微博那种累加形式，true表示分页形式
//					"visibleHeight": $(window).height()-$(_pageId +" .header").height()-$(_pageId+" .top_nav").height()-$(_pageId + ".property_box").height()-50-121,//显示内容区域的高度，当isPaingType为false时传
					"visibleHeight" : positionHeight,
					"container": $(_pageId+" #v_container_position"),
					"wrapper":$(_pageId+" #v_wrapper_position"),	
					"downHandle": function() {				//下拉获取上一页数据方法
						//查询数据
						getPosition();
					},
					"upHandle": function() {				//上拉获取下一页数据方法
						
					},
					"wrapperObj": null
			};
			vIscroll.scroll = new VIscroll(config); 	//初始化，需要做if(!hIscroll._init)判断
			vIscroll._init = true; 	//尽量只初始化一次，保持性能
			$(_pageId + " .visc_pullUp").hide();
		} else {
			vIscroll.scroll.refresh();
		}
	}*/
	
	//*********************************************************************//
	
	/**
	 * 销毁
	 */
	function destroy() {
	/*	//销毁滑动组件
		if(vIscroll && vIscroll.length>0){
			for(var i=0;i<vIscroll.length;i++){
				if(vIscroll[i]._init == true){
					vIscroll[i].scroll.destroy(); //销毁
					vIscroll[i].scroll = null;
					vIscroll[i]._init = false; 
					vIscroll[i].curPage = 1;
					vIscroll[i].totalPages = 1;
					vIscroll[i].totalRows = 0;
					vIscroll[i].num = 0;
				}
			}
		}*/
	}

	var account_ytg_trade_myPortfolio_portfolioDetail = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = account_ytg_trade_myPortfolio_portfolioDetail;
});