/**
 * 新首页 BrotherZeng
 */
define('mall/scripts/account/ytg/trends.js',function(require, exports, module){
	
	var _pageId = "#account_ytg_trends ";
    var	pageCode = "account/ytg/trends";
	var external = require("external");
	var appUtils = require("appUtils"); 
	var ytgService = require("ytgService"); // 业务层接口，请求数据
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var platform=require("gconfig").platform;
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL=global.url;
	var common = require("common");
	var constants=require("constants");//常量类
	var	curPageNo = ""; // 当前页序号
	var	myScroller = null; // 滚动组件
	var	VIscroll = require("vIscroll");
	//下标0的元素表示头部滑动，1、2、3分别表示推荐理财、推荐基金和推荐资讯
	var customHIscroll= [{"scroll":null,"_init":false},{"scroll":null,"_init":false},{"scroll":null,"_init":false}];
	var HIscroll =require("hIscroll");
	var picLoadTimer = null;
	//初始化
	function init(){
		common.initTitle(_pageId);
		// 样式兼容性问题
		common.loadNewCss();
//		queryHotView();
//		queryPortList();
//		queryScdt();// 查询赛场动态
	}
	
	
	//绑定事件
	function bindPageEvent(){
		// 登陆
		appUtils.bindEvent($(_pageId + " .left_text"), function() {
			appUtils.pageInit("account/ytg/yqt", "account/userLogin");
		});
		// 搜索
		appUtils.bindEvent($(_pageId + " .icon_search"), function() {
		});
		// 主页
		appUtils.bindEvent($(_pageId+" #index"),function(){
			appUtils.pageInit("account/ytg/yqt","account/index");
		});
		// 翼启投
		appUtils.bindEvent($(_pageId+" #yqt"),function(){
			appUtils.pageInit("account/ytg/yqt","account/ytg/yqt");
		});
		// 理财
		appUtils.bindEvent($(_pageId+" #lc"),function(){
			appUtils.pageInit("account/ytg/yqt","mall/moneyShop");
		});
		// 生活
		appUtils.bindEvent($(_pageId+" #sh"),function(){
			appUtils.pageInit("account/ytg/yqt","life/lifeIndex");
		});
		// 我的
		appUtils.bindEvent($(_pageId+" #wd"),function(){
			appUtils.pageInit("account/index", "userCenter/wd");
		});
		// 进入大赛
		appUtils.bindEvent($(_pageId+" #saichang"),function(){
			appUtils.pageInit("account/ytg/yqt","account/ytg/PlayGame");
		});
		// 投顾列表
		appUtils.bindEvent($(_pageId+" .nav_box2"),function(){
			//appUtils.pageInit("account/ytg/yqt","account/nav_box2");
			window.location.href="/m/trends/index.html#!/master.html";
		});
		appUtils.bindEvent($(_pageId + ".icon_back"), function(e){
			appUtils.pageBack();
		});
		
		
		//进入组合详情
		appUtils.preBindEvent($(_pageId +"#masterList"), "dl",function(e){
			var islogin = appUtils.getSStorageInfo("_isLoginIn");
		/*	if(islogin!="true"){
				appUtils.pageInit("account/index","account/userLogin");
				return;
			}*/
			var code = $(this).attr("code");
			var user_id=$(this).attr("user_id");
			appUtils.pageInit(pageCode,"account/ytg/userSpace",{'invest_id':user_id});
		});
		//进入观点详情
		appUtils.preBindEvent($(_pageId +"#pointList"), "dl",function(e){
			var islogin = appUtils.getSStorageInfo("_isLoginIn");
			if(islogin!="true"){
				appUtils.pageInit(pageCode,"account/userLogin");
				return;
			}
			var daily_id = $(this).attr("daily_id");
			var user_id=$(this).attr("user_id");
			var param = {
					"invest_id" : user_id
			};
			appUtils.pageInit("account/ytg/yqt","account/ytg/userSpace",param);

	});
		// 进入跟投详情
		appUtils.preBindEvent($(_pageId +"#pointList"), "p",function(e){
			var islogin = appUtils.getSStorageInfo("_isLoginIn");
			if(islogin!="true"){
				appUtils.pageInit(pageCode,"account/userLogin");
				return;
			}
			var daily_id = $(this).attr("daily_id");
			var user_id=$(this).attr("user_id");
			if(user_id){
				window.location.href="/m/trends/index.html#!/finanPlanDetails/viewpointDetails/viewpointDetails.html?daily_id="+daily_id+"&userId="+user_id;
			}
			
		
	});
		
	}
		function queryScdt() {
		var param = {
				"page" : "1",
				"pageSize" : "3",
				"catalog_id" : "3486,3485"
			};
			service.testTitle(param,function(data){
				if(data.error_no == "0"){
					var result = data.results;
					var list = "";
					var li = "";
					$(_pageId+" #saichangdt").html("");
					for(var i = 0;i<result.length;i++){
						var title = result[i].title;
						var article_id = result[i].article_id;
						var app_photo = result[i].app_photo;
						var publish_date = result[i].publish_date;
						var movieinfo = result[i].movieinfo;
						var catalog_id = result[i].catalog_id;
						publish_date = publish_date.substring(0,4)+"."+publish_date.substring(5,7)+"."+publish_date.substring(8,10);
						var scxwStr = "<a href='javaScript:void(0);' article_id='"+article_id+"' moduleName="+title+" catalog_id="+catalog_id+">"+title+"</a>";
						$(_pageId+" #saichangdt").append(scxwStr);
					}
					appUtils.bindEvent($(_pageId+" #saichangdt a"),function(){
						var article_id = $(this).attr("article_id");
						var catalog_id = $(this).attr("catalog_id");
						var moduleName = $(this).attr("title");
							if(catalog_id == "3485"){
								queryContent(article_id,moduleName);
							}else if(catalog_id == "3486"){
								var param = {
									"article_id" : article_id
								};
								appUtils.pageInit("account/ytg/yqt","account/heroListArticle",param);
							}
						
					});
				}else{
					
					layerUtils.iMsg(-1,data.error_info);
					return false;
				}
			});
	}
	
	//查询webView地址
	function queryContent(article_id,moduleName){
		var param = {
			"article_id" : article_id
		};
		service.getContent(param,function(data){
			if(data.error_no==0){
				var result = data.results[0];
				var link_url = result.link_url;
					var param = {
						"funcNo" : "50115",
						"moduleName" : moduleName,
						"url" : link_url,
						"statusColor" : "#CC1D58",
						"title" : "快讯"
					};
					external.callMessage(param);
			}else{
				layerUtils.iAlert(data.error_info,-1);
			}
		});
	}
	
	
	 function queryPortList(){
		 var param={
					"curPage" : 1,
					"numPerPage" : 3
			};
		 ytgService.queryPortfolioList(param,function callBack(resultVo){
				if(0==Number(resultVo.error_no)){
					var result = resultVo.results;
					fillHotPortfolioData(result);
				}else if(resultVo.error_no=="-40834302"){
					$(_pageId + "#portfolioList").empty();
					$(_pageId + "#portfolioList").html('<h3 style="text-align:center;">暂无热门组合</h3>');
				}else{
					layerUtils.iAlert("热门组合加载失败:"+resultVo.error_info,-1);
				}
			},{
				"isAsync" : false
			});
		 
	 }
	//填充热门组合数据
		function fillHotPortfolioData(result){
			
			$(_pageId + " #masterList").html("");
			
		   for(var i=0;i<result.length;i++){
			   var html="";
			  html+='<div class="master_box"><dl user_id='+result[i].user_id+'  code='+result[i].portfolio_id+'><dt><img src="images/avatar.jpg" alt=""></dt><dd>';
			  html+='<strong>'+result[i].invest_name+'<em><img src="images/level_01.png" width="16" alt="">黄金导师</em><em class="star">8</em></strong>';
			  html+='<ul class="mt10"><li><p>收益率<strong class='+(result[i].month_yield >=0 ? "ared" : "agreen")+'>'+(result[i].month_yield*100).toFixed(2)+'%</strong></p>';
			  html+='</li><li><p>胜率<strong>'+(result[i].winer*100).toFixed(2)+'</strong></p></li></ul></dd></dl>';
			  html+='<div class="master_story mt10"><div class="story">';
			  html+='<strong><i>组</i>'+result[i].portfolio_name+'<span>创建以来<em class="'+(result[i].total_yield >=0 ? "ared" : "agreen")+'">+ '+(result[i].total_yield*100).toFixed(2)+'%</em></span></strong>';
			  var stock=result[i].stock_code;
			   if("" !=stock){
				   html+='<p>重仓股'+result[i].stock_name+'<span>仓位占比<em>30.03%</em></span></p></div>';
			   }else{
				   html+='<p>暂无重仓股<span>仓位占比<em>0%</em></span></p></div>';
			   }
					   var param={
							   "cpgs":result[i].user_id,
							   "product_shelf":"1",
							   "productType":"7"
					   }
					   service.findFinan(param,function callBack(resultVo){
							if(0==Number(resultVo.error_no)){
								var results = resultVo.results;
								var FinancialProductEnum = resultVo.results[0].data;
								if(FinancialProductEnum.length>0) {
									var inst_sname = FinancialProductEnum[0].inst_sname;
									html+='<div class="zixunInfo"  product_type="7" product-id="'+FinancialProductEnum[0].inst_id+'" ><div class="story"><strong><i>产</i>'+FinancialProductEnum[0].inst_sname+'<em class="tips">荣耀发行</em></strong>';
									html+='<p>'+FinancialProductEnum[0].product_desc+'<span class="subscribe pull-right"><img src="images/read.png" width="8" alt=""><em>'+FinancialProductEnum[0].total+'</em>人已订阅</span></p>';
									html+='</div></div></div></div>';
								}
								
								//点击產品进入详情
								appUtils.bindEvent($(_pageId+"  .zixunInfo"),function(){
									var pageInParam = {
										"product_id" :  $(this).attr("product-id"),
										"product_type" : $(this).attr("product_type")
									};
									appUtils.setSStorageInfo("_tzPageCode","account/ytg/yqt");
									appUtils.pageInit("account/ytg/yqt", "mall/itemsFinanIn",pageInParam);
								});	
								$(_pageId + " #masterList").append(html); 
							}
				   },{
						"isAsync" : false,
						"isShowWait" : false
					});
				   
		   }
		   
		}
		// product_shelf=1&productType=7&cpgs=38612
		 

		 /**
		  * 查询热门观点
		  */
		function queryHotView(){
			var param={
					"row_num" : 3
			};
			ytgService.queryHotViewPage(param,function callBack(resultVo){
				if(0==Number(resultVo.error_no)){
					var result = resultVo.results;
					if(result != null && result.length > 0){
						fillHotPointData(result);
					}
					else{
						$(_pageId + "#pointList").empty();
						$(_pageId + "#pointList").html('<h3 style="text-align:center;">暂无热门观点</h3>');
					}
				}else{
					layerUtils.iAlert("热门观点加载失败:"+resultVo.error_info,-1);
				}
			});
		} 
		
		
		/**
		 * 热门/最新观点查询后绑定数据
		 */
		function fillHotPointData(result){
			 $(_pageId + "#pointList").html("");
				var html = "";
				for(var i = 0;i<result.length;i++)
				{
					var title=result[i].title;
					var content=result[i].content;
					if(title.length>=18){
						title=title.substring(0,17)+".......";
					}
					if(content.length>=50){
						content=content.substring(0,49)+".......";
					}
					html+='<div class="idea_inner"   ><dl user_id='+result[i].user_id+' daily_id='+result[i].daily_id+'><dt><img src="images/avatar.jpg" alt=""></dt>';
					html+='<dd><strong>'+result[i].user_name+'<em>'+result[i].read_num+'</em></strong><ul><li>';
					html+='<p>收益率<strong class='+(result[i].month_yield >=0 ? "ared" : "agreen")+'>'+(result[i].month_one_yields*100).toFixed(2)+'%</strong></p></li><li><p>胜率<strong>'+(result[i].winer*100).toFixed(2)+'</strong></p>';
					html+='</li></ul></dd></dl><div class="article_box">';
					html+='<strong>'+title+'</strong><p user_id='+result[i].user_id+' daily_id='+result[i].daily_id+'>'+content+'</p>';
					html+='<p class="time_box">'+result[i].create_time+'</p></div></div>';
				}
				$(_pageId + "#pointList").append(html);
			}
		
		
	//销毁
	function destroy(){
		common.clearNewCss();
		$(_pageId + "#pointList").html("");
		$(_pageId + "#masterList").html("");
	}
	
	var ytg_yqt = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	// 暴露对外的接口
	module.exports = ytg_yqt;
	
});