/**
 * 视频产品列表信息
 */
define('mall/scripts/account/ytg/userSpaceXq.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var ytgService = require("ytgService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var _pageId = "#account_ytg_userSpaceXq ";
	var pageCode="account/ytg/userSpaceXq";
	var external = require("external");
	var common = require("common");
	var gconfig = require("gconfig");
	var platform=gconfig.platform;
	var global = gconfig.global;
	var spdj="";//视频等级
	var cpgs="";//投顾id
	var URL=global.url;
	var resulsum="";//产品的个数
	var kt_name="";
	var product_id="";
	var tot_price1="";
	//初始化
	function init(){
		common.initTitle(_pageId);
		$(_pageId+".ul_elelist").html("");
		
		//判断课堂
		spdj= appUtils.getPageParam().spdj;
		cpgs= appUtils.getPageParam().cpgs;
		if(spdj=="0"){
			kt_name="免费课程";
		}else if(spdj=="1"){
			kt_name="初级课程";
		}else if(spdj=="2"){
			kt_name="中级课程";
		}else if(spdj=="3"){
			kt_name="高级课程";
		}else if(spdj=="4"){
			kt_name="解盘课程";
		}else{
			kt_name="课程";
		}
		$(_pageId+" #pd_kt").html(kt_name);
		query();//查询系列信息
		querymf();//查询免费系列
		queryVdio();//查询此系列下的所有课程
	}
	/**
	 * 视频产品列表信息
	 */
	function query(){
		spdj= appUtils.getPageParam().spdj;
		var param = {
				"spdj":spdj,
				"cpgs":cpgs
		};
		//查询课程介绍
		service.findBySpkcjs(param,function(data){
			if(data.error_no == "0"){
				var result = data.results;
				if(result.length>0){
					$(_pageId+" #kc_jj").html(result[0].syllabus_intro);//课程简介
					$(_pageId+" #kc_mb").html(result[0].syllabus_target);//课程目标
				}
			}else{
				layerUtils.iMsg(-1,data.error_info);
			}
		});
	}
	/**
	 * 查询免费课程
	 */
	function querymf(){
		
		var param = {
				"spdj":'0',
				"cpgs":cpgs
		};
		service.queryMfById(param,function(resultVo){
		if(resultVo.error_no == 0){
			var results = resultVo.results;
			$(_pageId + " #vdio_mianf").html("");
			if(results.length=="0"){
				var vdiomaf="<h3><em class='color_03'></em>无免费视频</h3>";
				$(_pageId + " #vdio_mianf").append(vdiomaf);
				return false;
			}else{
				var vdiomf = "";
				vdiomf="<h3><em class='color_03'></em>免费赠送</h3><div class='gift_box clearfix'>";
				for (var i = 0; i < 2; i++) {
					var name=results[i].name;//产品名称
					var sub_price = results[i].sub_price;//产品优惠价
					var sub_price1=sub_price.split(".");
					 sub_price2=parseFloat(sub_price1[0]);
					 var id = results[i].inst_id;//产品编号
					var original_price1 = results[i].original_price;//产品原价
					 original_price=parseFloat(original_price1);
					var intro = results[i].intro.substring(0,20);//产品简介
					var photo = results[i].photo;//产品小图片
					var video=results[i].video;//视频地址
					var video_photo=results[i].video_photo;//视频播放的图片
					var content=results[i].content;//视频内容 
					vdiomf+="<div class='gift_forum' video="+video+" content="+content+" video_photo="+video_photo+" id="+id+" ><dl><dt><img src='"+URL+photo+"' alt=''>" +
							"</dt><dd><strong>"+name+"</strong><p>"+intro+"</p>" +
							"</dd></dl></div>";
				}
				vdiomf+="</div>";
				$(_pageId + " #vdio_mianf").append(vdiomf);
			}
			
		
			};
			//免费产品可以观看
			appUtils.bindEvent($(_pageId+" .gift_forum"),function(){
				var video=$(this).attr("video");
				var content=$(this).attr("content");
				var video_photo=$(this).attr("video_photo");
				var id = $(this).attr("id");
				var param={
					"video":video,
					"content":content,
					"video_photo":video_photo,
					"product_id":id,
					"spdj":spdj,
					"cpgs":cpgs,
					"pageCode1":pageCode
				};
				appUtils.pageInit(pageCode,"mall/palyVido",param);
			});
		});
		
	};
	/**
	 * 查询此系列下的所有课程
	 */
	function queryVdio(){
		//查询课程列表
		spdj= appUtils.getPageParam().spdj;
		cpgs= appUtils.getPageParam().cpgs;
		var param = {
				"spdj":spdj,
				"cpgs":cpgs
		};
		ytgService.findSpById(param,function(resultVo){
			var results = resultVo.results;
			resulsum=results.length;
			$(_pageId + " #userSpace_vdio").html("");
			var vdiohtml = "";
			var sum_sub_price= 0;
			var sum_original_price = 0;
			for (var i = 0; i < results.length; i++) {
				var ta_code = results[0].ta_code;//机构
				appUtils.setSStorageInfo("register_corp_code",ta_code);//存入会话中
				var name=results[i].name;//产品名称
				var sub_price = results[i].sub_price;//产品优惠价
				 sub_price2=parseFloat(sub_price).toFixed(2);
				 var inst_id = results[i].inst_id;//产品编号
				var original_price1 = results[i].original_price;//产品原价
				 original_price=parseFloat(original_price1).toFixed(2);
				var intro = results[i].intro.substring(0,20);//产品简介
				var photo = results[i].photo;//产品小图片
				var spdj=results[i].spdj;//视频等级
				 vdiohtml+="<div class='forum_pro' spdj="+spdj+" ><div class='ui checkbox obj' sub_price2="+sub_price2+" original_price_zj="+original_price+" ><input name='procheck' type='checkbox' class='checkbox_1' value="+inst_id+" tot_price="+sub_price2+" original_price="+original_price+"  checked='true' >" +
					"<label></label></div><dl class='clearfix'><dt><img src='"+URL+photo+"' alt=''></dt>" +
					"<dd><strong>"+name+"</strong><p>"+intro+"...</p>" +
					"</dd><dd>	<div class='price_box'><strong>￥"+sub_price2+"</strong><p>￥"+original_price+"</p></div></dd></dl></div>";
				 sum_sub_price+=sub_price2*1;
				 sum_original_price+=original_price*1;
			}
			vdiohtml+= "<div class='forumpay_box' id='checkboxall'><div class='ui checkbox' ><input  type='checkbox' value='dxvalue' id='checkbox_1' checked='true'>" +
						"<label>全选</label></div><strong class='xz_sp'>合计：<em>￥"+parseFloat(sum_sub_price).toFixed(2)+"</em></strong><p class='yh_jq'>优惠：<span>￥"+parseFloat((sum_original_price-sum_sub_price)).toFixed(2)+"</span></p>" +
						"<a href='javaScript:void(0);' class='btn_pay'>立即支付</a></div>";
			$(_pageId + " #userSpace_vdio").append(vdiohtml);
			//显示总钱sum_original_price
			$(_pageId + " #spzj").html("");
			$(_pageId + " #spzj").append("价值￥<i>"+parseFloat(sum_original_price).toFixed(2)+"</i>元");
			
			//点击购买
			appUtils.bindEvent($(_pageId + " .btn_pay"), function(e) {
				//获取选中的产品id
				var inst_id =[]; 
				var product_id="";//去除以前选中的id,一免重复下单
				$('input[name="procheck"]:checked').each(function(){ 
					inst_id.push($(this).val()); 
				});
				for(var i=0;i<inst_id.length;i++){
					 id=inst_id[i];
					 product_id+=id+",";
				}
				var tot_price =[];//选中产品的价钱
				$('input[name="procheck"]:checked').each(function(){ 
					tot_price.push($(this).attr("tot_price"));
				});
				var tot_price1=0;//选中产品的总价钱
				for(var i=0;i<tot_price.length;i++){
					 price=tot_price[i];
					 original_price=parseFloat(price);
					 tot_price1+=original_price;
				}
			var user_id = appUtils.getSStorageInfo("user_id");
			if(user_id==""||user_id==null){
				var param = {
					"product_type":"7",
					"product_id":inst_id
				};
				appUtils.pageInit("account/ytg/userSpace","account/userLogin",param);
			}else{
				var loginType = appUtils.getSStorageInfo("loginType");
				if(loginType == "0"){//手机账号
					common.queryMobilePhone(appUtils.getSStorageInfo("mobile_phone"),determineUserState);
				}else{//资金账号
					var param = {
							"product_id":product_id,
							"product_type" : "7",
							"dingy_type":"5",
							"sub_type":"2",
							"spdj":spdj,
							"tot_price":tot_price1,
							"page_code":"account/ytg/userSpace",
							"isjtxs":""
						};
					appUtils.pageInit("account/ytg/userSpace","payment/paymentPage",param);
				}
				e.stopPropagation();//防止点击详情
				//判断用户状态
				function determineUserState(data){
					var results = data.results;
					var is_register = results[0].is_register;
					var is_client = results[0].is_client;
					var is_risk = results[0].is_risk;
					var is_pwd = results[0].is_pwd;
					var is_bank = results[0].is_bank;
					if(is_register&&is_register=="0"){
						appUtils.pageInit("mall/stickMoney","account/testRegister");
					}else if(is_client=="0"||is_pwd=="0"||is_bank=="0"){
						var param={
								"pageCode":	pageCode,
								"spdj":spdj,
								"cpgs":cpgs
							};
						appUtils.pageInit("account/ytg/userSpaceXq","account/open",param);
					}else{
						var param = {
								"product_id":product_id,
								"product_type" : "7",
								"dingy_type":"5",
								"sub_type":"2",
								"spdj":spdj,
								"tot_price":tot_price1,
								"page_code":"account/ytg/userSpaceXq",
								"isjtxs":""
							};
						appUtils.pageInit("account/ytg/userSpaceXq","payment/paymentPage",param);
					}
				}
				
			
			}
			},"touchstart");
			//全选
			appUtils.bindEvent($(_pageId + " .forumpay_box "), function(event) {
				var checked =$(_pageId + " #checkbox_1").is(":checked");
				
				if(checked){
					
					$(_pageId + " .checkbox_1").prop("checked",false);
					$(_pageId + " #checkbox_1").prop("checked",false);
					$(_pageId + " .xz_sp").html("合计：<em>￥0</em>");
					$(_pageId + " .yh_jq").html("优惠：<span>￥0</span>");
				}else{
					
					$(_pageId + " .checkbox_1").prop("checked",true);
					$(_pageId + " #checkbox_1").prop("checked",true);
					$(_pageId + " .xz_sp").html("合计：<em>￥"+parseFloat(sum_sub_price).toFixed(2)+"</em>");
					$(_pageId + " .yh_jq").html("优惠：<span>￥"+parseFloat((sum_original_price-sum_sub_price)).toFixed(2)+"</span>");
				}
                 event.preventDefault();
			},"touchstart");
			
			//单选
			appUtils.bindEvent($(_pageId + " .forum_pro .checkbox"), function(e) {
				var tot_price =[];//选中产品的优惠价钱
				$('input[name="procheck"]:checked').each(function(){ 
					tot_price.push($(this).attr("tot_price"));
				});
				var tot_price1=0;//选中产品的优惠总价钱
				for(var i=0;i<tot_price.length;i++){
					 price=tot_price[i];
					 original_price=parseFloat(price);
					 tot_price1+=original_price;
				}
				var sub_price2=$(this).attr("sub_price2");//选中的优惠价钱
				
				var original_price =[];//选中产品的总价钱
				$('input[name="procheck"]:checked').each(function(){ 
					original_price.push($(this).attr("original_price"));
				});
				var original_price2=0;//选中产品的总价钱
				for(var j=0;j<original_price.length;j++){
					 price1=original_price[j];
					 original_price1=parseFloat(price1);
					 original_price2+=original_price1;
				}
				var original_price_zj=$(this).attr("original_price_zj");//选中的总价钱
				radioEvents(this,tot_price1,sub_price2,original_price2,original_price_zj);
				 e.stopPropagation();
                 e.preventDefault();
			},"touchstart");
		});
	};
	
	
	// 单选框点击事件
	function radioEvents(obj,tot_price1,sub_price2,original_price2,original_price_zj) {
		var checked =$(obj).find('input').is(":checked");
		var lenght=$('input[name="procheck"]:checked').length+1;
		if(checked){
			$(obj).find('input').prop("checked",false);
			var xj=parseFloat(tot_price1*1-sub_price2*1).toFixed(2);//价钱
			var yh_jq=parseFloat((original_price2*1-tot_price1*1)-(original_price_zj*1-sub_price2*1)).toFixed(2);//优惠价
			$(_pageId + " .xz_sp").html("合计：<em>￥"+xj+"</em>");
			$(_pageId + " .yh_jq").html("优惠：<span>￥"+yh_jq+"</span>");
			$(_pageId + " #checkbox_1").prop("checked",false);
		}else{
			$(obj).find('input').prop("checked",true);
			var xj=parseFloat(tot_price1*1+sub_price2*1).toFixed(2);//价钱
			var yh_jq=parseFloat((original_price2*1-tot_price1*1)+(original_price_zj*1-sub_price2*1)).toFixed(2);//优惠价
			$(_pageId + " .xz_sp").html("合计：<em>￥"+xj+"</em>");
			$(_pageId + " .yh_jq").html("优惠：<span>￥"+yh_jq+"</span>");
			if(resulsum=="1"){
				$(_pageId + " #checkbox_1").prop("checked",true);
			}
			if(lenght==resulsum){
				if(lenght==1){
					
				}else{
					$(_pageId + " #checkbox_1").prop("checked",true);
				}
			}
		}
	}
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageInit("account/ytg/userSpaceXq","account/ytg/userSpace");
		});
		//分享
		appUtils.bindEvent($(_pageId+" .btn_fenx"),function(){
			var weChat = common.weChat();//判断是APP还是pc或浏览器
			if(weChat){//里面是原生调用的内容
				var link = global.shareLink;
				var param={
				moduleName: "mall", // String	目标模块名	N
				funcNo: "50230",
				shareTypeList: "22,23,24",
				title: kt_name,
				link:  link+"/m/mall/#!/account/ytg/userSpaceXq.html?spdj="+ spdj +"&cpgs="+cpgs,
				content: "一切精彩尽在翼启航",
				imgUrl: ""
			};
			external.callMessage(param);
			}
			
		});
	}
	
	//销毁
	function destroy(){
		$(_pageId+" #userSpace_vdio").html("");
		$(_pageId +" #spzj").html("");
		$(_pageId + " #vdio_mianf").html("");
		$(_pageId+" #pd_kt").html("");
		
	}
	
	var userSpaceXq = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	// 暴露对外的接口
	module.exports = userSpaceXq;
	
});