/**
 * 翼启投改版首页
 */
define('mall/scripts/account/ytg/yqt.js',function(require, exports, module) {

    var pageId = "#account_ytg_yqt ";
    var pageCode = "account/ytg/yqt";
    var external = require("external");
    var appUtils = require("appUtils");
    var ytgService = require("ytgService"); // 业务层接口，请求数据
    var layerUtils = require("layerUtils");
    var platform = require("gconfig").platform;
    var gconfig = require("gconfig");
    var global = gconfig.global;
    var URL = global.url;
    var commonUtils = require("commonUtils");
    var common = require("common");
    var constants = require("constants"); //常量类
    var domain = gconfig.global.domain;
    var myScroller = null; // 滚动组件
    var VIscroll = require("vIscroll");
    var curPage = ""; // 当前页序号
    var pageNum = 1;
    var order_flag = ""; //37表示人气值，35表示总收益，34表示月，33表示周，32表示日
    var dropload = require("dropload");
    var order_flag = "";
    var defaultHtmlContent = "";
    //初始化
    function init() {
    	common.initTitle(pageId);
    	 $(pageId + " #wing_jytg").addClass("on");
	     $(pageId + " #wing_lunjin").removeClass("on");
	        
    	// 通知
		external.callMessage({"funcNo": "50100","moduleName":"open"});
    	/*********新增中焯登录***********/
		var login = appUtils.getSStorageInfo("_isLoginIn");
        if(login=="true"){
        	initPage();
        }
        else{
        	var mobilecode = appUtils.getPageParam("mobilecode");
            var user_token = appUtils.getPageParam("user_token");
        	if(typeof(user_token)== "undefined" || user_token == null || user_token == ""){
        		initPage();
        	}
        	else{
        		common.SSO_login(mobilecode,user_token,initPage);
        	}
        }
        /*********新增中焯登录***********/
    }
    
    function initPage(){
    	var firstInstall=appUtils.getSStorageInfo("firstInstallYqtTrends",true);
 		if(firstInstall!="1"){  
 			appUtils.setSStorageInfo("firstInstallYqtTrends","1",true);
 			 common.queryImMessageNum(pageId); //查询IM未读消息
 	            $(pageId + " #yqt_list").html("");
 			initScrollPull();
 			order_flag = "35";
 	        curPage = 1;
 	        defaultHtmlContent = $(pageId + " #yqt_list").html();
 		}
	};
	
    function initScrollPull() {
    	$(pageId+" .dropload-down").remove();//先删除样式
        $(pageId+" .dropload-load").remove();//先删除样式
        $(pageId+" .dropload-up").remove();
        $(pageId+" .dropload-update").remove();  
        dropload = $(pageId + ".khfxWarp").dropload({
            scrollArea: $(pageId + ".khfxWarp"),
            // 下拉刷新方法
            loadUpFn: function(me) {
                curPage = 1;
                $(pageId).find(".dropload-noData").remove();
                findWingyqt();
            },
            loadDownFn: function(me) {
                $(pageId +" .dropload-down").show();
                setTimeout(function() {
                    findWingyqt();
                },
                100)
            },
            threshold: 50
        });
    }

    //翼启投查询方法
    function findWingyqt() {
        //调用方法
        var param = {
            "order_flag": order_flag,
            "curPage": curPage,
            "isjy": "1",
            "numPerPage": "5"
        };
        ytgService.findWingyqt(param,
        function(data) {
            var error_no = data.error_no;
            var error_info = data.error_info;
            if (error_no == 0) {
                var ytresults =data.results[0].data;
                if (curPage == 1) { //处理没有数据的情况
                    dropload.isLockDown = false;
                    dropload.noData(false);
                    dropload.loading = true;
                    dropload.$domDown.html(dropload.opts.domDown.domLoad);
                    $(pageId + " #yqt_list").html("");
                }
                curPage++;
                yqtstr = "<ul class='p1'>";
                for (var i = 0; i < ytresults.length; i++) {
                    var account_id = ytresults[i].account_id; //用户组合id
                    var introdution = ytresults[i].introdution; //个人简介
                    if (introdution == "" || introdution == null) {
                        introdution = "这个家伙太懒了,什么都没有留下!";
                    }
                    var face_image = ytresults[i].big_image; // 投顾头像;
                    face_image = face_image ? face_image: constants.ytg_img.INVEST_IMG;
                    var trade_type = ytresults[i].trade_type; //
                    var exec_date = ytresults[i].exec_date; //
                    var exec_time = ytresults[i].exec_time; //
                    var exec_qty = ytresults[i].exec_qty; //
                    var stock_name = ytresults[i].stock_name; //
                    var stock_code = ytresults[i].stock_code; //

                    var level = ytresults[i].level; //个人简介
                    var levelName = ytresults[i].levelName; //个人简介
                    var levelRank = ytresults[i].levelRank; //个人简介
                    var inst_sname = ytresults[i].inst_sname; //
                    var inst_id = ytresults[i].inst_id; //
                    var real_name = ytresults[i].real_name; //名字
                    var star = ytresults[i].star; //个人简介
                    var success_rate = ytresults[i].success_rate; //个人简介
                    var user_id = ytresults[i].user_id;
                    var userlevel = ytresults[i].userlevel; //投顾标志
                    var title = ytresults[i].title;
                    var total_yields = ytresults[i].total_yields; //总收益
                    var week_yields = ytresults[i].week_yields; //周收益
                    var day_yields = ytresults[i].day_yields; //日收益
                    var month_yields = ytresults[i].month_yields; //日收益
                    var yqttx = ""; //投顾头像下的五角标志
                    var syl = ""; //收益率
                    var buym = ""; //是买入还是卖出;
                    if (userlevel == "1") { //为投顾
                        yqttx = "<i class='rz'></i>";
                    }
                    if (order_flag == "35") { //总收益
                        syl = total_yields;
                    } else if (order_flag == "34") { //月收益
                        syl = month_yields;
                    } else if (order_flag == "33") { //周收益
                        syl = week_yields;
                    } else if (order_flag == "32") { //日收益
                        syl = day_yields;
                    }
                    if (trade_type == "0") { //买入
                        buym = "买入";
                    } else {
                        buym = "卖出";
                    }
                    var pmsm = "";
                    // pmsm = "<p class='"+(syl >=0 ? 'a2' : 'a3')+"'>累计收益率<span>"+(syl * 100).toFixed(2)+"<em>%</em></span></p>";
                    if (order_flag == "37") {
                        pmsm = "<p class='a2'>人气值<span>" + levelRank + "<em></em></span></p>";
                    } else if (order_flag == "32") {
                        pmsm = "<p class='" + (syl >= 0 ? 'a2': 'a3') + "'>日收益率<span>" + (syl * 100).toFixed(2) + "<em>%</em></span></p>";
                    } else if (order_flag == "34") {
                        pmsm = "<p class='" + (syl >= 0 ? 'a2': 'a3') + "'>月收益率<span>" + (syl * 100).toFixed(2) + "<em>%</em></span></p>";
                    } else if (order_flag == "33") {
                        pmsm = "<p class='" + (syl >= 0 ? 'a2': 'a3') + "'>周收益率<span>" + (syl * 100).toFixed(2) + "<em>%</em></span></p>";
                    } else if (order_flag == "35") {
                        pmsm = "<p class='" + (syl >= 0 ? 'a2': 'a3') + "'>累计收益率<span>" + (syl * 100).toFixed(2) + "<em>%</em></span></p>";
                    } else if (order_flag == "38") {
                        pmsm = "<p class='a2'>周人气值<span>" + levelRank + "<em></em></span></p>";
                    } else if (order_flag == "39") {
                        pmsm = "<p class='a2'>月人气值<span>" + levelRank + "<em></em></span></p>";
                    } else if (order_flag == "40") {
                        pmsm = "<p class='a2'>季人气值<span>" + levelRank + "<em></em></span></p>";
                    } else if (order_flag == "41") {
                        pmsm = "<p class='a2'>年人气值<span>" + levelRank + "<em></em></span></p>";
                    }

                    var zxtc = "";
                    if (ytresults[i].histBargainRowSize == "1") {
                        //判断是否登录
                        var login_flag = appUtils.getSStorageInfo("_isLoginIn"); // 是否登陆	
                        if (login_flag!="true") { //没有登入
                            stock_name = "****";
                            stock_code = stock_code.substring(0, 3) + "***";
                            zxtc = "<dl><dt class='a1'>最新调仓：</dt>" + "<dd>" + exec_date + exec_time + " " + buym + " " + (exec_qty / 100) + "手 " + stock_name + "(" + stock_code + ")</br><span class='yqt_lu' style='color: red;'>登录可见</span></dd>" + "</dl>";
                        } else {
                            zxtc = "<dl><dt class='a1'>最新调仓：</dt>" + "<dd>" + exec_date + exec_time + " " + buym + " " + (exec_qty / 100) + "手 " + stock_name + "(" + stock_code + ")</dd>" + "</dl>";
                        }
                    }
                    var zxgd = "";
                    if (ytresults[i].viewRowSize == "1") {
                        zxgd = "<dl><dt class='a2'>最新观点：</dt><dd>" + title + "</dd></dl>";
                    }
                    var cpjh = "";
                    if (ytresults[i].mallRowSize == "1") {
                        cpjh = "<dl><dt class='a3'>投研产品：</dt><dd>【" + inst_sname + "】</dd></dl>";
                    }
                    yqtstr += "<li user_id='" + user_id + "'><div class='top'><div class='img'><img src='" + domain + face_image + "'>" + yqttx + "</div>" + "<div class='cont'><h3><span class='name'>" + real_name + "</span><em class='js'>" + introdution + "</em></h3>" + "" + pmsm + "</div></div><div class='bot'>" + "" + zxtc + "" + zxgd + "" + cpjh + "</div></li>";
                }
                if (curPage == 1 && ytresults.length == 0) {
                      yqtstr +="<li>暂无数据</li>";
                     $(pageId + " .dropload-down").hide();
                }
                yqtstr += "</ul>";
                
                if (ytresults.length < 5) {
                    // 再往下已经没有数据
                    // 锁定
                    dropload.lock();
                    // 显示无数据
                    dropload.noData();
                    dropload.loading = false;
                   // yqtstr +="<div class='dropload-down'><div class='dropload-noData'>我是有底线的</div></div>";
                }
                $(pageId + " #yqt_list").append(yqtstr);
                dropload.resetload();
                //登入
                appUtils.bindEvent($(pageId + " .yqt_lu"),
                function(e) {
                    isLogin(); //登入
                    e.stopPropagation();
                },
                "click");
                appUtils.bindEvent($(pageId + " #yqt_list ul li"),
                function() {
                    // 投顾跳转
                    var user_id = $(this).attr("user_id");
                    common.grzyTz(user_id, pageCode); //翼投顾中个人主页跳转统一方法
                },
                "click");
            } else {
                common.imsg(error_info);
                if ($(pageId + " #yqt_list").html().length == 0) {
                    $(pageId + " #yqt_list").html(defaultHtmlContent);
                }
                dropload.isLockDown = true;
                dropload.resetload();
            }
        },
        {
            "isShowWait": false
        });
    };

    //绑定事件
    function bindPageEvent() {
        //进入社区
        appUtils.bindEvent($(pageId + " .icon_xx"),
        function() {
            common.isNewVin();
        });
        appUtils.bindEvent($(pageId + " .icon_back"),
                function() {
        			common.backModule();
                });
        // 主页
        appUtils.bindEvent($(pageId + " #index"),function(event) {
            event.stopPropagation();
            var param={
    			"loadPage":	true
    		};
            appUtils.pageInit(pageCode, "account/index",param);
        },
        "touchstart");
        // 理财
        appUtils.bindEvent($(pageId + " #lc"),
        function(event) {
            event.stopPropagation();
            var param={
    				"loadPage":	true
    			};
            appUtils.pageInit(pageCode, "mall/moneyShop",param);
        },
        "touchstart");
        // 生活
        appUtils.bindEvent($(pageId + " #sh"),
        function(event) {
            event.stopPropagation();
            var param={
    				"loadPage":	true
    			};
            appUtils.pageInit(pageCode, "life/lifeIndex",param);
        },
        "touchstart");
        // 我的
        appUtils.bindEvent($(pageId + " #wd"),
        function(event) {
            event.stopPropagation();
            var param={
    				"loadPage":	true
    			};
            appUtils.pageInit(pageCode, "userCenter/wd",param);
        },
        "touchstart");
        // 设置
        appUtils.bindEvent($(pageId + " .icon_set"),
        function() {
            var param = {
                "pageCode": pageCode
            };
            appUtils.pageInit(pageCode, "userCenter/wdsz", param);
        },
        "click");
        //谈股论金
        appUtils.bindEvent($(pageId + " #wing_lunjin"),
        function() {
            $(this).addClass("on");
            $(this).siblings().removeClass("on");
            appUtils.pageInit(pageCode, "account/ytg/yqtTrends");
        },
        "click");
        appUtils.bindEvent($(pageId + " .tab_inner ul li"),
        function() {
            // 切换样式
            $(this).addClass("on");
            $(this).siblings().removeClass("on");
            // 获取type值
            order_flag = $(this).find("a").attr("type");
            curPage = 1;
            setCurTabIndexByFundType(order_flag);
            $(pageId + " #yqt_list").html("");
            initScrollPull();
        },
        "click");

    }

    function setCurTabIndexByFundType(type) {
        var curLi = $(pageId + ".tab_inner ul li a[type='" + type + "']");
        if (curLi.length > 0) {
            //			curLi.addClass("on").siblings("li").removeClass("on");
            var historyLeft = $(pageId + ".tab_inner")[0].scrollLeft;
            var left = curLi.offset().left;
            var scrollLeft = left - $(window).width() / 2 + curLi.width() / 2;
            // zepto animate 不支持scrollLeft 
            var num = 0;
            var timer = null;
            timer = setInterval(function() {
                if ((scrollLeft > 0 && num > scrollLeft) || (scrollLeft < 0 && num < scrollLeft)) {
                    clearInterval(timer);
                    return false;
                }
                scrollLeft >= 0 ? num += 1 : num -= 1;
                $(pageId + ".tab_inner")[0].scrollLeft = historyLeft + num;
            },
            1);
        }
    }

    // 判断是否登录
    function isLogin() {
        var islogin = appUtils.getSStorageInfo("_isLoginIn");
        var user_id = appUtils.getSStorageInfo("yqtid");
        var param = {
            "pageCode": pageCode
        };
        if (islogin!="true") {
            appUtils.setSStorageInfo("_prePageCode", pageCode);
            common.findLogin(param);
            return false;
        }
        if (!user_id) {
            appUtils.setSStorageInfo("_prePageCode", pageCode);
            common.findLogin(param);
            return false;
        }
        return true;
    }
    //销毁
    function destroy() {
        dropload.resetload0();
    }

    var ytg_yqt = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };

    // 暴露对外的接口
    module.exports = ytg_yqt;

});
