define('mall/scripts/appropriate/appropriateBaseInfo.js',function(require, exports, module) {
	var appUtils = require("appUtils");
	var putils = require("putils");
	var service = require("mobileService"); //业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var fundUtils = require("mall/scripts/common/fundUtils");
	var appropriateService = require("appropriateService");
	var HIscroll =require("hIscroll");
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var constants=require("constants");//常量类
	var _pageId="#appropriate_appropriateBaseInfo  ";
	var pageCode = "userCenter/wd";
	
	function init(){
		common.initTitle(_pageId);
		
		$(_pageId + "#userInfo").show();
		$(_pageId + "#phoneBtn").show();
		$(_pageId + "#riskTest1").show();
		$(_pageId + "#riskTest2").show();
		
//		var idCard_flag = appUtils.getPageParam("idCard_flag");
//		var mobile_flag = appUtils.getPageParam("mobile_flag");
//		var risk_flag = appUtils.getPageParam("risk_flag");
//		var risk_level = appUtils.getPageParam("risk_level");
//		var fix_flag = appUtils.getPageParam("fix_flag");//两要素信息
//		var fid_zjyxq = appUtils.getPageParam("fid_zjyxq");//证件有效期
		
		appropriateService.appropriateBaseInfo({"khh" : appUtils.getSStorageInfo("khh")} ,function(data){
			if(data.error_no!="0")
			{
				layerUtils.iAlert(data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			var result = data.results;
			var idCard_flag = result[0].idCard_flag;
			var mobile_flag = result[0].mobile_flag;
			var risk_flag = result[0].risk_flag;
			var risk_level = result[0].fid_fxcsnl;
			var fix_flag = result[0].fix_flag;
			var fid_zjyxq = result[0].fid_zjyxq;
			var fid_jjfxpgrq = result[0].fid_jjfxpgrq || "--";
			
			//验证身份证信息
			if(idCard_flag == "-2")
			{
				$(_pageId + "#sfz").show();
				$(_pageId + "#card_flag").html("身份证有效期为空");
				$(_pageId + "#time").html("有效期为：--");
				$(_pageId + "#card_flag").parent().removeClass("on");
			}
			else if(idCard_flag == "-1")
			{
				$(_pageId + "#sfz").show();
				$(_pageId + "#card_flag").html("身份证已过期");
				$(_pageId + "#time").html("有效期为："+ fid_zjyxq);
				$(_pageId + "#card_flag").parent().removeClass("on");
			}else if(idCard_flag == "-3")
			{
				$(_pageId + "#sfz").show();
				$(_pageId + "#card_flag").html("身份证需要升位");
				$(_pageId + "#time").html("有效期为："+ fid_zjyxq);
				$(_pageId + "#card_flag").parent().removeClass("on");
			}else if(idCard_flag == "1")
			{
				$(_pageId + "#sfz").show();
				$(_pageId + "#card_flag").html("身份证有效");
				$(_pageId + "#time").html("有效期为："+ fid_zjyxq);
				$(_pageId + "#card_flag").parent().addClass("on");
				$(_pageId + "#userInfo").hide();
			}else if(idCard_flag == "0"){//证件不是身份证
				$(_pageId + "#sfz").hide();
			}
//			
//			//验证手机号码
//			if(mobile_flag == "-1")
//			{
//				$(_pageId + "#phone_flag").html("缺少手机号码手机号码非法");
//				$(_pageId + "#phone_flag").parent().removeClass("on");
//			}
//			else if(mobile_flag == "1")
//			{
//				$(_pageId + "#phone_flag").html("手机号码验证正常");
//				$(_pageId + "#phone_flag").parent().addClass("on");
//				$(_pageId + "#phoneBtn").hide();
//			}
			
			//验证风险等级
			if(risk_flag == "-2")
			{
				$(_pageId + "#risk_info").html("您还未做风险测评");
				$(_pageId + "#risk_info").parent().removeClass("on");
				$(_pageId + "#is_risk").hide();
			}
			else if(risk_flag == "-1")
			{
				$(_pageId + "#risk_info").html("您的风险测评已过期");
				$(_pageId + "#risk_time").html("您的评测日期为：" + fid_jjfxpgrq);
				$(_pageId + "#risk_info").parent().removeClass("on");
				$(_pageId + "#is_risk").hide();
			}else if(risk_flag == "1")
			{
				$(_pageId + "#risk_info").html("您的风险等级为：" + fundUtils.FundkhhRank(risk_level));
				$(_pageId + "#risk_time").html("您的评测日期为：" + fid_jjfxpgrq);
				$(_pageId + "#risk_info").parent().addClass("on");
				$(_pageId + "#riskTest1").hide();
			}
			else if(risk_flag == "-3")
			{
				$(_pageId + "#risk_info").html("您的风险等级为：" + fundUtils.FundkhhRank(risk_level));
				$(_pageId + "#risk_time").html("您的评测日期为：" + fid_jjfxpgrq);
				$(_pageId + "#risk_info").parent().addClass("on");
				$(_pageId + "#riskTest1").hide();
			}
			else{
				$(_pageId + "#risk_info").html("您的风险等级为：" + fundUtils.FundkhhRank(risk_level));
				$(_pageId + "#risk_time").html("您的评测日期为：" + fid_jjfxpgrq+"即将过期");
				$(_pageId + "#risk_info").parent().addClass("on");
				$(_pageId + "#is_risk").hide();
			//	$(_pageId + "#riskTest1").hide();
			}
			
//			//判断三要素是否完善
//			if(fix_flag == "-1")
//			{
//				$(_pageId + "#type_flag").html("不完善");
//				$(_pageId + "#type_flag").parent().removeClass("on");
//			}
//			else if(fix_flag == "1")
//			{
//				$(_pageId + "#type_flag").html("完善");
//				$(_pageId + "#type_flag").parent().addClass("on");
//				$(_pageId + "#riskTest2").hide();
//			}
			//风险测评强制测评
			if(risk_flag == "0"||risk_flag == "-1"||risk_flag == "-2"){
				$(_pageId + "#sidebtn a").removeClass("combtns").addClass("disabled").unbind();
			}else{
				$(_pageId + "#sidebtn a").removeClass("disabled").addClass("combtns");
				appUtils.bindEvent($(_pageId+" #sidebtn a"), function(){
					khhPageInit();
				},"click");
			}
		});
	}
	
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"), function(){
			khhPageInit();
		});
		
		//确定
		appUtils.bindEvent($(_pageId+" #sidebtn a"), function(){
			khhPageInit();
		},"click");
		
		//完善身份证信息
		appUtils.bindEvent($(_pageId+" #userInfo"), function(){
//			var param2={
//					"counTer":"身份证信息无效或过期，请您到柜台修改！"
//				};
//			common.popupMethod(param2);
			appUtils.pageInit(pageCode, "userCenter/wd");
			
		});
		
		
		
		//完善身份证信息
		appUtils.bindEvent($(_pageId+" #riskTest1,#riskTest2"), function(){
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆
			if(login_flag!="true"){//没有登入
				var  pageInParam = {
					"url" : pageCode,
					"backUrl":"userCenter/riskResults"
				};
				common.findLogin({"backparam":pageInParam});
			}else{
				var khh=appUtils.getSStorageInfo("khh");
				if(khh!=""&&typeof(khh)!="undefined"&&khh!=null){
					var param = appUtils.getPageParam();
					//为了能重新测评之后再返回回来
					param["url_flag"]="appropriate/appropriateBaseInfo";
					appUtils.pageInit(pageCode,"userCenter/riskResults",param);
				}else{
					var param2={
							"counTer":"请您用客户号登入！"
						};
					common.popupMethod(param2);
				}

			}
		});
		
//		//完善电话号码
//		//确定
//		appUtils.bindEvent($(_pageId+" #phoneBtn"), function(){
//			var param2={
//					"counTer":"缺少电话号码，请您到柜台修改！"
//				};
//			common.popupMethod(param2);
//		});
	}

	
	//自定义方法
	//保证金
	function khhPageInit() {
		var backurl = appUtils.getPageParam("backUrl");
		var backparam = appUtils.getPageParam("backparam");
		var avicParam = appUtils.getPageParam("avicParam");
		if(backurl=="groupExclusive/groupLuxury"||backurl=="life/hotelOrder"||backurl=="groupExclusive/zmkm"||backurl=="life/hotelDetail") {
			appUtils.pageInit("account/userLogin",backurl,backparam);
			return;
		}
		var url=appUtils.getLStorageInfo("bdurl");
		if(url!=null&&url!=""){
			appUtils.pageInit("account/userLogin","userCenter/emailAtion");
			return;
		}
		//集团员工专区（保证金）
		if(typeof(backparam)!="undefined"&&backparam!=""&&backparam.backUrl=="groupExclusive/groupLuxuryV3") {
			// 判断是否白名单
			//是不是集团用户
			var khdj="";//客户号
			var group_type="";//1表示安盟专区
			var ctrlParam = {
					"isAsync" : false
				};
			var param2={
				"identity_num":appUtils.getSStorageInfo("identity_num"),
				"mobile_phone":appUtils.getSStorageInfo("mobile_phone")
			};
			
			service.findJtyh(param2, function(databjt){
				var resultsjt = databjt.results;
					khdj=resultsjt[0].khdj;
					group_type = resultsjt[0].group_type;//1表示安盟专区
				var idno=resultsjt[0].idno;
				if(typeof(idno)!="undefined"&&idno!="0"){//是集团客户
					var param={
							"product_id":appUtils.getSStorageInfo("product_id"),
							"product_status":appUtils.getSStorageInfo("product_status"),
							"product_type":appUtils.getSStorageInfo("product_type"),
							"pageCode":backparam.prePageCode
						};
					var cpdj=appUtils.getSStorageInfo("cpdj");
					if(appUtils.getSStorageInfo("product_type")=="5"){//判断理财产品必须要客户等级不小于产品等级
						if(khdj==cpdj){
							appUtils.pageInit(_pageCode,"mall/stickMoneyIn",param);
						}else{
							if(appUtils.getSStorageInfo("khbz")=="1"){
								var param2={
										"counTer":"亲，你已经开过户了，快快享受员工福利吧"
									};
								common.popupMethod(param2);
								//layerUtils.iMsg(0,"亲，你已经开过户了，快快享受员工福利吧");
							}else{
								var param2={
										"counTer":"你非本次发行的对象，请联系营业部！"
									};
								common.popupMethod(param2);
								//layerUtils.iMsg(0,"你非本次发行的对象，请联系营业部！");
							}
						}
					}else if(appUtils.getSStorageInfo("product_type")=="9"){
						common.xdtlogin("account/index");
					}else{
						if(appUtils.getSStorageInfo("khbz")=="1"){
							var param2={
									"counTer":"亲，你已经开过户了，快快享受员工福利吧！"
								};
							common.popupMethod(param2);
							//layerUtils.iMsg(0,"亲，你已经开过户了，快快享受员工福利吧");
						}else if(appUtils.getSStorageInfo("khbz")=="2"){//生产二维码标志
							if(group_type==1){//表示是安盟专区的
								appUtils.pageInit(param.pageCode,"groupExclusive/qRcode",param);
							}else{
								var param2={
										"counTer":"亲，您不是安盟员工"
									};
								common.popupMethod(param2);
							}
						}else{
							appUtils.pageInit(_pageCode,"mall/itemsFinanIn",param);
						}
					}
				}else{
					//不是集团客户，邮箱认证去
					//判断有没有资料认证
					service.findMaterialRz({"user_id":appUtils.getSStorageInfo("user_id")},function(data){
						var error_no = data.error_no;
						if(error_no=="0"){//没有提交资料
							var results = data.results[0];
							var m_issh=results.m_issh;//认证的状态，0表示有资料正在审核，1表示审核通过
							if(m_issh=="0"){
								appUtils.pageInit("account/userLogin", "groupExclusive/materialVerifying");
							}else{
								service.findEmailVerifying({"user_id":appUtils.getSStorageInfo("user_id")},function(databyx){
									var error_no = databyx.error_no;	
									if(error_no==0){
										var results = databyx.results;
										var issh_email = results[0].issh_email;//是否激活
										var param={
												"pageCode":backparam.prePageCode
										};
										if(results!=""){
											if(issh_email=="1"){
											}else if(issh_email=="0"){
												appUtils.pageInit("account/userLogin","groupExclusive/emailVerifying",param);
											}else if(issh_email=="10"){
												appUtils.pageInit("account/userLogin","groupExclusive/emailAtion",param);
											}else{
												appUtils.pageInit("account/userLogin","groupExclusive/emailAtion",param);
											};
										};
									};
								},ctrlParam);
							};
						};
					},ctrlParam);
				};
			},ctrlParam);
			return;
		};
		//翼钱罐(保证金)
		if(typeof(backparam)!="undefined"&&backparam!=""&&backparam.avicBao_sign=="1") {
			if(backparam.storage_switch=="1"){//需要认证的
				//判断取出认证
				if(typeof(backparam)!="undefined"&&backparam!=""&&backparam.avicBao_TakeOut=="1") {//取出不需要认证
					appUtils.pageInit(_pageCode,backparam.backUrl,param);//跳进翼钱罐相关页面
				}else{
					var ctrlParam = {
							"isAsync" : false
						};
					var param2={
							"identity_num":appUtils.getSStorageInfo("identity_num"),
							"mobile_phone":appUtils.getSStorageInfo("mobile_phone")
						};
					service.findAvicIndo(param2, function(databjt){
						var resultsjt = databjt.results;
						var idno=resultsjt[0].idno;
						if(typeof(idno)!="undefined"&&idno!="0"){//是集团客户
							appUtils.pageInit(_pageCode,backparam.backUrl,param);//跳进翼钱罐相关页面
						}else{
							//判断有没有邮箱认证
							service.findEmailVerifying({"user_id":appUtils.getSStorageInfo("user_id")},function(datasyx){
								var error_no = datasyx.error_no;	
								if(error_no==0){
									var results = datasyx.results;
									var issh_email = results[0].issh_email;//是否激活
									var param={
											"pageCode":backparam.prePageCode
										};
									if(results!=""){
										if(issh_email=="1"){
											layerUtils.iMsg(-1,"邮箱认证已经成功！请等待审核！");
										}else if(issh_email=="0"){
											appUtils.pageInit(_pageCode,"groupExclusive/emailVerifying",param);
										}else if(issh_email=="10"){
											appUtils.pageInit(_pageCode,"groupExclusive/emailAtion",param);
										}else{
											appUtils.pageInit(_pageCode,"groupExclusive/emailAtion",param);
										};
									};
								};
							},ctrlParam);
						}
					},ctrlParam);
				}
				return;
			}else{
				appUtils.pageInit(_pageCode,backparam.backUrl,param);//跳进翼钱罐相关页面
			}
			return;
		}
		//滴滴打车
		if(typeof(backparam)!="undefined"&&backparam!=""&&backparam.backUrl=="groupExclusive/dropsTaxi") {
			appUtils.pageInit("account/userLogin",backparam.backUrl);
			return;
		};
		//用于IM滴滴打车
		if(typeof(backparam)!="undefined"&&backparam!=""&&backparam.backUrl=="account/dropsTaxi") {
			appUtils.pageInit("account/userLogin",backparam.backUrl);
			return;
		};
		
		
		//芝麻开门
		if(typeof(backparam)!="undefined"&&backparam!=""&&backparam.prePageCode=="groupExclusive/jfslzq") {
			appUtils.setSStorageInfo("pageCode",backparam.prePageCode);
			var param={
				"product_id":backparam.product_id,
				"product_type":backparam.product_type
			};
			appUtils.pageInit("account/userLogin",backparam.backUrl,param);
			return;
		}
		//用于新理财购买统一的跳转
		if(typeof(avicParam)!="undefined"&&avicParam!=""&&avicParam.shop_sign=="1") {
//			if(avicParam.product_type=="8"){
//				var param = {
//						"product_id" :avicParam.product_id,
//						"product_type" : avicParam.product_type,
//						"pageCode" : avicParam.pageCode
//					};
//				appUtils.pageInit(_pageCode,"mall/finanOrder/stickMoneyBuy", param);
//			}else{
//				var loginType = appUtils.getSStorageInfo("loginType");
//				if (loginType == "0") {// 手机账号
//					common.queryMobilePhone(appUtils.getSStorageInfo("mobile_phone"),determineUser);
//				} else {// 资金账号
//					var param = {
//						"product_id" :avicParam.product_id,
//						"product_type" : avicParam.product_type,
//						"pageCode" : avicParam.pageCode
//					};
//				appUtils.pageInit(_pageCode,"mall/finanOrder/stickMoneyBuy", param);
//				}
//			}
			common.khhRiskLevel(avicParam);
			return;
		}
		if(typeof(backparam)!="undefined"&&backparam!="") {
			appUtils.setSStorageInfo("pageCode",backparam.prePageCode);
			appUtils.pageInit("account/userLogin",backparam.backUrl,backparam);
			return;
		}
		var url=appUtils.getLStorageInfo("bdurl");
		if(url!=null&&url!=""){
			appUtils.pageInit("account/userLogin","groupExclusive/emailAtion");
			return;
		}
		
			if(appUtils.getSStorageInfo("_loginInPageCode")){
				var _prePageCode = appUtils.getSStorageInfo("_loginInPageCode");
				 if(_prePageCode == "account/payNianfei"){
					appUtils.pageInit("account/userLogin","account/payNianfei",{});
				 }else {
					 if(appUtils.getSStorageInfo("_loginInPageParam")==null||appUtils.getSStorageInfo("_loginInPageParam")=="") {
						 appUtils.pageInit("account/userLogin", appUtils.getSStorageInfo("_loginInPageCode"));
					 }else {
						 appUtils.pageInit("account/userLogin", appUtils.getSStorageInfo("_loginInPageCode"), JSON.parse(appUtils.getSStorageInfo("_loginInPageParam")));
					 }
				 } 
				appUtils.clearSStorage("_loginInPageCode");
				appUtils.clearSStorage("_loginInPageParam");
			}else{
			var pageJump = appUtils.getSStorageInfo("pageJump");
				if(pageJump == "mall/finanOrder/confirmOrder"){
					var pageParam = appUtils.getPageParam();
					if(pageParam != undefined){
						if(pageParam.product_type == "7"){
							var param = {
								"product_type":appUtils.getPageParam().product_type,
								"product_id":appUtils.getPageParam().product_id
							};
						}else if(pageParam.product_type == "8"){
							var param = {
									"product_type":appUtils.getPageParam().product_type,
									"product_id":appUtils.getPageParam().product_id,
									"mobile_phone":appUtils.getSStorageInfo("mobile_phone")
								};
						}else{
							var param = {
								"product_id":appUtils.getPageParam().product_id
							};
						};
					};
					appUtils.pageInit("account/userLogin","mall/finanOrder/confirmOrder",param);
				}else{
					var _prePageCode = appUtils.getSStorageInfo("_prePageCode");
					if(_prePageCode == "account/wingService" || _prePageCode == "account/found"){
						
						appUtils.pageInit("account/userLogin",_prePageCode);
					}else if(_prePageCode == "account/index"){
						var pageParam = appUtils.getPageParam();
						if(pageParam != undefined && pageParam.openTrend == "true"){
							appUtils.pageInit("account/userLogin","account/wingService",{});
						}else{
							appUtils.pageInit("account/userLogin","account/index",{});
						}
					}
					else if(_prePageCode == "account/heroList"||_prePageCode == "account/heroListSearch"){
						if("1"==appUtils.getPageParam().flag) {
							appUtils.pageInit("account/userLogin","account/answerActivity");
						}else {
							var param = {
									"uuid" : appUtils.getPageParam().uuid,
									"zhbh" : appUtils.getPageParam().zhbh,
									"flag":appUtils.getPageParam().flag
							};
								appUtils.pageInit("account/userLogin",_prePageCode,param);
						}
					}else if(_prePageCode == "account/ytg/userSpace"){
						appUtils.pageInit("account/userLogin",_prePageCode,{invest_id : appUtils.getPageParam("invest_id")});
					}
					else if(_prePageCode == "account/ytg/PlayGame"){
						appUtils.pageInit("account/userLogin",_prePageCode);
					}else if(_prePageCode == "account/ytg/viewDetails"){
						appUtils.pageInit("account/userLogin",_prePageCode,{view_id : appUtils.getPageParam("view_id")});
					}
					
					else{
						appUtils.pageInit("account/userLogin","account/index",{});
					}
				}
			}
			
	}
	
	/*--------------------------自定义方法结束---------------------------------*/
	function destroy(){
		
	}
	
	var baseInfo = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = baseInfo;
});