/**
 * 翼钱罐中存入
 */
define('mall/scripts/avicBao/avicDeposit.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var pageId = "#avicBao_avicDeposit ";
	var pageCode = "avicBao/avicDeposit";
	var gconfig = require("gconfig");
	var external = require("external");
	var global = gconfig.global;
	var common = require("common");
	var URL=global.url;
	var putils = require("putils");
	var isRemember="";//一个判断变量
	var inst_avl="";//可用金额
	var fundUtils = require("mall/scripts/common/fundUtils");
	var trd_amt="";//存入金额
	//初始化
	function init(){
		common.initTitle(pageId);
		
		var loginType = appUtils.getSStorageInfo("loginType");//判断是手机号还是保证金号
		if(loginType=="0"){//手机号
			
			$(pageId+" #avic_tpye").show();//显示密码框
		}else{
			$(pageId+" #avic_tpye").hide();//隐藏密码框
		}
		avicFund();//判断风险测评
		isRemember="flase";
		$(pageId+" .switch-inner").removeClass("on");//去除全部取出
		$(pageId+" #yqg_buy").removeAttr("disabled"); //去除只读
	}
	//查询个人的保证金金额
	function queryAccount(){
		var param = {
			"client_id":appUtils.getSStorageInfo("khh")
		};
		 service.queryAvicAccount(param, function(data){
				var error_no = data.error_no,
				    results = data.results;
				if (error_no === "0"){
					var result = results[0];
					 inst_avl = result.enable_balance;//可用的保证金
				}else{
					layerUtils.iMsg(-1,data.error_info);
				};
				$(pageId+" #yqg_je").html(inst_avl);
			});
	}
	//判断和校验风险测评
	function avicFund(){
		var khh = appUtils.getSStorageInfo("khh");//判断返回是够绑定了客户号
		var  param={
				"fid_khh": khh
			};
			service.findFundFxce(param,function(data){
				if(data.error_no=="0"){
					var result=data.results;
					var fid_fxcsnl=result[0].fid_fxcsnl;
					var type=result[0].type;
					if(fid_fxcsnl!=""&&typeof(fid_fxcsnl)!="undefined"){//有风险等级的
						if(type=="1"){//表示过期了
							var param2={
									"counTer":"您的风险测评已经过期，请重新进行风险测评！"
								};
							common.popupMethod(param2);
							appUtils.pageInit(pageCode,"avicBao/avicFund",param);
						}else{
							queryAccount();//查询个人的保证金金额
						}
					}else{//没有做风险测评的
						var param2={
								"counTer":"您的风险测评已经过期，请重新进行风险测评！"
							};
						common.popupMethod(param2);
						appUtils.pageInit(pageCode,"avicBao/avicFund",param);
					}
				}else {
					layerUtils.iMsg(-1,data.error_info);
				}
			});
	}
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			appUtils.pageInit(pageCode,"avicBao/avicHomePage" , appUtils.getPageParam());
		});
		//限制输入框输入
		appUtils.bindEvent($(pageId+" #yqg_buy"),function(){
			var moneyInput=$(pageId+" #yqg_buy").val();
			if(parseInt(moneyInput)>50000){
				$(pageId+" #yqg_buy").val("50000");
			}
		},"keyup");
		 $('#tradePwd').blur(function () 
		            { 
		            $(pageId+" #tradePwd").focus();
		});
		//存入确定
		appUtils.bindEvent($(pageId+" #avic_determine"),function(){
			//var client_no=appUtils.getSStorageInfo("khh");//客户号
				//var trd_amt="";//存入金额
				if(isRemember=="true"){//全部存入
					if(parseInt(inst_avl)>50000){
						trd_amt="50000";
					}else{
						trd_amt=inst_avl;
					}
					if(trd_amt==0){
						layerUtils.iMsg(-1,"购买金额必须大于0元");
						return false;
					}
				}else{
					//判断数据的金额
					//判断金额是否可支付
					trd_amt = $(pageId+" #yqg_buy").val();//购买金额
					if(trd_amt==""||trd_amt==null){
						layerUtils.iMsg(-1,"购买金额不能为空");
						return false;
					}
					if(trd_amt==0){
						layerUtils.iMsg(-1,"购买金额必须大于0元");
						return false;
					}
//					var inst_avl2=inst_avl.split(".");//可用金额
//					var inst_avl1=inst_avl2[0]+inst_avl2[1]+"";
					if(inst_avl!=0){
						if(parseFloat(trd_amt)>parseFloat(inst_avl)){
							layerUtils.iMsg(-1,"购买金额不能大于可用金额");
							return false;
						}
					}else{
						if(parseFloat(trd_amt)>parseFloat(inst_avl)){
							layerUtils.iMsg(-1,"购买金额不能大于可用金额");
							return false;
						}
					}
				}
				var trade_pwd="";
				var loginType = appUtils.getSStorageInfo("loginType");//判断是手机号还是保证金号
				if(loginType=="0"){//手机号
					 trade_pwd=$(pageId+" #yqg_zjmm").val();//手机收入的密码
					 if(trade_pwd==""||trade_pwd==null){
							layerUtils.iMsg(-1,"密码不能为空");
							return false;
					}
					 if(trade_pwd.length!="6"){
						 layerUtils.iMsg(-1,"请输入6位密码！");
							return false;
					 }
				}else{
					$(pageId+".fake-box input").val("");
					$(pageId+" #tradePwd").val("");
					$(pageId+".yuan").hide();//资讯的不显示价钱
					$(pageId+" #payment_drop").show();
					$(pageId+" #payment_card").show();
					$(pageId+" #tradePwd").focus();
				}
		});
		//全部取出
    	appUtils.bindEvent($(pageId+" #checkOn"),function(){
			var state = $(this).attr("date-state");
			if(state == "true"){//不全部存入
				isRemember = "false";
				$(this).attr("date-state","false");
				$(pageId+" .switch-inner").removeClass("on");
				$(pageId+" #yqg_buy").val("");
				$(pageId+" #yqg_buy").removeAttr("disabled"); //去除只读
			} else {//全部存入
				$(this).attr("date-state","true");
				isRemember = "true";
				$(pageId+" .switch-inner").addClass("on");
				if(parseInt(inst_avl)>50000){
					$(pageId+" #yqg_buy").val("50000");
				}else{
					$(pageId+" #yqg_buy").val(inst_avl);
				}
				$(pageId+" #yqg_buy").attr("disabled",true); //输入框只读
			}
		});
    	//翼钱罐帮助页面
		appUtils.bindEvent($(pageId+" .icon_question"),function(){
			var param={
				"pageCode":pageCode
			};
			appUtils.pageInit(pageCode,"avicBao/avicHelp",param);
		});
		//确定支付
		var $input = $(pageId+" .fake-box input");
		$(pageId+" #tradePwd").on("input", function() {  
			 var pwd = $(pageId+" #tradePwd").val().trim();//输入的密码  
            for (var i = 0, len = pwd.length; i < len; i++) {  
                $input.eq("" + i + "").val(pwd[i]);  
            }  
            $input.each(function() {  
                var index = $(this).index();  
                if (index >= len) {  
                    $(this).val("");  
                };  
            });  
            if (len == 6) { 
            	$(pageId+".fake-box input").val("");
    			$(pageId+" #payment_drop").hide();
    			$(pageId+" #payment_card").hide();
                //执行其他操作  
            	var confirmPay= $(pageId+" #tradePwd").val();//输入的密码
    			if(confirmPay==""||typeof(confirmPay)=="undefined"){
    				layerUtils.iMsg(-1,"请输入交易密码");
    		 		return false;
    			}
    			var client_no=appUtils.getSStorageInfo("khh");//客户号
				//密码加密
				service.getRSAKey({},function(dataresult){
					$(pageId+" #payment_drop").show();
					$(pageId+" #alert_loding").show();
					if(dataresult.error_no=="0"){
						var modulus = dataresult.results[0].modulus;
						var publicExponent =dataresult.results[0].publicExponent;
						var endecryptUtils = require("endecryptUtils");
						var trade_pass = endecryptUtils.rsaEncrypt(modulus,publicExponent,pwd);
						var param={
							"client_no":client_no,
							"trd_amt":trd_amt,
							"trade_pwd":trade_pass,
							"agmt_sno":appUtils.getSStorageInfo("agmt_sno")//协议编码
						};
						console.log(param);
						//存入
						service.findAvicDeposit(param,function(result){
							if(result.error_no=="0"){
								//判断建议时间
								service.findTradeDate({},function(data){
									if(data.error_no=="0"){
										var now_time=data.results[0].now_time;//现在的时间
										var next_trade_date = data.results[0].next_trade_date;//下一个交易日
										var next_nexttrade_date = data.results[0].next_nexttrade_date;//下两个交易日
										var is_trade = data.results[0].is_trade;//是否是交易日
										var is_trade_date = data.results[0].is_trade_date;//是否是交易时间
										var param={
											"now_time":now_time,
											"next_trade_date":next_trade_date,
											"trd_amt":trd_amt,
											"next_nexttrade_date":next_nexttrade_date
										};
										if(is_trade=='1'&&is_trade_date=='1'){//在交易时间并在交易日
											appUtils.pageInit(pageCode,"avicBao/avicTradeDetails",param);
										}else{
											appUtils.pageInit(pageCode,"avicBao/avicNonTradeDetails",param);
										}
									}else {
										//layerUtils.iMsg(-1,data.error_info);
										var param2={
												"counTer":data.error_info
											};
										common.popupMethod(param2);
										$(pageId+" #payment_drop").hide();
										$(pageId+" #alert_loding").hide();
									}
								});
							}else{
								if(fundUtils.AvicError_no(result.error_no)){
									var param2={
											"counTer":"公测期间，非交易时间段暂不开放委托"
										};
									common.popupMethod(param2);
									$(pageId+" #payment_drop").hide();
									$(pageId+" #alert_loding").hide();
								}else{
									var param2={
											"counTer":result.error_info
										};
									common.popupMethod(param2);
									$(pageId+" #payment_drop").hide();
									$(pageId+" #alert_loding").hide();
								}
							}
						});
					}else{
						var param2={
								"counTer":dataresult.error_info
							};
						common.popupMethod(param2);
						$(pageId+" #payment_drop").hide();
						$(pageId+" #alert_loding").hide();
					}
				});
            }  
        }); 
		
		//关闭密码框
		appUtils.bindEvent($(pageId+" .close"),function(){
			$(pageId+" .fake-box input").val("");
			$(pageId+" #payment_drop").hide();
			$(pageId+" #payment_card").hide();
			$(pageId+" #tradePwd").val("");
		});
	}
	//销毁
	function destroy(){
		$(pageId+" #yqg_buy").attr("value","");//金额清除
		$(pageId+" #avic_tpye").hide();//密码框隐藏
		$(pageId+" #yqg_zjmm").attr("value","");//密码清除
		$(pageId+" #yqg_buy").removeAttr("disabled"); //去除只读
		$(pageId+" #yqg_je").html("");
		$(pageId+" #payment_drop").hide();
		$(pageId+" #alert_loding").hide();
		$('#tradePwd').blur(function () 
	            { 
	            
	            });
		$(pageId).focus();
	}
	var avicDeposit = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = avicDeposit;
	
});