/**
 * 翼钱罐帮助页面
 */
define('mall/scripts/avicBao/avicHelp.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var pageId = "#avicBao_avicHelp ";
	var pageCode = "avicBao/avicHelp";
	var gconfig = require("gconfig");
	var external = require("external");
	var global = gconfig.global;
	var common = require("common");
	var URL=global.url;
	var curPageNo = ""; // 当前页序号
	var pageCodeIn="";//传进来的参数
	var inst_avl="";
	var dropload=require("dropload"); // 滚动组件
	var me="";
	//初始化
	function init(){
		common.initTitle(pageId);
		
		pageCodeIn = appUtils.getPageParam("pageCode");
		inst_avl =  appUtils.getPageParam("inst_avl");
		curPageNo = 1;
		findAvicHelp();//查询翼钱罐中的文章
	}
	//分页查询翼钱罐中的文章
	function findAvicHelp(){
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" #avic_help").html("");
		//初始化滑动组件
		var dropload = $(pageId +".khfxWarp").dropload({
	        scrollArea: $(pageId +".khfxWarp"),
	        loadDownFn: function (me) {
	        	setTimeout(function(){
	        		//调用方法
	        		var param={
	        				"page":curPageNo,
	        				"numPerPage":"20"
	        			};
	        			service.findAvicHelp(param,function(data){
	        				var error_no = data.error_no;
	        				if(error_no == 0){
	        					var dbdata = data.results[0].data;
	        					if(curPageNo == 1){//处理没有数据的情况
	        						if(dbdata.length==0){
	        							$(pageId + " #avic_help").hide();
	        							$(pageId+" .dropload-down").hide();
	        						}else{
	        							$(pageId + " #avic_help").show();
	        							$(pageId+" .dropload-down").show();
	        						}
	        					}else{
	        						if(dbdata.length==0){
	        							me.lock();
	        				            // 显示无数据
	        				            me.noData();
	        				            me.loading = false;
	        				            me.resetload();//加载数据
	        						}
	        					}
	        					curPageNo++;
	        					for(var i = 0;i<dbdata.length;i++){
	        						var a_title =  dbdata[i].a_title;//文章题目
	        						var a_id = dbdata[i].a_id;//文章id
	        						var str ="<a href='javaScript:void(0);' class='avic_conent ' a_id="+a_id+" ><span></span>"+a_title+"</a>";
	        						 $(pageId + " #avic_help").append(str);
	        					}
	        					if(dbdata.length<20){
	        			            // 再往下已经没有数据
	        			            // 锁定
	        			            me.lock();
	        			            // 显示无数据
	        			            me.noData();
	        			            me.loading = false;
	        			        }
	        					me.resetload();//加载数据
	        				}
	        				//点击进入详情页面
	        				appUtils.bindEvent($(pageId+" .avic_conent "),function(){
	        					var pageInParam = {
	        						"a_id" :  $(this).attr("a_id")
	        					};
	        					appUtils.pageInit(pageCode, "avicBao/avicHelpDetails",pageInParam);
	        				},"click");
	        			},{"isShowWait":false});		
	    		},200);
	        }
	    });
	};
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			if(pageCodeIn!=""){
				var param={
					"inst_avl":inst_avl,
					"url":"mall/moneyShop"
				};
				appUtils.pageInit(pageCode,pageCodeIn,param);
			}else{
				var param={
						"url":"mall/moneyShop"
				}
				appUtils.pageInit(pageCode,"avicBao/avicHomePage",param);
			}
		});
	}
	//销毁
	function destroy(){
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" #avic_help").html("");
	}
	var avicHelp = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = avicHelp;
	
});