/**
 * 翼钱罐中非交易时间取出详情
 */
define('mall/scripts/avicBao/avicNonTakeoutDetails.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var pageId = "#avicBao_avicNonTakeoutDetails ";
	var pageCode = "avicBao/avicNonTakeoutDetails";
	var gconfig = require("gconfig");
	var external = require("external");
	var global = gconfig.global;
	var common = require("common");
	var URL=global.url;
	//初始化
	function init(){
		common.initTitle(pageId);
		
		 var now_time=appUtils.getPageParam("now_time");//当前的时间
		 var flag=appUtils.getPageParam("flag");//判断是普通取出还是快速去除
		 var next_trade_date=appUtils.getPageParam("next_trade_date");//下一个交易日
		 if(flag=="1"){
			 $(pageId+" .title").html("结果详情");
		 }else{
			 $(pageId+" .title").html("结果详情");
		 }
		 $(pageId+" #time_deposit").html(now_time);
		 $(pageId+" #time_next").html(next_trade_date+" 08:35:00");
	}
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			appUtils.pageInit(pageCode,"avicBao/avicTakeout");
		});
		//完成
		appUtils.bindEvent($(pageId+" .right_btn"),function(){
			appUtils.pageInit(pageCode,"avicBao/avicHomePage");
		});
	}
	//销毁
	function destroy(){
		
	}
	var avicNonTakeoutDetails = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = avicNonTakeoutDetails;
	
});