/**
 * 转账查询-结果
 */
define('mall/scripts/avicBao/avicResult.js',function(require, exports, module) {
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var service = require("mobileService"); //业务层接口，请求数据
	var global = gconfig.global;
	var layerUtils = require("layerUtils");
	var _pageId="#avicBao_avicResult ";
	var product_code="";

	/*初始化*/
	function init()
	{
		common.initTitle(_pageId);
		
		$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height())+"px"});
		var pageInParam  = appUtils.getPageParam();
		
			var risk_level = pageInParam.risk_level;
			var risk_name;
			if(risk_level == "1"){
				risk_name = "保守型";
			}else if(risk_level == "2"){
				risk_name = "谨慎型";
			}else if(risk_level == "3"){
				risk_name = "稳健型";
			}else if(risk_level == "4"){
				risk_name = "积极型";
			}else if(risk_level == "5"){
				risk_name = "激进型";
			}
		
		$(_pageId+" .risk-result-con").find("h4").html(risk_name);
		$(_pageId+" .risk-result-con").find("h2").html("您的风险评测结果为 : "+risk_name);
	}

	function bindPageEvent() 
	{
		/* 绑定返回事件 */
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});

		/* 绑定确定事件 */
		appUtils.bindEvent($(_pageId+" .risk-result-btn .thinkive a"),function(){
			appUtils.pageInit("avicBao/avicResult","avicBao/avicDeposit");
		});
	}




	function destroy()
	{
		service.destroy();
	}

	var avicResult = 
	{
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};

	module.exports = avicResult;

});