/**
 * 翼钱罐查看当天可撤单
 */
define('mall/scripts/avicBao/tradeOder.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var fundUtils = require("mall/scripts/common/fundUtils");//数字字典
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var pageId = "#avicBao_tradeOder ";
	var pageCode = "avicBao/tradeOder";
	var gconfig = require("gconfig");
	var external = require("external");
	var global = gconfig.global;
	var common = require("common");
	var URL=global.url;
	//初始化
	function init(){
		common.initTitle(pageId);
		
		orderWithdrawal();//查看当天可撤单
	}
	//查看当天可撤单
	function orderWithdrawal(){
			//判断建议时间
			service.findTradeDate({},function(data){
				if(data.error_no=="0"){
					var next_trade_date = data.results[0].next_trade_date;//下一个交易日
					var data=next_trade_date.replaceAll("-","");
						//判断该该户时候有存入的订单可以撤回
						var client_no=appUtils.getSStorageInfo("khh");
						var param = {
								"client_no": client_no,
								"page": "1",
								"numPerPage": "10",
								"next_trade_date":data
							};
						service.queryDataMyTrade(param,function(data){
							if(data.error_no=="0"){//表示有单可以撤
								var dataList = data.results[0].data;//出参结果
								var str="<tr><th width='35%'>交易类型</th><th width='20%'>金额(元)</th><th width='20%'>状态</th><th width='25%'></th></tr>";
								for(var i = 0; i < dataList.length; i++){
									var trd_date = dataList[i].trd_date;//日期
									var app_sno = dataList[i].app_sno;//订单单号
									var ord_stat = dataList[i].ord_stat;//订单单号
									var trd_id = dataList[i].trd_id;//交易类别
									var  app_timestamp= dataList[i].app_timestamp;//申请时间
									var ord_amt = dataList[i].ord_amt;//存入金额
									str += "<tr><td><strong>"+fundUtils.AvicTpye(trd_id)+"</strong><p>"+app_timestamp+"</p></td><td>"+ord_amt+
											"</td><td class='redcol'>"+fundUtils.AvicOrder(ord_stat)+"</td><td>" +
											"<a class='oder_ched' app_sno="+app_sno+" trd_date="+trd_date+">取消存入</a></td></tr>";
								}
								str+="</table>";
								$(pageId + " #avic_income").append(str);
								//点击撤单
								appUtils.bindEvent($(pageId+" .oder_ched"),function(){
									killAnorder(this);//撤单
								},"click");
							}else{//表示没单可撤
								$(pageId + " #avic_income").html("");
							}
						});
				}else {
					layerUtils.iMsg(-1,data.error_info);
				}
			});
		};
	//撤单
	function killAnorder(obj){
		var khh = appUtils.getSStorageInfo("khh");//判断返回是够绑定了客户号
		var app_sno=$(obj).attr("app_sno");//订单号
		var trd_date=$(obj).attr("trd_date");//申请日期
		var param={
			"khh":khh,
			"app_sno":app_sno,
			"trd_date":trd_date
		};
		service.killAnorder(param,function(data){
			if(data.error_no != "0"){
				layerUtils.iAlert(data.error_info);
				return false;
			}else{
				layerUtils.iMsg(-1,"撤单成功！");
				appUtils.pageInit(pageCode,"avicBao/avicHomePage");
			}
		});
		
	}
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			appUtils.pageInit(pageCode,"avicBao/avicHomePage");
		});
	}
	//销毁
	function destroy(){
		$(pageId + " #avic_income").html("");
	}
	var tradeOder = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = tradeOder;
	
});