/**
 * @描述: 公共方法
 * @版权: Copyright (c) 2014
 * @公司: 思迪科技
 * @版本: 1.0
 * @创建日期: 2014-8-13
 * @创建时间: 上午09:44:26
 */
define('mall/scripts/common/commonUtils.js',function(require, exports, module) {
	var layerUtils = require("layerUtils");
	var appUtils = require("appUtils");
	var constants = require("constants");// 常量类
	var commonUtils = {
			"init" : init
		};
	function init() {
	}

	commonUtils.levelImg = function(star){
		var img="";
		if (star == 1) {
			img = constants.ytg_img.LEVEL1;
		} else if (star == 2) {
			img = constants.ytg_img.LEVEL2;
		} else if (star == 3) {
			img = constants.ytg_img.LEVEL3;
		} else {
			img = constants.ytg_img.LEVEL_DEFAULT;
		}
		return img;
	};
	
	/**
	 * 查询是否登录
	 */
	commonUtils.isLogin = function(pageCode,param){
		var islogin = appUtils.getSStorageInfo("_isLoginIn");
//		var param = {invest_id:invest_id};
		var user_id=appUtils.getSStorageInfo("yqtid");
		if (islogin!="true") {
			appUtils.pageInit(pageCode, "account/userLogin",param);
			return false;
		}
		if ( !user_id ) {
			appUtils.pageInit(pageCode, "account/userLogin",param);
			return false;
		}
		return true;
	}
	
	
	/**
	 * 错误号
	 * 
	   var b = commonUtils.vResultError_No(resultVo.error_no, "-40841401", "我的提问加载失败:"+resultVo.error_info);
	   if (!b) {
	   		return false;
	   }
	 * 
	 */
	commonUtils.vResultError_No = function vResultError_No(error_no, error_no_user, msg) {
		if (error_no != 0) {
			if (error_no != error_no_user) {
				layerUtils.iAlert(msg, -1);
			}
			return false;
		}
		return true;
	}

	

	function bindGlobalEvent() {
	}

	function destroy() {
	}
	
	// 暴露对外的接口
	module.exports = commonUtils;
});