/**
 * 历史七日收益率
 */
define('mall/scripts/mall/HistoricalWorth.js',function(require, exports, module) {
	var fundUtils = require("mall/scripts/common/fundUtils");
	var appUtils = require('appUtils');
	var pageId = "#mall_HistoricalWorth";
	var service = require("mobileService"); // 业务层接口，请求数据
	var putils = require("putils");
	var layerUtils = require("layerUtils");
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	var external = require("external");
	var myScroller = null;
	var VIscroll = require("vIscroll");
	var product_id = "";//基金代码
	var stDate="";
	function init() {
		common.initTitle(pageId);
		
		curPageNo = 1;
		product_id = appUtils.getPageParam("product_id");
		//stDate = appUtils.getPageParam().stDate;
		stDate=fomdate(365);//默认查询一年的
		seleHistoricalWorth(product_id, stDate);
	}

	var seleHistoricalWorth = function(product_id, stDate) {

		var param = {
			"page" : curPageNo,
			"numPerPage" : "15",
			"product_id" : product_id,
			"stDate" : stDate
		};
		// var callBackFunc =
		service
				.seleHistoricalWorth(
						param,
						function(resultVo) {
							var results = resultVo.results[0].data;
							if (curPageNo == "1") {
								$(pageId + " #history_networth")
										.html(
												'<table width="100%" id="history_networth"><tr><th>日期</th><th>份额净值 </th><th>份额累计净值</th><th>日跌涨幅</th></tr></table>');
							}

							var str = "";
							if (resultVo.error_no == 0 && results.length != 0) {
								for (var int = 0; int < results.length; int++) {
									str += '<tr><td>' + results[int].trd_dt
											+ '</td><td>'
											+ results[int].unit_nav
											+ '</td><td>'
											+ results[int].accu_unit_nav
											+ '</td><td>'
											+ results[int].day_chg_rat
											+ '</td></tr>';
								}
								$(pageId + " #history_networth").append(str);

								initScroller();
							} else {
								$(pageId + " #history_networth").append("暂无数据");
							}

						});

	};
	// 日期格式
	function fomdate(beforeDay) {
		var date = new Date();
		date.setDate(date.getDate() - beforeDay);
		var date = date.Format("yyyyMMdd");
		return date;
	}
	/**
	 * 初始化滚动组件
	 */
	function initScroller() {
		if (myScroller) {
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(pageId + " #list");
			setTimeout(function() {
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		} else {
			var visibleHeight = $(window).height()- $(pageId + ".header").height(); // 滑动组件的可见高度
			var scrollerParam = {
				isPagingType : false,
				isHasHead : false,
				visibleHeight : visibleHeight,
				container : $(pageId + " #history_networth").parents(
						".visc_wrapper").parent(), // container元素
				wrapper : $(pageId + " #history_networth").parents(
						".visc_wrapper"), // wrapper元素
				downHandle : function() {
					curPageNo = 1;
					seleHistoricalWorth(product_id, stDate); // 查询产品列表
				},
				upHandle : function() {
					$(pageId + " .visc_pullUp").show();
					curPageNo++;
					seleHistoricalWorth(product_id, stDate); // 查询产品列表
				}
			};
			myScroller = new VIscroll(scrollerParam); // 初始化
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(pageId + " #history_networth");
			setTimeout(function() {
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
	}
	function bindPageEvent() {
		// 返回
		appUtils.bindEvent($(pageId + " .icon_back"), function() {
			var param = {
				"product_id" : product_id
			};
			appUtils.pageInit("mall/HistoricalWorth", "mall/itemsFundNew",param);
		});
	}

	function destroy() {
		$(pageId + " #ljgm").attr("style",
				"background:#add8fa;border:1px solid #319ef2");
		product_id = "";
		product_type = "";
	}

	var itemsFinanIn = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = itemsFinanIn;
});