/**
 * 资管产品详情
 */
define('mall/scripts/mall/InformationDetails.js',function(require, exports, module) {
	require("mall/scripts/plugins/echarts/echarts.minavic");
	var fundUtils = require("mall/scripts/common/fundUtils");
	var appUtils = require('appUtils');
	var pageId = "#mall_InformationDetails";
	var pageCode = "mall/InformationDetails";
	var service = require("mobileService"); // 业务层接口，请求数据
	var putils = require("putils");
	var layerUtils = require("layerUtils");
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	
	var external = require("external");
	var shareTitle = "";
	var product_id = "";
	var product_type = "10";//10表示资管产品
	var product_name="";//产品名字
	var platform=gconfig.platform;//判断app或pc用
	var stDate = "";
	var pageCodeIn="";//传进来的页面地址
	var flag="";//1表示一个月，2表示3个月，3表示半年，4表示一年
	var product_code="";//产品代码
	var hightotc="";
	var allProtocolStr = ""; // 所有协议字符串
	var fund_id ="";
	var curPage="";
	function init() {
		common.initTitle(pageId);
		
		curPage = appUtils.getPageParam("curPage");
		product_id = appUtils.getPageParam("product_id");//产品id
		//var collection_sign = appUtils.getPageParam("collection_sign");//产品收藏标记
		
		var width=$(window).width();//手机的宽度
		
		 hightotc=$(pageId + " #container").height(width*0.618);//图形的高度
		$(pageId + " #shaft_box").css("padding-top",width*0.618);//距离的顶部的高度
		
		pageCodeIn= appUtils.getPageParam("pageCode");
		
		$(pageId + " #otcfund_zs").addClass("active");
		findOtcFundById(product_id);//查询主表的相关信息
		flag="4";
		//fundOtcFundTime();//查询收益时间
		queryOtcFundChart(flag, product_id);//净值走势图
		//if(collection_sign=="1"){
		//	productCollection();
		//}
		
	}
//	//浏览方法
//	function productbrowse(product_name){
//		var param={
//			"product_id":product_id,
//			"product_type":"9",
//			"product_name":product_name
//		}
//		common.productbrowse(param);
//	}
//	//收藏方法
//	function productCollection(){
//		var param={
//			"product_id":product_id,
//			"product_type":"9",
//			"product_name":product_name,
//			"pageCode":"mall/moneyShop",
//			"backUrl":pageCode
//		}
//		common.productCollection(param);
//	}
	
	//资管产品基本信息
	function findOtcFundById(product_id){
		service.findOtcFundById({"product_id":product_id},function(data){
			if(data.error_no=="0"){
				var result = data.results;
				var product_id=result[0].product_id;//产品id
				 product_code=result[0].product_code;//产品代码
				var product_type= result[0].fina_belongs;//产品大类
				var fina_type=result[0].fina_type;//产品小类
				 product_name=result[0].product_name;//名字
				//var product_marking=result[0].product_marking;//标签
				var per_buy_limit=result[0].per_buy_limit;//起头金额
				var investment_horizon=result[0].investment_horizon;//期限
				var fund_name=result[0].fund_name;//基金名字
				var product_summary=result[0].product_summary;//策略概要
				var product_rate=result[0].product_rate;//费率说明
				var risk_disclosure=result[0].risk_disclosure;//风险匹配说明
				var product_method=result[0].product_method;//分红方式
				var next_date=result[0].next_date;//最近开放日
				if(next_date==""){
					next_date = "-- -- --";
					$(pageId+" #otcfund_kf").html("");//开放日
				}else{
					var next_dates = next_date.split("-");
					next_date = next_dates[0]+"年"+next_dates[1]+"月"+next_dates[2]+"日";
					$(pageId+" #otcfund_kf").html(next_date+" 为服务到期日");//开放日
				}
				
				var incomeunit=result[0].incomeunit;//收益率
				var product_status = result[0].product_status;//购买的状态
				var disdays=result[0].disdays;//还剩多少天
				var yesterday_rose=result[0].yesterday_rose;//昨天涨幅
				var one_rose=result[0].one_rose;//一个月涨幅
				var three_rose=result[0].three_rose;//三个月涨幅
				var hsnyear_rose=result[0].hsnyear_rose;//半年涨幅
				var oneyear_rose=result[0].oneyear_rose;//一年涨幅
				var risk_level_type=result[0].risk_level_type;//收益率说明语句
				 	fund_id = result[0].fund_id;//基金id
				var otcstr="";
				if(investment_horizon==""){
					investment_horizon="--";
				}
				if(incomeunit==null||incomeunit==""){
					incomeunit="0";
				}
				var otcstr="";
				if(product_status=="0"){//预约购买
					otcstr="<div class='bot_btn '><a href='javaScript:void(0);' ><span>预约购买</span> <small class='otcfund_sy'></small></a><a href='javaScript:void(0);' class='otcfundshuh'><span>赎回</span>" +
							"<small class='otcfund_sy'></small></a></div>";
				}else if(product_status=="1"){//认购期
					otcstr="<div class='bot_btn '><a href='javaScript:void(0);' class='buy'><span>认购</span> <small class='otcfund_sy'></small></a><a href='javaScript:void(0);' class='otcfundshuh'><span>赎回</span>" +
							" <small class='otcfund_sy'></small></a></div>";
				}else if(product_status=="2"){//申购期
					otcstr="<div class='bot_btn '><a href='javaScript:void(0);' class='buy'><span>申购</span> <small class='otcfund_sy'></small></a><a href='javaScript:void(0);' class='otcfundshuh'><span>赎回</span>" +
					" <small class='otcfund_sy'></small></a></div>";
				}else{//封闭期
					otcstr = "<div class='bot_btn'><a href='javaScript:void(0);' style='background:#B5B5B5'><span>服务期</span> <small class='otcfund_sy'></small></a><a href='javaScript:void(0);' style='background:#B5B5B5' class='otcfundshuh'><span>赎回</span>" +
							"</a></div>";
				}
				var otcfundstr="<li><span class='tit'>产品概要</span><p>"+product_summary+"<strong></strong></p>" +
						"</li><li id='jjxq'><span class='tit'>投资基金</span>" +
						"<p><strong>"+fund_name+"</strong></p></li><li id='jjxq'><span class='tit'>适配客户</span>" +
						"<p>"+risk_disclosure+"</p></li>" +
						"<li><span class='tit'>费率说明</span><p>"+product_rate+"</p>" +
						"</li> <li><span class='tit'>分红方式</span>" +
						"<p>"+product_method+"</p></li>";
				var proContentStr = "";
				if(allProtocolStr!="") {
					proContentStr = "<li><span class='tit'>基金公告</span>" +
					"<p class='proContent'>"+allProtocolStr+"</p></li>";
				}
				var product_income=result[0].product_income;//收益率说明语句
				$(pageId+" #otc_cl").html("<span class='f14'>"+(parseFloat(product_income)*100).toFixed(2)+"</span>%");//六个月的取值
				otcfundstr = otcfundstr +proContentStr;
				$(pageId+" #otcfund_gbuy").html(otcstr);//购买的状态
				$(pageId+" #otcFund_xq").html(product_name);//名字
				$(pageId+" #otcfund_qm").html(per_buy_limit+"元");//启投金额
				//$(pageId+" #otcfund_qx").html(investment_horizon+"天");
				//$(pageId+" #otcfund_bq").html(share_bq);//标签
				$(pageId+" #otcfund_jjlist").html(otcfundstr);//简介
				$(pageId+" #otcfund_next").html(next_date);//开放日
				
				//var str="<h5><span >"+(parseFloat(incomeunit)*100).toFixed(2)+"%</span></h5><p>"+risk_level_type+"</p>";
				$(pageId+" #otc_yy").html("<span >"+(parseFloat(incomeunit)*100).toFixed(2)+"</span>%");//六个月的取值
				$(pageId+" #otc_xx").html(risk_level_type);//六个月的取值
				$(pageId+" #otcfund_qx").html(next_date);//开放日
				$(pageId+" #otcfund_zf").html((parseFloat(yesterday_rose)*100).toFixed(2)+"%");//涨幅
				
				
			}
			
			//赎回
			appUtils.bindEvent($(pageId+" .otcfundshuh"),function() {
				var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
				if(login_flag!="true"){//没有登入
					var  pageInParam = {
						"url" : pageCode,
						"product_id" : product_id,
						"product_type" : "10",
						"pageCode" : pageCode,
						"backUrl":pageCode
					};
					appUtils.setSStorageInfo("product_type","10");
					appUtils.setSStorageInfo("product_id",product_id);
					common.findLogin({"backparam":pageInParam});
				}else{//登入需要做的事情
					appUtils.pageInit(pageCode,"userCenter/assetView");
				}
			}, "click");
			// 点击购买
			appUtils.bindEvent($(pageId+" .buy"),function() {
				var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
				if(login_flag!="true"){//没有登入
					var  pageInParam = {
						"url" : pageCode,
						"product_id" : product_id,
						"product_type" : "10",
						"pageCode" : pageCode,
						"shop_sign":"1"//新理财统一标识
							
					};
					appUtils.setSStorageInfo("product_type","10");
					appUtils.setSStorageInfo("product_id",product_id);
					common.findLogin({"avicParam":pageInParam});
					//appUtils.pageInit(pageCode, "account/userLogin",{"avicParam":pageInParam});
				}else{//登入需要做的事情
					appUtils.setSStorageInfo("product_number", product_id);
					var param = {
						"product_id" : product_id,
						"product_type" : "10",
						"pageCode" : pageCode,
						"curPage":curPage
					};
					appUtils.pageInit(pageCode,"mall/finanOrder/stickMoneyBuy", param);
				}
				}, "click");
			
			// 基金详情
			appUtils.bindEvent($(pageId+" #jjxq"),function() {
				appUtils.setSStorageInfo("product_id",product_id);
				appUtils.setSStorageInfo("fund_id",fund_id);
				var param = {
						"product_id" :  product_code,
						"pageCode": pageCode,
						"fund_id":fund_id
					};
					appUtils.pageInit(pageCode,"mall/otcFundInfo",param);
				}, "click");
			//productbrowse(product_name);//浏览
		});
		
	}
	
	
	//收益率走势图
	function queryOtcFundChart(flag, product_id) {
		var param={
				"flag":flag,
				"product_id":product_id
			};
		
		service.queryOtcFundChart(param, function(resultVo){
			var dataList = resultVo.results;
			// 清空走势图
			$('#container').empty(); 
			if (dataList && dataList.length > 0) {
				$(pageId + ".chart_inner").show();
				var resultsLen = dataList.length;
				var yieldlj= (dataList[dataList.length-1].yieldlj);//最后的收益率
				//$(pageId+" #otc_cl").html("<span class='f14'>"+(parseFloat(yieldlj)*100).toFixed(2)+"</span>%");//六个月的取值
				var datas = []; // 走势图数据
				var minPrice = 0; // 记录最小净值
				var maxPrice = 0; // 记录最大净值 用户计算走势图y轴值差
				var xDates = []; // 记录x轴时间
				var tipDates = []; // 用户tip显示 时间
				for (var i = 0; i < resultsLen; i++) {
					var item = dataList[i];
					var relate_price = item.yielda; // 当前净值
					
					if(relate_price == ""){
						relate_price = 1.00;
					}
					
					// 更新最大净值
					if (relate_price > maxPrice) {
						maxPrice = relate_price;
					}
					
					// 更新最小净值
					if (i == 0 || relate_price < minPrice) {
						minPrice = relate_price;
					}
					
					// 保存净值 和 时间值 到数组中
					var dataNav = []; //走势图数据
					
					var navDate = dataList[i].trd_date;//日期
					if (i == (resultsLen - 1)) {
						$(pageId + "#priceDate").html(navDate);
					}
					
					tipDates.push(navDate);
					//navDate = navDate.substring(5, navDate.length);
					xDates.push(navDate);
					dataNav.push(parseFloat(relate_price).toFixed(3)-0);
					datas.push(dataNav);
				}
				var options = {
					"datas" : datas,
					"xDates" : xDates,
					"tipDates" : tipDates,
					"min" : minPrice,
					"max" : maxPrice
				}
				// 绘制净值走势图
				common.graphPic(pageId, options,hightotc);
				
			}
		});
	}
	
	
	
	
	
	//制保留4位小数  
    function toDecimal(x) {   
        var f=x.split(".");
        var g=f[1].substring(0, 4);
        var s=f[0]+"."+g;
        return s;   
    } 
	function bindPageEvent() {
		// 返回
		appUtils.bindEvent($(pageId + " .icon_back"), function() {
			if(pageCodeIn=="mall/finanOrder/stickMoneyBuy"){
				appUtils.pageInit(pageCode, "mall/moneyShop");
			}else if(pageCodeIn!=""&&typeof(pageCodeIn)!="undefined"){
				appUtils.pageInit(pageCode, pageCodeIn);
			}else{
				appUtils.pageInit(pageCode, "mall/moneyShop");
			}
		});
		//涨幅的切换
		appUtils.bindEvent($(pageId + " .otcfund_zs"), function() {
			$(this).addClass("active");
			$(this).siblings().removeClass("active");
			flag=$(this).attr("flag");
			queryOtcFundChart(flag, product_id);//净值走势图
		},"click");
//		//点击收藏
//		appUtils.bindEvent($(pageId + " .product_Collection"), function() {
//			productCollection();
//		},"click");
	}
	function destroy() {
		flag="1";
		$(pageId + " .otcfund_zs").removeClass("active");
		$(pageId+" #otcfund_jjlist").html("");
		$(pageId+" #otcfund_zf").html("");//涨幅
		$(pageId+" #otc_yy").html("");//
		$(pageId+" #otc_xx").html("");//
		$(pageId+" #otc_cl").html("");//
		
		allProtocolStr="";
		product_id = "";
		product_type="";
		product_name="";
	}

	var InformationDetails = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = InformationDetails;
});