/**
 * 数据字典
 */
define('mall/scripts/mall/dict.js',function(require, exports, module) {
	var appUtils = require('appUtils');
	var pageId = "#mall_dict ";
	var pageCode = "mall/dict";
	var service = require("mobileService"); // 业务层接口，请求数据
	var putils = require("putils");
	var layerUtils = require("layerUtils");
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	var external = require("external");
	var dict = "5A";
	var prePageCode = "";
	
	function init() {
		common.initTitle(pageId);
		
		var title = appUtils.getPageParam("title");
		prePageCode = appUtils.getPageParam("pageCode");
		$(pageId+" .header_inne .title").html(title);
		dict = appUtils.getPageParam("dict");
	}
	
	function bindPageEvent() {
		//返回
		appUtils.bindEvent($(pageId + " .icon_back"), function() {
			appUtils.pageBack();
		});
		// 选定
		appUtils.bindEvent($(pageId + " .select_menu a"), function() {
			var dictVal = $(this).attr("dictVal");
			var dictName = $(this).html();
			var param={
					"dictName":dictName,
					"dictVal":dictVal
			};
			appUtils.pageInit(pageCode,prePageCode,param);
		});
	}
	function destroy() {
		
	}

	var dict = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = dict;
});