/**
 * otc基金--赎回
 */

define('mall/scripts/mall/finanOrder/otcFundRedeem.js',function(require, exports, module)
	{
	var service = require("mobileService"); //业务层接口，请求数据
	var appUtils = require('appUtils');
	var putils = require("putils");
	var constants=require("constants");//常量类
	var layerUtils = require("layerUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var _pageId ="#mall_finanOrder_otcFundRedeem ";
	var _intervalId=0;
	//1、初始化
	function init()
	{	
		common.initTitle(_pageId);
		var pageParam = appUtils.getPageParam();
		var d = new Date();
		var d1=d.getFullYear();
		var d2=d.getMonth()+1;
		if(d2.toString().length==1){
			d2="0"+d2;
		}
		var d3=d.getDate();
		if(d3.toString().length==1){
			d3="0"+d3;
		}
		
		$(_pageId+" .jy_result li:eq(0) span").html(d1+"-"+d2+"-"+d3+"(今天)");//有查询流水需要改日期代码
		if(pageParam.product_type == "9"){
			var tot_price = pageParam.tot_price;
			$(_pageId+" .jy_result li:eq(0) h5").html("赎回份额"+tot_price+"");
			$(_pageId+" .jy_result li:eq(0) p").html("交易已确认，此笔资金已经归入我的资产，可进入我的资产查看明细");
			fundOtcFundTime();
			
		}else if (pageParam.product_type == "8"){
			var tot_price = pageParam.tot_price;
			$(_pageId+" .jy_result li:eq(0) h5").html("赎回份额"+tot_price+"");
			$(_pageId+" .jy_result li:eq(0) p").html("交易已确认，此笔资金已经归入我的资产，可进入我的基金订单中查看份额");
			fundOtcFundTime();
		}
		else{
			var tot_price = pageParam.tot_price;
			$(_pageId+" .jy_result li:eq(0) h5").html("赎回份额"+tot_price+"");
			$(_pageId+" .jy_result li:eq(0) p").html("交易已确认，此笔资金已经归入我的资产，可进入我的资产查看明细");
			
			var est_date = appUtils.getSStorageInfo("est_date");
			var end_date = appUtils.getSStorageInfo("end_date");
			if(($.trim(est_date) != "") && ($.trim(end_date) != "")){
				$(_pageId+" .jy_result li:eq(1) span").html(est_date);
				$(_pageId+" .jy_result li:eq(2) span").html(end_date);
			}else{
				var month = "";
				var nowDate = "";
				if(d.getMonth()+1>=10){
					month = d.getMonth()+1;
				}else{
					month = '0'+(d.getMonth()+1);
				}
				var day = d.getDate();
				if(day<10){
					nowDate = '0'+day;
				}else{
					nowDate = day;
				}
				today = d.getFullYear()+"-"+month+"-"+nowDate;
				$(_pageId+" .jy_result li:eq(1) span").html(getNewDay(today,1));
				$(_pageId+" .jy_result li:eq(2) span").html(getNewDay(today,1));
			}
		}
		/*var =$(_pageId+" .jy_result li:eq(1) span").html();
		var =$(_pageId+" .jy_result li:eq(2) span").html();
		var =d1+"-"+d2+"-"+d3;
		console.log(shuai);
		console.log(cai);
		console.log(heng);
		console.log(shuai<cai);*/
	}

	function getNewDay(dateTemp, days) {  
		   var dateTemp = dateTemp.split("-");  
		    var nDate = new Date(dateTemp[1] + '/' + dateTemp[2] + '/' + dateTemp[0]); //转换为MM-DD-YYYY格式
		    var millSeconds = Math.abs(nDate.getTime()) + (days * 24 * 60 * 60 * 1000);
		    var rDate = new Date(millSeconds);  
		   var year = rDate.getFullYear();  
		    var month = rDate.getMonth() + 1;  
		   if (month < 10) month = "0" + month;  
		   var date = rDate.getDate();  
		    if (date < 10) date = "0" + date;  
		    return (year + "-" + month + "-" + date);  
		}  

	
	function timer(){
		var number=15;
		var time=function(){
			if(number==0){
				clearInterval(_intervalId);
				appUtils.pageInit("mall/finanOrder/payment","userCenter/index",{});
			}else{
				--number;
				$(_pageId+" #timer").html(number);
			}
		};
		_intervalId=setInterval(time,1000);
	}

	function finan_back_resuls()
	{

		var pageInParam  = appUtils.getPageParam();
		var order_id=pageInParam.order_id;
//		var tot_price=pageInParam.tot_price;
//		var entrust_state=pageInParam.entrust_state;
//		var product_name=pageInParam.product_name;
//		var error_msg=pageInParam.error_msg;
//		var _prePageCode = appUtils.getSStorageInfo("_prePageCode");

		//防止直接跳过
		if(order_id==null)
		{
			layerUtils.iMsg(1, "数据加载错误！");
			appUtils.pageInit("mall/finanOrder/payment","mall/moneyShop",{});
			return false;
		}
	}
	//查询收益时间
	function fundOtcFundTime(){
		service.findTradeDate({},function(data){
			if(data.error_no=="0"){
				var now_time=data.results[0].now_time;//现在的时间
				var next_trade_date = data.results[0].next_trade_date;//下一个交易日
				var next_nexttrade_date = data.results[0].next_nexttrade_date;//下两个交易日
				$(_pageId+" .jy_result li:eq(1) span").html(next_trade_date);
				$(_pageId+" .jy_result li:eq(2) span").html(next_nexttrade_date);
			}
		});
	}
	//2、事件 绑定
	function bindPageEvent()
	{

		//绑定返回事件
		appUtils.bindEvent($(_pageId+" .icon_back"),function() {
			clearInterval(_intervalId);
			var pageParam = appUtils.getPageParam();
			if(pageParam.product_type == "8"){
				appUtils.pageInit("mall/finanOrder/payment","userCenter/wd");
			}else{
				var param={
				"all_money":appUtils.getSStorageInfo('all_money')
			}
			appUtils.pageInit("mall/finanOrder/payment","userCenter/assetView",param);
			}
			
			
		}); 
		
		//绑定点击跳转事件
		appUtils.bindEvent($(_pageId+" .btn_box3 a:eq(0)"),function() {
			clearInterval(_intervalId);
			appUtils.pageInit("mall/finanOrder/payment","userCenter/wd",{});
		});
		//完成
		appUtils.bindEvent($(_pageId+" .right_btn"),function() {
			clearInterval(_intervalId);
			var pageParam = appUtils.getPageParam();
			if(pageParam.product_type == "8"){
				appUtils.pageInit("mall/finanOrder/payment","userCenter/wd");
			}else{
				var param={
					"all_money":appUtils.getSStorageInfo('all_money')
				}
				appUtils.pageInit("mall/finanOrder/payment","userCenter/assetView",param);
			}
			
		}); 
		
		appUtils.bindEvent($(_pageId+" .btn_box3 a:eq(1)"),function() {
			clearInterval(_intervalId);
			appUtils.pageInit("mall/finanOrder/payment","mall/moneyShop");
		}); 
	}

	//3、销毁
	function destroy()
	{
		clearInterval(_intervalId);
	}

	var otcFundRedeem =
	{
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};

	module.exports = otcFundRedeem;

	});