/**
 * 高端理财列表页面
 */
define('mall/scripts/mall/hflist.js',function(require, exports, module) {

	var pageId = "#mall_hflist";
	var	pageCode = "mall/hflist";
	var appUtils = require("appUtils");
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	var constants = require("constants");// 常量类
	var commonUtils = require("commonUtils");
	var common = require("common");
	var curPageNo="";

	function init() {
		common.initTitle(pageId);
		
		console.log("init...");
		khh = appUtils.getSStorageInfo("khh");
		$("body"+" #Adver_id2").show();
		admitjudge();
	}
	
	function admitjudge(){
		var param={
				khh : khh
		}
		service.isKhzg(param,function(data){
			if(data.error_no == "0"){
				if(data.error_no == "0"){
					var result = data.results;
					if(result!=null&&result.length>0) {
						isInwhitelist = result[0].isInwhitelist;
						if(isInwhitelist=="1"){
							$("body"+" #Adver_id2").hide();
						}
						if(isInwhitelist=="0"){
							 $("body"+" #Adver_tips").show();
							 $("body"+" #btn_cancel2").hide();
							 $("body"+" #notice_title").html("依据中国证监会销售适当性要求，该产品仅对部分客户开放，详情请咨询当地营业部、客户经理或全国统一客服热线<br>0791-95335");
							 $("body"+" #notice_conet").hide();
							 $("body"+" #btn_box2").hide();
							 $("body"+" #btns_box2").show();
							 $("body"+" #Adver_qued").html("确定");
							 appUtils.bindEvent($("body"+" #Adver_quex"),function(){
								var param={
										"product_type":"7",
										"pageCode" : pageCode
									};
								appUtils.pageInit(pageCode,"mall/moneyShop",param);
								$("body"+" #Adver_tips").hide();
								$("body"+" #Adver_id2").hide();
							 },"click");
							 
							 appUtils.bindEvent($("body"+" #Adver_qued"),function(){
								var param={
									"product_type":"7",
									"pageCode" : pageCode
								};
								appUtils.pageInit(pageCode,"mall/moneyShop",param);
								$("body"+" #Adver_tips").hide();
								$("body"+" #Adver_id2").hide();
							 },"click");
							 

							
						}
					}
				}
			}
		})
	}

	
	// 绑定事件
	function bindPageEvent() {
		//返回
		appUtils.bindEvent($(pageId + " #icon_back"), function() {
			var param={
					"pageCode" : pageCode
				};
			appUtils.pageInit(pageCode,"mall/moneyShop",param);
		});
		
		appUtils.bindEvent($(pageId + " #wo_order1"), function() {
			var param={
					"pageCode" : pageCode
				};
			appUtils.pageInit(pageCode,"mall/highfinancing1");
		},"click");
	
		appUtils.bindEvent($(pageId + " #wo_order2"), function() {
			var param={
					"pageCode" : pageCode
				};
			appUtils.pageInit(pageCode,"mall/highfinancing2");
		},"click");
	}

	// 销毁
	function destroy() {
		service.destroy();
	}

	var highfinancing = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = highfinancing;
});
