/**
 * 高端理财列表页面
 */
define('mall/scripts/mall/highfinancing1.js',function(require, exports, module) {

	var pageId = "#mall_highfinancing1";
	var	pageCode = "mall/highfinancing1";
	var appUtils = require("appUtils");
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	var constants = require("constants");// 常量类
	var commonUtils = require("commonUtils");
	var common = require("common");
	var curPageNo="";

	function init() {
		common.initTitle(pageId);
		
		console.log("init...");
	}
	
	
	// 绑定事件
	function bindPageEvent() {
		//返回
		appUtils.bindEvent($(pageId + " #icon_back"), function() {
			var param={
					"pageCode" : pageCode
				};
			appUtils.pageInit(pageCode,"mall/hflist",param);
		});
	}

	// 销毁
	function destroy() {
		service.destroy();
	}

	var highfinancing1 = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = highfinancing1;
});
