/**
 * 产皮列表
 */
define('mall/scripts/mall/itemsFinan.js',function(require, exports, module){
	var appUtils = require('appUtils');
	var _pageId = "#mall_itemsFinan ";
	var pageCode = "mall/itemsFinan";
	var service = require("mobileService"); //业务层接口，请求数据
	var putils = require("putils");
	var layerUtils = require("layerUtils");
	var common = require("common");
	var constants=require("constants");//常量类
	var	curPageNo = ""; // 当前页序号
	var	myScroller = null; // 滚动组件
	var	VIscroll = require("vIscroll");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	var producttype;
	
	//下标0的元素表示头部滑动，1、2、3分别表示推荐理财、推荐基金和推荐资讯
	var customHIscroll= [{"scroll":null,"_init":false},{"scroll":null,"_init":false},{"scroll":null,"_init":false}];
	var HIscroll =require("hIscroll");
	var picLoadTimer = null;
	var prePageCode = "";
	var prePageCode2 = "";
	var article_id = "";
	//初始化
	function init(){
		common.initTitle(_pageId);
		
		common.loadoldCss();
		common.clearCommonCss();
		curPageNo = 1;
		var pageParam = appUtils.getPageParam();
		var product_type = pageParam.product_type;
		prePageCode = pageParam.pageCode;		
		prePageCode2 = pageParam.prePageCode;
		prePageCode = (prePageCode=="mall/itemsFinan"?prePageCode2:prePageCode);
		article_id = pageParam.article_id;
		if(pageParam != undefined)
		{
			var product_type = pageParam.product_type;
//			if(product_type == "5") //product_type	5收益凭证	6信托
//			{
//				$(_pageId+" .header-con h1").html("固收理财");
//				$(_pageId+" #finanimages").show();
//				$(_pageId+" #fundimages").hide();
//				$(_pageId+" #trustimages").hide();
//				$(_pageId+" #serviceimages").hide();
//			}
//			else if(product_type == "6")
//			{
//				$(_pageId+" .header-con h1").html("信托理财");
//				$(_pageId+" #finanimages").hide();
//				$(_pageId+" #fundimages").hide();
//				$(_pageId+" #trustimages").show();
//				$(_pageId+" #serviceimages").hide();
//			}
//			else if(product_type == "8")
//			{
//				$(_pageId+" .header-con h1").html("基金理财");
//				$(_pageId+" #finanimages").hide();
//				$(_pageId+" #fundimages").show();
//				$(_pageId+" #trustimages").hide();
//				$(_pageId+" #serviceimages").hide();
//			}
//			else if(product_type == "7")
//			{
//				$(_pageId+" .header-con h1").html("资讯产品");
//				$(_pageId+" #finanimages").hide();
//				$(_pageId+" #fundimages").hide();
//				$(_pageId+" #trustimages").hide();
//				$(_pageId+" #serviceimages").show();
//			}
		}
		
		$(_pageId+" .pay_main .bank_list").css("padding","0.1rem 0 0.1rem");
		if(product_type == "8"){
			findFundList();
		}else{
			findFinanciallist();
			
		}
		getImg();
		
	}
	
	//获取图片
	function getImg(){
		var param = {
			"group_id" : appUtils.getPageParam().product_type
		};
		service.getAdv(param,function(data){
			if(data.error_no != "0"){
				layerUtils.iAlert(data.error_info);
				return false;
			}else{
				var results = data.results;
				var imgStr = "";
				var navstr = "";
				for(var i = 0;i < results.length;i++){
					var picture = results[i].picture;
					var xqUrl = results[i].url;
					
					imgStr += '<div class="bot_banner"><img src="'+ URL + picture +'" url="'+xqUrl+'" alt="" title=""></div>';
					if(i == 0)
					{
						navstr += '<em class="active"></em>';
					}
					else
					{
						navstr += '<em></em>';
					}
				}
				$(_pageId+" #scroller").html(imgStr);
				$(_pageId+" #nav").html(navstr);
				appUtils.bindEvent($(_pageId+"  .bot_banner img"),function(){
					var xurl  = $(this).attr("url");
					
					if(xurl!=null&&xurl!="") {
						appUtils.pageInit("mall/itemsFinan", "mall/itemsFinanIn?product_id=2444&product_type=7");
						//appUtils.pageInit("mall/itemsFinan",xurl);
						
						//var product_url = xurl.substring(0,xurl.indexOf("?"));
						var arr = xurl.split("?");
						var product_url = arr[0];
						//var paramArr = arr[1];
						var paramArr = arr[1].split("&");
						var paramArr1 = paramArr[0].split("=");
						var paramArr2 = paramArr[1].split("=");
						var paramArr1key = paramArr1[0];
						var paramArr2key = paramArr2[0];
							var param = {
									"product_id" :paramArr1[1],
									"product_type" : paramArr2[1],
									"pageCode" : "mall/itemsFinan",
									"prePageCode" : prePageCode
							};
							appUtils.pageInit("mall/itemsFinan",product_url,param);
						
						
					}
				},"click");
				initAdScroller();
				$(_pageId+" #scroller").css("height","90%");
				$(_pageId+" #scroller .bot_banner").css("height","90%");
			}
		});
		
		
	}
	
	/**
	 * 初始化图片滚动组件
	 */
	function initAdScroller()
	{
		clearInterval(picLoadTimer);
		picLoadTimer = null;
		if(customHIscroll[0].scroll)
		{
			customHIscroll[0].scroll.destroy();
			customHIscroll[0].scroll = null;
		}
		var config = {
			wrapper: $(_pageId+" #wrapper"), //wrapper对象
			scroller: $(_pageId+" #scroller" ), //scroller对象
			perCount: 1,  //每个可视区域显示的子元素
			showTab: true, //是否有导航点
			tabDiv: $(_pageId+" #nav"), //导航点集合对象
			auto: true, //是否自动播放
			interval: null, //自动播放定时器
			wrapperObj: null
		};
		customHIscroll[0].scroll = new HIscroll(config); 
		customHIscroll[0]._init = true;
		$(_pageId+" .bot_banner").show();
	}
	
	/**
	 * 查询基金产品
	 */
	function findFundList(){		
		var allFundStr = "";
		var product_type = appUtils.getPageParam().product_type;
		var param="";
			param  = {
				"page":curPageNo,
				"pageSize":"4"
		};
		service.findFundList(param,function(data){
			var error_no = data.error_no;	
			var error_info = data.error_info;
			if(error_no==0){				
				var FindFundList = data.results;
				allFundStr += '<div class="produce-listold">';
				for(var i = 0;i<FindFundList.length;i++){
					var fid_jjdm = FindFundList[i].product_id;//基金代码
					var fid_tadm = FindFundList[i].fid_tadm;//TA编码
					var fid_jjjc = FindFundList[i].fid_jjjc;//基金简称					
					var fid_jjqc = FindFundList[i].fid_jjqc;//基金全称
					var fid_jjj = FindFundList[i].fid_jjjz;//基金净值
					var fid_jjjz=parseFloat(fid_jjj).toFixed(4);//转成两个小数
					var fid_sffs = FindFundList[i].fid_sffs;//可多选：1前端收费，2后端收费，4C类收费， 比如3表示支持前、后端收费
					var fid_ljjz = FindFundList[i].fid_ljjz;//累计净值
					var fid_mwfsy = FindFundList[i].fid_mwfsy;//每万份收益
					var fid_nsyl = FindFundList[i].fid_nsyl;//年化收益率
					var fid_ljjz1=parseFloat(fid_nsyl).toFixed(2);//转成两个小数
					var fid_jjfxdj = FindFundList[i].fid_jjfxdj;//风险等级
					var fid_lccpbz = FindFundList[i].fid_lccpbz;//理财分类
					var product_shelf = FindFundList[i].product_shelf;//上架的状态
					if(fid_jjfxdj=="1"){
						fid_lccpbzwen = "";
						fid_lccpbzwen="低风险";
					}else if(fid_jjfxdj=="2"){
						fid_lccpbzwen = "";
						fid_lccpbzwen="偏低风险";
					}else if(fid_jjfxdj=="3"){
						fid_lccpbzwen = "";
						fid_lccpbzwen="中等风险";
					}else if(fid_jjfxdj=="4"){
						fid_lccpbzwen = "";
						fid_lccpbzwen="偏高风险";
					}else if(fid_jjfxdj=="5"){
						fid_lccpbzwen = "";
						fid_lccpbzwen="高风险";
					}else{
						fid_lccpbzwen = "";
						fid_lccpbzwen="默认风险";
					}
					
					allFundStr += '<div class="index-list-box" product-id="'+fid_jjdm+'" product_type="'+ appUtils.getPageParam().product_type +'">'+
	                   '<div class="index-list-top clearfix">'+
	                       '<div>'+
	                           '<h3><span>'+fid_jjjc+'</span></h3>'+
	                           '<p>'+fid_jjdm+'</p>'+
	                       '</div>'+
	                       '<div>--------</div>'+
	                       '<div>'+
	                           '<h3><span style="font-family:Helvetica;font-size:18px">'+fid_jjjz+'</span></h3>'+
	                           '<p>基金净值</p>'+
	                       '</div><div>'+
	                           '<h3><span style="font-family:Helvetica;font-size:12px">'+fid_lccpbzwen+'</span></h3>'+
	                           '<p>风险等级</p></div></div>'+
	                       '<div class="index-list-con">'+
	                       '<p><span>'+fid_ljjz1+'%</span></p>'+
	                       '<p>年化收益率</p>'+
	                       '<a href="javascript:void(0);" dataId="finan" product_type="8" productId='+fid_jjdm+'>购买</a>'+
	                        
	                        '</div></div>';
				}
				allFundStr += '</div>';
					// 第一页
					if(curPageNo == 1)
					{
						$(_pageId + " .index-con").html("");
					}
					$(_pageId+" .index-con").append(allFundStr);  // 填充服务产品列表
					if(product_type == "8"){
						$(_pageId+" .index-list-con a").css({"width":"40%","line-height":"40px","margin-top":"-60px"});
						
					}
					initFundScroller();
					$(_pageId+" .visc_pullUp").hide();
					//购买基金
					appUtils.bindEvent($(_pageId+" .index-list-con a"),function(e){
						var dataId = $(this).attr("dataId");
						if(dataId==""){
							
							//表示购买完了
						}else if(dataId=="finan"){
							var user_id = appUtils.getSStorageInfo("user_id");
							product_id = $(this).attr("productId");
							product_type = $(this).attr("product_type");
							producttype = $(this).attr("product_type");
							
							if(user_id==""||user_id==null){
								appUtils.setSStorageInfo("page_address",pageCode);
								appUtils.setSStorageInfo("pageJump","mall/finanOrder/confirmOrder");
								var param = {
									"product_id":product_id,
									"product_type" : product_type,
									"pageCode" : "mall/itemsFinan",
									"prePageCode" : prePageCode
								};
								appUtils.pageInit("mall/itemsFinan","account/userLogin",param);
							}else{
								appUtils.setSStorageInfo("product_number",product_id);
								var loginType = appUtils.getSStorageInfo("loginType");
								if(loginType == "0"){//手机账号
									var param = {
											"product_id":product_id,
											"product_type":producttype
										};
										appUtils.pageInit("mall/itemsFinan","mall/finanOrder/confirmOrder",param);
									//common.queryMobilePhone(appUtils.getSStorageInfo("mobile_phone"),determineUserState);
								}else{//资金账号
									var param = {
										"product_id":product_id,
										"product_type" : product_type,
										"pageCode" : "mall/itemsFinan",
										"prePageCode" : prePageCode
									};
									appUtils.pageInit("mall/itemsFinan","mall/finanOrder/confirmOrder",param);
								}
							}
						
						}else{
							var pageInParam = {
								"product_id" :  $(this).attr("productId"),
								"product_type" : product_type,
								"article_id" : article_id,
								"pageCode" : "mall/itemsFinan",
								"prePageCode" : prePageCode
							};
							appUtils.pageInit("mall/itemsFinan", "mall/itemsFinanIn",pageInParam);
						}
						e.stopPropagation();
					},"click");
					
						//点击进入详情基金页面
						appUtils.bindEvent($(_pageId+" .index-list-box"), function(){
							
							var pageInParam = {
								"product_id" :  $(this).attr("product-id"),
								"product_type" : $(this).attr("product_type"),
								"pageCode" : "mall/itemsFinan",
								"prePageCode" : prePageCode
							};
							appUtils.pageInit("mall/itemsFinan","mall/itemsFund",pageInParam);
						},"click");
					}else{
							layerUtils.iMsg(-1,error_info);
						}
					
					
	},"");
					
	}
	
	
	
	
	
	/**
	 * 查询产品列表
	 */
	function findFinanciallist(){
		// 获取商城理财产品枚举
		var allFinancialProductStr = "";
		var allEmIconStr="";
		var product_type = appUtils.getPageParam().product_type;
		var param="";
		if(product_type == "7"){
			 param  = {
				"product_shelf":constants.product_shelf.SHELF_ON,
				"page":curPageNo,
				"numPerPage":"4" ,
				"recommend_type":"",
				"fina_belongs":"7",
				"is_hot_sale":"1",
				"productType":"7",
				
				"userid": appUtils.getSStorageInfo("user_id")
			};
		}else if(product_type == "5"){
			param  = {
					"product_shelf":constants.product_shelf.SHELF_ON,
					"page":curPageNo,
					"numPerPage":"4" ,
					"recommend_type":"",
					"fina_belongs":"5",
					"is_hot_sale":"1",
					"productType":"5",
					"userid": appUtils.getSStorageInfo("user_id")
					
				};
		}else{
			 param  = {
				"product_shelf":constants.product_shelf.SHELF_ON,
				"page":curPageNo,
				"numPerPage":"4" ,
				"recommend_type":"",
				"fina_belongs":appUtils.getPageParam().product_type,
				"is_hot_sale":"1",
				"userid": appUtils.getSStorageInfo("user_id")
			};
		}
		service.findFinan(param,function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			if(error_no == 0)
			{
				var EmIconEnum = data.results;
				var FinancialProductEnum = data.results;
				
				if(product_type == "7"){
					allFinancialProductStr += '<div class="produce-listold">';
				}
				for(var i = 0;i<FinancialProductEnum.length;i++)
				{
				//	var issp = FinancialProductEnum[i].issp;//视频产品
					if(product_type == "7"){
						var inst_sname = FinancialProductEnum[i].inst_sname;
						var inst_code = FinancialProductEnum[i].inst_code;
						var inst_id = FinancialProductEnum[i].inst_id;
						var can_expe_days = FinancialProductEnum[i].can_expe_days;
						var sub_price = FinancialProductEnum[i].sub_price;
						var product_desc = FinancialProductEnum[i].product_desc;
						var isyh = FinancialProductEnum[i].isyh;
						var original_price = FinancialProductEnum[i].original_price;  //原价
						var img = FinancialProductEnum[i].img;
						var hotVar = "";
						if(curPageNo==1&&i<3){
							hotVar = "<img src='images/hot.png'  style='width: 32px;height: 32px;position: absolute;'>";
						}
						if(isyh == "1"){  //  有优惠
							allFinancialProductStr += ' <dl class="clearfix" product-id="'+inst_id+'" product_type="7"><dt><a href="javascript:void(0);">'+hotVar+'<img src="'+ URL+ img +'" alt="" title=""></a></dt><dd>'+
	                    					'<h3>'+ inst_sname +'</h3><h5 style="width: 100%;float: left;color: #3f4e59;font-size: 16px;font-weight: bold;height: 28px;">已售：'+FinancialProductEnum[i].total+'</h5><h4 style="float:left">￥<span style="text-decoration: line-through;color:gray;font-size:15px;"> '+ original_price +' </span><span>'+ sub_price +'</span></h4><p>'+ product_desc +'</p></dd></dl>';
						}else if(isyh == "0"){   //没优惠
							allFinancialProductStr += ' <dl class="clearfix" product-id="'+inst_id+'" product_type="7"><dt><a href="javascript:void(0);">'+hotVar+'<img src="'+ URL+ img +'" alt="" title=""></a></dt><dd>'+
	                    					'<h3>'+ inst_sname +'</h3><h5 style="width: 100%;float: left;color: #3f4e59;font-size: 16px;font-weight: bold;height: 28px;">已售：'+FinancialProductEnum[i].total+'</h5><h4 style="float:left">￥<span> '+ sub_price +'</span></h4><p>'+ product_desc +'</p></dd></dl>';
						}
//						var isGm = FinancialProductEnum[i].isGm;
//						if(isGm == "1"){
//							allFinancialProductStr += '<div class="index-list-box" product-id="'+inst_id+'" product_type="7">'+
//											                   '<div class="index-list-top clearfix">'+
//											                       '<div>'+
//											                           '<h3><span>'+inst_sname+'</span></h3>'+
//											                       '</div>'+
//											                       '<div>--------</div>'+
//											                       '<div>'+
//											                           '<h3><span style="font-family:Helvetica;"></span></h3>'+
//											                           '<p></p>'+
//											                       '</div><div>'+
//											                           '<h3><span style="font-family:Helvetica;">'+can_expe_days+'</span>天</h3>'+
//											                           '<p>体验天数</p></div></div>'+
//											                   '<div class="index-list-con">'+
//											                        '<a href="javascript:void(0);" dataId="" product_type="7" productId='+inst_id+' style="background:#b1a5a0;border:#b1a5a0;">已订阅</a>'+
//											                        '<p><span style="text-decoration: line-through;color:red;font-size:18px;">原价：998 ￥</span><span style="font-size:18px;">'+sub_price+'</span></p>'+
//											                        '<p></p></div></div>';
//						}else{
//							allFinancialProductStr += '<div class="index-list-box" product-id="'+inst_id+'" product_type="7">'+
//											                   '<div class="index-list-top clearfix">'+
//											                       '<div>'+
//											                           '<h3><span>'+inst_sname+'</span></h3>'+
//											                       '</div>'+
//											                       '<div>--------</div>'+
//											                       '<div>'+
//											                           '<h3><span style="font-family:Helvetica;"></span></h3>'+
//											                           '<p></p>'+
//											                       '</div><div>'+
//											                           '<h3><span style="font-family:Helvetica;">'+can_expe_days+'</span>天</h3>'+
//											                           '<p>体验天数</p></div></div>'+
//											                   '<div class="index-list-con">'+
//											                        '<a href="javascript:void(0);" dataId="finan" product_type="7" productId='+inst_id+'>订阅</a>'+
//											                        '<p><span style="text-decoration: line-through;color:red;font-size:18px;">原价：998 ￥</span><span style="font-size:18px;">'+sub_price+'</span></p>'+
//											                        '<p></p></div></div>';
//						}
					}else{
						var incomeunit=FinancialProductEnum[i].incomeunit;//收益率
						if(incomeunit!=null&&incomeunit!=""){
							if(incomeunit.indexOf(".")!=-1){
								incomeunit=parseFloat(incomeunit)*100;
								incomeunit=incomeunit.toFixed(2);
							}
						}
						var jz= FinancialProductEnum[i].current_price;
						if(jz!=null&&jz!=""&&jz.indexOf(".")!=-1){
							jz=parseFloat(jz).toFixed(2);
						}
						var product_status = FinancialProductEnum[i].product_status;
						if(FinancialProductEnum[i].per_buy_limit==""){
							var per_buy_limit = 0;
						}else{
							var per_buy_limit = putils.fmoney(FinancialProductEnum[i].per_buy_limit);
						}
						
						// 前段过滤产品   
						if(FinancialProductEnum[i].product_id=="14215"||FinancialProductEnum[i].product_id=="14216") {
							
						}else 
						if(product_status=="1"){
							allFinancialProductStr += '<div class="index-list-box" product-id="'+FinancialProductEnum[i].product_id+'" product_type="'+ appUtils.getPageParam().product_type +'">'+
										                   '<div class="index-list-top clearfix">'+
										                       '<div>'+
										                           '<h3><span>'+FinancialProductEnum[i].product_abbr+'</span></h3>'+
										                           '<p>'+FinancialProductEnum[i].product_code+'</p>'+
										                       '</div>'+
										                       '<div>--------</div>'+
										                       '<div>'+
										                           '<h3><span style="font-family:Helvetica;">'+incomeunit+'</span>%</h3>'+
										                           '<p>收益率</p>'+
										                       '</div><div>'+
										                           '<h3><span style="font-family:Helvetica;">'+FinancialProductEnum[i].investment_horizon+'</span>天</h3>'+
										                           '<p>投资周期</p></div></div>'+
										                   '<div class="index-list-con">'+
										                        '<a href="javascript:void(0);" dataId="finan" id="goumaiId" product_status="1" style="background:#CC1D58;border:1px solid #CC1D58" product_type="5" productId='+FinancialProductEnum[i].product_id+'>火热认购中</a>'+
										                        '<p><span>'+per_buy_limit+'</span>￥</p>'+
										                        '<p>最低认购金额</p></div></div>';
						}else if(product_status=="9"){
							allFinancialProductStr += '<div class="index-list-box" product-id="'+FinancialProductEnum[i].product_id+'" product_type="'+ appUtils.getPageParam().product_type +'">'+
										                   '<div class="index-list-top clearfix">'+
										                       '<div>'+
										                           '<h3><span>'+FinancialProductEnum[i].product_abbr+'</span></h3>'+
										                           '<p>'+FinancialProductEnum[i].product_code+'</p>'+
										                       '</div>'+
										                       '<div>--------</div>'+
										                       '<div>'+
										                           '<h3><span style="font-family:Helvetica;">'+incomeunit+'</span>%</h3>'+
										                           '<p>收益率</p>'+
										                       '</div><div>'+
										                           '<h3><span style="font-family:Helvetica;">'+FinancialProductEnum[i].investment_horizon+'</span>天</h3>'+
										                           '<p>投资周期</p></div></div>'+
										                   '<div class="index-list-con">'+
										                        '<a href="javascript:void(0);" dataId="" id="goumaiId" product_status="1" style="background:#CC1D58;border:1px solid #CC1D58" product_type="5" productId='+FinancialProductEnum[i].product_id+'>距认购仅剩'+FinancialProductEnum[i].disdays+'天</a>'+
										                        '<p><span>'+per_buy_limit+'</span>￥</p>'+
										                        '<p>最低认购金额</p></div></div>';
						}
						else if(product_status=="0"){
							allFinancialProductStr += '<div class="index-list-box" product-id="'+FinancialProductEnum[i].product_id+'" product_type="'+ appUtils.getPageParam().product_type +'">'+
									                   '<div class="index-list-top clearfix">'+
									                       '<div>'+
									                           '<h3><span>'+FinancialProductEnum[i].product_abbr+'</span></h3>'+
									                           '<p>'+FinancialProductEnum[i].product_code+'</p>'+
									                       '</div>'+
									                       '<div>--------</div>'+
									                       '<div>'+
									                           '<h3><span style="font-family:Helvetica;">'+incomeunit+'</span>%</h3>'+
									                           '<p>收益率</p>'+
									                       '</div><div>'+
									                           '<h3><span style="font-family:Helvetica;">'+FinancialProductEnum[i].investment_horizon+'</span>天</h3>'+
									                           '<p>投资周期</p></div></div>'+
									                   '<div class="index-list-con">'+
									                        '<a href="javascript:void(0);" dataId="yuyue" id="yuyueId" product_status="0" product_type="5" productId='+FinancialProductEnum[i].product_id+'>预约</a>'+
									                        '<p><span>'+per_buy_limit+'</span>￥</p>'+
									                        '<p>最低认购金额</p></div></div>';
						}else{
							allFinancialProductStr += '<div class="index-list-box" product-id="'+FinancialProductEnum[i].product_id+'" product_type="'+ appUtils.getPageParam().product_type +'">'+
									                   '<div class="index-list-top clearfix">'+
									                       '<div>'+
									                           '<h3><span>'+FinancialProductEnum[i].product_abbr+'</span></h3>'+
									                           '<p>'+FinancialProductEnum[i].product_code+'</p>'+
									                       '</div>'+
									                       '<div>--------</div>'+
									                       '<div>'+
									                           '<h3><span style="font-family:Helvetica;">'+incomeunit+'</span>%</h3>'+
									                           '<p>收益率</p>'+
									                       '</div><div>'+
									                           '<h3><span style="font-family:Helvetica;">'+FinancialProductEnum[i].investment_horizon+'</span>天</h3>'+
									                           '<p>投资周期</p></div></div>'+
									                   '<div class="index-list-con">'+
									                        '<a href="javascript:void(0);" dataId="" product_type="5" productId='+FinancialProductEnum[i].product_id+' style="background:#b1a5a0;border:#b1a5a0;">已售罄</a>'+
									                        '<p><span>'+per_buy_limit+'</span>￥</p>'+
									                        '<p>最低认购金额</p></div></div>';
						}
					}
				}
				if(product_type == "7"){
					allFinancialProductStr += '</div>';
				}
				// 第一页
				if(curPageNo == 1)
				{
					$(_pageId + " .index-con").html("");
				}
				$(_pageId+" .index-con").append(allFinancialProductStr);  // 填充服务产品列表
				if(product_type == "7"){
					$(_pageId+" .produce-listold h4").css({"margin-top":"0%","line-height":"20px"});
					$(_pageId+" .index-con p").css({"height":"60px","line-height":"20px","white-space":"pre-wrap"});
				}
				$(_pageId+" .index-con .index-list-top").each(function(){
					var $prodName = $(this).find("h3:eq(0) span");
					if($prodName.height() > Number($prodName.css("line-height").slice(0, -2)))
					{
						$prodName.css("font-size", "12px");
					}
				});
				
				initScroller();
				if(FinancialProductEnum&&FinancialProductEnum[0])
				{
					$(_pageId+" .fix_add").hide();
				}
				else
				{
					$(_pageId+" .fix_add").show().css("margin-top","-80%");
				}
				$(_pageId+" .visc_pullUp").hide();
				if(product_type == "7"){
					appUtils.bindEvent($(_pageId+" .index-con .produce-listold dl"),function(){
						var pageInParam = {
							"product_id" :  $(this).attr("product-id"),
							"product_type" : $(this).attr("product_type"),
							"article_id" : article_id,
							"pageCode" : "mall/itemsFinan",
							"prePageCode" : prePageCode
						};
						appUtils.pageInit("mall/itemsFinan","mall/itemsFinanIn",pageInParam);
					},"click");
				}else{
					
					//点击购买
					appUtils.bindEvent($(_pageId+" .index-list-con a"),function(e){
						var dataId = $(this).attr("dataId");
						if(dataId==""){
							
							//表示购买完了
						}else if(dataId=="finan"){
							var user_id = appUtils.getSStorageInfo("user_id");
							product_id = $(this).attr("productId");
							product_type = $(this).attr("product_type");
							producttype = $(this).attr("product_type");
							
							if(user_id==""||user_id==null){
								appUtils.setSStorageInfo("page_address",pageCode);
								appUtils.setSStorageInfo("pageJump","mall/finanOrder/confirmOrder");
								var param = {
									"product_id":product_id,
									"product_type" : product_type,
									"pageCode" : "mall/itemsFinan",
									"prePageCode" : prePageCode
								};
								appUtils.pageInit("mall/itemsFinan","account/userLogin",param);
							}else{
								appUtils.setSStorageInfo("product_number",product_id);
								var loginType = appUtils.getSStorageInfo("loginType");
								if(loginType == "0"){//手机账号
									var param = {
											"product_id":product_id,
											"product_type":producttype
										};
										appUtils.pageInit("mall/itemsFinan","mall/finanOrder/confirmOrder",param);
									//common.queryMobilePhone(appUtils.getSStorageInfo("mobile_phone"),determineUserState);
								}else{//资金账号
									var param = {
										"product_id":product_id,
										"product_type" : product_type,
										"pageCode" : "mall/itemsFinan",
										"prePageCode" : prePageCode
									};
									appUtils.pageInit("mall/itemsFinan","mall/finanOrder/confirmOrder",param);
								}
							}
						
						}else if(dataId=="yuyue"){//点击预约
							var user_id = appUtils.getSStorageInfo("user_id");
							product_id = $(this).attr("productId");
							product_type = $(this).attr("product_type");
							producttype = $(this).attr("product_type");
							
							if(user_id==""||user_id==null){
								appUtils.setSStorageInfo("pageJump","mall/finanOrder/confirmOrder");
								var param = {
									"product_id":product_id,
									"product_type" : product_type,
									"pageCode" : "mall/itemsFinan",
									"prePageCode" : prePageCode
								};
								appUtils.pageInit("mall/itemsFinan","account/userLogin",param);
							}else{
								appUtils.setSStorageInfo("product_number",product_id);
								var loginType = appUtils.getSStorageInfo("loginType");
								if(loginType == "0"){//手机账号
									common.queryMobilePhone(appUtils.getSStorageInfo("mobile_phone"),determineUserState);
								}else{//资金账号
									var param = {
										"product_id":product_id,
										"product_type" : product_type,
										"pageCode" : "mall/itemsFinan",
										"prePageCode" : prePageCode
									};
									appUtils.pageInit("mall/itemsFinan","mall/finanOrder/confirmOrder",param);
								}
							}
						}else{
							var pageInParam = {
								"product_id" :  $(this).attr("productId"),
								"product_type" : product_type,
								"article_id" : article_id,
								"pageCode" : "mall/itemsFinan",
								"prePageCode" : prePageCode
							};
							appUtils.pageInit("mall/itemsFinan", "mall/itemsFinanIn",pageInParam);
						}
						e.stopPropagation();
					},"click");
					
					
				
					//点击 名称进入详情
					appUtils.bindEvent($(_pageId+"  .index-list-box"),function(){
//						var tempPageCode = (prePageCode2==""?prePageCode2:prePageCode);
						prePageCode = appUtils.setSStorageInfo("pageCode","mall/itemsFinan");
						var pageInParam = {
							"product_id" :  $(this).attr("product-id"),
							"product_type" : $(this).attr("product_type"),
							"product_status": $(this).attr("product_status"),
							"article_id" : article_id,
							"pageCode" : "mall/itemsFinan",
							"prePageCode" : prePageCode
						};
						appUtils.pageInit("mall/itemsFinan", "mall/itemsFinanIn",pageInParam);
					},"click");
				}
			}else{
				layerUtils.iMsg(-1,error_info);
			}
		});
	}
	
	//判断用户状态
	function determineUserState(data){
		var results = data.results;
		var is_register = results[0].is_register;
		var is_client = results[0].is_client;
		var is_risk = results[0].is_risk;
		var is_pwd = results[0].is_pwd;
		var is_bank = results[0].is_bank;
		if(is_register&&is_register=="0"){
			appUtils.pageInit("mall/itemsFinan","account/testRegister");
		}else if(is_client=="0"||is_pwd=="0"||is_bank=="0"){
			var param={
					"pageCode":	pageCode,
					"product_type":producttype,
					"product_id":product_id
				};
				appUtils.pageInit("mall/itemsFinanIn","account/testAccount",param);
		}else{
			var param = {
				"product_id":product_id,
				"product_type":producttype
			};
			appUtils.pageInit("mall/itemsFinan","mall/finanOrder/confirmOrder",param);
		}
	}
	
	/**
	 * 初始化滚动组件
	 */
	function initScroller()
	{
		if(myScroller)
		{
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(_pageId + " #list")
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
		else
		{
			var visibleHeight = $(window).height() - $(_pageId + ".header").height(); // 滑动组件的可见高度
			var scrollerParam = {
				isPagingType: false,
				isHasHead: false,
				visibleHeight: visibleHeight,
				container: $(_pageId + " .index-con").parents(".visc_wrapper").parent(), // container元素
				wrapper: $(_pageId + " .index-con").parents(".visc_wrapper"), // wrapper元素
				downHandle : function() {
					curPageNo = 1;
					findFinanciallist(); // 查询产品列表
				},
				upHandle : function(){
					$(_pageId+" .visc_pullUp").show();
					curPageNo++;
					findFinanciallist(); // 查询产品列表
				}
			};
			myScroller = new VIscroll(scrollerParam); //初始化
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(_pageId + " .index-con")
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
	}
	
	
	/**
	 * 基金初始化公洞组件
	 */
	function initFundScroller(){
		if(myScroller)
		{
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(_pageId + " #list");
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
		else
		{
			var visibleHeight = $(window).height() - $(_pageId + ".header").height(); // 滑动组件的可见高度
			var scrollerParam = {
				isPagingType: false,
				isHasHead: false,
				visibleHeight: visibleHeight,
				container: $(_pageId + " .index-con").parents(".visc_wrapper").parent(), // container元素
				wrapper: $(_pageId + " .index-con").parents(".visc_wrapper"), // wrapper元素
				downHandle : function() {
					curPageNo =1;										
					findFundList(); // 查询产品列表
				},
				upHandle : function(){
					$(_pageId+" .visc_pullUp").show();
					curPageNo++;
					findFundList(); // 查询产品列表
				}
			};
			myScroller = new VIscroll(scrollerParam); //初始化
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(_pageId + " .index-con")
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
	}
	
	//绑定事件
	function bindPageEvent(){
		/**
		 * 返回
		 */
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			//appUtils.pageBack();
			var param = {
			    "pageCode" : prePageCode,
			    "article_id" : article_id
			};
			//var pageCode = appUtils.getSStorageInfo("prePageCode");
			appUtils.pageInit("mall/itemsFinan","mall/moneyShop",param);
			/*if(prePageCode == "mall/moneyShop" || prePageCode2 == "mall/itemsFinan"){
				appUtils.pageInit("mall/itemsFinan","mall/moneyShop");
			}else if(prePageCode == "mall/itemsFinan"){
				appUtils.pageInit("mall/itemsFinan",prePageCode2);
			}else{
				appUtils.pageInit("mall/itemsFinan","account/heroListArticle",param);
			}*/
//			if("account/index"==appUtils.getSStorageInfo("_tzPageCode")) {
//				// 首界面
//				appUtils.setSStorageInfo("_tzPageCode","");
//				appUtils.pageInit("mall/itemsFinanIn","account/index");
//			}else {
//				appUtils.pageInit("mall/itemsFinan","mall/moneyShop");
//			}
		});
		
		
	}
	
	//销毁
	function destroy(){
		$(_pageId+" .index-con").html("");
		$(_pageId+" .produce-details").html("");
		$(_pageId+" .produce-details-con").html("");
		if(myScroller)
		{
			myScroller.destroy();
			myScroller = null;
		}
//		common.loadCommonCss();
	}
	
	var itemsFinan = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = itemsFinan;
	
});