/**
 * 产品详情
 */
define('mall/scripts/mall/itemsFinanIn.js',function(require, exports, module){
	//require("mall/css/self_confirm.css");
	var appUtils = require('appUtils');
	var _pageId = "#mall_itemsFinanIn ";
	var pageCode = "mall/itemsFinanIn";
	var service = require("mobileService"); //业务层接口，请求数据
	var appropriateService = require("appropriateService");
	var putils = require("putils");
	var layerUtils = require("layerUtils");
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var platform=gconfig.platform;//判断app或pc用
	var URL=global.url;
	var external = require("external");
	var shareTitle = "";	
	var inst_id = "";//产品代码
	var ta_code = "";
	var risk_level = "";
	var product_id = "";
	var product_type="";
	var product_name="";
	var prePageCode = "";//上一个页面传进来的地址	
	var article_id = "";
	var timer = "";
	var i = 0;
	var is_risk="";
	var user_risk_level= "";
	var fee_way="";
	var fee_way_type="";
	var fee_way_percent="";
	var fee_way_limit="";
	var all_money="";
	var description = "";
	var money_type="";
	var isfb="";  //首次签约开关，判断此产品是否有首次购买限制
	var isfb_flag="";
	function init(){
		common.initTitle(_pageId);
		
		queryAccLiaR();
		common.loadoldCss();
		$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height()-$(_pageId+".header-con").height()-$(_pageId+".footer-con").height()-1)+"px"});
		//防止直接到该页面

		prePageCode = appUtils.getPageParam("pageCode");
		/************适当性改造****************/
		if(appUtils.getPageParam("url") == "mall/researchMoney"){
			
			prePageCode = "mall/researchMoney";
		}
		if(appUtils.getPageParam("url") == "mall/moneyShop"){
			
			prePageCode = "mall/moneyShop";
		}
		if(appUtils.getPageParam("url") == "mall/otcFundlist"){
			
			prePageCode = "mall/otcFundlist";
		}
		if(appUtils.getPageParam("url") == "account/ytg/userSpace"){
			
			prePageCode = "account/ytg/userSpace";
		}
		console.log(prePageCode);
		/************适当性改造****************/
		article_id = appUtils.getPageParam("article_id");		
		is_risk=appUtils.getPageParam("is_risk");	
		var pageParam = appUtils.getPageParam();
		
		if(pageParam != undefined)
		{
			product_id = appUtils.getPageParam("product_id");
			product_type = appUtils.getPageParam("product_type");
			fee_way=appUtils.getPageParam("fee_way"); 
			fee_way_type=appUtils.getPageParam("fee_way_type");
			fee_way_percent=appUtils.getPageParam("fee_way_percent");
			fee_way_limit=appUtils.getPageParam("fee_way_limit");
			description=appUtils.getPageParam("description");
			money_type=appUtils.getPageParam("money_type");
		}
		if(product_id==null||product_type==""||product_type=="undefeated") {
			// 尝试从壳子里面取值
			 var param = {
			            funcNo: "50041",
			            key: "product_id" 
			        };
			        var datatype = external.callMessage(param);
			        product_id = datatype.results[0].value;
			        var param1 = {
				            funcNo: "50041",
				            key: "product_type" 
				        };
				        var datatype1 = external.callMessage(param1);
				        product_type = datatype1.results[0].value;				        
		}
		if(product_id==null){
			layerUtils.iMsg(1, "数据加载错误！");
			appUtils.pageInit("mall/itemsFinanIn","mall/moneyShop",{})
			return false;
		}
		findById();
		//findAgreement();
		findAgreement();
		var collection_sign = appUtils.getPageParam("collection_sign");//产品收藏标记
		if(collection_sign=="1"){
			productCollection();
		}
		
		
		console.log("提佣资产要求：" + fee_way_limit);
	}
	
	
	//查询客户的资产(包括两融)   待会改造一下，换个功能号，代码相同，但是在后台加入两融资产查询和资金判断
	function queryAccLiaR(){
		var param = {
				"user_id" : appUtils.getSStorageInfo("user_id"),
				"loginFlag" : appUtils.getSStorageInfo("loginType")
		};
		service.queryAccLiaRZC(param, function(data){
			var error_no = data.error_no,
			    results = data.results;
			if (error_no === "0"){
				var result = results[0];
				all_money = result.all_money;//总资产
			}
		});
	}
	//浏览方法
	function productbrowse(product_name){
		var param={
			"product_id":product_id,
			"product_type":"7",
			"product_name":product_name
		}
		common.productbrowse(param);
	}
	//收藏方法
	function productCollection(){
		var param={
			"product_id":product_id,
			"product_type":"7",
			"product_name":product_name,
			"pageCode":"mall/moneyShop",
			"backUrl":pageCode
		}
		common.productCollection(param);
	}
	//判断是否签署协议(1有 0没有)
	function  findAgreement(){
		var user_id = appUtils.getSStorageInfo("user_id");
		var isOnlineSign = true ; // 是否支持网上开通电子签名协议
		var flag = true ;		  // 签署协议标识，true 为已签署
		var showDataList =[];
		var _agreement_id ;
		var _agreement_title ;
		var results=null; //保存结果集
		var param ={
			"user_id":user_id,
			"product_id":product_id
		};
		//协议查询
		service.findAgreement(param,function(data){
			if(data.error_no != "0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			results= data.results;
			var allProtocolStr = ""; // 所有协议字符串
			for (var i  =0; i < results.length; i++){
				if(results[i].agreement_type=="1"||results[i].agreement_type=="0"){
					if(results[i].agreement_title!=null && results[i].agreement_title!=""){
						allProtocolStr += '<a href="javascript:void(0);" contract_type="'+results[i].contract_type+'" agreement_type="'+results[i].agreement_type+'" agreement_content="'+results[i].agreement_content+'" agreement_id="'+results[i].agreement_id+'" agreement_url="'+results[i].url+'">'+results[i].agreement_title+'</a>';
					};
				};
			}
			$(_pageId+" #proContent").html(allProtocolStr);
			//绑定协议事件
			appUtils.bindEvent($(_pageId+" #proContent a"),function(){
				var agreement_url = $(this).attr("agreement_url");
				var agreement_title = $(this).html();
				// 判断是否APP
				 if(platform == "0"){
					 window.location.href=URL+agreement_url;
				}else{
					viewProtocol(agreement_url,agreement_title);
				}
				
			});
		});
	}
	//查看产品协议
	function viewProtocol(agreement_url,agreement_title){
		if(platform == "1"){
			var param={
				moduleName: "mall", // String	目标模块名	N	
				source: "mall", // String	源模块	Y
				funcNo: "50240",
				url: URL+agreement_url,
				title: agreement_title
			};
			external.callMessage(param);
		}else if(platform == "2"){
			var param={
				funcNo: "50240",
				url: URL+agreement_url,
				title: agreement_title
			};
			external.callMessage(param);
		}
	}
	//判断是否签署协议(1有 0没有)
	/*function  findAgreement(){
		var param ={
			"product_type":"7"
		};
		//协议查询
		service.findProductTypeAgreement(param,function(data){
			var results= data.results;//保存结果集
			if(data.error_no != "0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			var allProtocolStr ="";// 所有协议字符串
			if(is_risk=="1"){
				allProtocolStr = "<p class='on'><i></i>已阅读"; 
			}else{
				allProtocolStr = "<p class=''><i></i>已阅读"; 
			}
			
			for (var i  =0; i < results.length; i++){
				if(results[i].agreement_type=="1"||results[i].agreement_type=="0"){
					if(results[i].agreement_title!=null && results[i].agreement_title!=""){
						allProtocolStr +="<a href='javaScript:void(0);' agreement_url='"+results[i].url+"' agreement_title='"+results[i].agreement_title+"'>《"+results[i].agreement_title+"》</a>"
						//allProtocolStr += '<a href="javascript:void(0);" contract_type="'+results[i].contract_type+'" agreement_type="'+results[i].agreement_type+'" agreement_content="'+results[i].agreement_content+'" agreement_id="'+results[i].agreement_id+'" agreement_url="'+results[i].url+'">'+results[i].agreement_title+'</a>';
					};
				};
			}
			allProtocolStr+="</p>";
			$(_pageId+" #stick_gzh").html(allProtocolStr);
			//绑定协议事件
			appUtils.bindEvent($(_pageId+" #stick_gzh a"),function(){
				var agreement_url = $(this).attr("agreement_url");
				var agreement_title = $(this).attr("agreement_title");
				// 判断是否APP
				 if(platform == "0"){
					 window.location.href=URL+agreement_url;
				}else{
					viewProtocol(agreement_url,agreement_title);
				}
			});
			//选中同意协议按钮
			appUtils.bindEvent($(_pageId+" #stick_gzh i"),function(){
				var checked=$(_pageId+" #stick_gzh p").attr("class");//获取是否选中
				if(checked=="on"){
					$(_pageId+" #stick_gzh p").removeClass("on");
				}else{
					$(_pageId+" #stick_gzh p").addClass("on");
				};
			});
			
		});
	}*/
	//查看产品协议
	function viewProtocol(agreement_url,agreement_title){
		if(platform == "1"){
			var param={
				moduleName: "mall", // String	目标模块名	N	
				source: "mall", // String	源模块	Y
				funcNo: "50240",
				url: URL+agreement_url,
				title: agreement_title
			};
			external.callMessage(param);
		}else if(platform == "2"){
			var param={
				funcNo: "50240",
				url: URL+agreement_url,
				title: agreement_title
			};
			external.callMessage(param);
		}
	}
	//查询产品详情
	function findById(){
		//var  product_type = appUtils.getPageParam().product_type;
		var param="";
		if(product_type == "7"){
			 param = {
				"product_id":product_id,
				"product_sub_type":"1",
				"productType":"7",
				"userid" : appUtils.getSStorageInfo("user_id"),
				"pageCode" : "mall/itemsFinanIn",
				"prePageCode" : prePageCode,
				"fee_way":fee_way,
				"fee_way_type":fee_way_type,
				"fee_way_percent":fee_way_percent,
				"description":description,
				"money_type":money_type
			};
		}else if(product_type == "5"){
			 param = {
						"product_id":product_id,
						"product_sub_type":"1",
						"productType":"5",
						"userid" : appUtils.getSStorageInfo("user_id"),
						"pageCode" : "mall/itemsFinanIn",
						"prePageCode" : prePageCode
					};
		}else{
			 param = {
				"product_id":product_id,
				"product_sub_type":"1",
				"pageCode" : "mall/itemsFinanIn",
				"prePageCode" : prePageCode
			};
		}
		service.finanInfo(param,function(data){
			if(data.error_no!="0")
			{
				layerUtils.iAlert(data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			var results = data.DataSet;
			inst_id = results[0].inst_id;
			ta_code = results[0].ta_code;
			risk_level = results[0].risk_lvl;
			fee_way_limit = results[0].fee_way_limit;
			
			isfb = results[0].isfb;
			
			if( product_type == "7"){
				var fee_way_type = results[0].fee_way_type;
				var product_seq = results[0].product_seq;
				var productrisklevel = "";//产品风险等级
				var risk_lvl = results[0].risk_lvl;
				if(risk_lvl == "1"){
					productrisklevel = "R1-低风险";
				}else if(risk_lvl == "2"){
					productrisklevel = "R2-中低风险";
				}else if(risk_lvl == "3"){
					productrisklevel = "R3-中风险";
				}else if(risk_lvl == "4"){
					productrisklevel = "R4-中高风险";
				}else if(risk_lvl == "5"){
					productrisklevel = "R5-高风险";
				}else{
					productrisklevel = "默认风险";
				}
				$(_pageId+" .header h1").html("产品简介");
				var isjtxs = results[0].isjtxs;//资讯产品是否是集团产品
				product_name = results[0].inst_sname;
				var cpkh = results[0].cpkh;
				if(isjtxs!=""){
					
					$(_pageId+" .index-set-fenxiang").hide();//是集团产品就隐藏
				}else{
					$(_pageId+" .index-set-fenxiang").show();//是集团产品就隐藏
				}
				if(cpkh == "" || cpkh == null){
					$(_pageId+" .financial-banner").hide();
				}else{
					$(_pageId+" .financial-banner").show();
					$(_pageId+" .financial-banner").html('<img src="'+URL + cpkh +'" alt="" title="">');
					$(_pageId+" .financial-banner img").css({"width":"80%","margin-left":"10%","margin-bottom":"5%"});
				}
				var cpzbtx = results[0].cpzbtx;
				// $(_pageId+" .produce-details dl dt").html('<img src="'+ URL+cpzbtx +'" alt="" title="">产品主办');
				$(_pageId+" #zixun").show();
				$(_pageId+" #zixunimages").attr("src",URL+cpzbtx);
				$(_pageId+" #finan").hide();
				$(_pageId+" .produce-details dl dt").css("font-size","12px");
//				$(_pageId+" .produce-details dl dt img").attr("src",URL+cpzbtx);
//				$(_pageId+" .produce-details dl dt").append("产品主办");
				var sub_price = results[0].sub_price;
				if(sub_price == "" || sub_price ==null){
					sub_price = "免费";
				}else{
					if(sub_price == "0" || sub_price == "0.00"){
						sub_price = "免费";
					}
				}
				shareTitle = results[0].inst_sname;
				$(_pageId+" .produce-details dl dd h2").html(results[0].inst_sname);
				$(_pageId+" .produce-details dl dd p").hide();
				if(fee_way_type!=""){
					$(_pageId+" .produce-details ul li:eq(0) h3").html("产品风险等级");
					$(_pageId+" .produce-details ul li:eq(0) p").html(productrisklevel);
				}else{
					$(_pageId+" .produce-details ul li:eq(0) h3").html("体验天数");
					$(_pageId+" .produce-details ul li:eq(0) p").html(results[0].can_expe_days+" 天");			
				}
				//产品名称
				$(_pageId+" .produce-details-infor li:eq(0) strong").html(results[0].inst_sname);
				//产品联系人、产品联系电话
				var zbrymc = results[0].zbrymc;
				var cpzbdh = results[0].cpzbdh;
				$(_pageId+" .produce-details-infor li:eq(1) span").html("产品联系人");
				$(_pageId+" .produce-details-infor li:eq(1)").show();
				$(_pageId+" .produce-details-infor li:eq(2)").show();
				$(_pageId+" .produce-details-infor li:eq(1) strong").html(zbrymc);
				$(_pageId+" .produce-details-infor li:eq(2) strong").html(cpzbdh);
				//体验开始日期
				if(results[0].iss_bgn_date == "0"){
					var iss_bgn_date = "T+1日生效";
				}else{
					var iss_bgn_date = results[0].iss_bgn_date;			
				}
				if(fee_way_type==""){
					$(_pageId+" .produce-details-infor li:eq(5) span").html("托管人");
					$(_pageId+" .produce-details-infor li:eq(6) span").html("管理人");
					$(_pageId+" .produce-details-infor li:eq(3) span").html("体验开始日期");
					$(_pageId+" .produce-details-infor li:eq(3) strong").html(iss_bgn_date);
					//体验结束日期
					if(results[0].iss_bgn_date == "0"){
						var iss_end_date = results[0].can_expe_days + "天后结束";
					}else{
						var iss_end_date = results[0].iss_end_date;
					}				
					$(_pageId+" .produce-details-infor li:eq(4) span").html("体验结束日期");
					$(_pageId+" .produce-details-infor li:eq(4) strong").html(iss_end_date);
					//管理人
	             	$(_pageId+" .produce-details-infor li:eq(5) strong").html(results[0].mgr_org_sname);
					//托管人
					$(_pageId+" .produce-details-infor li:eq(7)").hide();
					$(_pageId+" .produce-details-infor li:eq(7) strong").html(results[0].can_expe_days+" 天");
					//投资目标
					$(_pageId+" .produce-details-infor li:eq(8)").show();
					$(_pageId+" .produce-details-infor li:eq(8) span").html("投资目标");
					$(_pageId+" .produce-details-infor li:eq(8) strong").html(results[0].tzmb);
					//选股策略
					$(_pageId+" .produce-details-infor li:eq(9)").show();
					$(_pageId+" .produce-details-infor li:eq(9) span").html("选股策略");
					$(_pageId+" .produce-details-infor li:eq(9) strong").html(results[0].xgcl);
					//风险控制
					$(_pageId+" .produce-details-infor li:eq(10)").show();
					$(_pageId+" .produce-details-infor li:eq(10) span").html("风险控制");
					$(_pageId+" .produce-details-infor li:eq(10) strong").html(results[0].fxkz);
					//适用对象
					$(_pageId+" .produce-details-infor li:eq(11)").show();
					$(_pageId+" .produce-details-infor li:eq(11) span").html("适用对象");
					$(_pageId+" .produce-details-infor li:eq(11) strong").html(results[0].sydx);
					//产品风险等级
				}
				var hotVal="";
				if(fee_way_type!=""){
					
					$(_pageId+" .produce-details ul li:eq(0) p").css({"height":"30px","line-height":"30px","font-size":"18px"});
					
					$(_pageId+" .produce-details-infor li:eq(1) span").html("产品编号");
					$(_pageId+" .produce-details-infor li:eq(1) strong").html(results[0].inst_code);
					
					$(_pageId+" .produce-details-infor li:eq(2)").hide();
					/*$(_pageId+" .produce-details-infor li:eq(2) span").html("产品风险等级");
					$(_pageId+" .produce-details-infor li:eq(2) strong").html(productrisklevel);*/
					
	        	    $(_pageId+" .produce-details-infor li:eq(3) span").html("产品介绍");
					$(_pageId+" .produce-details-infor li:eq(3) strong").html(results[0].product_desc);
					if(results[0].fee_way_percent=="0"){
						hotVal="免费签约";
					}else{
						if(product_seq=="1"){
							hotVal="免费签约";
						}else{
							if(fee_way_type=="1"){
								hotVal="服务期场内A股基金交易手续费"+results[0].fee_way_percent+"‰，其他交易品种交易手续费另行约定";
							}else{
								hotVal="服务期场内A股基金交易佣金率在原基础上增加"+results[0].fee_way_percent+"‰，其他交易品种交易手续费另行约定";
							}
						}
					}
					$(_pageId+" .produce-details-infor li:eq(4) span").html("产品价格");
					$(_pageId+" .produce-details-infor li:eq(4) strong").html(hotVal);
					
					$(_pageId+" .produce-details-infor li:eq(5)").show();
					$(_pageId+" .produce-details-infor li:eq(5) span").html("资金要求");
					$(_pageId+" .produce-details-infor li:eq(5) strong").html(results[0].fee_way_limit+"元");
					
					$(_pageId+" .produce-details-infor li:eq(6)").show();
					$(_pageId+" .produce-details-infor li:eq(6) span").html("接收方式");
					$(_pageId+" .produce-details-infor li:eq(6) strong").html(results[0].jsfs);
					
					$(_pageId+" .produce-details-infor li:eq(7)").show();
					$(_pageId+" .produce-details-infor li:eq(7) span").html("更新频率");
					$(_pageId+" .produce-details-infor li:eq(7) strong").html(results[0].gxpl);
					
					$(_pageId+" .produce-details-infor li:eq(8)").show();
	                $(_pageId+" .produce-details-infor li:eq(8) span").html("适用客户");
					$(_pageId+" .produce-details-infor li:eq(8) strong").html(results[0].sykh);
					
					$(_pageId+" .produce-details-infor li:eq(9)").show();
					$(_pageId+" .produce-details-infor li:eq(9) span").html("生效时间");
					$(_pageId+" .produce-details-infor li:eq(9) strong").html(results[0].effect_time);
					
					$(_pageId+" .produce-details-infor li:eq(10)").show();
					$(_pageId+" .produce-details-infor li:eq(10) span").html("风险揭示");
					$(_pageId+" .produce-details-infor li:eq(10) strong").html(results[0].fxkz);
					
					$(_pageId+" .produce-details-infor li:eq(11)").hide();
					$(_pageId+" .produce-details-infor li:eq(12)").hide();
					$(_pageId+" .produce-details-infor li:eq(13)").hide();
				}
				if(fee_way_type==""){
					$(_pageId+" .produce-details-infor li:eq(12)").show();
					$(_pageId+" .produce-details-infor li:eq(12) strong").html(productrisklevel);
				}
				var imginfo = results[0].imginfo;
				if(imginfo == "" || imginfo == null){
					$(_pageId+" #tuwenxq").hide();
				}else{
					$(_pageId+" #tuwenxq").show().attr("imginfo",results[0].imginfo);
				}
				$(_pageId+" .produce-details-infor li:eq(13)").hide();
//				$(_pageId+" .produce-details-infor li:eq(8) strong").html(results[0].product_desc);
				var isGm = results[0].isGm;
				if(isGm == "1"){
					if(fee_way_type!=""){
						$(_pageId+" #ljgm").attr("style","background:#e84c3d;border:1px solid #e84c3d");
						$(_pageId+" #ljgm").html("已签约").show();
						bindGm();
					}else{
						$(_pageId+" #ljgm").attr("style","background:#e84c3d;border:1px solid #e84c3d");
						$(_pageId+" #ljgm").html("续订").show();
						bindBuy();
					}
				}else{
					if(fee_way_type!=""){
						$(_pageId+" #ljgm").attr("style","background:#e84c3d;border:1px solid #e84c3d");
						$(_pageId+" #ljgm").html("签约").show();
						bindBuy();
					}else{
						$(_pageId+" #ljgm").attr("style","background:#e84c3d;border:1px solid #e84c3d");
						$(_pageId+" #ljgm").html("订阅").show();
						bindBuy();
					}
				}
				$(_pageId+" .produce-details ul li:eq(0) p").show();
			}else{
				var results = data.results;
				var isjtxs = results[0].isjtxs;//资讯产品是否是集团产品
				if(isjtxs!=""){
					
					$(_pageId+" .index-set-fenxiang").hide();//是集团产品就隐藏
				}else{
					$(_pageId+" .index-set-fenxiang").show();//是集团产品就隐藏
				}
				$(_pageId+" .header h1").html("产品详情");
				
				$(_pageId+" .financial-banner").hide();
				// $(_pageId+" .produce-details dl dt").html('<img src="/m/mall/images/pro-tit.png" alt="" title="">');
				$(_pageId+" #zixun").hide();
				$(_pageId+" #finan").show();
				$(_pageId+" .produce-details dl dd p").show();
				var product_status = results[0].product_status;
				shareTitle = results[0].product_abbr;
				product_name = results[0].inst_sname;
				$(_pageId+" .produce-details dl dd h2").html(results[0].product_abbr);
				$(_pageId+" .produce-details dl dd p").html(results[0].product_code);
				var incomeunit = results[0].incomeunit;
				$(_pageId+" .produce-details ul li:eq(0) h3").html("收益率");
				if(incomeunit==null||incomeunit==""){
					$(_pageId+" .produce-details ul li:eq(0) p").html("0%");
				}else{
					if(incomeunit.indexOf(".")!=-1){
						incomeunit=parseFloat(incomeunit)*100;
						incomeunit=incomeunit.toFixed(2);
					} 
					$(_pageId+" .produce-details ul li:eq(0) p").html(incomeunit+"%");
				}
				
				//产品名称
				$(_pageId+" .produce-details-infor li:eq(0) strong").html(results[0].product_name);
				$(_pageId+" .produce-details-infor li:eq(1)").hide();
				$(_pageId+" .produce-details-infor li:eq(2)").hide();
				//成立日期
				$(_pageId+" .produce-details-infor li:eq(3) span").html("产品成立日");
				$(_pageId+" .produce-details-infor li:eq(3) strong").html(results[0].est_date);
				//终止日期
				$(_pageId+" .produce-details-infor li:eq(4) span").html("产品结束日");
				$(_pageId+" .produce-details-infor li:eq(4) strong").html(results[0].end_date);
				//管理人
				$(_pageId+" .produce-details-infor li:eq(5) strong").html(results[0].mgr_org_sname);
				//托管人
				$(_pageId+" .produce-details-infor li:eq(6)").show();
				$(_pageId+" .produce-details-infor li:eq(6) strong").html(results[0].trust_org_sname);
				//存续期
				$(_pageId+" .produce-details-infor li:eq(7)").show();
				$(_pageId+" .produce-details-infor li:eq(7) strong").html(results[0].investment_horizon+" 天");
				//最低金额
				$(_pageId+" .produce-details-infor li:eq(8) span").html("最低参与金额");
				if(results[0].per_buy_limit){
					$(_pageId+" .produce-details-infor li:eq(8) strong").html(putils.fmoney(results[0].per_buy_limit)+"元");
				}else{
					$(_pageId+" .produce-details-infor li:eq(8) strong").html("0 元");
				}
				$(_pageId+" .produce-details-infor li:eq(9)").hide();
				$(_pageId+" .produce-details-infor li:eq(10)").hide();
				$(_pageId+" .produce-details-infor li:eq(11)").hide();
				$(_pageId+" .produce-details-infor li:eq(12)").hide();
				$(_pageId+" .produce-details-infor li:eq(13)").hide();
				$(_pageId+" #tuwenxq").hide();
				//开放期
	//			$(_pageId+" .produce-details-infor li:eq(4) strong").html(putils.prstor(results[0].product_status));
				
				
				if(product_status=="1"){
					$(_pageId+" #ljgm").attr("style","background:#CC1D58;border:1px solid #CC1D58");
					$(_pageId+" #ljgm").html("火热认购中").show();
					
					bindBuy();//购买
				}else if(product_status=="0"){
					$(_pageId+" #ljgm").attr("style","background:#CC1D58;border:1px solid #CC1D58");
					$(_pageId+" #ljgm").html("预约").show();
					/*$(_pageId+" #ljgm").unbind();*/
					bindYuyue();//预约
				}else if(product_status=="9"){
					$(_pageId+" #ljgm").attr("style","background:#CC1D58;border:1px solid #CC1D58");
					$(_pageId+" #ljgm").html("距认购仅剩"+results[0].disdays+"天").show();
					$(_pageId+" #ljgm").unbind();
				}
				else{
					$(_pageId+" #ljgm").attr("style","background:#b1a5a0;border:#b1a5a0;");
					$(_pageId+" #ljgm").html("已售罄").show();
					$(_pageId+" #ljgm").unbind();
				}
			}
			judgeIsfb();
			productbrowse(product_name);//浏览方法
		});
		
	}
	
	//绑定提佣已签约事件
	function bindGm(){
		appUtils.bindEvent($(_pageId+"#ljgm"),function(){
			layerUtils.iMsg(-1,"已签约，不允许重复签约");
			return false;
		},"click");
	}
	
	function judgeIsfb(){
		if(isfb=="2"){
			//判断之前是否购买过
			var param={
				user_id : appUtils.getSStorageInfo("user_id"),
				product_id : product_id
			};
			service.findIsfb(param, function(data){
				var error_no = data.error_no,
				    results = data.results;
				if (error_no === "0"){
					if(results[0]==undefined){
						isfb_flag="0";
					}else{
						isfb_flag="1";
					}
				}
			});
		}
	}
	
	//绑定立即购事件
	function bindBuy(){
		appUtils.bindEvent($(_pageId+"#ljgm"),function(){
			//提佣产品判断首次购买开关开了没
			if(isfb_flag=="1"){
				layerUtils.iMsg(-1,"免费体验期已结束");
				return false;
			}
			//如果是提佣产品的话判断是否满足资产要求
			if(product_type == "7" && fee_way_type!=""){
				if(parseFloat(fee_way_limit) > parseFloat(all_money)){
					layerUtils.iMsg(-1,"不满足该产品资产要求");
					return false;
				}
			}
			//判断有没有勾选协议
			/*var checked=$(_pageId+" #stick_gzh p").attr("class");//获取是否选中
			if(checked!="on"){//没有勾选协议
				layerUtils.iMsg(-1,"请勾选协议");
				return false;
			}*/
			var checked=$(_pageId+" #checkBox input").attr("checked");//获取是否选中
			if(checked!="checked"){
				layerUtils.iMsg(-1,"请同意并签署此购买合同！");
				return false;
			}
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
//			product_id=$(this).attr("product_id");
//			product_type=$(this).attr("product_type");
			if(login_flag!="true"){//没有登入
				var  pageInParam = {
					"url" : pageCode,
					"product_id" : product_id,
					"product_type" : product_type,
					"pageCode" : pageCode,
					"shop_sign":"1"//新理财统一标识
				};
				appUtils.setSStorageInfo("product_type",product_type);
				appUtils.setSStorageInfo("product_id",product_id);
				common.findLogin({"avicParam":pageInParam});
				//appUtils.pageInit(pageCode, "account/userLogin",{"avicParam":pageInParam});
			}else{//登入需要做的事情
				appUtils.setSStorageInfo("product_number", product_id);
				var loginType = appUtils.getSStorageInfo("loginType");
				if (loginType == "0") {// 手机账号
					common.queryMobilePhone(appUtils.getSStorageInfo("mobile_phone"),determineState);
				} else {
					// 资金账号
					appropriateness();
					}
				}
		},"click");
	}

	

	/**********************************适当性改造*******************************/
	function appropriateness(){
			
			//先判断风险测评有没有做，是否过期
			appropriateService.appropriateBaseInfo({"khh" : appUtils.getSStorageInfo("khh")} ,function(data){
				if(data.error_no!="0")
				{
					layerUtils.iAlert(data.error_info);
					layerUtils.iLoading(false);
					return false;
				}
				var result = data.results;
				var risk_flag = result[0].risk_flag;
				var fid_khtzfl = result[0].fid_khtzfl;//投资者分类
				user_risk_level = result[0].fid_fxcsnl;//风险承受能力
				//保险起见，再存一次
				appUtils.setSStorageInfo("risk_level" , result[0].fid_fxcsnl);
				var param = {
						"khh" : appUtils.getSStorageInfo("khh"),
						"product_id" : product_id,
						"product_type" : "7",
						"product_code" : inst_id,
						"ta_code" : ta_code,
						"pageCode" : pageCode,
						"curPage":prePageCode,
						"url" : appUtils.getPageParam("url"),
						"risk_flag":risk_flag,
						"fee_way":fee_way,
						"fee_way_type":fee_way_type,
						"description":description,
						"money_type":money_type,	
						"fee_way_percent":fee_way_percent
					};
				//风险测评有效
				//if(risk_flag == "1"){
					//if(is_risk !="1"){
						//checkLicaiAccount(fid_khtzfl,param);					
					//}else{
						if(risk_level!="5"){
							checkLicaiAccount(fid_khtzfl,param);
							//appUtils.pageInit(pageCode,"mall/finanOrder/stickMoneyBuy", param);
						}else{
							var khh = appUtils.getSStorageInfo("khh");
							//用户双录
							service.checkUser(param,function(datas){
								if(datas.results.length==0){
									var param2={
											"counTer":"您拟投资的产品风险与您的风险不匹配或购买的为高风险产品,请您联系营业部线下进行双录!"
									};
									common.popupMethod(param2);
									return false;
								}else{
									if(datas.results[0].DUAL_STAT == "1"|| datas.results[0].DUAL_STAT == "2"){
										appUtils.pageInit(pageCode,"mall/finanOrder/stickMoneyBuy", param);
									}else{
										var param2={
												"counTer":"您拟投资的产品风险与您的风险不匹配或购买的为高风险产品,请您联系营业部线下进行双录!"
										};
										common.popupMethod(param2);
										return false;
									}
								}
							});
						}	
					//}
//				}else{
//					common.iConfirm("您还未做风险测评或者风险测评已过期或未做新版风险测评，请重新测评！", function(){
//						 var pageInParam = appUtils.getPageParam();
//						 pageInParam["prePageCode"] = pageCode;
//						 appUtils.pageInit("mall/itemsFinanIn","userCenter/riskResults" , pageInParam);
//					} , function(){} , "测评", "取消");
//
//				}
			});
	}
	
	//判断是否有理财账户
	function checkLicaiAccount(fid_khtzfl,param){
		var khParam = {
				"user_id": appUtils.getSStorageInfo("user_id"),
				"khh" : appUtils.getSStorageInfo("khh"),
				"risk_level" :  user_risk_level,
				"tadm" : ta_code
		}
		//判断是否需要开户
		service.checkRiskAssessment(khParam , function(data){
			if(data.error_no!="0")
			{
				layerUtils.iAlert(data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			var result = data.results;
			//没有开通理财账号，需要开户
			if(result[0].isKh == "1"){
				if(param.risk_flag == "-1"||param.risk_flag == "-2"||param.risk_flag == "-3"){
					common.iConfirm("开通理财账户权限需进行新版风险测评。", function(){
						 var back_param = appUtils.getPageParam();
						 back_param["prePageCode"] = pageCode;
						 back_param["url_flag"] = pageCode;
						 appUtils.pageInit("mall/itemsFinanIn","userCenter/riskResults" , back_param);
					} , function(){} , "立刻测评", "放弃");
				}else{
					common.iConfirm("您还未开通理财账户，是否为您开通！", function(){
						var khParam = {


								"risk_level" : user_risk_level,
								"khxm" : appUtils.getSStorageInfo("user_name"),
								"zjbh" : appUtils.getSStorageInfo("identity_num"),
								"khh" : appUtils.getSStorageInfo("khh"),
								"fxjg" : ta_code,
								"isCp" : "0",
								"isKh" : "1",
								"zjlb" : "0"
						};
						$(_pageId + "#dilog").show();   
						service.submitAns(khParam , function(data){
							$(_pageId + "#dilog").hide();   
							if(data.error_no!="0")
							{
								layerUtils.iAlert(data.error_info);
								layerUtils.iLoading(false);
								return false;
							}else{
							    i=0;
								showTime(fid_khtzfl,param);
								
							}
						});


					} , function(){} , "开通", "取消");
				}
				
			}else{
				riskJudgement(fid_khtzfl,param);
			}
		});
	}
	
	//判断风险测评是否匹配
	function riskJudgement(fid_khtzfl , param){
		if(fid_khtzfl == "0"){
			//适当性改造，判断风险等级是否匹配
			appropriateService.appropriateRiskInfo(param , function(data){
				if(data.error_no!="0")
				{
					layerUtils.iAlert(data.error_info);
					layerUtils.iLoading(false);
					return false;
				}
				var result = data.results;
				param["product_name"] = product_name;
				param["risk_level"] = risk_level;
				param["register_corp_code"] = ta_code;
				if(result[0].risk_code == "0"){
					//风险等级匹配
					param["page_name"]="mall/itemsFinanIn";
					appUtils.pageInit("mall/itemsFinanIn","appropriate/riskMakeSure", param);
				}else if(result[0].risk_code == "-1"){
					if( user_risk_level == "11"){
						var param2={
								"counTer":"您的风险测评等级过低，不能购买该产品！"
							};
						common.popupMethod(param2);
					}else{
						//风险等级不匹配
						param["page_name"]="mall/itemsFinanIn";
						appUtils.pageInit("mall/itemsFinanIn","appropriate/riskWarning", param);
					}
				}else if(result[0].risk_code == "-2"){
					common.iConfirm(result[0].risk_info, function(){
						 var back_param = appUtils.getPageParam();
						 back_param["prePageCode"] = pageCode;
						 back_param["url_flag"] = pageCode;
						 appUtils.pageInit("mall/itemsFinanIn","userCenter/riskResults" , back_param);
					} , function(){} , "重新测评", "知道了");
				}else{
					common.iConfirm(result[0].risk_info, function(){
						 var back_param = appUtils.getPageParam();
						 back_param["prePageCode"] = pageCode;
						 back_param["url_flag"] = pageCode;
						 appUtils.pageInit("mall/itemsFinanIn","userCenter/riskResults" , back_param);
					} , function(){} , "重新测评", "知道了");
				}
				
			});
		}else{
			appUtils.pageInit(pageCode,"mall/finanOrder/stickMoneyBuy", param);
//			if(risk_level!="5"){
//				appUtils.pageInit(pageCode,"mall/finanOrder/stickMoneyBuy", param);
//			}else{
//				//用户双录
//				service.checkUser(param,function(datas){
//					if(datas.results.length==0){
//						var param2={
//								"counTer":"您拟投资的产品风险与您的风险不匹配,请您联系营业部线下进行双录!"
//						};
//						common.popupMethod(param2);
//						return false;
//					}else{
//						if(datas.results[0].DUAL_STAT == "1"|| datas.results[0].DUAL_STAT == "2"){
//							appUtils.pageInit(pageCode,"mall/finanOrder/stickMoneyBuy", param);
//						}else{
//							var param2={
//									"counTer":"您拟投资的产品风险与您的风险不匹配,请您联系营业部线下进行双录!"
//							};
//							common.popupMethod(param2);
//							return false;
//						}
//					}
//					
//				});
//			}
		}	
	}
	
	/**
	   显示自动跳转倒计时
	**/
	function showTime(fid_khtzfl,param)
	{
		var showTips = function(){
		    if(i<10)
		    {
			     i++;
			     $(_pageId + "#dilog").show();     
			     checkRiskAss(fid_khtzfl,param);
			}
		    else
		    {
		    	 $(_pageId + "#dilog").hide(); 
				 window.clearInterval(timer);
				 layerUtils.iAlert("开通理财权限失败");
				 layerUtils.iLoading(false);
			 } 
		};
		timer = setInterval(showTips(), 1000);
	}
	
	
	function checkRiskAss(fid_khtzfl,param)
	{
		var reParam = {
				"user_id": appUtils.getSStorageInfo("user_id"),
	        	"khh": appUtils.getSStorageInfo("khh"),//客户号
	        	"tadm": ta_code,//机构代码
	        	"risk_level": user_risk_level//风险等级
			};
		var ctrlParam = {
				"isLastReq" : true,
				"isShowWait" :false
			};
		
		service.checkRiskAssessment(reParam,function(data){
			if(data.error_no != "0")
			{
				//layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			var results = data.results;
			var isKh = results[0].isKh;
			var isCp = results[0]. isCp;
			if(isKh == "0"&&isCp == "0"){
				$(_pageId + "#dilog").hide();
				window.clearInterval(timer);
				riskJudgement(fid_khtzfl,param);
			}
		},ctrlParam);
	}
	
	/**********************************适当性改造*******************************/
	
	//点击预约
	function bindYuyue(){
		appUtils.bindEvent($(_pageId+" #ljgm"),function(){
			appUtils.setSStorageInfo("product_number",product_id);
			appUtils.setSStorageInfo("page_address",pageCode);
			appUtils.setSStorageInfo("pageJump","mall/finanOrder/confirmOrder");
			var user_id = appUtils.getSStorageInfo("user_id");
			
			if(user_id==""||user_id==null){
				var pageParam = appUtils.getPageParam();
				//if(pageParam != undefined){
				var param="";
					if(product_type == "7"){
						 param = {
							"product_type":product_type,
							"product_id":product_id,
							"pageCode" : "mall/itemsFinanIn",
							"prePageCode" : prePageCode
						};
					}else{
						 param = {
							"product_id":product_id,
							"pageCode" : "mall/itemsFinanIn",
							"prePageCode" : prePageCode
						};
					}
				//}
				appUtils.pageInit("mall/itemsFinanIn","account/userLogin",param);
			}else{
				var loginType = appUtils.getSStorageInfo("loginType");
				if(loginType == "0"){
					var param = {
							"product_id":product_id,
							"product_type" : product_type,
							"pageCode" : "mall/itemsFinanIn",
							"prePageCode" : prePageCode
						};
						appUtils.pageInit("mall/itemsFinanIn","mall/finanOrder/confirmOrder",param);
					//common.queryMobilePhone(appUtils.getSStorageInfo("mobile_phone"),determineState);
				}else{
					var param = {
						"product_id":product_id,
						"product_type" : product_type,
						"pageCode" : "mall/itemsFinanIn",
						"prePageCode" : prePageCode
					};
					appUtils.pageInit("mall/itemsFinanIn","mall/finanOrder/confirmOrder",param);
				}
			}
		});
	}
	
	//判断用户状态
	function determineState(data){
		var results = data.results;
		var is_register = results[0].is_register;
		var is_client = results[0].is_client;
		var is_risk = results[0].is_risk;
		var is_pwd = results[0].is_pwd;
		var is_bank = results[0].is_bank;
		if(is_register&&is_register=="0"){
//			selfConfirmUtils("您还没有注册成功!","注册","逛逛商城",function(){
				appUtils.pageInit("mall/itemsFinanIn","register/register");
//			},function(){
//				appUtils.pageInit("mall/itemsFinanIn","mall/moneyShop");
//			});
//			$("#confirm_open").show();
		}else if(is_client=="0"||is_pwd=="0"||is_bank=="0"){
//			selfConfirmUtils("您还没有完善资料!","完善资料","逛逛商城",function(){
			var param={
					"pageCode":	pageCode,
					"product_type":product_type,
					"product_id":product_id
				};
				appUtils.pageInit("mall/itemsFinanIn","account/testAccount",param);
//			},function(){
//				appUtils.pageInit("mall/itemsFinanIn","mall/moneyShop");
//			});
//			$("#confirm_open").show();
		}else{
			var param = {
				"product_id":product_id,
				"product_type" : product_type,
				"pageCode" : "mall/itemsFinanIn",
				"prePageCode" : prePageCode
			};
			appUtils.pageInit("mall/itemsFinanIn","mall/finanOrder/stickMoneyBuy",param);
		}
	}
	
	function bindPageEvent(){
		//选中同意协议按钮
		appUtils.bindEvent($(_pageId+" #checkBox"),function(){
			var checked=$(_pageId+" #checkBox input").attr("checked");//获取是否选中
			if(checked=="checked"){
				$(_pageId+" #checkBox input").removeAttr("checked");
			}else{
				$(_pageId+" #checkBox input").attr("checked","checked");
			};
		});
		bindBuy();
		//返回
		appUtils.bindEvent($(_pageId+".icon_back"),function(){
			var param="";
			if(typeof(product_type)=="undefined"){
				 param = {
						"product_id":product_id,
						"product_type" : "5",
						"article_id" : article_id,
						"pageCode" : pageCode,
						"prePageCode" : prePageCode
				};
			}else{
				 param = {
						"product_id":product_id,
						"product_type" : product_type,
						"article_id" : article_id,
						"pageCode" : pageCode,
						"prePageCode" : prePageCode
				};
			}
			console.log(param);
			console.log(prePageCode);
			if(prePageCode=="mall/finanOrder/stickMoneyBuy"){
				appUtils.pageInit(pageCode, "mall/researchMoney",param);
			}else if(prePageCode!=""&&typeof(prePageCode)!="undefined"){
				appUtils.pageInit(pageCode, prePageCode,param);
			}else{
				appUtils.pageInit(pageCode, "account/index",param);
			}					
		});
		//刷新
		appUtils.bindEvent($(_pageId+" .mz-refresh"),function(){
			init();
		});
		 //首页
	    appUtils.bindEvent($(_pageId+" .nav-index"),function(){
	    	appUtils.pageInit("mall/itemsFinanIn","mall/moneyShop");
	    });
	    //转账
//	    appUtils.bindEvent($(_pageId+" .nav-tranf"),function(){
//	    	appUtils.pageInit("mall/itemsFinanIn","userCenter/turnMoney");
//	    });
	   //资产
		appUtils.bindEvent($(_pageId+" .footer-con ul li:eq(0) a"),function(){
			appUtils.pageInit("mall/itemsFinanIn","userCenter/index");
		});
		//更多图文详情
		appUtils.bindEvent($(_pageId+" #tuwenxq"),function(){
			var imginfo = $(this).attr("imginfo");
			var param = {
				"imginfo" : imginfo
			};
			appUtils.pageInit("mall/itemsFinanIn","account/graphicDetails",param);
		});
		//首页
		appUtils.bindEvent($(_pageId+" .footer-con ul li:eq(0) a"),function(){
			appUtils.pageInit("mall/itemsFinanIn","mall/moneyShop");
		});
		//资产
		appUtils.bindEvent($(_pageId+" .footer-con ul li:eq(1) a"),function(){
			appUtils.pageInit("mall/itemsFinanIn","userCenter/index");
		});
		//更多
		appUtils.bindEvent($(_pageId+" .footer-con ul li:eq(2) a"),function(){
			appUtils.pageInit("mall/itemsFinanIn","userCenter/wd");
		});
		//分享
		appUtils.bindEvent($(_pageId+" #share"),function(){
			var weChat = common.weChat();//判断是APP还是pc或浏览器
			if(weChat){//里面是原生调用的内容
				var link = global.shareLink;
	        	var param={
					moduleName: "mall", // String	目标模块名	N
					funcNo: "50230",
					shareTypeList: "22,23,24",
					title: shareTitle,
					link:  link+"/m/mall/#!/mall/itemsFinanIn.html?product_id="+ product_id +"&product_type="+product_type,
					content: "一切精彩尽在翼启航",
					imgUrl: "https://mall.avicsec.com/mobile/app/logo/icon.png"
				};
				external.callMessage(param);
			}
		});
		//点击收藏
		appUtils.bindEvent($(_pageId + " .product_Collection"), function() {
			productCollection();
		},"click");
	}
	function selfConfirmUtils(conMsg,yesBtn, noBtn,yesFunc, noFunc){
    	 yesBtn = yesBtn || '确认';
    	 noBtn = noBtn || '取消';
    	 $("#tips_info").html(conMsg);
    	 $("#self_yes").html(yesBtn);
    	 $("#self_no").html(noBtn);
    	 appUtils.bindEvent($("#self_yes"),function(){
    		 yesFunc();
    		 $("#confirm_open").hide();
    		 return false;
    	 });
    	  appUtils.bindEvent($("#self_no"),function(){
    		 noFunc();
    		 $("#confirm_open").hide();
    		 return false;
    	 });
     }
     /**
      * 自定义确认提示框
      * @param {Object} alertMsg 提示信息
      * @return {TypeName} 
      */
    function selfAlertLayer(alertMsg){
    	var layerStr = ' <div class="window_wrap"   id="layer_alert"> <div class="window"> <div class="text_p p20_28_12" id="alert_tips_info">';
            layerStr += alertMsg+ ' </div> <div class="btn_box"> <a href="javascript:void(0);" class="a3" id="alert_btn">确定</a> </div> </div> </div>';
    	$("body").append(layerStr);
          //$("#alert_tips_info").html("正在核对您的个人信息，核对后将会短信通知您！");
    	 //$("#layer_alert").show();
		 appUtils.bindEvent($("#alert_btn"),function(){
    		 $("#layer_alert").remove();
    		 return false;
    	 });
     }
	function destroy(){
		$(_pageId+" #ljgm").attr("style","background:#add8fa;border:1px solid #319ef2");
		$(_pageId+" #ljgm").hide(); // 隐藏立即购买按钮
		$(_pageId+" .produce-details-infor li:eq(7)").hide();
		$(_pageId+" .produce-details-infor li:eq(8)").hide();
		product_id = "";
		product_type="";
		product_name="";
		$(_pageId+" #zixun").hide();
		$(_pageId+" #finan").show();
		$(_pageId+" .produce-details dl dd h2").html("");
		$(_pageId+" .produce-details dl dd p").show();
		if(fee_way!=2){
		$(_pageId+" .produce-details ul li:eq(0) h3").html("体验天数");
		$(_pageId+" .produce-details ul li:eq(0) p").html(" 天");
		}
		$(_pageId+" .index-set-fenxiang").show();//是集团产品就隐藏
		
		i = 0;
		if(timer != null || timer != ""){
			clearInterval(timer);
			timer = "";
		}
		
	}
	
	var itemsFinanIn =
	{
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};

	module.exports = itemsFinanIn;
});