/**
 * 新理财首页
 */
define('mall/scripts/mall/moneyShop.js',function(require, exports, module) {
	var pageId = "#mall_moneyShop ";
	var	pageCode = "mall/moneyShop";
	var appUtils = require("appUtils");
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	var constants = require("constants");// 常量类
	var commonUtils = require("commonUtils");
	var common = require("common");
	var external = require("external");
	var curPageNo = ""; // 当前页序号
	var VIscroll = require("mall/scripts/plugins/iscroll/vIscroll.js"); // 自定义滑动组件
    var vIscroll = {"scroll" : null, "_init" : false};
	// 下标0的元素表示头部滑动，1、2、3分别表示推荐理财、推荐基金和推荐资讯
	var customHIscroll = [ {
		"scroll" : null,
		"_init" : false
	}, {
		"scroll" : null,
		"_init" : false
	}, {
		"scroll" : null,
		"_init" : false
	} ];
	var HIscroll = require("hIscroll");
	var picLoadTimer = null;
	// 初始化
	function init() {
		/*********标题传给中焯头部+隐藏头部***********/
		//注意pageId和icon_back
		common.initTitle(pageId);
		// 通知
		external.callMessage({"funcNo": "50100","moduleName":"open"});
		/*********标题传给中焯头部+隐藏头部***********/
		
		/*********新增中焯登录***********/
		var login = appUtils.getSStorageInfo("_isLoginIn");
        if(login=="true"){
        	initPage();
        }
        else{
            var mobilecode = appUtils.getPageParam("mobilecode");
            var user_token = appUtils.getPageParam("user_token");
            if(typeof(user_token)== "undefined" || user_token == null || user_token == ""){
        		initPage();
        	}
        	else{
        		common.SSO_login(mobilecode,user_token,initPage);
        	}
        }
        /*********新增中焯登录***********/
        // 初始化内容
	}
	
	function initPage(){
		pageScrollInit();//上下滑动组件
		var firstInstall=appUtils.getSStorageInfo("firstInstallShop",true);
		if(firstInstall!="1"){  
			appUtils.setSStorageInfo("firstInstallShop","1",true);
			getImg();//广告
			//查询理财首页的安心投（固收理财）   
			moneyLcPage();
			//查询随心投产品（以前的翼钱罐）
			findAvicBao();
			//查询中航基金产品
			findZhFund();
			//查询侄胜投产品
			findOtcFund();
			//查询资讯首页的资讯产品
			moneyZxPage();
			//查询IM未读消息
			common.queryImMessageNum(pageId);
		}
	};
	
	/**
	 * 上下滑动刷新事件
	 */
	function pageScrollInit(){
		var visibleHeight = $(window).height() - $(pageId + " .header").height() - $(pageId + " .footer_inner").height();
		if(!vIscroll._init) {
			$(pageId + "#slide_wrapper").attr("style", "");
			var config = {
				"isPagingType": false,
				"visibleHeight": visibleHeight, //这个是中间数据的高度
				"container": $(pageId + "#slide_container"),
				"wrapper": $(pageId + "#slide_wrapper"),
				"downHandle": function() {
					// 当前第几页设置为1
					getImg();//广告
					//查询理财首页的安心投（固收理财）   华金
					moneyLcPage();
					//查询随心投产品（以前的翼钱罐）
					findAvicBao();
					//查询中航基金产品
					findZhFund();
					//查询侄胜投产品
					findOtcFund();
					//查询资讯首页的资讯产品
					moneyZxPage();
					//查询IM未读消息
					common.queryImMessageNum(pageId);
					setTimeout(function () {
						vIscroll.scroll.refresh(false,visibleHeight);
					}, 200);
				},
				"upHandle": function() {
					vIscroll.scroll.refresh(false,visibleHeight);
					return false;
				},
				"wrapperObj": null
			};
			vIscroll.scroll = new VIscroll(config); //初始化
			vIscroll._init = true;
		}else{
			setTimeout(function () {
				vIscroll.scroll.refresh(false,visibleHeight);
			}, 200);
		}
		$(pageId + "#slide_container .visc_pullUp_new").hide();
	};
	//获取图片
	function getImg(){
		var param = {
			"group_id" : "2"
		};
		service.getAdv(param,function(data){
			if(data.error_no != "0"){
				common.imsg(data.error_info);
				return false;
			}else{
				var results = data.results;
				var imgStr = "";
				var navstr = "";
				for(var i = 0;i < results.length;i++){
					var picture = results[i].picture;
					var xqUrl = results[i].url;
					var state=results[i].state;
					imgStr += '<div class="bot_banner"><img src="'+ URL + picture +'" state="'+state+'" url="'+xqUrl+'" alt="" title="" style="height:130px"></div>';
					if(i == 0){
						navstr += '<em class="active"></em>';
					}else{
						navstr += '<em></em>';
					}
				}
				$(pageId+" #scroller").html(imgStr);
				$(pageId+" #nav").html(navstr);
				appUtils.bindEvent($(pageId+"  .bot_banner img"),function(){
					var xurl  = $(this).attr("url");
					var state= $(this).attr("state");
					if(state=="1"){
						if(xurl!=null&&xurl!="") {
							var arr = xurl.split("?");
							var product_url = arr[0];
							var paramArr = arr[1].split("&");
							var paramArr1 = paramArr[0].split("=");
							var paramArr2 = paramArr[1].split("=");
							var a=paramArr1[0];
							var b=paramArr2[0];
							var param = {};
							param[a] = paramArr1[1];
							param[b] = paramArr2[1];
							if(!(param[a] && a == "product_id")){
								 param["pageCode"] = pageCode;
								 appUtils.pageInit(pageCode,product_url,param);
							}else{
								 param["pageCode"] = product_url;
								 param["url"] = "mall/moneyShop";
								 param["mall_phone_login"] = "1";
								 common.productJumpmethod(param);
							}
						}
					}
				},"click");
				initAdScroller();
				$(pageId+" #scroller").css("height","50%");
				$(pageId+" #scroller .bot_banner").css("height","50%");
			}
		},{"isLastReq":false});
	}
	/**
	 * 查询理财首页的理财产品（2条数据）
	 */
	function moneyLcPage() {
		var param = {
			"product_shelf" : constants.product_shelf.SHELF_ON,
			"page" : curPageNo,
			"numPerPage" : "1",
			"recommend_type" : "",
			"fina_belongs" : "5",
			"is_hot_sale" : "1",
			"istj" : "1",
			"userid" : appUtils.getSStorageInfo("user_id")
		};
		service.findFinan(param,function(data) {
			var error_no = data.error_no;
			var error_info = data.error_info;
			if (error_no == 0) {
				var FinancialProductEnum = data.results[0].data;
				$(pageId + " #lc_shop").html("");//清空
				var lcstr="";
				if(FinancialProductEnum.length!="0"){
					 lcstr+="<div class='tab_two_box'><span class='a1'>安心投</span><p>固定收益，低风险理财</p></div>";
				}
				for ( var i = 0; i < FinancialProductEnum.length; i++) {
					var product_id = FinancialProductEnum[i].product_id;//产品id
					var product_name = FinancialProductEnum[i].product_name;//产品名称
					//var product_code =FinancialProductEnum[i].product_code;//产品编号
					var product_status = FinancialProductEnum[i].product_status;//购买的状态
					var incomeunit = "--";
					if(FinancialProductEnum[i].incomeunit!=""&&FinancialProductEnum[i].incomeunit!="0.0"){
						incomeunit = (parseFloat(FinancialProductEnum[i].incomeunit) * 100).toFixed(2);//产品收益率
					}
					var investment_horizon = FinancialProductEnum[i].investment_horizon;//天数
					var per_buy_limit = FinancialProductEnum[i].per_buy_limit;//最低认购
					//var ed=FinancialProductEnum[i].ed;//剩余额度
					var tag=FinancialProductEnum[i].tag;//标签
					var risk_level=FinancialProductEnum[i].risk_level;//风险等级
					var edperCent=(parseFloat(FinancialProductEnum[i].edperCent)*100).toFixed(2);//剩余额度百分比
					var share_bq="";//标签
					if(tag!=""){
						var share = tag.split(",");//切割标签配置
						for(var j = 0;j<share.length;j++){
							
							share_bq+="<i class='lab'>"+share[j]+"</i>";
						}
					}else{
						share_bq="";
					}
					if(product_status=="0"){//预约购买
						lcstr+="<div class='pro_new_box yqg_box'  product_id="+product_id+" product_type='5'><ul class='a1'><li><div class='shop_status a1'><p>距认购仅</p><p>剩"+FinancialProductEnum[i].disdays+"天</p></div>" +
						"<h3 class='tit'>"+product_name+"</h3><div class='pub_title'><div class='persen'>" +
						"<em class='pens'>"+incomeunit+"<span>%</span></em><p class='a1'>年化收益</p></div><div class='pub_title_box pl20'>" +
						"<p class='a2'><span>"+investment_horizon+"天</span>锁定期</p><p class='a3'><span>"+per_buy_limit+"元</span>起购</p></div></div>" +
						"<div class='bot clearfix'>"+share_bq+"</div></li></ul></div>";
					}else if(product_status=="1"){//可以购买
						lcstr+="<div class='pro_new_box yqg_box' product_id="+product_id+" product_type='5'><ul class='a1'><li><i class='hot'></i>" +
						"<h3 class='tit'>"+product_name+"</h3><div class='pub_title'><div class='persen'>" +
						"<em class='pens'>"+incomeunit+"<span>%</span></em><p class='a1'>年化收益</p></div><div class='pub_title_box pl20'>" +
						"<p class='a2'><span>"+investment_horizon+"天</span>锁定期</p><p class='a3'><span>"+per_buy_limit+"元</span>起购</p></div></div>" +
						"<div class='bot clearfix'>"+share_bq+"<span class='bs' style='padding-left: 0.05rem;width: 1.2rem;'>已募集<b>"+edperCent+"</b>%</span></div></li></ul></div>";
					}else if(product_status=="9"){//即将发售
						lcstr+="<div class='pro_new_box yqg_box' product_id="+product_id+" product_type='5'><ul class='a1'><li><div class='shop_status a1'><p>距认购仅</p><p>剩"+FinancialProductEnum[i].disdays+"天</p></div>" +
						"<h3 class='tit'>"+product_name+"</h3><div class='pub_title'><div class='persen'>" +
						"<em class='pens'>"+incomeunit+"<span>%</span></em><p class='a1'>年化收益</p></div><div class='pub_title_box pl20'>" +
						"<p class='a2'><span>"+investment_horizon+"天</span>锁定期</p><p class='a3'><span>"+per_buy_limit+"元</span>起购</p></div></div>" +
						"<div class='bot clearfix'>"+share_bq+"</div></li></ul></div>";
					}else {//已经卖完
						lcstr+="<div class='pro_new_box' class='yqg_hotbox' product_id="+product_id+" product_type='5'><ul class='a1'><li><div class='shop_status a2'><p>已售馨</p></div>"+
						"<h3 class='tit'>"+product_name+"</h3><div class='pub_title'><div class='persen'>" +
						"<em class='pens'>"+incomeunit+"<span>%</span></em><p class='a1'>年化收益</p></div><div class='pub_title_box pl20'>" +
						"<p class='a2'><span>"+investment_horizon+"天</span>锁定期</p><p class='a3'><span>"+per_buy_limit+"元</span>起购</p></div></div>" +
						"<div class='bot clearfix'>"+share_bq+"</div></li></ul></div>";
					}
				};
				lcstr+="</div>";
				$(pageId + " #lc_shop").append(lcstr);
				//点击进入理财列表按钮
				appUtils.bindEvent($(pageId+"  #lc_lbiao"),function(){
					var param={
						"product_type":"5",
						"pageCode" : "mall/otcFundlist"
					};
					appUtils.pageInit(pageCode,"mall/otcFundlist",param);
				},"click");
				//点击产品进入详情
				appUtils.bindEvent($(pageId+"  .yqg_box"),function(){
					var param = {
						"product_id" :  $(this).attr("product_id"),
						"product_type" : $(this).attr("product_type"),
						"url":"mall/moneyShop",
						"pageCode" : "mall/stickMoneyIn",
						"mall_phone_login" : "1"
					};
					common.productJumpmethod(param);
				},"click");
			} else {
				common.imsg(error_info);
			}
		},{"isLastReq":false});
	}
	//查询随心投日日盈产品
	function findAvicBao(){
		service.findAvicBao({},function(resultVo) {
			var dataList = resultVo.results;
			$(pageId + " #avic_sy").html("");
			if(dataList!=""&&dataList.length>0){
//				var product_income= dataList[0].product_income;//今年以来收益率
				var three_rose= dataList[0].three_rose;//七日年华收益率
				var product_name =  dataList[0].product_name;//产品名称
				var product_description = dataList[0].product_description;//一段简介
				var product_marking = dataList[0].product_marking ;//便签
				var a=product_description.split(" ");
				var description1=a[0]+a[1];//简介
				var share_bq="";//标签
				if(product_marking!=""){
					var share = product_marking.split(",");//切割标签配置
					for(var j = 0;j<share.length;j++){
						share_bq+="<i class='lab'>"+share[j]+"</i>";
					}
				}else{
					share_bq="";
				}
				var avicstr="<ul class='a1'><li><i class='hot'></i><h3 class='tit'>"+product_name+"</h3>"+
				"<div class='pub_title'><div class='persen'><em class='pens' class='avic_cyl'>"+(parseFloat(three_rose)*100).toFixed(2)+"<span>%</span></em>" +
				"<p class='a1'>七日年化收益率</p></div><div class='pub_title_box pl20'>" +
				"<p class='a2'><span>"+description1+"</span></p><p class='a3'><span>"+a[2]+"</span></p>" +
				"</div></div><div class='bot clearfix'>"+share_bq+"</div></li></ul>";
				$(pageId + " #avic_sy").html(avicstr);
			}
			//翼钱罐
			appUtils.bindEvent($(pageId+" #avic_sy"),function(){
				var param={
						"pageCode":"avicBao/avicHomePage",
						"curPage":1,
						"url" : "mall/moneyShop",
						"mall_phone_login" : "1"
					};
				common.productJumpmethod(param);
			},"click");
		},{"isLastReq":false});
	}
	/**
	 * 查询中航基金产品
	 */
	function findZhFund(){
		var param={
				"page":"1",
				"numPerPage":"100",
				"product_shelf":"1",
				"fina_belongs":"9",
				"istj":"1",
				"fina_type":"72"
			};
			service.findZhFundtj(param,function(data){
				var error_no = data.error_no;
				var error_info = data.error_info;
				if(error_no == 0){
					var zhresults = data.results;
					$(pageId + " #zhfund").html("");
					for(var i = 0;i<zhresults.length;i++){
						var product_id=zhresults[i].product_id;//产品id
						var product_type= zhresults[i].fina_belongs;//产品大类
						var product_name=zhresults[i].product_name;//名字
						//var product_description=otcresults[i].product_description;//产品简介
						var product_marking=zhresults[i].product_marking;//标签
						var per_buy_limit=zhresults[i].per_buy_limit;//起头金额
						var incomeunit=zhresults[i].incomeunit;//收益率
						var product_status = zhresults[i].product_status;//购买的状态
						var disdays=zhresults[i].disdays;//还剩多少天
						var last_date=zhresults[i].last_date;//节奏日期
						var one_rose=zhresults[i].one_rose;//预期产品出售日
						var three_rose=zhresults[i].three_rose;//三个月涨幅
						var risk_level_type=zhresults[i].risk_level_type;//收益率说明语句
						var product_income=zhresults[i].product_income;
						var product_yq="";
						var share_bq="";//标签
						if(product_marking!=""){
							var share = product_marking.split(",");//切割标签配置
							for(var j = 0;j<share.length;j++){
								share_bq+="<i class='lab'>"+share[j]+"</i>";
							}
						}else{
							share_bq="";
						}
						//七日年华收益率
						if(three_rose==null||three_rose==""){
							three_rose="0";
						}
						product_income = (parseFloat(product_income)*100).toFixed(2);
						
						var zhstr="<ul class='a1 zhfundDels' product_id="+product_id+" product_type="+product_type+"><li><i class='hot'></i><h3 class='tit'>"+product_name+"</h3>" +
								"<div class='pub_title'><div class='persen'><em class='pens'>"+(parseFloat(three_rose)*100).toFixed(2)+"<span>%</span></em>" +
								"<p class='a1'>"+risk_level_type+"</p></div><div class='persen border-left'>" +
								"<p class='a3'><span>申购赎回零费用</span></p><p class='a2'><span>"+per_buy_limit+"元起购</span></p>" +
								"</div></div><div class='bot clearfix'>" +share_bq+
							    "</div></li></ul>";
						$(pageId + " #zhfund").append(zhstr);
					}
					//跳转到详情
					appUtils.bindEvent($(pageId+"  .zhfundDels"),function(){
						var param = {
								"product_id" :  $(this).attr("product_id"),
								"product_type" : $(this).attr("product_type"),
								"url":"mall/moneyShop",
								"pageCode" : "mall/zhFundDetails"
							};
							common.productJumpmethod(param);
					},"click");
				}
				
			},{"isLastReq":false});
	}
	/**
	 * 查询至胜投产品
	 */
	function findOtcFund(){
		var param={
			"page":"1",
			"numPerPage":"100",
			"product_shelf":"1",
			"fina_belongs":"9",
			"istj":"1",
			"fina_type":"72"
		};
		service.findOtcFund(param,function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			if(error_no == 0){
				var otcresults = data.results;
				$(pageId + " #otcfund_zst").html("");
				var otcstr="";
				if(otcresults.length!="0"){
					$(pageId + " #otcfund_top").show();
					otcstr+="<ul class='a1'>";
				}else{
					$(pageId + " #otcfund_top").hide();
				}
				
				for(var i = 0;i<otcresults.length;i++){
					var product_id=otcresults[i].product_id;//产品id
					var product_type= otcresults[i].fina_belongs;//产品大类
					//var fina_type=otcresults[i].fina_type;//产品小类
					var product_name=otcresults[i].product_name;//名字
					//var product_description=otcresults[i].product_description;//产品简介
					var product_marking=otcresults[i].product_marking;//标签
					var per_buy_limit=otcresults[i].per_buy_limit;//起头金额
					var investment_horizon=otcresults[i].investment_horizon;//期限findProfit
					var incomeunit=otcresults[i].incomeunit;//收益率
					var product_status = otcresults[i].product_status;//购买的状态
					var disdays=otcresults[i].disdays;//还剩多少天
					var last_date=otcresults[i].last_date;//节奏日期
					//var yesterday_rose=otcresults[i].yesterday_rose;//昨天涨幅
					var one_rose=otcresults[i].one_rose;//预期产品出售日
					var risk_level_type=otcresults[i].risk_level_type;//收益率说明语句
					var product_income=otcresults[i].product_income;
					var product_yq="";
					var product_yqy="";
					var product_yqr="";
					if(one_rose!=""){
						product_yq=one_rose.split("-");
						product_yqy=product_yq[1];
						product_yqr=product_yq[2];
					}else{
						product_yqy=1;
						product_yqr=1;
					}
					
					var share_bq="";//标签
					if(product_marking!=""){
						var share = product_marking.split(",");//切割标签配置
						for(var j = 0;j<share.length;j++){
							
							share_bq+="<i class='lab'>"+share[j]+"</i>";
						}
					}else{
						share_bq="";
					}
					//计算余额天数
					if(disdays=="0"){
						
						 disdays="--";
					}
					var lastdate="";//最后的节制日期
					var jzdate="";//最后几天
					if(last_date==""){
						lastdate="";
						jzdate="<span class='bs'><small></small>抢购中...</span>";
					}else{
						lastdate="<span>截止:"+last_date+"</span>";
						jzdate="<span class='bs'><small></small>最后<b>"+disdays+"</b>天</span>";
					}
					if(investment_horizon==""){
						investment_horizon="--";
					}
					if(incomeunit==null||incomeunit==""||incomeunit=="0.0"){
						incomeunit="--";
					}else {
						incomeunit = (parseFloat(incomeunit)*100 ).toFixed(2)+"<span>%</span>";
					}
					if(product_income!=""&&product_income!="0.0") {
						product_income = (parseFloat(product_income)*100).toFixed(2)+"<span>%</span>";
					}else {
						product_income="--";
					}
					
					// 
					if(product_status=="1"){//预约购买
						otcstr+="<li class='otcfundbuy' product_id="+product_id+" product_type="+product_type+"><div class='shop_status a1'><p>"+product_yqy+"月"+product_yqr+"日</p><p>即将开售</p></div>" +
								"<h3 class='tit'>"+product_name+"</h3><div class='pub_title'><div class='pub_title_box '>" +
								"<em class='pens'>"+incomeunit+"</em><p class='a1'>"+risk_level_type+"</p></div><div class='pub_title_box '>" +
								"<em class='pens f16'>"+product_income+"</em><p class='a1 pl5'>今年以来年化</p></div>" +
								"<div class='persen border-left'><p class='a3'><span>"+per_buy_limit+"元起购</span></p><p class='a2'>"+lastdate+"</p>" +
								"</div></div><div class='bot clearfix'>"+share_bq+"</div></li>";
					}else if(product_status=="2"){//可以购买
						otcstr+="<li class='otcfundbuy' product_id="+product_id+" product_type="+product_type+"><i class='hot'></i><h3 class='tit'>"+product_name+"</h3><div class='pub_title'>" +
								"<div class='pub_title_box '><em class='pens'>"+incomeunit+"</em><p class='a1'>"+risk_level_type+"</p>" +
								"</div><div class='pub_title_box '><em class='pens f16'>"+product_income+"</em><p class='a1 pl5'>今年以来年化</p>" +
								"</div><div class='persen border-left'><p class='a3'><span>"+per_buy_limit+"元起购</span></p><p class='a2'>"+lastdate+"</p>" +
								"</div></div><div class='bot clearfix'>" +share_bq+jzdate+
								"</div></li>";
					}else if(product_status=="4"){//已经买完
						otcstr+="<li class='end' class='otcfundbuy' product_id="+product_id+" product_type="+product_type+"><div class='shop_status a2'><p>已售馨</p></div>" +
								"<h3 class='tit'>"+product_name+"</h3><div class='pub_title'><div class='pub_title_box '>" +
								"<em class='pens'>"+incomeunit+"</em><p class='a1'>"+risk_level_type+"</p></div>" +
								"<div class='pub_title_box '><em class='pens f16'>"+product_income+"</em><p class='a1 pl5'>今年以来年化</p>" +
								"</div><div class='persen border-left'><p class='a3'><span>"+per_buy_limit+"元起购</span></p>" +
								"<p class='a2'>"+lastdate+"</p></div></div><div class='bot clearfix'>" +share_bq+jzdate+
								"</div></li>";
					}else if(product_status=="3") {//服务期
						otcstr+="<li class='end' class='otcfundbuy' product_id="+product_id+" product_type="+product_type+"><div class='shop_status a2'><p>服务期</p></div>" +
								"<h3 class='tit'>"+product_name+"</h3><div class='pub_title'><div class='pub_title_box '>" +
								"<em class='pens'>"+incomeunit+"</em><p class='a1'>"+risk_level_type+"</p></div>" +
								"<div class='pub_title_box '><em class='pens f16'>"+product_income+"</em><p class='a1 pl5'>今年以来年化</p>" +
								"</div><div class='persen border-left'><p class='a3'><span>"+per_buy_limit+"元起购</span></p>" +
								"<p class='a2'>"+lastdate+"</p></div></div><div class='bot clearfix'>" +share_bq+jzdate+
								"</div></li>";
					}
				}
				otcstr+="</ul>";
				$(pageId + " #otcfund_zst").html(otcstr);
				//跳转到详情
				appUtils.bindEvent($(pageId+"  .otcfundbuy"),function(){
					var param = {
							"product_id" :  $(this).attr("product_id"),
							"product_type" : $(this).attr("product_type"),
							"url":"mall/moneyShop",
							"pageCode" : "mall/otcFundDetails",
							"mall_phone_login" : "1"
						};
						common.productJumpmethod(param);
				},"click");
			}
			
		},{"isLastReq":false});
	}
	/**
	 * 查询资管产品
	 */
	function moneyZgPage(){
		var param={
				"page":"1",
				"numPerPage":"100",
				"product_shelf":"1",
				"fina_belongs":"10",
				"istj":"1",
				"fina_type":"62"
			};
			service.findOtcFund(param,function(data){
				var error_no = data.error_no;
				var error_info = data.error_info;
				if(error_no == 0){
					var otcresults = data.results;
					$(pageId + " #zg_product").html("");
					var otcstr="";
					if(otcresults.length!="0"){
						$(pageId + " .zg_producttop").show();
						otcstr+="<ul class='a1'>";
					}else{
						$(pageId + " .zg_producttop").hide();
					}
					for(var i = 0;i<otcresults.length;i++){
						var product_id=otcresults[i].product_id;//产品id
						var product_type= otcresults[i].fina_belongs;//产品大类
						//var fina_type=otcresults[i].fina_type;//产品小类
						var product_name=otcresults[i].product_name;//名字
						//var product_description=otcresults[i].product_description;//产品简介
						var product_marking=otcresults[i].product_marking;//标签
						var per_buy_limit=otcresults[i].per_buy_limit;//起头金额
						var investment_horizon=otcresults[i].investment_horizon;//期限findProfit
						var incomeunit=otcresults[i].incomeunit;//收益率
						var product_status = otcresults[i].product_status;//购买的状态
						var disdays=otcresults[i].disdays;//还剩多少天
						var last_date=otcresults[i].last_date;//节奏日期
						//var yesterday_rose=otcresults[i].yesterday_rose;//昨天涨幅
						var one_rose=otcresults[i].one_rose;//预期产品出售日
						//var three_rose=otcresults[i].three_rose;//三个月涨幅
						//var hsnyear_rose=otcresults[i].hsnyear_rose;//半年涨幅
						//var oneyear_rose=otcresults[i].oneyear_rose;//一年涨幅
						var risk_level_type=otcresults[i].risk_level_type;//收益率说明语句
						var product_income=otcresults[i].product_income;
						var product_yq="";
						var product_yqy="";
						var product_yqr="";
						if(one_rose!=""){
							product_yq=one_rose.split("-");
							product_yqy=product_yq[1];
							product_yqr=product_yq[2];
						}else{
							product_yqy=1;
							product_yqr=1;
						}
						//var ed=otcresults[i].ed;//余额
						
						var share_bq="";//标签
						if(product_marking!=""){
							var share = product_marking.split(",");//切割标签配置
							for(var j = 0;j<share.length;j++){
								
								share_bq+="<i class='lab'>"+share[j]+"</i>";
							}
						}else{
							share_bq="";
						}
						//计算余额天数
						if(disdays=="0"){
							
							 disdays="--";
						}
						var lastdate="";
						if(last_date==""){
							lastdate="";
						}else{
							lastdate="<span>截止:"+last_date+"</span>";
						}
						if(investment_horizon==""){
							investment_horizon="--";
						}
						if(incomeunit==null||incomeunit==""){
							incomeunit="0";
						}
						product_income = (parseFloat(product_income)*100).toFixed(2);
						if(product_status=="0"){//预约购买
							otcstr+="<li class='zg_productbuy' product_id="+product_id+" product_type="+product_type+"><div class='shop_status a1'><p>"+product_yqy+"月"+product_yqr+"日</p><p>即将开售</p></div>" +
									"<h3 class='tit'>"+product_name+"</h3><div class='pub_title'><div class='pub_title_box '>" +
									"<em class='pens'>"+(parseFloat(incomeunit)*100 ).toFixed(2)+"<span>%</span></em><p class='a1'>"+risk_level_type+"</p></div><div class='pub_title_box '>" +
									"<em class='pens f16'>"+product_income+"<span>%</span></em><p class='a1 pl5'>今年以来年化</p></div>" +
									"<div class='persen border-left'><p class='a3'><span>"+per_buy_limit+"元起购</span></p><p class='a2'>"+lastdate+"</p>" +
									"</div></div><div class='bot clearfix'>"+share_bq+"</div></li>";
						}else if(product_status=="1"){//可以购买
							otcstr+="<li class='zg_productbuy' product_id="+product_id+" product_type="+product_type+"><i class='hot'></i><h3 class='tit'>"+product_name+"</h3><div class='pub_title'>" +
									"<div class='pub_title_box '><em class='pens'>"+(parseFloat(incomeunit)*100 ).toFixed(2)+"<span>%</span></em><p class='a1'>"+risk_level_type+"</p>" +
									"</div><div class='pub_title_box '><em class='pens f16'>"+product_income+"<span>%</span></em><p class='a1 pl5'>今年以来年化</p>" +
									"</div><div class='persen border-left'><p class='a3'><span>"+per_buy_limit+"元起购</span></p><p class='a2'>"+lastdate+"</p>" +
									"</div></div><div class='bot clearfix'>" +share_bq+
									"</div></li>";
						}else if(product_status=="2"){//已经买完
							otcstr+="<li class='zg_productbuy' product_id="+product_id+" product_type="+product_type+"><i class='hot'></i><h3 class='tit'>"+product_name+"</h3><div class='pub_title'>" +
									"<div class='pub_title_box '><em class='pens'>"+(parseFloat(incomeunit)*100 ).toFixed(2)+"<span>%</span></em><p class='a1'>"+risk_level_type+"</p>" +
									"</div><div class='pub_title_box '><em class='pens f16'>"+product_income+"<span>%</span></em><p class='a1 pl5'>今年以来年化</p>" +
									"</div><div class='persen border-left'><p class='a3'><span>"+per_buy_limit+"元起购</span></p><p class='a2'>"+lastdate+"</p>" +
									"</div></div><div class='bot clearfix'>" +share_bq+
									"</div></li>";
						}else {//服务期
							otcstr+="<li class='end' class='zg_productbuy' product_id="+product_id+" product_type="+product_type+"><div class='shop_status a2'><p>服务期</p></div>" +
									"<h3 class='tit'>"+product_name+"</h3><div class='pub_title'><div class='pub_title_box '>" +
									"<em class='pens'>"+(parseFloat(incomeunit)*100 ).toFixed(2)+"<span>%</span></em><p class='a1'>"+risk_level_type+"</p></div>" +
									"<div class='pub_title_box '><em class='pens f16'>"+product_income+"<span>%</span></em><p class='a1 pl5'>今年以来年化</p>" +
									"</div><div class='persen border-left'><p class='a3'><span>"+per_buy_limit+"元起购</span></p>" +
									"<p class='a2'>"+lastdate+"</p></div></div><div class='bot clearfix'>" +share_bq+
									"</div></li>";
						}
					}
					otcstr+="</ul>";
					$(pageId + " #zg_product").html(otcstr);
					//跳转到详情
					appUtils.bindEvent($(pageId+"  .zg_productbuy"),function(){
						var param = {
							"product_id" :  $(this).attr("product_id"),
							"product_type" : $(this).attr("product_type"),
							"pageCode" : "mall/moneyShop"
						};
						appUtils.setSStorageInfo("_tzPageCode","account/index");
						appUtils.pageInit("mall/moneyShop","mall/InformationDetails",param);
					},"click");
				}
				
			},{"isLastReq":false});
	}
	/**
	 * 查询资讯首页的资讯产品
	 */
	function moneyZxPage(){
		var param = {
			"product_shelf" : constants.product_shelf.SHELF_ON,
			"page" : "1",
			"numPerPage" : "100",
			"recommend_type" : "",
			"fina_belongs" : "7",
			"productType" : "7",
			"is_hot_sale" : "1",
			"istj":"1",
			"userid" : appUtils.getSStorageInfo("user_id")
		};
			service.findFinan(param, function(data) {
				var error_no = data.error_no;
				var error_info = data.error_info;
				if(error_no == 0)
				{
					var zxresults = data.results[0].data;
					$(pageId + " #zx_lbiao").html("");
					for(var i = 0;i<zxresults.length;i++)
					{
						var inst_sname = zxresults[i].inst_sname;//产品名字
						var inst_code = zxresults[i].inst_code;//产品编码
						var inst_id = zxresults[i].inst_id;//产品id
						var can_expe_days = zxresults[i].can_expe_days;
						var sub_price = zxresults[i].sub_price;//优惠价
						var product_desc = zxresults[i].product_desc;//一段简介
						var isyh = zxresults[i].isyh;//是否优惠
						var original_price = zxresults[i].original_price;  //原价
						var img = zxresults[i].img;//产品图片
						var zbrymc = zxresults[i].zbrymc;//联系人
						var total = zxresults[i].total;//订阅数量
						var level = zxresults[i].level;//
						var levelName = zxresults[i].levelName;//
						var star = zxresults[i].star;//
						var cpgs = zxresults[i].cpgs;//产品归属
						var imgstar=commonUtils.levelImg(zxresults[i].star);
						var real_name = zxresults[i].real_name;//投顾姓名
						var fee_way=zxresults[i].fee_way;  //收费方式
						var fee_way_type=zxresults[i].fee_way_type;  //收费类型
						var fee_way_percent=zxresults[i].fee_way_percent; //提佣百分比
						var fee_way_limit=zxresults[i].fee_way_limit; //提佣资产要求
						var description=zxresults[i].description; //描述
						var money_type=zxresults[i].money_type; //资金要求
						var product_seq=zxresults[i].product_seq; //产品序列
						if(real_name==""){
							real_name=zbrymc;
						}
						var hotVa="";
						var cpgsVa="";
						hotVa="<p class='moeny'><span class='a1'><b>￥</b>"+sub_price+"<b class='f12'></b></span>";
    					if(fee_way_type!=""){
    						if(product_seq=="1"){
    							sub_price="免费签约";
    						}else{
    							if(fee_way_type=="1"){
        							sub_price="固定费率：服务期场内A股基金交易佣金为"+fee_way_percent+"‰";
        						}else{
        							sub_price="固定提升费率：服务期场内A股基金交易佣金在原基础上提升"+fee_way_percent+"‰";
        						}
    						}
    						hotVa="<p class='moeny'><span class='a1'><b></b>"+sub_price+"<b class='f12'></b></span>"
    					}
						if(cpgs!=""){
							cpgsVa="<p class='xq'><span class='name'>主办  "+real_name+"</span><span class='lv'><b>"+levelName+"&nbsp;&nbsp;"+level+"级</b></span></p>";
						}else{
							cpgsVa="";
						}
						if(total==""){
							total="0";
						}
						var zxstr="";
						if(fee_way_type!=""){
							zxstr="<div class='product_info_box zx_xq'  product_id="+inst_id+" product_type='7' fee_way='"+fee_way+"' fee_way_type='"+fee_way_type+"' fee_way_percent='"+fee_way_percent+"' fee_way_limit='"+fee_way_limit+"' description='"+description+"' money_type='"+money_type+"' ><div class='top clearfix'><span class='tit'>"+inst_sname+" </span>" +
							"<em class='a1'>"+total+"人签约</em></div>" + cpgsVa + hotVa +
							"</p><p class='js'><span>"+product_desc+"</span>" +
							"</p></div>";
    					}else{
    						zxstr="<div class='product_info_box zx_xq'  product_id="+inst_id+" product_type='7' fee_way='"+fee_way+"' fee_way_type='"+fee_way_type+"' fee_way_percent='"+fee_way_percent+"' fee_way_limit='"+fee_way_limit+"' description='"+description+"' money_type='"+money_type+"' ><div class='top clearfix'><span class='tit'>"+inst_sname+" </span>" +
							"<em class='a1'>"+total+"人订阅</em></div>" + cpgsVa + hotVa +
							"</p><p class='js'><span>"+product_desc+"</span>" +
							"</p></div>";
    					}
						$(pageId + " #zx_lbiao").append(zxstr);
					}
					//点击產品进入详情
					appUtils.bindEvent($(pageId+"  .zx_xq"),function(e){
						var param = {
								"product_id" :  $(this).attr("product_id"),
								"product_type" : $(this).attr("product_type"),
								"url":"mall/moneyShop",
								"pageCode" : "mall/itemsFinanIn",
								"mall_phone_login" : "1",
								"fee_way":$(this).attr("fee_way"),
        						"fee_way_type":$(this).attr("fee_way_type"),
        						"fee_way_percent":$(this).attr("fee_way_percent"),
        						"fee_way_limit":$(this).attr("fee_way_limit"),
        						"description":$(this).attr("description"),
        						"money_type":$(this).attr("money_type")
							};
							common.productJumpmethod(param);
					},"click");	
				} else {
					common.imsg(error_info);
				}
			});
	}
	/**
	 * 查询理财首页的基金产品
	 */
	function moneyJjPage(){
		var	param  = {
			"page":"1",
			"pageSize":"10",
			"type":"2",
			"user_id":appUtils.getSStorageInfo("user_id")
		};
		service.findFundList(param, function(data) {
			var error_no = data.error_no;
			var error_info = data.error_info;
			$(".value_box2").html("");
			if (error_no == 0) {
				var FindFundList = data.results[0].data;
				$(pageId + " #jj_shop").html("");
				if(FindFundList.length=="0"){
					$(pageId+" #fundtop").hide();
					
				}else{
					$(pageId+" #fundtop").show();
				}
				var jjStr="<ul class='a1'>";
				for ( var i = 0; i < FindFundList.length; i++) {
					var fid_jjdm = FindFundList[i].product_id;// 基金代码
					var fid_jjjc = FindFundList[i].fid_jjjc;// 基金简称
					var yieldrate= parseFloat(FindFundList[i].yieldrate).toFixed(2);// 成立以来的收益率
					var yieldrate1y =parseFloat(FindFundList[i].yieldrate1y).toFixed(2);//一年的收益率
					var fid_jjjz = parseFloat(FindFundList[i].fid_jjjz).toFixed(2);// 基金净值
					var share_type= FindFundList[i].share_type;//配置语
					var yield_statement = FindFundList[i].yield_statement;// 配置语句
					var type = FindFundList[i].type;// 是否新发
					var fundmoney="";//起投多少钱
					var zjmoney="";//追击多少钱
					if(type=="1"){//新发
						fundmoney=parseFloat(FindFundList[i].sub_min_fris).toFixed(2);
						zjmoney=parseFloat(FindFundList[i].sub_min_secod).toFixed(2);
					}else{
						fundmoney=parseFloat(FindFundList[i].buy_min_fris).toFixed(2);
						zjmoney=parseFloat(FindFundList[i].buy_min_secod).toFixed(2);
					}
					var share_bq="";//标签
					if(share_type!=""){
						var share = share_type.split(",");//切割标签配置
						for(var j = 0;j<share.length;j++){
							share_bq+="<i class='lab'>"+share[j]+"</i>";
						}
					}else{
						share_bq="";
					}
					jjStr +="<li class='jj_xq' product_id="+fid_jjdm+"  product_type='8'><i class='hot'></i><h3 class='tit'>"+fid_jjjc+"</h3>"+
							"<div class='pub_title'><div class='pub_title_box '><em class='pens'>"+yieldrate1y+"<span>%</span></em>" +
							"<p class='a1'>"+yield_statement+"</p></div><div class='pub_title_box '><em class='pens f16'>"+yieldrate+"<span>%</span></em>" +
							"<p class='a1 pl5'>成立以来年化</p></div><div class='persen border-left'><p class='a3'><span>"+fundmoney+"元起购</span></p>" +
							"<p class='a2'><span>"+zjmoney+"元追加</span></p></div></div><div class='bot clearfix'>" +share_bq+
							"</div></li>";
				}
				jjStr+="</ul>";
				$(pageId + " #jj_shop").append(jjStr);
				
				//点击 名称进入详情
				appUtils.bindEvent($(pageId+"  .jj_xq"),function(){
					var param = {
							"product_id" :  $(this).attr("product_id"),
							"product_type" : $(this).attr("product_type"),
							"url":"mall/moneyShop",
							"pageCode" : "mall/itemsFundNew",
							"mall_phone_login" : "1"
						};
						common.productJumpmethod(param);
				},"click");
			} else {
				common.imsg(error_info);
			}
		},{"isLastReq":false});
	}
	/**
	 * 初始化图片滚动组件
	 */
	function initAdScroller() {
		clearInterval(picLoadTimer);
		picLoadTimer = null;
		if (customHIscroll[0].scroll) {
			customHIscroll[0].scroll.destroy();
			customHIscroll[0].scroll = null;
		}
		var config = {
			wrapper : $(pageId + " #wrapper"), // wrapper对象
			scroller : $(pageId + " #scroller"), // scroller对象
			perCount : 1, // 每个可视区域显示的子元素
			showTab : true, // 是否有导航点
			tabDiv : $(pageId + " #nav"), // 导航点集合对象
			auto : true, // 是否自动播放
			interval : null, // 自动播放定时器
			wrapperObj : null
		};
		customHIscroll[0].scroll = new HIscroll(config);
		customHIscroll[0]._init = true;
		$(pageId + " .bot_banner").show();
	}
	// 绑定事件
	function bindPageEvent() {
		// 主页
		appUtils.bindEvent($(pageId + " #index"), function(event) {
			 event.stopPropagation();
			 var param={
				"loadPage":	true
			};
			appUtils.pageInit(pageCode, "account/index",param);
		},"touchstart");
		// 翼启投
		appUtils.bindEvent($(pageId + " #yqt"), function(event) {
			 event.stopPropagation();
			 var param={
				"loadPage":	true
			};
			appUtils.pageInit(pageCode, "account/ytg/yqt",param);
		},"touchstart");
		// 理财
		appUtils.bindEvent($(pageId + " #lc"), function(event) {
			 event.stopPropagation();
			 var param={
				"loadPage":	true
			};
			appUtils.pageInit(pageCode, "mall/moneyShop",param);
		},"touchstart");
		// 生活
		appUtils.bindEvent($(pageId + " #sh"), function(event) {
			 event.stopPropagation();
			 var param={
				"loadPage":	true
			};
			appUtils.pageInit(pageCode, "life/lifeIndex",param);
		},"touchstart");
		// 我的
		appUtils.bindEvent($(pageId + " #wd"), function(event) {
			appUtils.setSStorageInfo("_loginInPageCode","userCenter/wd");//保存要跳转的页面
			 event.stopPropagation();
			 var param={
				"loadPage":	true
			};
			appUtils.pageInit(pageCode, "userCenter/wd",param);
		},"touchstart");
		//我的设置
		appUtils.bindEvent($(pageId + " .icon_back"), function() {
			common.backModule();
		},"click");
		//资讯产品
		appUtils.bindEvent($(pageId + " #zn_dr"), function() {
			var param={
					"product_type":"7",
					"pageCode" : pageCode,
					"prepageCode" : pageCode
				};
			appUtils.pageInit(pageCode,"mall/researchMoney",param);
		},"click");
		//点击进入资讯列表
		appUtils.bindEvent($(pageId + " #zg_dr"), function() {
			var param={
					"product_type":"7",
					"pageCode" : "mall/highfinancing",
					"curPage" : 2,
					"url" : "mall/moneyShop",
					"mall_phone_login" : "1"
				};
			common.productJumpmethod(param);
		},"click");
		//点击进入高端理财界面，需先登录
		appUtils.bindEvent($(pageId+"  #zx_lb"),function(){
			var param={
					"product_type":"7",
					"pageCode" : "mall/moneyShop"
				};
			appUtils.pageInit(pageCode,"mall/researchMoney",param);
		},"click");
		appUtils.bindEvent($(pageId+"  #zixun_cplb"),function(){
			var param={
					"product_type":"7",
					"pageCode" : "mall/moneyShop"
				};
			appUtils.pageInit(pageCode,"mall/researchMoney",param);
		},"click");
		//理财产品
		appUtils.bindEvent($(pageId + " #zy_tg"), function() {
			var param={
				"pageCode" : "mall/moneyShop"
			};
			appUtils.pageInit(pageCode,"mall/otcFundlist",param);
		},"click");
		appUtils.bindEvent($(pageId + " #otcfund_avic"), function() {
			var param={
				"pageCode" : "mall/moneyShop"
			};
			appUtils.pageInit(pageCode,"mall/otcFundlist",param);
		},"click");
		//基金精选
		appUtils.bindEvent($(pageId + " #fw_dr"), function() {
			var param={
					"product_type":"8",
					"pageCode" : pageCode
				};
			appUtils.pageInit(pageCode,"mall/fundList",param);
		},"click");
		//转让专区
		appUtils.bindEvent($(pageId + " #zr_dr"), function() {
			appUtils.pageInit(pageCode,"mall/transFer/transFerIndex");
		},"click");
		//进入社区
		/*appUtils.bindEvent($(pageId + " .icon_xx"), function() {*/
		appUtils.bindEvent($(pageId + " .icon_wallet"), function() {
			var param={
					"prepageCode" : pageCode
				};
			appUtils.pageInit(pageCode,"userCenter/assetView",param);
		},"click");
	}
	// 销毁
	function destroy() {
		//$(pageId + " #zx_lbiao").html("");
		//$(pageId + " #avic_bao").html("");
	}
	var moneyShop = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = moneyShop;
});
