/**
 * 新固收理财
 */
define('mall/scripts/mall/stickMoney.js',function(require, exports, module) {
	var pageId = "#mall_stickMoney ";
	var	pageCode = "mall/stickMoney";
	var appUtils = require("appUtils");
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	var constants = require("constants");// 常量类
	var curPageNo = ""; // 当前页序号
	var common = require("common");
	var product_type="5";
	var product_id="";
	var curPage="";
	var dropload=require("dropload"); // 滚动组件
	var me="";
	// 初始化
	function init() {
		common.initTitle(pageId);
		
		curPage = appUtils.getPageParam("curPage");
		curPageNo = 1;
		findFinanlist();//固收理财列表
	}
	//顾收理财列表
	function findFinanlist(){
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" #lc_liebiao").html("");
		//初始化滑动组件
		var dropload = $(pageId +".khfxWarp").dropload({
	        scrollArea: $(pageId +".khfxWarp"),
	        loadDownFn: function (me) {
	        	setTimeout(function(){
	        		//调用方法
	        		var param  = {
	        				"product_shelf":constants.product_shelf.SHELF_ON,
	        				"page":curPageNo,
	        				"numPerPage":"4" ,
	        				"recommend_type":"",
	        				"fina_belongs":"5",
	        				"is_hot_sale":"1",
	        				"productType":"5",
	        				"userid": appUtils.getSStorageInfo("user_id")
	        			};
	        		service.findFinan(param,function(data){
	        			var error_no = data.error_no;
	        			var error_info = data.error_info;
	        			if(error_no == 0){
	        			var FinancialProductEnum = data.results[0].data;
	        			if(curPageNo == 1){//处理没有数据的情况
        					if(FinancialProductEnum.length==0){
        						$(pageId + " #lc_liebiao").hide();
        						$(pageId+" .dropload-down").hide();
        					}else{
        						$(pageId + " #lc_liebiao").show();
        						$(pageId+" .dropload-down").show();
        					}
        				}else{
    						if(FinancialProductEnum.length==0){
    							me.lock();
    				            // 显示无数据
    				            me.noData();
    				            me.loading = false;
    				            me.resetload();//加载数据
    						}
    					}
	        			curPageNo++;
	        			for(var i = 0;i<FinancialProductEnum.length;i++){
		        			var incomeunit=FinancialProductEnum[i].incomeunit;//收益率
		        			var product_status = FinancialProductEnum[i].product_status;//销售状态
		        			var per_buy_limit = FinancialProductEnum[i].per_buy_limit;//最低购买底线
		        			    product_id = FinancialProductEnum[i].product_id;//产品id
		        			var product_name = FinancialProductEnum[i].product_name;//产品名称
		        			var product_code = FinancialProductEnum[i].product_code;//产品编号
		        			var product_abbr = FinancialProductEnum[i].product_abbr;
		        			var investment_horizon =FinancialProductEnum[i].investment_horizon;//投资周期
		        			if(incomeunit!=null&&incomeunit!=""){
		        				if(incomeunit.indexOf(".")!=-1){
		        					incomeunit=(parseFloat(incomeunit)*100).toFixed(2);//收益率
		        				}
		        			}
		        			var jz= FinancialProductEnum[i].current_price;
		        			if(jz!=null&&jz!=""&&jz.indexOf(".")!=-1){
		        				jz=parseFloat(jz).toFixed(2);
		        			}
		        			if(per_buy_limit==""){
		        				 per_buy_limit = 0;
		        			}
		        			var gm_zt="";//购买状态
		        			var gm_xs="";//每个状态显示的字
		        			if(product_status=="1"){//购买
		        				gm_zt="<a class='gm_ch' href='javaScript:void(0);' productId="+product_id+" isgm='1'><em class='type_01'  ></em>火热认购中</a>";
		        				gm_xs="<p>最低认购金额 </p><strong>￥<em>"+per_buy_limit+"</em></strong>";
		        			}else if(product_status=="0"){//预约
		        				gm_zt="<a class='gm_ys' href='javaScript:void(0);' productId="+product_id+" isgm=''><em class='type_02' ></em>即将开售</a>";
		        				gm_xs="<p class='buy_time'>01月10日<span>14:00</span>抢购</p>";
		        			}else if(product_status=="9"){//即将发售
		        				gm_zt="<a class='gm_ys' href='javaScript:void(0);' productId="+product_id+" isgm=''><em class='type_02' ></em>距认购剩"+FinancialProductEnum[i].disdays+"天</a>";
		        				gm_xs="<p>最低认购金额 </p><strong>￥<em>"+per_buy_limit+"</em></strong>";
		        			}
		        			else{//3表示卖完
		        				gm_zt="<a class='gm_qg' style='background:#B5B5B5' href='javaScript:void(0);' productId="+product_id+" isgm=''><em class='type_03' ></em>已售罄</a>";
		        				gm_xs="<p class='buy_time'>对不起，抢光了</p>";
		        			}
		        			lcstr="<div class='fixed_inner'><dl class='clearfix' product_id="+product_id+" product_type='5' product_status="+product_status+"><dt><p>年化收益</p>"+
		        				  "<strong>"+incomeunit+"<sup>%</sup></strong>"+gm_zt +
		        				  "</dt><dd><h5>"+product_abbr+"<em>"+product_code+"</em></h5>"+
		        				  "<p class='invest_cycle'>投资周期<span>"+investment_horizon+"天</span></p><div class='earning mt10'>"+gm_xs+
		        				  "</div></dd></dl></div>";
		        			
		        			$(pageId+" #lc_liebiao").append(lcstr);  // 填充服务产品列表
	        			}
	        			if(FinancialProductEnum.length<4){
	        	            // 再往下已经没有数据
	        	            // 锁定
	        	            me.lock();
	        	            // 显示无数据
	        	            me.noData();
	        	            me.loading = false;
	        	        }
	        			me.resetload();//加载数据
	        			//点击进入详情
	        			appUtils.bindEvent($(pageId+" .fixed_inner dl "),function(){
	        					prePageCode = appUtils.setSStorageInfo("pageCode","mall/stickMoney");
	        					var pageInParam = {
	        						"product_id" :  $(this).attr("product_id"),
	        						"product_type" : $(this).attr("product_type"),
	        						"product_status": $(this).attr("product_status"),
	        						"pageCode" : "mall/stickMoneyIn",
	        						"curPage":3,
	        						"prePageCode" : prePageCode,
	        						"url" : "mall/stickMoney",
	        						"mall_phone_login" : "1"
	        					};
	        					common.productJumpmethod(pageInParam);
	        				
	        			},"click");
	        			}else{
	        				layerUtils.iMsg(-1, error_info);
	        			}
	        		},{"isShowWait":false});
	    		},200);
	        }
	    });
	}
	// 绑定事件
	function bindPageEvent() {
		//返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			appUtils.pageInit(pageCode,"mall/otcFundlist");
		});
	}

	// 销毁
	function destroy() {
		$(pageId + " #lc_liebiao").html("");//清除
		$(pageId+" .dropload-down").remove();//先删除样式
	}

	var stickMoney = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = stickMoney;
});
