/**
 * 新固收理财详情页面
 */
define('mall/scripts/mall/stickMoneyIn.js',function(require, exports, module) {
	var pageId = "#mall_stickMoneyIn ";
	var	pageCode = "mall/stickMoneyIn";
	var appUtils = require("appUtils");
	var service = require("mobileService"); // 业务层接口，请求数据
	var appropriateService = require("appropriateService");
	var layerUtils = require("layerUtils");
	var gconfig = require("gconfig");
	var putils = require("putils");
	var global = gconfig.global;
	var platform=gconfig.platform;//判断app或pc用
	var URL = global.url;
	var constants = require("constants");// 常量类
	var external = require("external");
	var shareTitle = "";
	var common = require("common");
	var product_id = "";//产品编号
	var product_code = "";
	var product_type="";
	var product_name="";//产品名称
	var prePageCode = "";
	var prePageCode2 = "";
	var article_id = "";
	var product_status = "";//产品状态
	var fid_khtzfl = "";
	var register_corp_code = "";
	var risk_level = "";
	var user_risk_level = "";
	var	i = 0;
	var timer="";
	var curPage="";
	var is_risk="";
	// 初始化
	function init() {
		common.initTitle(pageId);
		curPage = appUtils.getPageParam("curPage");
		prePageCode = appUtils.getPageParam("pageCode");
		prePageCode2 = appUtils.getPageParam("prePageCode");
		article_id = appUtils.getPageParam("article_id");
		fid_khtzfl = appUtils.getSStorageInfo("cust_type_wh");
		is_risk=appUtils.getPageParam("is_risk");
		product_type = appUtils.getPageParam("product_type");
		if(prePageCode=="mall_stickMoneyIn"){    
			prePageCode = prePageCode2;
		}
		if(prePageCode=="userCenter_riskResults"){    
			prePageCode = "mall/stickMoney";
		}
		if(prePageCode2=="mall/stickMoney"){
			prePageCode = "mall/stickMoney";
		}
		/************适当性改造****************/
		//新增--王浩（避免影响以前的代码）
		if(prePageCode2=="mall/moneyShop"){
			prePageCode = "mall/moneyShop";
		}
		if(prePageCode2=="mall/otcFundlist"){
			prePageCode = "mall/otcFundlist";
		}
		if(prePageCode2=="account/index"){
			prePageCode = "account/index";
		}
		/************适当性改造****************/
		if(prePageCode2=="groupExclusive/groupLuxury"){
			prePageCode = "groupExclusive/groupLuxury";
		}
		var pageParam = appUtils.getPageParam();
		if(pageParam != undefined)
		{
			product_id = appUtils.getPageParam().product_id;
			product_type = appUtils.getPageParam().product_type;
		}
		if(product_id==null||product_type==""||product_type=="undefeated") {
			// 尝试从壳子里面取值
			 var param = {
	            funcNo: "50041",
	            key: "product_id" 
			  };
	        var datatype = external.callMessage(param);
	        product_id = datatype.results[0].value;
	        var param1 = {
	            funcNo: "50041",
	            key: "product_type" 
		     };
	        var datatype1 = external.callMessage(param1);
	        product_type = datatype1.results[0].value;
		}
		
		if(product_id==null){
			layerUtils.iMsg(1, "数据加载错误！");
			appUtils.pageInit("mall_stickMoneyIn","mall/moneyShop",{});
			return false;
		}
		/*********新增中焯登录***********/
		var login = appUtils.getSStorageInfo("_isLoginIn");
        if(login=="true"){
        	findById();//查询理财详情
    		findAgreement();//查询产品协议
        }
        else{
            var mobilecode = appUtils.getPageParam("mobilecode");
            var user_token = appUtils.getPageParam("user_token");
            common.SSO_login(mobilecode,user_token,initPage);
        }
        /*********新增中焯登录***********/
	}

	function initPage(){
		findById();//查询理财详情
		findAgreement();//查询产品协议
	};
	
	//判断是否签署协议(1有 0没有)
	function  findAgreement(){
		var param ={
			"product_type":"5"
		};
		//协议查询
		service.findProductTypeAgreement(param,function(data){
			var results= data.results;//保存结果集
			if(data.error_no != "0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			var allProtocolStr ="";// 所有协议字符串
			if(is_risk=="1"){
				allProtocolStr = "<p class='on'><i></i>已阅读"; 
			}else{
				allProtocolStr = "<p class=''><i></i>已阅读"; 
			}
			
			for (var i  =0; i < results.length; i++){
				if(results[i].agreement_type=="1"||results[i].agreement_type=="0"){
					if(results[i].agreement_title!=null && results[i].agreement_title!=""){
						allProtocolStr +="<a href='javaScript:void(0);' agreement_url='"+results[i].url+"' agreement_title='"+results[i].agreement_title+"'>《"+results[i].agreement_title+"》</a>"
						//allProtocolStr += '<a href="javascript:void(0);" contract_type="'+results[i].contract_type+'" agreement_type="'+results[i].agreement_type+'" agreement_content="'+results[i].agreement_content+'" agreement_id="'+results[i].agreement_id+'" agreement_url="'+results[i].url+'">'+results[i].agreement_title+'</a>';
					};
				};
			}
			allProtocolStr+="</p>";
			$(pageId+" #stick_gzh").html(allProtocolStr);
			//选中同意协议按钮
			appUtils.bindEvent($(pageId+" #stick_gzh i"),function(){
				var checked=$(pageId+" #stick_gzh p").attr("class");//获取是否选中
				if(checked=="on"){
					$(pageId+" #stick_gzh p").removeClass("on");
				}else{
					$(pageId+" #stick_gzh p").addClass("on");
				};
			});
			//绑定协议事件
			appUtils.bindEvent($(pageId+" #stick_gzh a"),function(){
				var agreement_url = $(this).attr("agreement_url");
				var agreement_title = $(this).attr("agreement_title");
				// 判断是否APP
				 if(platform == "0"){
					 window.location.href=URL+agreement_url;
				}else{
					viewProtocol(agreement_url,agreement_title);
				}
			});
		});
	}
	//查看产品协议
	function viewProtocol(agreement_url,agreement_title){
		if(platform == "1"){
			var param={
				moduleName: "mall", // String	目标模块名	N	
				source: "mall", // String	源模块	Y
				funcNo: "50240",
				url: URL+agreement_url,
				title: agreement_title
			};
			external.callMessage(param);
		}else if(platform == "2"){
			var param={
				funcNo: "50240",
				url: URL+agreement_url,
				title: agreement_title
			};
			external.callMessage(param);
		}
	}
	//查询理财详情
	function findById(){
		var param = {
				"product_id":product_id,
				"product_sub_type":"1",
				"productType":"5",
				"userid" : appUtils.getSStorageInfo("user_id"),
				"pageCode" : "mall_stickMoneyIn",
				"prePageCode" : prePageCode
			};
		service.finanInfo(param,function(data){
			if(data.error_no!="0")
			{
				layerUtils.iAlert(data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			var results = data.results;
			var product_abbr = results[0].product_abbr;//产品简称
			product_id = results[0].product_id;//产品编号
			product_code = results[0].product_code;//产品代码
			product_name = results[0].product_name;//产品全称
			var est_date = results[0].est_date;//成立日期
			var end_date = results[0].end_date;//结束日期
			var mgr_org_sname = results[0].mgr_org_sname;//管理人
			var investment_horizon = results[0].investment_horizon;//存续期
			var incomeunit = results[0].incomeunit;//收益率
			var per_buy_limit = results[0].per_buy_limit;//购买最低金额
			var max_subs_amt = results[0].max_subs_amt;//最高申购金额
			var trust_org_sname = results[0].trust_org_sname;//委托人
			register_corp_code = results[0].register_corp_code;//登记机构
			risk_level = results[0].risk_level;//风险等级
			  shareTitle = results[0].product_name;
			 product_status = results[0].product_status;//购买的状态
			var ed = results[0].quota;//剩余价钱
			if(incomeunit==null||incomeunit==""){
				incomeunit="0";
			}else{
				if(incomeunit.indexOf(".")!=-1){
					incomeunit=parseFloat(incomeunit)*100;
					incomeunit=incomeunit.toFixed(2);
				} 
			}
			//理财产品是否是集团产品
			var isjtxs = results[0].isjtxs;//理财产品是否是集团产品
			var isjtbz="";
			if(isjtxs!=""&&isjtxs!="0"){
				$(pageId+" #share").hide();//是集团产品就隐藏
				isjtbz="<p><em>集团专享</em></p>";
			}else{
				$(pageId+" #share").show();//是集团产品就显示
			}
			//剩余金额
			if(ed!=null||ed!="") {
				 var edmoney="";
				 if((parseInt(results[0].per_buy_limit)>parseInt(results[0].quota))) {
					 edmoney="<p><em><img src='images/icon_detail6.png' alt=''></em>产品剩余额度不足:<span>您可能无法抢购成功</span></p>";
				 }else{
					 edmoney="<p><em><img src='images/icon_detail6.png' alt=''></em>产品剩余额度<span>"+putils.fmoney(ed)+"元</span></p>";
				 }
			}
			var heard="";//页面上面一部分
			var goumai="";//购买按钮
			if(product_status=="0"){//预约购买
				heard="<div class='finance_data to_sell'><div class='data'>" +
						"<h2>"+product_abbr+"</h2><p><em>"+product_code+"</em><span>即将出售</span></p>" +
						"</div></div>";
				goumai="<div class='bot_btn'><a href='javaScript:void(0);' product_id="+product_id+" product_type='5'><span>即将开售</span></a></div>";
			}else if(product_status=="1"){//可以购买
				heard = "<div class='finance_data selling'><div class='data'>" +
						"<h2>"+product_abbr+"</h2><p><em>"+product_code+"</em></p>"+isjtbz+"</div>" +
						"<div class='earning'><p>年化收益率</p><strong>"+incomeunit+"<sup>%</sup></strong>" +
						"</div></div>";
				goumai="<div class='bot_btn'><a href='javaScript:void(0);' class='gm_lc' product_id="+product_id+" product_type='5'><span>购买</span></a></div>";
			}else if(product_status=="9"){//即将发售
				heard = "<div class='finance_data selling'><div class='data'>" +
				"<h2>"+product_abbr+"</h2><p><em>"+product_code+"</em></p>"+isjtbz+"</div>" +
				"<div class='earning'><p>年化收益率</p><strong>"+incomeunit+"<sup>%</sup></strong>" +
				"</div></div>";
				goumai="<div class='bot_btn'><a href='javaScript:void(0);'  product_id="+product_id+" product_type='5'><span>距认购仅剩"+results[0].disdays+"天</span></a></div>";
				edmoney="";
			}
			else {//已经卖完
				heard = "<div class='finance_data sold_out'><div class='data'>" +
				"<h2>"+product_abbr+"</h2><p><em>"+product_code+"</em><span>已售罄</span></p>"+isjtbz+"</div>" +
				"<div class='earning'><p>年化收益率</p><strong>"+incomeunit+"<sup>%</sup></strong>" +
				"</div></div>";
				goumai="<div class='bot_btn'><a href='javaScript:void(0);' style='background: #B5B5B5;' product_id="+product_id+" product_type='5'><span>已售罄</span></a></div>";
				edmoney="<p><em><img src='images/icon_detail6.png' alt=''></em>产品剩余额度<span>0元</span></p>";
			}
			var lcsttr = heard+"<div class='finance_detail mt10'><h3>基本信息</h3>" +
					     		"<div class='detail_list'>"+
					     		"<p><em><img src='images/icon_detail1.png' alt=''></em>产品成立日<span>"+est_date+"</span></p>" +
					     		"<p><em><img src='images/icon_detail2.png' alt=''></em>产品结束日<span>"+end_date+"</span></p>" +
					     		"<p><em><img src='images/icon_detail3.png' alt=''></em>管理人<span>"+mgr_org_sname+"</span></p>" +
					     		"<p><em><img src='images/icon_detail4.png' alt=''></em>委托人<span>"+trust_org_sname+"</span></p>" +
					     		"<p><em><img src='images/icon_detail5.png' alt=''></em>存续期<span>"+investment_horizon+"天</span></p>" +edmoney+
					     		"<p><em><img src='images/icon_detail6.png' alt=''></em>起购金额<span>"+per_buy_limit+"元</span></p>"+
					     		"<p><em><img src='images/icon_detail6.png' alt=''></em>最高认购金额<span>"+max_subs_amt+"元</span></p>"+
					     		"<p><em><img src='images/icon_detail5.png' alt=''></em>计息日期<span>"+est_date+"</span></p>"+
					     		"</div></div>";
			$(pageId+" #lc_xqym").html(lcsttr);  // 填充服务产品列表
			$(pageId+" #stick_goumai").html(goumai);  // 购买按钮
			//购买
			appUtils.bindEvent($(pageId+" .gm_lc"),function(){
				//判断有没有勾选协议
				var checked=$(pageId+" #stick_gzh p").attr("class");//获取是否选中
				if(checked!="on"){//没有勾选协议
					layerUtils.iMsg(-1,"请勾选协议");
					return false;
				}
				var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
				product_id=$(this).attr("product_id");
				product_type=$(this).attr("product_type");
				if(login_flag!="true"){//没有登入
					var  pageInParam = {
						"url" : pageCode,
						"product_id" : product_id,
						"product_type" : product_type,
						"pageCode" : pageCode,
						"shop_sign":"1"//新理财统一标识
					};
					appUtils.setSStorageInfo("product_type",product_type);
					appUtils.setSStorageInfo("product_id",product_id);
					common.findLogin({"avicParam":pageInParam});
					//appUtils.pageInit(pageCode, "account/userLogin",{"avicParam":pageInParam});
				}else{
					//登入需要做的事情
					appUtils.setSStorageInfo("product_number", product_id);
					var loginType = appUtils.getSStorageInfo("loginType");
					if (loginType == "0") {// 手机账号
						common.queryMobilePhone(appUtils.getSStorageInfo("mobile_phone"),determineState);
					} else {
						// 资金账号
						appropriateness();
					}
				}
			});
			
		});
		
	}
	//判断用户状态
	function determineState(data){
		var results = data.results;
		var is_register = results[0].is_register;
		var is_client = results[0].is_client;
		var is_risk = results[0].is_risk;
		var is_pwd = results[0].is_pwd;
		var is_bank = results[0].is_bank;
		if(is_register&&is_register=="0"){
			appUtils.pageInit("mall/stickMoneyIn","register/register");
		}else if(is_client=="0"||is_pwd=="0"||is_bank=="0"){
			appUtils.pageInit("mall/stickMoneyIn","account/testAccount");
		}else{
			var param = {
				"product_id":product_id,
				"product_type" : product_type,
				"pageCode" : "mall/stickMoneyIn",
				"prePageCode" : prePageCode,
				"product_type":"5"
			};
			appUtils.pageInit("mall/stickMoneyIn","mall/finanOrder/stickMoneyBuy",param);
		}
	}
	
	// 绑定事件
	function bindPageEvent() {
		//返回
		appUtils.bindEvent($(pageId+".icon_back"),function(){
			var param="";
			if(product_type==undefined){
				 param = {
						"product_id":product_id,
						"product_type" : "5",
						"article_id" : article_id,
						"pageCode" : prePageCode,
						"prePageCode" : prePageCode2
				};
			}else{
				 param = {
						"product_id":product_id,
						"product_type" : product_type,
						"article_id" : article_id,
						"pageCode" : prePageCode,
						"prePageCode" : prePageCode2
				};
			}
			if(prePageCode=="mall/finanOrder/stickMoneyBuy"){
				appUtils.pageInit(pageCode, "mall/stickMoney");
			}else if(prePageCode=="mall/stickMoneyIn"){
				appUtils.pageInit(pageCode, "mall/stickMoney",param);
			}else if(prePageCode!=""&&typeof(prePageCode)!="undefined"){
				appUtils.pageInit(pageCode, prePageCode,param);
			}else if(prePageCode==""||typeof(prePageCode)=="undefined"){
				var param = {
						moduleName: "open", // String	目标模块名	N
						funcNo: "50114"
						};
				external.callMessage(param);
			}else{
				appUtils.pageInit(pageCode, "mall/stickMoney",param);
			}
		});
		//分享
		appUtils.bindEvent($(pageId+" #share"),function(){
			var weChat = common.weChat();//判断是APP还是pc或浏览器
			if(weChat){
				var link = global.shareLink;
	        	var param={
					moduleName: "mall", // String	目标模块名	N
					funcNo: "50230",
					shareTypeList: "22,23,24",
					title: shareTitle,
					link:  link+"/m/mall/#!/mall/stickMoneyIn.html?product_id="+ product_id +"&product_type="+product_type,
					content: "一切精彩尽在翼启航",
					imgUrl: "https://mall.avicsec.com/mobile/app/logo/icon.png"
				};
				external.callMessage(param);
			}
		});
		
	}

	/**********************************适当性改造*******************************/
	function appropriateness(){
		appUtils.setSStorageInfo("product_number", product_id);
		
			
			//先判断风险测评有没有做，是否过期
			appropriateService.appropriateBaseInfo({"khh" : appUtils.getSStorageInfo("khh")} ,function(data){
				if(data.error_no!="0")
				{
					layerUtils.iAlert(data.error_info);
					layerUtils.iLoading(false);
					return false;
				}
				var result = data.results;
				var risk_flag = result[0].risk_flag;
				var fid_khtzfl = result[0].fid_khtzfl;//投资者分类
				user_risk_level = result[0].fid_fxcsnl;//风险承受能力
				var param = {
						"khh" : appUtils.getSStorageInfo("khh"),
						"product_id" : product_id,
						"product_type" : product_type,
						"product_code" : product_code,
						"ta_code" : register_corp_code,
						"pageCode" : pageCode,
						"curPage":curPage,
						"prePageCode" : prePageCode,
						"risk_flag":risk_flag
					};
				//保险起见，再存一次
				appUtils.setSStorageInfo("risk_level" , result[0].fid_fxcsnl);
				//风险测评有效
		//		if(risk_flag == "1"){
					if(is_risk !="1"){
						checkLicaiAccount(fid_khtzfl,param);
					}else{
						appUtils.pageInit(pageCode,"mall/finanOrder/stickMoneyBuy", param);
						if(risk_level !="5"){
							appUtils.pageInit(pageCode,"mall/finanOrder/stickMoneyBuy", param);
						}else{
							var khh = appUtils.getSStorageInfo("khh");
							//用户双录
							service.checkUser(param,function(datas){
								if(datas.results.length==0){
									var param2={
											"counTer":"您拟投资的产品风险与您的风险不匹配或购买的为高风险产品,请您联系营业部线下进行双录!"
									};
									common.popupMethod(param2);
									return false;
								}else{
									if(datas.results[0].DUAL_STAT == "1"||datas.results[0].DUAL_STAT == "2"){
										appUtils.pageInit(pageCode,"mall/finanOrder/stickMoneyBuy", param);
									}else{
										var param2={
												"counTer":"您拟投资的产品风险与您的风险不匹配或购买的为高风险产品,请您联系营业部线下进行双录!"
										};
										common.popupMethod(param2);
										return false;
									}
								}
							});
						}
					}
					
//				}else{
//					common.iConfirm("您还未做风险测评或者风险测评已过期或未做新版风险测评，请重新测评！", function(){
//						 var pageInParam = appUtils.getPageParam();
//						 pageInParam["prePageCode"] = pageCode;
//						 appUtils.pageInit("mall/stickMoneyIn","userCenter/riskResults" , pageInParam);
//					} , function(){} , "测评", "取消");
//
//				}
			});
	}
	
	//判断是否有理财账户
	function checkLicaiAccount(fid_khtzfl,param){
		var khParam = {
				"user_id": appUtils.getSStorageInfo("user_id"),
				"khh" : appUtils.getSStorageInfo("khh"),
				"risk_level" :  user_risk_level,
				"tadm" : register_corp_code
		}
		//判断是否需要开户
		service.checkRiskAssessment(khParam , function(data){
			if(data.error_no!="0")
			{
				layerUtils.iAlert(data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			var result = data.results;
			//没有开通理财账号，需要开户
			if(result[0].isKh == "1"){
				if(param.risk_flag == "-1"||param.risk_flag == "-2"||param.risk_flag == "-3"){//判断测评信息
					common.iConfirm("开通理财账户权限需进行新版风险测评。", function(){
						 var back_param = appUtils.getPageParam();
						 back_param["prePageCode"] = pageCode;
						 back_param["url_flag"] = pageCode;
						 appUtils.pageInit("mall/stickMoneyIn","userCenter/riskResults" , back_param);
					} , function(){} , "立刻测评", "放弃");
				}else{
					common.iConfirm("您还未开通理财账户，是否为您开通！", function(){
						var khParam = {
								"risk_level" : user_risk_level,
								"khxm" : appUtils.getSStorageInfo("user_name"),
								"zjbh" : appUtils.getSStorageInfo("identity_num"),
								"khh" : appUtils.getSStorageInfo("khh"),
								"fxjg" : register_corp_code,
								"isCp" : "0",
								"isKh" : "1",
								"zjlb" : "0"
						};
						$(pageId + "#dilog").show();   
						service.submitAns(khParam , function(data){
							$(pageId + "#dilog").hide();   
							if(data.error_no!="0")
							{
								layerUtils.iAlert(data.error_info);
								layerUtils.iLoading(false);
								return false;
							}else{
							     i = 0;
								showTime(fid_khtzfl,param);
								
							}
						});
					} , function(){} , "开通", "取消");
				}
				
			}else{
				riskJudgement(fid_khtzfl,param);
			}
		});
	}
	
	//判断风险测评是否匹配
	function riskJudgement(fid_khtzfl , param){
		if(fid_khtzfl == "0"){
			
			//适当性改造，判断风险等级是否匹配
			appropriateService.appropriateRiskInfo(param , function(data){
				if(data.error_no!="0")
				{
					layerUtils.iAlert(data.error_info);
					layerUtils.iLoading(false);
					return false;
				}
				var result = data.results;
				param["product_name"] = product_name;
				param["risk_level"] = risk_level;
				param["register_corp_code"] = register_corp_code;
				if(result[0].risk_code == "0"){
					//风险等级匹配
					param["page_name"]="mall/stickMoneyIn";
					appUtils.pageInit("mall/stickMoneyIn","appropriate/riskMakeSure", param);
				}else if(result[0].risk_code == "-1"){
					if( user_risk_level == "11"){
						var param2={
								"counTer":"您的风险测评等级过低，不能购买该产品！"
							};
						common.popupMethod(param2);
					}else{
						//风险等级不匹配
						param["page_name"]="mall/stickMoneyIn";
						appUtils.pageInit("mall/stickMoneyIn","appropriate/riskWarning", param);
					}
				}else if(result[0].risk_code == "-2"){
					common.iConfirm(result[0].risk_info, function(){
						 var back_param = appUtils.getPageParam();
						 back_param["prePageCode"] = pageCode;
						 back_param["url_flag"] = pageCode;
						 appUtils.pageInit("mall/stickMoneyIn","userCenter/riskResults" , back_param);
					} , function(){} , "重新测评", "知道了");
				}else{
					common.iConfirm(result[0].risk_info, function(){
						 var back_param = appUtils.getPageParam();
						 back_param["prePageCode"] = pageCode;
						 back_param["url_flag"] = pageCode;
						 appUtils.pageInit("mall/stickMoneyIn","userCenter/riskResults" , back_param);
					} , function(){} , "重新测评", "知道了");
				}
			});
			
		}else{
			appUtils.pageInit(pageCode,"mall/finanOrder/stickMoneyBuy", param);			
		}
	}
	/**
	   显示自动跳转倒计时
	**/
	function showTime(fid_khtzfl,param)
	{
		var showTips = function(){
		    if(i<10)
		    {
			     i++;
			     $(pageId + "#dilog").show();     
			     checkRiskAss(fid_khtzfl,param);
			}
		    else
		    {
		    	 $(pageId + "#dilog").hide(); 
				 window.clearInterval(timer);
				 layerUtils.iAlert("开通理财权限失败");
				 layerUtils.iLoading(false);
			 } 
		};
		timer = setInterval(showTips(), 1000);
	}
	
	
	function checkRiskAss(fid_khtzfl,param)
	{
		var reParam = {
				"user_id": appUtils.getSStorageInfo("user_id"),
	        	"khh": appUtils.getSStorageInfo("khh"),//客户号
	        	"tadm": register_corp_code,//机构代码
	        	"risk_level": user_risk_level//风险等级
			};
		var ctrlParam = {
				"isLastReq" : true,
				"isShowWait" :false
			};
		
		service.checkRiskAssessment(reParam,function(data){
			$(pageId + "#dilog").hide();
			window.clearInterval(timer);
			if(data.error_no != "0")
			{
				//layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			var results = data.results;
			var isKh = results[0].isKh;
			var isCp = results[0]. isCp;
			if(isKh == "0"&&isCp == "0"){
				riskJudgement(fid_khtzfl,param);
			}
		},ctrlParam);
	}
	
	/**********************************适当性改造*******************************/

	// 销毁
	function destroy() {
		$(pageId+" #lc_xqym").html("");
		$(pageId+" #share").show();
		product_id = "";
		product_type="";
		product_name="";
		
		i = 0;
		if(timer != null || timer != ""){
			clearInterval(timer);
			timer = "";
		}
		
	}

	var stickMoneyIn = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = stickMoneyIn;
});
