/**
 * 转让专区
 */
define('mall/scripts/mall/transFer/setSellMsg.js',function(require, exports, module) {
	var appUtils = require('appUtils');
	var pageId = "#mall_transFer_setSellMsg ";
	var pageCode = "mall/transFer/setSellMsg";
	var service = require("mobileService"); // 业务层接口，请求数据
	var putils = require("putils");
	var layerUtils = require("layerUtils");
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var platform=gconfig.platform;//判断app或pc用
	var product_code="";//产品编码
	var instAvl="";//传过来的金额
	var product_name="";//产品名字
	var incomeunit="";//预计收益率
	var day="";//剩余天数
	var first_min_buy="";//首次最低金额
	var append_min_buy="";//追加最低金额
	function init() {
		 common.initTitle(pageId);
		
		 product_code =appUtils.getPageParam("product_code");
		 instAvl =appUtils.getPageParam("instAvl");
		 product_name=appUtils.getPageParam("product_name");
		 incomeunit=appUtils.getPageParam("incomeunit");
		 day = appUtils.getPageParam("day");
		 $(pageId + "#traname").html(product_name);//产品名字
		 incomeunit=(incomeunit*100).toFixed(2);
		 $(pageId + "#traBox").html(incomeunit+"%");
		 $(pageId + "#maxMoney").html("最多可转让<em>"+instAvl+"</em>");//产品名字
		 $(pageId + "#maxdate").html("最多可挂单<em>"+day+"天</em>");//产品名字
		 
		 //设置只能输入小数点后两位
		 $(pageId + "#traMoney").floatInput();
	//	 $(pageId + "#traBox").floatInput();
		 //查询产品的限额控制
		 productQuota(product_code);
	}
	//查询产品的限额控制
	function productQuota(product_code){
		service.productByIdQuota({"inst_id":product_code},function(data){
			if(data.error_no=="0"){
				 first_min_buy=data.results[0].FIRST_MIN_BUY;//首次最低金额
				 append_min_buy=data.results[0].APPEND_MIN_BUY;//追加最低金额
				 $(pageId + "#traMoney").val(first_min_buy);
				 $(pageId + "#qbzr").html("最低转让金额:"+first_min_buy);
			}else{
				layerUtils.iMsg(-1,data.error_info);
			}
		});
	}
	function bindPageEvent() {
		// 返回
		appUtils.bindEvent($(pageId + " .icon_back"), function() {
			var param={
				"product_code":appUtils.getPageParam("product_code"),
				"instAvl" :appUtils.getPageParam("instAvl")
			};
			appUtils.pageInit(pageCode, "mall/transFer/toSell",param);
		});
//		//点击全部转让
//		appUtils.bindEvent($(pageId + " #qbzr"), function() {
//			$(pageId + " #traMoney").val(instAvl);
//			
//			
//		});
		//下一步
		appUtils.bindEvent($(pageId + " .combtns"), function() {
			var datatraBox=$(pageId + "#datatraBox").val();//转让天数
//			
			var traMoney=$(pageId + "#traMoney").val();//转让金钱
//			if(datatraBox==""||datatraBox==null){
//				layerUtils.iMsg(-1,"转让天数不能为空");
//				return false;
//			}
//			if(Number(datatraBox)>Number(day)){
//				layerUtils.iMsg(-1,"转让天数不能大于最大天数");
//				return false;
//			}
			if(traMoney==""||traMoney==null){
				layerUtils.iMsg(-1,"转让金钱不能为空");
				return false;
			}
			if(Number(traMoney)<Number(first_min_buy)){
				layerUtils.iMsg(-1,"转让金钱不能小于"+Number(first_min_buy));
				return false;
			}
			if(Number(traMoney)%Number(append_min_buy)!=0){
				layerUtils.iMsg(-1,"转让金钱不是"+Number(append_min_buy)+"的整数倍");
				return false;
			}
			if(Number(traMoney)>Number(instAvl)){
				layerUtils.iMsg(-1,"转让金钱不能大于最大转让金钱");
				return false;
			}
			var param={
				"product_code":appUtils.getPageParam("product_code"),
				"instAvl" :appUtils.getPageParam("instAvl"),
				"product_name":product_name,
				"datatraBox":datatraBox,
				"traMoney":traMoney
			};
			appUtils.pageInit(pageCode, "mall/transFer/toSellPay",param);
		});
		
		//绑定转让天数的加减
		appUtils.bindEvent($(pageId + "#changeIncom"),function(event){
			var target = event.target;
			var type = $(target).attr("data-type");
			var inputVal = $(pageId + "#datatraBox");
			console.log(type);
			if(type == "0"){//减法
				if(inputVal.val() != 0){
					var va = inputVal.val();
					va=Number(va) - 1;
					inputVal.val(Number(va)); 
				}
			} else if(type == "1"){
				var va = inputVal.val();
				va=Number(va) + 1;
				
				if(va>day){
					
				}else{
					inputVal.val(Number(va));
				}
			}
		})
		//绑定转让金额的加减
		appUtils.bindEvent($(pageId + "#changeMenoy"),function(event){
			var target = event.target;
			var type = $(target).attr("data-type");
			var inputVal = $(pageId + "#traMoney");
			//console.log(type);
			if(type == "0"){//减法
				if(inputVal.val() != 0.00){
					var va = inputVal.val();
					va=Number(va) - Number(append_min_buy);
					inputVal.val(Number(va).toFixed(2)); 
				}
			} else if(type == "1"){
				var va = inputVal.val();
				va=Number(va) + Number(append_min_buy);
				if(va>instAvl){
					
				}else{
					inputVal.val(Number(va).toFixed(2));
				}
			}
		})
		
	}
	//
	function getLocation(elm) {  
	    if(elm.createTextRange) { // IE
	        var range = document.selection.createRange();                 
	        range.setEndPoint('StartToStart', elm.createTextRange());                 
	        return range.text.length;  
	    } else if(typeof elm.selectionStart == 'number') { // Firefox
	        return elm.selectionStart;  
	    }  
	}
	function setLocation(elm, n) {  
	    if(n > elm.value.length)  
	        n = elm.value.length;  
	    if(elm.createTextRange) {   // IE
	        var textRange = elm.createTextRange();  
	        textRange.moveStart('character', n);              
	        textRange.collapse();         
	        textRange.select();       
	    } else if(elm.setSelectionRange) { // Firefox
	        elm.setSelectionRange(n, n);  
	        elm.focus();  
	    }  
	}  
	/**
	 * 只允许输入2位小数点的数字
	 * 
	 */
	$.fn.floatInput = function(){
		var obj = $(this);
		obj[0].addEventListener('input', function(event){
			var startPos = getLocation($(this)[0]);
			// 只允許數字
			var beforVal = this.value;
			this.value = this.value.replace(/[^\d.]/g, "").replace(/^\./g, "").replace(/^0+([1-9])/, "$1").replace(/^0+$/, "0");
			this.value = this.value.replace(/\.{2,}/g, ".").replace(".", "$#$").replace(/\./g, "").replace("$#$", ".");
			this.value = this.value.replace(/^(\-)*(\d+)\.(\d\d).*$/, '$1$2.$3');
			var dLength = beforVal.length - this.value.length;
			startPos = startPos - dLength;
			setLocation($(this)[0], startPos);
		});
	};
	
	
	function destroy() {
		 $(pageId + "#traMoney").val("10000.00");
	}

	var setSellMsg = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = setSellMsg;
});