/**
 * 转让专区
 */
define('mall/scripts/mall/transFer/toSellPay.js',function(require, exports, module) {
	var appUtils = require('appUtils');
	var pageId = "#mall_transFer_toSellPay ";
	var pageCode = "mall/transFer/toSellPay";
	var service = require("mobileService"); // 业务层接口，请求数据
	var putils = require("putils");
	var layerUtils = require("layerUtils");
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var platform=gconfig.platform;//判断app或pc用
	var product_code="";//产品编码
	var instAvl="";//传过来的金额
	var product_name="";//名字
	var day="";//剩余天数
	var incomeunit ="";//转让利率
	var traMoney="";//转让金额
	var now_time="";//今天时间
	var date="";//几天后的交易日
	var datatraBox="";//设置的天数
	function init() {
		common.initTitle(pageId);
		
		 product_code =appUtils.getPageParam("product_code");
		 instAvl =appUtils.getPageParam("instAvl");
		 product_name =appUtils.getPageParam("product_name");
		 datatraBox = appUtils.getPageParam("datatraBox");
		// traBox =appUtils.getPageParam("traBox");
		 traMoney =appUtils.getPageParam("traMoney");
		 findTradeDate();//查询几个交易日
		 findFinanLists();//查询产品基本信息
		 
	}
	//查询产品的基本信息
	function findFinanLists(){
		var param = {
				"product_code": appUtils.getPageParam("product_code"),
				"product_sub_type":"1",
				"productType":"5",
				"userid" : appUtils.getSStorageInfo("user_id"),
		};
		service.finanInfo(param,function(data){
			if(data.error_no == "0"){
				var results = data.results;
				var item = results[0];
				 product_name = item.product_name;//名称incomeunit
				 incomeunit = item.incomeunit;//预期年化收益率
				 product_code = item.product_code;//产品编码
				 day = item.perioddate;//剩余天数
				var investment_horizon=item.investment_horizon;//投资期限
				var estDate = item.est_date;//产品成立日
				var endDate = item.end_date;//到期日
				//var instAvl = appUtils.getPageParam("instAvl");//传过来的金额
				var a= ((parseFloat(traMoney*incomeunit/100).toFixed(2)/365)*investment_horizon).toFixed(2);
				//计算预计收益金额
				var money=(parseFloat(traMoney)+parseFloat(a)).toFixed(2);
				
				 $(pageId + "#tra_yjsl").html(money);//产品名字
				 $(pageId + "#pdtName").html(product_name);//产品名字
				 $(pageId + "#qdmoney").html(traMoney);//产品金额
				 $(pageId + "#tralv").html((incomeunit*100).toFixed(2)+"%");//产品收益率
			}
		},{});
	}
	
	//转让下单
	function topay(pwd){
		service.getRSAKey({},function(data){
			if(data.error_no == "0"){
				var modulus = data.results[0].modulus;
				var publicExponent = data.results[0].publicExponent;
				var endecryptUtils = require("endecryptUtils");
				var trade_pwd = endecryptUtils.rsaEncrypt(modulus,publicExponent,pwd);
				var param={
						"inst_id":product_code,
						"client_no":appUtils.getSStorageInfo("khh"),
						"trade_pwd":trade_pwd,
						"valid_date":date,
						"sell_price":"1",
						"sell_qty":traMoney,
						//"traBox":traBox,
						"user_id":appUtils.getSStorageInfo("user_id")
					};
					service.payTransFer(param,function(data){
						if(data.error_no=="0"){
							var ord_frz_qty=data.results[0].ORD_FRZ_QTY;//卖出份额
							var param={
								"now_time":now_time,
								"ord_frz_qty":ord_frz_qty,
								"type":"9"
							};
							appUtils.pageInit(pageCode, "mall/transFer/sellPayment",param);	
						}else{
							layerUtils.iMsg(-1,data.error_info);
						}
					});
			}
		});
		
		
		
	}
	//查询日期
	function findTradeDate(){
		service.findTradeDate({},function(data){
			if(data.error_no=="0"){
				 now_time=data.results[0].now_time;//现在的时间
			     var t=new Date(now_time.replace(/-/g,"/"));
			     var now=new Date((t/1000+(86400*datatraBox))*1000);//获得后几天时间
		         var year = now.getFullYear();
		         var month =(now.getMonth() + 1).toString();
		         var day = (now.getDate()).toString();
		            if (month.length == 1) {
		                month = "0" + month;
		            }
		            if (day.length == 1) {
		                day = "0" + day;
		            }
		            //date = year+ month +  day;//交易日的后一天的字符串形式
//			            $(pageId+" #trderDate").html(now_time);
//			            $(pageId+" #last_time").html("超过"+date+"日未成交将自取消");
		            var nowtime=now_time.split(" ");
		            var data=nowtime[0].split("-");
		             date=data[0]+data[1]+data[2];
		            $(pageId+" #trderDate").html(date);
		            //$(pageId+" #last_time").html("超过"+date+"日未成交将自取消");
			}
		});
		

	}
	
	function bindPageEvent() {
		// 返回
		appUtils.bindEvent($(pageId + " .icon_back"), function() {
			var param={
				"product_code":appUtils.getPageParam("product_code"),
				"instAvl" :appUtils.getPageParam("instAvl"),
				"product_name":product_name,
				"incomeunit":incomeunit,
				"day":day
			};
			appUtils.pageInit(pageCode, "mall/transFer/setSellMsg",param);
		});
		//关闭密码框
		appUtils.bindEvent($(pageId + " .close"), function() {
			$(pageId+".fake-box input").val("");
			$(pageId+" #tradePwd").val("");
			$(pageId+" #payment_drop").hide();
			$(pageId+" #payment_card").hide();
		});
		//下一步
		appUtils.bindEvent($(pageId + " .combtns"), function() {
			$(pageId+".fake-box input").val("");
			$(pageId+" #tradePwd").val("");
			$(pageId+" #payment_drop").show();
			$(pageId+" #payment_card").show();
			$(pageId+" #tradePwd").focus();
		});
		//确定支付
		var $input = $(pageId+".fake-box input");
		$(pageId+" #tradePwd").on("input", function() {  
			 var pwd = $(pageId+" #tradePwd").val().trim();//输入的密码  
            for (var i = 0, len = pwd.length; i < len; i++) {  
                $input.eq("" + i + "").val(pwd[i]);  
            }  
            $input.each(function() {  
                var index = $(this).index();  
                if (index >= len) {  
                    $(this).val("");  
                };  
            });  
            if (len == 6) { 
            	$(pageId+".fake-box input").val("");
    			$(pageId+" #payment_drop").hide();
    			$(pageId+" #payment_card").hide();
                //执行其他操作  
            	var confirmPay= $(pageId+" #tradePwd").val();//输入的密码
    			if(confirmPay==""||typeof(confirmPay)=="undefined"){
    				layerUtils.iMsg(-1,"请输入交易密码");
    		 		return false;
    			}
    			topay(pwd);//转让
            }  
        }); 
	}
	function destroy() {
		
	}

	var toSellPay = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = toSellPay;
});