/**
 * 转让专区下单确定页面
 */
define('mall/scripts/mall/transFer/transBuy.js',function(require, exports, module) {
	var appUtils = require('appUtils');
	var fundUtils = require("mall/scripts/common/fundUtils");
	var pageId = "#mall_transFer_transBuy ";
	var pageCode = "mall/transFer/transBuy";
	var service = require("mobileService"); // 业务层接口，请求数据
	var putils = require("putils");
	var layerUtils = require("layerUtils");
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var platform=gconfig.platform;//判断app或pc用
	var product_name="";
	var product_id ="";//产品id
	var product_code="";//产品编码
	var khh="";//客户号
	function init() {
		common.initTitle(pageId);
		
		 sell_qty=appUtils.getSStorageInfo("sell_qty");//转让的金额
		 khh=appUtils.getSStorageInfo("khh");//客户号
		 product_code= appUtils.getPageParam("product_code");//产品编码
		 product_id = appUtils.getPageParam("product_id");//产品id
		 $(pageId + "#transbuy_money").html(sell_qty+"元");//转让的金额
		 
		 $(pageId + "#tra_khh").html(khh);//客户号
	}
	/**
	 * 是否开OTC户
	 */
	function isOpenOTC(kh_risk_level,user_name,identity_num){
		var param = {
			"user_id": appUtils.getSStorageInfo("user_id"),
        	"khh": khh,//客户号
        	"tadm": appUtils.getSStorageInfo("register_corp_code"),//机构代码
        	"risk_level": kh_risk_level //客户风险等级
		};
		service.checkRiskAssessment(param,function(data){
			if(data.error_no != "0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}else{
				var results = data.results;
				var isKh = results[0].isKh;
				var isCp =results[0].isCp; 
				if(isKh == "1"){	//是否需要开户	1需要   0不要
					if(isCp=="1"){//需要测评
						var param = {
								"product_id" : product_id,
								"isKh" : isKh,
								"isCp": isCp,
								"khh" : khh,
								"risk_level" : kh_risk_level,
								"user_name" : user_name,
								"identity_num" : identity_num,
								"tot_price" : sell_qty,
								"user_id" : user_id,
								"product_code":product_code
							};
						appUtils.pageInit(pageCode,"account/otcAccountRisk",param);
					}else{//不要测评，直接去开户
					    appUtils.setSStorageInfo("_prePageCode",pageCode);
					    var param={
					    	"pageType":"1",
				    		"isKh" : isKh,
							"isCp": isCp,
							"khh" : khh,
							"risk_level" : kh_risk_level,
							"user_name" : user_name,
							"identity_num" : identity_num,
							"product_id" :product_id,
							"tot_price" : sell_qty,
							"product_code":product_code,
							"tadm": appUtils.getSStorageInfo("register_corp_code")//机构代码
					    };
						appUtils.pageInit(pageCode,"account/testAccountSuccess",param);
					}
					
				}else{
					//已经开户了去购买
					//var $input = $(pageId + " .zf_input");
					//var text = $input.val();
					//otc基金产品风险等级和客户产品等级
						var	risk_level_cp =appUtils.getSStorageInfo("risk_level");//产品风险等级
					//var	risk_level_cp ="4";
						if(kh_risk_level>=risk_level_cp){//大于产品风险等级。直接去购买
							//编写购买方法
							$(pageId+".fake-box input").val("");
							$(pageId+" #tradePwd").val("");
							$(pageId+" #payment_drop").show();
							$(pageId+" #payment_card").show();
							$(pageId+" #tradePwd").focus();
							
						}else{//小于产品等级提示风险等级小于
							$(pageId+" #otcfund_fe").show();//显示出来
							$(pageId+" #otcfund_fengx").show();//显示出来
							$(pageId+" #product_fxde").html("您的风险等级：<span style='color: #e84c3d;'>"+kh_risk_level+"-"+fundUtils.FundkhhRank(kh_risk_level)+"</span><br/>产品风险等级：<span style='color: #e84c3d;'>"+risk_level_cp+"-"+fundUtils.FundRank(risk_level_cp)+"</span><br/>目标产品或服务的风险等级与您的风险承受能力等级不匹配，不能进行购买，如果您的财务状况、投资经验、投资目标、风险偏好及可承受的损失等情况较前期发生变化，可重新进行风险承受能力测评。");//显示类容
						}
				
					//继续购买otc基金风险检查框
					appUtils.bindEvent($(pageId+" #otcfund_jxg"),function(){
						$(pageId+" #otcfund_fe").hide();//隐藏
						$(pageId+" #otcfund_fengx").hide();//隐藏
						//把相关的信息插入表中
						var param={
							"user_id":appUtils.getSStorageInfo("user_id"),
							"khh":appUtils.getSStorageInfo("khh"),
							"desc":"目标产品或服务的风险等级与您的风险承受能力等级不匹配，不能进行购买，如果您的财务状况、投资经验、投资目标、风险偏好及可承受的损失等情况较前期发生变化，可重新进行风险承受能力测评",
							"flag":appUtils.getSStorageInfo("loginType"),//获取是什么登入保证金还是手机
							"productId":product_id,
							"product_type":"5"
						};
						service.insertCustomer(param,function(data){
							if(data.error_no=="0"){
								var param = {
										"product_id" : product_id,
										"isKh" : isKh,
										"isCp": isCp,
										"khh" : khh,
										"risk_level" : kh_risk_level,
										"user_name" : user_name,
										"identity_num" : identity_num,
										"tot_price" : sell_qty,
										"user_id" : appUtils.getSStorageInfo("user_id"),
										"product_code":product_code,
										"back_param":appUtils.getPageParam()
									};
								appUtils.pageInit(pageCode,"userCenter/fundRisk",param);
							}else{
								layerUtils.iMsg(-1,data.error_info);
								return false;
							}
						});
						
					},"click");
					//取消购买otc基金风险检查框
					appUtils.bindEvent($(pageId+" #otcfund_qxg"),function(){
						$(pageId+" #otcfund_fe").hide();//隐藏
						$(pageId+" #otcfund_fengx").hide();//隐藏
					},"click");
					//关闭otc基金窗口
					appUtils.bindEvent($(pageId+" .btn_cancel2"),function(){
						$(pageId+" #otcfund_fe").hide();//隐藏
						$(pageId+" #otcfund_fengx").hide();//隐藏
					},"click");
					
				}
			}
		});
	}
	//购买
	function traBuyProducts(pwd){
		//得到密码
		service.getRSAKey({},function(data){
			if(data.error_no == "0"){
				var modulus = data.results[0].modulus;
				var publicExponent = data.results[0].publicExponent;
				var endecryptUtils = require("endecryptUtils");
				var trade_pwd = endecryptUtils.rsaEncrypt(modulus,publicExponent,pwd);
				var param={
						"client_no":khh,
						"inst_id":product_code,
						"trade_pwd":trade_pwd,
						"trd_price":"1",
						"trd_qty":sell_qty,
						"cntr_no":appUtils.getSStorageInfo("cntr_no"),
						"cntr_reg_date":appUtils.getSStorageInfo("cntr_reg_date"),
						"app_sno":appUtils.getSStorageInfo("agreement_id"),
						"app_date":appUtils.getSStorageInfo("app_date"),
						"agreement_id":appUtils.getSStorageInfo("agreement_id"),
						"trans_acct":appUtils.getSStorageInfo("trans_acct")
				};
				service.transBuy(param,function(data){
					if(data.error_no != "0"){
						$(pageId+".fake-box input").val("");
		    			$(pageId+" #payment_drop").hide();
		    			$(pageId+" #payment_card").hide();
						layerUtils.iMsg(-1,data.error_info);
						layerUtils.iLoading(false);
						return false;
					}else{
						var ord_frz_qty=data.results[0].ORD_FRZ_AMT;//维托份额
						var app_date = data.results[0].APP_DATE;//时间
						var param={
							"now_time":app_date,
							"ord_frz_qty":ord_frz_qty,
							"type":"10"
						};
						appUtils.pageInit(pageCode, "mall/transFer/sellPayment",param);	
					}
				});
			}
		});
	}
	function bindPageEvent() {
		// 返回
		appUtils.bindEvent($(pageId + " .icon_back"), function() {
			var param={
				"product_code":product_code,
				
			}
			appUtils.pageInit(pageCode, "mall/transFer/transBuySure",param);
		});
		//关闭支付密码
		appUtils.bindEvent($(pageId + " .close"), function() {
			$(pageId+".fake-box input").val("");
			$(pageId+" #payment_drop").hide();
			$(pageId+" #payment_card").hide();
			$(pageId+" #tradePwd").val("");
		});
		//确定购买
		appUtils.bindEvent($(pageId + " .combtns"), function() {
			//获得资金账号的信息
			var param = {
					"fid_khh" : khh,
					"fid_exflg" : "1"
				};
				service.getOTCInfo(param,function(data){
					if(data){
						if(data.error_no == "0"){
							var results = data.results;
							var kh_risk_level = results[0].FID_TZZFL; //风险等级
							var user_name = results[0].FID_KHXM; //客户姓名
							var identity_num = results[0].FID_ZJBH; //身份证号码
							isOpenOTC(kh_risk_level,user_name,identity_num); //判断是否开OTC户
						}else{
							layerUtils.iMsg(-1,data.error_info);
							return false;
						}
					}
				});
		});
		//确定支付
		var $input = $(pageId+".fake-box input");
		$(pageId+" #tradePwd").on("input", function() {  
			 var pwd = $(pageId+" #tradePwd").val().trim();//输入的密码  
            for (var i = 0, len = pwd.length; i < len; i++) {  
                $input.eq("" + i + "").val(pwd[i]);  
            }  
            $input.each(function() {  
                var index = $(this).index();  
                if (index >= len) {  
                    $(this).val("");  
                };  
            });  
            if (len == 6) { 
            	$(pageId+".fake-box input").val("");
    			$(pageId+" #payment_drop").hide();
    			$(pageId+" #payment_card").hide();
                //执行其他操作  
            	var confirmPay= $(pageId+" #tradePwd").val();//输入的密码
    			if(confirmPay==""||typeof(confirmPay)=="undefined"){
    				layerUtils.iMsg(-1,"请输入交易密码");
    		 		return false;
    			}
    			traBuyProducts(pwd);//购买产品
            }  
        }); 
	}
	
	
	function destroy() {
	}

	var transBuy = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = transBuy;
});