/**
 * 新信托理财
 */
define('mall/scripts/mall/stickMoneyIn.js',function(require, exports, module) {
	var _pageId = "#mall_trustList ";
	var	pageCode = "mall/trustList";
	var appUtils = require("appUtils");
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	var constants = require("constants");// 常量类
	var curPageNo = ""; // 当前页序号
	var	myScroller = null; // 滚动组件
	var	VIscroll = require("vIscroll");
	var common = require("common");
	var product_id = "";
	// 初始化
	function init() {
		common.initTitle(_pageId);
		
		curPageNo = 1;
		var pageParam = appUtils.getPageParam();
		prePageCode = pageParam.pageCode;		
		prePageCode2 = pageParam.prePageCode;
		prePageCode = (prePageCode=="mall/trustList"?prePageCode2:prePageCode);
		article_id = pageParam.article_id;
		//信托理财列表
		findFinanlist();
	}
	//信托列表
	function findFinanlist(){
		param  = {
				"product_shelf":constants.product_shelf.SHELF_ON,
				"page":curPageNo,
				"numPerPage":"4" ,
				"recommend_type":"",
				"fina_belongs":"6",
				"is_hot_sale":"1",
				"userid": appUtils.getSStorageInfo("user_id")
			};
		service.findFinan(param,function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			if(error_no == 0){
			var FinancialProductEnum = data.results[0].data;
			if(curPageNo=="1"){
				$(_pageId + " #lc_liebiao").html("");
			}
			//$(_pageId + " #lc_liebiao").html("");
			for(var i = 0;i<FinancialProductEnum.length;i++){
			var incomeunit=FinancialProductEnum[i].incomeunit;//收益率
			var product_status = FinancialProductEnum[i].product_status;//销售状态
			var per_buy_limit = FinancialProductEnum[i].per_buy_limit;//最低购买底线
			    product_id = FinancialProductEnum[i].product_id;//产品id
			var product_name = FinancialProductEnum[i].product_name;//产品名称
			var product_code = FinancialProductEnum[i].product_code;//产品编号
			var product_abbr = FinancialProductEnum[i].product_abbr;
			var investment_horizon =FinancialProductEnum[i].investment_horizon;//投资周期
			if(incomeunit!=null&&incomeunit!=""){
				if(incomeunit.indexOf(".")!=-1){
					incomeunit=(parseFloat(incomeunit)*100).toFixed(2);//收益率
				}
			}
			var jz= FinancialProductEnum[i].current_price;
			if(jz!=null&&jz!=""&&jz.indexOf(".")!=-1){
				jz=parseFloat(jz).toFixed(2);
			}
			if(per_buy_limit==""){
				 per_buy_limit = 0;
			}
			var gm_zt="";//购买状态
			var gm_xs="";//每个状态显示的字
			if(product_status=="1"){//购买
				gm_zt="<a id='gm_ch' href='javaScript:void(0);' productId="+product_id+" isgm='1'><em class='type_01'  ></em>购买</a>";
				gm_xs="<p>最低认购金额 </p><strong>￥<em>"+per_buy_limit+"</em></strong>";
			}else if(product_status=="0"){//预约
				gm_zt="<a id='gm_ys' href='javaScript:void(0);' productId="+product_id+" isgm=''><em class='type_02' ></em>即将开售</a>";
				gm_xs="<p class='buy_time'>01月10日<span>14:00</span>抢购</p>";
			}else{//3表示卖完
				gm_zt="<a id='gm_qg' href='javaScript:void(0);' productId="+product_id+" isgm=''><em class='type_03' ></em>已售罄</a>";
				gm_xs="<p class='buy_time'>对不起，抢光了</p>";
			}
			lcstr="<div class='fixed_inner'><dl class='clearfix' product_id="+product_id+" product_type='6' product_status="+product_status+"><dt><p>预期年化收益</p>"+
				  "<strong>"+incomeunit+"<sup>%</sup></strong>"+gm_zt +
				  "</dt><dd><h5>"+product_abbr+"<em>"+product_code+"</em></h5>"+
				  "<p class='invest_cycle'>投资周期<span>"+investment_horizon+"天</span></p><div class='earning mt10'>"+gm_xs+
				  "</div></dd></dl></div>";
			
			$(_pageId+" #lc_liebiao").append(lcstr);  // 填充服务产品列表
			
			}
			//点击购买
			appUtils.bindEvent($(_pageId+" .fixed_inner #gm_ch"),function(e){
				var user_id = appUtils.getSStorageInfo("user_id");
				product_id = $(this).attr("productId");
				if(user_id==""||user_id==null){
					appUtils.setSStorageInfo("pageJump","mall/finanOrder/stickMoneyBuy");
					var param = {
						"product_id":product_id,
						"product_type" : "6",
						"pageCode" : "mall/trustList",
						"prePageCode" : prePageCode
					};
					appUtils.pageInit("mall/trustList","account/userLogin",param);
				}else{
					appUtils.setSStorageInfo("product_number",product_id);
					var loginType = appUtils.getSStorageInfo("loginType");
					if(loginType == "0"){//手机账号
						common.queryMobilePhone(appUtils.getSStorageInfo("mobile_phone"),determineUserState);
					}else{//资金账号
						var param = {
							"product_id":product_id,
							"product_type" : "6",
							"pageCode" : "mall/trustList",
							"prePageCode" : prePageCode
						};
						appUtils.pageInit("mall/trustList","mall/finanOrder/stickMoneyBuy",param);
					}
					e.stopPropagation();//防止点击详情
				}
			},"click");
			//点击进入详情
			appUtils.bindEvent($(_pageId+" .fixed_inner dl "),function(){
					prePageCode = appUtils.setSStorageInfo("pageCode","mall/trustList");
					var pageInParam = {
						"product_id" :  $(this).attr("product_id"),
						"product_type" : $(this).attr("product_type"),
						"product_status": $(this).attr("product_status"),
						"article_id" : article_id,
						"pageCode" : "mall/trustList",
						"prePageCode" : prePageCode
					};
					appUtils.pageInit(pageCode, "mall/trustListIn",pageInParam);
				
			},"click");
			initScroller();//滑动组件
			}else{
				layerUtils.iMsg(-1, error_info);
			}
		});
	}
	
	/**
	 * 初始化滚动组件
	 */
	function initScroller()
	{
		if(myScroller)
		{
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(_pageId + " #list");
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
		else
		{
			var visibleHeight = $(window).height() - $(_pageId + ".header").height(); // 滑动组件的可见高度
			var scrollerParam = {
				isPagingType: false,
				isHasHead: false,
				visibleHeight: visibleHeight,
				container: $(_pageId + " #lc_liebiao").parents(".visc_wrapper").parent(), // container元素
				wrapper: $(_pageId + " #lc_liebiao").parents(".visc_wrapper"), // wrapper元素
				downHandle : function() {
					curPageNo = 1;
					findFinanlist(); // 查询产品列表
				},
				upHandle : function(){
					$(_pageId+" .visc_pullUp").show();
					curPageNo++;
					findFinanlist(); // 查询产品列表
				}
			};
			myScroller = new VIscroll(scrollerParam); //初始化
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(_pageId + " #lc_liebiao");
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
		$(_pageId+" .pay_main").hide();
		$(".visc_pullUp").hide();
		$(_pageId + " .index-con").hide();
	}
	//判断用户状态
	function determineUserState(data){
		var results = data.results;
		var is_register = results[0].is_register;
		var is_client = results[0].is_client;
		var is_risk = results[0].is_risk;
		var is_pwd = results[0].is_pwd;
		var is_bank = results[0].is_bank;
		if(is_register&&is_register=="0"){
			appUtils.pageInit("mall/trustList","account/testRegister");
		}else if(is_client=="0"||is_pwd=="0"||is_bank=="0"){
			appUtils.pageInit("mall/trustList","account/testAccount");
		}else{
			var param = {
				"product_id":product_id,
				"product_type":"6"
			};
			appUtils.pageInit("mall/trustList","mall/finanOrder/stickMoneyBuy",param);
		}
	}
	
	// 绑定事件
	function bindPageEvent() {
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			var param = {
			    "pageCode" : prePageCode,
			    "article_id" : article_id
			};
			appUtils.pageInit(pageCode,"mall/moneyShop",param);
		});
		// 主页
		appUtils.bindEvent($(_pageId + " #index"), function(event) {
			 event.stopPropagation();
			appUtils.pageInit(pageCode, "account/index");
		},"click");
		// 翼启投
		appUtils.bindEvent($(_pageId + " #yqt"), function(event) {
			 event.stopPropagation();
			appUtils.pageInit(pageCode, "account/ytg/yqt");
		},"click");
		// 理财
		appUtils.bindEvent($(_pageId + " #lc"), function(event) {
			 event.stopPropagation();
			appUtils.pageInit(pageCode, "mall/moneyShop");
		},"click");
		// 生活
		appUtils.bindEvent($(_pageId + " #sh"), function(event) {
			 event.stopPropagation();
			appUtils.pageInit(pageCode, "life/lifeIndex");
		},"click");
		// 我的
		appUtils.bindEvent($(_pageId + " #wd"), function(event) {
			appUtils.setSStorageInfo("_loginInPageCode","userCenter/wd");//保存要跳转的页面
			 event.stopPropagation();
			appUtils.pageInit(pageCode, "userCenter/wd");
		},"click");
	}



	// 销毁
	function destroy() {
		$(_pageId + " #lc_liebiao").html("");//清除
	}

	var trustList = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = trustList;
});
