/**
 * 新支付页面
 */
define('mall/scripts/payment/paymentPage.js',function(require, exports, module){
	var appUtils = require("appUtils");
	var	layerUtils = require("layerUtils");
	var	service = require("mobileService");
	var	common = require("common");
	var	_pageId = "#payment_paymentPage ";
	var validatorUtil= require("validatorUtil");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var putils = require("putils");
	var curInputId = null;
	var pwdTimer = null; // 密码输入框计时器
	var constants=require("constants");//常量类
	var fundUtils = require("mall/scripts/common/fundUtils");
	var URL=global.url;
	var fundacc;  //资金账号
	//下标0的元素表示头部滑动，1、2、3分别表示推荐理财、推荐基金和推荐资讯
	var customHIscroll= [{"scroll":null,"_init":false},{"scroll":null,"_init":false},{"scroll":null,"_init":false}];
	var HIscroll =require("hIscroll");
	var picLoadTimer = null;
	var prePageCode2="";
	var isjtxs = "";//集团尊贵产品
	var zffs = "";//支付方式
	var product_type="";
	var tot_price="";
	var pageParam="";
	var product_id="";
	//初始化
	function init(){
		common.initTitle(_pageId);
		
		prePageCode2 = appUtils.getPageParam("prePageCode");
		isjtxs = appUtils.getPageParam("isjtxs");
		zffs = appUtils.getPageParam("zffs");
		pageParam = appUtils.getPageParam();
		product_type = pageParam.product_type;
		product_id=appUtils.getPageParam().product_id;//可能是视频产品有机个产品id
		tot_price = pageParam.tot_price;//购买的价钱
		console.log("subtype:"+appUtils.getPageParam().sub_type);
		console.log("subcyc:"+appUtils.getPageParam().dingy_type);
		if(product_type=="7"){//资讯的不显示价钱
			$(_pageId+".value_box ").hide();
		}else{
			$(_pageId+".value_box ").show();
			$(_pageId+".value_box strong").html(tot_price+"<span>元</span>");
		}
		logtype();//判断登入类型
	}
	/**
	 * 判断登入类型
	 */
	function logtype(){
		var khh = appUtils.getSStorageInfo("khh"); //获取客户号
		if(khh!=""&&typeof(khh)!="undefined"&&khh!=null){
			$(_pageId+" #otcPay").attr("checked",true); //自动勾选理财账户
			$(_pageId+" #finanPay").attr("khh",khh);
			$(_pageId+" #otcaccount").html("资金账号：<span >"+khh+"</span>");
			$(_pageId+" #finanPay").attr("userId",appUtils.getSStorageInfo("user_id"));
		}else{
			var param2={
					"counTer":"请用保证金账号登入或绑定保证金账号"
				};
			common.popupMethod(param2);
			var id=pageParam.product_id.split(",");
			if(pageParam != undefined){
				var param = {
					"product_id" : id[0],
					"tot_price" : pageParam.tot_price,
					"product_type":pageParam.product_type,
					"prePageCode":prePageCode2
				};
				appUtils.pageInit("payment/paymentPage","mall/finanOrder/stickMoneyBuy",param);
			}else{
				appUtils.pageInit("payment/paymentPage","mall/moneyShop");
			}
		}
	}
	
	/**
	 * 下单(OTC)
	 */
	function doOrder(pwd){
		var product_id = appUtils.getPageParam().product_id;
		service.getRSAKey({},function(data){
			if(data.error_no == "0"){
				var modulus = data.results[0].modulus;
				var publicExponent = data.results[0].publicExponent;
				var endecryptUtils = require("endecryptUtils");
				var trade_pwd = endecryptUtils.rsaEncrypt(modulus,publicExponent,pwd);
				var user_id=appUtils.getSStorageInfo("user_id");
				var khh = appUtils.getSStorageInfo("khh");
				var param="";
				console.log(appUtils.getPageParam().product_type);
				if(appUtils.getPageParam().product_type == "7"){
					 param = {
						"user_id" : user_id,//用户ID
						"product_id" : appUtils.getPageParam().product_id,//产品ID
						"khh" : khh,//客户号
						"trade_pwd" : trade_pwd,//交易密码
						"source" : "1",//获取来源  1. 表示 保证金  2.表示理财户   默认 表示保证金
						"tot_price" : appUtils.getPageParam().tot_price,
						"business_type" : "",
						"productType":appUtils.getPageParam().product_type,
						"sub_type":appUtils.getSStorageInfo("sub_type"),
						"sub_cycle":appUtils.getSStorageInfo("dingy_type"),
						"middleman_phone":appUtils.getSStorageInfo("middleman_phone"),
						"agmt_sno":appUtils.getSStorageInfo("agmt_sno")
					};
				}else if(appUtils.getPageParam().product_type == "9"){//otc基金入惨
					param = {
							"product_id" : appUtils.getPageParam().product_id,//产品ID
							"client_no" : khh,//客户号
							"trade_pwd" : trade_pwd,//交易密码
							"agmt_sno":appUtils.getSStorageInfo("agmt_sno"),//协议编码
							"middleman_phone":appUtils.getSStorageInfo("middleman_phone"),
							"trd_amt" : appUtils.getPageParam().tot_price//金钱
						};
				}else if(appUtils.getPageParam().product_type == "5"){
					param = {
							"user_id" : user_id,//用户ID
							"product_id" : appUtils.getPageParam().product_id,//产品ID
							"client_no" : khh,//客户号
							"khh" : khh,//客户号
							"trade_pwd" : trade_pwd,//交易密码
							"source" : "1",//获取来源  1. 表示 保证金  2.表示理财户   默认 表示保证金
							"tot_price" : appUtils.getPageParam().tot_price,
							"business_type" : "",
							"productType":appUtils.getPageParam().product_type,
							"sub_type":appUtils.getPageParam().sub_type,
							"sub_cycle": appUtils.getPageParam().dingy_type,
							"middleman_phone":appUtils.getSStorageInfo("middleman_phone"),
							"agmt_sno":appUtils.getSStorageInfo("agmt_sno")//协议编码
						};
				}else{
					 param = {
						"user_id" : user_id,//用户ID
						"product_id" : appUtils.getPageParam().product_id,//产品ID
						"khh" : khh,//客户号
						"trade_pwd" : trade_pwd,//交易密码
						"middleman_phone":appUtils.getSStorageInfo("middleman_phone"),
						"source" : "1",//获取来源  1. 表示 保证金  2.表示理财户   默认 表示保证金
						"tot_price" : appUtils.getPageParam().tot_price,
						"business_type" : ""
					};
				}
				console.log(param);
				if(appUtils.getPageParam().product_type == "8"){
					var param1={
						"product_id":product_id
					};
					//获取TA编码
					service.findFundById(param1,function(data){
						if(data.error_no!="0"){
							layerUtils.iAlert(data.error_info);
							layerUtils.iLoading(false);
							return false;
						}
							var results = data.results;				
							var fid_tadm = results[0].fid_tadm;//TA编码
							var fund_type = results[0].fund_type;//是否新发
							var	param3 = {
								"product_id" : appUtils.getPageParam().product_id,//产品ID
								"khh" : khh,//客户号
								"fid_tadm":fid_tadm,//TA编码
								"tot_price" : appUtils.getPageParam().tot_price,
								"trade_pwd":trade_pwd,
								"fund_type":fund_type
						   };
							
						service.placeFund(param3,function(data){
							if(data.error_no != "0"){
								layerUtils.iMsg(-1,data.error_info);
								layerUtils.iLoading(false);
								return false;
							}else{
								$(_pageId+".fake-box input").val("");
				    			$(_pageId+" #payment_drop").hide();
				    			$(_pageId+" #payment_card").hide();
								//购买成功跳转
								var param2="";
								var order_id = data.results[0].FID_WTH;//订单号
								if(appUtils.getPageParam().product_type == "8"){
									param2 = {
										"product_type" :"8",
										"order_id":order_id,
										"tot_price":appUtils.getPageParam().tot_price
									};
								}else{
									 param2 = {
										"order_id":order_id,
										"tot_price":appUtils.getPageParam().tot_price,
										"product_type" : "1"
									};
								}
								appUtils.pageInit("payment/paymentPage","mall/finanOrder/payment",param2);
							}
					},"");
					},"");
				}else if(appUtils.getPageParam().product_type == "9"){//otc基金下单
					service.placeOtcFund(param,function(data){
						if(data.error_no != "0"){
							$(_pageId+".fake-box input").val("");
			    			$(_pageId+" #payment_drop").hide();
			    			$(_pageId+" #payment_card").hide();
							layerUtils.iMsg(-1,data.error_info);
							layerUtils.iLoading(false);
							return false;
						}else{
							console.log("ok");
							order_id = data.results.APP_SNO;
							var param={
								"order_id":order_id,
								"tot_price":appUtils.getPageParam().tot_price,
								"product_type" : "9",
								"khh":appUtils.getSStorageInfo("khh"),
								"risk_level_khh":appUtils.getSStorageInfo("risk_level_khh"),//客户的风险等级
								"risk_level_cp":appUtils.getSStorageInfo("risk_level"),
								"product_id":product_id
							};
							appUtils.pageInit("payment/paymentPage","mall/finanOrder/payment",param);
						}
					});
				}else if(appUtils.getPageParam().product_type == "10"){
					service.placeOtcFund(param,function(data){
						if(data.error_no != "0"){
							$(_pageId+".fake-box input").val("");
			    			$(_pageId+" #payment_drop").hide();
			    			$(_pageId+" #payment_card").hide();
							layerUtils.iMsg(-1,data.error_info);
							layerUtils.iLoading(false);
							return false;
						}else{
							order_id = data.results.APP_SNO;
							var param={
								"order_id":order_id,
								"tot_price":appUtils.getPageParam().tot_price,
								"product_type" : "10"	
							};
							appUtils.pageInit("payment/paymentPage","mall/finanOrder/payment",param);
						}
					});
				}
				else{
					service.placeOrder(param,function(data){
						console.log(param);
						if(data.error_no != "0"){
							$(_pageId+".fake-box input").val("");
			    			$(_pageId+" #payment_drop").hide();
			    			$(_pageId+" #payment_card").hide();
							layerUtils.iMsg(-1,data.error_info);
							layerUtils.iLoading(false);
							return false;
						}else{
							order_id = data.results[0].order_id;
							var param="";
							if(appUtils.getPageParam().product_type == "7"){
								 param = {
									"product_type" :"7"
								};
							}else{
								 param = {
									"order_id":order_id,
									"tot_price":appUtils.getPageParam().tot_price,
									"product_type" : "1"
								};
							}
							appUtils.pageInit("payment/paymentPage","mall/finanOrder/payment",param);
						}
					});
				}
				
			}
		});
	}
	
	/**
	 * 协议签署
	 */
	function sign(){
		var user_id = appUtils.getSStorageInfo("user_id");
		var id=product_id.split(",");//切割数据获得第一个数据
		var param = {
			"user_id":user_id,
			"product_id":id[0],
	        "agreement_id":""
		};
		service.signAgreement(param,function(data){
			if(data.error_no!="0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				layerUtils.iMsg(0,"签署失败，请重新签署或联系客户，失败原因："+data.results[0].error_info);
				return false;
			}else{
				if(appUtils.getPageParam().product_type=="8"){
					var $input = $(_pageId + " #tradePwd");
					$(_pageId+".fake-box input").val("");
					$(_pageId+" #tradePwd").val("");
					$(_pageId+".yuan").show();
					$(_pageId+".yuan").html("<span>￥</span>"+tot_price);
					$(_pageId+" #payment_drop").show();
					$(_pageId+" #payment_card").show();
					$(_pageId+" #tradePwd").focus();
				}else{
					$(_pageId+".fake-box input").val("");
					$(_pageId+" #tradePwd").val("");
					if(product_type=="7"){//资讯的不显示价钱
						$(_pageId+".yuan").hide();
					}else{
						$(_pageId+".yuan").show();
						$(_pageId+".yuan").html("<span>￥</span>"+tot_price);
					}
					$(_pageId+" #payment_drop").show();
					$(_pageId+" #payment_card").show();
					$(_pageId+" #tradePwd").focus();
				}
			}
		});
	}
	
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			var id=pageParam.product_id.split(",");
			var user_id= appUtils.getSStorageInfo("yqtid");
			if(pageParam != undefined){
				var param = {
					"product_id" : id[0],
					"tot_price" : pageParam.tot_price,
					"product_type":pageParam.product_type,
					"prePageCode":prePageCode2,
					"user_id":user_id
				};
			}
			if(pageParam.page_code=="account/ytg/userSpace"){
				appUtils.pageInit("payment/paymentPage","account/ytg/userSpace",param);
			}else if(pageParam.page_code=="account/ytg/userSpaceXq"){
				appUtils.pageInit("payment/paymentPage","account/ytg/userSpaceXq",param);
			}else{
				appUtils.pageInit("payment/paymentPage","mall/finanOrder/stickMoneyBuy",param);
			}
		});
		
		//选择支付方式
		appUtils.bindEvent($(_pageId+" .method_inner"),function(event){
			if($(_pageId+" #otcPay").is(":checked")){
				$(_pageId+" #otcPay").attr("checked",false); //去除勾选
			}else{
				$(_pageId+" #otcPay").attr("checked",true); //自动勾选理财账户
			}
			 event.preventDefault();
		},"touchstart");
		//弹出密码框*
		appUtils.bindEvent($(_pageId+" #confirmPay"),function(){
			sign(); //判断没有协议签署
		});
		//确定支付
		var $input = $(_pageId+" .fake-box input");
		$(_pageId+" #tradePwd").on("input", function() {  
			 var pwd = $(_pageId+" #tradePwd").val().trim();//输入的密码  
            for (var i = 0, len = pwd.length; i < len; i++) {  
                $input.eq("" + i + "").val(pwd[i]);  
            }  
            $input.each(function() {  
                var index = $(this).index();  
                if (index >= len) {  
                    $(this).val("");  
                };  
            });  
            if (len == 6) { 
            	$(_pageId+".fake-box input").val("");
    			$(_pageId+" #payment_drop").hide();
    			$(_pageId+" #payment_card").hide();
                //执行其他操作  
            	var confirmPay= $(_pageId+" #tradePwd").val();//输入的密码
    			if(confirmPay==""||typeof(confirmPay)=="undefined"){
    				layerUtils.iMsg(-1,"请输入交易密码");
    		 		return false;
    			}
    			doOrder(confirmPay);//保证金购买
            }  
        }); 
		//关闭密码框
		appUtils.bindEvent($(_pageId+" .close"),function(){
			$(_pageId+".fake-box input").val("");
			$(_pageId+" #payment_drop").hide();
			$(_pageId+" #payment_card").hide();
			$(_pageId+" #tradePwd").val("");
		});
		// 点击绑定账户
		appUtils.bindEvent($(_pageId+" .fix_add a"),function(){
			appUtils.pageInit("payment/paymentPage","account/bindAccount");
		});
	}
	
	//销毁
	function destroy(){
		$(_pageId+" #payment_drop").hide();
		$(_pageId+" #payment_card").hide();
		$(_pageId+".fake-box input").val("");
		$(_pageId+" #finanPay").removeAttr("checked");
		$(_pageId+" #otcPay").removeAttr("checked");
		$(_pageId+" #tradePwd").val("");//输入的密码
		$(_pageId+" .bank_box").hide();
		$(_pageId+" #otcpay").show();
		$(_pageId+" #otcaccount").show();
		$(_pageId+" #bankpay").hide();
		$(_pageId+" #otcfund_fe").hide();//隐藏
		$(_pageId+" #otcfund_fengx").hide();//隐藏
	}
	var paymentPage = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	
	// 暴露对外的接口
	module.exports = paymentPage;
	
});