/**
 * 个人中心 持仓信息
 */
define('mall/scripts/userCenter/index.js',function(require, exports, module){ 
	var appUtils = require("appUtils");
	var	layerUtils = require("layerUtils");
	var	service = require("mobileService");
	var	common = require("common");
	var	_isLoginIn = "";
	var	user_name = "";
	var	fund_account = "";
	var	_pageId = "#userCenter_index ";
	var VIscroll = require("vIscroll");
	var pagingObjArr = [{"total_pages":0,"curr_page":0}]; // 消息分页对象数组，这个页面只有一个分页，简单分页
	var product_type=1;
	var start_time="";
	var end_time="";
	var order_state="";
	var pagingScrollArray = [{"scroll":null,"_init":false}];
	// 下标0的元素表示头部滑动，1、2、3分别表示推荐理财、推荐基金和推荐资讯
	var customHIscroll= [{"scroll":null,"_init":false},{"scroll":null,"_init":false},{"scroll":null,"_init":false}];
	
	function init(){
		common.initTitle(_pageId);
		
		$(_pageId+" #list").html("");
		$(_pageId+" #zzc").html("<em>￥</em>0");
		$(_pageId+" #licaizzc").html("<em>￥</em>0");
		$(_pageId+" #otczzc").html("<em>￥</em>0");
		$(_pageId+" #ljsy").html("0");
		
		$(_pageId+" .fix_add").css("margin-top","20%");
		
//		$(_pageId+" .my-account").css("height","150px");
	
		//初始化数据
		var loginType = appUtils.getSStorageInfo("loginType");
		if(loginType == "1"){
			queryAccountNumber();
			queryMyOrder();
		}else{
			common.queryMobilePhone(appUtils.getSStorageInfo("mobile_phone"),showMobilePhoneState);
		}
		$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height()-$(_pageId+".header").height()-$(_pageId+".new-footer-con").height()-1)+"px"});
		$(_pageId+" .footer-con li:nth-of-type(2) a").css("background","url(\"../mall/images/nav_4.png\") no-repeat center 20%");
		$(_pageId+" .footer-con li:nth-of-type(2) a").css("background-size","24px 23px");
	}
	
	/**
	 * 查询账户资金
	 */
	function queryAccountNumber(){
		var loginType = appUtils.getSStorageInfo("loginType");
		var param;
		if(loginType == "0"){
			param = {
				"user_id":appUtils.getSStorageInfo("user_id"),
				"loginFlag" : "2"  //loginType 1资金账户  2理财户
			};
		}else{
			param = {
				"user_id":appUtils.getSStorageInfo("user_id"),
				"loginFlag":"1"
			};
		}
		service.queryAccount(param, function(data){
			var error_no = data.error_no,
			    error_info = data.error_info,
			    results = data.results;
			if (error_no === "0"){
				var result = results[0];
				
				var all_money = result.all_money;
				var all_income = result.all_income;
				var licMoney = result.licMoney;
				var bzjMoney = result.bzjMoney;
				var flag = result.flag;
				
				if(flag == "1"){
					$(_pageId+" .my-account").css("height","280px");
					$(_pageId+" #finanOtcMoney").show();
					$(_pageId+" .fix_add").css("top","70%");
				}else{
					$(_pageId+" .my-account").css("height","150px");
					$(_pageId+" #finanOtcMoney").hide();
					$(_pageId+" .fix_add").css("top","55%");
				}
				
				if(all_money=="") {
					$(_pageId+" #zzc").html("<em>￥</em>0");
				}else {
					$(_pageId+" #zzc").html("<em>￥</em>"+all_money);
				}
				if(licMoney=="") {
					$(_pageId+" #licaizzc").html("<em>￥</em>0");
				}else {
					$(_pageId+" #licaizzc").html("<em>￥</em>"+licMoney);
				}
				if(bzjMoney==""){
					$(_pageId+" #otczzc").html("<em>￥</em>0");
				}else{
					$(_pageId+" #otczzc").html("<em>￥</em>"+bzjMoney);
				}
				$(_pageId+" #ljsy").html(all_income == "0.0" ? "0" : all_income);
			} else {
				layerUtils.iAlert(error_info);
			}
		}, {}); 
	}
	
	// 绑定事件
	function bindPageEvent(){
		// 交易明细
		appUtils.bindEvent($(_pageId+" #jymx"),function(){
			appUtils.pageInit("userCenter/index","account/indexOrder");
		});
		
	    appUtils.bindEvent($(_pageId + ".mz-left"),function(){
			appUtils.pageInit("userCenter/index","account/index");
			
        });
	     // 点击购买
	    appUtils.bindEvent($(_pageId+" #gm"),function(){
	    	appUtils.pageInit("userCenter/index","mall/moneyShop");
	    });
	    // 刷新
	    appUtils.bindEvent($(_pageId + ".header .mz-refresh"),function(){
            init();
	    });
		
		/**
		 * 精彩
		 */
		appUtils.bindEvent($(_pageId+" .ft-4"),function(){
			appUtils.pageInit("userCenter/index","mall/moneyShop",{});
		});
		/**
		 * 发现
		 */
		appUtils.bindEvent($(_pageId+" .ft-2"),function(){
			appUtils.pageInit("userCenter/index","account/found",{});
		});
	}
	
	// 判断理财户是否开户成功
	function determineAccountState(data){
		var results = data.results;
		var is_bank = results[0].is_bank;
		if(is_bank&&is_bank=="0"){
			layerUtils.iConfirm("您还未成功开通理财户，是否前往开通",function(){
				appUtils.pageInit("userCenter/index","addUserInfo/identityCard");
			});
		}else{
			appUtils.pageInit("userCenter/index", "account/riskAssessment", {});
		}
	}
	
	function logOut(){
		layerUtils.iConfirm("确定要退出吗？",function(){
				/* 调用退出登入接口 */
				service.loginOut({},function(data){
					var error_no = data.error_no;
					var error_info = data.error_info;
					var result = data.results;
					if(error_no == "0")
					{
						appUtils.clearSStorage("_loginInPageCode");
						appUtils.clearSStorage("_loginInPageParam");
						appUtils.clearSStorage("_isLoginIn");
						appUtils.clearSStorage();
						appUtils.pageInit("userCenter/index","mall/moneyShop",{});
					}
					else
					{
						layerUtils.iMsg(error_info);
					}
				});

			});
	}
	
	
	function queryBankCard(is_register,is_client,is_risk,is_pwd,is_bank){
		if(is_register&&is_register=="1"&&(is_client=="0"||is_pwd=="0"||is_bank=="0")){
			$(_pageId+" #is_addUserInfo").show();
			$(_pageId+" #bankCard_err").hide();
			$(_pageId+" #wate").hide();
			$(_pageId+" .fix_add").show();

			$(_pageId+" #zzc").html("<em>￥</em>0");
			$(_pageId+" #ljsy").html("0");
			return false;
		}else{
			queryAccountNumber();
			queryMyOrder();
		}
	}
	
	/* 获取订单产品(金融类) */
	function queryMyOrder(){

		var user_id =appUtils.getSStorageInfo("user_id");
		var productType ="1";
		var flag;
		var loginType = appUtils.getSStorageInfo("loginType");
		var account_name = appUtils.getSStorageInfo("client_no");//用户账号
		if(loginType == "0"){
			flag = "2";  //flag 1资金账户  2理财户
		}else{
			flag = "1";
		}
		var param =
		{
			"user_id" : user_id,
			"product_sub_type" : productType,
			"page" :"1",
			"start_time":start_time,
			"end_time":end_time,
			"order_state":order_state,
			"numPerPage" :"4",
			"flag" : flag,
			"account_name":account_name
		};

		service.queryOrderInfo(param,function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			
			if(error_no =="0" && productType=="1")
			{
				var result=data.results[0].data;
				if(result.length=="0"){
					$(_pageId+" .fix_add").show();
					// layerUtils.iMsg(-1,"没有相关产品!");
					$(_pageId+" #list").html("");
					$(_pageId+" .product_cont_list").empty();
					var total_pages = data.results[0].totalPages;
					var curr_page = data.results[0].currentPage;
					var total_rows = data.results[0].totalRows;
					total_pages = total_pages ? total_pages:0;
					curr_page = curr_page ? curr_page:0;
					total_rows=total_rows?total_rows:0;
					pagingObjArr[0].total_pages=total_pages;
					$(_pageId+" em[name='totalPage']").html(total_pages);
					pagingObjArr[0].curr_page=curr_page;
					$(_pageId+" em[name='curPage']").html(0);
					// 显示多少条数据
					$(_pageId+" em[name='total_rows']").html(total_rows);
					$(_pageId + "  span[name='aNextPage']").removeClass("blue");
					$(_pageId+" .container_gmjj").css("display","none");
				//	$(_pageId+" .fix_add").css("display","block");
				}
				else{
					$(_pageId+" .fix_add").hide();
				
					var len = $(_pageId+" .my-account-list li").length;
					if(len>=5){
						$(_pageId+" .visc_pullUpIcon").show();
						$(_pageId+" .visc_pullUpDiv").show();
					}
					//$(_pageId+" .fix_add").css("display","none");
					var allRecommendStr =  "";
					var list =  data.results[0].data;
					var len = list.length;
					var all_price = "";
					var all_income = "";
					allRecommendStr += '<ul class="my-account-list">';
					for( var idx = 0; idx<len ; idx++){
						var tot_price = list[idx].tot_price;
						//科学计数法转为小数形式
						if  ((tot_price.indexOf('E') != -1) || (tot_price.indexOf('e') != -1)){
							var  regExp =  new  RegExp( '^((\\d+.?\\d+)[Ee]{1}(\\d+))$', 'ig' );  
					         var  result = regExp.exec(tot_price);  
					         var  resultValue = "";  
					         var  power =  "" ;  
					         if  (result !=  null ){  
					            resultValue = result[2];  
					            power = result[3];  
					            result = regExp.exec(tot_price);  
					         }  
					         if  (resultValue !=  "" ) {  
					             if  (power !=  "" ) {  
					                var  powVer = Math.pow(10, power);  
					                resultValue = resultValue * powVer;  
					            }  
					         }
					        tot_price = resultValue/10000 + "万";
						}
						allRecommendStr += '<li class="clearfix" product_id="'+list[idx].product_id+'">'+
								       			'<div class="mal-left">'+
								       				'<h2><span>'+list[idx].product_name+'</span></h2>'+
								       				'<p>持有金额<strong>'+tot_price+'</strong>(元)</p>'+
								       			'</div>'+
								       			'<div class="mal-right">'+
								       				'<p><em>￥</em>+ '+list[idx].person_income+'</p>'+
								       				'<h4>昨日收益</h4>'+
								       			'</div>'+
								       		'</li>';
						if(idx==len-1){
							all_price = list[idx].all_price;
							all_income = list[idx].all_income;
						}
					}
					allRecommendStr += '</ul>';
					$(_pageId+" #ljsy").html(all_income);
					$(_pageId+" #list").html(allRecommendStr);
// $(_pageId+" #list").html(allRecommendStr);
// $(_pageId+" #totalMoney").html(all_price);
// $(_pageId+" #availableMoney").html(all_income);
//					$(_pageId+" #totalMoney").html(all_price);
//					$(_pageId+" #availableMoney").html(all_income);
					$(_pageId+" .pages.mt7").show();
					
					// 控制显示
//			        if(!pagingScrollArray[0]._init){
//						var pagingConfig = {
//							isPagingType:false,
//							visibleHeight: $(window).height()-$(".header").height()-$(".my-account").height()-$(_pageId+".footer-con").height()-15,
//							container : $(_pageId+" #container_gmjj"), // container元素
//							wrapper: $(_pageId+" #wrapper_gmjj"), // wrapper元素
//							downHandle : function() {
//								// handlePreNextPage(-1);
//								pagingScrollArray[0].scroll.refresh(4);
//							},
//							upHandle : function(){
//								handlePreNextPage(1);
//								pagingScrollArray[0].scroll.refresh(4);
//							}
//						};
//						pagingScrollArray[0].scroll = new VIscroll(pagingConfig); // 初始化
//						pagingScrollArray[0]._init = true; // 尽量只初始化一次，保持性能
//					}else{
//						pagingScrollArray[0].scroll.refresh();
//					}
			        appUtils.bindEvent($(_pageId+" .my-account-list li"),function(){
						var product_id = $(this).attr("product_id");
					    var param = {
					    	"product_id":product_id
					    };
					    appUtils.pageInit("userCenter/index","account/indexOrder",param);
					});
				}
			}else{
				layerUtils.iMsg(-1,error_info);
			}
		});
	}
	
	// 处理上一页，下一页
	function handlePreNextPage(direction)
	{	
		var total_pages = pagingObjArr[0].total_pages;
		var   curr_page = pagingObjArr[0].curr_page;
		var   curPageNo = parseInt(curr_page) + direction ;
		var user_id =appUtils.getSStorageInfo("user_id");
		var productType =product_type;
		if(curr_page==total_pages){
			// layerUtils.iMsg(-1,"没有更多了!");
		}
		if(curPageNo>0 && curPageNo <= total_pages && curPageNo != curr_page) // 有效执行跳转页面条件
		{
			if(productType=="0"||productType=="1"){
				var param =
				{
					"user_id":user_id,
					"page":curPageNo,
					"numPerPage":"",
					"product_sub_type":productType,
					"start_time":start_time,
					"end_time":end_time,
					"order_state":order_state
				};
				service.queryMyOrder(param,function(data){
					var error_no = data.error_no;
					var error_info = data.error_info;
					if(error_no =="0" && productType=="1")
					{
						var result=data.results[0].data;
						if(result.length=="0"){
							$(_pageId+" .fix_add").show();
							// layerUtils.iMsg(-1,"没有相关产品!");
// $(_pageId+" .product_bd_title").html('理财产品订单总数 : 0');
							$(_pageId+" .product_cont_list").empty();
							var total_pages = data.results[0].totalPages;
							var curr_page = data.results[0].currentPage;
							var total_rows = data.results[0].totalRows;
							total_pages = total_pages ? total_pages:0;
							curr_page = curr_page ? curr_page:0;
							total_rows=total_rows?total_rows:0;
							pagingObjArr[0].total_pages=total_pages;
							$(_pageId+" em[name='totalPage']").html(total_pages);
							pagingObjArr[0].curr_page=curr_page;
							$(_pageId+" em[name='curPage']").html(0);
							// 显示多少条数据
							$(_pageId+" em[name='total_rows']").html(total_rows);
							$(_pageId + "  span[name='aNextPage']").removeClass("blue");
						}
						else{
							$(_pageId+" .fix_add").hide();
							var len = $(_pageId+" .my-account-list li").length;
							if(len>=5){
								$(_pageId+" .visc_pullUpIcon").show();
								$(_pageId+" .visc_pullUpDiv").show();
							}
							var allRecommendStr =  "";
							var list =  data.results[0].data;
							var len = list.length;
							allRecommendStr += '<ul class="my-account-list">';
							for( var idx = 0; idx<len ; idx++){
// allRecommendStr += '<div class="mz-record"><div
// class="record-content"><h2>'+list[idx].product_name+'</h2><div
// class="record-order
// clearfix"><p>持有金额<span>'+list[idx].tot_price+'</span>元</p><a
// href="javascript:void(0);"
// class="order-gray">'+list[idx].person_income+'</a></div></div></div>';
								allRecommendStr += '<li class="clearfix" product_id="'+list[idx].product_id+'">'+
										       			'<div class="mal-left">'+
										       				'<h2><span>'+list[idx].product_name+'</span></h2>'+
										       				'<p>持有金额<strong>'+list[idx].tot_price+'</strong>(元)</p>'+
										       			'</div>'+
										       			'<div class="mal-right">'+
										       				'<p><em>￥</em>+'+list[idx].person_income+'</p>'+
										       				'<h4>昨日收益</h4>'+
										       			'</div>'+
										       		'</li>';
							}
							allRecommendStr += '</ul>';
							$(_pageId+" #list").append(allRecommendStr);
							$(_pageId+" .pages.mt7").show();
							
							// 控制显示
//					        if(!pagingScrollArray[0]._init){
//								var pagingConfig = {
//									isPagingType:false,
//									visibleHeight: $(window).height()-$(_pageId+".header").height()-$(_pageId+".my-account").height()-$(_pageId+".footer-con").height()-15,
//									container : $(_pageId+" #container_gmjj"), // container元素
//									wrapper: $(_pageId+" #wrapper_gmjj"), // wrapper元素
//									downHandle : function() {
//										// handlePreNextPage(-1);
//										pagingScrollArray[0].scroll.refresh(4);
//									},
//									upHandle : function(){
//										handlePreNextPage(1);
//										pagingScrollArray[0].scroll.refresh(4);
//									}
//								};
//								pagingScrollArray[0].scroll = new VIscroll(pagingConfig); // 初始化
//								pagingScrollArray[0]._init = true; // 尽量只初始化一次，保持性能
//							}else{
//								pagingScrollArray[0].scroll.refresh();
//							}
					        appUtils.bindEvent($(_pageId+" .mz-record"),function(){
					        	var product_id = $(this).attr("product_id");
					        	var param = {
					        		"product_id":product_id
					        	};
					        	appUtils.pageInit("userCenter/index","userCenter/myTradeInfo",param);
					        });
						}

					}else{
						layerUtils.iMsg(-1,error_info);
					}
				});
			}
		}
	}
	
	function showMobilePhoneState(data){
		var results = data.results;
		var is_register = results[0].is_register;
		var is_client = results[0].is_client;
		var is_risk = results[0].is_risk;
		var is_pwd = results[0].is_pwd;
		var is_bank = results[0].is_bank;
		var _isLoginIn = appUtils.getSStorageInfo("_isLoginIn");
		if(_isLoginIn == "true"){
			var user_name = appUtils.getSStorageInfo("user_name");
			var mobile_phone = appUtils.getSStorageInfo("mobile_phone");
			if(user_name==""||user_name==null){
				user_name == "";
			}
			if(mobile_phone==""||mobile_phone==null){
				mobile_phone == "";
			}
			$(_pageId + ".main .person_tit").html("<span>您好，<b >"+user_name+"</b></span><strong>手机账号：<var>"+mobile_phone+"</var></strong>");
		}else{
			// layerUtils.iMsg(-1,"请先登录!");
			appUtils.pageInit("userCenter/index", "account/userLogin", {});
			return false;
		}
		queryBankCard(is_register,is_client,is_risk,is_pwd,is_bank);
	}

	
	
	function destroy(){
		fund_account = "";
		$(_pageId+"#totalMoney").html("");
		$(_pageId+"#availableMoney").html("");
		$(_pageId+" #is_addUserInfo").hide();
		$(_pageId+" #bankCard_err").hide();
		$(_pageId+" #wate").hide();
		$(_pageId+" .fix_add").hide(); // 隐藏添加(购买)图片
	}
	
	var index = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	// 暴露对外的接口
	module.exports = index;
});