/**
 * 风险测评-结果
 */
define('mall/scripts/userCenter/riskResults.js',function(require, exports, module) {
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var service = require("mobileService"); //业务层接口，请求数据
	var global = gconfig.global;
	var layerUtils = require("layerUtils");
	var fundUtils = require("mall/scripts/common/fundUtils");
	var common = require("common");
	var pageId="#userCenter_riskResults ";
	var product_code="";

	/*初始化*/
	function init()
	{
		common.initTitle(pageId);
		
		$(pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height())+"px"});
		var trade_pwd = appUtils.getSStorageInfo("trade_pwd");
		console.log(trade_pwd);
		var khh = appUtils.getSStorageInfo("khh");//判断返回是够绑定了客户号
//		if(khh==""){
//			var param2={
//					"counTer":"请您用客户号登入！"
//				};
//			common.popupMethod(param2);
//			appUtils.pageInit("userCenter/riskResults","userCenter/wd");
//		}else{
//			_ygtLoginFun("");//网厅登入
//			userCardRisk();//查询客户的风险测评
//		}
		userCardRisk();//查询客户的风险测评
	}
	/**
	 * 查询客户的风险测评
	 */
	function userCardRisk(param){
		var khh = appUtils.getSStorageInfo("khh");//客户号
		if(khh!=""&&typeof(khh)!="undefined"&&khh!=null){
			service.finduserCardRisk({"khh":khh},function(data){
				if(data.error_no=="0"){
					var result=data.results;
					var fid_xgpz=result[0].fid_xgpz;//投资品种
					var fid_qx=result[0].fid_qx;//投资期限
					var fid_sylx=result[0].fid_sylx;//预计期限
					var risk_level=result[0].fid_fxcsnl;//风险等级
					var fid_jjfxpgrq=result[0].fid_jjfxpgrq;//测评时间
					if(risk_level!=""&&typeof(risk_level)!="undefined"){//有风险等级的
						var buy_name;
						if(risk_level == "1"||risk_level == "12"){
							buy_name = "您当前的风险等级适合买低风险产品";
						}else if(risk_level == "2"||risk_level == "13"){
							buy_name = "您当前的风险等级适合买低风险,偏低风险产品";
						}else if(risk_level == "3"||risk_level == "14"){
							buy_name = "您当前的风险等级适合买低风险,偏低风险,中等风险产品";
						}else if(risk_level == "4"||risk_level == "15"){
							buy_name = "您当前的风险等级适合买低风险,偏低风险,中等风险,偏高风险产品";
						}else if(risk_level == "5"||risk_level == "16"){
							buy_name = "低风险,偏低风险,中等风险,偏高风险,高风险";
						}else{//保守型最低风险
							buy_name="您当前的风险等级不适合买任何产品";
						}
//						if(fid_sylx!=""&&typeof(fid_sylx)!="undefined"&&fid_sylx!=null){
//							$(pageId+" #fund_jy").html("·预期收益:"+fundUtils.fidSylx(fid_sylx));
//						}else{
//							$(pageId+" #fund_jy").html("·预期收益:");
//						}
//						if(fid_xgpz!=""&&typeof(fid_xgpz)!="undefined"&&fid_xgpz!=null){
//							var fid_pz=fid_xgpz.split(";");
//							var fid_pzname="";
//							for(var i = 0;i < fid_pz.length;i++){
//								if(i==(fid_pz.length-1)){
//									fid_pzname+=fundUtils.fidXgpz(fid_pz[i]);
//								}else{
//									fid_pzname+=fundUtils.fidXgpz(fid_pz[i])+";";
//								}
//							}
//							$(pageId+" #fund_pz").html("·拟投资品种:"+fid_pzname);
//						}else{
//							$(pageId+" #fund_pz").html("·拟投资品种:");
//						}
//						
//						$(pageId+" #fund_qx").html("·拟投资期限:"+fundUtils.fundQx(fid_qx));
						 $(pageId+ " #again").show();
						$(pageId+" #fx_tpye").html(fundUtils.FundkhhRank(risk_level));
						$(pageId+" #fund_time").html(".评测时间: "+fid_jjfxpgrq);
						$(pageId+" #fx_cp").html(buy_name);
					}else{//没有做风险测评的
						var param2={
								"counTer":"您未做风险测评，请测评！"
							};
						common.popupMethod(param2);
						var param = appUtils.getPageParam();
						if(param != "" && typeof(param) != "undefined"){				
							param["pageCode"] = "userCenter_riskResults";
						}
						appUtils.pageInit("userCenter/riskResults","userCenter/fundRisk",param);
					}
				}else{
					layerUtils.iAlert(data.error_info);
                    return false;
				}
			});
		}
	}
	
    //云柜台登录函数----适当性改造
    function _ygtLoginFun(url){
        var loginType = appUtils.getSStorageInfo("loginType");
        var login_account = appUtils.getSStorageInfo("login_account");
        var trade_pwd = appUtils.getSStorageInfo("trade_pwd");
        if(loginType == "1"){//资金账号登录
            var param = {
                "login_id":login_account,
                "pwd_value":trade_pwd,
                "identity_num":"",
                "pwd_type":"5",
                "login_uid":"",
                "login_type":"6"
            };
            service.ygt_login(param, function(data){
                var error_no = data.error_no;
                var error_info = data.error_info;
                if(error_no == "0") {
                    var result = data.results[0];
                    sessionStorage.setItem("userInfo2",JSON.stringify(result));

                    /*	if(platform == 0){//浏览器
                     alert(1);*/
                    appUtils.setSStorageInfo("userInfo", result, true);
                    appUtils.setSStorageInfo("user_id", result.user_id, true);//方便保存user_id -----2017-4-6日修改
                    appUtils.setSStorageInfo("ygt_login", "1",true);
                    var Accountparam = {
                        "user_id":result.user_id,
                        "zj_account":"",
                        "client_id":login_account
                    };
                    service.ygt_syncTradeAccount(Accountparam, function(AccountData){
                        var error_no = AccountData.error_no;
                        var error_info = AccountData.error_info;
                        if(error_no == "0") {
                            var result = AccountData.results[0];
                            var licaiAccount = "";
                            var qihuoAccount = "";
                            var netAccount = "";
                            var zqAccount = "";
                            if (result["1"]) {
                                licaiAccount = result["1"];
                            }
                            if(result["2"]) {
                                qihuoAccount = result["2"];
                            }
                            if(result["3"]) {
                                netAccount = result["3"];
                            }
                            if(result["4"]) {
                                zqAccount = result["4"];
                            }
                            appUtils.setSStorageInfo("zqAccount", zqAccount, true);
                            sessionStorage.setItem("zqAccount", zqAccount);
                            $(pageId+ " #again").show();
                            // var page = appUtils.getSStorageInfo("_loginInPageCodeYGT",true);
                            // if(page != "" && page != null && page != undefined){
                            //     appUtils.sendDirect("../"+page+".html");
                            // }
                           // appUtils.pageInit(pageCode,url);
                        } else {
                            layerUtils.iAlert(error_info);
                            return false;
                        }
                    });
                } else {
                    layerUtils.iAlert(error_info);
                    return false;
                }
            },{isLastReq: false,isAsync:false});
        }else{
        	var param2={
        		"counTer":"请您用客户号登入！"
			};
			common.popupMethod(param2);
            appUtils.pageInit(pageCode, "account/userLogin");
        }

    }
	
	function bindPageEvent() 
	{
		/* 绑定返回事件 */
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
//			appUtils.pageInit("userCenter/riskResults","userCenter/wd");
			if(appUtils.getSStorageInfo("_prePageCode") == "userCenter/fundRisk"){
				//回到来结果页面的上一个页面
				
				if(typeof(appUtils.getPageParam())!="undefined"){
					if(typeof(appUtils.getPageParam().back_param) != "undefined"){
						var prePageCode = appUtils.getPageParam().back_param.url_flag;
					}
				}
				if(prePageCode == "" || typeof(prePageCode) == "undefined"){
					appUtils.pageInit("userCenter/riskResults","userCenter/wd");
				}else{
					
					appUtils.pageInit("userCenter/riskResults",prePageCode,appUtils.getPageParam().back_param);
				}
			}else{				
				appUtils.pageBack();
			}
		});

		/* 重新测评 */
		appUtils.bindEvent($(pageId+" #again"),function(){
			//多次重复测评，要从测评页面获得以前页面的参数。
			if(appUtils.getSStorageInfo("_prePageCode") == "userCenter/fundRisk"){
				var  param = appUtils.getPageParam().back_param;
			}else{				
				var param = appUtils.getPageParam();
			}
			if(param != "" && typeof(param) != "undefined"){				
				param["pageCode"] = "userCenter_riskResults";
			}
			appUtils.pageInit("userCenter/riskResults","userCenter/fundRisk",param);
		});
	}

	function destroy()
	{
		service.destroy();
		$(pageId+" #fx_cp").html("");
	}

	var riskResults = 
	{
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};

	module.exports = riskResults;

});