/**
* 查看协议
*/
define(function(require,exports,module){
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		layerUtils = require("layerUtils"),
		_pageId = "#userCenter_showProtocol ";
	var mobileService = require("mobileService");
	var external = require("external");
	
	function init(){
		common.initTitle(_pageId);
		
		var protocol_id = appUtils.getPageParam("protocol_id");
		var param = {
			"user_id" : appUtils.getSStorageInfo("userInfo",true).user_id,
			"agree_no" : appUtils.getSStorageInfo("agree_no"),
			"risklevel" : appUtils.getSStorageInfo("subitemname"),
			"business_code" : appUtils.getSStorageInfo("business_code"),
			"agree_type" : appUtils.getSStorageInfo("agree_type")
		}
		//查询协议内容
		mobileService.getGzhProtocolInfo(param,function(data){
			if(error_no = data.error_no)
			{
//				$(_pageId+" .xy_cont").html('<div class="title">'+data.results[0].md5+'</div>'+data.results[0].content);
				$(_pageId+" .xy_cont").html(data.results[0].content);
				 appUtils.setSStorageInfo("md5", data.results[0].md5);
				 appUtils.setSStorageInfo("agree_content", data.results[0].content);
			}
			else
			{
				layerUtils.iAlert(data.error_info,-1);
			}
		});
	}
	function bindPageEvent(){
		// 绑定返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
		
		//绑定返回按钮
		appUtils.bindEvent($(_pageId+" .ce_btn"),function(){
			appUtils.pageBack();
		});
		
		//绑定home键 跳转到主界面
		appUtils.bindEvent($(_pageId+" .icon_home"), function(){
//			appUtils.pageInit("account/showProtocol", "account/addIndex", {});
			appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
		});
	}
	function destroy(){
		// 将协议内容置空
		mobileService.destroy();
	}
	
	var showProtocol = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = showProtocol;
});