
/**
 * 新 我的 BrotherZeng
 */
define('mall/scripts/userCenter/wd.js',function(require, exports, module) {

	var pageId = "#userCenter_wd ";
	var pageCode = "userCenter/wd";
	var external = require("external");
	var appUtils = require("appUtils");
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var platform = require("gconfig").platform;
	var ytgService = require("ytgService"); // 业务层接口，请求数据
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	var common = require("common");
	var domain = gconfig.global.domain;
	var constants = require("constants");// 常量类
	var platform=require("gconfig").platform;
	var isLogin;
	var prePageCode= "";
	var khdj="";
	var HIscroll = require("hIscroll");
	var picLoadTimer = null;
	var moduleName = "";
	var thirdParam="";
	var inst_avls="";//持有金额
	var all_money = "";
	var VIscroll = require("mall/scripts/plugins/iscroll/vIscroll.js"); // 自定义滑动组件
    var vIscroll = {"scroll" : null, "_init" : false};
	// 初始化
	function init() {
		common.initTitle(pageId);
		
		pageScrollInit();//上线滑动组件
		$(pageId + " #my_portfolio").show();
		var prePageCode = appUtils.setSStorageInfo("pageCode",pageCode);
		var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆
		if(login_flag!="true") {//判断是否登入
			$(pageId + " #zhzje").html("--");
			$(pageId + " #bzjzh").html("--");
			$(pageId + " #gpzh").html("--");
			$(pageId + " #tycpzh h4").html("--");
		}else{						
			var firstInstall=appUtils.getSStorageInfo("firstInstallwd",true);
			if(firstInstall!="1"){ 
				appUtils.setSStorageInfo("firstInstallwd","1",true);
				initData();
			}
		}
	}
	
	function initData() {
		all_money="0";
		queryUserInfo();// 初始化个人信息
		queryAll();//查询翼钱罐总资产
		queryCroad();//是否显示银行卡
		queryAccountZ();//查询客户资产
		common.queryImMessageNum(pageId);//查询IM未读消息
	}
	
	/**
	 * 上下滑动刷新事件
	 */
	function pageScrollInit(){
		var visibleHeight = $(window).height() - $(pageId + " .header").height() - $(pageId + " .footer_inner").height();
		if(!vIscroll._init) {						
			$(pageId + "#slide_wrapper").attr("style", "");
			var config = {
				"isPagingType": false,
				"visibleHeight": visibleHeight, //这个是中间数据的高度
				"container": $(pageId + "#slide_container"),
				"wrapper": $(pageId + "#slide_wrapper"),
				"downHandle": function() {
					var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆
					if(login_flag=="true") {//判断是否登入
						initData();
					}
					setTimeout(function () {
						vIscroll.scroll.refresh(false,visibleHeight);
					}, 200);
				},
				"upHandle": function() {
					vIscroll.scroll.refresh(false,visibleHeight);
					return false;
				},
				"wrapperObj": null
			};
			vIscroll.scroll = new VIscroll(config); //初始化
			vIscroll._init = true;
		}else{
			setTimeout(function () {
				vIscroll.scroll.refresh(false,visibleHeight);
			}, 200);
		}
		$(pageId + "#slide_container .visc_pullUp_new").hide();
	};
	
	//查询客户的资产
	function queryAccountZ(){
		var param = {
				"user_id" : appUtils.getSStorageInfo("user_id"),
				"loginFlag" : appUtils.getSStorageInfo("loginType")
		};
		service.queryAccountZZC(param, function(data){
			var error_no = data.error_no,
			    results = data.results;
			if (error_no === "0"){
				var result = results[0];
				var all_money = result.all_money;//总资产
				var bzjMoney = result.bzjMoney;//保证金金额
				var gpzhMoney = result.gpzhMoney;//股票市值
				var tjcpMoneyStr = result.tjcpMoneyStr;//投研产品
				var yqgMoney = result.yqgMoney;//翼钱罐市值
				var zjzh = result.zjzh;//资金账户
				$(pageId + " #zhzje").html(all_money);
				$(pageId + " #bzjzh").html(bzjMoney);
				$(pageId + " #gpzh").html(gpzhMoney);
				$(pageId + " #tycpzh h4").html("已购产品"+tjcpMoneyStr+"个<i></i>");
			}
		});
	}
	//判断手机号还是保证金号显示银行卡问题
	function queryCroad(){
		var loginType = appUtils.getSStorageInfo("loginType");//获取是什么登入保证金还是手机
		if(loginType=="1"){
			$(pageId + " .my_bank").hide();
		}else{
			$(pageId + " .my_bank").show();
		}
	}

	
	
	/**
	 * 查询个人信息
	 */
	function queryUserInfo(){
		$(pageId +" #sz").css("display","show");
		var mobile_phone = appUtils.getSStorageInfo("mobile_phone");
		var loginType = appUtils.getSStorageInfo("loginType");
		var param;
		if(mobile_phone != ""&&mobile_phone!=null){
			param = {
				"user_id":appUtils.getSStorageInfo("user_id"),
				"loginFlag" : loginType  //loginType 1资金账户  2理财户
			};
			var param1={
					"user_id" : appUtils.getSStorageInfo("yqtid")
			};
			ytgService.findUserInfoById(param1,function callBack(resultVo){
				var face_image = constants.ytg_img.USER_IMG;
				if(Number(resultVo.error_no) == 0){
					var result = resultVo.results[0];
					 face_image = result.face_image_small?result.face_image_small:constants.ytg_img.INVEST_IMG;
					 $(pageId + ".news_my_service .tx img").attr("src",domain+face_image);
				}
			},{"isLastReq":false});
			
			
		}else{
			param = {
				"user_id":appUtils.getSStorageInfo("user_id"),
				"loginFlag":loginType
			};
			$(".info_lt dl dd").html("<h9 id='bangding'>请完善资料</h9><i></i>");
			
		}
		
	}
	
	function queryAll(){
		var bs="";//大类标识页面展示
		var str="";
		var sh="";//赎回按钮页面展示
		
	/**
	 * 查询翼钱罐总资产
	 */
	var khh = appUtils.getSStorageInfo("khh");//判断返回是够绑定了客户号
	if(khh!=""&&typeof(khh)!="undefined"&&khh!=null){//有客户号的
		var param = {
				"khh": appUtils.getSStorageInfo("khh"),
				"userId": appUtils.getSStorageInfo("user_id"),
				"loginType":appUtils.getSStorageInfo("loginType")
			};
		service.queryAssetView(param,function(data){
			if(data.error_no == "0"){
				var results =data.results;//出参结果
				if(results!=""&&results.length>0){
					
					for(var i=0;i<results.length;i++){
						var inst_avl=results[i].inst_bln;//可用余额
						var mkt_val=results[i].mkt_val;//可用余额
						
						//inst_avl=Number(inst_avl,2)+Number(results[i].dyqje,2);
						
						inst_avl=Number(mkt_val,2)+Number(results[i].dyqje,2);
						
						inst_avl = inst_avl.toFixed(2);
						//all_money = Number(all_money,2)+Number(mkt_val,2);
						//all_money = Number(inst_avl,2)+Number(all_money,2);
						all_money = Number(inst_avl,2)+Number(all_money,2);
					}
					$(pageId + " #yqgzh h4").html((all_money.toFixed(2))+"<i></i>");
					
					thirdParam = {
				            "all_money": all_money
				    };
				}
			}else{
				common.imsg(data.error_info);
			}
			});
	}else{//只有手机号的
		$(pageId + " #yqgzh h4").html("0.00<i></i>");
	}
		
	}
	
	/*
	 * 查询积分/积分
	 */
	function queryUserIntegral(){
		var userInfo = appUtils.getSStorageInfo("userInfo"); // 用户信息
		var param = {
			"user_id" : JSON.parse(userInfo).user_id
		};
		
		service.queryUserIntergral(param, function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			if(error_no == "0"){
				var item = data.results[0];
				var enableIntegral = item.enable_integral || "0"; // 可用积分
				$(pageId + "#enable_integral").html(enableIntegral);
			}else{
				common.imsg(error_info);
			}
		});
	}
	// 绑定事件
	function bindPageEvent() {
		//我的设置
		appUtils.bindEvent($(pageId + " .tx"), function() {
			// 判断是否登陆
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆
			if(login_flag!="true") {//判断是否登入
				var pageInParam = {
						"prePageCode" : pageCode,
						"backUrl" : pageCode
					};
				appUtils.pageInit(pageCode, "account/userLogin",{"backparam":pageInParam});
			}else {
				var param1 = {
						"pageCode" : pageCode,
						"user_id": appUtils.getSStorageInfo("yqtid")
					};
						appUtils.pageInit(pageCode, "account/ytg/mySetting/setInfo", param1);
				}
		},"click");
		// 查询我的资讯订单
		appUtils.bindEvent($(pageId + " #tycpzh"), function() {
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆
			if(login_flag=="true"){
				appUtils.pageInit(pageCode, "order/informationOrder",thirdParam );
			}else{
				var pageInParam = {
						"prePageCode" : pageCode,
						"backUrl" : pageCode
					};
				appUtils.pageInit(pageCode, "account/userLogin",{"backparam":pageInParam});
	
			}
		},"click");
		// 资产视图
		appUtils.bindEvent($(pageId + " #yqgzh"), function() {
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆
			if(login_flag=="true"){
				appUtils.pageInit(pageCode, "userCenter/assetView",thirdParam );
			}else{
				var pageInParam = {
						"prePageCode" : pageCode,
						"backUrl" : pageCode
					};
				appUtils.pageInit(pageCode, "account/userLogin",{"backparam":pageInParam});
	
			}
		},"click");
		// 开户
		appUtils.bindEvent($(pageId + " #openbanner"), function() {
			common.open();
		},"click");
		// 小贷
		appUtils.bindEvent($(pageId + " #xdbanner"), function() {
			var paramO = {
					"funcNo":"50101",
					"moduleName":"xdt"
				};
				external.callMessage(paramO);
		},"click");

		// 理财商城
		appUtils.bindEvent($(pageId + " #ylc"), function() {
			var param={
					"loadPage":	true
				};
			appUtils.pageInit(pageCode, "mall/moneyShop", param);
		},"click");
		// 登陆
		appUtils.bindEvent($(pageId + " .left_text"), function() {
			appUtils.pageInit(pageCode, "account/userLogin");
		},"click");
		// 主页
		appUtils.bindEvent($(pageId + " #index"), function(event) {
			 event.stopPropagation();
			 var param={
						"loadPage":	true
					};
			appUtils.pageInit(pageCode, "account/index",param);
		},"touchstart");
		// 翼启投
		appUtils.bindEvent($(pageId + " #yqt"), function(event) {
			 event.stopPropagation();
			 var param={
						"loadPage":	true
					};
			appUtils.pageInit(pageCode, "account/ytg/yqt",param);
		},"touchstart");
		// 理财
		appUtils.bindEvent($(pageId + " #lc"), function(event) {
			 event.stopPropagation();
			 var param={
						"loadPage":	true
					};
			appUtils.pageInit(pageCode, "mall/moneyShop",param);
		},"touchstart");
		// 生活
		appUtils.bindEvent($(pageId + " #sh"), function(event) {
			 event.stopPropagation();
			 var param={
						"loadPage":	true
					};
			appUtils.pageInit(pageCode, "life/lifeIndex",param);
		},"touchstart");
		// 我的
		appUtils.bindEvent($(pageId + " #wd"), function(event) {
			appUtils.setSStorageInfo("_loginInPageCode","userCenter/wd");//保存要跳转的页面
			 event.stopPropagation();
			 var param={
						"loadPage":	true
					};
			appUtils.pageInit(pageCode, "userCenter/wd",param);
		},"touchstart");
		// 设置
		appUtils.bindEvent($(pageId + " .icon_set"), function() {
			var param = {
				"pageCode" : pageCode
			};
			appUtils.pageInit(pageCode, "userCenter/wdsz",param);
		},"click");
		
		// 翼钱罐服务订单
		appUtils.bindEvent($(pageId + " #yqgOrder"), function() {
			appUtils.pageInit(pageCode, "userCenter/assetV");
		},"click");
		
		// 沪港通
		appUtils.bindEvent($(pageId + " #hgt"), function() {
			common.moduleJump();
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆
				var login = appUtils.getSStorageInfo("ygt_login",true);
			//	appUtils.setSStorageInfo("preModuleName","mall");//保存源模块信息
				if(login_flag=="true"){
				//	appUtils.sendDirect("../ggt/index.html#!/ggt/index.html");
				appUtils.setSStorageInfo("_loginInPageCodeYGT","ggt/index.html#!/business/index",true);//保存要跳转的页面
					
					//appUtils.sendDirect("../ggt/index.html#!/business/index.html");
					ygtLoginFun();
					}else{//未登录
							var pageInParam = {
									"prePageCode" : pageCode,
									"backUrl" : pageCode
								};
							appUtils.pageInit(pageCode, "account/userLogin",{"backparam":pageInParam});
				}
		},"click");
		// 身份证升位
		appUtils.bindEvent($(pageId + " #idcardSw"), function() {
			common.moduleJump();
			var login = appUtils.getSStorageInfo("ygt_login",true);
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆
			if(login_flag=="true"){
				appUtils.setSStorageInfo("_loginInPageCodeYGT","idcardSw/index",true);//保存要跳转的页面
				if(login == "1"){
					var page = appUtils.getSStorageInfo("_loginInPageCodeYGT",true);
					if(page != "" && page != null && page != undefined){
						appUtils.sendDirect("../"+page+".html");
					}
				}else{
					ygtLoginFun();
				}
			}else{//未登录

				var pageInParam = {
						"prePageCode" : pageCode,
						"backUrl" : pageCode
					};
				appUtils.pageInit(pageCode, "account/userLogin",{"backparam":pageInParam});

			}
		},"click");
		
		// 身份证更新
		appUtils.bindEvent($(pageId + " #idcardUpdate"), function() {
			common.moduleJump();
			var login = appUtils.getSStorageInfo("ygt_login",true);
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆
			if(login_flag=="true"){
				appUtils.setSStorageInfo("_loginInPageCodeYGT","idcardUpdate/index",true);//保存要跳转的页面
				if(login == "1"){
					var page = appUtils.getSStorageInfo("_loginInPageCodeYGT",true);
					if(page != "" && page != null && page != undefined){
						appUtils.sendDirect("../"+page+".html");
					}
				}else{
					ygtLoginFun();
				}
			}else{//未登录

				var pageInParam = {
						"prePageCode" : pageCode,
						"backUrl" : pageCode
					};
				appUtils.pageInit(pageCode, "account/userLogin",{"backparam":pageInParam});
			}
		},"click");
		// 创业板
		appUtils.bindEvent($(pageId + " #cyb"), function() {
			common.moduleJump();
			//	var weChat = common.weChat();//判断是APP还是pc或浏览器

				var login = appUtils.getSStorageInfo("ygt_login",true);
				var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆
				if(login_flag=="true"){
					appUtils.setSStorageInfo("_loginInPageCodeYGT","cyb/index",true);//保存要跳转的页面
					if(login == "1"){
						var page = appUtils.getSStorageInfo("_loginInPageCodeYGT",true);
						if(page != "" && page != null && page != undefined){
							appUtils.sendDirect("../"+page+".html?r=123");
						}
					}else{
						ygtLoginFun();
					}
				}else{//未登录

					var pageInParam = {
							"prePageCode" : pageCode,
							"backUrl" : pageCode
						};
					appUtils.pageInit(pageCode, "account/userLogin",{"backparam":pageInParam});

				}

		},"click");
		// 银行转账
		appUtils.bindEvent($(pageId + " #yhzz"), function() {
			if(appUtils.getSStorageInfo("loginType")=="0") {
				common.imsg("该功能只支持客户号登陆...");
				return;
			}
			appUtils.setSStorageInfo("_loginInPageParam","");//保存要跳转的页面
			appUtils.setSStorageInfo("_loginInPageCode","userCenter/turnMoney");//保存要跳转的页面
			var ischange = $(this).attr("ischange");
			if(ischange != undefined)
			{
				var source = $(this).attr("source");
				var khh = $(this).attr("khh");
				var param = {
					"ischange" : ischange,
					"source" : source,
					"khh" : khh
				};
				appUtils.pageInit(pageCode,"userCenter/turnMoney",param);
			}
			else
			{
				appUtils.pageInit(pageCode,"userCenter/turnMoney");
			}
		},"click");
		
		//跳转到个人资料
        appUtils.bindEvent($(pageId + " #grzl"), function(){
        	common.moduleJump();
			var login = appUtils.getSStorageInfo("ygt_login",true);
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
			if(login_flag=="true"){
				
				//appUtils.setSStorageInfo("_loginInPageCodeYGT","zl/index",true);//保存要跳转的页面
				appUtils.setSStorageInfo("_loginInPageCodeYGT","ygt/index.html#!/zl/UserCenter",true);//保存要跳转的页面
				if(login == "1"){
					var page = appUtils.getSStorageInfo("_loginInPageCodeYGT",true);
					if(page != "" && page != null && page != undefined){
						appUtils.sendDirect("../"+page+".html");
					}
				}else{
					ygtLoginFun();
				}
			}else{//未登录
				
				var pageInParam = {
						"prePageCode" : pageCode,
						"backUrl" : pageCode
					};
				appUtils.pageInit(pageCode, "account/userLogin",{"backparam":pageInParam});
				
			}
        },"click");
    //云柜台登录函数
	function ygtLoginFun(){
		common.moduleJump();
		var loginType = appUtils.getSStorageInfo("loginType");
		var login_account = appUtils.getSStorageInfo("login_account");
		var trade_pwd = appUtils.getSStorageInfo("trade_pwd");
			if(loginType == "1"){//资金账号登录
				var param = {
					"login_id":login_account,
					"pwd_value":trade_pwd,
					"identity_num":"",
					"pwd_type":"5",
					"login_uid":"",
					"login_type":"6"
				};
				service.ygt_login(param, function(data){
					var error_no = data.error_no;
					var error_info = data.error_info;
					if(error_no == "0") {
						var result = data.results[0];
						sessionStorage.setItem("userInfo2",JSON.stringify(result));
						
					/*	if(platform == 0){//浏览器
							alert(1);*/
							appUtils.setSStorageInfo("userInfo", result, true);
							appUtils.setSStorageInfo("ygt_login", "1",true);
							var Accountparam = {
								"user_id":result.user_id,
								"zj_account":"",
								"client_id":login_account
							};
							service.ygt_syncTradeAccount(Accountparam, function(AccountData){
								console.log("zhaocheng1004"+JSON.stringify(AccountData));
								var error_no = AccountData.error_no;
								var error_info = AccountData.error_info;
								if(error_no == "0") {
									var result = AccountData.results[0];
									var licaiAccount = "";
									var qihuoAccount = "";
									var netAccount = "";
									var zqAccount = "";
									if (result["1"]) {
										licaiAccount = result["1"];
									}
									if(result["2"]) {
										qihuoAccount = result["2"];
									}
									if(result["3"]) {
										netAccount = result["3"];
									}
									if(result["4"]) {
										zqAccount = result["4"];
									}
									appUtils.setSStorageInfo("zqAccount", zqAccount, true);
									sessionStorage.setItem("zqAccount", zqAccount);
									var page = appUtils.getSStorageInfo("_loginInPageCodeYGT",true);
									if(page != "" && page != null && page != undefined){
									//	appUtils.pageInit("account/login",page);
									//	appUtils.sendDirect("../ggt/index.html#!/business/index.html");
									appUtils.sendDirect("../"+page+".html");
									}
								} else {
									common.imsg(error_info);
									return false;
								}
							});
						
					} else {
						common.imsg(error_info);
						return false;
					}
				},{isLastReq: false});
			}else{
			layerUtils.iAlert("请使用资金账号登录！",-1,function(){
				sessionStorage.setItem("bx","1");
				//appUtils.setLStorageInfo("bx","1");
				var pageInParam = {
						"prePageCode" : pageCode,
						"backUrl" : pageCode
					};
				appUtils.pageInit(pageCode, "account/userLogin",{"backparam":pageInParam});
			},"click");
		}
		
	}
	
		//预约开户
		appUtils.bindEvent($(pageId + " #yuy_kh"), function() {
				appUtils.pageInit(pageCode, "userCenter/reservation");
		},"click");
		
		//跳转到电子签名约定书
        appUtils.bindEvent($(pageId + " #dzqmyds"), function(){
        	common.moduleJump();
			var login = appUtils.getSStorageInfo("ygt_login",true);
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆
			if(login_flag=="true"){// ywbl/index.html#!/account/EmailAccountStateMent
				appUtils.setSStorageInfo("_loginInPageCodeYGT","ywbl/index",true);//保存要跳转的页面
				if(login == "1"){
					var page = appUtils.getSStorageInfo("_loginInPageCodeYGT",true);
					if(page != "" && page != null && page != undefined){
						appUtils.sendDirect("../"+page+".html");
					}
				}else{
					ygtLoginFun();
				}
			}else{//未登录

				var pageInParam = {
						"prePageCode" : pageCode,
						"backUrl" : pageCode
					};
				appUtils.pageInit(pageCode, "account/userLogin",{"backparam":pageInParam});

			}
        },"click");
        
       //跳转到Email对账单
        appUtils.bindEvent($(pageId + " #printEmail"), function(){
        	common.moduleJump();
			var login = appUtils.getSStorageInfo("ygt_login",true);
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆
			if(login_flag=="true"){
				appUtils.setSStorageInfo("_loginInPageCodeYGT","ywbl/index.html#!/account/EmailAccountStateMent",true);//保存要跳转的页面
				if(login == "1"){
					var page = appUtils.getSStorageInfo("_loginInPageCodeYGT",true);
					if(page != "" && page != null && page != undefined){
						appUtils.sendDirect("../"+page+".html");
					}
				}else{
					ygtLoginFun();
				}
			}else{//未登录

				var pageInParam = {
						"prePageCode" : pageCode,
						"backUrl" : pageCode
					};
				appUtils.pageInit(pageCode, "account/userLogin",{"backparam":pageInParam});

			}
        },"click");
        
        
        //跳转到三方存管
        appUtils.bindEvent($(pageId + " #threeDepository"), function(){
		
			var login = appUtils.getSStorageInfo("ygt_login",true);
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
			if(login_flag=="true"){
				
				//appUtils.setSStorageInfo("_loginInPageCodeYGT","zl/index",true);//保存要跳转的页面
				appUtils.setSStorageInfo("_loginInPageCodeYGT","ywbl/index.html#!/threeDepository/showBankCard",true);//保存要跳转的页面
				if(login == "1"){
					var page = appUtils.getSStorageInfo("_loginInPageCodeYGT",true);
					if(page != "" && page != null && page != undefined){
						appUtils.sendDirect("../"+page+".html");
					}
				}else{
					ygtLoginFun();
				}
			}else{//未登录
				
				var pageInParam = {
						"prePageCode" : pageCode,
						"backUrl" : pageCode
					};
				appUtils.pageInit(pageCode, "account/userLogin",{"backparam":pageInParam});
				
			}
        },'click');
        
        
        //跳转到退市股票整理
        appUtils.bindEvent($(pageId + " #finishingStock"), function(){
		
			var login = appUtils.getSStorageInfo("ygt_login",true);
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
			if(login_flag=="true"){
				
				//appUtils.setSStorageInfo("_loginInPageCodeYGT","zl/index",true);//保存要跳转的页面
				appUtils.setSStorageInfo("_loginInPageCodeYGT","ywbl/index.html#!/permissionOpen/finishingStockIndex",true);//保存要跳转的页面
				if(login == "1"){
					var page = appUtils.getSStorageInfo("_loginInPageCodeYGT",true);
					if(page != "" && page != null && page != undefined){
						appUtils.sendDirect("../"+page+".html");
					}
				}else{
					ygtLoginFun();
				}
			}else{//未登录
				
				var pageInParam = {
						"prePageCode" : pageCode,
						"backUrl" : pageCode
					};
				appUtils.pageInit(pageCode, "account/userLogin",{"backparam":pageInParam});
				
			}
        },'click');
        
        //跳转到风险警示开通权限页面
        appUtils.bindEvent($(pageId + " #riskWarning"), function(){
		
			var login = appUtils.getSStorageInfo("ygt_login",true);
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
			if(login_flag=="true"){
				
				//appUtils.setSStorageInfo("_loginInPageCodeYGT","zl/index",true);//保存要跳转的页面
				appUtils.setSStorageInfo("_loginInPageCodeYGT","ywbl/index.html#!/permissionOpen/riskWarningIndex",true);//保存要跳转的页面
				if(login == "1"){
					var page = appUtils.getSStorageInfo("_loginInPageCodeYGT",true);
					if(page != "" && page != null && page != undefined){
						appUtils.sendDirect("../"+page+".html");
					}
				}else{
					ygtLoginFun();
				}
			}else{//未登录
				
				var pageInParam = {
						"prePageCode" : pageCode,
						"backUrl" : pageCode
					};
				appUtils.pageInit(pageCode, "account/userLogin",{"backparam":pageInParam});
				
			}
        },'click');
        
        // 修改 资金密码 
        appUtils.bindEvent($(pageId + " .my_zjpsw"), function(){
        	common.moduleJump();
			var login = appUtils.getSStorageInfo("ygt_login",true);
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆
			if(login_flag=="true"){
				appUtils.setSStorageInfo("_loginInPageCodeYGT","ywbl/index.html#!/account/modifyPwd",true);//保存要跳转的页面
				if(login == "1"){
					var page = appUtils.getSStorageInfo("_loginInPageCodeYGT",true);
					if(page != "" && page != null && page != undefined){
						appUtils.sendDirect("../"+page+".html");
					}
				}else{
					ygtLoginFun();
				}
			}else{//未登录
				var pageInParam = {
						"prePageCode" : pageCode,
						"backUrl" : pageCode
					};
				appUtils.pageInit(pageCode, "account/userLogin",{"backparam":pageInParam});

			}
        },"click");
        
        //委托方式变更
        appUtils.bindEvent($(pageId + " #editDelegate"), function(){
        	common.moduleJump();
			var login = appUtils.getSStorageInfo("ygt_login",true);
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆
			if(login_flag=="true"){
				appUtils.setSStorageInfo("_loginInPageCodeYGT","ywbl/index.html#!/account/editDelegate",true);//保存要跳转的页面
				if(login == "1"){
					var page = appUtils.getSStorageInfo("_loginInPageCodeYGT",true);
					if(page != "" && page != null && page != undefined){
						appUtils.sendDirect("../"+page+".html");
					}
				}else{
					ygtLoginFun();
				}
			}else{//未登录

				var pageInParam = {
						"prePageCode" : pageCode,
						"backUrl" : pageCode
					};
				appUtils.pageInit(pageCode, "account/userLogin",{"backparam":pageInParam});

			}
        },"click");
		
		// 国债逆回购
		appUtils.bindEvent($(pageId + " #gznhg"), function() {
			common.moduleJump();
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆
			var login = appUtils.getSStorageInfo("ygt_login",true);
			if(login_flag=="true"){
				//appUtils.setSStorageInfo("_loginInPageCodeYGT","huiGou/index",true);//保存要跳转的页面
				appUtils.setSStorageInfo("_loginInPageCodeYGT","ygt/index.html#!/huiGou/index",true);//保存要跳转的页面
				if(login == "1"){
					var page = appUtils.getSStorageInfo("_loginInPageCodeYGT",true);
					if(page != "" && page != null && page != undefined){
						appUtils.sendDirect("../"+page+".html");
					}
				}else{
					ygtLoginFun();
				}
			}else{//未登录
	
				var pageInParam = {
						"prePageCode" : pageCode,
						"backUrl" : pageCode
					};
				appUtils.pageInit(pageCode, "account/userLogin",{"backparam":pageInParam});
	
			}
		},"click");
		// 账户绑定
		appUtils.bindEvent($(pageId + " #zhbd"), function() {
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
			appUtils.setSStorageInfo("_loginInPageCodeYGT","mall/index.html#!/account/bindAccount",true);
			if(login_flag!="true"){//没有登入
				var  pageInParam = {
					"url" : pageCode
				};
				common.findLogin({"avicParam":pageInParam});
				
				//appUtils.pageInit(pageCode, "account/userLogin",{"avicParam":pageInParam});
			}else{
				appUtils.pageInit(pageCode,"account/bindAccount");
			}
			
		},"click");
		// 企业服务
		appUtils.bindEvent($(pageId + " #qyfw"), function() {
			var pageCode="userCenter/wd";
			var param = {
					"pageCode" : "userCenter/wd"
				};
			appUtils.pageInit(pageCode, "account/wingService",param);
		},"click");
		// 我的主页
		appUtils.bindEvent($(pageId + " .my_home"), function() {
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
			if(login_flag!="true"){//没有登入
				var  pageInParam = {
					"url" : pageCode
				};
				common.findLogin({"avicParam":pageInParam});
				//appUtils.pageInit(pageCode, "account/userLogin",{"avicParam":pageInParam});
			}else{
				var param = {
						"invest_id" :appUtils.getSStorageInfo("yqtid"),
						"prePageCode":pageCode
				};
				appUtils.pageInit(pageCode,"account/ytg/userSpace",param);
			}
			
		},"click");
		// 我的赛场
		appUtils.bindEvent($(pageId + " .my_arena"), function() {
			appUtils.pageInit(pageCode,"account/ytg/PlayGame");
		},"click");
		// 年末冲刺活动
		appUtils.bindEvent($(pageId + " .my_baoimng"), function() {
			appUtils.pageInit(pageCode,"account/ytg/endyearSprint");
		},"click");
		
		//大赛选手报名
		appUtils.bindEvent($(pageId + "  #my_baoming"), function() {
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
			if(login_flag!="true"){//没有登入
				var  pageInParam = {
					"url" : pageCode
				};
				common.findLogin({"avicParam":pageInParam});
				//appUtils.pageInit(pageCode, "account/userLogin",{"avicParam":pageInParam});
			}else{
				var param={
					"user_id":appUtils.getProjSStorage("user_id")
				};
				ytgService.findSignUpImp(param,function(data){
					 var error_no = data.error_no;	
					 var error_info = data.error_info;
					 if(error_no==0){//已经报名
						 appUtils.pageInit(pageCode,"account/ytg/RegisSuccess");
					 }else if(error_no==1){//没有报名
						 appUtils.pageInit(pageCode,"account/ytg/PlayerRegis");
					 }
				 });
			}
		},"click");
		// 我的订单
		appUtils.bindEvent($(pageId + " #wo_order"), function() {
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
			if(login_flag!="true"){//没有登入
				var  pageInParam = {
					"url" : pageCode
				};
				common.findLogin({"avicParam":pageInParam});
				//appUtils.pageInit(pageCode, "account/userLogin",{"avicParam":pageInParam});
			}else{
				appUtils.pageInit(pageCode,"life/myHotelOrder");
			}
		},"click");
		//理财订单
		appUtils.bindEvent($(pageId + " #licai_order"), function() {
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
			if(login_flag!="true"){//没有登入
				var  pageInParam = {
					"url" : pageCode
				};
				common.findLogin({"avicParam":pageInParam});
				//appUtils.pageInit(pageCode, "account/userLogin",{"avicParam":pageInParam});
			}else{
				var param = {
						"pageCode" : prePageCode
				};
				appUtils.pageInit("userCenter/wd", "account/indexOrder",param);
			}
		},"click");
		//视频订单
		appUtils.bindEvent($(pageId + " #vdio_order"), function() {
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
			if(login_flag!="true"){//没有登入
				var  pageInParam = {
					"url" : pageCode
				};
				common.findLogin({"avicParam":pageInParam});
				//appUtils.pageInit(pageCode, "account/userLogin",{"avicParam":pageInParam});
			}else{
				var param = {
						"pageCode" : prePageCode
				};
				appUtils.pageInit("userCenter/wd", "mall/vdioOrder",param);
			}
		},"click");
		//基金订单
		appUtils.bindEvent($(pageId + " #fund_order"), function() {
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
			if(login_flag!="true"){//没有登入
				var  pageInParam = {
					"url" : pageCode
				};
				common.findLogin({"avicParam":pageInParam});
				//appUtils.pageInit(pageCode, "account/userLogin",{"avicParam":pageInParam});
			}else{
				var param = {
						"pageCode" : prePageCode
				};
				appUtils.pageInit("userCenter/wd", "mall/fundOrder",param);
			}
		},"click");
		// 我的银行卡
		appUtils.bindEvent($(pageId + " .my_bank"), function() {
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
			if(login_flag!="true"){//没有登入
				var  pageInParam = {
					"url" : pageCode
				};
				common.findLogin({"avicParam":pageInParam});
				//appUtils.pageInit(pageCode, "account/userLogin",{"avicParam":pageInParam});
			}else{
				appUtils.pageInit(pageCode,"account/myBankCard");
			}
		},"click");
		//我的组合
		appUtils.bindEvent($(pageId + " #my_portfolio"), function() {
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
			if(login_flag!="true"){//没有登入
				var  pageInParam = {
					"url" : pageCode
				};
				common.findLogin({"avicParam":pageInParam});
				//appUtils.pageInit(pageCode, "account/userLogin",{"avicParam":pageInParam});
			}else{
				appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/myPortfolio");
			};
			
		},"click");
		//我的问答
		appUtils.bindEvent($(pageId + " #my_ques"), function() {
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
			if(login_flag!="true"){//没有登入
				var  pageInParam = {
					"url" : pageCode
				};
				common.findLogin({"avicParam":pageInParam});
				//appUtils.pageInit(pageCode, "account/userLogin",{"avicParam":pageInParam});
			}else{
				appUtils.pageInit(pageCode,"account/ytg/myAns/myAnsWHD");
			};
			
		},"click");
		// 密码修改
		appUtils.bindEvent($(pageId + " .my_psw"), function() {
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
			if(login_flag!="true"){//没有登入
				var  pageInParam = {
					"url" : pageCode
				};
				common.findLogin({"avicParam":pageInParam});
				//appUtils.pageInit(pageCode, "account/userLogin",{"avicParam":pageInParam});
			}else{
				appUtils.pageInit(pageCode, "userCenter/modifyPayPwd", {});
			};
		},"click");
		//意见反馈
		appUtils.bindEvent($(pageId + " #yij_fkui"), function() {
			var param = {
					"pageCode" : prePageCode
			};
			appUtils.pageInit("userCenter/wd", "account/feedback",param);
		},"click");
		
		
		//中航工业集团员工专区
		appUtils.bindEvent($(pageId + " #zhzq_jtyg"), function() {
			var param={
					"pageCode":pageCode
				};
			appUtils.pageInit(pageCode, "groupExclusive/groupLuxuryV3",param);
		},"click");
		//翼钱管
		appUtils.bindEvent($(pageId + " #my_yqg"), function() {
			var param={
					"pageCode":"avicBao/avicHomePage",
					"curPage":1,
					"url" : "userCenter/wd",
					"mall_phone_login" : "1"
				};
			common.productJumpmethod(param);
		},"click");
		//哈铁专区
		appUtils.bindEvent($(pageId + " #zhzq_hatie"), function() {
			var param={
					"pageCode":pageCode
				};
			appUtils.pageInit(pageCode, "groupExclusive/railwayArea",param);
		},"click");
		//杭州阿里专区
		appUtils.bindEvent($(pageId + " #zhzq_alizone"), function() {
			var param={
					"pageCode":pageCode
				};
			appUtils.pageInit(pageCode, "groupExclusive/aliZone",param);
		},"click");
		//安盟专区
		appUtils.bindEvent($(pageId + " #zhzq_unita"), function() {
			var param={
					"pageCode":pageCode
				};
			appUtils.pageInit(pageCode, "groupExclusive/unitaGroup",param);
		},"click");
		
		//进入社区
		appUtils.bindEvent($(pageId + " .icon_xx"), function() {
			common.isNewVin();
		},"click");
		//基金风险测评能力
		appUtils.bindEvent($(pageId + " #my_fundnl"), function() {
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
			if(login_flag!="true"){//没有登入
				var  pageInParam = {
					"url" : pageCode,
					"backUrl":"userCenter/riskResults"
				};
				common.findLogin({"backparam":pageInParam});
			}else{
				var khh=appUtils.getSStorageInfo("khh");
				if(khh!=""&&typeof(khh)!=undefined&&khh!=null){
					appUtils.pageInit(pageCode,"userCenter/riskResults");										
				}else{
					var param2={
							"counTer":"请您用客户号登入！"
						};
					common.popupMethod(param2);
				}
				
			};
			
		},"click");
		// 设置基金分红方式
		appUtils.bindEvent($(pageId + " #fundDividend"), function() {
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
			if(login_flag!="true"){//没有登入
				var  pageInParam = {
					"url" : pageCode
				};
				common.findLogin({"avicParam":pageInParam});
				//appUtils.pageInit(pageCode, "account/userLogin",{"avicParam":pageInParam});
			}else{
				var khh_no = appUtils.getSStorageInfo("khh");
				if(khh_no != ""){
					appUtils.pageInit(pageCode, "mall/fundDividend");
				} else {
					
				}
			}
			
			
		},"click");
	}
	//查询用户是否登录
	function getLoginFlag() {
		var param = {
			"funcNo":"50041",
			"key":"isLogin"
		};
		var result = external.callMessage(param);
		if(result.error_no == "0" || result.error_no == "1") {
			isLogin = result.results[0].value;
		} else {
		}
	}
	
	//云柜台登录函数
	function ygtLoginFun(){
		common.moduleJump();
		var loginType = appUtils.getSStorageInfo("loginType");
		var login_account = appUtils.getSStorageInfo("login_account");
		var trade_pwd = appUtils.getSStorageInfo("trade_pwd");
			if(loginType == "1"){//资金账号登录
				var param = {
					"login_id":login_account,
					"pwd_value":trade_pwd,
					"identity_num":"",
					"pwd_type":"5",
					"login_uid":"",
					"login_type":"6"
				};
				service.ygt_login(param, function(data){
			//	console.log("zhaocheng"+JSON.stringify(data));
					var error_no = data.error_no;
					var error_info = data.error_info;
					if(error_no == "0") {
						var result = data.results[0];
						sessionStorage.setItem("userInfo2",JSON.stringify(result));
						
					/*	if(platform == 0){//浏览器
							alert(1);*/
							appUtils.setSStorageInfo("userInfo", result, true);
							appUtils.setSStorageInfo("ygt_login", "1",true);
							var Accountparam = {
								"user_id":result.user_id,
								"zj_account":"",
								"client_id":login_account
							};
							service.ygt_syncTradeAccount(Accountparam, function(AccountData){
								console.log("zhaocheng1004"+JSON.stringify(AccountData));
								var error_no = AccountData.error_no;
								var error_info = AccountData.error_info;
								if(error_no == "0") {
									var result = AccountData.results[0];
									var licaiAccount = "";
									var qihuoAccount = "";
									var netAccount = "";
									var zqAccount = "";
									if (result["1"]) {
										licaiAccount = result["1"];
									}
									if(result["2"]) {
										qihuoAccount = result["2"];
									}
									if(result["3"]) {
										netAccount = result["3"];
									}
									if(result["4"]) {
										zqAccount = result["4"];
									}
									appUtils.setSStorageInfo("zqAccount", zqAccount, true);
									sessionStorage.setItem("zqAccount", zqAccount);
									var page = appUtils.getSStorageInfo("_loginInPageCodeYGT",true);
									if(page != "" && page != null && page != undefined){
									//	appUtils.pageInit("account/login",page);
									//	appUtils.sendDirect("../ggt/index.html#!/business/index.html");
									appUtils.sendDirect("../"+page+".html");
									}
								} else {
									common.imsg(error_info);
									return false;
								}
							});
						/*}else{//原生
					
							getModuleName();
							//把登陆标志存到原生内存缓存中
							var param = {
								"funcNo":"50040",
								"key":"isLogin",
		                        "value":"1"
							}
							var result = external.callMessage(param);
							if(result.error_no == "0" || result.error_no == "1") {
								//把登陆的信息存到原生内存缓存中
								var param = {
									"funcNo":"50040",
									"key":"userInfo",
									"value":data.results[0]
								};
								var result = external.callMessage(param);
								if(result.error_no == "0" || result.error_no == "1") {
									// 同步用户交易账号
									var param = {
										"user_id":data.results[0].user_id,
										"zj_account":"",
										"client_id":login_account
									};
									service.ygt_syncTradeAccount(param, function(data){
										console.log("zhaocheng1004"+JSON.stringify(data));
										var error_no = data.error_no;
										var error_info = data.error_info;
										if(error_no == "0") {
											var result = data.results[0];
											var licaiAccount = "";
											var qihuoAccount = "";
											var netAccount = "";
											var zqAccount = "";
											if (result["1"]) {
												licaiAccount = result["1"];
											}
											if(result["2"]) {
												qihuoAccount = result["2"];
											}
											if(result["3"]) {
												netAccount = result["3"];
											}
											if(result["4"]) {
												zqAccount = result["4"];
											}
											//把登陆的信息存到原生内存缓存中
											var param = {
												"funcNo":"50040",
												"key":"zqAccount",
												"value":zqAccount
											};
											var result = external.callMessage(param);
											if(result.error_no == "0" || result.error_no == "1") {
												
												if(moduleName=="qx") {
													var param = {
														"funcNo":"50101",
													    "moduleName":moduleName,
														"params" : {"url":url}
														};
														external.callMessage(param);
												}else {
													//跳转到模块
													var param = {
														"funcNo":"50101",
														"moduleName":moduleName
													};
													external.callMessage(param);
												}
	
											} else {
												layerUtils.iAlert(result.error_info);
												return false;
											}
										} else {
											layerUtils.iAlert(error_info);
											return false;
										}
									},{isShowWait: false});
								} else {
									layerUtils.iAlert(result.error_info);
									return false;
								}
							} else {
								layerUtils.iAlert(result.error_info);
								return false;
							}
							}
						*/
					} else {
						common.imsg(error_info);
						return false;
					}
				},{isLastReq: false});
			}else{
			layerUtils.iAlert("请使用资金账号登录！",-1,function(){
				sessionStorage.setItem("bx","1");
				//appUtils.setLStorageInfo("bx","1");
				var pageInParam = {
						"prePageCode" : pageCode,
						"backUrl" : pageCode
					};
				appUtils.pageInit(pageCode, "account/userLogin",{"backparam":pageInParam});
			},"click");
		}
		
	}
	
	//查询登陆成功后跳转的模块
	function getModuleName() {
		var param = {
			"funcNo":"50041",
			"key":"moudlesName"
		};
		var result = external.callMessage(param);
		console.log("zhaocheng123456"+JSON.stringify(result));
		if(result.error_no == "0" || result.error_no == "1") {
			moduleName = result.results[0].value;
			
			if(moduleName=="qx") {
				var param1 = {
					"funcNo":"50041",
					"key":"moudlesUrl"
				};
			var result1 = external.callMessage(param1);
			url = result1.results[0].value;	
			// url = paramMap.params.url;
		//	 pageId = $("body .page[data-display='block']").attr("id");
		//	 pageCode = pageId.replace("_", "/");
			}
		//	console.log("zhaocheng123456"+moduleName);
		} else {
			common.imsg(result.error_info);
			return false;
		}
	}
	// 销毁
	function destroy() {
		$(pageId + " #wdzx").hide();
		$(pageId+" #sp_gc").hide();
		$(pageId+" .pop_box4").hide();
		$(pageId + " .my_bank").show();
		all_money="0";
		
	}

	var index = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = index;
});