/**
 * 网络视频首页（改版） 
 */
define('mall/scripts/video/videoHome.js',function(require, exports, module) {
	var pageId = "#video_videoHome ";
	var pageCode ="video/videoHome";
	var external = require("external");
	var appUtils = require("appUtils");
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var platform = require("gconfig").platform;
	var ytgService = require("ytgService"); // 业务层接口，请求数据
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	var commonUtils = require("commonUtils");
	var common = require("common");
	var domain = gconfig.global.domain;
	var constants = require("constants");// 常量类
	var curPageNo = ""; // 当前页序号
	var myScroller = null; // 滚动组件
	var VIscroll = require("vIscroll");
	// 下标0的元素表示头部滑动，1、2、3分别表示推荐理财、推荐基金和推荐资讯
	var customHIscroll = [ {
		"scroll" : null,
		"_init" : false
	}, {
		"scroll" : null,
		"_init" : false
	}, {
		"scroll" : null,
		"_init" : false
	} ];
	var HIscroll = require("hIscroll");
	var picLoadTimer = null;
	// 初始化
	function init() {
		common.initTitle(pageId);
		
		initAdScroller();//广告滑动组件
		getImg();
		findCarevideo();//查询投顾新视点
		findInvestment();//查询投资天天学
	}
	//获取图片
	function getImg(){
		var param = {
			"group_id" : "9"
		};
		service.getAdv(param,function(data){
			if(data.error_no != "0"){
				layerUtils.iAlert(data.error_info);
				return false;
			}else{
				var results = data.results;
				var imgStr = "";
				var navstr = "";
				for(var i = 0;i < results.length;i++){
					var picture = results[i].picture;
					var xqUrl = results[i].url;
					var state=results[i].state;
					imgStr += '<div class="bot_banner"><img src="'+ URL + picture +'" state="'+state+'" url="'+xqUrl+'" alt="" title="" style="height:130px"></div>';
					if(i == 0){
						navstr += '<em class="active"></em>';
					}else{
						navstr += '<em></em>';
					}
				}
				$(pageId+" #scroller").html(imgStr);
				$(pageId+" #nav").html(navstr);
				appUtils.bindEvent($(pageId+"  .bot_banner img"),function(){
					var xurl  = $(this).attr("url");
					var state= $(this).attr("state");
					if(state=="1"){
						if(xurl!=null&&xurl!="") {
							var arr = xurl.split("?");
							var product_url = arr[0];
							var paramArr = arr[1].split("&");
							var paramArr1 = paramArr[0].split("=");
							var paramArr2 = paramArr[1].split("=");
							var a=paramArr1[0];
							var b=paramArr2[0];
							
							var param = {};
							param[a] = paramArr1[1];
							param[b] = paramArr2[1];
							if(!(param[a] && a == "product_id")){
								 param["pageCode"] = pageCode;
								 appUtils.pageInit(pageCode,product_url,param);
							}else{
								 param["pageCode"] = product_url;
								 param["url"] = "account/index";
								 param["mall_phone_login"] = "1";
								 common.productJumpmethod(param);
							}

						}
					}
				},"click");
				initAdScroller();
				$(pageId+" #scroller").css("height","50%");
				$(pageId+" #scroller .bot_banner").css("height","50%");
			}
		});
	}
	//查询投顾新视点
	function findCarevideo(){
		var param = {
				"page":"1",
				"pageSize":"4",
				"catalog_id":"3404"
		};
		service.testTitle(param,function(data){
			if(data.error_no==0){
				var result=data.results;
				$(pageId+" #produce-listold").html("");
				for(var i=0;i<result.length;i++){
					var app_photo = result[i].app_photo;//图片
					var app_video = result[i].app_video;//视频地址
					var title = result[i].title;//视频标题
					var article_id=result[i].article_id;//视频id
					var publish_date = result[i].publish_date;//创建时间
					var movieinfo = result[i].movieinfo;//视频简介
					li ='<li class="listold" article_id="'+article_id+'"><div class="img"><img src="http://www.avicsec.com'+ app_photo +'"></div>'+
						'<p>'+title+'</p></li>';
					$(pageId+" #produce-listold").append(li);
				}
				//进入详情
				appUtils.bindEvent($(pageId + " .listold"), function(){
					var article_id = $(this).attr("article_id");
					var	param={
						"article_id":article_id,
						"pageCode":pageCode
					};
					appUtils.pageInit(pageCode,"video/videoDetailsxq",param);
				},"click");
			}else{
				layerUtils.iAlert(data.error_info,-1);
			}
		});
	}
	//查询投资天天学
	function findInvestment(){
		var param = {
				"page":"1",
				"pageSize":"4",
				"catalog_id":"3020"
		};
		service.testTitle(param,function(data){
			if(data.error_no==0){
				var result=data.results;
				$(pageId+" #Investment_video").html("");
				for(var i=0;i<result.length;i++){
					var app_photo = result[i].app_photo;//图片
					var app_video = result[i].app_video;//视频地址
					var title = result[i].title;//视频标题
					var article_id = result[i].article_id;//视频id
					var publish_date = result[i].publish_date;//创建时间
					var movieinfo = result[i].movieinfo;//视频简介
					li ='<li class="listold" article_id="'+article_id+'"><div class="img"><img src="http://www.avicsec.com'+ app_photo +'"></div>'+
						'<p>'+title+'</p></li>';
					$(pageId+" #Investment_video").append(li);
				}
				//进入详情
				appUtils.bindEvent($(pageId + " .listold"), function(){
					var article_id = $(this).attr("article_id");
					var	param={
							"article_id":article_id,
							"pageCode":pageCode
					};
					appUtils.pageInit(pageCode,"video/videoDetailsxq",param);
				},"click");
			}else{
				layerUtils.iAlert(data.error_info,-1);
			}
		});
	}
	/**
	 * 初始化图片滚动组件
	 */
	function initAdScroller() {
		clearInterval(picLoadTimer);
		picLoadTimer = null;
		if (customHIscroll[0].scroll) {
			customHIscroll[0].scroll.destroy();
			customHIscroll[0].scroll = null;
		}
		var config = {
			wrapper : $(pageId + " #wrapper"), // wrapper对象
			scroller : $(pageId + " #scroller"), // scroller对象
			perCount : 1, // 每个可视区域显示的子元素
			showTab : true, // 是否有导航点
			tabDiv : $(pageId + " #nav"), // 导航点集合对象
			auto : true, // 是否自动播放
			interval : null, // 自动播放定时器
			wrapperObj : null
		};
		customHIscroll[0].scroll = new HIscroll(config);
		customHIscroll[0]._init = true;
		$(pageId + " .bot_banner").show();
	}

	// 绑定事件
	function bindPageEvent() {
		//中航投顾新视点列表
		appUtils.bindEvent($(pageId + " #vdtiles"), function() {
			var param = {
				"pageCode" : pageCode,
				"catalog_id":"3404"
			};
			appUtils.pageInit(pageCode, "video/videoList", param);
		});
		// 返回
		appUtils.bindEvent($(pageId + " .icon_back"), function() {
			appUtils.pageInit(pageCode, "account/wingService");
		});
		//投资天天学
		appUtils.bindEvent($(pageId + " #videolist"), function() {
			var param = {
				"pageCode" : pageCode,
				"catalog_id":"3020"
			};
			appUtils.pageInit(pageCode, "video/videoList", param);
		});
	}
	// 销毁
	function destroy() {
		$(pageId+" #Investment_video").html("");
		$(pageId+" #produce-listold").html("");
	}

	var videoHome = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口   
	module.exports = videoHome;
});
