/**
 * 会员登录
 */
define('mall/scripts/account/Login.js',function(require, exports, module) {
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var putils = require("putils");
	var service = require("mobileService"); //业务层接口，请求数据
	var global = gconfig.global;
	var account = ""; //记住账号
	var isRemember = "true"; 
	var validata = require("validatorUtil");
	var layerUtils = require("layerUtils");	
	var keyPanel = require("keyPanel");//软键盘
	var _pageId ="#account_Login ";
	var _pageCode  ="account/Login";
	var loginType = "0";//0理财账户登录，1资金账号登录
	var common = require("common");
	var external = require("external");
	var platform=require("gconfig").platform;
	var curInputId = null;
	var pwdTimer = null; // 密码输入框计时器
	var ctrlParam = {
			"isAsync" : false
		};
	var moduleName;
	var url;
	var isNeedYgtLogin;
	
	function init() {
		common.initTitle(_pageId);
		isNeedYgtLogin = false;
		//from ygt
	/*	if(platform != "0"){
			getModuleName();
			if(moduleName == "ggt"){
				isNeedYgtLogin = true;
			}
		}else{*/
			var _loginInPageCode = appUtils.getSStorageInfo("_loginInPageCodeYGT",true);
		/*	if(_loginInPageCode == "ggt/index"){
				isNeedYgtLogin = true;
			}
			if(_loginInPageCode == "cyb/index"){
				isNeedYgtLogin = true;
			}
			if(_loginInPageCode == "mall/index.html#!/account/bindAccount"){
				isNeedYgtLogin = true;
			}
			*/
			
		
		var islogin = appUtils.getSStorageInfo("_isLoginIn");
		var bs=sessionStorage.getItem("bx");
		if(islogin=="true") {
			if(bs!="1"){
			appUtils.pageInit("account/Login","account/index");
			}else{
				sessionStorage.setItem("bx","");
			}
			
		}
		common.loadNewCss();
		common.clearoldCss();
		var account ="";
	/*	if(platform != "0"){//  当platform为1时 ，从壳子中获取数据
			var param = {
					funcNo: "50043",
					key: "account" 
			};
			 var data = external.callMessage(param);
			  account = data;
			  account = account.results[0].value;
			  if(account=="" || account=="null"){
				  account="";
			  }
		}else{*/
			 account = appUtils.getLStorageInfo("account");
		
		$(_pageId+" #trade_id").val(account);
	}

	function bindPageEvent() {
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"), function(){
			var backurl = appUtils.getPageParam("backUrl");
			var avicParam = appUtils.getPageParam("avicParam");//前钱罐统一返回控制
			var backparam = appUtils.getPageParam("backparam");
			if(backurl=="groupExclusive/groupLuxury") {
				appUtils.pageInit("account/Login",backurl);
			}else if(typeof(avicParam)!="undefined"&&avicParam!=""){
				if(avicParam.product_type!=""&&typeof(avicParam.product_type)!="undefined"){
					var param={
						"product_type":avicParam.product_type,
						"product_id":avicParam.product_id
					}
					appUtils.pageInit("account/Login",avicParam.url,param);
				}else{
					appUtils.pageInit("account/Login",avicParam.url);
				}
			}else if(typeof(backparam)!="undefined"&&backparam!=""){
				if(typeof(backparam.prePageCode)!="undefined"&&backparam.prePageCode!=""){
					appUtils.pageInit("account/Login","account/index");
				}else{
					appUtils.pageInit("account/Login",backparam.prePageCode);
				}
			}
			else{
				//appUtils.pageBack();
				appUtils.pageInit("account/Login","account/index");
			}
		});
		
		//清除账号
		appUtils.bindEvent($(_pageId+" .icon_close"), function(e){
			$(_pageId+" #trade_id").val("");
			e.stopPropagation();
		});
		
		 //交易开户
	    appUtils.bindEvent($(_pageId+" .tradeOpen"),function(){
			var type= common.advertisingTips();
			if(type){
				return false;
			}
	    	var weChat = common.weChat();// 判断是APP还是pc或浏览器
			if (weChat) {// 里面是原生调用的内容
				var paramO = {
					"funcNo" : "50101",
					"moduleName" : "open"
				};
				external.callMessage(paramO);
			}
	    });

		// 样式切换
		appUtils.bindEvent($(_pageId+" input"),function(){
			$(_pageId+" input").parent().css("border-color","");
			$(this).parent().css("border-color","#319ef2");
		});
		
		//点击忘记密码
		appUtils.bindEvent($(_pageId+" #findPwd"),function(){
			appUtils.pageInit("account/Login","userCenter/findPwd");
		});
		//点击注册
		appUtils.bindEvent($(_pageId+" #zc"),function(){
//			var param = {
//				"product_id" : appUtils.getPageParam().product_id
//			};
			appUtils.pageInit("account/Login","account/testRegister");
		});
		bindRemember();//记住账号
        //点击忘记密码
		appUtils.bindEvent($(_pageId+" #lost_pwd"),function(){
			appUtils.pageInit("account/Login","account/forgetPassword");
		});
		
		/* 下一步 *///登入确定
		appUtils.bindEvent($(_pageId+" .grid") ,function(){
			var login_account = $.trim($(_pageId+" #trade_id").val());
			var trade_pwd = $.trim($(_pageId+" #trade_pwd").val());
			if(login_account == ""||login_account==null){
				layerUtils.iMsg(-1,"账号不能为空！！！");
				return false;
			}
			if(trade_pwd == ""||trade_pwd == null){
				layerUtils.iMsg(-1,"密码不能为空！！！");
				return false;
			}
			if(login_account.length<11){
				layerUtils.iMsg(-1,"账号格式不正确");
				return false;
			}else{
				if(validata.isMobile(login_account)){//手机号码登录
					loginType = 0;
				}else{//资金账号登录
					loginType = 1;
				}
			}
			personLogin(login_account,trade_pwd);//登入
		});
	}
	// 保存session
	function setUserSeesion(loginType,result,login_account){
		// 保存账号
			if(isRemember == "true"){
				appUtils.setLStorageInfo("account",login_account);
			}else{
				appUtils.clearLStorage("account"); 
			}
		// 保存session
		appUtils.setSStorageInfo("loginType",loginType); // 登陆方式
		appUtils.setSStorageInfo("login_account",login_account); //
		/*把用户编号存到session*/
		if(result[0].user_id){
			appUtils.setSStorageInfo("user_id",result[0].user_id);
		}
		/*把jsessionid存到session*/
		if(result[0].jsessionid){
			appUtils.setSStorageInfo("jsessionid",result[0].jsessionid);
		}
		/*把用户名存到session*/
		if(result[0].user_name){
			appUtils.setSStorageInfo("user_name",result[0].user_name);
		}
		/*把身份证号码存到session*/
		if(result[0].identity_num){
			appUtils.setSStorageInfo("identity_num",result[0].identity_num);
		}
		/*把客户号存到session*/
		if(result[0].client_no){
			appUtils.setSStorageInfo("client_no",result[0].client_no);
		}
		/*把账户名存到session*/
		if(result[0].account_name){
			appUtils.setSStorageInfo("account_name",result[0].account_name);
		}
		/*把资金账号存到session*/
		if(result[0].fund_account){
			appUtils.setSStorageInfo("fund_account",result[0].fund_account);
		}
		/*把风险承受能力等级存到session*/
		if(result[0].risk_level){
			appUtils.setSStorageInfo("risk_level",result[0].risk_level);
		}
		/*把风险承受能力存到session*/
		if(result[0].risk_level_txt){
			appUtils.setSStorageInfo("risk_level_txt",result[0].risk_level_txt);
		}
		/*把手机号码存到session*/
		if(result[0].mobile_phone){
			appUtils.setSStorageInfo("mobile_phone",result[0].mobile_phone);										
		}
		/*把邮箱地址存到session*/
		if(result[0].user_mail){
			appUtils.setSStorageInfo("user_mail",result[0].user_mail);
		}
		/*把客户号存到session*/
		if(loginType=="1"){
			if(result[0].client_no){
				appUtils.setSStorageInfo("khh",result[0].client_no);
			}
		}else{
			if(result[0].khh){
				appUtils.setSStorageInfo("khh",result[0].khh);
			}
		}
		/*****重要id********/
		if(result[0].yqtid){
			appUtils.setSStorageInfo("yqtid",result[0].yqtid);
		}
		if(result[0].user_type){
			appUtils.setSStorageInfo("istg",result[0].user_type);
		}
		if(result[0].iscs){
			appUtils.setSStorageInfo("iscs",result[0].iscs);
		}
		appUtils.setSStorageInfo("jfscid",result[0].jfscid);
		sessionStorage.setItem("userInfo",JSON.stringify(result[0]));
		appUtils.setSStorageInfo("userInfo",JSON.stringify(result[0]));
		appUtils.setSStorageInfo("_isLoginIn","true");
		
		
		appUtils.setSStorageInfo("FID_KHZT",result[0].FID_KHZT);
		appUtils.setSStorageInfo("FID_TZZFL",result[0].FID_TZZFL);
		appUtils.setSStorageInfo("FID_ZJBH",result[0].FID_ZJBH);
		appUtils.setSStorageInfo("FID_KHXM",result[0].FID_KHXM);
		appUtils.setSStorageInfo("FID_KHH",result[0].FID_KHH);
		
	}
	//保证金
	function khhPageInit() {
		var backurl = appUtils.getPageParam("backUrl");
		var backparam = appUtils.getPageParam("backparam");
		var avicParam = appUtils.getPageParam("avicParam");
		if(backurl=="groupExclusive/groupLuxury"||backurl=="life/hotelOrder"||backurl=="groupExclusive/zmkm"||backurl=="life/hotelDetail") {
			appUtils.pageInit("account/Login",backurl,backparam);
			return;
		}
		var url=appUtils.getLStorageInfo("bdurl");
		if(url!=null&&url!=""){
			appUtils.pageInit("account/Login","userCenter/emailAtion");
			return;
		}
		//集团员工专区（保证金）
		if(typeof(backparam)!="undefined"&&backparam!=""&&backparam.backUrl=="groupExclusive/groupLuxuryV3") {
			// 判断是否白名单
			//是不是集团用户
			var khdj="";//客户号
			var group_type="";//1表示安盟专区
			var ctrlParam = {
					"isAsync" : false
				};
			var param2={
				"identity_num":appUtils.getSStorageInfo("identity_num"),
				"mobile_phone":appUtils.getSStorageInfo("mobile_phone")
			};
			
			service.findJtyh(param2, function(databjt){
				var resultsjt = databjt.results;
					khdj=resultsjt[0].khdj;
					group_type = resultsjt[0].group_type;//1表示安盟专区
				var idno=resultsjt[0].idno;
				if(typeof(idno)!="undefined"&&idno!="0"){//是集团客户
					var param={
							"product_id":appUtils.getSStorageInfo("product_id"),
							"product_status":appUtils.getSStorageInfo("product_status"),
							"product_type":appUtils.getSStorageInfo("product_type"),
							"pageCode":backparam.prePageCode
						};
					var cpdj=appUtils.getSStorageInfo("cpdj");
					if(appUtils.getSStorageInfo("product_type")=="5"){//判断理财产品必须要客户等级不小于产品等级
						if(khdj==cpdj){
							appUtils.pageInit(_pageCode,"mall/stickMoneyIn",param);
						}else{
							if(appUtils.getSStorageInfo("khbz")=="1"){
								var param2={
										"counTer":"亲，你已经开过户了，快快享受员工福利吧"
									};
								common.popupMethod(param2);
								//layerUtils.iMsg(0,"亲，你已经开过户了，快快享受员工福利吧");
							}else{
								var param2={
										"counTer":"你非本次发行的对象，请联系营业部！"
									};
								common.popupMethod(param2);
								//layerUtils.iMsg(0,"你非本次发行的对象，请联系营业部！");
							}
						}
					}else if(appUtils.getSStorageInfo("product_type")=="9"){
						window.location.href="/m/xdt/index.html#!/person/loginIn.html";
					}else{
						if(appUtils.getSStorageInfo("khbz")=="1"){
							var param2={
									"counTer":"亲，你已经开过户了，快快享受员工福利吧！"
								};
							common.popupMethod(param2);
							//layerUtils.iMsg(0,"亲，你已经开过户了，快快享受员工福利吧");
						}else if(appUtils.getSStorageInfo("khbz")=="2"){//生产二维码标志
							if(group_type==1){//表示是安盟专区的
								appUtils.pageInit(param.pageCode,"groupExclusive/qRcode",param);
							}else{
								var param2={
										"counTer":"亲，您不是安盟员工"
									};
								common.popupMethod(param2);
							}
						}else{
							appUtils.pageInit(_pageCode,"mall/itemsFinanIn",param);
						}
					}
				}else{
					//不是集团客户，邮箱认证去
					//判断有没有资料认证
					service.findMaterialRz({"user_id":appUtils.getSStorageInfo("user_id")},function(data){
						var error_no = data.error_no;
						if(error_no=="0"){//没有提交资料
							var results = data.results[0];
							var m_issh=results.m_issh;//认证的状态，0表示有资料正在审核，1表示审核通过
							if(m_issh=="0"){
								appUtils.pageInit("account/Login", "groupExclusive/materialVerifying");
							}else{
								service.findEmailVerifying({"user_id":appUtils.getSStorageInfo("user_id")},function(databyx){
									var error_no = databyx.error_no;	
									if(error_no==0){
										var results = databyx.results;
										var issh_email = results[0].issh_email;//是否激活
										var param={
												"pageCode":backparam.prePageCode
										};
										if(results!=""){
											if(issh_email=="1"){
											}else if(issh_email=="0"){
												appUtils.pageInit("account/Login","groupExclusive/emailVerifying",param);
											}else if(issh_email=="10"){
												appUtils.pageInit("account/Login","groupExclusive/emailAtion",param);
											}else{
												appUtils.pageInit("account/Login","groupExclusive/emailAtion",param);
											};
										};
									};
								},ctrlParam);
							};
						};
					},ctrlParam);
				};
			},ctrlParam);
			return;
		};
		//翼钱罐(保证金)
		if(typeof(backparam)!="undefined"&&backparam!=""&&backparam.avicBao_sign=="1") {
			var ctrlParam = {
					"isAsync" : false
				};
			var param2={
					"identity_num":appUtils.getSStorageInfo("identity_num"),
					"mobile_phone":appUtils.getSStorageInfo("mobile_phone")
				};
			service.findAvicIndo(param2, function(databjt){
				var resultsjt = databjt.results;
				var idno=resultsjt[0].idno;
				if(typeof(idno)!="undefined"&&idno!="0"){//是集团客户
					appUtils.pageInit(_pageCode,backparam.backUrl,param);//跳进翼钱罐相关页面
				}else{
					//判断有没有邮箱认证
					service.findEmailVerifying({"user_id":appUtils.getSStorageInfo("user_id")},function(datasyx){
						var error_no = datasyx.error_no;	
						if(error_no==0){
							var results = datasyx.results;
							var issh_email = results[0].issh_email;//是否激活
							var param={
									"pageCode":backparam.prePageCode
								};
							if(results!=""){
								if(issh_email=="1"){
									layerUtils.iMsg(-1,"邮箱认证已经成功！请等待审核！");
								}else if(issh_email=="0"){
									appUtils.pageInit(_pageCode,"groupExclusive/emailVerifying",param);
								}else if(issh_email=="10"){
									appUtils.pageInit(_pageCode,"groupExclusive/emailAtion",param);
								}else{
									appUtils.pageInit(_pageCode,"groupExclusive/emailAtion",param);
								};
							};
						};
					},ctrlParam);
				}
			},ctrlParam);
			return;
		}
		//滴滴打车
		if(typeof(backparam)!="undefined"&&backparam!=""&&backparam.backUrl=="groupExclusive/dropsTaxi") {
			appUtils.pageInit("account/Login",backparam.backUrl);
			return;
		};
		//用于IM滴滴打车
		if(typeof(backparam)!="undefined"&&backparam!=""&&backparam.backUrl=="account/dropsTaxi") {
			appUtils.pageInit("account/Login",backparam.backUrl);
			return;
		};
		
		
		//芝麻开门
		if(typeof(backparam)!="undefined"&&backparam!=""&&backparam.prePageCode=="groupExclusive/jfslzq") {
			appUtils.setSStorageInfo("pageCode",backparam.prePageCode);
			var param={
				"product_id":backparam.product_id,
				"product_type":backparam.product_type
			};
			appUtils.pageInit("account/Login",backparam.backUrl,param);
			return;
		}
		//用于新理财购买统一的跳转
		if(typeof(avicParam)!="undefined"&&avicParam!=""&&avicParam.shop_sign=="1") {
			if(avicParam.product_type=="8"){
				var param = {
						"product_id" :avicParam.product_id,
						"product_type" : avicParam.product_type,
						"pageCode" : avicParam.pageCode
					};
				appUtils.pageInit(_pageCode,"mall/finanOrder/stickMoneyBuy", param);
			}else{
				var loginType = appUtils.getSStorageInfo("loginType");
				if (loginType == "0") {// 手机账号
					common.queryMobilePhone(appUtils.getSStorageInfo("mobile_phone"),determineUser);
				} else {// 资金账号
					var param = {
						"product_id" :avicParam.product_id,
						"product_type" : avicParam.product_type,
						"pageCode" : avicParam.pageCode
					};
				appUtils.pageInit(_pageCode,"mall/finanOrder/stickMoneyBuy", param);
				}
			}
			return;
		}
		if(typeof(backparam)!="undefined"&&backparam!="") {
			appUtils.setSStorageInfo("pageCode",backparam.prePageCode);
			appUtils.pageInit("account/Login",backparam.backUrl,backparam);
			return;
		}
		var url=appUtils.getLStorageInfo("bdurl");
		if(url!=null&&url!=""){
			appUtils.pageInit("account/Login","groupExclusive/emailAtion");
			return;
		}
		
			if(appUtils.getSStorageInfo("_loginInPageCode")){
				var _prePageCode = appUtils.getSStorageInfo("_loginInPageCode");
				 if(_prePageCode == "account/payNianfei"){
					appUtils.pageInit("account/Login","account/payNianfei",{});
				 }else {
					 if(appUtils.getSStorageInfo("_loginInPageParam")==null||appUtils.getSStorageInfo("_loginInPageParam")=="") {
						 appUtils.pageInit("account/Login", appUtils.getSStorageInfo("_loginInPageCode"));
					 }else {
						 appUtils.pageInit("account/Login", appUtils.getSStorageInfo("_loginInPageCode"), JSON.parse(appUtils.getSStorageInfo("_loginInPageParam")));
					 }
				 } 
				appUtils.clearSStorage("_loginInPageCode");
				appUtils.clearSStorage("_loginInPageParam");
			}else{
			var pageJump = appUtils.getSStorageInfo("pageJump");
				if(pageJump == "mall/finanOrder/confirmOrder"){
					var pageParam = appUtils.getPageParam();
					if(pageParam != undefined){
						if(pageParam.product_type == "7"){
							var param = {
								"product_type":appUtils.getPageParam().product_type,
								"product_id":appUtils.getPageParam().product_id
							};
						}else if(pageParam.product_type == "8"){
							var param = {
									"product_type":appUtils.getPageParam().product_type,
									"product_id":appUtils.getPageParam().product_id,
									"mobile_phone":appUtils.getSStorageInfo("mobile_phone")
								};
						}else{
							var param = {
								"product_id":appUtils.getPageParam().product_id
							};
						};
					};
					appUtils.pageInit("account/Login","mall/finanOrder/confirmOrder",param);
				}else{
					var _prePageCode = appUtils.getSStorageInfo("_prePageCode");
					if(_prePageCode == "account/wingService" || _prePageCode == "account/found"){
						
						appUtils.pageInit("account/Login",_prePageCode);
					}else if(_prePageCode == "account/index"){
						var pageParam = appUtils.getPageParam();
						if(pageParam != undefined && pageParam.openTrend == "true"){
							appUtils.pageInit("account/Login","account/wingService",{});
						}else{
							appUtils.pageInit("account/Login","account/index",{});
						}
					}
					else if(_prePageCode == "account/heroList"||_prePageCode == "account/heroListSearch"){
						if("1"==appUtils.getPageParam().flag) {
							appUtils.pageInit("account/Login","account/answerActivity");
						}else {
							var param = {
									"uuid" : appUtils.getPageParam().uuid,
									"zhbh" : appUtils.getPageParam().zhbh,
									"flag":appUtils.getPageParam().flag
							};
								appUtils.pageInit("account/Login",_prePageCode,param);
						}
					}else if(_prePageCode == "account/ytg/userSpace"){
						appUtils.pageInit("account/Login",_prePageCode,{invest_id : appUtils.getPageParam("invest_id")});
					}
					else if(_prePageCode == "account/ytg/PlayGame"){
						appUtils.pageInit("account/Login",_prePageCode);
					}else if(_prePageCode == "account/ytg/viewDetails"){
						appUtils.pageInit("account/Login",_prePageCode,{view_id : appUtils.getPageParam("view_id")});
					}
					
					else{
						appUtils.pageInit("account/Login","account/index",{});
					}
				}
			}
	}
	
	function  pageInit(){
		var backurl = appUtils.getPageParam("backUrl");
		var backparam = appUtils.getPageParam("backparam");
		var avicParam = appUtils.getPageParam("avicParam");
		if(backurl=="groupExclusive/groupLuxury"||backurl=="life/hotelOrder"||backurl=="groupExclusive/zmkm"||backurl=="life/hotelDetail") {
			appUtils.pageInit("account/Login",backurl,{"backparam":backparam});
			return;
		}
		//集团员工V3版(手机登入)
		if(typeof(backparam)!="undefined"&&backparam!=""&&backparam.backUrl=="groupExclusive/groupLuxuryV3") {
			// 判断是否白名单
			var ctrlParam = {
					"isAsync" : false
				};
			var khdj = null;
			var group_type="";
			service.findSJzh({"mobile_phone":appUtils.getSStorageInfo("mobile_phone")}, function(datajt){
				var resultsjt = datajt.results;
				khdj=resultsjt[0].khdj;
				var  mobile_phone=resultsjt[0].phoneno;
				 group_type=resultsjt[0].group_type;
				if(typeof(mobile_phone)!="undefined"&&mobile_phone!="0"){
					//是集团客户,判断开户
					var identity_num = appUtils.getSStorageInfo("identity_num");//集团用户的身份证号
					var mobile_phone = appUtils.getSStorageInfo("mobile_phone");//集团用户的手机号
					var loginType = appUtils.getSStorageInfo("loginType");//获取是什么登入保证金还是手机
					var param2={
							"identity_num":identity_num,
							"mobile_phone":mobile_phone,
							"loginType":loginType
						};
						service.findZjzh(param2,function(data1){
							if(data1.error_no==0){
								var results = data1.results[0];
								var client_id =results.client_id;//资金账号
								if(client_id!=""&&typeof(client_id)!="undefined"){//表示开过户了，买产品
									var param={
											"product_id":appUtils.getSStorageInfo("product_id"),
											"product_status":appUtils.getSStorageInfo("product_status"),
											"product_type":appUtils.getSStorageInfo("product_type"),
											"pageCode":backparam.prePageCode
										};
									var cpdj=appUtils.getSStorageInfo("cpdj");
									if(appUtils.getSStorageInfo("product_type")=="5"){//判断理财产品必须要客户等级不小于产品等级
										if(khdj==cpdj){
											appUtils.pageInit(_pageCode,"mall/stickMoneyIn",param);
										}else{
											if(appUtils.getSStorageInfo("khbz")=="1"){
												var param2={
														"counTer":"亲，你已经开过户了，快快享受员工福利吧"
													};
												common.popupMethod(param2);
												//layerUtils.iMsg(0,"亲，你已经开过户了，快快享受员工福利吧");
											}else{
												var param2={
														"counTer":"你非本次发行的对象，请联系营业部！"
													};
												common.popupMethod(param2);
												//layerUtils.iMsg(0,"你非本次发行的对象，请联系营业部！");
											}
											
										}
									}else if(appUtils.getSStorageInfo("product_type")=="9"){
										window.location.href="/m/xdt/index.html#!/person/loginIn.html";
									}else{
										if(appUtils.getSStorageInfo("khbz")=="1"){
											var param2={
													"counTer":"亲，你已经开过户了，快快享受员工福利吧"
												};
											common.popupMethod(param2);
											//layerUtils.iMsg(0,"亲，你已经开过户了，快快享受员工福利吧");
										}else if(appUtils.getSStorageInfo("khbz")=="2"){//生产二维码标志
											if(group_type==1){//表示是安盟专区的
												appUtils.pageInit(param.pageCode,"groupExclusive/qRcode",param);
											}else{
												var param2={
														"counTer":"亲,您不是安盟员工"
													};
												common.popupMethod(param2);
											}
										}else{
											appUtils.pageInit(_pageCode,"mall/itemsFinanIn",param);
										}
									}
								}else{//没有开户，提示去开户
									var yybs=appUtils.getSStorageInfo("yyb");
									var yyb=yybs.split(",");
									if(appUtils.getSStorageInfo("khbz")=="1"){
										if(yyb.length==1){
											common.qkh(yyb);
										}
									}else{
										 if(yyb.length>1){//有两个营业部时展示不同的样式
											if(yyb.length==2){
												$(_pageId+" #sp_gc").show();
												$(_pageId+" #group_kh").hide();
												$(_pageId+" .btns_box2").show();
												$(_pageId+" #gruop_lb").show();
												$(_pageId+" #yyb2").show();
												$(_pageId+" #yyb3").hide();
												if(yyb[0]=="0021"){
													$(_pageId+" #jt_xa").html("西安营业部");
													$(_pageId+" #jt_yl").html("阎良营业部");
												}else if(yyb[0]=="0023"){
													$(_pageId+" #jt_xa").html("北京营业部");
													$(_pageId+" #jt_yl").html("哈尔滨营业部");
												}else if(yyb[0]=="0062"){
													$(_pageId+" #jt_xa").html("重庆黄山营业部");
													$(_pageId+" #jt_yl").html("成都青山营业部");
												}else if(yyb[0]=="0001"){
													$(_pageId+" #jt_xa").html("春风路营业部");
													$(_pageId+" #jt_yl").html("前海营业部");
												}else if(yyb[0]=="0024"){
													$(_pageId+" #jt_xa").html("杭州营业部");
													$(_pageId+" #jt_yl").html("衢州营业部");
												}else if(yyb[0]=="0002"){
													$(_pageId+" #jt_xa").html("上海营业部");
													$(_pageId+" #jt_yl").html("南通营业部");
												}else if(yyb[0]=="0003"){
													$(_pageId+" #jt_xa").html("武汉营业部");
													$(_pageId+" #jt_yl").html("枣阳营业部");
												}else{
													$(_pageId+" #jt_xa").html("兰州营业部");
													$(_pageId+" #jt_yl").html("贵阳营业部");
												}
												//开户到第一个营业部
												appUtils.bindEvent($(_pageId+" #jt_xa"),function(){
													common.qkh(yyb[0]);
												});
												//开户到第二个营业部
												appUtils.bindEvent($(_pageId+" #jt_yl"),function(){
													common.qkh(yyb[1]);
												});
											}else{
												$(_pageId+" #sp_gc").show();
												$(_pageId+" #group_kh").hide();
												$(_pageId+" .btns_box2").hide();
												$(_pageId+" #gruop_lb").show();
												$(_pageId+" #yyb3").show();
												$(_pageId+" #yyb2").hide();
												$(_pageId+" #jt_nub1").html("景德镇营业部");
												$(_pageId+" #jt_nub2").html("厦门营业部");
												$(_pageId+" #jt_nub3").html("共青城营业部");
												$(_pageId+" #jt_nub4").html("南京营业部");
												//开户到第一个营业部
												appUtils.bindEvent($(_pageId+" #jt_nub1"),function(){
													common.qkh(yyb[0]);
												});
												//开户到第二个营业部
												appUtils.bindEvent($(_pageId+" #jt_nub2"),function(){
													common.qkh(yyb[1]);
												});
												//开户到第三个营业部
												appUtils.bindEvent($(_pageId+" #jt_nub3"),function(){
													common.qkh(yyb[2]);
												});
											}
										}else{
											$(_pageId+" #sp_gc").show();
											$(_pageId+" #group_kh").show();
											$(_pageId+" .btns_box2").hide();
											$(_pageId+" #gruop_lb").show();
											//马上开户
											appUtils.bindEvent($(_pageId+" #jt_kh"),function(){
												common.qkh(yyb);
											});
										}
										//取消开户
										appUtils.bindEvent($(_pageId+" .btn_cancel2"),function(){
											$(_pageId+" #sp_gc").hide();
											$(_pageId+" #gruop_lb").hide();
											appUtils.pageInit(_pageCode, backparam.prePageCode);
										});
									}
								}
							}
						},ctrlParam);
				}else{
					//不是集团客户，邮箱认证去
					//判断有没有资料认证
					service.findMaterialRz({"user_id":appUtils.getSStorageInfo("user_id")},function(data){
						var error_no = data.error_no;
						if(error_no=="0"){//没有提交资料
							var results = data.results[0];
							var m_issh=results.m_issh;//认证的状态，0表示有资料正在审核，1表示审核通过
							if(m_issh=="0"){
								appUtils.pageInit("groupExclusive/emailAtion", "groupExclusive/materialVerifying");
							}else{
								service.findEmailVerifying({"user_id":appUtils.getSStorageInfo("user_id")},function(datayxs){
									var error_no = datayxs.error_no;	
									if(error_no==0){
										var results = datayxs.results;
										var issh_email = results[0].issh_email;//是否激活
										var param={
												"pageCode":backparam.prePageCode
										};
										if(results!=""){
											if(issh_email=="1"){
											}else if(issh_email=="0"){
												appUtils.pageInit("account/Login","groupExclusive/emailVerifying",param);
											}else if(issh_email=="10"){
												appUtils.pageInit("account/Login","groupExclusive/emailAtion",param);
											}else{
												appUtils.pageInit("account/Login","groupExclusive/emailAtion",param);
											}
										}
									}
								},ctrlParam);
							}
						}
					},ctrlParam);
				}
			},ctrlParam);
			return;
		}
		//翼钱罐(手机号)
		if(typeof(backparam)!="undefined"&&backparam!=""&&backparam.avicBao_sign=="1") {
			var ctrlParam = {
					"isAsync" : false
				};
			service.findAvicPhone({"mobile_phone":appUtils.getSStorageInfo("mobile_phone")}, function(databjt){
				var resultsjt = databjt.results;
				var mobile_phone=resultsjt[0].phoneno;
				if(typeof(mobile_phone)!="undefined"&&mobile_phone!="0"){//是集团客户
					//是集团客户,判断开户
					var identity_num = appUtils.getSStorageInfo("identity_num");//集团用户的身份证号
					var mobile_phone = appUtils.getSStorageInfo("mobile_phone");//集团用户的手机号
					var loginType = appUtils.getSStorageInfo("loginType");//获取是什么登入保证金还是手机
					var param2={
							"identity_num":identity_num,
							"mobile_phone":mobile_phone,
							"loginType":loginType
						};
						service.findZjzh(param2,function(data1){
							if(data1.error_no==0){
								var results = data1.results[0];
								var client_id =results.client_id;//资金账号
								if(client_id!=""&&typeof(client_id)!="undefined"){//表示开过户了，买产品
									appUtils.pageInit(_pageCode,backparam.backUrl,param);//跳进翼钱罐相关页面
								}else{//没有开户，提示去开户
									var yybs=appUtils.getSStorageInfo("yyb");
									if(appUtils.getSStorageInfo("khbz")=="1"){
										common.qkh(yybs);
									}else{
										$(_pageId+" #sp_gc").show();
										$(_pageId+" #group_kh").show();
										$(_pageId+" .btns_box2").hide();
										$(_pageId+" #gruop_lb").show();
										//马上开户
										appUtils.bindEvent($(_pageId+" #jt_kh"),function(){
											common.qkh(yybs);
										});
										//取消开户
										appUtils.bindEvent($(_pageId+" .btn_cancel2"),function(){
											$(_pageId+" #sp_gc").hide();
											$(_pageId+" #gruop_lb").hide();
											appUtils.pageInit(_pageCode, backparam.prePageCode);
										});
									}
								}
							}
						},ctrlParam);
				}else{
					//判断有没有邮箱认证
					service.findEmailVerifying({"user_id":appUtils.getSStorageInfo("user_id")},function(datasyx){
						var error_no = datasyx.error_no;	
						if(error_no==0){
							var results = datasyx.results;
							var issh_email = results[0].issh_email;//是否激活
							var param={
									"pageCode":backparam.prePageCode
								};
							if(results!=""){
								if(issh_email=="1"){
									layerUtils.iMsg(-1,"邮箱认证已经成功！请等待审核！");
								}else if(issh_email=="0"){
									appUtils.pageInit(_pageCode,"groupExclusive/emailVerifying",param);
								}else if(issh_email=="10"){
									appUtils.pageInit(_pageCode,"groupExclusive/emailAtion",param);
								}else{
									appUtils.pageInit(_pageCode,"groupExclusive/emailAtion",param);
								};
							};
						};
					},ctrlParam);
				}
			},ctrlParam);
			return;
		}
		//滴滴打车
		if(typeof(backparam)!="undefined"&&backparam!=""&&backparam.backUrl=="groupExclusive/dropsTaxi") {
			appUtils.pageInit("account/Login",backparam.backUrl);
			return;
		}
		//用于IM滴滴打车
		if(typeof(backparam)!="undefined"&&backparam!=""&&backparam.backUrl=="account/dropsTaxi") {
			appUtils.pageInit("account/Login",backparam.backUrl);
			return;
		};
		//芝麻开门
        if(typeof(backparam)!="undefined"&&backparam!=""&&backparam.prePageCode=="groupExclusive/jfslzq") {
		appUtils.setSStorageInfo("pageCode",backparam.prePageCode);
			var param={
				"product_id":backparam.product_id,
				"product_type":backparam.product_type
			}
		appUtils.pageInit("account/Login",backparam.backUrl,param);
			return;
		}
		//用于新理财购买统一的跳转
		if(typeof(avicParam)!="undefined"&&avicParam!=""&&avicParam.shop_sign=="1") {
			if(avicParam.product_type=="8"){
				var param = {
						"product_id" :avicParam.product_id,
						"product_type" : avicParam.product_type,
						"pageCode" : avicParam.pageCode
					};
				appUtils.pageInit(_pageCode,"mall/finanOrder/stickMoneyBuy", param);
			}else{
				var loginType = appUtils.getSStorageInfo("loginType");
				if (loginType == "0") {// 手机账号
					common.queryMobilePhone(appUtils.getSStorageInfo("mobile_phone"),determineUser);
				} else {// 资金账号
					var param = {
						"product_id" :avicParam.product_id,
						"product_type" : avicParam.product_type,
						"pageCode" : avicParam.pageCode
					};
				appUtils.pageInit(_pageCode,"mall/finanOrder/stickMoneyBuy", param);
				}
			}
			return;
		}
      //送流量
		if(typeof(avicParam)!="undefined"&&avicParam!=""&&avicParam.backUrl=="activity/activityFlow") {
			appUtils.pageInit("account/Login",avicParam.backUrl,backparam);
			return;
		}
		if(typeof(backparam)!="undefined"&&backparam!="") {
			appUtils.pageInit("account/Login",backparam.backUrl,backparam);
			return;
		}
		var url=appUtils.getLStorageInfo("bdurl");
		if(url!=null&&url!=""){
			appUtils.pageInit("account/Login","groupExclusive/emailAtion");
			return;
		}
		 if(appUtils.getSStorageInfo("_loginInPageCode")){
				//appUtils.pageInit("account/Login",appUtils.getSStorageInfo("_loginInPageCode"),{});
			 appUtils.pageInit("account/Login","userCenter/wd",{});
				appUtils.clearSStorage("_loginInPageCode");
				appUtils.clearSStorage("_loginInPageParam");
			}else{
				var pageJump = appUtils.getSStorageInfo("pageJump");
				if(pageJump == "mall/finanOrder/confirmOrder"){
					common.queryMobilePhone(appUtils.getSStorageInfo("mobile_phone"),determineUserState);
				}else if(pageJump == "mall/finanOrder/stickMoneyBuy"){
					common.queryMobilePhone(appUtils.getSStorageInfo("mobile_phone"),determineUserState);
				}else{
					var _prePageCode = appUtils.getSStorageInfo("_prePageCode");
					if(_prePageCode == "account/wingService" || _prePageCode == "account/found"){
						appUtils.pageInit("account/Login",_prePageCode);
					}else if(_prePageCode == "account/index"){
						var pageParam = appUtils.getPageParam();
						if(pageParam != undefined && pageParam.openTrend == "true"){
							appUtils.pageInit("account/Login","account/wingService",{});
						}else{
							appUtils.pageInit("account/Login","account/index",{});
						}
					}
					else if(_prePageCode == "account/payNianfei"){
							appUtils.pageInit("account/Login","account/payNianfei");
					}
					else if(_prePageCode == "account/heroList"||_prePageCode == "account/heroListSearch"){
						
						if("1"==appUtils.getPageParam().flag) {
							appUtils.pageInit("account/Login","account/answerActivity");
						}else {
							var param = {
									"uuid" : appUtils.getPageParam().uuid,
									"zhbh" : appUtils.getPageParam().zhbh,
									"flag":appUtils.getPageParam().flag
							};
								appUtils.pageInit("account/Login",_prePageCode,param);
						}
						
					}
					else if(_prePageCode == "account/ytg/userSpace"){
						appUtils.pageInit("account/Login",_prePageCode,{invest_id : appUtils.getPageParam("invest_id")});
					}
					else if(_prePageCode == "account/ytg/PlayGame"){
						appUtils.pageInit("account/Login",_prePageCode);
					}
					else if(_prePageCode == "userCenter/wd"){
						appUtils.pageInit("account/Login",_prePageCode);
					}else if(_prePageCode == "account/ytg/viewDetails"){
						appUtils.pageInit("account/Login",_prePageCode,{view_id : appUtils.getPageParam("view_id")});
					}
					else{
						appUtils.pageInit("account/Login","account/index",{});
					}
				}
		}
	}
	
	//登录
	function personLogin(login_account,trade_pwd){
		//加密
		service.getRSAKey({},function(data){
			if(data.error_no=="0"){
				var modulus = data.results[0].modulus;
				var publicExponent =data.results[0].publicExponent;
				var endecryptUtils = require("endecryptUtils");
				var trade_pass = endecryptUtils.rsaEncrypt(modulus,publicExponent,trade_pwd);
				if(trade_pwd){
					appUtils.setSStorageInfo("trade_pwd",trade_pwd);
				}
				var param={};
				if(loginType == "0"){//手机号码
					param  = {
						"login_account":login_account,
						"trade_pwd": trade_pass,
						"funcNo":"1000207",
						"loginType":"0"
					};
				}else{//资金账号
					param = {
						"fund_account":login_account,
						"trade_pwd":trade_pass,
						"funcNo":"1001103",
						"loginType":"1"
					};
				}
				service.fundLogin(param,function(data){
					var error_no = data.error_no;
					var error_info = data.error_info;
					var result = data.results;
					if(error_no == "0" && result.length != 0){
						// 保存session
						setUserSeesion(loginType,result,login_account);
						if(isNeedYgtLogin){
							ygtLoginFun();
						}else{
							$(_pageId+" #trade_pwd").val("");  //清除密码
							if(loginType==0){
								pageInit();//手机
							}else {
								khhPageInit();//保证金
							}
						}
 					}else{
 						layerUtils.iMsg(-1,error_info);
 					}
				});
			}
		});
	}
	//新理财判断用户状态
	function determineUser(data){
		var results = data.results;
		var is_register = results[0].is_register;
		var is_client = results[0].is_client;
		var is_risk = results[0].is_risk;
		var is_pwd = results[0].is_pwd;
		var is_bank = results[0].is_bank;
		if(is_register&&is_register=="1"&&(is_client=="0"||is_pwd=="0"||is_bank=="0")){
			var param={
				"pageCode":	appUtils.getSStorageInfo("page_address"),
				"product_type":appUtils.getSStorageInfo("product_type"),
				"product_id":appUtils.getSStorageInfo("product_id"),
				"mobile_phone":appUtils.getSStorageInfo("mobile_phone")
			};
			appUtils.pageInit("mall/moneyShop","account/testAccount",param);
		}else{
			var param = {
					"product_type":appUtils.getSStorageInfo("product_type"),
					"product_id":appUtils.getSStorageInfo("product_id"),
					"mobile_phone":appUtils.getSStorageInfo("mobile_phone")
				};
			appUtils.pageInit("account/Login","mall/finanOrder/stickMoneyBuy",param);
		}
	}
	//判断用户状态
	function determineUserState(data){
		var results = data.results;
		var is_register = results[0].is_register;
		var is_client = results[0].is_client;
		var is_risk = results[0].is_risk;
		var is_pwd = results[0].is_pwd;
		var is_bank = results[0].is_bank;
		if(is_register&&is_register=="1"&&(is_client=="0"||is_pwd=="0"||is_bank=="0")){
			var param={
				"pageCode":	appUtils.getSStorageInfo("page_address"),
				"product_type":appUtils.getPageParam().product_type,
				"product_id":appUtils.getPageParam().product_id,
				"mobile_phone":appUtils.getSStorageInfo("mobile_phone")
			};
			appUtils.pageInit("mall/moneyShop","account/testAccount",param);
		}else{
			var pageParam = appUtils.getPageParam();
			if(pageParam != undefined){
				if(pageParam.product_type == "7"){
					var param = {
						"product_type":appUtils.getPageParam().product_type,
						"product_id":appUtils.getPageParam().product_id
					};
				}else if(pageParam.product_type == "8"){
					var param = {
							"product_type":appUtils.getPageParam().product_type,
							"product_id":appUtils.getPageParam().product_id,
							"mobile_phone":appUtils.getSStorageInfo("mobile_phone")
						};
				}else{
					var param = {
						"product_id":appUtils.getPageParam().product_id
					};
				}
			}
			appUtils.pageInit("account/Login","mall/finanOrder/confirmOrder",param);
			//appUtils.pageInit("account/Login","mall/finanOrder/stickMoneyBuy",param);
		}
	}
	/**
	 * 记住账号
	 */
     function bindRemember(){
    	appUtils.bindEvent($(_pageId+" #checkOn"),function(){
			var state = $(this).attr("date-state");
			if(state == "true"){
				isRemember = "false";
				$(this).attr("date-state","false");
				$(_pageId+" .switch-inner").removeClass("on");
			} else {
				$(this).attr("date-state","true");
				isRemember = "true";
				$(_pageId+" .switch-inner").addClass("on");
			}
		},"click");
     }
	/*重新 获取验证码*/
	function getCode(){	 
		var url=global.validateimg +"?v="+Math.random();
		$(_pageId+' .code_pic').click( 
			function(){ 
				$(_pageId+' .code_pic').attr('src',url); 
			}); 
		$(_pageId+' .code_pic').attr('src',url);//验证码错误，刷新获得验证码
	}
	/*实时验证验证码*/
	function checkTicket(){
		var ticket =  $.trim($(_pageId+" #code").val());
		var	param  = {
				"vf_code": ticket
			};
		service.fundLogin(param,function(data){
			var error_info = data.error_info;
			var result = data.results;//验证码输入错误
			if(error_info=='验证码输入错误')
			{	 
				$("#checktick").css("background","url(./images/icon01-1.png) no-repeat 1px -70px");
			}else{
				$("#checktick").css("background","url(./images/icon01-1.png) no-repeat 1px 0px");
			}
		},true,false);
	}
	
	//云柜台登录函数
	function ygtLoginFun(){
		var loginType = appUtils.getSStorageInfo("loginType");
		var login_account = appUtils.getSStorageInfo("login_account");
		var trade_pwd = appUtils.getSStorageInfo("trade_pwd");
			if(loginType == "1"){//资金账号登录
				var param = {
					"login_id":login_account,
					"pwd_value":trade_pwd,
					"identity_num":"",
					"pwd_type":"5",
					"login_uid":"",
					"login_type":"6"
				};
				service.ygt_login(param, function(data){
			//	console.log("zhaocheng"+JSON.stringify(data));
					var error_no = data.error_no;
					var error_info = data.error_info;
					if(error_no == "0") {
						var result = data.results[0];
						
						if(platform == 0){//浏览器
							appUtils.setSStorageInfo("userInfo", result, true);
							appUtils.setSStorageInfo("ygt_login", "1",true);
							var param = {
								"user_id":result.user_id,
								"zj_account":"",
								"client_id":login_account
							};
							service.ygt_syncTradeAccount(param, function(data){
								console.log("zhaocheng1004"+JSON.stringify(data));
								var error_no = data.error_no;
								var error_info = data.error_info;
								if(error_no == "0") {
									var result = data.results[0];
									var licaiAccount = "";
									var qihuoAccount = "";
									var netAccount = "";
									var zqAccount = "";
									if (result["1"]) {
										licaiAccount = result["1"];
									}
									if(result["2"]) {
										qihuoAccount = result["2"];
									}
									if(result["3"]) {
										netAccount = result["3"];
									}
									if(result["4"]) {
										zqAccount = result["4"];
									}
									appUtils.setSStorageInfo("zqAccount", zqAccount, true);
									sessionStorage.setItem("zqAccount", zqAccount);
									var page = appUtils.getSStorageInfo("_loginInPageCodeYGT",true);
									if(page != "" && page != null && page != undefined){
									//	appUtils.pageInit("account/login",page);
										appUtils.sendDirect("../"+page+".html");
									}
								} else {
									layerUtils.iAlert(error_info);
									return false;
								}
							},{isShowWait: false});
						}else{//原生
							getModuleName();
							//把登陆标志存到原生内存缓存中
							var param = {
								"funcNo":"50040",
								"key":"isLogin",
		                        "value":"1"
							}
							var result = external.callMessage(param);
							if(result.error_no == "0" || result.error_no == "1") {
								//把登陆的信息存到原生内存缓存中
								var param = {
									"funcNo":"50040",
									"key":"userInfo",
									"value":data.results[0]
								};
								var result = external.callMessage(param);
								if(result.error_no == "0" || result.error_no == "1") {
									// 同步用户交易账号
									var param = {
										"user_id":data.results[0].user_id,
										"zj_account":"",
										"client_id":login_account
									};
									service.ygt_syncTradeAccount(param, function(data){
										console.log("zhaocheng1004"+JSON.stringify(data));
										var error_no = data.error_no;
										var error_info = data.error_info;
										if(error_no == "0") {
											var result = data.results[0];
											var licaiAccount = "";
											var qihuoAccount = "";
											var netAccount = "";
											var zqAccount = "";
											if (result["1"]) {
												licaiAccount = result["1"];
											}
											if(result["2"]) {
												qihuoAccount = result["2"];
											}
											if(result["3"]) {
												netAccount = result["3"];
											}
											if(result["4"]) {
												zqAccount = result["4"];
											}
											//把登陆的信息存到原生内存缓存中
											var param = {
												"funcNo":"50040",
												"key":"zqAccount",
												"value":zqAccount
											};
											var result = external.callMessage(param);
											if(result.error_no == "0" || result.error_no == "1") {
												
												if(moduleName=="qx") {
													var param = {
														"funcNo":"50101",
													    "moduleName":moduleName,
														"params" : {"url":url}
														};
														external.callMessage(param);
												}else {
													//跳转到模块
													var param = {
														"funcNo":"50101",
														"moduleName":moduleName
													};
													external.callMessage(param);
												}
	
											} else {
												layerUtils.iAlert(result.error_info);
												return false;
											}
										} else {
											layerUtils.iAlert(error_info);
											return false;
										}
									},{isShowWait: false});
								} else {
									layerUtils.iAlert(result.error_info);
									return false;
								}
							} else {
								layerUtils.iAlert(result.error_info);
								return false;
							}
						}
					} else {
						layerUtils.iAlert(error_info);
						return false;
					}
				},{isShowWait: false});
			}else{
			layerUtils.iAlert("请使用资金账号登录！",-1,function(){
				appUtils.pageInit("userCenter/wd","account/Login");
			});
		}
		
	}
	
	//查询登陆成功后跳转的模块
	function getModuleName() {
		var param = {
			"funcNo":"50041",
			"key":"moudlesName"
		};
		var result = external.callMessage(param);
		console.log("zhaocheng123456"+JSON.stringify(result));
		if(result.error_no == "0" || result.error_no == "1") {
			moduleName = result.results[0].value;
			
			if(moduleName=="qx") {
				var param1 = {
					"funcNo":"50041",
					"key":"moudlesUrl"
				};
			var result1 = external.callMessage(param1);
			url = result1.results[0].value;	
			// url = paramMap.params.url;
		//	 pageId = $("body .page[data-display='block']").attr("id");
		//	 pageCode = pageId.replace("_", "/");
			}
		//	console.log("zhaocheng123456"+moduleName);
		} else {
			layerUtils.iAlert(result.error_info);
			return false;
		}
	}
	
	function destroy(){
		$(_pageId+" #trade_id").val("");  // 清除账号
		$(_pageId+" #trade_pwd").val("");  // 清除密码
		$(_pageId+" #sp_gc").hide();
		$(_pageId+" #gruop_lb").hide();
		$(_pageId+" #yyb3").hide();
		$(_pageId+" #yyb2").hide();
		service.destroy();
	}

	var userLogin = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = userLogin;
});