define('mall/scripts/account/araContent.js',function(require, exports, module) {
	var appUtils = require("appUtils");
	var putils = require("putils");
	var service = require("mobileService"); //业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var HIscroll =require("hIscroll");
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var constants=require("constants");//常量类
	var _pageId="#account_araContent  ";
	function init(){
		common.initTitle(_pageId);
		var param = appUtils.getPageParam();
		queryContent(param);
		
	}
	function queryContent(param){
		var article_id = param.article_id;
		var param1 = {
			"article_id" : article_id
		}
		service.getContent(param1,function(data){
			if(data.error_no==0){
				var result = data.results[0];
				var content = common.formatContent(result.content);
				var source = result.source;
				var publish_date = result.publish_date;
				var title = result.title;
				$(".artcle-tit h2").html(title);
				$(".artcle-tit p span").html(publish_date);
				$(".artcle-tit p em").html("来源："+source).css("margin-left","5%");
				$("#center").html(content);
				
			}else{
				layerUtils.iAlert(data.error_info,-1);
			}
		});
	}
	
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
		//精彩
		appUtils.bindEvent($(_pageId + " .ft-4"), function(){
			appUtils.pageInit("account/araContent","account/index");
		});
		//发现
		appUtils.bindEvent($(_pageId + " .ft-2"), function(){
			appUtils.pageInit("account/araContent","account/found");
		});
		//资产
		appUtils.bindEvent($(_pageId + " .ft-3"), function(){
			appUtils.pageInit("account/araContent","userCenter/index");
		});
	}

	function destroy(){
		$(_pageId+" .artcle-tit h2").html("");
		$(_pageId+" .artcle-tit p span").html("");
		$(_pageId+" .artcle-tit p em").html("");
		$(_pageId+" .artcle-con p").html("");
	}
	
	var finiInfo = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = finiInfo;
});