﻿define('mall/scripts/account/autoZD.js',function(require, exports, module) {
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var ytgService = require("ytgService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var pageId = "#account_autoZD ";
	var external = require("external");
	var common = require("common");
	var platform=require("gconfig").platform;
	var gconfig = require("gconfig");
	var global = gconfig.global;
	
	var curInputId = null;
	var pwdTimer = null; // 密码输入框计时器
	var prePageCode="";
	function init(){
		common.initTitle(pageId);
		common.clearNewCss();
		$(pageId +"  #back_auto").css("color", "#fff");
		prePageCode = appUtils.getPageParam("pageCode"); // 上一页面pageCode
		window.customKeyboardEvent = {
			keyBoardInputFunction: inputEvent
		};
//		$(pageId+".main").css({
//			"overflow-y":"auto",
//			"overflow-x":"hidden",
//			"height":($(window).height()-$(pageId+" .new-header").height()-1)+"px"
//		});
//		$(pageId+" #net").html('<iframe src="" width="100%" height="500"></iframe>');
	}
	/**
	 * 股票自动补全输入
	 * */
	function stockAutoInput(){
		var param = {
				"stock_code" : stock_code,
				"limit" :5
		};
		var reqParamVo = {
				"isShowWait" : false
		};
		ytgService.stockAutoInput(param,function callBack(resultVo){
			if(Number(resultVo.error_no) == 0){
				$(pageId + "#stockName").html("");
				var result = resultVo.results;
				if(result != null && result != ""){
					$(pageId + '#autoSotck').html("");
					var html = '';
					for(var  i=0; i<result.length; i++){
						html  += '<li id="'+result[i].stock_code+'"><span class="num">'+result[i].stock_code+'</span><span class="text-left">'+result[i].stock_name+'</span></li>';
					}
					$(pageId + '#autoSotck').append(html);
					if(stock_code.length==6&& result.length == 1){
						$(pageId + '#autoSotck').hide();
					}else{
						$(pageId + '#autoSotck').show();
						//点击股票,查询股票详情,填充数据（绑定事件）
						appUtils.bindEvent($(pageId + "#autoSotck li"), function(e) {
							stock_code = $(this).attr("id"); //获股票代码
							$(pageId + '#stockCode').val(stock_code);
							$(pageId + '#autoSotck').hide();
						});
					}
				}
			}
			else{
				layerUtils.iAlert("股票自动补全输入失败:"+resultVo.error_info,-1);
			}
		},reqParamVo);
	}
	
	function bindPageEvent(){
		
//		appUtils.bindEvent($(pageId+" input[keyboard-plugin='true']"),function(e){
//		    	e.stopPropagation();
//			});
//		//点击页面关闭软键盘
//		appUtils.bindEvent($(pageId),function(e){
//			e.stopPropagation();
//		});
		//返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			var param = {
					"pageCode" : prePageCode
			};
			if(appUtils.getSStorageInfo("_prePageCode")=="account/found"){
				appUtils.pageInit("account/autoZD","account/found");
			}else if(appUtils.getSStorageInfo("_prePageCode")=="account/wingService"){
				appUtils.pageInit("account/autoZD","account/wingService",param);
			}else{
				appUtils.pageInit("account/autoZD","account/wingService",param);
			}
		});
		//根据输入框输入值自动加载诊断数据
		appUtils.bindEvent($(pageId + " #stockCode"), function(event) {
			event.stopPropagation(event);
			stock_code = $(this).val();
			if(stock_code != ""){
				stockAutoInput();
			}
			else{
				$(pageId + '#autoSotck').hide();
			}
				
		},"input");
		//诊断
		appUtils.bindEvent($(pageId+" #souSotckBtn"),function(){
			var value = $(pageId + " #stockCode").val();
			if(value.length == 6){
				var code = value.substring(0,1);
				if(value != null && code == '6')
				{
					//var url = "http://f10.chinabigdata.com/default.htm?c="+value+".sh&fid=F10&cid=0&sid=ZH009&ids=1";
					//var url = "https://f10.beigebigdata.com/default.htm?c="+value+".sh&fid=SECU_DIAG&cid=0&sid=ZH009";
					var url = "https://f10.beigebigdata.com/v2/index_cs_evening.html?c="+value+".sh&cid=-4&fid=SECU_DIAG&sid=ZH009";
					var param = {
						"funcNo" : "50115",
						"moduleName" : "project",
						"url" : url,
						"statusColor" : "#036ebb",
						"title" : "财富领航",
						"isShowBackBtn":"0",
						"isShowCloseBtn":"1",
						"statusStyle":"1"
					};
					
					external.callMessage(param);
				}else{
					var code1 = value.substring(0,3);
					if(code1 == '300' || code1 == '002' || code1 == '000'){
						//var url = "https://f10.beigebigdata.com/default.htm?c="+value+".sz&fid=SECU_DIAG&cid=0&sid=ZH009";
						var url = "https://f10.beigebigdata.com/v2/index_cs_evening.html?c="+value+".sz&cid=-4&fid=SECU_DIAG&sid=ZH009";
						var param = {
							"funcNo" : "50115",
							"moduleName" : "project",
							"url" : url,
							"statusColor" : "#CC1D58",
							"title" : "财富领航"
						};
						external.callMessage(param);
					}
				}
//				$(pageId+" .find-box h2").hide();
//				$(pageId+" .find-box .stock-diag").hide();
	        	}
		},"click");
	}
	
	
	/**
	 * 原生键盘的输入事件
	 * @param curKeyCode 当前输入值
	 */
	function inputEvent(curKeyCode)
	{
		var $curInput = $(pageId + "#" + curInputId);
		var curVal = $curInput.val();
		switch(Number(curKeyCode))
		{
			case -2: 
				$curInput.val("");
				break;
			case -3:
				break;
			case -5:
				$curInput.val(curVal);
				break;
			default:
				if(curVal.length >= 1)
				{
					$curInput.val(curVal);
				}
				clearTimeout(pwdTimer);
				pwdTimer = null;
				break;
		}
	}
	
	//销毁
	function destroy(){
		$(pageId+" .find-box h2").show();
		$(pageId+" .find-box .stock-diag").show();
		$(pageId + " #stockCode").val("");
		$(pageId + '#autoSotck').hide();
		$(pageId+" #net").html('');
		common.loadNewCss();
	}
	
	var aitoZD = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = aitoZD;
	
});