define('mall/scripts/account/dbNetClassVideo.js',function(require, exports, module) {
	var appUtils = require("appUtils");
	var putils = require("putils");
	var service = require("mobileService"); //业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var HIscroll =require("hIscroll");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var constants=require("constants");//常量类
	//下标0的元素表示头部滑动，1、2、3分别表示推荐理财、推荐基金和推荐资讯
	var customHIscroll= [{"scroll":null,"_init":false},{"scroll":null,"_init":false},{"scroll":null,"_init":false}];
	var _pageId = "#account_dbNetClassVideo ";
	var URL=global.url;
	var common = require("common");
	
	function init() {
		common.initTitle(_pageId);
		var url = appUtils.getPageParam().url;
		var title= appUtils.getPageParam().title;
		var movieinfo= appUtils.getPageParam().movieinfo;
		$(_pageId +"  #back_net").css("color", "#fff");
		$(_pageId).css("background","#fff").css("height",$(window).height());
		$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height()-$(_pageId+".new-header").height()-1)+"px"});
		
		$(_pageId +"  #biaoti").html(title);
		$(_pageId +"  #ship").html("<video id='video1' width='100%' style='margin-top:5px;' controls><source src='"+url+"' type='video/mp4' />你的浏览器不支持html5的video标签</video>");
		$(_pageId +"  #neirong").html(movieinfo);
	}
	
	
	function bindPageEvent() {
		//返回
		appUtils.bindEvent($(_pageId + " #icon_back"), function(){
			//window.location.href="/m/mall/index.html#!/account/netClassVideo.html";
			var url=appUtils.getSStorageInfo("catalog_id");
			var param={
				"catalog_id" : url	
			};
			appUtils.pageInit("account/dbNetClassVideo","account/netClassVideo",param);
		});
	}
	
	function destroy(){
		$(_pageId+" .subject-list").html("");
		$(_pageId +"  #ship").html("");
	}
	
	var netClass = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = netClass;
});