define('mall/scripts/account/financialInfo.js',function(require, exports, module) {
	var appUtils = require("appUtils");
	var putils = require("putils");
	var service = require("mobileService"); //业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var HIscroll =require("hIscroll");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var constants=require("constants");//常量类
	var pageId="#account_financialInfo  ";
	var dropload=require("dropload"); // 滚动组件
	var hisClick=[];
	var me="";
	var curPageNo = "";
	var common=require("common");
	//初始化
	function init(){
		common.initTitle(pageId);
		if(appUtils.getSStorageInfo("hisClickTit")!=null){
			hisClick=appUtils.getSStorageInfo("hisClickTit");
		};
		console.log(hisClick);
		curPageNo = 1;
		queryTitle();
	}
	function queryTitle(){
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" .financial-list").html("");
		//初始化滑动组件
		var dropload = $(pageId +".khfxWarp").dropload({
	        scrollArea: $(pageId +".khfxWarp"),
	        loadUpFn:function(me){
	        	setTimeout(function(){
	        		//调用方法
	        		var param = {
	        				"categoryid":"5",
	        				"page":"1",
	        				"pageSize":"10"
	        		};
	        		service.SBTitle(param,function(data){
	        			if(data.error_no==0){
	        				var result = data.results;
        					if(curPageNo == 1){//处理没有数据的情况
        						if(result.length==0){
        							$(pageId + " .financial-list").hide();
        							$(pageId+" .dropload-down").hide();
        						}else{
        							$(pageId + " .financial-list").show();
        							$(pageId+" .dropload-down").show();
        						}
        					}else{
        						if(result.length==0){
        							me.lock();
        				            // 显示无数据
        				            me.noData();
        				            me.loading = false;
        				            me.resetload();//加载数据
        						}
        					}
        					$(pageId+" .financial-list").html("");
	        				var li = "";
	        				for(var i = 0;i<result.length;i++){
	        					var title = result[i].title;
	        					var combinationid = result[i].combinationid;
	        					var publishtime = result[i].publishtime;
	        					var hasRead=null;
	        					if($.inArray(combinationid,hisClick)!="-1"){
	        						hasRead='style="color:rgb(202,202,202);"';
	        					}else{
	        						hasRead='';
	        					}
	        					li = '<li combinationid="'+ combinationid +'"><a href="javascript:void(0);"'+hasRead+'><strong>'+ title +'</strong></a><em>'+ publishtime +'</em></li>';
	        					
	        					$(pageId+" .financial-list").append(li);
	        				}
	        				$(pageId+" .financial-list li a em").css({ "float":"right","padding-right":"2%"});
	        				if(result.length<10){
        			            // 再往下已经没有数据
        			            // 锁定
        			            me.lock();
        			            // 显示无数据
        			            me.noData();
        			            me.loading = false;
        			        }
        					me.resetload();//加载数据
	        				//点击标题 
	        				appUtils.bindEvent($(pageId + " .financial-list li"), function(){
	        					var combinationid = $(this).attr("combinationid");
	        					var param = {
	        						"combinationid" : combinationid,
	        						"categoryid":"5"
	        					};
	        					if($.inArray(combinationid,hisClick)=="-1"){
	        						hisClick.push(combinationid);
	        					}
	        					appUtils.setSStorageInfo("hisClickTit",hisClick);
	        					appUtils.pageInit("account/financialInfo","account/financialCont",param);
	        				},"click");
	        			}else{
	        				layerUtils.iAlert(data.error_info,-1);
	        			}
	        			},{"isShowWait":false});		
	    		},200);
	        },
	        loadDownFn: function (me) {
	        	setTimeout(function(){
	        		//调用方法
	        		var param = {
	        				"categoryid":"5",
	        				"page":curPageNo,
	        				"pageSize":"10"
	        		};
	        		service.SBTitle(param,function(data){
	        			if(data.error_no==0){
	        				var result = data.results;
        					if(curPageNo == 1){//处理没有数据的情况
        						if(result.length==0){
        							$(pageId + " .financial-list").hide();
        							$(pageId+" .dropload-down").hide();
        						}else{
        							$(pageId + " .financial-list").show();
        							$(pageId+" .dropload-down").show();
        						}
        					}else{
        						if(result.length==0){
        							me.lock();
        				            // 显示无数据
        				            me.noData();
        				            me.loading = false;
        				            me.resetload();//加载数据
        						}
        					}
        					curPageNo++;
	        				var li = "";
	        				for(var i = 0;i<result.length;i++){
	        					var title = result[i].title;
	        					var combinationid = result[i].combinationid;
	        					var publishtime = result[i].publishtime;
	        					var hasRead=null;
	        					if($.inArray(combinationid,hisClick)!="-1"){
	        						hasRead='style="color:rgb(202,202,202);"';
	        					}else{
	        						hasRead='';
	        					}
	        					li = '<li combinationid="'+ combinationid +'"><a href="javascript:void(0);"'+hasRead+'><strong>'+ title +'</strong></a><em>'+ publishtime +'</em></li>';
	        					$(pageId+" .financial-list").append(li);
	        				}
	        				$(pageId+" .financial-list li a em").css({ "float":"right","padding-right":"2%"});
	        				if(result.length<10){
        			            // 再往下已经没有数据
        			            // 锁定
        			            me.lock();
        			            // 显示无数据
        			            me.noData();
        			            me.loading = false;
        			        }
        					me.resetload();//加载数据
	        				//点击标题 
	        				appUtils.bindEvent($(pageId + " .financial-list li"), function(){
	        					var combinationid = $(this).attr("combinationid");
	        					var param = {
	        						"combinationid" : combinationid,
	        						"categoryid":"5"
	        					};
	        					if($.inArray(combinationid,hisClick)=="-1"){
	        						hisClick.push(combinationid);
	        					}
	        					appUtils.setSStorageInfo("hisClickTit",hisClick);
	        					appUtils.pageInit("account/financialInfo","account/financialCont",param);
	        				},"click");
	        			}else{
	        				layerUtils.iAlert(data.error_info,-1);
	        			}
	        			},{"isShowWait":false});		
	    		},200);
	        }
	    });
	}
	
	function bindPageEvent(){
		appUtils.bindEvent($(_pageId + ".icon_back"), function(e){
			appUtils.pageBack();
		});
	}

	function destroy(){
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" .financial-list").html("");
	}
	var financialInfo = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = financialInfo;
});