define('mall/scripts/account/finiInfo.js',function(require, exports, module) {
	var appUtils = require("appUtils");
	var putils = require("putils");
	var service = require("mobileService"); //业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var HIscroll =require("hIscroll");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var constants=require("constants");//常量类
	var pageId="#account_finiInfo  ";
	var dropload=require("dropload"); // 滚动组件
	var me="";
	var curPageNo = "";
	var prePageCode="";
	var common=require("common");
	//初始化
	function init(){
		common.initTitle(pageId);

		prePageCode = appUtils.getPageParam("pageCode"); // 上一页面pageCode
		curPageNo = 1;
		queryTitle();
	}
	function queryTitle(){
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" .financial-list").html("");
		//初始化滑动组件
		var dropload = $(pageId +".khfxWarp").dropload({
	        scrollArea: $(pageId +".khfxWarp"),
	        loadDownFn: function (me) {
	        	setTimeout(function(){
	        		//调用方法
	        		var param1 = {
	        				"catalog_id":"2925",
	        				"page":curPageNo,
	        				"pageSize":"10"
	        		};
	        		service.testTitle(param1,function(data){
	        			if(data.error_no==0){
	        				var result = data.results;
        					if(curPageNo == 1){//处理没有数据的情况
        						if(result.length==0){
        							$(pageId + " .financial-list").hide();
        							$(pageId+" .dropload-down").hide();
        						}else{
        							$(pageId + " .financial-list").show();
        							$(pageId+" .dropload-down").show();
        						}
        					}else{
        						if(result.length==0){
        							me.lock();
        				            // 显示无数据
        				            me.noData();
        				            me.loading = false;
        				            me.resetload();//加载数据
        						}
        					}
        					curPageNo++;
	        				var li = "";
	        				for(var i = 0;i<result.length;i++){
	        					var title = result[i].title;
	        					var article_id = result[i].article_id;
	        					var publish_date = result[i].publish_date;
	        					// publish_date = publish_date.substring(0,4)+"."+publish_date.substring(5,7)+"."+publish_date.substring(8,10);
	        					li = '<li article_id="'+ article_id +'"><a href="javascript:void(0);"><strong>'+ title +'</strong></a><em>'+ publish_date +'</em></li>';
	        					$(pageId+" .financial-list").append(li);
	        				}
	        				$(pageId+" .financial-list li a em").css({ "float":"right","padding-right":"2%"});
	        				if(result.length<10){
        			            // 再往下已经没有数据
        			            // 锁定
        			            me.lock();
        			            // 显示无数据
        			            me.noData();
        			            me.loading = false;
        			        }
        					me.resetload();//加载数据
	        				//点击标题 
	        				appUtils.bindEvent($(pageId + " .financial-list li"), function(){
	        					var article_id = $(this).attr("article_id");
	        					var param = {
	        						"article_id" : 	article_id
	        					};
	        					appUtils.pageInit("account/finiInfo","account/araContent",param);
	        				},"click");
	        			}else{
	        				layerUtils.iAlert(data.error_info,-1);
	        			}
	        			},{"isShowWait":false});		
	    		},200);
	        }
	    });
	}
	
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(pageId + " .icon_back"), function(){
			var param = {
					"pageCode" : prePageCode
			};
			if(prePageCode!=""&&prePageCode!=null){
				appUtils.pageInit("account/chiefPoint",prePageCode,param);
			}else{
				appUtils.pageInit("account/chiefPoint","account/wingService",param);
			}
		});
		
		appUtils.bindEvent($(pageId + " .ft-4"), function(){
			appUtils.pageInit("account/finiInfo","account/index");
		});

		appUtils.bindEvent($(pageId + " .ft-2"), function(){
			appUtils.pageInit("account/finiInfo","account/found");
		});

		appUtils.bindEvent($(pageId + " .ft-3"), function(){
			appUtils.pageInit("account/finiInfo","userCenter/index");
		});
	}

	function destroy(){
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" .financial-list").html("");
	}
	var finiInfo = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = finiInfo;
});