/**
 * 发现
 */
define('mall/scripts/account/found.js',function(require, exports, module) {
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var _pageId = "#account_found ";
//	var external = require("external");
//	var platform=require("gconfig").platform;
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var isLogin;
	var common=require("common");
	//初始化
	function init(){
		common.initTitle(_pageId);
		var _prePageCode = appUtils.getSStorageInfo("_prePageCode");
		if(_prePageCode == "account/userLogin"){
			var loginType = appUtils.getSStorageInfo("loginType");
			if(loginType == "0"){
				var mobile_phone = appUtils.getSStorageInfo("mobile_phone");
			}else if(loginType == "1"){
				var mobile_phone = appUtils.getSStorageInfo("telephone");
			}
		}

		$(_pageId).css("background","#fff");
//		$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height()-$(_pageId+".header").outerHeight()-$(_pageId+".footer").outerHeight()-1)+"px"});
		var isMainPageHeight = $(window).height();		
		var sessionMainHeight = appUtils.getSStorageInfo("isMainPageHeight");
		if(sessionMainHeight){
			$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":(sessionMainHeight-$(_pageId+".header-con").height()-$(_pageId+".new-footer-con").height()-1)+"px"});
		}else{
			$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height()-$(_pageId+".header-con").height()-$(_pageId+".new-footer-con").height()-1)+"px"});
			appUtils.setSStorageInfo("isMainPageHeight",isMainPageHeight);
		}
		// $(_pageId+" .new-header").css("color","#2b2e55");
	}
	
	//查询用户是否登录
	function getLoginFlag() {
		var param = {
			"funcNo":"50041",
			"key":"isLogin"
		};
		var result = external.callMessage(param);
		if(result.error_no == "0") {
			isLogin = result.results[0].value;
		} else {
			layerUtils.iAlert(result.error_info);
			return false;
		}
	}
	
	//绑定事件
	function bindPageEvent(){
		/**
		 * 返回
		 */
//		appUtils.bindEvent($(_pageId+" .mz-left"),function(){
//			appUtils.pageInit("account/found","account/index");
//		});
		appUtils.bindEvent($(_pageId + ".icon_back"), function(e){
			appUtils.pageBack();
		}); 
		
		/**
		 * 翼启航专家
		 */
		appUtils.bindEvent($(_pageId+" .part1"),function(){
			var product_type = "6";
			var param = {
				"product_type" : product_type
			};
			appUtils.pageInit("account/found","mall/itemsFinan",param);
		});
		/**
		 * 买理财
		 */
		appUtils.bindEvent($(_pageId+" .part2"),function(){
			var product_type = "5";
			var param = {
				"product_type" : product_type
			};
			appUtils.pageInit("account/found","mall/itemsFinan",param);
			//appUtils.pageInit("account/found","mall/moneyShop");
		});
		/**
		 * 买基金
		 */
		appUtils.bindEvent($(_pageId+" .part3"),function(){
			var fina_belongs = "7";
			var param = {
				"product_type" : fina_belongs
			};
			appUtils.pageInit("account/found","mall/itemsFinan",param);
			//layerUtils.iAlert("即将推出，敬请期待!");
		});
		/**
		 * 随心贷
		 */
		appUtils.bindEvent($(_pageId+" .part5"),function(){
			
			appUtils.pageInit("account/found","account/suiXindai");
		});
		/**
		 * 资产
		 */
		appUtils.bindEvent($(_pageId+" .ft-3"),function(){
			appUtils.pageInit("account/found","userCenter/index");
		});
		/**
		 * 精彩
		 */
		appUtils.bindEvent($(_pageId+" .ft-4"),function(){
			appUtils.pageInit("account/found","mall/moneyShop");
		});
		
        /**
		 * 在线咨询
		 */
	

		/**
		 * 视频点播
		 */
		appUtils.bindEvent($(_pageId + " .part9"), function(){
			appUtils.pageInit("account/found","account/netClass");
		});

		/**
		 * 企业服务
		 */
		appUtils.bindEvent($(_pageId+" .part15"),function(){
			appUtils.pageInit("account/wingService","account/enterpriseService");
		});
		
		/**
		 * 首席观点
		 */
		appUtils.bindEvent($(_pageId+" .part16"),function(){
			appUtils.pageInit("account/found","account/chiefPoint");
		});
		
		/**
		 * 网络课堂
		 */
		appUtils.bindEvent($(_pageId + " .part7"), function(){
			appUtils.pageInit("account/wingService","account/workRoom");
		});
		
		/**
		 * 财经资讯
		 */
		appUtils.bindEvent($(_pageId + " .part11"), function(){
			appUtils.pageInit("account/found","account/finiInfo");
		});
		/**
		 * 交易提示
		 */
		appUtils.bindEvent($(_pageId + " .part12"), function(){
			appUtils.pageInit("account/found","account/tradeNotice");
		});
		/**
		 * 自动诊断
		 */
		appUtils.bindEvent($(_pageId + " .part10"), function(){
			appUtils.pageInit("account/found","account/autoZD");
		});
		/**
		 * 投资者教育
		 */
		appUtils.bindEvent($(_pageId+" .part13"),function(){
			appUtils.pageInit("account/found","account/investEduca");
		});	
		/**
		 * 交易规则介绍
		 */
		appUtils.bindEvent($(_pageId+" .part14"),function(){
			appUtils.pageInit("account/found","account/tradeRules");
		});
		/**
		 * 意见反馈
		 */
		appUtils.bindEvent($(_pageId+" .part17"),function(){
			appUtils.pageInit("account/found","account/feedback");
		});
		/**
		 * 授权
		 */
		appUtils.bindEvent($(_pageId+" .part18"),function(){
			var user_id = appUtils.getSStorageInfo("user_id");
			if(user_id == "" || user_id == null){
				appUtils.pageInit("account/found","account/userLogin");
			}else{
				
				var mobile_phone = appUtils.getSStorageInfo("mobile_phone");
				var loginType = appUtils.getSStorageInfo("loginType");
				
			}
		});
	}

	//获取网络课堂地址
	function getUrl(){
		var param = {
			"enumName" : "wlkturl"
		};
		service.getNetclassUrl(param,function(data){
			if(data.error_no == "0"){
				var results = data.results[0];
				var item_value = results.item_value;
			
			}else{
				layerUtils.iMsg(-1,data.error_info);
				return false;
			}
		});
	}
	
	//销毁
	function destroy(){
		
	}
	
	var found = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = found;
	
});