/**
 * 英雄榜
 */
define('mall/scripts/account/heroListSearch.js',function(require, exports, module) {
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var _pageId = "#account_heroListSearch ";
	var external = require("external");
	var platform=require("gconfig").platform;
	var gconfig = require("gconfig");
	var global = gconfig.global;
	
	//下标0的元素表示头部滑动，1、2、3分别表示推荐理财、推荐基金和推荐资讯
	var customHIscroll= [{"scroll":null,"_init":false},{"scroll":null,"_init":false},{"scroll":null,"_init":false}];
	var HIscroll =require("hIscroll");
	var picLoadTimer = null;

	var curInputId = null;
    var pwdTimer = null; // 密码输入框计时器
    var common = require("common");
	var currPage = 1;
	
	//初始化
	function init(){

		common.initTitle(_pageId);
		common.clearNewCss();
		var text = appUtils.getPageParam().text;
		$(_pageId+" .find-box h2").html(text);
//		$(_pageId+".rank_box").css({
//			"overflow-y":"auto",
//			"overflow-x":"hidden",
//			"height":($(window).height()-$(_pageId+".search_box").height()-$(_pageId+".find-box").height()-1)+"px"
//		});
		var type = appUtils.getPageParam().type;
		if(type == "1"){
			$(_pageId+" #scrollercyyx table").html("");
			$(_pageId+" #jiazaigengduo a").html("点击加载更多");
			$(_pageId+" .cyyx").show();
			$(_pageId+" .cytd").hide();
			$(_pageId+" .tzyx").hide();
			$(_pageId+" .rqyx").hide();
			$(_pageId+" .cyyyb").hide();
		}else if(type == "2"){
			$(_pageId+" #scrollercytd table").html("");
			$(_pageId+" #jiazaigengduo a").html("点击加载更多");
			$(_pageId+" .cyyx").hide();
			$(_pageId+" .cytd").show();
			$(_pageId+" .tzyx").hide();
			$(_pageId+" .rqyx").hide();
			$(_pageId+" .cyyyb").hide();
		}else if(type == "3"){
			$(_pageId+" #scrollertzyx table:eq(0)").html("");
			$(_pageId+" #scrollertzyx table:eq(1)").html("");
			$(_pageId+" #jiazaigengduo a").html("点击加载更多");
			$(_pageId+" .cyyx").hide();
			$(_pageId+" .cytd").hide();
			$(_pageId+" .tzyx").show();
			$(_pageId+" .rqyx").hide();
			$(_pageId+" .cyyyb").hide();
		}else if(type == "4"){
			$(_pageId+" #scrollerrqyx table:eq(0)").html("");
			$(_pageId+" #scrollerrqyx table:eq(1)").html("");
			$(_pageId+" #jiazaigengduo a").html("点击加载更多");
			$(_pageId+" .cyyx").hide();
			$(_pageId+" .cytd").hide();
			$(_pageId+" .tzyx").hide();
			$(_pageId+" .rqyx").show();
			$(_pageId+" .cyyyb").hide();
		}else if(type == "5"){
			$(_pageId+" #scrollercyyb table:eq(0)").html("");
			$(_pageId+" #scrollercyyb table:eq(1)").html("");
			$(_pageId+" #jiazaigengduo a").html("点击加载更多");
			$(_pageId+" .cyyx").hide();
			$(_pageId+" .cytd").hide();
			$(_pageId+" .tzyx").hide();
			$(_pageId+" .rqyx").hide();
			$(_pageId+" .cyyyb").show();
		}
//		listQuery(type,currPage,"")
 		window.customKeyboardEvent = {
            keyBoardInputFunction: inputEvent
        };
	}
	
	//榜单查询
	function listQuery(type,currPage,name){
		var param = {
			"type" : type,
			"page" : currPage,
			"pageSize" : "500",
			"name" : name
		};
		service.queryList(param,function(data){
			if(data.error_no == "0"){
				var results = data.results[0].data;
				if(currPage == 1){
					if(results.length == 0){
						if(type == "1"){
							$(_pageId+" #scrollercyyx table").html("");
						}else if(type == "2"){
							$(_pageId+" #scrollercytd table").html("");
						}else if(type == "3"){
							$(_pageId+" #scrollertzyx table:eq(0)").html("");
							$(_pageId+" #scrollertzyx table:eq(1)").html("");
						}else if(type == "4"){
							$(_pageId+" #scrollerrqyx table:eq(0)").html("");
							$(_pageId+" #scrollerrqyx table:eq(1)").html("");
						}else if(type == "5"){
							$(_pageId+" #scrollercyyx table").html("");
						}
						$(_pageId+" .fix_add").show().css("margin-top","-35%");
					}else{
						$(_pageId+" .fix_add").hide();
					}
				}
				if(results.length == 0 || results.length < 10){
					$(_pageId+" #jiazaigengduo").hide();	
				}else{
					$(_pageId+" #jiazaigengduo").show().css("margin-top",(3+0.2*currPage)+"%");
				}
				
				
				if(type == "1"){  //创业英雄榜
					
					
					
					if(currPage == 1){
						var cyyxStr = '<tr><th>排名</th><th>姓名</th><th>团队</th><th>营业部</th><th>当日开户数</th></tr>';
						var tzyxStrSecond = '<tr><th>2016年累计有效户数</th><th>累计有效户数</th></tr>';
					}
					for(var i = 0;i < results.length;i++){
						var yyxm = results[i].yyxm;
						var td = results[i].td;
						var yybmc = results[i].yybmc;
						var rank = results[i].rank;
						var uuid = results[i].uuid;
						var zhbh = results[i].zhbh;
						var rank_sj = results[i].rank_sj;
						var drkh = results[i].drkh;
						
						var ds_yxljkh = results[i].ds_yxljkh;
						var yxljkh = results[i].yxljkh;
						
						if(uuid != ""&&zhbh != ""){
							if(currPage == 1){
								if(i == 0){
									cyyxStr += '<tr><td><em style="background:#E73842;">'+ rank +'</em></td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ td +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}else if(i == 1){
									cyyxStr += '<tr><td><em style="background:#F98106;">'+ rank +'</em></td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ td +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}else if(i == 2){
									cyyxStr += '<tr><td><em style="background:#41BFF5;">'+ rank +'</em></td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ td +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}else{
									cyyxStr += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ td +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}
							}else{
								cyyxStr += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ td +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
							}
						}else{
							if(currPage == 1){
								if(i == 0){
									cyyxStr += '<tr><td><em style="background:#E73842;">'+ rank +'</em></td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ td +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}else if(i == 1){
									cyyxStr += '<tr><td><em style="background:#F98106;">'+ rank +'</em></td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ td +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}else if(i == 2){
									cyyxStr += '<tr><td><em style="background:#41BFF5;">'+ rank +'</em></td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ td +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}else{
									cyyxStr += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ td +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}
							}else{
								cyyxStr += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ td +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
							}
						}
						
						tzyxStrSecond += '<tr><td>'+ yxljkh +'</td><td>'+  ds_yxljkh+'</td></tr>';
					}
					
					
				
				if(results.length > 0){
					$(_pageId+" #scrollercyyx table:eq(0)").append(cyyxStr);
					$(_pageId+" #scrollercyyx table:eq(1)").append(tzyxStrSecond);
					initAdScrollercyyx();
						if(currPage == 1){
							$(_pageId+" #scrollercyyx").css("height",($(_pageId+" #scrollercyyx table tr").height()+1)*(results.length+1));
						}else{
							$(_pageId+" #scrollercyyx").css("height",($(_pageId+" #scrollercyyx table tr").height()+1)*((currPage-1)*10+results.length+1));
						}
					}else{
						$(_pageId+" #scrollercyyx").css("height","82px");
					}
					var trObj = $(_pageId+"  #scrollercyyx table tr");
					for(var i = 0;i < trObj.length;i++){
						appUtils.bindEvent($(trObj[i]).find("td:eq(1)"),function(){
							var uuid = $(this).attr("uuid");
							var zhbh = $(this).attr("zhbh");
							var user_id = appUtils.getSStorageInfo("user_id");
							if(uuid != ""&&zhbh != ""){
								if(user_id == ""||user_id == null){
									var param = {
										"uuid" : uuid,
										"zhbh" : zhbh
									};
									appUtils.pageInit("account/heroList","account/userLogin",param);
								}else{
									
									var paramValue = {
											"funcNo": "50040",
											"key": "login_user",
											"value": user_id
										};
										external.callMessage(paramValue);
										var uuidparamValue = {
										"funcNo": "50040",
										"key": "gtuuid",
										"value": uuid
									};
									external.callMessage(uuidparamValue);
										var mobile_phone = appUtils.getSStorageInfo("mobile_phone");
										var loginType = appUtils.getSStorageInfo("loginType");
										var param = {
											funcNo: "50040",
											key: "login_type",
											value: mobile_phone+"_"+loginType
										};
										external.callMessage(param);
									var param = {
										"funcNo":"50101",
										"moduleName":"trends",
										"params" : {"url":"finanPlanDetails/basicInfo","userId":uuid,"zhbh" : zhbh}
									};
									external.callMessage(param);
								}
							}
						});
					}
					$(_pageId+' #hero_parent').animate({
						scrollTop:$(_pageId+" #scrollercyyx").height()
					},1000);
					return false;
					
				}else if(type == "2"){  //创业团队榜
					if(currPage == 1){
						var cytdStr = '<tr><th>排名</th><th>团队</th><th>营业部</th><th>当日开户数</th></tr>';
						var tzyxStrSecond = '<tr><th>2016年累计有效户数</th><th>累计有效户数</th></tr>';
					}
					for(var i = 0;i < results.length;i++){
						var td = results[i].td;
						var yybmc = results[i].yybmc;
						var rank = results[i].rank;
						var uuid = results[i].uuid;
						var zhbh = results[i].zhbh;
						var rank_sj = results[i].rank_sj;
						var drkh = results[i].drkh;
						var ds_yxljkh = results[i].ds_yxljkh;
						var yxljkh = results[i].yxljkh;
						if(uuid != ""&&zhbh != ""){
							if(currPage == 1){
								if(i == 0){
									cytdStr += '<tr><td><em style="background:#E73842;">'+ rank +'</em></td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}else if(i == 1){
									cytdStr += '<tr><td><em style="background:#F98106;">'+ rank +'</em></td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}else if(i == 2){
									cytdStr += '<tr><td><em style="background:#41BFF5;">'+ rank +'</em></td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}else{
									cytdStr += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}
							}else{
								cytdStr += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
							}
						}else{
							if(currPage == 1){
								if(i == 0){
									cytdStr += '<tr><td><em style="background:#E73842;">'+ rank +'</em></td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}else if(i == 1){
									cytdStr += '<tr><td><em style="background:#F98106;">'+ rank +'</em></td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}else if(i == 2){
									cytdStr += '<tr><td><em style="background:#41BFF5;">'+ rank +'</em></td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}else{
									cytdStr += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}
							}else{
								cytdStr += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
							}
						}
						tzyxStrSecond += '<tr><td>'+ yxljkh +'</td><td>'+  ds_yxljkh+'</td></tr>';
					}
					if(results.length > 0){
						$(_pageId+" #scrollercytd table:eq(0)").append(cytdStr);
						$(_pageId+" #scrollercytd table:eq(1)").append(tzyxStrSecond);
						initAdScrollercytd();
							if(currPage == 1){
								$(_pageId+" #scrollercytd").css("height",($(_pageId+" #scrollercytd table tr").height()+1)*(results.length+1));
							}else{
								$(_pageId+" #scrollercytd").css("height",($(_pageId+" #scrollercytd table tr").height()+1)*((currPage-1)*10+results.length+1));
							}
						}else{
							$(_pageId+" #scrollercytd").css("height","82px");
						}
						
					var trObj = $(_pageId+"  #scrollercytd table tr");
					for(var i = 0;i < trObj.length;i++){
						appUtils.bindEvent($(trObj[i]).find("td:eq(1)"),function(){
							var uuid = $.trim($(this).attr("uuid"));
							var zhbh = $(this).attr("zhbh");
							var user_id = appUtils.getSStorageInfo("user_id");
							if(uuid != ""&&zhbh != ""){
								if(user_id == ""||user_id == null){
									var param = {
										"uuid" : uuid,
										"zhbh" : zhbh
									};
									appUtils.pageInit("account/heroList","account/userLogin",param);
								}else{
									
									var paramValue = {
											"funcNo": "50040",
											"key": "login_user",
											"value": user_id
										};
										external.callMessage(paramValue);
										var uuidparamValue = {
										"funcNo": "50040",
										"key": "gtuuid",
										"value": uuid
									};
									external.callMessage(uuidparamValue);
										var mobile_phone = appUtils.getSStorageInfo("mobile_phone");
										var loginType = appUtils.getSStorageInfo("loginType");
										var param = {
											funcNo: "50040",
											key: "login_type",
											value: mobile_phone+"_"+loginType
										};
										external.callMessage(param);
									var param = {
										"funcNo":"50101",
										"moduleName":"trends",
										"params" : {"url":"finanPlanDetails/basicInfo","userId":uuid,"zhbh" : zhbh}
									};
									external.callMessage(param);
								}
							}
						});
					}
					$(_pageId+' #hero_parent').animate({
						scrollTop:$(_pageId+" #scrollercytd").height()
					},1000);
					return false;
				}
				else if(type == "5"){  //创业团队榜
					if(currPage == 1){
						var cytdStr = '<tr><th>排名</th><th>营业部</th><th>当日开户数</th><th>年累计有效户</th></tr>';
					}
					for(var i = 0;i < results.length;i++){
						var td = results[i].td;
						var yybmc = results[i].yybmc;
						var rank = results[i].rank;
						var uuid = results[i].uuid;
						var zhbh = results[i].zhbh;
						var rank_sj = results[i].rank_sj;
						var drkh = results[i].ss_drkh;
						var nljh = results[i].yxljkh;
						if(uuid != ""&&zhbh != ""){
							if(currPage == 1){
								if(i == 0){
									cytdStr += '<tr><td><em style="background:#E73842;">'+ rank +'</em></td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ drkh +'</td><td>'+ nljh +'</td></tr>';
								}else if(i == 1){
									cytdStr += '<tr><td><em style="background:#F98106;">'+ rank +'</em></td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ drkh +'</td><td>'+ nljh +'</td></tr>';
								}else if(i == 2){
									cytdStr += '<tr><td><em style="background:#41BFF5;">'+ rank +'</em></td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ drkh +'</td><td>'+ nljh +'</td></tr>';
								}else{
									cytdStr += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ drkh +'</td><td>'+ nljh +'</td></tr>';
								}
							}else{
								cytdStr += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ drkh +'</td><td>'+ nljh +'</td></tr>';
							}
						}else{
							if(currPage == 1){
								if(i == 0){
									cytdStr += '<tr><td><em style="background:#E73842;">'+ rank +'</em></td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ drkh +'</td><td>'+ nljh +'</td></tr>';
								}else if(i == 1){
									cytdStr += '<tr><td><em style="background:#F98106;">'+ rank +'</em></td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ drkh +'</td><td>'+ nljh +'</td></tr>';
								}else if(i == 2){
									cytdStr += '<tr><td><em style="background:#41BFF5;">'+ rank +'</em></td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ drkh +'</td><td>'+ nljh +'</td></tr>';
								}else{
									cytdStr += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ drkh +'</td><td>'+ nljh +'</td></tr>';
								}
							}else{
								cytdStr += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ drkh +'</td><td>'+ nljh +'</td></tr>';
							}
						}
					}
					if(results.length > 0){
						if(currPage == 1){
							$(_pageId+" #scrollercyyb table").html("");
						}
						$(_pageId+" #scrollercyyb table").append(cytdStr);
						if(currPage == 1){
							$(_pageId+" #scrollercyyb").css("height",($(_pageId+" #scrollercyyb table tr").height()+1)*(results.length+1));
						}else{
							$(_pageId+" #scrollercyyb").css("height",($(_pageId+" #scrollercyyb table tr").height()+1)*((currPage-1)*10+results.length+1));
						}
					}else{
						$(_pageId+" #scrollercyyb").css("height","82px");
					}
					var trObj = $(_pageId+"  #scrollercyyb table tr");
					for(var i = 0;i < trObj.length;i++){
						appUtils.bindEvent($(trObj[i]).find("td:eq(1)"),function(){
							var uuid = $.trim($(this).attr("uuid"));
							var zhbh = $(this).attr("zhbh");
							var user_id = appUtils.getSStorageInfo("user_id");
							if(uuid != ""&&zhbh != ""){
								
								
								if(user_id == ""||user_id == null){
									var param = {
										"uuid" : uuid,
										"zhbh" : zhbh
									};
									appUtils.pageInit("account/heroList","account/userLogin",param);
								}else{
									
									var paramValue = {
											"funcNo": "50040",
											"key": "login_user",
											"value": user_id
										};
										external.callMessage(paramValue);
										var uuidparamValue = {
										"funcNo": "50040",
										"key": "gtuuid",
										"value": uuid
									};
									external.callMessage(uuidparamValue);
										var mobile_phone = appUtils.getSStorageInfo("mobile_phone");
										var loginType = appUtils.getSStorageInfo("loginType");
										var param = {
											funcNo: "50040",
											key: "login_type",
											value: mobile_phone+"_"+loginType
										};
										external.callMessage(param);
									var param = {
										"funcNo":"50101",
										"moduleName":"trends",
										"params" : {"url":"finanPlanDetails/basicInfo","userId":uuid,"zhbh" : zhbh}
									};
									external.callMessage(param);
								}
							}
						});
					}
				}
				else if(type == "3"){  //投资英雄榜
					if(currPage == 1){
						var tzyxStrFirst = '<tr><th>排名</th><th>姓名</th><th>营业部</th><th>2016年收益率(%)</th></tr>';
						var tzyxStrSecond = '<tr><th>重仓股</th><th>日收益(%)</th><th>周收益(%)</th><th>月收益(%)</th>><th>累计收益率(%)</th></tr>';
					}
					for(var i = 0;i < results.length;i++){
						var yyxm = results[i].yyxm;  //姓名
						var yybmc = results[i].yybmc;  //营业部
						var profit = results[i].profit; //收益率
						var zcg = results[i].zcg;  //重股数
						var rsy = results[i].rsy;  //日收益
						var zsy = results[i].zsy;  //周收益
						var ysy = results[i].ysy;  //月收益
						var rank = results[i].rank;
						var uuid = results[i].uuid;
						var zhbh = results[i].zhbh;
						var rank_sj = results[i].rank_sj;
						var lj_profit = results[i].lj_profit;
						if(uuid != ""&&zhbh != ""){
							if(currPage == 1){
								if(i == 0){
									tzyxStrFirst += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ profit +'</td></tr>';
								}else if(i == 1){
									tzyxStrFirst += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ profit +'</td></tr>';
								}else if(i == 2){
									tzyxStrFirst += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ profit +'</td></tr>';
								}else{
									tzyxStrFirst += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ profit +'</td></tr>';
								}
							}else{
								tzyxStrFirst += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ profit +'</td></tr>';
							}
						}else{
							if(currPage == 1){
								if(i == 0){
									tzyxStrFirst += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ profit +'</td></tr>';
								}else if(i == 1){
									tzyxStrFirst += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ profit +'</td></tr>';
								}else if(i == 2){
									tzyxStrFirst += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ profit +'</td></tr>';
								}else{
									tzyxStrFirst += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ profit +'</td></tr>';
								}
							}else{
								tzyxStrFirst += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ profit +'</td></tr>';
							}
						}
						tzyxStrSecond += '<tr><td>'+ zcg +'</td><td>'+ rsy +'</td><td>'+ zsy +'</td><td>'+ ysy +'</td><td>'+ lj_profit +'</td></tr>';
					}
					if(results.length > 0){
						$(_pageId+" #scrollertzyx table:eq(0)").append(tzyxStrFirst);
						$(_pageId+" #scrollertzyx table:eq(1)").append(tzyxStrSecond);
						initAdScrollertzyx();
						if(currPage == 1){
							$(_pageId+" #scrollertzyx").css("height",($(_pageId+" #scrollertzyx table tr").height()+1)*(results.length+1));
						}else{
							$(_pageId+" #scrollertzyx").css("height",($(_pageId+" #scrollertzyx table tr").height()+1)*((currPage-1)*10+results.length+1));
						}
					}else{
						$(_pageId+" #scrollertzyx").css("height","82px");
					}
					var trObj = $(_pageId+"  #scrollertzyx table tr");
					for(var i = 0;i < trObj.length;i++){
						appUtils.bindEvent($(trObj[i]).find("td:eq(1)"),function(){
							var uuid = $(this).attr("uuid");
							var zhbh = $(this).attr("zhbh");
							var user_id = appUtils.getSStorageInfo("user_id");
							if(uuid != ""&&uuid != null){
								if(user_id == ""||user_id == null){
									var param = {
										"uuid" : uuid
									};
									appUtils.pageInit("account/heroListSearch","account/userLogin",param);
								}else{
									var paramValue = {
											"funcNo": "50040",
											"key": "login_user",
											"value": user_id
										};
										external.callMessage(paramValue);
										var uuidparamValue = {
										"funcNo": "50040",
										"key": "gtuuid",
										"value": uuid
									};
									external.callMessage(uuidparamValue);
										
										var mobile_phone = appUtils.getSStorageInfo("mobile_phone");
										var loginType = appUtils.getSStorageInfo("loginType");
										var param = {
											funcNo: "50040",
											key: "login_type",
											value: mobile_phone+"_"+loginType
										};
										external.callMessage(param);
									var param = {
										"funcNo":"50101",
										"moduleName":"trends",
										"params" : {"url":"finanPlanDetails/basicInfo","userId":uuid,"zhbh" : zhbh}
									};
									external.callMessage(param);
								}
							}
						});
					}
				}else if(type == "4"){  //人气英雄榜
					if(currPage == 1){
						var rqyxStrFirst = '<tr><th>排名</th><th>名称</th><th>营业部</th><th>粉丝数</th></tr>';
						var rqyxStrSecond = '<tr><th>日关注</th><th>周关注</th><th>月关注</th></tr>';
					}
					for(var i = 0;i < results.length;i++){
						var td = results[i].td;  //姓名
						var yybmc = results[i].yybmc;  //营业部
						var funsnum = results[i].funsnum;  //粉丝数
						var rgzs = results[i].rgzs;  //日关注
						var zgzs = results[i].zgzs;  //周关注
						var ygzs = results[i].ygzs;  //月关注
						var rank = results[i].rank;
						var uuid = results[i].uuid;
						var zhbh = results[i].zhbh;
						var rank_sj = results[i].rank_sj;
						if(uuid != ""&&zhbh != ""){
							if(currPage == 1){
								if(i == 0){
									rqyxStrFirst += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ funsnum +'</td></tr>';
								}else if(i == 1){
									rqyxStrFirst += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ funsnum +'</td></tr>';
								}else if(i == 2){
									rqyxStrFirst += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ funsnum +'</td></tr>';
								}else{
									rqyxStrFirst += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ funsnum +'</td></tr>';
								}
							}else{
								rqyxStrFirst += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ funsnum +'</td></tr>';
							}
						}else{
							if(currPage == 1){
								if(i == 0){
									rqyxStrFirst += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ funsnum +'</td></tr>';
								}else if(i == 1){
									rqyxStrFirst += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ funsnum +'</td></tr>';
								}else if(i == 2){
									rqyxStrFirst += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ funsnum +'</td></tr>';
								}else{
									rqyxStrFirst += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ funsnum +'</td></tr>';
								}
							}else{
								rqyxStrFirst += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ funsnum +'</td></tr>';
							}
						}
						rqyxStrSecond += '<tr><td>'+ rgzs +'</td><td>'+ zgzs +'</td><td>'+ ygzs +'</td></tr>';
					}
					if(results.length > 0){
						$(_pageId+" #scrollerrqyx table:eq(0)").append(rqyxStrFirst);
						$(_pageId+" #scrollerrqyx table:eq(1)").append(rqyxStrSecond);
						initAdScrollerrqyx();
						if(currPage == 1){
							$(_pageId+" #scrollerrqyx").css("height",($(_pageId+" #scrollerrqyx table tr").height()+1)*(results.length+1));
						}else{
							$(_pageId+" #scrollerrqyx").css("height",($(_pageId+" #scrollerrqyx table tr").height()+1)*((currPage-1)*10+results.length+1));
						}
					}else{
						$(_pageId+" #scrollerrqyx").css("height","82px");
					}
					var trObj = $(_pageId+"  #scrollerrqyx table tr");
					for(var i = 0;i < trObj.length;i++){
						appUtils.bindEvent($(trObj[i]).find("td:eq(1)"),function(){
							var uuid = $(this).attr("uuid");
							var zhbh = $(this).attr("zhbh");
							var user_id = appUtils.getSStorageInfo("user_id");
							if(uuid != ""&&uuid != null){
								if(user_id == ""||user_id == null){
									var param = {
										"uuid" : uuid
									};
									appUtils.pageInit("account/heroListSearch","account/userLogin",param);
								}else{
									var paramValue = {
											"funcNo": "50040",
											"key": "login_user",
											"value": user_id
										};
										external.callMessage(paramValue);
										var uuidparamValue = {
										"funcNo": "50040",
										"key": "gtuuid",
										"value": uuid
									};
									external.callMessage(uuidparamValue);
										
										var mobile_phone = appUtils.getSStorageInfo("mobile_phone");
										var loginType = appUtils.getSStorageInfo("loginType");
										var param = {
											funcNo: "50040",
											key: "login_type",
											value: mobile_phone+"_"+loginType
										};
										external.callMessage(param);
									var param = {
										"funcNo":"50101",
										"moduleName":"trends",
										"params" : {"url":"finanPlanDetails/basicInfo","userId":uuid,"zhbh" : zhbh}
									};
									external.callMessage(param);
								}
							}
						});
					}
				}
			}else{
				layerUtils.iAlert(data.error_info);
				return false;
			}
		});
	}
	
	//排名变化
	function rankingChange(rank_sj,type){
		var changeStr = "";
		if(rank_sj > 0){
			if(type == "1"||type == "3"||type == "4"||type == "5"||type=="2"){
				changeStr += '<img src="./images/sprite-misc-red.png" style="width: 8px;height:8px;margin-left: 2%;margin-top: 1%;"><span style="color:blue">'+ rank_sj +'<span></span></span>';
			}else{
				changeStr += '<img src="./images/sprite-misc-red.png" style="width: 5%;margin-left: 2%;margin-top: 1%;"><span style="color:blue">'+ rank_sj +'<span></span></span>';
			}
		}else if(rank_sj < 0){
			if(type == "1"||type == "3"||type == "4"||type == "5"||type=="2"){
				changeStr += '<img src="./images/sprite-misc-green.png" style="width: 8px;height:8px;margin-left: 2%;margin-top: 1%;"><span style="color:blue">'+ rank_sj +'<span></span></span>';
			}else{
				changeStr += '<img src="./images/sprite-misc-green.png" style="width: 5%;margin-left: 2%;margin-top: 1%;"><span style="color:blue">'+ rank_sj +'<span></span></span>';
			}
		}else{
			if(type == "1"||type == "3"||type == "4"||type == "5"||type=="2"){
				changeStr += '<img src="./images/ping.png" style="width: 8px;height:8px;margin-left: 2%;margin-top: 1%;">';
			}else{
				changeStr += '<img src="./images/ping.png" style="width: 5%;margin-left: 2%;margin-top: 1%;">';
			}
		}
		return changeStr;
	}
	
	/**
	 * 初始化银行卡滚动组件(人气英雄)
	 */
	function initAdScrollercyyx()
	{
		clearInterval(picLoadTimer);
		picLoadTimer = null;
		if(customHIscroll[0].scroll)
		{
			customHIscroll[0].scroll.destroy();
			customHIscroll[0].scroll = null;
		}
		var config = {
			wrapper: $(_pageId+" #wrappercyyx"), //wrapper对象
			scroller: $(_pageId+" #scrollercyyx" ), //scroller对象
			perCount: 1,  //每个可视区域显示的子元素
			showTab: true, //是否有导航点
			tabDiv: $(_pageId+" #nav"), //导航点集合对象
			auto: false, //是否自动播放
			interval: null, //自动播放定时器
			wrapperObj: null
		};
		customHIscroll[0].scroll = new HIscroll(config); 
		customHIscroll[0]._init = true;
	}
	
	/**
	 * 初始化银行卡滚动组件(人气英雄)
	 */
	function initAdScrollercytd()
	{
		clearInterval(picLoadTimer);
		picLoadTimer = null;
		if(customHIscroll[0].scroll)
		{
			customHIscroll[0].scroll.destroy();
			customHIscroll[0].scroll = null;
		}
		var config = {
			wrapper: $(_pageId+" #wrappercytd"), //wrapper对象
			scroller: $(_pageId+" #scrollercytd" ), //scroller对象
			perCount: 1,  //每个可视区域显示的子元素
			showTab: true, //是否有导航点
			tabDiv: $(_pageId+" #nav"), //导航点集合对象
			auto: false, //是否自动播放
			interval: null, //自动播放定时器
			wrapperObj: null
		};
		customHIscroll[0].scroll = new HIscroll(config); 
		customHIscroll[0]._init = true;
	}
	
	/**
	 * 初始化银行卡滚动组件(投资英雄)
	 */
	function initAdScrollertzyx()
	{
		clearInterval(picLoadTimer);
		picLoadTimer = null;
		if(customHIscroll[0].scroll)
		{
			customHIscroll[0].scroll.destroy();
			customHIscroll[0].scroll = null;
		}
		var config = {
			wrapper: $(_pageId+" #wrappertzyx"), //wrapper对象
			scroller: $(_pageId+" #scrollertzyx" ), //scroller对象
			perCount: 1,  //每个可视区域显示的子元素
			showTab: true, //是否有导航点
			tabDiv: $(_pageId+" #nav"), //导航点集合对象
			auto: false, //是否自动播放
			interval: null, //自动播放定时器
			wrapperObj: null
		};
		customHIscroll[0].scroll = new HIscroll(config); 
		customHIscroll[0]._init = true;
		$(_pageId+" #parttzyx").show();
	}
	
	/**
	 * 初始化银行卡滚动组件(人气英雄)
	 */
	function initAdScrollerrqyx()
	{
		clearInterval(picLoadTimer);
		picLoadTimer = null;
		if(customHIscroll[0].scroll)
		{
			customHIscroll[0].scroll.destroy();
			customHIscroll[0].scroll = null;
		}
		var config = {
			wrapper: $(_pageId+" #wrapperrqyx"), //wrapper对象
			scroller: $(_pageId+" #scrollerrqyx" ), //scroller对象
			perCount: 1,  //每个可视区域显示的子元素
			showTab: true, //是否有导航点
			tabDiv: $(_pageId+" #nav"), //导航点集合对象
			auto: false, //是否自动播放
			interval: null, //自动播放定时器
			wrapperObj: null
		};
		customHIscroll[0].scroll = new HIscroll(config); 
		customHIscroll[0]._init = true;
		$(_pageId+" #part").show();
	}
	
	//绑定事件
	function bindPageEvent(){
		
        
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
		//搜索
		appUtils.bindEvent($(_pageId+" #ss"),function(){
			var type = appUtils.getPageParam().type;
			if(type == "1"){
				$(_pageId+" #scrollercyyx table").html("");
				$(_pageId+" #jiazaigengduo a").html("点击加载更多");
				$(_pageId+" .cyyx").show();
				$(_pageId+" .cytd").hide();
				$(_pageId+" .tzyx").hide();
				$(_pageId+" .rqyx").hide();
				$(_pageId+" .cyyyb").hide();
			}else if(type == "2"){
				$(_pageId+" #scrollercytd table").html("");
				$(_pageId+" #jiazaigengduo a").html("点击加载更多");
				$(_pageId+" .cyyx").hide();
				$(_pageId+" .cytd").show();
				$(_pageId+" .tzyx").hide();
				$(_pageId+" .rqyx").hide();
				$(_pageId+" .cyyyb").hide();
			}else if(type == "3"){
				$(_pageId+" #scrollertzyx table:eq(0)").html("");
				$(_pageId+" #scrollertzyx table:eq(1)").html("");
				$(_pageId+" #jiazaigengduo a").html("点击加载更多");
				$(_pageId+" .cyyx").hide();
				$(_pageId+" .cytd").hide();
				$(_pageId+" .tzyx").show();
				$(_pageId+" .rqyx").hide();
				$(_pageId+" .cyyyb").hide();
			}else if(type == "4"){
				$(_pageId+" #scrollerrqyx table:eq(0)").html("");
				$(_pageId+" #scrollerrqyx table:eq(1)").html("");
				$(_pageId+" #jiazaigengduo a").html("点击加载更多");
				$(_pageId+" .cyyx").hide();
				$(_pageId+" .cytd").hide();
				$(_pageId+" .tzyx").hide();
				$(_pageId+" .rqyx").show();
				$(_pageId+" .cyyyb").hide();
			}else if(type == "5"){
				$(_pageId+" #scrollercyyb table:eq(0)").html("");
				$(_pageId+" #scrollercyyb table:eq(1)").html("");
				$(_pageId+" #jiazaigengduo a").html("点击加载更多");
				$(_pageId+" .cyyx").hide();
				$(_pageId+" .cytd").hide();
				$(_pageId+" .tzyx").hide();
				$(_pageId+" .rqyx").hide();
				$(_pageId+" .cyyyb").show();
			}
			var name = $(_pageId+" .t1").val();
			currPage = 1;
			listQuery(type,currPage,name);
		});
	}

	

    
   
	
	//销毁
	function destroy(){
		$(_pageId+" .t1").val("");
	}
	
	var heroListSearch = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = heroListSearch;
	
});
