/**
 * 改版首页 
 */
define('mall/scripts/account/index.js',function(require, exports, module) {

	var pageId = "#account_index ";
	var pageCode ="account/index";
	var external = require("external");
	var appUtils = require("appUtils");
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var platform = require("gconfig").platform;
	var ytgService = require("ytgService"); // 业务层接口，请求数据
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	var zhzqwebPath=global.zhzqwebPath;
	var commonUtils = require("commonUtils");
	var common = require("common");
	var domain = gconfig.global.domain;
	var constants = require("constants");// 常量类
	var curPageNo = ""; // 当前页序号
	var VIscroll = require("mall/scripts/plugins/iscroll/vIscroll.js"); // 自定义滑动组件
    var vIscroll = {"scroll" : null, "_init" : false};
	var firstInstall = "";
	var notice="";
	// 下标0的元素表示头部滑动，1、2、3分别表示推荐理财、推荐基金和推荐资讯
	var customHIscroll = [ {
		"scroll" : null,
		"_init" : false
	}, {
		"scroll" : null,
		"_init" : false
	}, {
		"scroll" : null,
		"_init" : false
	} ];
	var HIscroll = require("hIscroll");
	var picLoadTimer = null;
	var stock_code="";
	// 初始化
	function init() {
		common.initTitle(pageId);
		// 通知
		external.callMessage({"funcNo": "50100","moduleName":"mall"});
		
		pageScrollInit();//上下滑动组件
		var firstInstall=appUtils.getSStorageInfo("firstInstall",true);
		if(firstInstall!="1"||(global.refreshCode!=appUtils.getSStorageInfo("refreshCode"))){ 
			appUtils.setSStorageInfo("refreshCode",global.refreshCode);
			//appUtils.setSStorageInfo("firstInstall","1",true);
			getImg();//广告图片
			var updateFlag = global.isAutoUpdata;
			if (updateFlag == "1") {// 0表示不自动更新，1表示自动更新
				updateVers();
			} else {
				$(pageId + " .zh-mask").hide();
			}
			initLcPage();//查询推荐的理财产品
			queryTitle();//首席观点
			findTitle();// 财经资讯
			queryBdbyflag();//人气王
			queryWeek();//周冠军
			queryHotView(); // 查询观点
			loadRecommendProd(); // 生活广场
			common.queryImMessageNum(pageId);//查询IM未读消息
		}
	}
	/**
	 * 上下滑动刷新事件
	 */
	function pageScrollInit(){
		var visibleHeight = $(window).height() - $(pageId + " .header").height() - $(pageId + " .footer_inner").height();
		if(!vIscroll._init) {
			
			$(pageId + "#slide_wrapper").attr("style", "");
			var config = {
				"isPagingType": false,
				"visibleHeight": visibleHeight, //这个是中间数据的高度
				"container": $(pageId + "#slide_container"),
				"wrapper": $(pageId + "#slide_wrapper"),
				"downHandle": function() {
					// 当前第几页设置为1
					getImg();//广告图片
					initLcPage();//查询推荐的理财产品
					queryTitle();//首席观点
					findTitle();// 财经资讯
					queryBdbyflag();//人气王
					queryWeek();//周冠军
					queryHotView(); // 查询观点
					loadRecommendProd(); // 生活广场
					common.queryImMessageNum(pageId);//查询IM未读消息
					setTimeout(function () {
						vIscroll.scroll.refresh(false,visibleHeight);
					}, 200);
				},
				"upHandle": function() {
					vIscroll.scroll.refresh(false,visibleHeight);
					return false;
				},
				"wrapperObj": null
			};
			vIscroll.scroll = new VIscroll(config); //初始化
			vIscroll._init = true;
		}else{
			setTimeout(function () {
				vIscroll.scroll.refresh(false,visibleHeight);
			}, 200);
		}
		$(pageId + "#slide_container .visc_pullUp_new").hide();
	};
	
	//获取图片
	function getImg(){
		var param = {
			"group_id" : "1"
		};
		service.getAdv(param,function(data){
			if(data.error_no != "0"){
				common.imsg(data.error_info);
				return false;
			}else{
				var results = data.results;
				var imgStr = "";
				var navstr = "";
				for(var i = 0;i < results.length;i++){
					var picture = results[i].picture;
					var xqUrl = results[i].url;
					var state=results[i].state;
					imgStr += '<div class="bot_banner"><img src="'+ URL + picture +'" state="'+state+'" url="'+xqUrl+'" alt="" title="" style="height:130px"></div>';
					if(i == 0){
						navstr += '<em class="active"></em>';
					}else{
						navstr += '<em></em>';
					}
				}
				$(pageId+" #scroller").html(imgStr);
				$(pageId+" #nav").html(navstr);
				appUtils.bindEvent($(pageId+"  .bot_banner img"),function(){
					var xurl  = $(this).attr("url");
					var state= $(this).attr("state");
					if(state=="1"){
						if(xurl!=null&&xurl!="") {
							var arr = xurl.split("?");
							var product_url = arr[0];
							var paramArr = arr[1].split("&");
							var paramArr1 = paramArr[0].split("=");
							var paramArr2 = paramArr[1].split("=");
							var a=paramArr1[0];
							var b=paramArr2[0];
							
							var param = {};
							param[a] = paramArr1[1];
							param[b] = paramArr2[1];
							if(!(param[a] && a == "product_id")){
								 param["pageCode"] = pageCode;
								 appUtils.pageInit(pageCode,product_url,param);
							}else{
								 param["pageCode"] = product_url;
								 param["url"] = "account/index";
								 param["mall_phone_login"] = "1";
								 common.productJumpmethod(param);
							}

						}
					}
				},"click");
				initAdScroller();
				$(pageId+" #scroller").css("height","50%");
				$(pageId+" #scroller .bot_banner").css("height","50%");
			}
		},{"isLastReq":false});
		
	}
	
	//版本检测
	function updateVers(){
		var chancel = null;
		firstInstall=appUtils.getSStorageInfo("firstInstall",true);
		if(firstInstall!="1"){
			appUtils.setSStorageInfo("firstInstall","1",true);
			common.findNotice();
		if(platform == "1"){
			chancel = "1";//手机
		}else if(platform == "0"){
			chancel = "0";//PC
			return;
		}else if(platform == "2"){
			chancel = "2";//IOS
		}
		var oVersion = external.callMessage({funcNo: "50010"});
		oVersion = oVersion.results ? oVersion.results[0] : {versionSn: global.version_code};
		var version = oVersion.versionSn;
		
		var queryParam = {
			"versionsn":version,
			"chancel":chancel
		};
		service.getVersion(queryParam,function(data){
			if(data.error_no == 0){
				if(data.results.length != 0){
					var url = data.results[0].download_url;
					if(data.results[0].isUpdate == "1"){//1 更新2不更新
			            var updateUrl = url;
			            var app_version = data.results[0].versionsn;
			            var new_version = data.results[0].version;
			            var update_flag = data.results[0].update_flag;
			            var description = data.results[0].description;
			            if(update_flag == "1" && parseFloat(version) < parseFloat(app_version)){
			            	$(pageId+" .zh-mask-box h2").html(description);
			            	$(pageId+" .zh-mask").show();
			            }else{
			            	$(pageId+" .zh-mask").hide();
			            	return false;
			            }
						appUtils.bindEvent($(pageId+" .ce_btn a"),function(){
							if(platform == "1"){
								var invokeParam = {
										moduleName: "common", // String	目标模块名	N	
										source: "mall", // String	源模块	Y	
										funcNo: "50201", // String	功能号	Y	
										url: updateUrl, // 更新地址
										type: "0", //下载类型(0：原生，1：H5）
										version: new_version,  //app版本
										versionSn: app_version //app版本序列号
								};
								external.callMessage(invokeParam);
							}else if(platform == "2"){
								var invokeParam = {
										funcNo: "50201", // String	功能号	Y	
										url: updateUrl, // 更新地址
										type: "0", //下载类型(0：原生，1：H5）
										version: new_version,  //app版本
										versionSn: app_version //app版本序列号
								};
								external.callMessage(invokeParam);
							}
						});
						appUtils.bindEvent($(pageId+" .mask-cancel"),function(){
							$(pageId+" .zh-mask").hide();
						});
					}else{
						$(pageId+" .zh-mask").hide();
					}				
				}
			}else{
				common.imsg("版本检查失败，请稍后重试！");
			}		
		});
		}
	}
	//进入翼阳指方法
	function ztyyz() {
		if (platform == "1") {
			var param = {
				moduleName : "common", // String 目标模块名 N
				source : "mall", // String 源模块 Y
				funcNo : "50200",
				scheme : "com.tztzhonghangsc"
			};
			var isInstall = external.callMessage(param);
			var result = isInstall.results[0];
			if (result.isInstall == "0") {
				var url = "https://mall.avicsec.com/mobile/app/yyz/ZHYYZ.apk";
				var invokeParam = {
					moduleName : "common", // String 目标模块名 N
					source : "mall", // String 源模块 Y
					funcNo : "50201", // String 功能号 Y
					url : url, // 更新地址
					type : "0", // 下载类型(0：原生，1：H5）
					version : "1.0.1", // app版本
					versionSn : "1"
				};
				external.callMessage(invokeParam);
			} else if (result.isInstall == "1") {
				var param = {
					funcNo : "50202",
					os : "1",
					scheme : "com.tztzhonghangsc"
				};
				external.callMessage(param);
			} else {
				common.imsg(isInstall.error_info);
			}
		} else if (platform == "2") {
			var param = {
				funcNo : "50200",
				//scheme : "com.zhsc.tzt.iphone"
				scheme : "com.tzt.zhsc"
			};
			var isInstall = external.callMessage(param);
			var result = isInstall.results[0];
			if (result.isInstall == "0") {// false代表没有安装，true代表安装
				var url = "https://itunes.apple.com/cn/app/yi-yang-zhi/id1022752698?mt=8";
				var param = {
					funcNo : "50201",
					url : url,
					type : "0",
					version : "1.0.1",
					versionSn : "1000"
				};
				external.callMessage(param);
			} else if (result.isInstall == "1") {
				//var url = "com.zhsc.tzt.iphone://";
				var url = "com.tzt.zhsc://";
				var param = {
					funcNo : "50201",
					url : url,
					type : "0",
					version : "1.0.1",
					versionSn : "1000"
				};
				external.callMessage(param);
			} else {
				common.imsg("类型错误...");
			}
		}
	}
	//查询推荐的理财产品
	function initLcPage() {
		var param = {
			"product_shelf" : constants.product_shelf.SHELF_ON,
			"page" : "1",
			"numPerPage" : "1",
			"recommend_type" : "",
			"fina_belongs" : "5",
			"productType":"5",
			"is_hot_sale" : "1",
			"istj" : "1",
			"userid" : appUtils.getSStorageInfo("user_id")
		};
		service.findFinan(param,function(data) {
			var error_no = data.error_no;
			var error_info = data.error_info;
			$(pageId + " #qltj").html("");
			if (error_no == 0) {
				var FinancialProductEnum = data.results[0].data;
				//判断固收产品有没有推荐的产品
				if(FinancialProductEnum.length=="0"){//没有固收的推荐产品
					//查询一个至胜投的产品
					var param={
							"page":"1",
							"numPerPage":"1",
							"product_shelf":"1",
							"fina_belongs":"9",
							"istj":"1",
							"fina_type":"72"
						};
						service.findOtcFund(param,function(rust){
							var error_no1 = rust.error_no;
							var error_info1 = rust.error_info;
							if(error_no1=="0"){
								var otcfund = rust.results;
								for ( var i = 0; i < 1; i++) {
									var product_status = otcfund[i].product_status;
									var one_rose=otcfund[i].one_rose;//预期产品出售日
									var incomeunit = "--";
									if(otcfund[i].incomeunit!="") {
										incomeunit = (parseFloat(otcfund[i].incomeunit) * 100).toFixed(2); 
									}
									var product_yq="";
									var product_yqy="";
									var product_yqr="";
									if(one_rose!=""){
										product_yq=one_rose.split("-");
										product_yqy=product_yq[1];
										product_yqr=product_yq[2];
									}else{
										product_yqy=1;
										product_yqr=1;
									}
									if(product_status=='3'){//封闭期
										var qltsStr ="<div product-id="+otcfund[i].product_id+" product_type="+otcfund[i].fina_belongs+">" +
										"<span class='tip_03'></span><strong style='font-size: 0.28rem'>"+incomeunit+"<span>%</span></strong>" +
										"<p class='name text-center'>"+ otcfund[i].product_name+"</p>" +
										"<span class='tag'>封闭期</span></div>";
										$(pageId + " #qltj").html(qltsStr);
									}
									else if(product_status=='2'){//购买期
										var qltsStr ="<div product-id="+otcfund[i].product_id+" product_type="+otcfund[i].fina_belongs+">" +
										"<span class='tip_03'></span><strong style='font-size: 0.28rem'>"+incomeunit+"<span>%</span></strong>" +
										"<p class='name text-center'>"+ otcfund[i].product_name+"</p>" +
										//"<span class='tag mt5'>距结束仅剩<em>1</em>天</span></div>";
										"<span class='tag'>火热认购中</span></div>";
										$(pageId + " #qltj").html(qltsStr);
									}
									else  if(product_status=='1'){//预售期
										var qltsStr ="<div product-id="+otcfund[i].product_id+" product_type="+otcfund[i].fina_belongs+">" +
										"<span class='tip_03'></span><strong style='font-size: 0.28rem'>"+incomeunit+"<span>%</span></strong>" +
										"<p class='name text-center'>"+ otcfund[i].product_name+"</p>" +
										"<span class='tag'><em>"+product_yqy+"/"+product_yqr+"</em>即将出售</span></div>";
										$(pageId + " #qltj").html(qltsStr);
									}else{//卖完了
										var qltsStr ="<div product-id="+otcfund[i].product_id+" product_type="+otcfund[i].fina_belongs+">" +
										"<span class='tip_03'></span><strong style='font-size: 0.28rem'>"+incomeunit+"<span>%</span></strong>" +
										"<p class='name text-center'>"+ otcfund[i].product_name+"</p>" +
										"<span class='tag'>已售罄</span></div>";
										$(pageId + " #qltj").html(qltsStr);
									}
								}
							}else{
								common.imsg(error_info1);
							}
							//点击強烈推薦產品进入详情
							appUtils.bindEvent($(pageId+"  #qltj div"),function(){
								var pageInParam = {
									"product_id" :  $(this).attr("product-id"),
									"product_type" : $(this).attr("product_type"),
									"pageCode" : "mall/otcFundDetails",
									"mall_phone_login" : "1",
									"url" : "account/index"
								};
								common.productJumpmethod(pageInParam);
							},"click");
						},{"isLastReq":false});
				}else{
					for ( var i = 0; i < 1; i++) {
						var product_status = FinancialProductEnum[i].product_status;
						var incomeunit = "--";
						if(FinancialProductEnum[i].incomeunit!="") {
							incomeunit = (parseFloat(FinancialProductEnum[i].incomeunit) * 100).toFixed(2); 
						}
						if(product_status=='3'){
							var qltsStr ="<div product-id="+FinancialProductEnum[i].product_id+" product_type="+FinancialProductEnum[i].fina_belongs+">" +
							"<span class='tip'></span><strong>"+incomeunit+"<span>%</span></strong>" +
							"<p class='name text-center'>"+ FinancialProductEnum[i].product_name+"</p>" +
							"<span class='tag'>已售罄</span></div>";
							$(pageId + " #qltj").html(qltsStr);
						}
						else if(product_status=='1'){
							var qltsStr ="<div product-id="+FinancialProductEnum[i].product_id+" product_type="+FinancialProductEnum[i].fina_belongs+">" +
							"<span class='tip'></span><strong>"+incomeunit+"<span>%</span></strong>" +
							"<p class='name text-center'>"+ FinancialProductEnum[i].product_name+"</p>" +
							//"<span class='tag mt5'>距结束仅剩<em>1</em>天</span></div>";
							"<span class='tag'>火热认购中</span></div>";
							$(pageId + " #qltj").html(qltsStr);
						}
						else  if(product_status=='9'){
							var qltsStr ="<div product-id="+FinancialProductEnum[i].product_id+" product_type="+FinancialProductEnum[i].fina_belongs+">" +
							"<span class='tip'></span><strong>"+incomeunit+"<span>%</span></strong>" +
							"<p class='name text-center'>"+ FinancialProductEnum[i].product_name+"</p>" +
							//"<span class='tag mt5'>距结束仅剩<em>1</em>天</span></div>";
							"<span class='tag'>距认购仅剩<em>"+FinancialProductEnum[i].disdays+"</em>天</span></div>";
							$(pageId + " #qltj").html(qltsStr);
						}else{
							var qltsStr ="<div product-id="+FinancialProductEnum[i].product_id+" product_type="+FinancialProductEnum[i].fina_belongs+">" +
							"<span class='tip'></span><strong>"+incomeunit+"<span>%</span></strong>" +
							"<p class='name text-center'>"+ FinancialProductEnum[i].product_name+"</p>" +
							//"<span class='tag mt5'>距结束仅剩<em>1</em>天</span></div>";
							"<span class='tag'>距认购仅剩<em>4</em>天</span></div>";
							$(pageId + " #qltj").html(qltsStr);
						}
					}
				}
				
				//点击強烈推薦產品进入详情
				appUtils.bindEvent($(pageId+"  #qltj div"),function(){
					var pageInParam = {
						"product_id" :  $(this).attr("product-id"),
						"product_type" : $(this).attr("product_type"),
						"pageCode" : "mall/stickMoneyIn",
						"mall_phone_login" : "1",
						"url" : "account/index"
						
					};
					common.productJumpmethod(pageInParam);
				},"click");
			} else {
				common.imsg(error_info);
			}
		},{"isLastReq":false});
	}
	/**
	 * 股票自动补全输入
	 * */
	function stockAutoInput(){
		var param = {
				"stock_code" : stock_code,
				"limit" :5
		};
		var reqParamVo = {
				"isShowWait" : false,
				"isLastReq":false
		};
		ytgService.stockAutoInput(param,function callBack(resultVo){
			if(Number(resultVo.error_no) == 0){
				$(pageId + "#stockName").html("");
				var result = resultVo.results;
				if(result != null && result != ""){
					$(pageId + '#autoSotck').html("");
					var html = '';
					for(var  i=0; i<result.length; i++){
						html  += '<li id="'+result[i].stock_code+'"><span class="num">'+result[i].stock_code+'</span><span class="text-left">'+result[i].stock_name+'</span></li>';
					}
					$(pageId + '#autoSotck').append(html);
					if(stock_code.length==6&& result.length == 1){
						$(pageId + '#autoSotck').hide();
					}else{
						$(pageId + '#autoSotck').show();
						//点击股票,查询股票详情,填充数据（绑定事件）
						appUtils.bindEvent($(pageId + "#autoSotck li"), function(e) {
							stock_code = $(this).attr("id"); //获股票代码
							$(pageId + '#stockCode').val(stock_code);
							$(pageId + '#autoSotck').hide();
						},"click");
					}
				}
			}
			else{
				common.imsg("股票自动补全输入失败:"+resultVo.error_info);
			}
		},reqParamVo);
	}
	//首席说方法
	/*function queryTitle(){
		var param = {
			"catalog_id" : "3481",
			"page" : "1",
			"pageSize" : "1"
		};
		service.testTitle(param,function(data){
			if(data.error_no == "0"){
				var result = data.results;
				for(var i = 0;i<result.length;i++){
					var title = result[i].title;//内容
					$(pageId+" #shouxi_gd").attr("article_id",result[i].article_id);
					$(pageId+" #shouxi_gd").html(title);
				}
			}else{
				common.imsg(data.error_info);
			}
		},{"isLastReq":false});
	}*/
	//宏观策略方法
	function queryTitle(){
		var param = {
			"catalog_id" : "3459",
			"page" : "1",
			"pageSize" : "1"
		};
		service.testTitle(param,function(data){
			if(data.error_no == "0"){
				var result = data.results;
				for(var i = 0;i<result.length;i++){
					var title = result[i].title;//内容
					$(pageId+" #shouxi_gd").attr("article_id",result[i].article_id);
					$(pageId+" #shouxi_gd").attr("link_url",result[i].link_url);
					$(pageId+" #shouxi_gd").html(title);
				}
			}else{
				common.imsg(data.error_info);
			}
		},{"isLastReq":false});
	}
	//资讯财经
	function findTitle(){
		var param1 = {
				"catalog_id":"2925",
				"page":"1",
				"pageSize":"1"
		};
		service.testTitle(param1,function(data){
			if(data.error_no==0){
				var result = data.results;
				for(var i = 0;i<result.length;i++){
					var title = result[i].title;
					$(pageId+" #zixun_gd").attr("article_id",result[i].article_id);
					$(pageId+" #zixun_gd").html(title);
				}
			}else{
				common.imsg(data.error_info);
			}
		},{"isLastReq":false});
	}
	//王牌 周 人气王
	function queryBdbyflag(){
		var gzClass = "";
		var param = {
				"order_flag":"38",
				"curPage" : "1",
				"numPerPage":"1",
				"isTeam":"1",
				"user_id":appUtils.getSStorageInfo("yqtid")
			};
		ytgService.findWingyqt(param,function(data) {
				var error_no = data.error_no;
				var error_info = data.error_info;
				var bdData =  data.results[0].data;;
				//var ytresults = data.results[0].data;
				if(error_no!=0){
					common.imsg(error_info);
					return false;
				}
				var xm = bdData[0].real_name;
				var face_image = bdData[0].big_image;// 投顾头像;
				face_image = face_image ? face_image:constants.ytg_img.INVEST_IMG ;
				var img=commonUtils.levelImg(bdData[0].star);
				var xsid = bdData[0].user_id;
				var account_id = bdData[0].account_id;
				var levelName =bdData[0].levelName;//导师级别
				var level=bdData[0].level;//级别
				var levelRank=bdData[0].levelRank;//级别
				var total_intrest_num= bdData[0].total_intrest_num;//粉丝数
				//查询是否关注
				var param1={
					"user_id":appUtils.getSStorageInfo("yqtid"),
					"invest_id":xsid
				};
				//判断关注
				ytgService.findgzyqt(param1,function(data) {
					if(data.error_no!=0){
						common.imsg(data.error_info);
						return false;
					}
					if(data.results[0].is_sub=="yes"){
						gzClass="已关注";
					}else{
						gzClass="关注";
					}
					var top="<i class='i1'>人气王</i><div class='top'><div class='tx'><img src='"+ domain+face_image+"'></div>" +
					"<p><span class='a1'>"+xm+"</span> <span class='a2'><span class='img'>" +
					"<img src='"+img+"' width='16' alt=''></span>"+levelName+"&nbsp;&nbsp;"+level+"级</span></p><p><em>人气指数</em>" +
					"<span class='a3'>"+levelRank+"</span></p></div><div class='bot clearfix'><span class='o1'>跟着人气王来聚财</span>" +
					"<a href='javaScript:void(0)' class='btn' user_id="+xsid+">"+gzClass+"</a></div>";
					$(pageId + " #tg_rqw").html(top); 
					$(pageId + " #tg_rqw").attr("user_id",xsid);
					$(pageId + " #tg_rqw").attr("code",account_id);
				},{"isLastReq":false});
				//点击关注
				appUtils.bindEvent($(pageId +" #tg_rqw .btn"),function(e){
					userSubInvestOrCancel(this);
					e.stopPropagation();//防止点击详情
				},"click");
				// 点击跳转
				appUtils.bindEvent($(pageId +" #tg_rqw"),function(e){
					var code = $(this).attr("code");
					var user_id=$(this).attr("user_id");
					common.grzyTz(user_id,pageCode);//翼投顾中个人主页跳转统一方法
				},"click");
		},{"isLastReq":false});
	};
	//周冠军
	function queryWeek(){
		var gzClass = "";
		var param = {
				"order_flag":"33",
				"cur_page" : "1",
				"num_ber_page":"1",
				"isTeam":"1",
				"user_id":appUtils.getSStorageInfo("yqtid")
			};
		ytgService.queryBdforflag(param,function(data) {
				var error_no = data.error_no;
				var error_info = data.error_info;
				var bdData = data.results;
				if(error_no!=0){
					common.imsg(error_info);
					return false;
				}
				var xm = bdData[0].real_name;
				var face_image = bdData[0].big_image;// 投顾头像;
				face_image = face_image ? face_image:constants.ytg_img.INVEST_IMG ;
				var img=commonUtils.levelImg(bdData[0].star);
				var xsid = bdData[0].user_id;
				var account_id = bdData[0].account_id;
				var levelName =bdData[0].levelName;//导师级别
				var level=bdData[0].level;//级别
				appUtils.setSStorageInfo("zrqid",xsid);
				//var total_one_yields=bdData[i].total_one_yields;//总冠军
				//查询是否关注
				var param1={
					"user_id":appUtils.getSStorageInfo("yqtid"),
					"invest_id":xsid
				};
				//判断关注
				ytgService.findgzyqt(param1,function(data) {
					if(data.error_no!=0){
						common.imsg(data.error_info);
						return false;
					}
					if(data.results[0].is_sub=="yes"){
						gzClass="已关注";
					}else{
						gzClass="关注";
					}
					var top="<i class='i2'>周冠军</i><div class='top'><div class='tx'><img src='"+ domain+face_image+"'></div>" +
					"<p><span class='a1'>"+xm+"</span> <span class='a2'><span class='img'><img src="+img+" width='16' alt=''></span>"+levelName+"&nbsp;&nbsp;"+level+"级</span></p>" +
					"<p><em>周收益率</em><span class="+(bdData[0].week_yields >=0 ? 'a3' : 'a4')+">"+(bdData[0].week_yields * 100).toFixed(2)+"%</span><em>总收益率</em><span class="+(bdData[0].total_yields >=0 ? 'a3' : 'a4')+">"+(bdData[0].total_yields * 100).toFixed(2)+"%</span></p>" +
					"</div><div class='bot clearfix'><span class='o1'>跟着冠军学炒股</span>" +
					"<a href='javaScript:void(0)' class='btn zrq' user_id="+xsid+">"+gzClass+"</a></div>";		
					$(pageId + " #gt_week").html(top); 
					$(pageId + " #gt_week").attr("user_id",xsid);
					$(pageId + " #gt_week").attr("code",account_id);
				},{"isLastReq":false});
				
				//点击关注
				appUtils.bindEvent($(pageId +" #gt_week .btn"),function(e){
					userSubInvestOrCancel(this);
					e.stopPropagation();//防止点击详情
				},"click");
				// 点击跳转
				appUtils.bindEvent($(pageId +" #gt_week"),function(e){
					var code = $(this).attr("code");
					var user_id=$(this).attr("user_id");
					common.grzyTz(user_id,pageCode);//翼投顾中个人主页跳转统一方法
				},"click");
		},{"isLastReq":false});
	};
	/**
	 * 用户关注/取消关注投顾
	 */
	function userSubInvestOrCancel(obj) {
		if (!isLogin()) {
			return false;
		}
		var param = new Object();
		param.user_id = appUtils.getSStorageInfo("yqtid");
		param.invest_id = $(obj).attr("user_id");
		ytgService.userSubInvestOrCancel(param, function(resultVo) {
			if (resultVo.error_no != 0) {
				common.imsg("用户关注/取消关注投顾失败:" + resultVo.error_info);
				return false;
			}
			// 取消关注投顾成功
			if ("取消关注投顾成功" == resultVo.error_info) {
				$(obj).html("关注");
				$(obj).attr("class","btn");
			}
			// 关注成功
			if ("关注投顾成功" == resultVo.error_info) {
				$(obj).html("已关注");
				$(obj).attr("class","btn");
			}
			common.imsg(resultVo.error_info);
		});
	}
	
	//登入方法
	function isLogin() {
		var islogin = appUtils.getSStorageInfo("_isLoginIn");
		if (islogin!="true") {
			var  pageInParam = {
					"url" : pageCode,
					"pageCode":pageCode
				};
				common.findLogin({"avicParam":pageInParam});
				//appUtils.pageInit(pageCode, "account/userLogin",{"avicParam":pageInParam});
				return false;
		}
		return true;
	}
	/**
	  * 查询热门观点
	  */
	function queryHotView(){
		var param={
				"row_num" : 2,
				"isTeam":"1"
		};
		ytgService.queryHotViewPage(param,function callBack(resultVo){
			if(0==Number(resultVo.error_no)){
				var result = resultVo.results;
				if(result != null && result.length > 0){
					fillHotPointData(result);
				}
				else{
					$(pageId + "#pointList").empty();
					$(pageId + "#pointList").html('<h3 style="text-align:center;">暂无热门观点</h3>');
				}
			}else{
				//common.imsg("热门观点加载失败:"+resultVo.error_info);
			}
		},{"isLastReq":false});
	} 
	
	
	/**
	 * 热门/最新观点查询后绑定数据
	 */
	function fillHotPointData(result){
		 $(pageId + "#viewContent").html("");
			var html = "";
			var ViewContent = "";
			for(var i = 0;i<result.length;i++)
			{
				var title=result[i].title;
				var content=result[i].content;
				if(title.length>=18){
					title=title.substring(0,17)+".......";
				}
				var img=commonUtils.levelImg(result[i].star);
				var levelName =result[i].levelName;//导师级别
				var read_num =result[i].read_num;
				var level=result[i].level;//级别
				
				ViewContent += "<li user_id="+result[i].user_id+" daily_id="+result[i].daily_id+"><div class='top'><p><span class='name'>"+result[i].user_name+"</span>" +
								"<span class='a2'><span class='img'><img  src="+img+" width='16' alt=''></span>"+levelName+"&nbsp;&nbsp;"+level+"级</span>" +
								"<span class='eye'>"+read_num+"</span></p></div><div class='bot'>" +
								"<h5 class='tit' style='color: #1b1b1b;'>"+title+"</h5><p class='a1'>"+content+"</p>" +
								"</div></li>";
			}
			$(pageId + "#viewContent").append(ViewContent);
		}
	//生活广场
	function loadRecommendProd(){
		var reqParam = {
			"recommend_type" : constants.recommendType.RECOMMEND_TYPE_HOME
		}
		// 根据活动类型查询活动产品 回调函数
		var callBack = function(results){
			$(pageId + "#yfx_id").html("");
			if (results && results.length > 0) {
				var dataList = results[0].data;
				if (dataList && dataList.length > 0) {
					for (var i = 0; i < 2; i++) {
						var item = dataList[i];
						var img_url = item.img_url; // 图片地址
						img_url = global.url + '/m/mall' + img_url;
						var product_id = item.product_id; // 产品id
						var product_name = item.product_name; // 产品名称
						var product_desc = item.product_desc; // 产品描述
						var cash_price = item.cash_price; // 金额
						var act_price = item.act_price; // 活动积分
						var product_type_name = item.product_type_name; // 活动类型名称
						var setout_place = item.setout_place; // 活动地点
						var experience_time = item.experience_time; // 活动飞行时间
						var setout_place = item.setout_place;
						var activity_type=item.activity_type; // 翼出行和翼家行的类别
						var itemHtml="";
						if(activity_type=="4"){//翼飞行 <h5>￥"+act_price+"<span class='dw_a'>/人</span></h3>
							itemHtml="<div class='pub_title_box tiaoz' product_id="+product_id+" activity_type="+activity_type+"><div class='part_ii'><div class='tp'>" +
									"<i class='a1'>飞行体验</i><img src='"+img_url+"' alt='' style='height:158px'><h2 class='tit'>"+product_name+"</h3>" +
									"</div><div class='nr'><p class='start clearfix po_re'><span class='lo bold'>"+setout_place+"</span>" +
									" <span class='q'>飞行券</span></p><p class='a4 mt5'>飞行时长："+experience_time+"分钟</p>" +
									"<span class='price_span'>￥<strong>"+act_price+"</strong>/人 <b></b></span></div></div></div>";
						}else if(activity_type=="5"){//翼出行
							 itemHtml="<div class='pub_title_box tiaoz' hotelCode='" + item.product_code + "' cityCode='"+item.city_code+"' activity_type="+activity_type+"><div class='part_ii'><div class='tp'>" +
									 "<i class='a2'>酒店预定</i><img src='"+img_url+"' style='height:158px'><h2 class='tit'>"+product_name+"</h3>" +
									 "</div><div class='nr'><p class='start'><em class='start'></em><em class='start'></em>" +
									 "<em class='start'></em><em class='start'></em><em class='start'></em></p>" +
									 "<p class='a4 lo'>"+setout_place+"</p><span class='price_span'>￥<strong>"+act_price+"</strong>起 <b></b></span> </div></div></div>";
						}else if(activity_type=="6"){//翼家行
							//暂时没有
						}else{
							itemHtml="<div class='pub_title_box tiaoz' hotelCode='" + item.product_code + "' cityCode='"+item.city_code+"' activity_type="+activity_type+"><div class='part_ii'><div class='tp'>" +
									"<i class='a2'>酒店预定</i><img src='"+img_url+"' style='height:158px'><h2 class='tit'>"+product_name+"</h3>" +
									"</div><div class='nr'><p class='start'><em class='start'></em><em class='start'></em>" +
									"<em class='start'></em><em class='start'></em><em class='start'></em></p>" +
									"<p class='a4 lo'>"+setout_place+"</p><h5>￥"+act_price+"</h3></div></div></div>";
						};
						$(pageId + "#yfx_id").append(itemHtml);
					}
					//点击进入详情页面
					appUtils.bindEvent($(pageId +" .tiaoz"),function(e){
						var product_id=$(this).attr("product_id");
						var activity_type=$(this).attr("activity_type");
						var hotelCode=$(this).attr("hotelCode");
						var cityCode=$(this).attr("cityCode");
						
						if(activity_type=="4"){
							var param={
									"product_id" : product_id,
									"pageCode" : "account/index"
								};
							appUtils.pageInit(pageCode, "life/proDetail", param);
						}else if(activity_type=="5"){
							var param1={
									"hotelCode" : hotelCode,
									"cityCode":cityCode,
									"pageCode" : "account/index"
								};
							appUtils.pageInit("account/index","life/hotelDetail", param1);
						}else{
							var param1={
									"hotelCode" : hotelCode,
									"cityCode":cityCode,
									"pageCode" : "account/index"
								};
							appUtils.pageInit("account/index","life/hotelDetail", param1);
						}
					},"click");
				}
			}
		}
		service.queryRecommendProduct(reqParam, function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			if(error_no == "0"){
				var results = data.results;
				callBack(results);
			} else {
				common.imsg(error_info);
				
			}
		});
	}	
	/**
	 * 初始化图片滚动组件
	 */
	function initAdScroller() {
		clearInterval(picLoadTimer);
		picLoadTimer = null;
		if (customHIscroll[0].scroll) {
			customHIscroll[0].scroll.destroy();
			customHIscroll[0].scroll = null;
		}
		var config = {
			wrapper : $(pageId + " #wrapper"), // wrapper对象
			scroller : $(pageId + " #scroller"), // scroller对象
			perCount : 1, // 每个可视区域显示的子元素
			showTab : true, // 是否有导航点
			tabDiv : $(pageId + " #nav"), // 导航点集合对象
			auto : true, // 是否自动播放
			interval : null, // 自动播放定时器
			wrapperObj : null
		};
		customHIscroll[0].scroll = new HIscroll(config);
		customHIscroll[0]._init = true;
		$(pageId + " .bot_banner").show();
	}
;
	// 绑定事件
	function bindPageEvent() {
		appUtils.bindEvent($(pageId + ".icon_back"), function(e){
			common.backModule();
		});
		// 开户
		appUtils.bindEvent($(pageId + " #openbanner"), function() {
			common.open();
		}, "click");
		//集团专区
		appUtils.bindEvent($(pageId + " #xdbanner"), function() {
			var param={
				"pageCode":pageCode
			};
			appUtils.pageInit(pageCode, "groupExclusive/groupLuxuryV3", param);
		}, "click");
		// 翼服务
		appUtils.bindEvent($(pageId + " #yfwbanner"), function() {
			var param = {
				"pageCode" : pageCode
			};
			appUtils.pageInit(pageCode, "account/wingService", param);
		}, "click");
		// 翼阳指
		appUtils.bindEvent($(pageId + " #yzzbanner"), function() {
			ztyyz();
		}, "click");
		//进入社区
		appUtils.bindEvent($(pageId + " .icon_xx"), function() {
			common.isNewVin();
		}, "click");
		//社区
		appUtils.bindEvent($(pageId + " #community"), function() {
			common.isNewVin();
		}, "click");
		
		// 更多发现
		appUtils.bindEvent($(pageId + " #moreTrump"), function() {
			appUtils.pageInit(pageCode, "account/ytg/yqt");
		}, "click");
		/*// 首席说
		appUtils.bindEvent($(pageId + " #sxs"), function() {
			var param = {
					"pageCode" : pageCode
				};
			appUtils.pageInit(pageCode, "account/chiefPoint",param);
		}, "click");*/
		// 策略观点
		appUtils.bindEvent($(pageId + " #sxs"), function() {
			var param = {
					"pageCode" : pageCode
				};
			appUtils.pageInit(pageCode, "account/strategyPoint",param);
		}, "click");
		
		
		// 资讯党
		appUtils.bindEvent($(pageId + " #zxd"), function() { 
			var param = {
					"pageCode" : pageCode
				};  
			appUtils.pageInit(pageCode, "account/finiInfo",param);
		}, "click");
		
		appUtils.bindEvent($(pageId + " #shouxi_gd"), function(event) { 
			event.stopPropagation(event);
			var article_id = $(this).attr("article_id");
	        var link_url = $(this).attr("link_url");
	        if(link_url!=""){
	        // 判断是否APP
	        	if(platform == "0"){
	        		window.open(zhzqwebPath+link_url);
	        	}else{
	        		viewPDF(link_url);
	        	}
	        }else{
	        	var param = {
		        	"article_id" : article_id
		        };
	        	appUtils.pageInit(pageCode,"account/strategyPointarticle",param);
	        }
		}, "click");
		//查看pdf
		function viewPDF(link_url){
			if(platform == "1"){
				var param={
					moduleName: "mall", // String	目标模块名	N	
					source: "mall", // String	源模块	Y
					funcNo: "50240",
					url: zhzqwebPath+link_url
				};
				external.callMessage(param);
			}else if(platform == "2"){
				var param={
					funcNo: "50240",
					url: zhzqwebPath+link_url
				};
				external.callMessage(param);
			}
		}
		appUtils.bindEvent($(pageId + " #zixun_gd"), function(event) { 
			event.stopPropagation(event);
			var param = {
					"article_id" : $(this).attr("article_id")
				};  
			appUtils.pageInit(pageCode, "account/araContent",param);
		}, "click");
		
		//股票输入
		appUtils.bindEvent($(pageId + "#stockCode"), function(event) {
			event.stopPropagation(event);
			stock_code = $(this).val();
			if(stock_code != ""){
				stockAutoInput();
			}
			else{
				$(pageId + '#autoSotck').hide();
			}
		},"input");
		appUtils.bindEvent($(pageId + "#stockCode"), function(event) {
				event.stopPropagation(event);
				$(pageId + '#autoSotck').hide();
		},"blur");
		
		//个股诊断
		appUtils.bindEvent($(pageId + " #souSotckBtn"), function(event) {
			event.stopPropagation();
			var value = $(pageId + " #stockCode").val();
			if(value==''){
				common.imsg("股票代码不能为空");
				 return false;
			}
			if(value.length == 6){
				var code = value.substring(0,1);
				if(value != null && code == '6')
				{
					// 判断是手机还是pc
					//var url = "http://f10.chinabigdata.com/default.htm?c="+value+".sh&fid=SECU_DIAG&cid=0&sid=ZH009";
					var url = "https://f10.beigebigdata.com/v2/index_cs_evening.html?c="+value+".sh&cid=-4&fid=SECU_DIAG&sid=ZH009";
					if(platform!="0") {
						var param = {
							"funcNo" : "50115",
							"moduleName" : "project",
							"url" : url,
							"statusColor" : "#036ebb",
							"title" : "财富领航",
							"isShowBackBtn":"0",
							"isShowCloseBtn":"1",
							"statusStyle":"1"
						};
						external.callMessage(param);
					}else {
						window.location.href=url;
					}
					
				}else{
					//var url = "http://f10.chinabigdata.com/default.htm?c="+value+".sz&fid=SECU_DIAG&cid=0&sid=ZH009";
					var url = "https://f10.beigebigdata.com/v2/index_cs_evening.html?c="+value+".sz&cid=-4&fid=SECU_DIAG&sid=ZH009";
					if(platform!="0") {
						var code1 = value.substring(0,3);
						if(code1 == '300' || code1 == '002' || code1 == '000'){
							//var url = "http://f10.chinabigdata.com/default.htm?c="+value+".sz&fid=SECU_DIAG&cid=0&sid=ZH009";
							var param = {
								"funcNo" : "50115",
								"moduleName" : "project",
								"url" : url,
								"statusColor" : "#CC1D58",
								"title" : "财富领航"
							};
							external.callMessage(param);
						}
					}else {
						window.location.href=url;
					}
				}
	        	}
		},"click");
		// 登陆
		appUtils.bindEvent($(pageId + " .left_text"), function() {
			appUtils.pageInit(pageCode, "account/userLogin");
		}, "click");
		// 主页
		appUtils.bindEvent($(pageId + " #index"), function(event) {
			event.stopPropagation();
			var param={
				"loadPage":	true
			};
			appUtils.pageInit(pageCode, pageCode,param);
		}, "click");
		// 翼启投
		appUtils.bindEvent($(pageId + " #yqt"), function(event) {
			event.stopPropagation();
			var param={
				"loadPage":	true
			};
			appUtils.pageInit(pageCode, "account/ytg/yqt",param);
		}, "click");
		// 理财
		appUtils.bindEvent($(pageId + " #lc"), function(event) {
			event.stopPropagation();
			var param={
				"loadPage":	true
			};
			appUtils.pageInit(pageCode, "mall/moneyShop",param);
			//appUtils.pageInit(pageCode, "account/mainPage");
		}, "click");
		// 生活
		appUtils.bindEvent($(pageId + " #sh"), function(event) {
			event.stopPropagation();
			var param={
				"loadPage":	true
			};
			appUtils.pageInit(pageCode, "life/lifeIndex",param);
		}, "click");
		// 我的
		appUtils.bindEvent($(pageId + " #wd"), function() {
			var param={
				"loadPage":	true
			};
			appUtils.pageInit(pageCode, "userCenter/wd",param);
		}, "click");
//		// 设置
		appUtils.bindEvent($(pageId + " .icon_set"), function() {
			var param = {
				"pageCode" : pageCode
			};
			appUtils.pageInit(pageCode, "userCenter/wdsz", param);
		}, "click");
		
		// 活动
		appUtils.bindEvent($(pageId + " #activityBanner"), function() {
			appUtils.pageInit(pageCode, "mall/moneyShop");
			//var param={
			//		"pageCode":pageCode,
			//		"flag":"3",
			//		"backUrl":pageCode
			//	};
			//	common.findMusicAwards(param);
		}, "click");
		// 中航宝
		appUtils.bindEvent($(pageId + " #zhbbanner"), function() {
			 var param = {
				"pageCode" : pageCode
			};
			appUtils.pageInit(pageCode, "avicBao/avicHomePage", param);
			
		}, "click");

		// 滴滴打车
		appUtils.bindEvent($(pageId + " #didi_top"), function() {
			appUtils.pageInit(pageCode, "groupExclusive/dropsTaxi");
		}, "click");

		//观点
		appUtils.bindEvent($(pageId + " #moreView"), function() {
			var param = {
				"checkType" : "3"
			};
			appUtils.pageInit("account/chiefPoint", "account/ytg/yqtTrends",
					param);
		}, "click");
		
		//进入观点详情
		appUtils.preBindEvent($(pageId +"#viewContent"), "li",function(e){
			var daily_id = $(this).attr("daily_id");
			var user_id=$(this).attr("user_id");
			var param = {
					"view_id" : daily_id,
					"user_id" : user_id
				};
				appUtils.pageInit("account/chiefPoint", "account/ytg/viewDetails",param);
		},"click");
	}
	//进入生活广场
	appUtils.bindEvent($(pageId + " #jrsh"), function() {
		var param = {
			"pageCode" : pageCode
		};
		appUtils.pageInit(pageCode, "life/lifeIndex",param);
	}, "click");
	// 点击跳转
	appUtils.bindEvent($(pageId +" #tg_rqw"),function(e){
		var code = $(this).attr("code");
		var user_id=$(this).attr("user_id");
		common.grzyTz(user_id,pageCode);//翼投顾中个人主页跳转统一方法
	},"click");
	// 销毁
	function destroy() {
		//common.clearNewCss();
		$(pageId + '#autoSotck').hide();
		$(pageId + "#stockCode").val("");
	}

	var index = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口   
	module.exports = index;
});
