define('mall/scripts/account/investEduca.js',function(require, exports, module) {
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var _pageId = "#account_investEduca ";
	var pageCode = "account/investEduca";
	var external = require("external");
	var platform=require("gconfig").platform;
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var prePageCode="";
	var common = require("common"); // 公共类
	
	 function init(){
			common.initTitle(_pageId);
			queryName();
			$(_pageId +"  #back_invest").css("color", "#fff");
			$(_pageId+".main").css({
				"overflow-y":"auto",
				"overflow-x":"hidden",
				"height":($(window).height()-$(_pageId+".new-header").height()-1)+"px"
			});
			
			var height = $(window).height();
			$().css({"background":"#f1f7f8","height":height});
			$(_pageId +".edu-list h2").click(function(){
				$(this).css("background","#DDE3E4").siblings().css("background","#f1f7f8"); 
			});
			//取消起航学堂模拟交易功能
			$(_pageId+" .edu-list h2[catalog_id=3573]").remove();
		}
	
	
	 	function queryName(){
			var param = {
				"parent_id" : 3493
			};
			var ctrlParam = {
				"isAsync" : false
			};
			service.getProgramaTwo(param,function(data){
				if(data.error_no == "0"){
					var results = data.results;
					var titleStr = "";
					for(var i = 0;i < results.length;i++){
						var catalog_id = results[i].catalog_id;
						var name = results[i].name;
						var childrennum = results[i].childrennum;
						if(childrennum == "0"){
							titleStr += '<h2 id="none" catalog_id="'+catalog_id+'">'+ name +'</h2>';
						}else{
							titleStr += '<h2 id="black" catalog_id="'+catalog_id+'">'+ name +'</h2>';
						}
					}
					$(_pageId+" .edu-list").append(titleStr);
				}
				else
				{
					layerUtils.iAlert(data.error_info);
				}
			},ctrlParam);
			
			appUtils.bindEvent($(_pageId+" h2[id=none]"),function(){
				var id = $(this).attr("catalog_id");
				var ticontent = $(this).html();
				var param = {
					"catalog_id" : id,
					"pageTypeName":ticontent
				};
				appUtils.pageInit("account/investEduca","account/investContentFirst",param);
			});
		
			//点击加载子栏目，再次点击隐藏（有子栏目的栏目）
			$("h2[id='black']").toggle(function(){
				$(this).next("ul").remove();
				var id = $(this).attr("catalog_id");
				getArticleTitle(id);
				//点击子栏目进入标题页面
				appUtils.bindEvent($(_pageId+" .edu-list ul li"),function(){
					var id = $(this).attr("catalog_id");
					var ticontent = $(this).find("a").html();
					var param = {
						"catalog_id" : id,
						"pageTypeName":ticontent
					};
					appUtils.pageInit("account/investEduca","account/investContentFirst",param);
				});
			},function(){
				$(this).next("ul").remove();
			});
			$(_pageId+" .edu-list ul").css("background","#fff");
		}

	
	//获取文章标题
	 	function getArticleTitle(id){
			var param = {
				"parent_id" : id
			};
			var ctrlParamO = {
				"isAsync" : false
			};
			service.getProgramaTwo(param,function(data){
				if(data.error_no == "0"){
					var resul = data.results;
					var ul = "<ul>";
					for(var j = 0;j < resul.length;j++){
						var catalog_id = resul[j].catalog_id;
						var name = resul[j].name;
						ul += '<li catalog_id="'+ catalog_id +'"><em><span>'+ (j+1) +'</span></em><a href="javascript:void(0);">'+ name +'</a></li>';
					}
					ul += '</ul>';
					$("h2[catalog_id="+id+"]").after(ul);
				}else{
					layerUtils.iAlert(data.error_info);
				}
			},ctrlParamO);
		}

function bindPageEvent(){
	//返回
	appUtils.bindEvent($(_pageId+" .icon_back"),function(){
		appUtils.pageBack();
	});
	
	
}
	
	//销毁
	function destroy(){
		$(_pageId+" .edu-list").html("");
	}
	
	var investEduca = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = investEduca;
});
