/**
 * 我的空间
 */
define('mall/scripts/account/mySpace.js',function(require, exports, module){
	var appUtils = require("appUtils");
	var	layerUtils = require("layerUtils");
	var	service = require("mobileService");
	var	common = require("common");
	var	_isLoginIn = "";
	var	user_name = "";
	var	fund_account = "";
	var	_pageId = "#account_mySpace ";
	var gconfig = require("gconfig");
	var global = gconfig.global;
	
	//初始化
	function init(){
		common.initTitle(_pageId);
//		common.queryMobilePhone(appUtils.getSStorageInfo("mobile_phone"),showMobilePhoneState);
		
//		$(_pageId+" .more-list li").css("background","#fff");
		
		var isMainPageHeight = $(window).height();		
		var sessionMainHeight = appUtils.getSStorageInfo("isMainPageHeight");
		if(sessionMainHeight){
			$(_pageId+" #big").css({
				"overflow-y":"auto",
				"overflow-x":"hidden",
				"height":(sessionMainHeight-$(_pageId+" .header-con").height()-1)+"px"
			});
		}else{
			$(_pageId+" #big").css({
				"overflow-y":"auto",
				"overflow-x":"hidden",
				"height":($(window).height()-$(_pageId+" .header-con").height()-1)+"px"
			});
			appUtils.setSStorageInfo("isMainPageHeight",isMainPageHeight);
		}
		
		var _isLoginIn = appUtils.getSStorageInfo("_isLoginIn");
		if(_isLoginIn == "true"){
			$(_pageId + "#to_logOut").show();
		}else{
			$(_pageId + "#to_logOut").hide();
		}
		$(_pageId+" .footer-con li:nth-of-type(3) a").css("background","url(\"../mall/images/nav_6.png\") no-repeat center 20%");
		$(_pageId+" .footer-con li:nth-of-type(3) a").css("background-size","24px 23px");
		var user_id = appUtils.getSStorageInfo("user_id");
		if(user_id == "" || user_id == null){
			$(_pageId+" .ml-yijian").hide();
		}else{
			$(_pageId+" .ml-yijian").show();
		}
		var loginType = appUtils.getSStorageInfo("loginType");
		if(loginType == "0"){  //0理财账户登录，1资金账号登录
//			$(_pageId+" .ml-tran").hide();	//银证转账
			isBindAccount();
			$(_pageId+" .ml-bind").show();	//绑定账户
			$(_pageId+" #myBind").html("绑定保证金账户");
			$(_pageId+" .ml-bank").show();	//我的银行卡
//			$(_pageId+" .ml-licai").show();	//绑定银行卡
		}else if(loginType == "1"){
			$(_pageId+" .ml-tran").show();
			$(_pageId+" .ml-bind").show();
			$(_pageId+" #myBind").html("绑定理财账户");
			$(_pageId+" .ml-bank").hide();
//			$(_pageId+" .ml-licai").hide();
		}else{ //两种账户都没登录
			$(_pageId+" .ml-tran").hide();
			$(_pageId+" .ml-bind").hide();
			$(_pageId+" .ml-bank").hide();
//			$(_pageId+" .ml-licai").hide();
		}
		var updateFlag = global.isAutoUpdata;
		if(updateFlag == "1"){//0表示不自动更新，1表示自动更新
			updateVers();
		}else{
			$(_pageId+" .ml-update a em").hide();
		}
	}
	/**
	 * 判断是否绑定账户
	 */
	function isBindAccount(){
		var	param = {
			"phoneNo" : appUtils.getSStorageInfo("mobile_phone"), //手机账户
			"bzjClientNo" : "",
			"user_id" : appUtils.getSStorageInfo("user_id")
		};
		var callBack = function(data){
			if(data.error_no != "0")
			{
				layerUtils.iMsg(-1,data.error_info);
				return false;
			}
			else
			{
				var results = data.results;
				var isChange = results[0].isChange;
				if(isChange == "2"){
					for(var i = 0;i < results.length;i++){
						var source = results[i].source;
						if(source == "1")
						{
							var khh = results[i].khh;
						}
					}
					$(_pageId+" .ml-tran").show();	
					$(_pageId+" #to_tran").attr("isChange",isChange);
					$(_pageId+" #to_tran").attr("source",source);
					$(_pageId+" #to_tran").attr("khh",khh);
				}
				else
				{
					$(_pageId+" .ml-tran").hide();
				}
			}
		};
		service.selectPayMethod(param,callBack);
	}
	
	/**
	 * 是否开OTC户
	 */
	function isOpenOTC(){
		var param = {
			"user_id": appUtils.getSStorageInfo("user_id"),
        	"khh": appUtils.getSStorageInfo("FID_KHH"),//客户号
        	"tadm": "ZZ",//机构代码
        	"risk_level": appUtils.getSStorageInfo("risk_level")//风险等级
		};
		service.checkRiskAssessment(param,function(data){
			if(data.error_no != "0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}else{
				var results = data.results;
				var isKh = results[0].isKh;
				var isCp = results[0]. isCp;
				if(isKh == "1"){//是否需要开户	1需要   0不要
					$(_pageId+" .ml-psd").css("display","block");
				}
				appUtils.bindEvent($(_pageId+"  .ml-licai"),function(){
					var param = {
						"isKh":isKh,
						"isCp":isCp
					};
					appUtils.pageInit("mall/finanOrder/confirmOrder","account/otcAccountRisk",param);
				});
			}
		});
	}
	
	
	
	//查询手机状态
	function showMobilePhoneState(data){
		var results = data.results;
		var is_register = results[0].is_register;
		var is_client = results[0].is_client;
		var is_risk = results[0].is_risk;
		var is_pwd = results[0].is_pwd;
		var is_bank = results[0].is_bank;
		var _isLoginIn = appUtils.getSStorageInfo("_isLoginIn");
		if(_isLoginIn == "true"){
		}else{
			//layerUtils.iMsg(-1,"请先登录!");
			appUtils.pageInit("userCenter/wd", "account/userLogin", {});
			return false;
		}
		stateContro(is_register,is_client,is_risk,is_pwd,is_bank);
	}
	
	//页面开户状态控制
	function stateContro(is_register,is_client,is_risk,is_pwd,is_bank){
		if(is_register&&is_register=="1"&&(is_client=="0"||is_pwd=="0"||is_bank=="0")){
			$(_pageId+" #is_addUserInfo").show();
			$(_pageId+" #bankCard_err").hide();
			$(_pageId+" #wate").hide();
			$(_pageId+" #is_addUserInfo .person-con p").text("您还没完成注册");
			$(_pageId+" #is_addUserInfo .person-btn a").text("继续注册");
			appUtils.bindEvent($(_pageId + "#is_addUserInfo .person-btn a"),function(){
				appUtils.pageInit("userCenter/index", "account/testAccount", {});
			});
			return false;
		}else{
			$(_pageId+" #is_addUserInfo").hide();
		}
	}
	
	function logOut(){
		layerUtils.iConfirm("确定要退出吗？",function(){
			/*调用退出登入接口*/
			service.loginOut({},function(data){
				var error_no = data.error_no;
				var error_info = data.error_info;
				var result = data.results;
				if(error_no == "0"){
						appUtils.clearSStorage("_loginInPageCode");
						appUtils.clearSStorage("_loginInPageParam");
						appUtils.clearSStorage("_isLoginIn");
						appUtils.clearSStorage();
						appUtils.pageInit("userCenter/wd","mall/moneyShop",{});
				}else{
					layerUtils.iMsg(error_info);
				}
			});
		});
	}
	
	//绑定事件
	function bindPageEvent(){
		// 登陆
		appUtils.bindEvent($(_pageId + " .left_text"), function() {
			appUtils.pageInit("userCenter/wd", "account/userLogin");
		});
		// 搜索
		appUtils.bindEvent($(_pageId + " .icon_search"), function() {
		});
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
		//首页
		appUtils.bindEvent($(_pageId+" .nav-index"),function(){
			appUtils.pageInit("userCenter/wd","mall/moneyShop");
		},"touchstart");
		//我的资产
		appUtils.bindEvent($(_pageId+" .nav-produce"),function(){
			appUtils.pageInit("userCenter/wd","userCenter/index");
		},"touchstart");
		//风险测评
		appUtils.bindEvent($(_pageId + "#to_risk"),function(){
			var loginType = appUtils.getSStorageInfo("loginType");
			if(loginType == "0"){
				common.queryMobilePhone(appUtils.getSStorageInfo("mobile_phone"),determineAccountState);
			}else{
				appUtils.pageInit("userCenter/wd", "account/riskAssessment", {});
			}
	    });
		//转账明细
		appUtils.bindEvent($(_pageId+" #zhuanZmx"),function(e){
			var khh = $(this).parent().attr("khh");
			if(khh != undefined)
			{
				var param = {
					"khh" : khh
				};
				appUtils.pageInit("userCenter/wd","userCenter/turnHistory",param);
			}
			else
			{
				appUtils.pageInit("userCenter/wd","userCenter/turnHistory");
			}
			e.stopPropagation();
		});
		//更改密码
		appUtils.bindEvent($(_pageId+" #to_pwd"),function(){
			var loginType = appUtils.getSStorageInfo("loginType");
			if(loginType == "0"){
				common.queryMobilePhone(appUtils.getSStorageInfo("mobile_phone"),determine);
			}else{
				appUtils.pageInit("userCenter/wd", "userCenter/modifyPayPwd", {});
			}
		});
		//银证转账
		appUtils.bindEvent($(_pageId+" #to_tran"),function(){
			var ischange = $(this).attr("ischange");
			if(ischange != undefined)
			{
				var source = $(this).attr("source");
				var khh = $(this).attr("khh");
				var param = {
					"ischange" : ischange,
					"source" : source,
					"khh" : khh
				};
				appUtils.pageInit("userCenter/wd","userCenter/turnMoney",param);
			}
			else
			{
				appUtils.pageInit("userCenter/wd","userCenter/turnMoney");
			}
		});
		//绑定账户(理财账户、资金账户)
		appUtils.bindEvent($(_pageId+" #myBind"),function(){
			appUtils.pageInit("userCenter/wd","account/bindAccount");
		});
		//绑定银行卡
		appUtils.bindEvent($(_pageId+" #boundBankCard"),function(){
			appUtils.pageInit("userCenter/wd","account/boundBankCard");
		});
		//我的银行卡
		appUtils.bindEvent($(_pageId+" #myBankCard"),function(){
			appUtils.pageInit("userCenter/wd","account/myBankCard");
		});
		//联系我们
		appUtils.bindEvent($(_pageId+" #contactUs"),function(){
			appUtils.pageInit("userCenter/wd", "account/contactUs", {});
		});
		//意见反馈
		appUtils.bindEvent($(_pageId+" #yijian"),function(){
			appUtils.pageInit("userCenter/wd","account/feedback");
		});
		//退出
	    appUtils.bindEvent($(_pageId + "#to_logOut"),function(){
	    	logOut();
        });
	    
	 // 主页
		appUtils.bindEvent($(_pageId+" #index"),function(){
			appUtils.pageInit("account/ytg/yqt","account/index");
		});
		// 翼启投
		appUtils.bindEvent($(_pageId+" #yqt"),function(){
			appUtils.pageInit("account/ytg/yqt","account/ytg/yqt");
		});
		// 理财
		appUtils.bindEvent($(_pageId+" #lc"),function(){
			appUtils.pageInit("account/ytg/yqt","mall/moneyShop");
		});
		// 生活
		appUtils.bindEvent($(_pageId+" #sh"),function(){
			appUtils.pageInit("account/ytg/yqt","life/lifeIndex");
		});
		// 我的
		appUtils.bindEvent($(_pageId+" #wd"),function(){
			appUtils.pageInit("account/ytg/yqt","userCenter/wd");
		});
	}
	
	function determine(data){
		var results = data.results;
		var is_register = results[0].is_register;
		var is_client = results[0].is_client;
		var is_pwd = results[0].is_pwd;
		var is_risk = results[0].is_risk;
		var is_bank = results[0].is_bank;
		if(is_register=="1"&&(is_client=="0"||is_pwd=="0"||is_bank=="0")){
			appUtils.pageInit("userCenter/wd","account/testAccount");
		}else{
			appUtils.pageInit("userCenter/wd", "userCenter/modifyPayPwd", {});
		}
	}
	
	//判断理财户是否开户成功
	function determineAccountState(data){
		var results = data.results;
		var is_register = results[0].is_register;
		var is_client = results[0].is_client;
		var is_pwd = results[0].is_pwd;
		var is_risk = results[0].is_risk;
		var is_bank = results[0].is_bank;
		if((is_client&&is_client=="0")||(is_pwd&&is_pwd=="0")||(is_bank&&is_bank=="0")){
			layerUtils.iConfirm("您还未成功开通理财户，是否前往开通",function(){
				appUtils.pageInit("userCenter/wd","account/testAccount");
			});
		}else{
			appUtils.pageInit("userCenter/wd", "account/riskAssessment", {});
		}
	}
	
	//销毁
	function destroy(){
		$(_pageId+" #to_tran").removeAttr("ischange");
		$(_pageId+" #to_tran").removeAttr("source");
		$(_pageId+" #to_tran").removeAttr("khh");		
	}
	
	var mySpace = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	// 暴露对外的接口
	module.exports = mySpace;
});