define('mall/scripts/account/netClass.js',function(require, exports, module) {
	//require("mall/css/self_confirm.css");
	var appUtils = require("appUtils");
	var putils = require("putils");
	var service = require("mobileService"); //业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var HIscroll =require("hIscroll");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var constants=require("constants");//常量类
	//下标0的元素表示头部滑动，1、2、3分别表示推荐理财、推荐基金和推荐资讯
	var customHIscroll= [{"scroll":null,"_init":false},{"scroll":null,"_init":false},{"scroll":null,"_init":false}];
	var _pageId = "#account_netClass ";
	var URL=global.url;
	var common = require("common");
	var product_type=null;
	var platform=require("gconfig").platform;
	var external = require("external");
	var picLoadTimer = null;
	var prePageCode="";
	function init() {
		common.initTitle(_pageId);
		$(_pageId +"  #back_net").css("color", "#fff");
		prePageCode = appUtils.getPageParam("pageCode"); // 上一页面pageCode
//		var isMainPageHeight = $(window).height();		
//		var sessionMainHeight = appUtils.getSStorageInfo("isMainPageHeight");
//		if(sessionMainHeight){
//			$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":(sessionMainHeight-$(_pageId+".header").height()-$(_pageId+".new-footer-con").height()-1)+"px"});
//		}else{
//			$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height()-$(_pageId+".header").height()-$(_pageId+".new-footer-con").height()-1)+"px"});
//			appUtils.setSStorageInfo("isMainPageHeight",isMainPageHeight);
//		}
//		queryTitle();
		$(_pageId).css("background","#fff").css("height",$(window).height());
		$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height()-$(_pageId+".new-header").height()-1)+"px"});
		getImgUrl();
	}
	
	//获取网络课堂图片
	function getImgUrl(){
		var param = {
			"groupNo" : "spdbAD"
		};
		service.getImgUrl(param,function(data){
			if(data.error_no == "0"){
				var results = data.results;
				var imgstr = "";
				for(var i=0;i<results.length;i++){
					var picture = results[i].picture;
					var url = results[i].url;
					var state = results[i].state;
					var name = results[i].name;
					imgstr += '<img src="http://www.avicsec.com'+ picture +'" moduleName="mall_qiye'+ i +'" name="'+ name +'" state="'+ state +'" url="'+ url + '" alt="" title="">';
				}
				$(_pageId+" .financial-banner").html(imgstr);
				appUtils.bindEvent($(_pageId + " .financial-banner img"),function(){
					var state = $(this).attr("state");
					var url = $(this).attr("url");
					var name = $(this).attr("name");
					if(state == "3"){
						var param = {
							"funcNo" : "50275",
							"title" : name,
							"mediaUrl" : url
						};
						external.callMessage(param);
					}else if(state == "2"){
						var param = {
							"catalog_id" : url
						};
						appUtils.setSStorageInfo("catalog_id",url);
						appUtils.pageInit("account/netClass","account/netClassVideo",param);
					}
				},"click");
			}else{
				layerUtils.iMsg(-1,data.error_info);
				return false;
			}
		});
	}
	
	function queryTitle(){
		var param = {
			"enumName":"splx"
		};
		service.getData(param,function(data){
			if(data.error_no == "0"){
				var results = data.results;
				var str = "";
				for(var i = 0;i < results.length;i++){
					var item_name = results[i].item_name;
					var item_value = results[i].item_value;
					str += '<h2 catalog_id="'+ item_value +'">'+ item_name +'</h2><ul></ul>';
				}
				$(_pageId+" .edu-list").html(str);
				appUtils.bindEvent($(_pageId+" .edu-list h2"),function(){
					var catalog_id = $(this).attr("catalog_id");
					var param = {
						"catalog_id" : catalog_id
					};
					appUtils.pageInit("account/netClass","account/netClassVideo",param);
				});
			}else{
				layerUtils.iMsg(-1,data.error_info);
				return false;
			}
		});
	}
	
	function bindPageEvent() {
		//返回
		appUtils.bindEvent($(_pageId + " #icon_back"), function(){
			var param = {
					"pageCode" : prePageCode
			};
			appUtils.pageInit("account/netClass","account/wingService",param);
			
		});
		//精彩
		appUtils.bindEvent($(_pageId + " .ft-4"), function(){
			appUtils.pageInit("account/netClass","account/index");
		});
		//发现
		appUtils.bindEvent($(_pageId + " .ft-2"), function(){
			appUtils.pageInit("account/netClass","account/found");
		});
		//资产
		appUtils.bindEvent($(_pageId + " .ft-3"), function(){
			appUtils.pageInit("account/netClass","userCenter/index");
		});
	}
	
	function destroy(){
		$(_pageId+" .subject-list").html("");
	}
	
	var netClass = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = netClass;
});