define('mall/scripts/account/netClassVideo.js',function(require, exports, module) {
	//require("mall/css/self_confirm.css");
	var appUtils = require("appUtils");
	var putils = require("putils");
	var service = require("mobileService"); //业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var HIscroll =require("hIscroll");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var _pageId = "#account_netClassVideo ";
	var curPageNo = 1;
	var	myScroller = null; // 滚动组件
	var	VIscroll = require("vIscroll");
	var external = require("external");
	var common=require("common");
	//初始化
	function init(){
		common.initTitle(_pageId);
		curPageNo = 1;
		var pageParam = appUtils.getPageParam();
		if(pageParam != undefined){
			var catalog_id = pageParam.catalog_id;
		}
		if(catalog_id == "3404"){
			$(_pageId+" .find-box h2").html("中航视点");
		}else if(catalog_id == "3021"){
			$(_pageId+" .find-box h2").html("启航学堂之《风险防范小常识》");
		}else if(catalog_id == "3020"){
			$(_pageId+" .find-box h2").html("启航学堂之《投资知识天天学》");
		}else if(catalog_id == "3482"){
			$(_pageId+" .find-box h2").html("中航最强音");
		}
		queryTitle(catalog_id);
	}
	
	function queryTitle(catalog_id){
		var param1 = {
				"page":curPageNo,
				"pageSize":"10",
				"catalog_id":catalog_id
		};
		service.testTitle(param1,function(data){
			if(data.error_no==0){
				var result=data.results;
				var app_photo = "";
				var app_video = "";
				var title = "";
				for(var i=0;i<result.length;i++){
					app_photo = result[i].app_photo;
					app_video = result[i].app_video;
					title = result[i].title;
					var publish_date = result[i].publish_date;
					var movieinfo = result[i].movieinfo;
					publish_date = publish_date.substring(0,4)+"."+publish_date.substring(5,7)+"."+publish_date.substring(8,10);
					if(appUtils.getPageParam().catalog_id == "3482"){
						li = '<dl class="clearfix" ><dt url="'+ app_video +'" title="'+ title +'" movieinfo="'+ movieinfo +'"><a href="javascript:void(0);"><img style="margin-top:15%;" src="http://www.avicsec.com'+ app_photo +'" alt="" title=""></a></dt><dd>'+
    					'<h3>'+ title +'......</h3><h4 style="line-height:20px;margin-top:20%;">'+ publish_date +'<span></span></h4><p>'+ movieinfo +'</p></dd></dl>';
					}else{
						li = '<dl class="clearfix" ><dt url="'+ app_video +'" title="'+ title +'" movieinfo="'+ movieinfo +'"><a href="javascript:void(0);"><img style="margin-top:15%;" src="http://www.avicsec.com'+ app_photo +'" alt="" title=""></a></dt><dd>'+
    					'<h3>'+ title +'......</h3><h4 style="line-height:20px;margin-top:20%;">'+ publish_date +'<span></span></h4><p>'+ movieinfo +'</p></dd></dl>';
					}

					
					$(_pageId+" .produce-listold").append(li);
				}
				$(_pageId+" .produce-listold dl dd h3").css({"overflow": "hidden",
					"float":"left",
					"width": "100%",
					"height": "60px",
					"text-overflow": "ellipsis",
					"white-space": "nowraps"
				   });
				$(_pageId+" .produce-listold p").css({"height":"60px","line-height":"20px","white-space":"pre-wrap"});
				initScroller();
				appUtils.bindEvent($(_pageId + " .produce-listold dt"), function(){
					
					var url = $(this).attr("url");
					var title = $(this).attr("title");
					var movieinfo = $(this).attr("movieinfo");
					var	param={
						"url":url,
						"title":title,
						"movieinfo":movieinfo
					};
					/*var title = $(this).find("h3").html();
					var param = {
						"funcNo" : "50275",
						"title" : title,
						"mediaUrl" : url
					};
					external.callMessage(param);*/
				//	window.location.href="/m/mall/index.html#!/account/dbNetClassVideo.html&url="+url;
					appUtils.pageInit("account/netClassVideo","account/dbNetClassVideo",param);
				},"click");
			}else{
				layerUtils.iAlert(data.error_info,-1);
			}
			
		});
	}
	
	/**
	 * 初始化滚动组件
	 */
	function initScroller()
	{
		if(myScroller)
		{
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(_pageId + " #list")
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
		else
		{
			var visibleHeight = $(window).height() - $(_pageId + ".new-header").height()-$(_pageId+" .find-box").height()-$(_pageId+" .financial-banner").height()-1; // 滑动组件的可见高度
			var scrollerParam = {
				isPagingType: false,
				isHasHead: false,
				visibleHeight: visibleHeight,
				container: $(_pageId + " #list").parents(".visc_wrapper").parent(), // container元素
				wrapper: $(_pageId + " #list").parents(".visc_wrapper"), // wrapper元素
				downHandle : function() {
					$(_pageId+" .produce-listold").html("");
					curPageNo = 1;
					var catalog_id = appUtils.getPageParam().catalog_id;
					queryTitle(catalog_id);
				},
				upHandle : function(){
					curPageNo++;
					var catalog_id = appUtils.getPageParam().catalog_id;
					queryTitle(catalog_id);
				}
			};
			myScroller = new VIscroll(scrollerParam); //初始化
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(_pageId + " #list")
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
	}
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+" #icon_back"),function(){
			/*var url=appUtils.getSStorageInfo("catalog_id");
			var param={
				"catalog_id" : url	
			};*/
			appUtils.pageInit("account/netClassVideo","account/netClass");
		});
	}
	
	//销毁
	function destroy(){
		$(_pageId+" .find-box h2").html("");
		$(_pageId+" .produce-listold").html("");
	}
	
	var netClassVideo = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = netClassVideo;
	
});