/**
 * 转账查询-结果
 */
define('mall/scripts/account/riskResult.js',function(require, exports, module) {
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var service = require("mobileService"); //业务层接口，请求数据
	var global = gconfig.global;
	var layerUtils = require("layerUtils");
	var _pageId="#account_riskResult ";
	var product_code="";
	var common=require("common");
	/*初始化*/
	function init()
	{
		common.initTitle(_pageId);
		$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height())+"px"});
		var pageInParam  = appUtils.getPageParam();
		var loginType = appUtils.getSStorageInfo("loginType");
		if(loginType == "0"){
			var risk_name = pageInParam.risk_name;
		}else{
			var risk_level = pageInParam.risk_level;
			var risk_name;
			if(risk_level == "1"){
				risk_name = "保守型";
			}else if(risk_level == "2"){
				risk_name = "谨慎型";
			}else if(risk_level == "3"){
				risk_name = "稳健型";
			}else if(risk_level == "4"){
				risk_name = "积极型";
			}else if(risk_level == "5"){
				risk_name = "激进型";
			}
		}
		$(_pageId+" .risk-result-con").find("h4").html(risk_name);
		$(_pageId+" .risk-result-con").find("h2").html("您的风险评测结果为 : "+risk_name);
//		if(appUtils.getSStorageInfo("_prePageCode")=="addUserInfo/risk"){
//			$(_pageId+" .header-con h1").html("完善个人资料");
//			$(_pageId+" .risk-result-con h2").html("您的风险评测结果为 : "+risk_name);
//			$(_pageId+"#qd").html("确定");
//		}else if(pageInParam.risk_typeName == "finan"){
//			$(_pageId+" .header-con h1").html("产品风险测评");
//			$(_pageId+" .risk-result-con h2").html("您的产品风险评测结果为 : "+risk_name);
//			$(_pageId+"#qd").html("继续购买");
//		}else{
//			$(_pageId+" .risk-result-con h2").html("您的风险评测结果为 : "+risk_name);
//			$(_pageId+" .header-con h1").html("风险测评");
//			$(_pageId+"#qd").html("确定");
//		}
//		$(_pageId+" .risk-result-con div h4").html(risk_name);
	}

	function bindPageEvent() 
	{
		/* 绑定返回事件 */
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});

		/* 绑定确定事件 */
		appUtils.bindEvent($(_pageId+" .risk-result-btn .thinkive a"),function(){
			var pageInParam  = appUtils.getPageParam();
			if(pageInParam.risk_typeName=="finan"){
				var param={
					"product_id":pageInParam.product_id,
					"tot_price":pageInParam.tot_price
				};
				appUtils.pageInit("account/riskResult","account/selPayMethod",param);
			}else{
				//appUtils.pageInit("account/riskResult","account/mySpace",{});
				appUtils.pageInit("account/riskResult","userCenter/wd",{});
			}
		});
	}

	/*提交理财风险测评答案*/
	function postFinanRiskAnswer(){

		//		layerUtils.iLoading(true);
		var user_id=appUtils.getSStorageInfo("user_id");
		var riskAnswerParam = {
			"user_id" : user_id,
			"risk_type_id" : product_code,
			"content" : getRiskAnswer()  // 获取风险测评答案
		};
		service.submitTestAnswerPhone(riskAnswerParam,function(data){
			if(data.error_no == 0){
				var results = data.results[0];
				var risk_name=results.risk_name;
				var risk_fraction=results.risk_fraction;
				appUtils.setSStorageInfo("risk_level_txt",risk_name);
				var param={
						"risk_name":result_name
				};
				appUtils.pageInit("account/riskAssessment","account/riskResult",param);
//				layerUtils.layerCustom('<div class="popbox pop_rebuy" id="iLayer_myProd">	<div class="ptitle"><h2>风险测评提示信息</h2></div>	<div class="pmain"><p class="input_text1" style="text-align:center;"><img  src="images/1.png"/><lable>风险测评提交成功!</lable></p><p class="input_text1"  style="text-align:center;"></p><p class="input_text1"  style="text-align:center;"></p><p class="input_text1">	<a href="javascript:void(0);" class="btn1"  id="iLayer_redeemBtn" >确定</a></p></div></div>');
//				var allRecommendStr1 =  "";
//				var allRecommendStr2=  "";
//				allRecommendStr1 += "<label>您的风险分数:</label>"+risk_fraction;
//				allRecommendStr2 += "<label>您的风险等级:</label>"+risk_name;
//				$(" .pop_rebuy .input_text1:eq(1)").append(allRecommendStr1);
//				$(" .pop_rebuy .input_text1:eq(2)").append(allRecommendStr2);
//				appUtils.bindEvent($x("iLayer_myProd", "iLayer_redeemBtn"), function() {
//					layerUtils.iCustomClose(); 
//					if(appUtils.getSStorageInfo("_prePageCode")=="mall/finanOrder/confirmOrder"){
//						var pageInParam  = appUtils.getPageParam();
//						var product_name= pageInParam.product_name;
//						var product_id=pageInParam.product_id;
//						var tot_price=pageInParam.tot_price;
//						var param={
//								"product_name":product_name,
//								"product_id":product_id,
//								"tot_price":tot_price
//						}
//						appUtils.pageInit("account/riskAssessment","mall/finanOrder/confirmOrder",param);
//					}else{
//						personInfo();
//						$(document.body).ScrollTo(0);
//						$(_pageId+" .test_list dl dd span").removeClass("active");
//					}
//				});
				
			}
			else{
				layerUtils.iAlert(data.error_info);
			}
		});

	}
	
	/*提交风险测评答案*/
	function postRiskAnswer()
	{
		//		layerUtils.iLoading(true);
		var user_id=appUtils.getSStorageInfo("user_id");
		var riskAnswerParam = {
			"user_id" : user_id,
			"risk_type_id" : "0",
			"content" : getRiskAnswer()  // 获取风险测评答案
		};
		service.submitTestAnswerPhone(riskAnswerParam,function(data){
			if(data.error_no == 0){
				var results = data.results[0];
				var risk_name=results.risk_name;
				var risk_fraction=results.risk_fraction;
				appUtils.setSStorageInfo("risk_level_txt",risk_name);
				layerUtils.layerCustom('<div class="popbox pop_rebuy" id="iLayer_myProd">	<div class="ptitle"><h2>风险测评提示信息</h2></div>	<div class="pmain"><p class="input_text1" style="text-align:center;"><img  src="images/1.png"/><lable>风险测评提交成功!</lable></p><p class="input_text1"  style="text-align:center;"></p><p class="input_text1"  style="text-align:center;"></p><p class="input_text1">	<a href="javascript:void(0);" class="btn1"  id="iLayer_redeemBtn" >确定</a></p></div></div>');
				var allRecommendStr1 =  "";
				var allRecommendStr2=  "";
				allRecommendStr1 += "<label>您的风险分数:</label>"+risk_fraction;
				allRecommendStr2 += "<label>您的风险等级:</label>"+risk_name;
				$(" .pop_rebuy .input_text1:eq(1)").append(allRecommendStr1);
				$(" .pop_rebuy .input_text1:eq(2)").append(allRecommendStr2);
				appUtils.bindEvent($x("iLayer_myProd", "iLayer_redeemBtn"), function() {
					layerUtils.iCustomClose(); 
					var pageInParam  = appUtils.getPageParam();
					var param = null;
					if(appUtils.getSStorageInfo("_prePageCode")=="mall/finanOrder/confirmOrder"){
					  param =
						{
								"product_name": pageInParam.product_name,
								"product_id": pageInParam.product_id,
								"tot_price": pageInParam.tot_price,
								"product_code":product_code
						};
						appUtils.pageInit("account/riskAssessment","mall/finanOrder/confirmOrder",param);
					}else if(appUtils.getSStorageInfo("_prePageCode")=="mall/fundOrder/confirmOrder"){
						 param =
						{
							"product_name": pageInParam.product_name,
								"product_id": pageInParam.product_id,
								"tot_price": pageInParam.tot_price
						};
						appUtils.pageInit("account/riskAssessment","mall/fundOrder/confirmOrder",param);
					}
					else{
						personInfo();
						$(document.body).ScrollTo(0);
						$(_pageId+" .test_list dl dd span").removeClass("active");
					}
				});
				
			}
			else{
				layerUtils.iAlert(data.error_info);
			}
		});

	}

	/* 处理请求超时 */
	function handleTimeout()
	{
		layerUtils.iConfirm("请求超时，是否重新加载？",function(){
			getRiskAssessQuestions();  // 再次风险测评题目
		});
	}

	function destroy()
	{
		service.destroy();
	}

	var changeResults = 
	{
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};

	module.exports = changeResults;

});