/**
 * 翼服务
 */
define('mall/scripts/account/wingService.js',function(require, exports, module) {
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var _pageId = "#account_wingService ";
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var common = require("common");
	var _pageId = " #account_wingService ";
	var pageCode = "account/wingService";
	var prePageCode="";
	//初始化
	function init(){
		common.initTitle(_pageId);
		common.clearCommonCss();
		common.loadoldCss();
		prePageCode = appUtils.getSStorageInfo("pageCode");; // 上一页面pageCode
		var _prePageCode = appUtils.getSStorageInfo("_prePageCode");
		if(_prePageCode == "account/userLogin"){
			var loginType = appUtils.getSStorageInfo("loginType");
			if(loginType == "0"){
				var mobile_phone = appUtils.getSStorageInfo("mobile_phone");
			}else if(loginType == "1"){
				var mobile_phone = appUtils.getSStorageInfo("telephone");
			}
		}

		$(_pageId+" .main").css("background","none");
//		$(_pageId).css("height",$(window).height());
//		var isMainPageHeight = $(window).height();		
//		var sessionMainHeight = appUtils.getSStorageInfo("isMainPageHeight");
//		if(sessionMainHeight){
//			$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":(sessionMainHeight-$(_pageId+".home_top").height()-1)+"px"});
//		}else{
//			$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height()-$(_pageId+".home_top").height()-1)+"px"});
//			appUtils.setSStorageInfo("isMainPageHeight",isMainPageHeight);
//	}
	}
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			//if (prePageCode == ""||prePageCode == null) {
			//	appUtils.pageBack();
			//} else {
			//	appUtils.pageInit(pageCode, prePageCode);
			//}
			appUtils.pageInit("account/wingService","account/index");
		});
		
		//视频点播
		appUtils.bindEvent($(_pageId+" #netclassroom"),function(){
			var param = {
					"pageCode" : prePageCode
			};
			//appUtils.pageInit("account/wingService","account/netClass",param);
			appUtils.pageInit("account/wingService","video/videoHome",param);
		});
		//个股诊断
		appUtils.bindEvent($(_pageId+" #autodiag"),function(){
			var param = {
					"pageCode" : prePageCode
			};
			appUtils.pageInit("account/wingService","account/autoZD",param);
		});
		//财经资讯
		appUtils.bindEvent($(_pageId+" #finaninfor"),function(){
//			var param = {
//					"pageCode" : prePageCode
//			};
			appUtils.pageInit("account/wingService","account/finiInfo");
		});
		//交易提示
		appUtils.bindEvent($(_pageId+" #tradeTip"),function(){
			var param = {
					"pageCode" : prePageCode
			};
			appUtils.pageInit("account/wingService","account/tradeNotice",param);
		});
		//投资者教育
		appUtils.bindEvent($(_pageId+" #touzijiaoyu"),function(){
			var param = {
					"pageCode" : prePageCode
			};
			appUtils.pageInit("account/wingService","account/investEduca",param);
		});
		//交易规则介绍
		appUtils.bindEvent($(_pageId+" #traderule"),function(){
			var param = {
					"pageCode" : prePageCode
			};
			appUtils.pageInit("account/wingService","account/tradeRules",param);
		});
		
		//网络课堂
		appUtils.bindEvent($(_pageId+" #wangluo"),function(){
			var param = {
					"pageCode" : prePageCode
			};
			appUtils.pageInit("account/wingService","account/workRoom",param);
		});
		//企业服务
		appUtils.bindEvent($(_pageId+" #enterpriseservice"),function(){
			var param = {
					"pageCode" : prePageCode
			};
			appUtils.pageInit("account/wingService","account/enterpriseService",param);
		});
		//首席观点
		appUtils.bindEvent($(_pageId+" #chiefpointview"),function(){
//			var param = {
//					"pageCode" : prePageCode
//			};
			appUtils.pageInit("account/wingService","account/strategyPoint");
		});
		//投顾大赛
		appUtils.bindEvent($(_pageId+" #investCompet"),function(){
			appUtils.pageInit("account/wingService","account/heroList");
		});
		//意见反馈
		appUtils.bindEvent($(_pageId+" #yijianfankui"),function(){
			appUtils.pageInit("account/wingService","account/feedback");
		});
		//授权
		appUtils.bindEvent($(_pageId+" #authorization"),function(){
			var user_id = appUtils.getSStorageInfo("user_id");
			if(user_id == "" || user_id == null){
				appUtils.pageInit("account/wingService","account/userLogin");
			}else{
				var mobile_phone = appUtils.getSStorageInfo("mobile_phone");
				var loginType = appUtils.getSStorageInfo("loginType");
			}
		});
		
	
	}
	
	
	//销毁
	function destroy(){
		common.loadCommonCss();
	}
	
	var wingService = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = wingService;
	
});