/**
 * 关键观点
 */
define('mall/scripts/account/ytg/createPoint.js',function(require, exports, module) {
	var appUtils = require("appUtils"), 
	    layerUtils = require("layerUtils"), 
        gconfig = require("gconfig"),
        portfolioService = require("ytgService"),
		
		pageCode = "account/ytg/createPoint", 
		_pageId = "#account_ytg_createPoint ";
	
	//插件
	require("mall/scripts/plugins/imgcompress/scripts/jquery.make-thumb.js");
	require("mall/scripts/plugins/form/jquery-form.js");
	//全局变量
	//上传图像
	var img_data = null;
	var realPic = null;
	var isSelect = false; //是否选择图片
	var user_id = null;
	var picture = null;
	var common=require("common");
	/**
	 * 初始化
	 */
	function init() {
		common.initTitle(_pageId);
		//appUtils.setSStorageInfo('yqtid',"1062");
		user_id = appUtils.getSStorageInfo('yqtid');
		var islogin = appUtils.getSStorageInfo("_isLoginIn");
		var param = {};
		if (islogin!="true") {
			appUtils.pageInit(pageCode, "account/userLogin",param);
		}
		if ( !user_id ) {
			appUtils.pageInit(pageCode, "account/userLogin",param);
		}
	}
	
	//***************************【绑定事件方法】***********************************//
	/**
	 * 事件绑定
	 */
	function bindPageEvent() {
		
		//头部返回
		appUtils.bindEvent($(_pageId + ".icon_back"), function(e){
			appUtils.pageInit(pageCode, "account/ytg/yqtTrends");
		});
		
		//点击持仓股票,关联买入股票信息
//		appUtils.preBindEvent($(_pageId + ".lower_table"),"tr:not(:nth-child(1))", function(e){
//			stock_code = $(this).attr("id");
//			if(stock_code != null && stock_code != ""){
//				queryStockInfo();
//				//隐藏股票自动补全框
//				$(_pageId + '#autoSotck').hide();
//			}
//		});
		
		//勾选框
//		appUtils.bindEvent($(_pageId + ".check_box label"), function(e) {
//			if($(this).siblings('input').attr("checked") == 'checked'){
//				$(this).siblings('input').removeAttr("checked");
//				$(this).parent().siblings().find('input').attr("checked","checked");
//			}
//			else{
//				$(this).siblings('input').attr("checked","checked");
//				$(this).parent().siblings().find('input').removeAttr("checked");
//			}
//			if($(_pageId + "#checkbox_1").attr("checked") == "checked"){
//				create_view = true;
//			}
//			else if($(_pageId + "#checkbox_2").attr("checked") == "checked"){
//				create_view = false;
//			}
//		});
		
//		//点击图片选择文件
//		appUtils.bindEvent($(_pageId + "#userImage"), function(e){
//			$(_pageId + ".change_file_btn").click();
//		});
		
		//选择文件
		appUtils.bindEvent($(_pageId + "#userImage"), function(e){
//			alert("选择文件");
//			e.stopPropagation();
		//	if($(_pageId + ".grid a").text() == "上 传 中..."){
		//		return ;
		//	}
			//选择图片文件
			$(_pageId+" #btn1").remove();
			$(_pageId+" #bug").append('<input type="file" accept="image/jpg,image/bmp,image/png,image/jpeg,image/gif,camera" capture="camera"  id="btn1" style="width:0px;height:0px;position:absolute;top:0;left:0;"/>');
			setTimeout(function(){
				start_init();				
				
				$(_pageId+" #btn1").click( function (e1) {
				//	alert("选择文件1");
				}).trigger("click");
			}, 200);
		});
		
		//上传图像
//		appUtils.bindEvent($(_pageId + " .upload_box .grid"), function(e){
//			if(isSelect == false){
//				layerUtils.iAlert("请选择文件后上传!",-1);
//				return;
//			}
//			//alert("上传");
//			if($(_pageId + " .upload_box .grid a").text() != "上 传 中..."){
//				uploadMobileImg(); //上传手机图像
//			}
//		});
		
		//创建观点
		appUtils.bindEvent($(_pageId + "#wanc"), function(e) {
			uploadMobileImg(); //上传手机图像
			//createPoint();
		}); 
	}
	
	
	//***************************【初始化方法】***********************************//
	
	function start_init()
	{
		$(function() {
	//		alert("选择文件2");
		    var $file = $('#btn1');
		    $file.makeThumb({
		    	width:500,
		    	height:500,
		        success: function(dataURL, tSize, file, sSize, fEvt) {
		    		// 图片上传至服务器
		        	//alert("选择文件3");
		    	    img_data = dataURL.split(",")[1]; //图片的base64编码
		    	    isSelect = true;
		    	    //img_data = dataURL; //图片的base64编码
		    	    //$('.tx_pic').html('<img src="'+dataURL+'"  class="circle" id="userImage"/>');
		    	    $(_pageId + "#userImage").attr("src",dataURL);
			    	layerUtils.iLoading(false);
			    	//alert(dataURL);
			    	//uploadTempImg(); //上传临时图片
		        },error:function(obj,state,e){
		        	layerUtils.iLoading(false);
		        	if(state==8){
		        		layerUtils.iAlert("上传文件格式不正确，请重新上传",0,function(){});
		        	}
		        }
		    });
		});
	}
	
	/**
	 * 上传手机图像
	 * */
	function uploadMobileImg(){
		$(_pageId + " .upload_box a").text("上 传 中...");
		$(_pageId + "#pictureBase64").val(img_data);
		var user_idImg = user_id + Math.random();
		$(_pageId + "#userID").val(user_idImg);
		var form = $("form[name=form1]");
		var options = {
				url : gconfig.global.domain
				+ "servlet/UploadViewImage?function=SetUserImage",
				type : 'post',
				success : function(data) {
					var jsondata = eval("("+data+")")[0];
					realPic = jsondata.Picurl;
					//alert(realPic);
					if (jsondata.result == "ture") {
						//alert("成功");
						$(_pageId + " .upload_box a").text("上 传 成 功");
						if(isSelect){
							picture = "/userViewImage/small/"+user_idImg+".jpg";
						}		
						createPoint(); //创建观点
						
					}else {
						layerUtils.iAlert(jsondata.message,-1,function(){
							//图片保存失败要重新上传
						});
					}
				}	
		};
		//异步提交表单
		form.ajaxSubmit(options);
	}
	
	/**
	 * 新建观点
	 * */
	function createPoint(){
		var title = $(_pageId+"#view_name").attr("value"); //标题
		//var view_brief = $(_pageId+"#view_brief").val(); //简介
		var view_content =$(_pageId+"#view_content").val(); //内容
		if(title==null || title==""){
			layerUtils.iAlert("观点名称不能为空 ",-1);
			return;
		}
		if(title.length>15||title.length<5){
			layerUtils.iAlert("标题为5~15字",-1);
			return;
		}
//		if(view_brief==null || view_brief==""){
//			layerUtils.iAlert("观点简介不能为空 ",-1);
//			return;
//		}
//		if(view_brief.length>50 || view_brief.length<20){
//			layerUtils.iAlert("观点简介为20~50字",-1);
//			return;
//		}
		if(view_content==null || view_content==""){
			layerUtils.iAlert("观点内容不能为空 ",-1);
			return;
		}
		if(view_content.length<50){
			layerUtils.iAlert("观点内容不得低于50字",-1);
			return;
		}
		var param = {
				"invest_id" : user_id,
				"title" : title,
				"content" : view_content,
				"introdution" : view_content.substring(0,50),
				"bond_type" : 0,
				"picture" : picture,
				"viewpage_id" : null
		};
		portfolioService.createPoint(param,function callBack(resultVo){
			if(Number(resultVo.error_no) == 0){
				layerUtils.iMsg(0,"发表观点成功");
				//调到动态页面
				appUtils.pageInit(pageCode,"account/ytg/yqtTrends");
			}
			else{
				layerUtils.iAlert("创建观点失败:"+resultVo.error_info,-1);
			}
		});
	}
	
	//*********************************************************************//
	
	/**
	 * 销毁
	 */
	function destroy() {
		$(_pageId+"#view_name").val(""); //标题
		$(_pageId+"#view_brief").val(""); //简介
		$(_pageId+"#view_content").val(""); //内容
		$(_pageId + "#pictureBase64").val("");
		$(_pageId + "#userImage").attr("src","images/add_icon2.png");
		$(_pageId + " .upload_box a").text("上  传 ");
		picture = null;
	    isSelect = false;
	}

	var account_ytg_createPoint = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = account_ytg_createPoint;
});