/**
 * 查询
 */
define('mall/scripts/account/ytg/trade/myPortfolio/queryEntrust/queryEntrustIndex.js',function(require, exports, module) {
	var appUtils = require("appUtils"), 
	    layerUtils = require("layerUtils"), 
        gconfig = require("gconfig"),
		
		pageCode = "account/ytg/trade/myPortfolio/queryEntrust/queryEntrustIndex", 
		_pageId = "#account_ytg_trade_myPortfolio_queryEntrust_queryEntrustIndex ";
	
	//全局变量
	
	//页面公共JS
	var pageCommon = require("pageCommon");
	var common=require("common");
	/**
	 * 初始化
	 */
	function init() {
		common.initTitle(_pageId);
		var height = $(window).height()-$(_pageId + ".header").height();
		$(_pageId + ".my_page2").css("height",height);
	}
	
	/**
	 * 事件绑定
	 */
	function bindPageEvent() {
		//头部返回
		appUtils.bindEvent($(_pageId + ".icon_back"), function(e) {
			appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/myPortfolio");
		});
		
		//头部导航栏(持仓;买入;卖出;撤单;查询)
		appUtils.bindEvent($(_pageId + ".row-1"), function(e) {
			var index = $(this).index();
			if(index == 0){
				appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/portfolioDetail");
			}
			else if(index ==1){
				appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/buyStock");
			}
			else if(index ==2 ){
				appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/sellStock");
			}
			else if(index ==3){
				appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/cancelEntrust");
			}
			else if(index ==4){
				//appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/queryEntrust/queryEntrustIndex");
			}
		});
		
		//委托查询
		appUtils.bindEvent($(_pageId + "#todayDeal"), function(e){
			appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/queryEntrust/todayDeal");
		});
		appUtils.bindEvent($(_pageId + "#todayEntrust"), function(e){
			appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/queryEntrust/todayEntrust");
		});
		appUtils.bindEvent($(_pageId + "#hisDeal"), function(e){
			appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/queryEntrust/hisDeal");
		});
		appUtils.bindEvent($(_pageId + "#hisEntrust"), function(e){
			appUtils.pageInit(pageCode,"account/ytg/trade/myPortfolio/queryEntrust/hisEntrust");
		});
	}
	
	//***************************【初始化方法】***********************************//
	
	//*********************************************************************//
	
	/**
	 * 销毁
	 */
	function destroy() {
	}

	var account_ytg_trade_myPortfolio_queryEntrust_queryEntrustIndex = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = account_ytg_trade_myPortfolio_queryEntrust_queryEntrustIndex;
});