/**
 * 开|转|理财户结果
 */
define(function(require,exports,module){
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		  gconfig = require("gconfig"),
		  layerUtils = require("layerUtils"),
		  global = gconfig.global,
		  service = require("serviceImp").getInstance(),  //业务层接口，请求数据
		  _pageId = "#account_accountResult";
	var external = require("external");
	var platform = require("gconfig").platform;
	var common = require("common");
	var fund_account = "";
	/* 私有业务模块的全局变量 end */
	
	function init()
	{
		common.initTitle(_pageId);
		initPage();
	}
	
	function bindPageEvent()
	{
		/* 分享拿ipad */
//		appUtils.bindEvent($(_pageId+" .share_btn"),function(){
//		});
		/* 绑定返回 */
		appUtils.bindEvent($(_pageId+"  .icon_back"),function(){		
				appUtils.pageInit("account/accountResult","account/openNotice");
		});
		/* 刷新功能 */
		appUtils.bindEvent($(_pageId+" #refresh"),function(){
			appUtils.pageInit("account/accountResult","account/accountResult");
		});
		
		// 直奔支付年费
		appUtils.bindEvent($(_pageId+" #nianfei"),function(){
			var param = {
					funcNo: "50040",
					key: "khuserId",
					value: appUtils.getSStorageInfo("user_id")
				};
				external.callMessage(param);
			var param = {
					"funcNo":"50101",
					"moduleName":"open",
					"params" : {"url":"account/payNianfei"}
				};
				external.callMessage(param);
		});
		
		
		//绑定'续费'功能
		appUtils.bindEvent($(_pageId+" #fix_bot a:eq(0)"),function(){
			$(_pageId+" #notice p").html("");
			if(isKd=="1"){
				$(_pageId+" #notice p").html("您的会员即将到期，请尽快续费！");
				$(_pageId+" #notice").show();
			}else if(isGq==""){
				$(_pageId+" #notice p").html("您的会员使用已到期，请尽快续费！");
				$(_pageId+" #notice").show();
			}else{
				layerUtils.iAlert("还没有到期哦，请放心使用，到期前一周内可以进行续费！",-1);
				//$(_pageId+" #notice").show();
				$(_pageId+" #notice").hide();
			}		
		});
		
		//绑定'支付记录'功能
		appUtils.bindEvent($(_pageId+" #zf_jlbtn"),function(){
			appUtils.setSStorageInfo("zhBestpay","true");
			appUtils.pageInit("account/accountResult","account/showPayRecordl",{});
		});
		
		//绑定'续费'的'退出'功能
		appUtils.bindEvent($(_pageId+" #notice .btn a:eq(1)"),function(){
			$(_pageId+" #notice").hide();
			
		});
		
		//绑定'续费'的'续费'功能
		appUtils.bindEvent($(_pageId+" #notice .btn a:eq(0)"),function(){
			//payMoney();
			var param = {
					"funcNo":"50101",
					"moduleName":"open",
					"params" : {"url":"account/payNianfei"}
				};
				external.callMessage(param);
		});	
		
	}
	
	function destroy()
	{
		$(_pageId+" order_succes p:eq(3)").html("");
		$(_pageId+" #gdzh").html("");
		$("#share").hide();
		//appUtils.clearSStorage();  // 清空所有的session
	}
	
    /* 初始化页面 */	
	function initPage()
	{
		// 查询是否集团客户 如果集团客户显示年费
		
		
		
		if(appUtils.getSStorageInfo("openChannel") == "change")
		{
			// 理财户
			if(appUtils.getSStorageInfo("finance") == "finance")  
			{
				$(_pageId+" .header h3").html("开户结果");
				$(_pageId+" .order_succes h5:eq(0)").text("开户申请提交成功！");
				$(_pageId+" .order_succes p:eq(0)").html("您的开户申请我们已经收到并正在受理中。");
				$(_pageId+" .order_succes dl:eq(1)").hide();
				$(_pageId+" .order_succes dl:eq(2)").hide();
			}
			// 转户
			else 
			{
				$(_pageId+" .header h3").html("转户结果");
				$(_pageId+" .order_succes h5:eq(0)").text("转户申请提交成功！");
				$(_pageId+" .order_succes p:eq(0)").html("您的转户申请我们已经收到并正在受理中。");
				$(_pageId+" .order_succes dl:eq(3)").hide();
				$(_pageId+" .order_succes dl:eq(4)").hide();
			}
		}
		// 新开户
		else  
		{
			$(_pageId+" .header h3").html("开户结果");
			$(_pageId+" .order_succes h5:eq(0)").text("开户申请提交成功！");
			$(_pageId+" .order_succes p:eq(0)").html("您的开户申请我们已经收到并正在受理中。");
		}
		// 驳回后重新提交
		if(appUtils.getSStorageInfo("isBack") == "backInfo")
		{
			$(_pageId+" .header h3").html("开户进度");
			$(_pageId+" .order_succes h5:eq(0)").text("重新提交资料成功！");
		}
		$(_pageId+" .order_succes p:eq(0)").hide();  
		$(_pageId+" .order_succes p:eq(1)").hide();
		queryAccount(); // 查询用户信息
		
		//queryIsJituanClient(); // 查询是否集团客户
	}
	
	/* 查询用户信息 */
	function queryIsJituanClient()
	{
		var phoneNo = appUtils.getSStorageInfo("mobileNo");
		var param = {
				"phoneNo":phoneNo,
				"type":"4"
			};
		service.setThirdPartyParameter(param, function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			
				var result = data.results;
				if(error_no == "0" && result.length != 0) {
					if("jituan"==data.results[0].sourcetype) {
						// 确认是集团客户
						
						isPayAndUse();
						
						
						// 显示集团的图片
						//$("#nianfei").show();
					}
				}
			else
			{
				layerUtils.iMsg(-1, error_info);
			}
		});
	}
	
	
	/**
	 * 查询是否已用于交易
	 */
	function isPayAndUse(){
		var isUseParam={"type":"4","khh":fund_account.substring(0,12)};
		service.operateAnnualfee(isUseParam,function(data){
			var result=data.results;
			var error_no=data.error_no;
			var error_info=data.error_info;
			if(error_no =="0")
			{
				var isGm=result[0].isGm;     //是否购买年费
				var isSy=result[0].isSy;   //是否交易
			    isGq=result[0].isGq;     //是否过期
				isKd=result[0].isKd;   //是否快到期
				var startTime="";
				var endTime="";
				if(result[0].startdata){
					startTime=result[0].startdata;   //开始时间
				}
				if(result[0].enddata){
					endTime=result[0].enddata;   //结束时间	
				}
				if(isGm=="1"){
//						$(_pageId+" #share").show();
//					$(_pageId+" #zh_vipbox").hide();
//					$(_pageId+" #fix_bot").hide();
					$("#nianfei").hide();
					$(_pageId+" #zh_vipbox").show();
					$(_pageId+" #fix_bot").show();
					if(isSy=="1"){  //是否用于交易
						$(_pageId+" #zh_vipbox p").html("开始时间："+startTime+"  "+"结束时间："+endTime);
					} if(isGq=="1"){ //是否已过期
						$(_pageId+" #zh_vipbox p").html("您的会员使用已到期，请尽快续费！");
					} if(isKd=="1"){ //是否快到期
						$(_pageId+" #zh_vipbox p").html("您的会员即将到期，请尽快续费！到期时间"+endTime);
					}else{
						$(_pageId+" #zh_vipbox p").html("我们只从第一次交易开始计时，还有一年有效期呢！");
					}
				}else{
					$("#nianfei").show();
					$(_pageId+" #zh_vipbox").hide();
					$(_pageId+" #fix_bot").hide();
				}	
			}
			else
			{
				$("#nianfei").hide();
				$(_pageId+" #zh_vipbox").hide();
				$(_pageId+" #fix_bot").hide();
				layerUtils.iMsg(-1, data.error_info);
			}
		});	
	}
	
	/* 查询用户信息 */
	function queryAccount()
	{
		var param = {"user_id" : appUtils.getSStorageInfo("user_id")};
		service.queryUserInfo(param, function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			if(error_no == 0)
			{
				var res = data.results[0];
				appUtils.setSStorageInfo("fund_account",res.fund_account);  // 资金账号
				appUtils.setSStorageInfo("shfund_select",res.shfund_select);  // 沪基金状态
				appUtils.setSStorageInfo("szfund_select",res.szfund_select); // 深基金状态 
				appUtils.setSStorageInfo("szaselect",res.szaselect); // 深A状态
				appUtils.setSStorageInfo("shaselect",res.shaselect); // 沪A状态
				appUtils.setSStorageInfo("szaaccount",res.szaaccount); // 深A账号
				appUtils.setSStorageInfo("shaaccount",res.shaaccount); // 沪A账号
				appUtils.setSStorageInfo("szfund_account",res.szfund_account); // 深基金账号
				appUtils.setSStorageInfo("shfund_account",res.shfund_account); //沪基金账号
				showOpenAccount();  // 显示开户结果
			}
			else
			{
				layerUtils.iMsg(-1, error_info);
			}
		});
	}
	
	/* 显示新开户结果 */
	function showOpenAccount()
	{
	  fund_account = appUtils.getSStorageInfo("fund_account");  // 资金账号
		
		// 从 session 中取资金账号和股东账号
		var shaselect = appUtils.getSStorageInfo("shaselect"),  // 是否选择沪A
			  szaselect = appUtils.getSStorageInfo("szaselect"),  // 是否选择深A
			  shfund_select = appUtils.getSStorageInfo("shfund_select"),  // 是否选择沪基金
			  szfund_select = appUtils.getSStorageInfo("szfund_select"),  // 是否选择深基金
		      
			  shaaccount = appUtils.getSStorageInfo("shaaccount"), // 沪A股东账户
			  szaaccount = appUtils.getSStorageInfo("szaaccount"),  // 深A股东账户
			  shfund_account = appUtils.getSStorageInfo("shfund_account"),  // 沪基金账户
			  szfund_account = appUtils.getSStorageInfo("szfund_account"); // 深基金账户
		// 判断资金账户是否开出
		if(fund_account != null&&fund_account!="")
		{
			//设置按钮显示提示文字
			if(appUtils.getSStorageInfo("openChannel") == "change")
			{
				if(appUtils.getSStorageInfo("finance") == "finance")
				{
					$(_pageId+" .order_succes h5:eq(0)").text("恭喜开户成功！");
				}
				else
				{
					$(_pageId+" .order_succes h5:eq(0)").text("恭喜转户成功！");
				}
			}
			else
			{
				$(_pageId+" .order_succes h5:eq(0)").text("恭喜开户成功！");
			}
			$(_pageId+" .order_succes p:eq(0)").hide();
			$(_pageId+" .order_succes p:eq(1)").hide();
			// 显示资金账户、股东账号的信息
			$(_pageId+" #zjzh").html(fund_account);
		}
		else
		{
			$(_pageId+" .order_succes p:eq(0)").show();
			$(_pageId+" .order_succes p:eq(1)").show();
			$(_pageId+" #zjzh").html("&nbsp;办理中...");
		}
		// 未开通深A
		if(szaselect == null||szaselect=="")
		{
			$(_pageId+" .order_info dl:eq(1) dd").html("&nbsp;未申请");
			$(_pageId+" .order_info dl:eq(1)").hide();
		}
		// 未开通沪A
		if(shaselect == null||shaselect=="")
		{
			$(_pageId+" .order_info dl:eq(2) dd").html("&nbsp;未申请");
			$(_pageId+" .order_info dl:eq(2)").hide();
		}
		// 未开通深开放式基金
		if(szfund_select == null||szfund_select=="")
		{
			$(_pageId+" .order_info dl:eq(3) dd").html("&nbsp;未申请");
			$(_pageId+" .order_info dl:eq(3)").hide();
		}
		// 未开通沪开放式基金
		if(shfund_select == null||shfund_select=="")
		{
			$(_pageId+" .order_info dl:eq(4) dd").html("&nbsp;未申请");
			$(_pageId+" .order_info dl:eq(4)").hide();
		}
		// 开通了深A
		if(szaselect != null&&szaselect!="")
		{
			// 深A已经开出账号
			if(szaaccount != null&szaaccount!="")
			{
				$(_pageId+" .order_succes p:eq(0)").hide();
				$(_pageId+" .order_succes p:eq(1)").hide();
				$(_pageId+" .order_info dl:eq(1) dd").html("&nbsp;"+szaaccount);
			}
			else
			{
				$(_pageId+" .order_succes p:eq(0)").show();
				$(_pageId+" .order_succes p:eq(1)").show();
				$(_pageId+" .order_info dl:eq(1) dd").html("&nbsp;办理中...");
			}
		}
		// 开通了沪A
		if(shaselect != null&&shaselect!="")
		{
			// 沪A已经开出账号
			if(shaaccount != null&&shaaccount!="")
			{
				$(_pageId+" .order_info dl:eq(2) dd").html("&nbsp;"+shaaccount);
				$(_pageId+" .order_succes p:eq(0)").hide();
				$(_pageId+" .order_succes p:eq(1)").hide();
			}
			else
			{
				$(_pageId+" .order_succes p:eq(0)").show();
				$(_pageId+" .order_succes p:eq(1)").show();
				$(_pageId+" .order_info dl:eq(2) dd").html("&nbsp;办理中...");
			}
		}
		// 开通了深开放式基金
		if(szfund_select != null&&szfund_select!="")
		{
			// 深开放式基金已经开出账号
			if(szfund_account != null&&szfund_account!="")
			{
				$(_pageId+" .order_succes p:eq(0)").hide();
				$(_pageId+" .order_succes p:eq(1)").hide();
				$(_pageId+" .order_info dl:eq(3) dd").html("&nbsp;"+szfund_account);
			}
			else
			{
				$(_pageId+" .order_succes p:eq(0)").show();
				$(_pageId+" .order_succes p:eq(1)").show();
				$(_pageId+" .order_info dl:eq(3) dd").html("&nbsp;办理中...");
			}
		}
		// 开通了沪开放式基金
		if(shfund_select != null&&shfund_select!="")
		{
			// 沪开放式基金已经开出账号
			if(shfund_account != null&&shfund_account!="")
			{
				$(_pageId+" .order_succes p:eq(0)").hide();
				$(_pageId+" .order_succes p:eq(1)").hide();
				$(_pageId+" .order_info dl:eq(4) dd").html("&nbsp;"+shfund_account);
			}
			else
			{
				$(_pageId+" .order_succes p:eq(0)").show();
				$(_pageId+" .order_succes p:eq(1)").show();
				$(_pageId+" .order_info dl:eq(4) dd").html("&nbsp;办理中...");
			}
		}
		// 如果开出了上海账号，显示提示信息
		if(($(_pageId+" .order_info").html()).indexOf("沪") != -1)
		{
			$(_pageId+" .order_succes p:eq(3)").html("注意：请登录交易系统进行上海账户的指定交易：点击\"买入\"，输入证券代码\"799999\"，价格\"1\"，股数\"1\"。");
		}
		$(_pageId+" .order_succes .mt15").show();
		
		//queryIsJituanClient();
	}
	
	var accountResult = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	/**
	 * 清除项目中的html
	 */
	/*$("#bodyContent .page").each(function(){
		$(this).remove();
	});*/

	
	module.exports = accountResult;
});
