/**
 * 人脸识别
*/
define(function(require,exports,module){
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		service = require("serviceImp").getInstance(),  //业务层接口，请求数据
		global = require("gconfig").global,
		layerUtils = require("layerUtils"),
		validatorUtil = require("validatorUtil"),
		_pageId = "#account_liveVerify"
	/* 私有业务模块的全局变量 end */	
	var common = require("common");
	function init() {
		common.initTitle(_pageId);
		window.verifyInfo = verifyInfo;
		window.videoOfflineSuccess = videoOfflineSuccess;
	}
	
	function bindPageEvent() {
    
		
		/* 绑定返回 */
		appUtils.bindEvent($(_pageId+"  .icon_back"),function(){
			appUtils.pageInit("account/liveVerify","account/personInfo",{});
		});
		/* 绑定打开活体识别 */
		appUtils.bindEvent($(_pageId+" .fix_bot:eq(0) .ct_btn"),function(){

			//修改用户当前视频方式
			
		});

		appUtils.bindEvent($(_pageId+" .fix_bot:eq(1) .ct_btn"),function(){
		});

	}

	function verifyInfo(data) {
		var flag = data;
		//活体识别，人脸识别成功跳到离线视频
		if(flag == "1") {
			$(_pageId + " .ht_prevphoto p").html("开始离线视频");
			$(_pageId + " .fix_bot:eq(0)").hide();
			$(_pageId + " .fix_bot:eq(1)").show();
		}
	}

	function videoOfflineSuccess(mTimeCount, start_time) {
		var video_length = mTimeCount;
		var start_time = start_time;
		if(appUtils.getSStorageInfo("flag")  == "1"){   //1:需要证书   0:不需要证书
				layerUtils.iAlert("视频上传成功，请点击确定进行下一步...", 0, function(){
					appUtils.pageInit("account/liveVerify","account/digitalCertificate",{});
				}, "确认");
		}else{
					appUtils.pageInit("account/videoNotice","account/signProtocol",{});
			}
	}

	function destroy() {
		service.destroy();
	}
	
	var liveVerify = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	//暴露接口
	module.exports = liveVerify;
});
