/**
 * Created by xhq on 2018/04/21.
 */
define(function(require, exports, module){ 
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
	    service = require("serviceImp").getInstance(),  //业务层接口，请求数据
		global = require("gconfig").global,
		platform = require("gconfig").platform,
		layerUtils = require("layerUtils"),
		utils = require("utils"),
		manId = "",
		womenId = "",
		checkNum = "",
		validatorUtil = require("validatorUtil"),
		idCardModify = false,  // 身份证是否被手工修改
		videoFlag = "";
		_pageId = "#account_taxResidentType";
	var external = require("external");
	var curInputId = null;
	var pwdTimer = null; // 密码输入框计时器
	var gconfig = require("gconfig");
	var common = require("common");
	
    // 页面变量
    var pageCode = 'account/taxResidentType',
    	$page, $closeBtn, $list,$submit,$taxInfo,$homeplace,$surname,$name,$english_surname,$english_name,$supportTaxInfo,$supportTaxInfoInput,$notSupportTaxInfo,
    	$no_support_tax_serial,$not_get_tax_serial,$tax_remark,$ssrule_check,pageParam
    	;

    // 页面初始化
    function init(){
		common.initTitle(_pageId);
        // 定义页面变量
        $page = $('#account_taxResidentType')
        $closeBtn = $page.find('#closeBtn')
        $list = $page.find('.ss_item') //类型选择
        $submit = $page.find('#submit') //确认按钮
        $taxInfo = $page.find('.ss_spelbox') //既为中国税收居民又为非中国税收居民税收信息div
        $homeplace = $page.find('#homeplace') //出生地
        $surname = $page.find('#surname') //中文姓
        $name = $page.find('#name') //中文名
        $english_surname = $page.find('#english_surname') //英文姓
        $english_name = $page.find('#english_name') //英文名
        $supportTaxInfo = $page.find('#supportTaxInfo') //可以提供税收信息按钮
        $supportTaxInfoInput = $page.find('.input_form') //可以提供税收信息按钮 信息收入div
        $notSupportTaxInfo = $page.find('#notSupportTaxInfo') //不提供税收信息按钮
        $no_support_tax_serial = $page.find('#no_support_tax_serial') //所在地不能提供纳税编号
        $not_get_tax_serial = $page.find('#not_get_tax_serial') //没有取得纳税编号
        $tax_remark = $page.find('#tax_remark') //没有取得纳税编号原因
        $ssrule_check = $page.find('.ssrule_check')//确认信息真实勾选按钮
    }
    
    // 绑定页面事件
    function bindPageEvent(){
        // 返回
    	appUtils.bindEvent($closeBtn, function(){
    		appUtils.pageBack();
        })

        // 选择类型
        appUtils.bindEvent($list, function(){
        	var radio = $(this).find('.ssicon_radio');
        	$list.find('.ssicon_radio').removeClass('checked');
        	radio.addClass('checked');
        });
        
        
        
        
        //确认数据真实同意按钮
        appUtils.bindEvent($ssrule_check, function(){
        	$(this).find('.ssicon_check').toggleClass('checked');
        });
        
        //确定
        appUtils.bindEvent($submit, function(){
        	var curSel = $list.find('.checked');
        	if(curSel.length == 0){
        		layerUtils.iAlert('请选择税收居民类型',-1);return;
        	}
        	var selValue = curSel.attr('value');
        	if(global.taxResidentTypeOnlyChinese == 1){
        		if(selValue != '1'){
        			layerUtils.iAlert("无法办理，需临柜开户！",-1);return;
        		}
        	}else{
        		if(selValue == '2'){
        			layerUtils.iAlert("无法办理，需临柜开户！",-1);return;
        		}else if(selValue == '3'){
        			layerUtils.iAlert("无法办理，需临柜开户！",-1);return;
        		}
        	}
        	if(!$ssrule_check.find('.ssicon_check').hasClass("checked")){
        		layerUtils.iAlert("亲，请先勾选协议！",-1);return;
        	}
        	appUtils.setSStorageInfo("ssFlag","1");
        	
        	
        	appUtils.setSStorageInfo("currentStep","uploadimg");
			appUtils.setSStorageInfo("personInfo","exist");  // 标记完成资料填写步骤
			_pageId = "#account_personInfo";
			$(_pageId+ " #tax_resident_type .dropdown").html("中国税收居民");
			$(_pageId+ " #tax_resident_type .tit").html("");
			appUtils.pageBack();
        });
    }
    
    // 退出页面销毁方法
    function destroy(){}

    var taxResidentType = {
    		"init" : init,
    		"bindPageEvent" : bindPageEvent,
    		"destroy" : destroy
    };
    module.exports = taxResidentType;
})