/**
* 结果页
*/
define(function(require,exports,module){
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		gconfig = require("gconfig"),
		_pageId = "#cyb_result";
	var mobileService = require("mobileService");
	var external = require("external");
	var platform = gconfig.platform;
	function init(){
		cleanPageInfo();
		//初始化页面
		initPage();
	}
	
	function bindPageEvent(){
		//绑定确认按钮
		appUtils.bindEvent($(_pageId+" .ct_btn"), function(){
			if(platform=="1") {
				var param = {
				    	"funcNo" : "50101",
				    	"moduleName" : "mall",
				    	"params" : {"url":"userCenter/wd"}
				    };
				external.callMessage(param);
			}else {
				appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
			}
		});
		
		//绑定home键 跳转到主界面
		appUtils.bindEvent($(_pageId+" .icon_home"), function(){
			if(platform=="1") {
				var param = {
				    	"funcNo" : "50101",
				    	"moduleName" : "mall",
				    	"params" : {"url":"userCenter/wd"}
				    };
				external.callMessage(param);
			}else {
				appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
			}
		});

		appUtils.bindEvent($(_pageId+" .icon_back"), function(){
			if(platform=="1") {
				var param = {
				    	"funcNo" : "50101",
				    	"moduleName" : "mall",
				    	"params" : {"url":"userCenter/wd"}
				    };
				external.callMessage(param);
			}else {
				appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
			}
		});
	}
	
	//初始化页面
	function initPage() {
		var openState = appUtils.getSStorageInfo("openState");
		// 开通成功
		if(openState == "1") {
			$(_pageId+" .result_main h5").html("创业板转签成功");
			$(_pageId+" .result_main p").hide();
		} else {
			$(_pageId+" .result_main h5").html("提交成功");
			$(_pageId+" .result_main p").show();
		}
	}
	
	function cleanPageInfo() {
		$(_pageId+" .result_main h5").html("提交成功");
		$(_pageId+" .result_main p").show();
	}
	
	function destroy(){
		mobileService.destroy();
	}
	
	var result = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = result;
});
