/**
 * 获取沪A股东账号
 */
define(function(require, exports, module){ 
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		layerUtils = require("layerUtils"),
		Map = require("map"),
		fristMap = null,  //  存放所有相关协议
	    protocolArray = new Array(),  // 存放协议签名值
	    countProtocol = 0, // 计算签署成功的数量
        stockder = "",  //1 代表选择了，2代表 未选择
        gconfig = require("gconfig"),	
		_pageId = "#ggt_stockHolder";
	var mobileService = require("mobileService");
	var external = require("external");
    var shaArray;
    var selectedSha;
    var selectedArray;
    var platform = gconfig.platform;

	function init()
	{
		console.log("BrotherZeng  stock...");
		if(appUtils.getSStorageInfo("signFlag") != "1") {
			signFlag = "2";
			appUtils.setSStorageInfo("signFlag",signFlag);
		}
		shaArray = null;
		selectedSha = null;
        selectedArray = null;
        console.log("BrotherZeng  stock1...");
		//查询协议
		initPage();
	}
	
	//绑定
	function bindPageEvent(){
		//绑定提交申请
		appUtils.bindEvent($(_pageId+" .ct_btn"),function(){
			if(!$(_pageId+" .icon_check").hasClass("checked")) {
                if(appUtils.getSStorageInfo("cunzai")=="1"){
                    layerUtils.iMsg(-1, "请选择沪A股东账户!");
                    return false;
                }else{
                    layerUtils.iMsg(-1, "您所有的账号均已开通!");
                    return false;
                }
			} else {
				//提交
				submitSha();
			}
		});
		
		//绑定返回按钮
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageInit("ggt/stockHolder","ggt/mainPage", shaArray);
		});
		
		//绑定home键 跳转到主界面
		appUtils.bindEvent($(_pageId+" .icon_home"), function(){
			if(platform == 0){
				appUtils.sendDirect("../mall/index.html#!/account/index.html");
			}else{
				var param = {
					"funcNo":"50101",
					"moduleName":"index"
				};
				external.callMessage(param);
			}
		});

	}
	
	function destroy()
	{
		mobileService.destroy();
	}
	
	/* 保存 */
	function submitSha()
	{
		var trdaccount = "";
		$(_pageId+" .icon_check").each(function(){
			if($(this).hasClass("checked")) {
//				var type =$(this).next().attr("type");
				trdaccount += $(this).html()+",";
			}
		});
		trdaccount = trdaccount.substring(0,trdaccount.lastIndexOf(','));
        appUtils.setSStorageInfo("trdaccountA",trdaccount);
        console.log("yangrui___ huA "+trdaccount);
        //改变 √ 状态
        stockder="1";
        appUtils.setSStorageInfo("stockder",stockder);
        appUtils.pageInit("ggt/stockHolder","ggt/mainPage",{});
	}


	// 初始化页面
	function initPage() {
		// 沪A账号数组
		//shaArray = appUtils.getPageParam();
//		console.log("BrotherZeng test"+appUtils.getSStorageInfo("shaArray"));
		var shaArray = sessionStorage.getItem("shaArray");
        shaArray = shaArray.split(",");
        console.log("zhaochengtest2"+shaArray.length);
		console.log("zhaocheng沪A"+shaArray.length);
		// 账号状态
		accountstate = appUtils.getSStorageInfo("accountstate");
		console.log("zhaocheng!!!!!!!!!"+accountstate);
		// 已选择的交易账号
		trdaccount = appUtils.getSStorageInfo("trdaccount");
		selectedArray = new Array();
		var innerHtml = "";
		if(accountstate != null) {
			var shaSelect = "";
			var accountstateArray = accountstate.split(",");
			for(var i=0; i<shaArray.length; i++) {
				var shaItem = shaArray[i];

				if(shaItem.split("|")[1] == "1"){
					selectedArray.push(shaItem);
				 	continue;
				}
				var flag = false;
				for(var j=0; j<accountstateArray.length; j++) {
					var accountstateItem = accountstateArray[j];
					if((accountstateArray+"|").indexOf(shaItem.split("|")[0]) != -1) {
						var state = accountstateArray[j].split("|")[2];
						if(state == "0" || state == "3"){
							//已勾选
							shaItem = shaItem.split("|")[0]+"|"+"g";
							selectedArray.push(shaItem);
						}else if(state == "1"){
							continue;
						}else if(state == "2"){
							//失败
							shaItem = shaItem.split("|")[0]+"|"+"s";
							if(accountstateArray[j].split("|")[3]){
                        		shaItem = shaItem.split("|")[0]+"|"+"s"+"|"+accountstateArray[j].split("|")[3];
                        	}
                        	selectedArray.push(shaItem);
						}
						flag = true;
						break;
					}else {
						shaItem = shaItem.split("|")[0]+"|"+"w";
						selectedArray.push(shaItem);
					}
				}
			}
			console.log("zhaocheng=========="+selectedArray.length);
			//
			for(var k=0; k<selectedArray.length; k++) {
				var selectedItem = selectedArray[k];
				var selectedName = "深A";
                var type ="shen";
                if(selectedItem.split("|")[3]=="10"){
                	selectedName="沪A";
                	type ="hu";
                }
				if(selectedItem.split("|")[1] == "1") {
					innerHtml += "<li><a class='icon_check disable' href='javascript:void(0)'>"+selectedItem.split("|")[0]+"</a><a href='javascript:void(0)' class='account_right'>已开通</a></li>";
				} else if(selectedItem.split("|")[1] == "g") {
					innerHtml += "<li><a class='icon_check disable' href='javascript:void(0)'>"+selectedItem.split("|")[0]+"</a><a href='javascript:void(0)' class='account_right'>成功</a></li>";
				} else if(selectedItem.split("|")[1] == "s") {
					innerHtml += "<li><a class='icon_check checked' href='javascript:void(0)'>"+selectedItem.split("|")[0]+"</a><a href='javascript:void(0)' class='account_error' decription=\""+selectedItem.split("|")[2]+"\">失败</a></li>";
				} else if(selectedItem.split("|")[1] == "w") {
                    //判断是否存在 可勾选的 选项
                    appUtils.setSStorageInfo("cunzai","1");
					innerHtml += "<li><a class='icon_check' href='javascript:void(0)'>"+selectedItem.split("|")[0]+"</a><a href='javascript:void(0)' class='account_right' type ="+type+"></a></li>";
				}
			}
			$(_pageId+" .account_list").html(innerHtml);
			appUtils.bindEvent($(_pageId+" .account_list li a:eq(1)"), function(e){
				if($(this).html() == "失败") {
					layerUtils.iAlert($(this).attr("decription"));
				}
				e.stopPropagation();
			});

			appUtils.bindEvent($(_pageId+" .icon_check"), function(e){
				if(!$(this).hasClass("disable")) {
					$(this).toggleClass("checked"); //  切换勾选样式
				}
				e.stopPropagation();
			});
		} else {
			for(var n=0; n<shaArray.length; n++) {

                if(shaArray[n].split("|")[1]!=0){
                    console.log("yangrui_______  1"+shaArray[0].split("|")[0]);
                    console.log("yangrui+_______  22"+shaArray[0].split("|")[1]);
                    /*   开始    */
                    for(var i=0; i<shaArray.length; i++) {
                        var shaItem = shaArray[i];

                        if(shaItem.split("|")[1] == "1"){
                            selectedArray.push(shaItem);
                            continue;
                        }
                        var flag = false;
                        for(var j=0; j<accountstateArray.length; j++) {
                            var accountstateItem = accountstateArray[j];
                            if((accountstateItem+"|").indexOf(shaItem.split("|")[0]) != -1) {
                                var state = accountstateArray[j].split("|")[2];
                                if(state == "0" || state == "3"){
                                    //已勾选
                                    shaItem = shaItem.split("|")[0]+"|"+"g"+"|"+shaItem.split("|")[2];
                                    selectedArray.push(shaItem);
                                }else if(state == "1"){
                                    continue;
                                }else if(state == "2"){
                                    //失败
                                    shaItem = shaItem.split("|")[0]+"|"+"s"|+shaItem.split("|")[2];
                                    if(accountstateArray[j].split("|")[3]){
                                        shaItem = shaItem.split("|")[0]+"|"+"s"+"|"+accountstateArray[j].split("|")[3];
                                    }
                                    selectedArray.push(shaItem);
                                }
                                flag = true;
                                break;
                            }else {
                                shaItem = shaItem.split("|")[0]+"|"+"w"+shaItem.split("|")[2];
                                selectedArray.push(shaItem);
                            }
                        }
                    }
                    console.log("zhaocheng=========="+selectedArray.length);
                    //
                    for(var k=0; k<selectedArray.length; k++) {
                        var selectedItem = selectedArray[k];
                        var selectedName = "深A";
                        var type ="shen";
                        if(selectedItem.split("|")[3]=="10"){
                        	selectedName="沪A";
                        	type ="hu";
                        }
                        
                        if(selectedItem.split("|")[1] == "1") {
                            innerHtml += "<li><a class='icon_check disable' href='javascript:void(0)'>"+selectedItem.split("|")[0]+"</a><a href='javascript:void(0)' class='account_right'>已开通</a></li>";
                        } else if(selectedItem.split("|")[1] == "g") {
                            innerHtml += "<li><a class='icon_check disable' href='javascript:void(0)'>"+selectedItem.split("|")[0]+"</a><a href='javascript:void(0)' class='account_right'>成功</a></li>";
                        } else if(selectedItem.split("|")[1] == "s") {
                            innerHtml += "<li><a class='icon_check checked' href='javascript:void(0)'>"+selectedItem.split("|")[0]+"</a><a href='javascript:void(0)' class='account_error' decription=\""+selectedItem.split("|")[2]+"\">失败</a></li>";
                        } else if(selectedItem.split("|")[1] == "w") {
                            //判断是否存在 可勾选的 选项
                            console.log("可勾选的 选项");
                            appUtils.setSStorageInfo("cunzai","1");
                            innerHtml += "<li><a class='icon_check' href='javascript:void(0)'>"+selectedItem.split("|")[0]+"</a></li>";
                        }
                    }
                    /*结束*/
                }else{
                    innerHtml += "<li><a class='icon_check' href='javascript:void(0)'>"+shaArray[n].split("|")[0]+"</a><a href='javascript:void(0)' class='account_right' type ="+type+"></a></li>";
                }
			}
			// 显示所有沪A
			$(_pageId+" .account_list").html(innerHtml);
			appUtils.bindEvent($(_pageId+" .icon_check"), function(e){
				if(!$(this).hasClass("disable")) {
					$(this).toggleClass("checked"); //  切换勾选样式
				}
				e.stopPropagation();
			});
		}
	}
	
	var stockHolder = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
		
	module.exports = stockHolder;
});