/**
 * @描述:用户中心
 * @公司: 思迪科技 
 * @作者: 李磊  杨瑞修改
 * @创建日期: 2015-7-28
 * @创建时间: 上午09:44:26
 */
define(function(require, exports, module){
	var pageId = "#zl_UserCenter ";
	 var  layerUtils = require('layerUtils'),
	       appUtils = require("appUtils"),
	       gconfig = require("gconfig"),
	       global = require("gconfig").global,
	        validatorUtil=require('validatorUtil');
   var mobileService = require("mobileService");
   var external = require("external");
   var platform = gconfig.platform;
   var account_controller;
   var account_beneficiary;
   var accountParam;
   var common = require("common");
   var common_sso = require("common_sso");
 	//--1初始化
	function init(){
		external.callMessage({"funcNo": "50100","moduleName":"open"}); 
    	var param = {
                "funcNo": "60021",
                "navTitle": "个人资料"
            };
            external.callMessage(param);
    	var callback = function(result){
			if(result.error_no!="0"){
				var urlDirect = window.location.href;
				urlDirect = urlDirect.split('www')[0]+"www/m/login/index.html";
				layerUtils.iAlert(result.error_info,-1,function(){
					 appUtils.sendDirect(urlDirect);
				});
			}else{

				var userInfo=sessionStorage.getItem("userInfo");
				var header_height = $(pageId + " header").height();
				var footer_height = $(pageId + " footer").height();
				var window_height = $(window).height();
				var main_height = window_height - header_height - footer_height;
				$(pageId + " .main").height(main_height);
				Userinfo();//获取登录用户的信息
			}
		};
		var isLogin = require("external").callMessage({"funcNo":"50041","key":"isLogin"});
		if(Object.keys(isLogin).length > 0 && isLogin.results[0].value == "1"){
			 getUserInfo();
		}else{
			common_sso.zhongZhuLogin(callback);
		}
	}
	
	
	function getUserInfo() {
		if(platform == 0){
			userInfo = appUtils.getSStorageInfo("userInfo");
			var zqAccount = appUtils.getSStorageInfo("zqAccount", true);
			appUtils.setSStorageInfo("zqAccount", zqAccount);
			common_sso.synUserInof(userInfo,function(){
					var header_height = $(pageId + " header").height();
					var footer_height = $(pageId + " footer").height();
					var window_height = $(window).height();
					var main_height = window_height - header_height - footer_height;
					$(pageId + " .main").height(main_height);
					Userinfo();//获取登录用户的信息
				});
				
		}else{
			var param = {
				"funcNo":"50041",
				"key":"userInfo"
			};
			var result = external.callMessage(param);
			if(result.error_no == "0" || result.error_no == "1") {
				if(JSON.stringify(result.results[0]) == "{}") {
					return false;
				}
				userInfo = result.results[0].value;
				var param = {
					"funcNo":"50041",
					"key":"zqAccount"
				};
				var result = external.callMessage(param);
				if(result.error_no == "0" || result.error_info == "1") {
					zqAccount = result.results[0].value;
					console.log("zhaocheng@@@+++"+zqAccount);
					appUtils.setSStorageInfo("zqAccount", zqAccount);
					//把从内存缓存中的数据取出来存到H5缓存中
				common_sso.synUserInof(userInfo,function(){
					var header_height = $(pageId + " header").height();
					var footer_height = $(pageId + " footer").height();
					var window_height = $(window).height();
					var main_height = window_height - header_height - footer_height;
					$(pageId + " .main").height(main_height);
					Userinfo();//获取登录用户的信息
				});
				} else {
					layerUtils.iAlert(result.error_info);
					return false;
				}
			} else {
				layerUtils.iAlert(result.error_info);
				return false;
			}
		}
	}
   //--2绑定事件
	function bindPageEvent(){
		//--2.1返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			common.moduleJump();
		});
		
		//--2.4修改手机号
//		appUtils.bindEvent($(pageId+" #phone"),function(){
//			appUtils.pageInit("zl/UserCenter", "zl/verifyMobile", {});
//		});
		
		// 修改联系方式
		appUtils.bindEvent($(pageId+" #telephone"),function(){
			appUtils.pageInit("zl/UserCenter", "zl/updateTelephone", {});
		});
		
		//--2.4家庭住址
		appUtils.bindEvent($(pageId+" #addUser"),function(){
			appUtils.pageInit("zl/UserCenter", "zl/updateAdd", {});
		});
		//--2.4邮箱
		appUtils.bindEvent($(pageId+" #email"),function(){
			appUtils.pageInit("zl/UserCenter", "zl/updateEmail", {});
		});
		
		//--修改邮编
		appUtils.bindEvent($(pageId+" #post_code"),function(){
			appUtils.pageInit("zl/UserCenter", "zl/updateCode", {});
		});
		
		//--修改学历
		appUtils.bindEvent($(pageId+" #xl"),function(){
			appUtils.pageInit("zl/UserCenter", "zl/updateXL", {});
		});
		
		//--修改职业
		appUtils.bindEvent($(pageId+" #zy"),function(){
			appUtils.pageInit("zl/UserCenter", "zl/updateZY", {});
		});
		
		//--修改紧急联系人
		appUtils.bindEvent($(pageId+" #emergency_name"),function(){
			appUtils.pageInit("zl/UserCenter", "zl/updateEm", {});
		});
		
		//--修改不良诚信记录
		appUtils.bindEvent($(pageId+" #blcxjl"),function(){
			appUtils.pageInit("zl/UserCenter", "zl/updateBL", {});
		});
		
//		//--账户实际控制人
//		appUtils.bindEvent($(pageId+" #accountController"),function(){
//			appUtils.pageInit("zl/UserCenter", "zl/control", accountParam);
//		});
//		
//		//--账户实际收益控制人
//		appUtils.bindEvent($(pageId+" #accountReceiver"),function(){
//			appUtils.pageInit("zl/UserCenter", "zl/control", accountParam);
//		});
		
		// 修改交易密码
//		appUtils.bindEvent($(pageId+" #alert"),function(){
//			appUtils.pageInit("zl/UserCenter", "zl/Alter", {});
//		});
//		// 修改资金密码
//		appUtils.bindEvent($(pageId+" #moneyPwd"),function(){
//			appUtils.pageInit("zl/UserCenter", "zl/MoneyPwd", {});
//		});
		
		//风险测评等级
		appUtils.bindEvent($(pageId+" #risk"),function(){
			appUtils.sendDirect("../mall/index.html#!/userCenter/riskResults.html");
		});
	}

	

    

	//--3销毁页面，单页面时候要用,
	function destroy(){

	}

	//--4用户信息
	function  Userinfo(){
		var userInfo=sessionStorage.getItem("ygt|userInfo2");
		console.log(userInfo);
		//user_id保存到session
 		if( JSON.parse(userInfo)["value"].user_id) {
 			appUtils.setSStorageInfo("user_id",  JSON.parse(userInfo)["value"].user_id);
 			
 		}
 		//登陆账号保存到session
 		if( JSON.parse(userInfo)["value"].login_id) {
 			appUtils.setSStorageInfo("login_id",  JSON.parse(userInfo)["value"].login_id);
 		}
 		//证件类型保存到session
 		if( JSON.parse(userInfo)["value"].identity_type) {
 			appUtils.setSStorageInfo("identity_type",  JSON.parse(userInfo)["value"].identity_type);
 		}
 		//证件号码保存到session
 		if( JSON.parse(userInfo)["value"].identity_num) {
 			appUtils.setSStorageInfo("identity_num",  JSON.parse(userInfo)["value"].identity_num);
 		}
 		//姓名保存到session
 		if( JSON.parse(userInfo)["value"].name) {
 			appUtils.setSStorageInfo("name",  JSON.parse(userInfo)["value"].name);
 		}
 		//是否是交易用户 保存到session
 		if( JSON.parse(userInfo)["value"].is_trade) {
 			appUtils.setSStorageInfo("is_trade",  JSON.parse(userInfo)["value"].is_trade);
 		}
 		//交易账户保存到session
 		if( JSON.parse(userInfo)["value"].trade_account) {
 			appUtils.setSStorageInfo("trade_account",  JSON.parse(userInfo)["value"].trade_account);
 		}
 		//昵称保存到session
 		if( JSON.parse(userInfo)["value"].nick_name) {
 			appUtils.setSStorageInfo("nick_name",  JSON.parse(userInfo)["value"].nick_name);
 		}
 		//sex性别保存到session
 		if( JSON.parse(userInfo)["value"].sex) {
 			appUtils.setSStorageInfo("sex",  JSON.parse(userInfo)["value"].sex);
 		}
 		//birthday生日保存到session
 		if( JSON.parse(userInfo)["value"].birthdayA) {
 			appUtils.setSStorageInfo("birthday",  JSON.parse(userInfo)["value"].birthdayA);
 		}
 		
 		
 		
 		if(validatorUtil.isNotEmpty(appUtils.getSStorageInfo("mobiles"))){
 			appUtils.setSStorageInfo("mobile",appUtils.getSStorageInfo("mobiles"));
 	 	 	
 		}else{
 			//mobile手机保存到session
 	 		if( JSON.parse(userInfo)["value"].mobile) {
 	 			appUtils.setSStorageInfo("mobile",  JSON.parse(userInfo)["value"].mobile);
 	 		}
 		}
 		
 		
 		
 		
 		//login_by_mobile手机绑定保存到session
 		if( JSON.parse(userInfo)["value"].login_by_mobile) {
 			appUtils.setSStorageInfo("login_by_mobile",  JSON.parse(userInfo)["value"].login_by_mobile);
 		}
 		
 		
 		if(validatorUtil.isNotEmpty(appUtils.getSStorageInfo("newEmail"))){
 			appUtils.setSStorageInfo("email",appUtils.getSStorageInfo("newEmail"));
 	 	 	
 		}else{
 			//email邮箱保存到session
 	 		if( JSON.parse(userInfo)["value"].email) {
 	 			
 	 			appUtils.setSStorageInfo("email",  JSON.parse(userInfo)["value"].email);
 	 		}
 		}
 		
 		//login_by_email绑定邮箱保存到session
 		if( JSON.parse(userInfo)["value"].login_by_email) {
 			appUtils.setSStorageInfo("login_by_email",  JSON.parse(userInfo)["value"].login_by_email);
 		}
 		
 		if(validatorUtil.isNotEmpty(appUtils.getSStorageInfo("telephone"))){
 			appUtils.setSStorageInfo("telephone",appUtils.getSStorageInfo("telephone"));
 	 	 	
 		}else{
 			//email邮箱保存到session
 	 		if( JSON.parse(userInfo)["value"].email) {
 	 			
 	 			appUtils.setSStorageInfo("telephone",  JSON.parse(userInfo)["value"].telephone);
 	 		}
 		}
 		
 		//address通信住址保存到session
 		if(validatorUtil.isNotEmpty(appUtils.getSStorageInfo("newAddress"))){
 			appUtils.setSStorageInfo("address",appUtils.getSStorageInfo("newAddress"));
			 	
 		}else{
 			if( JSON.parse(userInfo)["value"].address) {
 		 		
 				appUtils.setSStorageInfo("address",  JSON.parse(userInfo)["value"].address);
 			 	
 			
 				}
 		}
 		
 		//post_code邮编保存到session
 		if(validatorUtil.isNotEmpty(appUtils.getSStorageInfo("newPost_code"))){
 			appUtils.setSStorageInfo("post_code",appUtils.getSStorageInfo("newPost_code"));
			 	
 		}else{
 			if( JSON.parse(userInfo)["value"].post_codeA) {
 				appUtils.setSStorageInfo("post_code",  JSON.parse(userInfo)["value"].post_codeA);	
 				}
 		}
 		/******个人资料新增********/
 		//国籍保存到session
 		if( JSON.parse(userInfo)["value"].countryA) {
				appUtils.setSStorageInfo("country",  JSON.parse(userInfo)["value"].countryA);	
				}
 		/******个人资料新增********/
 		//qq_microblog QQ微博账号保存到session
 		if( JSON.parse(userInfo)["value"].qq_microblog) {
 			appUtils.setSStorageInfo("qq_microblog",  JSON.parse(userInfo)["value"].qq_microblog);
 		}
 		//sina_microblog 新浪微博账号保存到session
 		if( JSON.parse(userInfo)["value"].sina_microblog) {
 			appUtils.setSStorageInfo("sina_microblog",  JSON.parse(userInfo)["value"].sina_microblog);
 		}
 		//QQ号保存到session
 		if( JSON.parse(userInfo)["value"].qq) {
 			appUtils.setSStorageInfo("qq",  JSON.parse(userInfo)["value"].qq);
 		}
 		//wechat号保存到session
 		if( JSON.parse(userInfo)["value"].wechat) {
 			appUtils.setSStorageInfo("wechat",  JSON.parse(userInfo)["value"].wechat);
 		}
 		//recommend_person推荐人保存到session
 		if( JSON.parse(userInfo)["value"].recommend_person) {
 			appUtils.setSStorageInfo("recommend_person",  JSON.parse(userInfo)["value"].recommend_person);
 		}
 		//last_login_time上次登录时间保存到session
 		if( JSON.parse(userInfo)["value"].last_login_time) {
 			appUtils.setSStorageInfo("last_login_time",  JSON.parse(userInfo)["value"].last_login_time);
 		}
 		//occupational职业保存到session
 		if(validatorUtil.isNotEmpty(appUtils.getSStorageInfo("newOccupational"))){
 			appUtils.setSStorageInfo("occupational",appUtils.getSStorageInfo("newOccupational"));
 		}else{
 			if( JSON.parse(userInfo)["value"].occupationalA) {
 				appUtils.setSStorageInfo("occupational",  JSON.parse(userInfo)["value"].occupationalA);	
 				}
 		}
 		
 		//adapter学历保存到session
 		if(validatorUtil.isNotEmpty(appUtils.getSStorageInfo("newAdapter"))){
 			appUtils.setSStorageInfo("adapter",appUtils.getSStorageInfo("newAdapter"));
 		}else{
 			if( JSON.parse(userInfo)["value"].adapterA) {
 				console.log(JSON.parse(userInfo)["value"].adapterA);
 				appUtils.setSStorageInfo("adapter",  JSON.parse(userInfo)["value"].adapterA);	
 				}
 		}
 		
 		//certuid证书用户id保存到session
 		if( JSON.parse(userInfo)["value"].certuid) {
 			appUtils.setSStorageInfo("certuid",  JSON.parse(userInfo)["value"].certuid);
 		}
 		//branch_no营业部保存到session
 		if( JSON.parse(userInfo)["value"].branch_no) {
 			appUtils.setSStorageInfo("branch_no",  JSON.parse(userInfo)["value"].branch_no);
 		}
 		//emergency_name应急联系人姓名保存到session
 		if(validatorUtil.isNotEmpty(appUtils.getSStorageInfo("newEmergency_name"))){
 			appUtils.setSStorageInfo("emergency_name",appUtils.getSStorageInfo("newEmergency_name"));
 		}else{
 			if( JSON.parse(userInfo)["value"].emergency_nameA) {
 				appUtils.setSStorageInfo("emergency_name",  JSON.parse(userInfo)["value"].emergency_nameA);	
 				}
 		}
 		//emergency_relation与应急联系人关系保存到session
 		if(validatorUtil.isNotEmpty(appUtils.getSStorageInfo("newEmergency_relation"))){
 			appUtils.setSStorageInfo("emergency_relation",appUtils.getSStorageInfo("newEmergency_relation"));
 		}else{
 			if( JSON.parse(userInfo)["value"].emergency_nameA) {
 				appUtils.setSStorageInfo("emergency_relation",  JSON.parse(userInfo)["value"].emergency_relationA);	
 				}
 		}
 		//emergency_tel应急联系人固定电话保存到session
 		if( JSON.parse(userInfo)["value"].emergency_telA) {
 			appUtils.setSStorageInfo("emergency_tel",  JSON.parse(userInfo)["value"].emergency_telA);
 		}
 		//emergency_mobile应急联系人手机保存到session
 		if(validatorUtil.isNotEmpty(appUtils.getSStorageInfo("newEmergency_mobile"))){
 			appUtils.setSStorageInfo("emergency_mobile",appUtils.getSStorageInfo("newEmergency_mobile"));
 		}else{
 			if( JSON.parse(userInfo)["value"].emergency_nameA) {
 				appUtils.setSStorageInfo("emergency_mobile",  JSON.parse(userInfo)["value"].emergency_mobileA);	
 				}
 		}
 		//emergency_email应急联系人邮箱保存到session
 		if( JSON.parse(userInfo)["value"].emergency_email) {
 			appUtils.setSStorageInfo("emergency_email",  JSON.parse(userInfo)["value"].emergency_email);
 		}
 		//authentication_state实名认证,绑定银行卡 保存到session
 		if( JSON.parse(userInfo)["value"].authentication_state) {
 			appUtils.setSStorageInfo("authentication_state",  JSON.parse(userInfo)["value"].authentication_state);
 		}
 		//org_id机构ID(第三方接口)保存到session
 		if( JSON.parse(userInfo)["value"].org_id) {
 			appUtils.setSStorageInfo("org_id",  JSON.parse(userInfo)["value"].org_id);
 		}
 		//emergency_address应急联系人联系地址保存到session
 		if( JSON.parse(userInfo)["value"].emergency_address) {
 			appUtils.setSStorageInfo("emergency_address",  JSON.parse(userInfo)["value"].emergency_address);
 		}
 		//type_code类别代码保存到session
 		if( JSON.parse(userInfo)["value"].type_code) {
 			appUtils.setSStorageInfo("type_code",  JSON.parse(userInfo)["value"].type_code);
 		}
 		//type_name类别名称保存到session
 		if( JSON.parse(userInfo)["value"].type_name) {
 			appUtils.setSStorageInfo("type_name",  JSON.parse(userInfo)["value"].type_name);
 		}
 		//vip_level会员等级保存到session
 		if( JSON.parse(userInfo)["value"].vip_level) {
 			appUtils.setSStorageInfo("vip_level",  JSON.parse(userInfo)["value"].vip_level);
 		}
 		//total_integration用户总积分保存到session
 		if( JSON.parse(userInfo)["value"].total_integration) {
 			appUtils.setSStorageInfo("total_integration",  JSON.parse(userInfo)["value"].total_integration);
 		}
 		if( JSON.parse(userInfo)["value"].curr_loginid) {
 			appUtils.setSStorageInfo("curr_loginid",  JSON.parse(userInfo)["value"].curr_loginid);
 		} 
		//账户实际控制人
 		if( JSON.parse(userInfo)["value"].account_controller) {
 			appUtils.setSStorageInfo("account_controller",  JSON.parse(userInfo)["value"].account_controller);
 		} 
 		//账户实际收益控制人
 		if( JSON.parse(userInfo)["value"].account_beneficiaryA) {
 			appUtils.setSStorageInfo("account_beneficiary",  JSON.parse(userInfo)["value"].account_beneficiaryA);
 		} 
 		
 		
 		//投资者分类
 		if( JSON.parse(userInfo)["value"].account_beneficiary) {
 			appUtils.setSStorageInfo("investor_classify",  JSON.parse(userInfo)["value"].investor_classify);
 		} 
 		//投资品种
 		if( JSON.parse(userInfo)["value"].account_beneficiary) {
 			appUtils.setSStorageInfo("tz_variety",  JSON.parse(userInfo)["value"].tz_variety);
 		} 
 		//投资期限
 		if( JSON.parse(userInfo)["value"].account_beneficiary) {
 			appUtils.setSStorageInfo("tz_deadline",  JSON.parse(userInfo)["value"].tz_deadline);
 		} 
 		//预期收益
 		if( JSON.parse(userInfo)["value"].account_beneficiary) {
 			appUtils.setSStorageInfo("earnings",  JSON.parse(userInfo)["value"].earnings);
 		} 
 		//不良诚信记录
 		if(validatorUtil.isNotEmpty(appUtils.getSStorageInfo("newCredit_record"))){
 			appUtils.setSStorageInfo("credit_record",appUtils.getSStorageInfo("newCredit_record"));
 		}else{
 			if( JSON.parse(userInfo)["value"].credit_recordA) {
 				appUtils.setSStorageInfo("credit_record",  JSON.parse(userInfo)["value"].credit_recordA);	
 				}
 		}
 		//职务
 		if( JSON.parse(userInfo)["value"].duty) {
 			appUtils.setSStorageInfo("duty",  JSON.parse(userInfo)["value"].duty);
 		} 
 		
 		//身份证有效期
 		if( JSON.parse(userInfo)["value"].validity_end) {
 			appUtils.setSStorageInfo("validity_end",  JSON.parse(userInfo)["value"].validity_end);
 		} 
 		
// 	// 紧急联系人姓名
//        IF(JSON.parse(userInfo)["value"].EMERGENCY_NAME) {
//            APPUTILS.SETSSTORAGEINFO("EMERGENCY_NAME", JSON.parse(userInfo)["value"].EMERGENCY_NAME);
//        }
//        //紧急联系人手机号码
//        IF(JSON.parse(userInfo)["value"].EMERGENCY_MOBILE) {
//            APPUTILS.SETSSTORAGEINFO("EMERGENCY_MOBILE", JSON.parse(userInfo)["value"].EMERGENCY_MOBILE);
//        }
//      //紧急联系人关系 
//        IF(JSON.parse(userInfo)["value"].EMERGENCY_RELATION) {
//            APPUTILS.SETSSTORAGEINFO("EMERGENCY_RELATION", JSON.parse(userInfo)["value"].EMERGENCY_RELATION);
//        }
     
    	
 		appUtils.setSStorageInfo("zqAccount", sessionStorage.getItem("zqAccount"));
		
 		 /*************新增***************/
        var investor_classify=appUtils.getSStorageInfo("investor_classify");//投资者分类
        if(investor_classify==0){
        	investor_classify="非专业投资者";
        }else{
        	investor_classify="专业投资者";
        }
        var tz_variety=appUtils.getSStorageInfo("tz_variety");//投资品种
        var varietiesStr="";
        if(tz_variety){
        if(tz_variety.indexOf("1") > -1){
   		  varietiesStr += "权益类投资品种;";
   	   }
   	   if(tz_variety.indexOf("2") > -1){
   		  varietiesStr += "固定收益类投资品种;";
   	   }
   	   if(tz_variety.indexOf("3") > -1){
  		  varietiesStr += "期货、融资融券;";
  	   }
   	   if(tz_variety.indexOf("4") > -1){
   		  varietiesStr += "复杂金融产品;";
   	   }
   	   	if(tz_variety.indexOf("5") > -1){
   		  varietiesStr += "其他产品;";
 	    }
        }
        var tz_deadline=appUtils.getSStorageInfo("tz_deadline");//投资期限
        var tz_deadline_str;
        switch(parseInt(tz_deadline)){
        	case 1:
        		tz_deadline_str="0-1年";
        		break;
        	case 2:
        		tz_deadline_str="1-5年";
        		break;
        	case 3:
        		tz_deadline_str="5年以上";
        		break;
        	default:
        		tz_deadline_str ="无";
        		
        }
        
        var earnings=appUtils.getSStorageInfo("earnings");//预期收益credit_record
        var earningsStr="";
        if(earnings){
        if(earnings.indexOf("1") > -1){
        	earningsStr += "固定收益";
   	   	}
   	   	if(earnings.indexOf("2") > -1){
   		    earningsStr += "浮动收益";
   	   	}
   	   	if(earnings.indexOf("4") > -1){
   		    earningsStr += "浮动盈亏";
   	   	}
      }else{
    	  earningsStr ="无";
      }
        
        
        var validity_end=appUtils.getSStorageInfo("validity_end");//身份证有效期
        if(!validity_end){
        	validity_end="空";
        }
        
        var Credit_recordC="";
        var Credit_record=appUtils.getSStorageInfo("credit_record");//不良诚信记录
        switch(parseInt(Credit_record)){
	        case 0:
	    		Credit_recordC="无";
	    		break;
	    	case 1:
	    		Credit_recordC="中国人民银行征信中心";
	    		break;
	    	case 2:
	    		Credit_recordC="最高人民法院失信被执行人名单";
	    		break;
	    	case 3:
	    		Credit_recordC="工商行政管理机构";
	    		break;
	    	case 4:
	    		Credit_recordC="税务管理机构";
	    		break;
	    	case 5:
	    		Credit_recordC="监管机构、自律组织";
	    		break;
	    	case 6:
	    		Credit_recordC="投资者在证券经营机构的失信记录";
	    		break;
	    	case 7:
	    		Credit_recordC="其他";
	    		break;
	    	default:
	    		Credit_recordC ="";
	    }
        
        var duty=appUtils.getSStorageInfo("duty");//职务 validity_end
        /*************新增***************/
 		var Username=appUtils.getSStorageInfo("name");//姓名
		var Usercard=appUtils.getSStorageInfo("identity_num");//身份证
		var UserSex=appUtils.getSStorageInfo("sex");//性别
		var UserPhone=appUtils.getSStorageInfo("mobile");//开户手机
		var telephone=appUtils.getSStorageInfo("telephone");//电话
		var adress=appUtils.getSStorageInfo("address");//家庭住址
		var email=appUtils.getSStorageInfo("email");//邮箱
		var post_code = appUtils.getSStorageInfo("post_code");
		
		/******个人资料新增********/
		var CountryC="";
		var Country=appUtils.getSStorageInfo("country");
		console.log(Country);
		if(parseInt(Country)==156){
			CountryC="中国";
		}else{
			CountryC="非中国国籍";
		}
		var Birthday=appUtils.getSStorageInfo("birthday");//出生日期
		var AdapterC="";
		var Adapter=appUtils.getSStorageInfo("adapter");//学历
		console.log(Adapter);
		switch(parseInt(Adapter)){
	    	case 1:
	    		AdapterC="博士";
	    		break;
	    	case 2:
	    		AdapterC="硕士";
	    		break;
	    	case 3:
	    		AdapterC="学士";
	    		break;
	    	case 4:
	    		AdapterC="大专";
	    		break;
	    	case 5:
	    		AdapterC="中专";
	    		break;
	    	case 6:
	    		AdapterC="高中";
	    		break;
	    	case 7:
	    		AdapterC="初中及其以下";
	    		break;
	    	case 8:
	    		AdapterC="其他";
	    		break;
	    	default:
	    		AdapterC ="";
	    		
	    }
		
		var OccupationalC="";
		var Occupational=appUtils.getSStorageInfo("occupational");//职业
		switch(parseInt(Occupational)){
	    	case 1:
	    		OccupationalC="文教科卫专业人员";
	    		break;
	    	case 2:
	    		OccupationalC="党政(在职、退休)机关干部";
	    		break;
	    	case 3:
	    		OccupationalC="企事业单位干部";
	    		break;
	    	case 4:
	    		OccupationalC="行政企事业单位工人";
	    		break;
	    	case 5:
	    		OccupationalC="农民";
	    		break;
	    	case 6:
	    		OccupationalC="个体";
	    		break;
	    	case 7:
	    		OccupationalC="无业";
	    		break;
	    	case 8:
	    		OccupationalC="军人";
	    		break;
	    	case 9:
	    		OccupationalC="学生";
	    		break;
	    	case 10:
	    		OccupationalC="证券从业人员";
	    		break;
	    	case 11:
	    		OccupationalC="离退休";	
	    		break;
	    	case 12:
	    		OccupationalC="注册会计师";	
	    		break;
	    	case 13:
	    		OccupationalC="律师";	
	    		break;
	    	case 14:
	    		OccupationalC="金融机构从业人员";	
	    		break;
	    	case 15:
	    		OccupationalC="金融机构高级管理人员";	
	    		break;
	    	case 99:
	    		OccupationalC="其他";
	    		break;
	    	default:
	    		OccupationalC ="";
	    		
	    }
		/******个人资料新增********/
		
		//新增账户控制人选项以及紧急联系人
        var emergency_name= appUtils.getSStorageInfo("emergency_name");//紧急联系人
        var emergency_relation= appUtils.getSStorageInfo("emergency_relation");//紧急联系人关系
        var emergency_mobile= appUtils.getSStorageInfo("emergency_mobile");//紧急联系人手机号码
        
        account_controller= appUtils.getSStorageInfo("account_controller");//账户控制本人
        account_beneficiary= appUtils.getSStorageInfo("account_beneficiary");//账户收益本人	
        
        
//        if(account_controller!=null){
//            account_controller="本人";
//        }else{
//            account_controller="非本人";
//        }
//        
//
//        if(account_beneficiary!=null){
//            account_beneficiary ="本人";
//        }else{
//            account_beneficiary ="非本人";
//        }
             
        
        accountParam={
        	"account_controller":account_controller,
        	"account_beneficiary":account_beneficiary
        }
		var sex="";
		if(UserSex==0){
			sex="男";
		}else{
			sex="女";
		}
		
		if(email==null) email="无邮箱";
		
		$(pageId+".ste_cont  ul li:eq(0)  .cont").html(Username);
		$(pageId+".ste_cont  ul li:eq(1)  .cont").html(sex);
		
		//$(pageId+".ste_cont  ul li:eq(2)  .cont").html(CountryC);
		
		$(pageId+".ste_cont  ul li:eq(2)  .cont").html(Usercard);
		if(validity_end=="30001231") {
			$(pageId+".ste_cont  ul li:eq(3)  .cont").html("长期");//身份证有效期
		}else {
			$(pageId+".ste_cont  ul li:eq(3)  .cont").html(validity_end);//身份证有效期
		}
		
		$(pageId+".ste_cont  ul li:eq(4)  .cont").html(Birthday);
		
		$(pageId+".ste_cont  ul li:eq(5)  .cont").html(AdapterC);
		
		$(pageId+".ste_cont  ul li:eq(6)  .cont").html(OccupationalC);
		
		$(pageId+".ste_cont  ul li:eq(7)  .cont").html(UserPhone);
		$(pageId+" #telephone .cont").html(telephone);
		$(pageId+".ste_cont  ul li:eq(9)  .cont").html(adress);
		//$(pageId+".ste_cont  ul li:eq(7)  .cont").html(email);//邮箱
		$(pageId+".ste_cont  ul li:eq(10)  .cont").html(post_code);//邮编
		
        //$(pageId+".ste_cont  ul li:eq(10)  .cont").html(account_controller);//账户实际控制人
        $(pageId+".ste_cont  ul li:eq(11)  .cont").html(account_beneficiary);//账户实际收益控制人
        
        
        
        $(pageId+".ste_cont  ul li:eq(12)  .cont").html(emergency_name);//紧急联系人姓名
        
        $(pageId+".ste_cont  ul li:eq(13)  .cont").html(Credit_recordC);//不良诚信记录
        //$(pageId+".ste_cont  ul li:eq(13)  .cont").html(emergency_mobile);//紧急联系人手机
        //$(pageId+".ste_cont  ul li:eq(14)  .cont").html(emergency_relation);//紧急人关系
        $(pageId+".ste_cont  ul li:eq(14)  .cont").html(investor_classify);//投资者分类
        $(pageId+".ste_cont  ul li:eq(15)  .cont").html(varietiesStr);//投资品种
        $(pageId+".ste_cont  ul li:eq(16)  .cont").html(tz_deadline_str);//tz_deadline_str
        $(pageId+".ste_cont  ul li:eq(17)  .cont").html(earningsStr);//预期收益
        

		getRiskInfo();//获取风险测评是否失效
	}
	
	
	/***********************获取测评信息2017-3-17*************/
	function  getRiskInfo(){
	    var user_id =appUtils.getSStorageInfo("user_id");
		//var  user_id = appUtils.getSStorageInfo("userInfo",true).user_id;
	    var  zj_account=appUtils.getSStorageInfo("fund_account");
	    var param={
	    		"user_id":user_id,
	    		"zj_account":zj_account
	    }
	    mobileService.ZQaccount(param,function(data){
			var errorNo = data.error_no;
			var errorInfo = data.error_info;
			/*****2017-4-1日修改*****/
			if(errorNo==0)
	    	{
//				var fxCp=data.fxcp;			//风险测评getResults();
//				if(fxCp.length>0)
				var results = data.results[0];
				if(results)
				{
					if(results.status=="1"){
						$(pageId+" #risk #state").html("未失效");
						$(pageId+" #risk .zh").html(results.subitemname);
						$(pageId+" #risk .zh").attr("style","text-align:left");
					}else if(results.status=="0"){
						$(pageId+" #risk #state").html("已失效");
					}else{
						$(pageId+" #risk #state").html("您还未进行测评");
					}
				}

        	}
			else{
	     		   layerUtils.iAlert(errorInfo);
				   return false;
	            }
	    });
	}

	var UserCenter = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// --暴露对外的接口
	module.exports = UserCenter;
});