
define(function(require, exports, module){
	var pageId = "#zl_updateCode ";
	var  layerUtils = require('layerUtils'),
	   appUtils = require("appUtils"),
	   validatorUtil=require('validatorUtil');
	var  validata = require("validatorUtil");
	var  layerUtils = require("layerUtils");
	var  mobileService = require("mobileService");
	var pageIds = "myAccount_Alter";
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var external = require("external");

 	//--1初始化
	function init(){
		var param = {
                "funcNo": "60021",
                "navTitle": "修改邮编"
            };
            external.callMessage(param);
		
		var post_code = appUtils.getSStorageInfo("post_code");;
		
		$(pageId+" #oldpwd").html(post_code);
	}
	
   	//--2绑定事件
	function bindPageEvent(){
		   //--2.1返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			appUtils.pageInit("zl/updateCode","zl/UserCenter");
		});
		appUtils.bindEvent($(pageId+" .ct_btn"),function(){	
			var emailVal = $(pageId+" #newpwd").val().trim();
			if(emailVal=="")
			{
				layerUtils.iMsg(-1, "邮编地址不能为空");
			}else 
			if(!validatorUtil.isPostalCode(emailVal))
			{
				layerUtils.iMsg(-1, "邮编格式输入有误！");
			}else{
				UpdateAdd();
			}
		});
	}

	//--4用户信息
    function  UpdateAdd(){
		var user_id =appUtils.getSStorageInfo("user_id") ;
		var zj_account=appUtils.getSStorageInfo("fund_account");
       	var newpost_code = $(pageId+"#newpwd").val().trim();
		var param={
			  "user_id":user_id,
			  "zj_account":zj_account,
			  "post_code":newpost_code
		}
		mobileService.updateUserCode(param,function(data){
			var errorNo = data.error_no;
			var errorInfo = data.error_info;
			console.log("yangrui____ 修改邮编："+JSON.stringify(data));
			if(errorNo==0){
				appUtils.setSStorageInfo("post_code", newpost_code);
				
				appUtils.setSStorageInfo("newPost_code",newpost_code);
				appUtils.pageInit("zl/updateCode","zl/UserCenter");
			}
			else{
				layerUtils.iAlert(errorInfo);
				return false;
			}
		})
	}

	//--3销毁页面，单页面时候要用,
	function destroy(){
		$(pageId+" #newpwd").val("");
	}


	var Alter = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// --暴露对外的接口
	module.exports = Alter;
});