
define(function(require, exports, module){
	var pageId = "#zl_updateEm ";
	var  layerUtils = require('layerUtils'),
	   appUtils = require("appUtils"),
	   validatorUtil=require('validatorUtil');
	var  validata = require("validatorUtil");
	var  layerUtils = require("layerUtils");
	var  mobileService = require("mobileService");
	var pageIds = "myAccount_Alter";
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var external = require("external");

 	//--1初始化
	function init(){
		var param = {
                "funcNo": "60021",
                "navTitle": "修改紧急联系人"
            };
            external.callMessage(param);
		appUtils.setSStorageInfo("bx","1");
	}
	
   	//--2绑定事件
	function bindPageEvent(){
		   //--2.1返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			appUtils.pageInit("zl/updateEm","zl/UserCenter");
		});
		appUtils.bindEvent($(pageId+" .ct_btn"),function(){
			UpdateAdd();
		});
	}

	//--4用户信息
    function  UpdateAdd(){
//    	var user_id =appUtils.getSStorageInfo("user_id") ;
//       	var zj_account=appUtils.getSStorageInfo("curr_loginid");
		var user_id =appUtils.getSStorageInfo("user_id") ;
			var zj_account=appUtils.getSStorageInfo("fund_account");
			var newlxr_khxm=$(pageId+" #newpwd1").val();
	       	var newlxr_mobile=$(pageId+" #newpwd2").val();
	       	var newlxr_note=$(pageId+" #newpwd3").val();
	       	if(newlxr_khxm==""){
	       		layerUtils.iAlert("紧急联系人姓名不能为空！");
	       		return false;
	       	}
	       	if(newlxr_mobile==""){
	       		layerUtils.iAlert("紧急联系人手机号不能为空！");
	       		return false;
	       	}
	       	if(newlxr_note==""){
	       		layerUtils.iAlert("紧急联系人关系不能为空！");
	       		return false;
	       	}
			
//       	var newAdd=$(pageId+" #newpwd").val();
		var param={
			  "user_id":user_id,
			  "zj_account":zj_account,
			  "newlxr_khxm":newlxr_khxm,
			  "newlxr_mobile":newlxr_mobile,
			  "newlxr_note":newlxr_note
		}
		mobileService.updateUserEm(param,function(data){
			var errorNo = data.error_no;
			var errorInfo = data.error_info;
			if(errorNo==0){
				appUtils.setSStorageInfo("emergency_name", newlxr_khxm);
				appUtils.setSStorageInfo("emergency_mobile", newlxr_mobile);
				appUtils.setSStorageInfo("emergency_relation", newlxr_note);
				layerUtils.iAlert("您的紧急联系人信息修改成功！");
				appUtils.setSStorageInfo("newEmergency_name", newlxr_khxm);
				appUtils.setSStorageInfo("newEmergency_mobile", newlxr_mobile);
				appUtils.setSStorageInfo("newEmergency_relation", newlxr_note);
				appUtils.pageInit("zl/updateEm","zl/UserCenter");
			}
			else{
				layerUtils.iAlert(errorInfo);
				return false;
			}
		})
	}

	//--3销毁页面，单页面时候要用,
	function destroy(){
		$(pageId+" #newpwd1").val("");
		$(pageId+" #newpwd2").val("");
		$(pageId+" #newpwd3").val("");
	}


	var Alter = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// --暴露对外的接口
	module.exports = Alter;
});