
define(function(require, exports, module){
	var pageId = "#zl_updateEmail ";
	var  layerUtils = require('layerUtils'),
	   appUtils = require("appUtils"),
	   validatorUtil=require('validatorUtil');
	var  validata = require("validatorUtil");
	var  layerUtils = require("layerUtils");
	var  mobileService = require("mobileService");
	var pageIds = "myAccount_Alter";
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var external = require("external");

 	//--1初始化
	function init(){
		var param = {
                "funcNo": "60021",
                "navTitle": "修改邮箱"
            };
            external.callMessage(param);
		var email=appUtils.getSStorageInfo("email");//邮箱地址
		$(pageId+" #oldpwd").html(email);
	}
	
   	//--2绑定事件
	function bindPageEvent(){
		   //--2.1返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			appUtils.pageInit("zl/updateEmail","zl/UserCenter");
		});
		appUtils.bindEvent($(pageId+" .ct_btn"),function(){
			var reg = /^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/; //验证邮箱的正则表达式
			var emailVal = $(pageId+"#newpwd").val().trim();
			if(emailVal=="")
			{
				layerUtils.iMsg(-1, "邮箱地址不能为空");
			}else 
			if(!reg.test(emailVal))
			{
				layerUtils.iMsg(-1, "邮箱格式输入有误！");
			}else{
				UpdateAdd();
			}
		});
	}

	//--4用户信息
    function  UpdateAdd(){
      //var user_id =appUtils.getSStorageInfo("user_id") ;
//    	alert(appUtils.getSStorageInfo("curr_loginid"));
//      var zj_account=appUtils.getSStorageInfo("curr_loginid");
		var user_id =appUtils.getSStorageInfo("user_id") ;
		var zj_account=appUtils.getSStorageInfo("fund_account");
       	var emailVal = $(pageId+"#newpwd").val().trim();
		var param={
			  "user_id":user_id,
			  "zj_account":zj_account,
			  "email":emailVal
		}
		mobileService.updateUserEmail(param,function(data){
			var errorNo = data.error_no;
			var errorInfo = data.error_info;
			console.log("yangrui____ 修改邮箱："+JSON.stringify(data));
			if(errorNo==0){
				appUtils.setSStorageInfo("newEmail", emailVal);
				
				appUtils.setSStorageInfo("about","Email");
				appUtils.pageInit("zl/updateEmail","zl/UserCenter");
			}
			else{
				layerUtils.iAlert(errorInfo);
				return false;
			}
		})
	}

	//--3销毁页面，单页面时候要用,
	function destroy(){
		$(pageId+" #newpwd").val("");
	}


	var Alter = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// --暴露对外的接口
	module.exports = Alter;
});