
define(function(require, exports, module){
	var pageId = "#zl_updateTelephone ";
	var  layerUtils = require('layerUtils'),
	   appUtils = require("appUtils"),
	   validatorUtil=require('validatorUtil');
	var  layerUtils = require("layerUtils");
	var  mobileService = require("mobileService");
	var pageIds = "myAccount_Alter";
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var external = require("external");

 	//--1初始化
	function init(){
			var param = {
                "funcNo": "60021",
                "navTitle": "修改联系方式"
            };
            external.callMessage(param);
		var email=appUtils.getSStorageInfo("telephone");//邮箱地址
		$(pageId+" #oldTelePhone").html(email);
	}
	
   	//--2绑定事件
	function bindPageEvent(){
		   //--2.1返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			appUtils.pageInit("zl/updateTelephone","zl/UserCenter");
		});
		appUtils.bindEvent($(pageId+" .ct_btn"),function(){
			var telePhone = $(pageId+"#telePhone").val().trim();
			if(telePhone=="")
			{
				layerUtils.iMsg(-1, "联系方式不能为空");
			}else 
			if(!(validatorUtil.isTel(telePhone) ||  validatorUtil.isPhone(telePhone) || validatorUtil.isMobile(telePhone)))
			{
				layerUtils.iMsg(-1, "联系方式格式输入有误！");
			}else{
				UpdateAdd();
			}
			
		});
	}

	//--4用户信息
    function  UpdateAdd(){
		var user_id =appUtils.getSStorageInfo("user_id") ;
		var zj_account=appUtils.getSStorageInfo("fund_account");
       	var TelePhoneVal = $(pageId+"#telePhone").val().trim();
		var param={
			  "user_id":user_id,
			  "zj_account":zj_account,
			  "telephone":TelePhoneVal
		};
		mobileService.updateUserTelephone(param,function(data){
			var errorNo = data.error_no;
			var errorInfo = data.error_info;
			if(errorNo==0){
				appUtils.setSStorageInfo("telephone", TelePhoneVal);
				appUtils.pageInit("zl/updateTelephone","zl/UserCenter");
			}
			else{
				layerUtils.iAlert(errorInfo);
				return false;
			}
		})
	}

	//--3销毁页面，单页面时候要用,
	function destroy(){
		$(pageId+" #telePhone").val("");
	}


	var updateTelephone = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// --暴露对外的接口
	module.exports = updateTelephone;
});