
define(function(require, exports, module){
	var pageId = "#zl_updateZY ";
	var  layerUtils = require('layerUtils'),
	   appUtils = require("appUtils"),
	   validatorUtil=require('validatorUtil');
	var  validata = require("validatorUtil");
	var  layerUtils = require("layerUtils");
	var  mobileService = require("mobileService");
	var pageIds = "myAccount_Alter";
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var external = require("external");

 	//--1初始化
	function init(){
		var param = {
                "funcNo": "60021",
                "navTitle": "修改职业"
            };
            external.callMessage(param);
		appUtils.setSStorageInfo("bx","1");
		
		var Occupational=appUtils.getSStorageInfo("occupational");//职业
		$(pageId + " li").each(function(){
		    $(this).removeClass("active");
		});
		$(pageId + " li[dm='"+Occupational+  "']").addClass("active");
		if (Occupational!="99"){
			$("#freeman").hide();
		}else
			{
				
			}
		
	}
	
   	//--2绑定事件
	function bindPageEvent(){
		   //--2.1返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			appUtils.pageInit("zl/updateZY","zl/UserCenter");
		});
		appUtils.bindEvent($(pageId+" li"),function(){
			var dm=$(this).attr("dm");
			if(dm=="99"){
				$(pageId + " li").each(function(){
				    $(this).removeClass("active");
				});
				$(pageId + " li[dm='"+99+  "']").addClass("active");
				//layerUtils.iAlert("你选择了 99！");
				$(pageId+" #free1").val("");
				$("#freeman").show();
			}else{
				UpdateZY(dm,"");
			}
		},"click");
		appUtils.bindEvent($(pageId+" .ct_btn"),function(){
			var freebz=$(pageId+" #free1").val().trim();;
			
			var dm="99";
			if(freebz=="")
			{
				layerUtils.iMsg(-1, "其他职业备注信息不能为空");
			}else{
				UpdateZY(dm,freebz);
			}
			
			
			
		});
	}

	//--4用户信息
    function  UpdateZY(dm,bz){
		var user_id =appUtils.getSStorageInfo("user_id") ;
			var zj_account=appUtils.getSStorageInfo("fund_account");
			var newzydm=dm;  //新的职业代码
			var freebz=bz;	 //选自由职业时的备注信息
		var param={
			  "user_id":user_id,
			  "zj_account":zj_account,
			  "zydm":newzydm,
			  "freelanceinfo":freebz
		}
		mobileService.updateUserZY(param,function(data){
			var errorNo = data.error_no;
			var errorInfo = data.error_info;
			if(errorNo==0){
				appUtils.setSStorageInfo("occupational", newzydm);
				layerUtils.iAlert("您的职业修改成功！");
				appUtils.setSStorageInfo("newOccupational", newzydm);
				appUtils.pageInit("zl/updateZY","zl/UserCenter");
			}
			else{
				layerUtils.iAlert(errorInfo);
				return false;
			}
		})
	}

	//--3销毁页面，单页面时候要用,
	function destroy(){
	}


	var Alter = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// --暴露对外的接口
	module.exports = Alter;
});