/**
* email对账单
*/
define(function(require,exports,module) {
    var appUtils = require("appUtils"),
        global = require("gconfig").global,
        layerUtils = require("layerUtils"),
        validatorUtil = require("validatorUtil"),
        //_pageId = "#permissionOpen_EmailUpdate";
        _pageId = "#account_EmailUpdate ";
	var mobileService = require("mobileService");
	
	
    function init() {
    	$(_pageId+" #EmailAdd").val("");
    }
    
    /* 处理请求超时 */
    function handleTimeout() {

    }
    
    //查询并显示邮箱绑定情况
    function updateEmailAccount(){
    	var param  = {
//    		"user_id" : appUtils.getSStorageInfo("user_id"),
    		"user_id" : appUtils.getSStorageInfo("userInfo",true).user_id,	
    		"op_type":"2",
            "email":$(_pageId+" #EmailAdd").val()
    	}
    	mobileService.updateEmailAccount(param,function(data){
    		var error_no = data.error_no;
    		var error_info = data.error_info;
    		if(error_no == 0){
    			appUtils.pageInit("account/EmailUpdate", "account/EmailAccountStateMent", {});
    		}else{
    			layerUtils.iAlert(error_info);
    		}
    	})
    }
    //验证邮箱的 js
    function isEmail(str){
	  var reg = /^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+(\.[a-zA-Z0-9_-])+/;
	  return reg.test(str);
	}
    function bindPageEvent() {
        //绑定home键 跳转到主界面
        appUtils.bindEvent($(_pageId+" .icon_home"), function(){
            //appUtils.pageInit("permissionOpen/EmailUpdate", "account/addIndex",{});
        	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");//2017-3-14日修改
        });
        //绑定返回键
        appUtils.bindEvent($(_pageId+" .icon_back"), function(){
		appUtils.pageBack();
        	//appUtils.pageInit("account/EmailUpdate", "account/EmailAccountStateMent",{});
        });
        /* 绑定提交新Email邮箱*/
        appUtils.bindEvent($(_pageId+" #offEmail"),function(e){
        	console.log("yangrui___"+isEmail($(_pageId+" #EmailAdd").val()));
		if (validatorUtil.isEmpty($(_pageId+" #EmailAdd").val())) {
        		layerUtils.iAlert("邮箱不能为空!");
        		return;
        	}
        	if(isEmail($(_pageId+" #EmailAdd").val())){
        		updateEmailAccount();
        	}else{
        		layerUtils.iAlert("邮箱格式错误!");
        	}
        });
    }
    function destroy() {
    	//$(_pageId+" #EmailAdd").val("");
    	$(_pageId).remove();
    }

    var EmailUpdate = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };

    module.exports = EmailUpdate;
});
