/**
* 查看协议
*/
define(function(require,exports,module){
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		layerUtils = require("layerUtils"),
		_pageId = "#account_contract ";
	var mobileService = require("mobileService");
	var external = require("external");
	var protocolArray = new Array(); // 存放协议签名值
	var common_sso = require("common_sso");
	
	function init(){
		
		external.callMessage({"funcNo": "50100","moduleName":"open"}); 
    	var param = {
                "funcNo": "60021",
                "navTitle": "电子签名约定书"
            };
		external.callMessage(param);
		var callback = function(result){
		if(result.error_no!="0"){
			var urlDirect = window.location.href;
				urlDirect = urlDirect.split('www')[0]+"www/m/login/index.html";
				layerUtils.iAlert(result.error_info,-1,function(){
					 appUtils.sendDirect(urlDirect);
				});
			}else{
				$(_pageId+" .rule_check").attr("data-state","false");//2017-03-14日修改
				$(_pageId+" #checkbox").show();//2017-03-14日修改
				setUserInfo();
			}
		};
		var isLogin = require("external").callMessage({"funcNo":"50041","key":"isLogin"});
		if(isLogin.results[0].value == "1"){
				$(_pageId+" .rule_check").attr("data-state","false");//2017-03-14日修改
				$(_pageId+" #checkbox").show();//2017-03-14日修改
				getUserInfo();
		}else{
			common_sso.zhongZhuLogin(callback);
		}
			
			
			
		
		
		
		
	//	contractFlag();
//		alert(appUtils.getSStorageInfo("user_id"));
		
	}
	function getUserInfo() {
		if(platform == 0){
			userInfo = appUtils.getSStorageInfo("userInfo");
			var zqAccount = appUtils.getSStorageInfo("zqAccount", true);
			appUtils.setSStorageInfo("zqAccount", zqAccount);
		common_sso.synUserInof(userInfo,setUserInfo);
				
		}else{
			var param = {
				"funcNo":"50041",
				"key":"userInfo"
			};
			var result = external.callMessage(param);
			if(result.error_no == "0" || result.error_no == "1") {
				if(JSON.stringify(result.results[0]) == "{}") {
					return false;
				}
				userInfo = result.results[0].value;
				var param = {
					"funcNo":"50041",
					"key":"zqAccount"
				};
				var result = external.callMessage(param);
				if(result.error_no == "0" || result.error_info == "1") {
					zqAccount = result.results[0].value;
					console.log("zhaocheng@@@+++"+zqAccount);
					appUtils.setSStorageInfo("zqAccount", zqAccount);
					//把从内存缓存中的数据取出来存到H5缓存中
				common_sso.synUserInof(userInfo,setUserInfo);
				} else {
					layerUtils.iAlert(result.error_info);
					return false;
				}
			} else {
				layerUtils.iAlert(result.error_info);
				return false;
			}
		}
	}
	//查询电子协议
	function getProtocolInfo(){
		var param = {
			"agree_no" : "13"
		}
		//查询协议内容
		mobileService.getProtocolInfo(param,function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			console.log("yangrui_____ 协议内容:"+JSON.stringify(data));
			var results = data.results;
			var protocol = {
				"protocol_id" : "13",
				"summary" : results[0].md5_content
			}
			protocolArray.push(protocol);
			if(error_no == "0")
			{
				$(_pageId+" .xy_cont .title").text(data.results[0].agree_name);
				$(_pageId+" .xy_cont p").append(data.results[0].content);
				$(_pageId+" .content").show();
				$(_pageId+" .spel_bottom").show();
			}
			else
			{
				layerUtils.iAlert(error_info,-1);
			}
		});
	}
	//查询用户电子签名约定书是否签署
	function contractFlag(){
		var param = {
//			"user_id":appUtils.getSStorageInfo("user_id"),
			"user_id":appUtils.getSStorageInfo("user_id"),
            "zj_account":appUtils.getSStorageInfo("fund_account")
		}
		//查询协议内容
		mobileService.contractFlag(param,function(data){
			var error_no = data.error_no;
			var results = data.results;
			if(error_no == "0")
			{
				//判断results是否为空
				if(results == "" || results == undefined){
					getProtocolInfo();
				}else{
					//判断 sign_flag = ？
					if(results[0].sign_flag == "0"){
						getProtocolInfo();
					}else{
						getProtocolInfo();
						$(_pageId+" .rule_check").attr("data-state","true");//2017-03-14日修改
						$(_pageId+" #checkbox").hide();//2017-03-14日修改
						$(_pageId+" .rule_check label").html("您已签署此协议！");
						$(_pageId+" .content").show();
						appUtils.pageInit("account/contract","account/result");
					}
				}
			}
			else
			{
				layerUtils.iAlert(data.error_info,-1,function(){
					//回到首页
					 var param = {
		                    "funcNo": "50114",
		                    "moduleName": "open"
		                };
				external.callMessage(param);
				});
			}
		});
	}
	//签署协议，申请电子签名约定书
	function signProtocol(){
		var signProtocolParam = {
//			"user_id" : appUtils.getSStorageInfo("user_id"),
			"jsondata" : JSON.stringify(protocolArray),
			"ipaddr" : "",
			"macaddr" : "",
			"checksign" : "0",
			"user_id":appUtils.getSStorageInfo("user_id"),
            "zj_account":appUtils.getSStorageInfo("fund_account"),
			"sign_source_flag" : "1"
		};
		mobileService.signProtocol(signProtocolParam,function(data){
			var error_no = data.error_no,
				error_info = data.error_info;
			if(error_no == "0"){
				layerUtils.iAlert("协议签署成功！",-1,function(){
					 var param = {
		                    "funcNo": "50114",
		                    "moduleName": "open"
		                };
				external.callMessage(param);
				});
			}else{
				protocolArray = new Array();
				layerUtils.iAlert(error_info,-1);
				return false;
			}
		});
		
	}
	
	function bindPageEvent(){
		// 绑定返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			 var param = {
		                    "funcNo": "50114",
		                    "moduleName": "open"
		                };
				external.callMessage(param);
		});
		
		//绑定同意并签署按钮
		appUtils.bindEvent($(_pageId+" #open"),function(){
			if($(_pageId+" #checkbox").prop("checked")){
				if($(_pageId+" .rule_check").attr("data-state")=="false"){
					signProtocol();
				}else{
					layerUtils.iMsg(-1, "您已签署协议!");
				}
			}else{
				layerUtils.iMsg(-1, "请勾选同意协议!");
				return false;
			}
		});
		
		//绑定home键 跳转到主界面
		appUtils.bindEvent($(_pageId+" .icon_home"), function(){
			 var param = {
		                    "funcNo": "50114",
		                    "moduleName": "open"
		                };
				external.callMessage(param);
		});
	}
	
	//把从原生内存缓存中取到的用户信息保存到session中
    function setUserInfo() {
    	var userInfo = appUtils.getSStorageInfo("userInfo");
        //user_id保存到session
        if(userInfo.user_id) {
            appUtils.setSStorageInfo("user_id", userInfo.user_id);
        }
        //登陆账号保存到session
        if(userInfo.login_id) {
            appUtils.setSStorageInfo("login_id", userInfo.login_id);
        }
        //证件类型保存到session
        if(userInfo.identity_type) {
            appUtils.setSStorageInfo("identity_type", userInfo.identity_type);
        }
        //证件号码保存到session
        if(userInfo.identity_num) {
            appUtils.setSStorageInfo("identity_num", userInfo.identity_num);
        }
        //姓名保存到session
        if(userInfo.name) {
            appUtils.setSStorageInfo("name", userInfo.name);
        }
        //是否是交易用户 保存到session
        if(userInfo.is_trade) {
            appUtils.setSStorageInfo("is_trade", userInfo.is_trade);
        }
        //交易账户保存到session
        if(userInfo.trade_account) {
            appUtils.setSStorageInfo("trade_account", userInfo.trade_account);
        }
        //昵称保存到session
        if(userInfo.nick_name) {
            appUtils.setSStorageInfo("nick_name", userInfo.nick_name);
        }
        //sex性别保存到session
        if(userInfo.sex) {
            appUtils.setSStorageInfo("sex", userInfo.sex);
        }
        //birthday生日保存到session
        if(userInfo.birthday) {
            appUtils.setSStorageInfo("birthday", userInfo.birthday);
        }
        //mobile手机保存到session
        if(userInfo.mobile) {
            appUtils.setSStorageInfo("mobile", userInfo.mobile);
        }
        //login_by_mobile手机绑定保存到session
        if(userInfo.login_by_mobile) {
            appUtils.setSStorageInfo("login_by_mobile", userInfo.login_by_mobile);
        }
        //email邮箱保存到session
        if(userInfo.email) {
            appUtils.setSStorageInfo("email", userInfo.email);
        }
        //login_by_email绑定邮箱保存到session
        if(userInfo.login_by_email) {
            appUtils.setSStorageInfo("login_by_email", userInfo.login_by_email);
        }
        //telephone固定电话绑定到session
        if(userInfo.telephone) {
            appUtils.setSStorageInfo("telephone", userInfo.telephone);
        }
        //address通信住址保存到session
        if(userInfo.address) {
            appUtils.setSStorageInfo("address", userInfo.address);
        }
        //post_code邮编保存到session
        if(userInfo.post_code) {
            appUtils.setSStorageInfo("post_code", userInfo.post_code);
        }
        //qq_microblog QQ微博账号保存到session
        if(userInfo.qq_microblog) {
            appUtils.setSStorageInfo("qq_microblog", userInfo.qq_microblog);
        }
        //sina_microblog 新浪微博账号保存到session
        if(userInfo.sina_microblog) {
            appUtils.setSStorageInfo("sina_microblog", userInfo.sina_microblog);
        }
        //QQ号保存到session
        if(userInfo.qq) {
            appUtils.setSStorageInfo("qq", userInfo.qq);
        }
        //wechat号保存到session
        if(userInfo.wechat) {
            appUtils.setSStorageInfo("wechat", userInfo.wechat);
        }
        //recommend_person推荐人保存到session
        if(userInfo.recommend_person) {
            appUtils.setSStorageInfo("recommend_person", userInfo.recommend_person);
        }
        //last_login_time上次登录时间保存到session
        if(userInfo.last_login_time) {
            appUtils.setSStorageInfo("last_login_time", userInfo.last_login_time);
        }
        //occupational职业保存到session
        if(userInfo.occupational) {
            appUtils.setSStorageInfo("occupational", userInfo.occupational);
        }
        //adapter学历保存到session
        if(userInfo.adapter) {
            appUtils.setSStorageInfo("adapter", userInfo.adapter);
        }
        //certuid证书用户id保存到session
        if(userInfo.certuid) {
            appUtils.setSStorageInfo("certuid", userInfo.certuid);
        }
        //branch_no营业部保存到session
        if(userInfo.branch_no) {
            appUtils.setSStorageInfo("branch_no", userInfo.branch_no);
        }
        //emergency_name应急联系人姓名保存到session
        if(userInfo.emergency_name) {
            appUtils.setSStorageInfo("emergency_name", userInfo.emergency_name);
        }
        //emergency_relation与应急联系人关系保存到session
        if(userInfo.emergency_relation) {
            appUtils.setSStorageInfo("emergency_relation", userInfo.emergency_relation);
        }
        //emergency_tel应急联系人固定电话保存到session
        if(userInfo.emergency_tel) {
            appUtils.setSStorageInfo("emergency_tel", userInfo.emergency_tel);
        }
        //emergency_mobile应急联系人手机保存到session
        if(userInfo.emergency_mobile) {
            appUtils.setSStorageInfo("emergency_mobile", userInfo.emergency_mobile);
        }
        //emergency_email应急联系人邮箱保存到session
        if(userInfo.emergency_email) {
            appUtils.setSStorageInfo("emergency_email", userInfo.emergency_email);
        }
        //authentication_state实名认证,绑定银行卡 保存到session
        if(userInfo.authentication_state) {
            appUtils.setSStorageInfo("authentication_state", userInfo.authentication_state);
        }
        //org_id机构ID(第三方接口)保存到session
        if(userInfo.org_id) {
            appUtils.setSStorageInfo("org_id", userInfo.org_id);
        }
        //emergency_address应急联系人联系地址保存到session
        if(userInfo.emergency_address) {
            appUtils.setSStorageInfo("emergency_address", userInfo.emergency_address);
        }
        //type_code类别代码保存到session
        if(userInfo.type_code) {
            appUtils.setSStorageInfo("type_code", userInfo.type_code);
        }
        //type_name类别名称保存到session
        if(userInfo.type_name) {
            appUtils.setSStorageInfo("type_name", userInfo.type_name);
        }
        //vip_level会员等级保存到session
        if(userInfo.vip_level) {
            appUtils.setSStorageInfo("vip_level", userInfo.vip_level);
        }
        //total_integration用户总积分保存到session
        if(userInfo.total_integration) {
            appUtils.setSStorageInfo("total_integration", userInfo.total_integration);
        }
        if(userInfo.curr_loginid) {
            appUtils.setSStorageInfo("curr_loginid", userInfo.curr_loginid);
        }
        appUtils.setSStorageInfo("zqAccount", sessionStorage.getItem("zqAccount"));
		
        contractFlag();
    }
    
	function destroy(){
		// 将协议内容置空
		$(_pageId+" .xy_cont .title").text("");
		$(_pageId+" .xy_cont p").text("");
		mobileService.destroy();
	}
	
	var contract = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = contract;
});