define(function(require, exports, module){
	var  layerUtils = require('layerUtils'),
	       appUtils = require("appUtils"),
	       validatorUtil=require('validatorUtil');
	var  validata = require("validatorUtil");
	var  layerUtils = require("layerUtils");
	var  mobileService = require("mobileService");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var external = require("external");
	var platform = gconfig.platform;
	var passType = "fund";
	var typeName = "资金";
	var _pageId ="#account_modifyPwd ";
	var	endecryptUtils = require("endecryptUtils");
	
 	//初始化
	function init(){
		if(platform == '0'){
			$(_pageId+" .input_form input").removeAttr("readonly");
		}
		
		/**************2017-3-24日修改************************************/
//		passType = appUtils.getSStorageInfo("passType");
//		var zj_account = appUtils.getSStorageInfo("curr_loginid");
//		if("fund" == passType){
//			typeName = "资金";
//			$(_pageId+" #oldpwd").attr("placeholder","请输入原资金密码");
//			$(_pageId+" #newpwd").attr("placeholder","请设置资金密码");
//			$(_pageId+" #checkpwd").attr("placeholder","请再次输入资金密码");
//			$(_pageId+" .title").html("设置资金密码");
//		}else if("trade" == passType){
//			typeName = "交易";
//			$(_pageId+" #oldpwd").attr("placeholder","请输入原交易密码");
//			$(_pageId+" #newpwd").attr("placeholder","请设置交易密码");
//			$(_pageId+" #checkpwd").attr("placeholder","请再次输入交易密码");
//			$(_pageId+" .title").html("设置交易密码");
//		}
		/**************2017-3-24日修改************************************/
		
		cleanPageElement();
	}
	
	function cleanPageElement(){
		$(_pageId+" #oldpwd").val("");
		$(_pageId+" #newpwd").val("");
		$(_pageId+" #checkpwd").val("");
	}
	
   	function bindPageEvent(){
   		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
//   			appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
   				appUtils.pageBack();
   		});
   		
//		//原来密码
//		appUtils.bindEvent($(_pageId+" #oldpwd"),function(e){
//			window.customKeyboardEvent = {
//				keyBoardFinishFunction: function(){},
//				keyBoardInputFunction: function(){
//					if($(_pageId+" #oldpwd").val().length > 6){
//						$(_pageId+" #oldpwd").val($(_pageId+" #oldpwd").val().substring(0,6));
//					}
//				}
//			};
////			external.callMessage({"moduleName":"ygt","funcNo": "50210", "pageId":"account_modifyPwd", "eleId":"oldpwd", "doneLable":"done", "keyboardType":"3"});
//			e.stopPropagation();
//		},"click");

		//新密码
//		appUtils.bindEvent($(_pageId+" #newpwd"),function(e){
//			window.customKeyboardEvent = {
//				keyBoardFinishFunction: function(){},
//				keyBoardInputFunction: function(){
//					if($(_pageId+" #newpwd").val().length > 6){
//						$(_pageId+" #newpwd").val($(_pageId+" #newpwd").val().substring(0,6));
//					}
//				}
//			};
////			external.callMessage({"moduleName":"ygt","funcNo": "50210", "pageId":"account_modifyPwd", "eleId":"newpwd", "doneLable":"done", "keyboardType":"3"});
//			e.stopPropagation();
//		},"click");

//		//新密码确认
//		appUtils.bindEvent($(_pageId+" #checkpwd"),function(e){
//			window.customKeyboardEvent = {
//				keyBoardFinishFunction: function(){},
//				keyBoardInputFunction: function(){
//					if($(_pageId+" #checkpwd").val().length > 6){
//						$(_pageId+" #checkpwd").val($(_pageId+" #checkpwd").val().substring(0,6));
//					}
//				}
//			};
////			external.callMessage({"moduleName":"ygt","funcNo": "50210", "pageId":"account_modifyPwd", "eleId":"checkpwd", "doneLable":"done", "keyboardType":"3"});
//			e.stopPropagation();
//		},"click");

//		//在点击非密码输入框关闭键盘
//		appUtils.bindEvent($(_pageId),function(e){
//			var tag = e.srcElement || e.target;
//			if(tag.id!="oldpwd" && tag.id!="newpwd" && tag.id!="checkpwd"){
//				external.callMessage({"moduleName":"ygt","funcNo": "50211"});
//			}
//		  e.stopPropagation();
//		},"click");

		// 提交密码
		appUtils.bindEvent($(_pageId+" #btn"), function(){
			//提交密码之前先关闭数字键盘
//			external.callMessage({"moduleName":"ygt","funcNo": "50211"});
			if(!validatePassword()){
				return false;
			}
			submitPass();
		});
   	}

	/* 验证密码 6位数字 */
	function validatePassword()
	{
		var oriPass = $(_pageId+" #oldpwd").val();
		var newPass = $(_pageId+" #newpwd").val();
		var aginPass = $(_pageId+" #checkpwd").val();
		if(oriPass == ""){
			layerUtils.iMsg(-1,"请输入原"+typeName+"密码！");
			return false;
		}
		if(!validatorUtil.isNumeric(oriPass)){
			layerUtils.iMsg(-1,"原"+typeName+"密码为6位数字！");
			return false;
		}
		if(oriPass.length!=6){
			layerUtils.iMsg(-1,"原"+typeName+"密码长度必须为6位！");
			return false;
		}
//		if(!validateCount(oriPass)){
//			return false;
//		}
		if(newPass == ""){
			layerUtils.iMsg(-1,"请输入新"+typeName+"密码！");
			return false;
		}
		if(!validatorUtil.isNumeric(newPass)){
			layerUtils.iMsg(-1,"新"+typeName+"密码为6位数字！");
			return false;
		}
		if(newPass.length!=6){
			layerUtils.iMsg(-1,"新"+typeName+"密码长度必须为6位！");
			return false;
		}
//		if(!validateCount(newPass)){
//			return false;
//		}
		if(aginPass == ""){
			layerUtils.iMsg(-1,"确认"+typeName+"密码不能为空！");
			return false;
		}
		if(!validatorUtil.isNumeric(aginPass)){
			layerUtils.iMsg(-1,"确认"+typeName+"密码为6位数字！");
			return false;
		}
		if(aginPass.length!=6){
			layerUtils.iMsg(-1,"确认"+typeName+"密码长度必须为6位！");
			return false;
		}
//		if(!validateCount(aginPass)){
//			return false;
//		}
		//原始密码和新密码一致
		if(oriPass == newPass){
			layerUtils.iMsg(-1,"新密码和原密码相同！");
			return false;
		}
		if(aginPass != newPass){
			layerUtils.iMsg(-1,"两次密码输入不一致！");
			return false;
		}
		return true;
	}

	function validateCount(password){
		// 判断某一字符出现的次数
		for(var i=0;i<password.length;i++)
		{
			var oneChar = password.charAt(i),
				count = 0;
			var firstPosition = 0;
			for(var j=0;j<password.length;j++)
			{
				if(oneChar == password.charAt(j))
				{
					count++;
				}
			}
			if(count >= 3)
			{
				layerUtils.iAlert("密码中&nbsp;"+oneChar+"&nbsp;出现的次数超过了三次！",-1);
				// 将密码清除
				return false;
			}

		}
		// 判断顺序递增或者递减
		var orderArray = [012345,123456,234567,345678,456789,987654,876543,765432,654321,543210];
		if(orderArray.indexOf(password) != -1)
		{
			layerUtils.iAlert("密码不能是顺序递增或者递减！",-1);
			// 将密码清除
			return false;
		}
		
		
		/********************身份证验证**********************/
			var identity_num = appUtils.getSStorageInfo("userInfo",true).identity_num;
			var i=identity_num.length;
			var birthdate="";    
			var str1="";
			var str2="";
			var str3="";
		    if(i == 15) {
		    	birthdate = identity_num.substring(6, 12);
		    	birthdate = "19" + birthdate;
		    }else{
		    	birthdate = identity_num.substring(6, 14);
		    }
		       str1=birthdate.substring(0,6);
		       str2=birthdate.substring(1,7);
		       str3=birthdate.substring(2,8);
		   	var brithdateArray=[str1,str2,str3];
			if(brithdateArray.indexOf(password) != -1)
			{
				layerUtils.iAlert("密码不能包含身份证信息！",-1);
				return false;
			}
		/********************身份证验证***********************/
		
		return true;
	}

	function submitPass(){
//		var user_id =appUtils.getSStorageInfo("user_id") ;
//	    var zj_account=appUtils.getSStorageInfo("curr_loginid");
//		var zj_account = appUtils.getSStorageInfo("userInfo",true).fund_account;
		var user_id = appUtils.getSStorageInfo("userInfo",true).user_id;
		var zj_account=appUtils.getSStorageInfo("zqAccount",true);
	    var oldPassword=$(_pageId+" #oldpwd").val();
		var zj_password=$(_pageId+" #newpwd").val();
		
		mobileService.getRSAKey({}, function(data) {
			var error_no = data.error_no,
		    error_info = data.error_info,
		    results = null;	
			if( data.error_no==0)	//请求获取rsa公钥成功
			{	
				results = data.results[0];
			    var modulus = results.modulus,
			    publicExponent = results.publicExponent;
				//修改资金密码时
			    oldPassword = endecryptUtils.rsaEncrypt(modulus, publicExponent, oldPassword);
			    zj_password = endecryptUtils.rsaEncrypt(modulus, publicExponent, zj_password);
			    var param={
						  "user_id":user_id,
						  "zj_account":zj_account,
						  "oldPassword":oldPassword,
						  "zj_password":zj_password,
						  "password_type":"1"
				  	}
				  	mobileService.Moneypwd(param,function(data){
						var errorNo = data.error_no;
						var errorInfo = data.error_info;
						if(errorNo == 0){
							layerUtils.iAlert("您的资金密码已经修改成功!","0",function(){
								appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
							});
						}
						else{
							layerUtils.iAlert(errorInfo);
							return false;
						}
				  	});
				
				
				//当密码类型为资金密码时
//				if ("fund" == passType){
//				    var param={
//						  "user_id":user_id,
//						  "zj_account":zj_account,
//						  "oldPassword":oldPassword,
//						  "zj_password":zj_password,
//				  	}
//				  	mobileService.Moneypwd(param,function(data){
//						var errorNo = data.error_no;
//						var errorInfo = data.error_info;
//						if(errorNo == 0){
//							layerUtils.iAlert("您的资金密码已经修改成功!","0",function(){
//								appUtils.pageInit("myAccount/modifyPwd","myAccount/accountInfo");
//							});
//						}
//						else{
//							layerUtils.iAlert(errorInfo);
//							return false;
//						}
//				  	})
//				}
//				else if("trade" == passType){
//					var param={
//						  "user_id":user_id,
//						  "zj_account":zj_account,
//						  "oldPassword":oldPassword,
//						  "jy_password":zj_password,
//				  	}
//					mobileService.AlterPwd(param,function(data){
//						var errorNo = data.error_no;
//						var errorInfo = data.error_info;
//						if(errorNo==0){
//						  	layerUtils.iAlert("您的交易密码已经修改成功!","0",function(){
//								appUtils.pageInit("myAccount/modifyPwd","myAccount/accountInfo");
//						    });
//						}
//						else{
//						   	layerUtils.iAlert(errorInfo);
//						   	return false;
//						}
//					})
//				}
			}
			else
			{
				layerUtils.iLoading(false);
				layerUtils.iAlert(data.error_info);
			}
		}, {isLastReq: true});
	}

	function destroy(){
		mobileService.destroy();
	}
	
	var  modifyPwd = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// --暴露对外的接口
	module.exports = modifyPwd;
});