/**
* 新三板基金权限开通主页
*/
define(function(require,exports,module) {
    var appUtils = require("appUtils"),
        global = require("gconfig").global,
        layerUtils = require("layerUtils"),
        validatorUtil = require("validatorUtil"),
        _pageId = "#account_newTBMIndex ";
    var fristMap = null,  //  存放所有相关协议
    protocolArray = new Array(),  // 存放协议签名值
    Map = require("map"),
    countProtocol,
    trdaccount = "";  //1代表签了协议，2代表未签协议
    var mobileService = require("mobileService");
    var external = require("external");

    var isSubmit= true;//按钮是否是提交

    function init() {
//    	layerUtils.iLoading(true);
    	$(_pageId + " .account_list #account").removeClass("checked");
    	$(_pageId + " .icon_radio").removeClass("checked");
    	countProtocol = 0; // 计算签署成功的数量
    	queryAccountState();//获取账户权限状态
    }
    
    //获取电子协议
    function queryDzcontract(){
        var param = {
            "agree_name":"",
            "type_code":"ygt_newtbmxy",
            "agree_no":""
        };
        mobileService.getSign(param,function(data){
            var error_no = data.error_no,
                error_info = data.error_info,
                result = data.results;
            if(error_no == "0" && result.length != 0){
                fristMap = new Map();
                var results = data.results,
                    allProtocols = "";
                var protocolMap = null;
                for(var i=0;i<results.length;i++){
                    protocolMap = new Map();
                    protocolMap.put("protocolid",results[i].agree_no);	//协议id
                    protocolMap.put("protocolname",results[i].agree_name);	//协议名
                    protocolMap.put("protocol_content",results[i].md5_content);	//协议内容MD5,签名摘要信息
                    allProtocols += "<li><a href=\"javascript:;\" protocol-id=\""+results[i].agree_no+"\" id=\"protocol0"+i+"\">《"+
                    results[i].agree_name+"》</a></li>";
                    // 预绑定查看协议的事件
                    appUtils.preBindEvent($(_pageId+" .rule_list"),"#protocol0"+i,function(e){
                        appUtils.pageInit("account/newTBMIndex","account/showProtocol",{"protocol_id" : $(this).attr("protocol-id")});
                        e.stopPropagation();
                    });
                    fristMap.put(i,protocolMap);
                }
                //将协议放到页面上
                $(_pageId+" .rule_list").html(allProtocols);
            }else{
                layerUtils.iAlert(error_info,-1);
            }
        },true,true,handleTimeout);
    }

    /* 处理请求超时 */
    function handleTimeout() {
        layerUtils.iConfirm("请求超时，是否重新加载？",function(){
        	queryDzcontract();  // 再次获取协议
        });
    }
    
    //查询并显示账户开通权限状态
    function queryAccountState(){
//    	layerUtils.iLoading(true,"请等待...");
    	var param  = {
//    		"user_id" : appUtils.getSStorageInfo("user_id")
    		"user_id":appUtils.getSStorageInfo("userInfo",true).user_id
    	}
    	mobileService.queryNewTBMData(param,function(data){
    		var error_no = data.error_no;
    		var error_info = data.error_info;
    		var businessInfo = data.results[0];//(业务办理数据)
    		if(error_no==0){
				if(businessInfo['query_flag']=="1"){//流程存在
					businessInfo['create_date'] = businessInfo['create_date'].split(" ")[0];
					if(businessInfo['state'] == "4"){
						//失败
						$(_pageId+" .agree_main .title").show();
						$(_pageId+" .agree_main h5:eq(0)").html("您于"+businessInfo['create_date']+"办理的业务已审核");
//						$(_pageId+" .agree_main h5:eq(1)").hide();//隐藏协议提示
//						$(_pageId+" .rule_check").hide();//隐藏协议
						$(_pageId+" #account").removeClass("icon_radio");
						$(_pageId+" #ycxy").hide();//隐藏协议
						$(_pageId+" #gxxy").hide();//隐藏勾选协议
						$(_pageId+" #ct_btn_open").hide();//隐藏开通按钮
						$(_pageId+" #ct_btn_back").show();//显示返回按钮
						$(_pageId+" .sh_span").text("开通失败");
						$(_pageId+" #ct_btn_back a").text("重新开通");
						appUtils.bindEvent($(_pageId+" #ct_btn_back"), function(){
							//确认业务办理结果
//							var param = {"user_id":appUtils.getSStorageInfo("user_id")};
							var param = {"user_id":appUtils.getSStorageInfo("userInfo",true).user_id};
							mobileService.confirmNewTBM(param,function(data){
								  var error_no = data.error_no,
					                  error_info = data.error_info;
					            if(error_no == "0"){
//					            	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");  
					            	window.location.reload();
					            }else{
					                layerUtils.iAlert(error_info,-1);
					            }
					        },true,true,null);
					    });
					}else if(businessInfo['state'] == "5"){
						//成功
						$(_pageId+" #account").removeClass("icon_radio");
						$(_pageId+" .sh_span").removeClass("spel");
						$(_pageId+" .agree_main h5:eq(0)").html("您于"+businessInfo['create_date']+"办理的业务已审核");
						$(_pageId+" #ct_btn_back").show();
						$(_pageId+" #ct_btn_open").hide();
//						$(_pageId+" .rule_check").hide();//隐藏勾选协议
//						$(_pageId+" .rule_list").hide();//隐藏协议
//						$(_pageId+" #rule").hide();//隐藏协议
						$(_pageId+" #ycxy").hide();//隐藏协议
						$(_pageId+" #gxxy").hide();//隐藏勾选协议
						$(_pageId+" .sh_span").removeClass("ing").addClass("finish").text("已开通");
						$(_pageId+" #ct_btn_back a").text("确认");
						appUtils.bindEvent($(_pageId+" #ct_btn_back"),function(){
							//确认业务办理结束
//							var param = {"user_id":appUtils.getSStorageInfo("user_id")};
							var param = {"user_id":appUtils.getSStorageInfo("userInfo",true).user_id};
							mobileService.confirmNewTBM(param,function(data){
								  var error_no = data.error_no,
					                error_info = data.error_info;
					            if(error_no == "0"){
					            	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
					            }else{
					                layerUtils.iAlert(error_info,-1);
					            }
					        },true,true,null);
						});
					}else if(validatorUtil.isEmpty(businessInfo['state']) || businessInfo['state'] == "1"){
						//办理中
//						$(_pageId+" #account").removeClass("icon_radio");
////						$(_pageId+" .agree_main .title").show();
//						$(_pageId+" .agree_main .title").hide();
//						$(_pageId+" .rule_check").hide();
////						$(_pageId+" #rule").hide();//隐藏协议
//						$(_pageId+" #rule_list").hide();//隐藏协议
						$(_pageId+" .agree_main h5:eq(0)").html("您于"+businessInfo['create_date']+"办理的业务正在审核");
						$(_pageId+" .sh_span").removeClass("spel");
						$(_pageId+" #ycxy").hide();//隐藏协议
						$(_pageId+" #gxxy").hide();//隐藏勾选协议
						$(_pageId+" #account").removeClass("icon_radio");
						$(_pageId+" .sh_span").addClass("ing").text("审核中");
						$(_pageId+" #ct_btn_open").hide();//隐藏开通按钮
						$(_pageId+" #ct_btn_back").show();//显示返回按钮
						$(_pageId+" #ct_btn_back a").text("返回");
						isSubmit=false;//不是提交，改变状态
						appUtils.bindEvent($(_pageId+" #ct_btn_back"), function(){
//							appUtils.pageInit("permissionOpen/newTBMIndex", "account/addIndex",{});
							appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
					    });
					}
//					layerUtils.iLoading(false);
				}else{
//					var param = {"user_id":appUtils.getSStorageInfo("user_id")};
					var param = {"user_id":appUtils.getSStorageInfo("userInfo",true).user_id};
					mobileService.queryNewThirdBoardMarketCondition(param,function(data){
//						layerUtils.iLoading(true);
						var error_no = data.error_no;
			    		var error_info = data.error_info;
						if(error_no==0){
							var result = data.results[0];
							if(result['hasAuthority'] == "1"){//已开通此业务
								$(_pageId+" .agree_main h5:eq(0)").html("您申请办理的业务已经开通");
								$(_pageId+" .sh_span").removeClass("spel");
								$(_pageId+" #ct_btn_open").hide();//隐藏开通按钮
								$(_pageId+" #ct_btn_back").show();//显示返回按钮
//								$(_pageId+" #rule").hide();//隐藏协议
								$(_pageId+" #ycxy").hide();//隐藏协议
								$(_pageId+" #gxxy").hide();//隐藏勾选协议
								$(_pageId+" #account").removeClass("icon_radio");
								$(_pageId+" .sh_span").addClass("finish").text("已开通");
								$(_pageId+" #ct_btn_back a").text("返回");
								appUtils.bindEvent($(_pageId+" #ct_btn_back"), function(){
//									appUtils.pageInit("permissionOpen/newTBMIndex", "account/addIndex",{});
									appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
							    });
							}else{
								//判断条件并展示
								if(result['flag'] == "1"){
									//条件全部符合，可以开通此业务
									//获取协议
									queryDzcontract();
									$(_pageId+" #ycxy").show();//显示协议
									$(_pageId+" #gxxy").show();//显示勾选协议
									$(_pageId+" #ct_btn_open").show();//显示开通按钮
									$(_pageId+" #ct_btn_back").hide();//影藏返回按钮
								}else{
									var errorTipHtml = "";
									//有条件不通过，判断是哪些未通过并展示页面
									if(result['asset_flag']=="0"){//资产不满足
										appUtils.setSStorageInfo("asset_flag_session","0");
										errorTipHtml = errorTipHtml +"<li class='lost'><span></span><a>"+result['asset_flag_msg']+"</a></li>";
									}else{
										errorTipHtml = errorTipHtml +"<li class='over'><span></span><a>资产大于等于500万</a></li>"; 
									}
									if(result['account_flag']=="0"){//没开交易号
										appUtils.setSStorageInfo("account_flag_session","0");
										errorTipHtml = errorTipHtml +"<li class='lost'><span></span><a>未持有股转A账户</a></li>";
										//errorTipHtml = errorTipHtml +"<li class='lost'><a>"+checkFlagData[0]['asset_flag_msg']+"</a></li>";
										//errorTipHtml = errorTipHtml + '<li class="no">已有沪A  <span>请点击 <a href="/osoa/views/business/businessNavi.html">新开股东户</a> 开户</span></li>';
									}else{
										errorTipHtml = errorTipHtml +"<li class='over'><span></span><a>已有股转A账户</a></li>";
									}
									if(result['trdtime_flag'] == "1"){//第一次交易时间条件是否通过
//										appUtils.setSStorageInfo("trdtime_flag_session","0");
//										errorTipHtml = errorTipHtml +"<li class='over'><span></span><a>交易时间满2年"+result["firsTransactionDate"]+"</a></li>";
										errorTipHtml = errorTipHtml +"<li class='over'><span></span><a>交易时间满2年</a></li>";
									}else{
//										var firstDateTip = validatorUtil.isEmpty(result["firsTransactionDate"])?result["trdtime_flag_msg"]:result["firsTransactionDate"];
//										errorTipHtml = errorTipHtml +"<li class='lost'><span></span><a>交易时间不满2年<span style='color:orange'>"+firstDateTip+"</span></a></li>";
										errorTipHtml = errorTipHtml +"<li class='lost'><span></span><a>交易时间不满2年</a></li>";
									}
									appUtils.setSStorageInfo("errorTipHtml",errorTipHtml);
//									layerUtils.iLoading(false);
									appUtils.pageInit("account/newTBMIndex", "account/newTBMResult",{});
								}
							}
						}else{
							layerUtils.iAlert(error_info,-1,function (){
								appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
							});
						}
					},{"isShowWait":true,"isLastReq":true});
				}
    		}else{
    			layerUtils.iAlert(error_info,-1,function (){
    				appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
    			});
    		}
    	},{"isShowWait":false,"isLastReq":true});
    }
    function bindPageEvent() {
        //绑定home键 跳转到主界面
        appUtils.bindEvent($(_pageId+" .icon_home"), function(){
//            appUtils.pageInit("permissionOpen/newTBMIndex", "account/addIndex",{});
        	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
        });
        
        //绑定选择事件
		appUtils.bindEvent($(_pageId + " .icon_radio"), function(){
			$(this).toggleClass("checked");
        });
        
        //绑定返回键
        appUtils.bindEvent($(_pageId+" .icon_back"), function(){
//            appUtils.pageInit("permissionOpen/newTBMIndex", "account/addIndex",{});
        	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
        });
        
        /* 绑定签署协议*/
//        appUtils.bindEvent($(_pageId+" .rule_check span"),function(e){
        appUtils.bindEvent($(_pageId+" .rule_check #checkbox"),function(e){
            $(this).toggleClass("checked"); //  切换勾选样式
            e.stopPropagation();
        });
        
        /* 绑定点击提交协议*/
//        appUtils.bindEvent($(_pageId+" .ct_btn"),function(e){
        appUtils.bindEvent($(_pageId+" #ct_btn_open"),function(e){
        	if(!$(_pageId + " .account_list #account").hasClass("checked")){
        		layerUtils.iMsg(-1, "请勾选新三板权限");
        		return;
        	}
            if(!$(_pageId+" .rule_check #checkbox").hasClass("checked")) {
            	if(isSubmit){//如果是提交就需要勾选协议，否则不需要
            		layerUtils.iMsg(-1, "请勾选协议");
            		return;
            	}
            } else {
                //验签
                getSignProtocl();
            }
        });
    }
    
    /* 获取签名值 */
    function getSignProtocl()
    {
        var keys = fristMap.keys();  // 协议的数量
        // 检查是否勾选签署协议
//        if($(_pageId+" .rule_check span").hasClass("checked"))
        if($(_pageId+" .rule_check #checkbox").hasClass("checked"))
        {
            var oneData  = fristMap.get(keys[countProtocol]); // 取出一个协议
            var protocolid = oneData.get("protocolid"); // 协议ID
            var protocolname = oneData.get("protocolname");  //协议名称
            var protocol_content = oneData.get("protocol_content");  // 协议内容MD5,签名摘要信息
            // 添加值到数组中
            var protocol = {
                "protocol_id" : protocolid,
                "protocol_content" : protocol_content,
            	"summary":""
            }
            protocolArray.push(protocol);
            countProtocol++;
            if(countProtocol < keys.length)  // 通过比较，获取每个协议的签名值
            {
                getSignProtocl();
            }else{
                submitProtocol();  //提交协议
            }
        }
        else{
            layerUtils.iAlert("请阅读并勾选同意签署以上全部协议！",-1);
            return false;
        }
    }
    
    /* 保存 签署协议并提交申请权限  */
    function submitProtocol(){
        var param = {
        	"user_id":appUtils.getSStorageInfo("userInfo",true).user_id,
            "jsondata" : JSON.stringify(protocolArray),
            "checksign" : "0"
        };
        //保存 签署协议并提交申请权限
        mobileService.applyNewTBM(param,function(data){
            var error_no = data.error_no,
                error_info = data.error_info;
            if(error_no == "0"){
//            	appUtils.pageInit("account/newTBMIndex", "account/newTBMResult",{});
            	layerUtils.iAlert("您的申请已提交,请等待审核！",0,function(){
                	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
            	});
            }else{
                layerUtils.iAlert(error_info,-1,function(){
                	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
                });
            }
        },true,true,null);
    }

    function destroy() {
//    	$(_pageId+" #ct_btn_back").hide();
//		$(_pageId+" #ct_btn_open").hide();
//		$(_pageId+" #account").addClass("icon_radio");
    }

    var newTBMIndex = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };

    module.exports = newTBMIndex;
});