/**
* @描述 RiskWarning基金权限开通主页
* @author yanwr
*/
define(function(require,exports,module) {
    var appUtils = require("appUtils"),
        global = require("gconfig").global,
        layerUtils = require("layerUtils"),
        validatorUtil = require("validatorUtil"),
        _pageId = "#permissionOpen_riskWarningIndex ";
    var mobileService = require("mobileService");
    var Map = require("map"),
    	fristMap = new Map(),  //  存放所有相关协议
    	protocolArray = new Array(),  // 存放协议签名值
    	countProtocol = 0;  //1代表签了协议，2代表未签协议

    function init() {
    	queryAccountState();//获取账户权限状态
    }
    
    //查询并显示账户开通权限状态
    function queryAccountState(){
    	var param  = {
//    		"user_id" : appUtils.getSStorageInfo("user_id")
    		"user_id":appUtils.getSStorageInfo("userInfo",true).user_id
    	};
    	mobileService.queryRiskWarningData(param,function(data){
    		var error_no = data.error_no;
    		var error_info = data.error_info;
    		console.log("yangrui______ 查询并显示账户开通权限状态:"+JSON.stringify(data));
    		var accountList = data.accountList;//(交易帐号集合)
    		var businessInfo = data.businessInfo;//(业务办理数据)
    		var stkbd = "";//股东户类型 深A 沪A
    		if(error_no==0){
    			if(businessInfo[0].query_flag=="1"){//流程存在
					var create_date = businessInfo[0].create_date.split(" ")[0];//办理日期
					var html="";
					var clzHtml="",cgHtml="",sbHtml="";
					for(var i=0;i<accountList.length;i++){
						if(accountList[i].stkbd == "00"){//深A 00
							stkbd = "深A";
						}else{
							stkbd = "沪A";
						}
						if(accountList[i].open_flag == "1" || accountList[i].apply_state == "1"){//已开通   apply_state  0：已申请，1：成功，2：失败，3：处理中
							cgHtml += '<li><span>'+stkbd+'  '+accountList[i].trdacct+'</span><span class="status">开通成功</span></li>';
//						}else if(accountList[i].apply_state == "0" || accountList[i].apply_state == "3"){//0：已申请，1：成功，2：失败，3：处理中
//						}else if(accountList[i].open_flag == "0" || accountList[i].apply_state == "3"){//0：已申请，1：成功，2：失败，3：处理中
						}else if(accountList[i].open_flag == "0" && (accountList[i].apply_state == "0" || accountList[i].apply_state == "3" ||  accountList[i].apply_state == "")){//0：已申请，1：成功，2：失败，3：处理中
							clzHtml += '<li><span>'+stkbd+'  '+accountList[i].trdacct+'</span><span class="status">申请中</span></li>';
						}else if(accountList[i].apply_state == "2"){//失败了
							sbHtml += '<li><span>'+stkbd+'  '+accountList[i].trdacct+'</span><span class="status error spel" account="'+stkbd+" "+accountList[i].trdacct+'" errorInfo="'+accountList[i].description+'" href="javascript:void(0);">开通失败</span></li>';
						}
					}
					html = sbHtml + clzHtml + cgHtml;
					$(_pageId+" #result_div .account_list").html(html);
					$(_pageId+" #result_div").show();
					//绑定跳转到失败详情页面
					appUtils.bindEvent($(_pageId+" .account_list span").filter(".error"), function(){
		                var errorInfo = $(this).attr("errorInfo");
		                var account = $(this).attr("account");
    	                appUtils.setSStorageInfo("permissionOpen_error_account",account);
    	                appUtils.setSStorageInfo("permissionOpen_error_info",errorInfo);
    	                appUtils.setSStorageInfo("permissionOpen_error_busi","riskWarning");
    	                appUtils.pageInit("permissionOpen/riskWarningIndex", "permissionOpen/failInfo",{});
			        });

					var state = businessInfo[0]['state'];//状态0：前端流程未走完  1：前端流程走完2：后台审核未通过3：后台审核通过4：业务办理失败5：业务办理通过
					if(state == "4"){//失败
//						$("#title").addClass("ok");
		    			$("#title").addClass("error");
		    			$("#title").html("<span>您于"+create_date+"办理的业务已失败</span>");
		    			$(_pageId+" .button").text("确认结果");
		    			//确认按钮
		    	        appUtils.bindEvent($(_pageId+" .button"), function(){
		    	            var param ={
//		    	                "user_id" : appUtils.getSStorageInfo("user_id")
		    	            	"user_id":appUtils.getSStorageInfo("userInfo",true).user_id
		    	            };
		    	            mobileService.confirmRiskWarning(param,function(data){
		    	            	var error_no = data.error_no,
					                error_info = data.error_info;
					            if(error_no == "0"){
//					            	appUtils.pageInit("permissionOpen/riskWarningIndex", "account/addIndex",{});
					            	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
					            }else{
					                layerUtils.iAlert(error_info,-1);
					            }
		    	            });
		    	        });
		    		}else if(state == "5"){//成功
		    			$("#title").addClass("ok");
//		    			$("#title").addClass("error");
		    			$("#title").html("<span>您于"+create_date+"办理的业务已成功</span>");
		    			$(_pageId+" .button").text("确认结果");
		    			//确认按钮
		    	        appUtils.bindEvent($(_pageId+" .button"), function(){
		    	            var param ={
//		    	                "user_id" : appUtils.getSStorageInfo("user_id")
		    	            	"user_id":appUtils.getSStorageInfo("userInfo",true).user_id
		    	            };
		    	            mobileService.confirmRiskWarning(param,function(data){
		    	            	var error_no = data.error_no,
					                error_info = data.error_info;
					            if(error_no == "0"){
//					            	appUtils.pageInit("permissionOpen/riskWarningIndex", "account/addIndex",{});
					            	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
					            }else{
					                layerUtils.iAlert(error_info,-1);
					            }
		    	            });
		    	        });
		    		}else if(state == "1"){
		    			$("#title").addClass("ing");
		    			$("#title").html("<span>您于"+create_date+"办理的业务正在审核中</span>");
		    			//确认按钮
		    			$(_pageId+" .button").text("返回首页");
		    	        appUtils.bindEvent($(_pageId+" .button"), function(){
//	    	                appUtils.pageInit("permissionOpen/riskWarningIndex", "account/addIndex",{});
		    	        	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
		    	        });
		    		}

				}else{
					//流程不存在 展示所有账户
    				queryDzcontract();//获取协议
	            	appUtils.setSStorageInfo("fxjs_isSuccess","");
	            	var state_flag =true;//账号是否符合资质
					var KaiTong_flag=false;//有开通账号
					var all_bind = true;//是否都开通
					var KaiTong_Ok=false;//是否有开通过的账户
					if(businessInfo[0].hasAccount=='1'){
						//展示页面信息
						var htmlStr = "",wktHtml='',yktHtml='',bandHtml='';
						for(var i=0;i<accountList.length;i++){
							state_flag=true;//账号是否符合资质
							if(accountList[i].stkbd == "00"){//深A 00
								stkbd = "深A";
							}else{
								stkbd = "沪A";	
								
								if(accountList[i].bind_state =="0" && accountList[i].open_flag != "1"){
									bandHtml += '<li><span class="spel">'+stkbd+'  '+accountList[i].trdacct+'</span><span class="status">未指定交易</span></li>';	
									state_flag= false;
									all_bind = false;
								}
								
//								if(accountList[i].bind_state =="32" || accountList[i].bind_state =="2"){
//									bandHtml += '<li><span class="spel">'+stkbd+'  '+accountList[i].trdacct+'</span><span class="status">已指定交易</span></li>';	
//									state_flag= false;
//									all_bind = false;
//								}
							}
							if(accountList[i].open_flag == "1" ){
								yktHtml += '<li><span class="spel">'+stkbd+'  '+accountList[i].trdacct+'</span><span class="status">已开通</span></li>';
								KaiTong_Ok=true; //有开通过的账号
							}else if(state_flag){
								//可以开通的账户
								$(_pageId+" #ycxy").show();
//								$(_pageId+" #ycxz").show();
								wktHtml += '<li><span class="icon_radio" account="'+accountList[i].trdacct+'">'+stkbd+'  '+accountList[i].trdacct+'</span></li>';
								all_bind = false;
								KaiTong_flag=true;
							}
						}
						htmlStr = wktHtml+yktHtml+bandHtml;//新增资质判断
						$(_pageId+" #select_div .account_list").html(htmlStr);
		    			//绑定修改账户勾选状态
		    			appUtils.bindEvent($(_pageId+" #select_div .icon_radio"),function(){
		    				if($(this).hasClass("checked")){
		    					$(this).removeClass("checked");
		    				}else{
		    					$(this).addClass("checked");
		    				}
		    			});
//						if(all_bind){
		    			if(all_bind && !KaiTong_flag && KaiTong_Ok){//有可开通账户，无开通账户，无资质不满足账户
							$(_pageId+" #title").html('<span>恭喜您，您的账户都已开通此权限</span>').addClass("ok");
							$(_pageId+" #select_div .agree_main .title").html('账户已全部开通');//修改
//							$(_pageId+" .ce_btn").hide();//check
							$(_pageId+" #check").hide();//rule_list
							$(_pageId+" .rule_list").hide();
							$(_pageId+" #select_div").show();
							$(_pageId+" .button").text("返回首页");
							appUtils.bindEvent($(_pageId + " .button"), function(){
								appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
		    		        });	
						}else{
							if(appUtils.getSStorageInfo("_prePageCode")=="permissionOpen/showProtocol"){
								//回显勾选的账户的情况
								var trdaccount = appUtils.getSStorageInfo("riskWarning_account").split(',');
								for (var i = 0; i < trdaccount.length; i++) {
									$(_pageId+" #select_div .icon_radio").each(function(){
										if($(this).attr("account")==trdaccount[i]){
											$(this).addClass('checked');
										}
									});
								}
								if (appUtils.getSStorageInfo('riskWarning_checked')) {
									$(_pageId+" #checkbox").prop('checked',true);
								}
								$(_pageId+" #select_div").show();
								$(_pageId+" #ok_div").hide();
								$(_pageId+" .button").html('马上开通');
								appUtils.bindEvent($(_pageId + " .button"), function(){
			    					//提交提交提交
									beforeSubmit();
			    		        });
							}else{
								$(_pageId+" .top_tips").html('<p class="ok"><span>条件已满足，请办理</span></p>');
								$(_pageId+" #ok_div").show();
								$(_pageId+" .button").html('马上开通');
								appUtils.bindEvent($(_pageId + " .button"), function(){
									$(_pageId+" #select_div").show();
									$(_pageId+" #ok_div").hide();
//									$(_pageId+" .button").html('确 认');
									$(_pageId+" .top_tips").animate({marginTop:"-35px"},500);
							        //绑定返回键
							        appUtils.bindEvent($(_pageId+" .icon_back"), function(){							   
							        	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
//										appUtils.pageBack();
							        });
							        
							        if(KaiTong_flag){
							        	 //绑定提交
							        	$(_pageId+" .button").html('确 认开通');
										appUtils.bindEvent($(_pageId + " .button"), function(){
											beforeSubmit();
					    		        });
							        }else{
							        	$(_pageId+" #select_div .agree_main .title").html('未有可开通的账户');//修改
							        	$(_pageId+" #ycxy").hide();
							        	$(_pageId+" .button").html('返回首页');
										appUtils.bindEvent($(_pageId + " .button"), function(){
//											beforeSubmit();
										appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
					    		        });	
							        }
							       
			    		        });
							}
						}
					}		
					else{
						//没有沪A 展示条件不满足页面
						$(_pageId+" .content").addClass("white");
						$(_pageId+" .top_tips").html('<p class="error"><span>办理条件不满足</span></p>');
						$(_pageId +" #hasAccount").addClass('lk').removeClass('suc');//有无账号
						$(_pageId+" #info_div").show();
						$(_pageId+" #ok_div,#result_div,#select_div").hide();
//						$(_pageId+" .ce_btn").hide();
						$(_pageId+" .button").html('返回首页');
						appUtils.bindEvent($(_pageId + " .button"), function(){
//								beforeSubmit();
							appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
	    		        });	
						
						
						/**点击增开页面***businessInfo[0].hasAccount**/
						if(businessInfo[0]['hasAccount']!="1"){
		    				appUtils.bindEvent($(_pageId+" #info_div h5").eq(0), function(){
	    						//增开增开增开
//							 	appUtils.pageInit("permissionOpen/finishingStockIndex", "zk/addIndex",{});
//								alert("敬请期待 账户");
		    					layerUtils.iMsg(-1, "敬请期待!");
	    		        	});
						}
//							appUtils.bindEvent($(_pageId+" #info_div .zk_errorinfo h5.lk #hasAccount:after"), function(){
//	    						//增开增开增开
////							 	appUtils.pageInit("permissionOpen/finishingStockIndex", "zk/addIndex",{});
//								alert("暂时没做");
//	    		        	});
						
					}
				
					
//					if(!KaiTong_flag){
//						//没有沪A 展示条件不满足页面
//						$(_pageId+" .content").addClass("white");
//						$(_pageId+" .top_tips").html('<p class="error"><span>办理条件不满足</span></p>');
//						$(_pageId +" #stateHuA").addClass('lk').removeClass('suc');//状态
//						if(businessInfo[0].hasAccount!='1'){
//							$(_pageId +" #hasAccount").text("您未在我司开通沪A，请增开");
//							$(_pageId +" #hasAccount").addClass('lk').removeClass('suc');//有误沪A
//						}
//						$(_pageId+" #info_div").show();
//						$(_pageId+" #ok_div,#result_div,#select_div").hide();
////						$(_pageId+" .ce_btn").hide();
//						$(_pageId+" .button").html('返回首页');
//						appUtils.bindEvent($(_pageId + " .button"), function(){
////							beforeSubmit();
//							appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
//	    		        });	
//					}
				}
    			//展示页面
				$(_pageId+" .content").show();
//				setTimeout(function(){$(_pageId+" .top_tips").animate({marginTop:"-35px"},500);}, 1500);
    		}else{
    			layerUtils.iAlert(error_info,-1,function(){
    				appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
    			});
    		}
    	});
    }
    function bindPageEvent() {
        //绑定home键 跳转到主界面
        appUtils.bindEvent($(_pageId+" .icon_home"), function(){
//            appUtils.pageInit("permissionOpen/riskWarningIndex", "account/addIndex",{});
        	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
        });
        //绑定返回键
        appUtils.bindEvent($(_pageId+" .icon_back"), function(){
//            appUtils.pageInit("permissionOpen/riskWarningIndex", "account/addIndex",{});
        	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
//        	appUtils.pageBack();
        });
    }
    //获取电子协议
    function queryDzcontract(){
        var param = {
            "agree_name":"",
            "type_code":"ygt_fxjsxy",
            "agree_no":""
        };
        mobileService.getSign(param,function(data){
			var error_no = data.error_no,
				error_info = data.error_info,
				results = data.results,
				allProtocols = "";
			var protocolMap = null;
            if(error_no == "0" && results.length != 0){
				//多个协议展示列表
				for(var i=0;i<results.length;i++)
				{
					protocolMap = new Map();
					protocolMap.put("protocolid",results[i].agree_no);	//协议id
					protocolMap.put("protocolname",results[i].agree_name);	//协议名
					protocolMap.put("summary",results[i].md5_content);	//协议内容MD5,签名摘要信息
					allProtocols += "<li><a href=\"javascript:;\" protocol-id=\""+results[i].agree_no+"\" id=\"protocol0"+i+"\">《"+
						results[i].agree_name+"》</a></li>";
					// 预绑定查看协议的事件
					appUtils.preBindEvent($(_pageId+" .rule_list"),"#protocol0"+i,function(e){
						//先把勾选的账户保存起来以便回显
						var trdaccount = new Array();
						$(_pageId+" #select_div .icon_radio").each(function(){
							if($(this).hasClass("checked")){
								trdaccount.push($(this).attr("account")) ;
							}
						});
						trdaccount = trdaccount.join();
						appUtils.setSStorageInfo("riskWarning_account" , trdaccount);
						appUtils.setSStorageInfo("riskWarning_checked" , $(_pageId+" #checkbox").attr('checked'));
						appUtils.pageInit("permissionOpen/riskWarningIndex","permissionOpen/showProtocol",{"protocol_id" : $(this).attr("protocol-id")});
                        e.stopPropagation();
					});
					fristMap.put(i,protocolMap);
				}
				$(_pageId+" .rule_list").html(allProtocols);
    			//展示页面
//				$(_pageId+" .main").show();
				$(_pageId+" #ycxy").show();
            }else{
                layerUtils.iAlert(error_info,-1);
            }
        },true,true,null);
    }
    /* 获取签名值 */
    function getSignProtocl()
    {
        var keys = fristMap.keys();  // 协议的数量
        layerUtils.iLoading(true);  // 开启等待层。。。
        var oneData  = fristMap.get(keys[countProtocol]); // 取出一个协议
        var protocolid = oneData.get("protocolid"); // 协议ID
        var protocolname = oneData.get("protocolname");  //协议名称
        var protocol_content = oneData.get("protocol_content");  // 协议内容MD5,签名摘要信息
        // 添加值到数组中
        var protocol = {
            "protocol_id" : protocolid,
            "protocol_content" : protocol_content,
        	"summary":""
        }
        protocolArray.push(protocol);
        countProtocol++;
        if(countProtocol < keys.length)  // 通过比较，获取每个协议的签名值
        {
            getSignProtocl();
        }else{
            submitProtocol();  //提交协议
        }
    }
//    //只有一个协议的时候直接展示内容
//	function query_content(agree_no){
//		//查询协议内容
//		mobileService.getProtocolInfo({"agree_no":agree_no},function(data){
//			if(data.error_no=="0")
//			{
//				$(_pageId+" .agree_main,#agree_check").hide();
//				$(_pageId+" .xy_cont,.spel_bottom").show();
//				$(_pageId+" div.title").html(data.results[0].agree_name);
//				$(_pageId+" .xy_cont p").html(data.results[0].content);
//    			//展示页面
//				$(_pageId+" .main").show();
//			}
//			else
//			{
//				layerUtils.iAlert(data.error_info,-1);
//				return false;
//			}
//		});
//	}
    /* 保存 签署协议并提交申请权限  */
    function submitProtocol(){
    	var submitstkbd = appUtils.getSStorageInfo("riskWarning_account");
        var param = {
//            "user_id":appUtils.getSStorageInfo("user_id"),
            "user_id":appUtils.getSStorageInfo("userInfo",true).user_id,
            "jsondata" : JSON.stringify(protocolArray),
            "checksign" : "0",
            "trdaccount":submitstkbd
        };
        //保存 签署协议并提交申请权限
        mobileService.applyRiskWarning(param,function(data){
            var error_no = data.error_no,
                error_info = data.error_info;
            if(error_no == "0"){
            	appUtils.setSStorageInfo("fxjs_isSuccess","yes");
            	appUtils.clearSStorage("riskWarning_account");
            	appUtils.clearSStorage("riskWarning_checked");
            	window.location.reload();
            }else{
                layerUtils.iAlert(error_info,-1);
            }
        },true,true,null);
    }
    
    //提交前的校验
    function beforeSubmit(){
    	//1.判断账户选择情况
		if(!$(_pageId+" #select_div .icon_radio").hasClass("checked")) {
		layerUtils.iMsg(-1, "请选择要开通的股东账户!");
			return false;
		}
		if(!$(_pageId+" #checkbox").attr("checked")) {
			layerUtils.iMsg(-1, "请阅读并勾选同意签署以上全部协议!");
			return false;
		}
		//2.提交账号
		var trdaccount = new Array();
		$(_pageId+" #select_div .icon_radio").each(function(){
			if($(this).hasClass("checked")){
				trdaccount.push($(this).attr("account")) ;
			}
		});
		trdaccount = trdaccount.join();
		appUtils.setSStorageInfo("riskWarning_account" , trdaccount);
		if(trdaccount != ""){
			//验签
			getSignProtocl();
		}else{
			layerUtils.iMsg(-1, "选择账户的数据为空");
			return false;
		}
    }
    
    function destroy() {
    	
    }

    var riskWarningIndex = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };

    module.exports = riskWarningIndex;
});