﻿define(function (require, exports, module) {
    /* 私有业务模块的全局变量 begin */
    var appUtils = require("appUtils"),
        layerUtils = require("layerUtils"),
        gconfig = require("gconfig"),
        global = gconfig.global,
        mobileService = require("mobileService"),
        _pageId = "#threeDepository_bankCardChange ";
        pageId = "threeDepository_bankCardChange";
    var validatorUtil = require("validatorUtil");
	var protocol = null;  // 协议保存
	var bankInfo ;
	var bankcode ;
	var banckName ;
	var iscard;
	var zzispwd;
	var zzbindtype;
	var bank_small_url ;
	var	saveOriginalParam = {
		"banckName" : "",		//银行名称
		"bankcode" : "",		//银行编号
		"iscard" : "",			//是否需要银行卡
		"zzbindtype" : "",		//银行绑定类型
		"bankcard" : "",		//银行卡号
		"bankpwd" : "", 		//银行密码
		"pwdShowVal" : "",		//密码显示值
		"protocol_id" : "",  	//协议编号
		"zjpwd" : ""			//资金密码
	};
	var endecryptUtils = require("endecryptUtils");
	var modulus,publicExponent;//加密串
	//数字键盘
//	var KeyPanel = require('keyPanel');
//	var myKeyPanel = new KeyPanel();
//    var keyboard;
    
    function init() {
    	var account = appUtils.getSStorageInfo("account");//set_bank_no
    	account = set_bank_no(account);
    	$(_pageId+" #selectBank strong").text("选择银行"); 
    	var bankpng = appUtils.getSStorageInfo("bankpng");
    	var bank_name = appUtils.getSStorageInfo("bank_name");
    	$(_pageId + " .card_topbox").html("<a class=\"lk\" href=\"javascript:void(0);\">已取消绑定</a><dl><dt><img src="+bankpng+"></dt><dd><p>"+bank_name+"</p><p>"+account+"</p></dd></dl>");
    	if(appUtils.getSStorageInfo("_prePageCode") == "threeDepository/bankList") {
			bankInfo = appUtils.getPageParam();
			bankcode = bankInfo.bankcode;
			banckName = bankInfo.bankname;
			zzbindtype = bankInfo.zzbindtype;
			bank_small_url = bankInfo.bank_small_url;
			iscard = bankInfo.iscard;
			zzispwd = bankInfo.zzispwd;
			var agree_no = bankInfo.agree_no;
			addBankItem(banckName,bankcode,zzbindtype,bank_small_url,iscard,agree_no,zzispwd);
		}//从协议内容页面进入
		else if(appUtils.getSStorageInfo("_prePageCode") == "threeDepository/showProtocol")
		{
			$(_pageId+" .bank_select").html("<img src="+appUtils.getSStorageInfo("oriBankUrl")+">"+appUtils.getSStorageInfo("oriBanckName")+"");
			$(_pageId+" .input_form .bank_select").attr("bankcode",appUtils.getSStorageInfo("oriBankcode"));					//银行编号
			$(_pageId+" .input_form .bank_select").attr("iscard",appUtils.getSStorageInfo("oriIscard"));  						//是否需要卡号
			$(_pageId+" .input_form .bank_select").attr("zzbindtype",appUtils.getSStorageInfo("oriZzbindtype"));  				//银行绑定方式
			
			if (validatorUtil.isNotEmpty(appUtils.getSStorageInfo("oriBankcard"))) {
				$(_pageId+" .input_form #bankcode").val(appUtils.getSStorageInfo("oriBankcard")); 	
			}
			
			if (validatorUtil.isNotEmpty(appUtils.getSStorageInfo("oriBankpwd"))) {
				$(_pageId+" .input_form #password").val(appUtils.getSStorageInfo("oriBankpwd")); 	
			}
			
			//2017-4-18日修改 
			if (validatorUtil.isNotEmpty(appUtils.getSStorageInfo("zjpwd"))) {
				$(_pageId+" .input_form #countPassword").val(appUtils.getSStorageInfo("zjpwd")); 	
			}
			
//			id = appUtils.getSStorageInfo("oriBankcode");
			var agree_nos = appUtils.getSStorageInfo("agree_no");
			getDepositoryAgreement(agree_nos);  // 获取银行协议内容
			addBankItem(appUtils.getSStorageInfo("oriBanckName"),appUtils.getSStorageInfo("oriBankcode"),appUtils.getSStorageInfo("oriZzbindtype"),
			appUtils.getSStorageInfo("oriBankUrl"),appUtils.getSStorageInfo("oriIscard"),agree_nos,appUtils.getSStorageInfo("oriZzispwd"));
			
			if (appUtils.getSStorageInfo("oriIs_checked")=="checked") {
				$(_pageId+" #checkbox").attr("checked",true);
			}
		}
    }
	/* 为选择银行列表添加选中银行数据 */
	function addBankItem(banckName,bankcode,zzbindtype,bank_small_url,iscard,agree_no,zzispwd) {
		// 显示银行的签约信息
		$(_pageId+" .bank_select").html("<img src="+bank_small_url+">"+banckName+"");
		$(_pageId+" .bank_select").attr("bankcode", bankcode);
		$(_pageId+" .bank_select").attr("iscard",iscard);
		$(_pageId+" .bank_select").attr("zzbindtype",zzbindtype);
		getDepositoryAgreement(agree_no);  // 获取银行协议内容
		if(zzbindtype == 1)   // 判断一步式
		{
			if(zzispwd == 0)  // 不需要输入密码
			{
				$(_pageId+" #bank_tip").html("此银行为一步式银行，只需要账号");
				$(_pageId+" #bankcardPwd").hide();  // 隐藏银行密码输入框
			}
			else   // 需要输入密码
			{
				$(_pageId+" #bank_tip").html("此银行为一步式银行，需要账号和密码");
				$(_pageId+" #bankcardPwd").show();  // 显示银行密码输入框
			}
			$(_pageId+" #bankcard").show();  //显示银行卡
		}
		if(zzbindtype == 2)  // 判断预指定(二步式)
		{
			if(iscard == 1)  // 需要银行卡
			{
				$(_pageId+" #bank_tip").html("此银行为预指定银行，只需要账号");
				$(_pageId+" #bankcard").show();  //显示银行卡
				$(_pageId+" #bankcardPwd").hide();  // 隐藏银行密码输入框
			}
			else // 不需要银行卡
			{
				$(_pageId+" #bank_tip").html("此银行为预指定银行，不需要账号和密码");
				$(_pageId+" #bankcard").hide();  //隐藏银行卡
				$(_pageId+" #bankcardPwd").hide();  // 隐藏银行密码输入框
			}
		}
		if(zzbindtype == 3)  // 判断预指定(二步式)和一步式都支持
		{
			if(iscard == 1)  // 需要银行卡
			{
				$(_pageId+" #bankcard").show();  //显示银行卡
				if(zzispwd == 0)  // 不需要输入密码
				{
					$(_pageId+" #bank_tip").html("此银行同时支持一步式和预指定绑定，账号为必填");
					$(_pageId+" #bankcardPwd").hide();  // 隐藏银行密码输入框
				}
				else   // 需要输入密码
				{
					$(_pageId+" #bank_tip").html("此银行同时支持一步式和预指定绑定，账号为必填，密码可选填");
					$(_pageId+" #bankcardPwd").show();  // 显示银行密码输入框
				}
			}
			else // 不需要银行卡
			{
				$(_pageId+" #bankcard").show();  //隐藏银行卡
				if(zzispwd == 0)  // 不需要输入密码
				{
					$(_pageId+" #bank_tip").html("此银行同时支持一步式和预指定绑定，账号为选填");
					$(_pageId+" #bankcardPwd").hide();  // 隐藏银行密码输入框
				}
				else   // 需要输入密码
				{
					$(_pageId+" #bank_tip").html("此银行同时支持一步式和预指定绑定，账号可选填，密码为必填");
					$(_pageId+" #bankcardPwd").show();  // 显示银行密码输入框
				}
			}
			
		}
	}
	
		/* 获取存管银行签约电子协议列表 */
	function getDepositoryAgreement(agree_no)
	{
		$(_pageId+" #protocolName").html("");  // 清空协议
		appUtils.setSStorageInfo("agree_no",agree_no);
		// 查询存管银行协议
		var param = {
			"agree_name":"",
			"type_code":"",
			"agree_no":agree_no
		};
		mobileService.getSign(param,function(data){
			$(_pageId+" #protocolName").html("");
			if(data.error_no == 0)
			{
				if(data.results&&data.results.length>=1)
				{
					protocol = data.results[0];
					$(_pageId+" .rule_check").show();
					$(_pageId+" #protocolName").html("《"+protocol.agree_name+"》");
					$(_pageId+" #protocolName").attr("protocolId",protocol.agree_no);
					$(_pageId+" #protocolName").attr("protocolMd5",protocol.md5_content);
					// 预绑定查看银行协议内容的事件
					appUtils.preBindEvent($(_pageId+" #protocolName").parent(),"#protocolName",function(){
//						appUtils.setSStorageInfo("bankPwd",$(_pageId+" #bankcardPwd").val(),true);
						appUtils.setSStorageInfo("bankNum",$(_pageId+" #bankcard").val());
						saveOriginalParam.banckName = $(_pageId+" .input_form #selectBank strong").text();			//银行名称
						saveOriginalParam.bank_url = $(_pageId+" .input_form #selectBank").find("img").attr("src");
						saveOriginalParam.bankcode = $(_pageId+" .input_form .bank_select").attr("bankcode");					//银行编号
						saveOriginalParam.iscard = $(_pageId+" .input_form .bank_select").attr("iscard");  						//是否需要卡号
						saveOriginalParam.zzispwd = zzispwd;																	//是否需要密码
						saveOriginalParam.zzbindtype = $(_pageId+" .input_form .bank_select").attr("zzbindtype");  				//银行绑定方式
						saveOriginalParam.bankcard = $(_pageId+" #bankcode").val(); 								//银行卡号
						saveOriginalParam.bankpwd = $(_pageId+" #password").val();  		//银行密码
						//资金密码新增 2017-4-18日修改
						saveOriginalParam.zjpwd = $(_pageId+" #countPassword").val();  		//资金密码
						
						saveOriginalParam.protocol_id = $(_pageId+" #protocolName").attr("protocolId");
						saveOriginalParam.is_checked = $(_pageId+" #checkbox").attr("checked");
						appUtils.setSStorageInfo("returnPage","threeDepository/bankCardChange");
						appUtils.pageInit("threeDepository/bankCardChange","threeDepository/showProtocol",saveOriginalParam);
//						appUtils.pageInit("threeDepository/thirdDepository","threeDepository/showProtocol",{"protocol_id":$(_pageId+" #protocolName").attr("protocolId")});
					});
				}
			}
			else
			{
				layerUtils.iAlert(data.error_info,-1);
			}
		});
	}
	/* 获取签名值 */
	function getSignProtocl(protocol)
	{
		// 进行协议签署
		var protocolArray = new Array();  // 协议数组
		// 检查是否勾选签署协议
		layerUtils.iLoading(true);  // 开启等待层。。。
		var protocolid = protocol.agree_no; // 协议ID
		var protocolname = protocol.agree_name;  //协议名称
		var summary = protocol.md5_content;  // 协议内容MD5,签名摘要信息
		// 添加值到数组中
		var protocol = {
			"protocol_id" : protocolid,
			"summary" : summary
		}
		protocolArray.push(protocol);
		submitProtocol(protocolArray) //提交协议
	}

	// 提交协议
	function submitProtocol(protocolArray){
		var signProtocolParam = {
//			"user_id" : appUtils.getSStorageInfo("user_id"),
			"user_id":appUtils.getSStorageInfo("userInfo",true).user_id,
			"jsondata" : JSON.stringify(protocolArray),
			"ipaddr" : "",
			"macaddr" : "",
			"checksign" : "0",
			"sign_source_flag" : "1",
			"business_code":"ygt",
			"business_item":"sfcg_bind",
			"certType":"0"
		};
		mobileService.checkSignProtocol(signProtocolParam,function(data){
			var error_no = data.error_no,
				error_info = data.error_info;
			if(error_no == "0"){
				console.log("yangrui ___ "+ $(_pageId + " #bankcode").attr("value"));
				console.log("yangrui ___ "+ bankcode);
				// 更换三方存管
//				if(validatorUtil.isEmpty($(_pageId + " #password").attr("value"))){
//					updateThirdDepository();
//				}else{
//					rsa();
//				}
				
				rsa();
			}else{
				protocolArray = new Array();
				layerUtils.iAlert(error_info,-1);
				return false;
			}
		});
	}
	//密码传输加密
	function rsa(){
		//密码传输加密
//		var pwd = $(_pageId + " #password").attr("value");
//		var zjpwd = $(_pageId + " #countPassword").attr("value");bankcardPwd
		var pwd = "";
		if($(_pageId + " #bankcardPwd").is(":visible")){
			pwd =$(_pageId + " #password").val();	
		}
		var zjpwd = $(_pageId + " #countPassword").val();
			if(modulus && publicExponent){
				if(pwd){pwd = endecryptUtils.rsaEncrypt(modulus,publicExponent,pwd);}
				zjpwd = endecryptUtils.rsaEncrypt(modulus,publicExponent,zjpwd);
				updateThirdDepository(pwd,zjpwd);
			}else{
//				mobileService.getRsaKey({},function(data){
				mobileService.getRSAKey({},function(data){
					if(data && data!=null){
						if(data.error_no == "0"){
							var result = data.results;
							modulus = result[0]["modulus"];
							publicExponent = result[0]["publicExponent"];
							if(pwd){pwd = endecryptUtils.rsaEncrypt(modulus,publicExponent,pwd);}
							zjpwd = endecryptUtils.rsaEncrypt(modulus,publicExponent,zjpwd);
							updateThirdDepository(pwd,zjpwd);
						}else{
							layerUtils.iAlert(data.error_info,-1);
							return false;
						}
					}else{
						layerUtils.iAlert("网络错误，请重试",-1);
						return false;
					}
				});
			}
	}
	// 修改三方存管绑定银行
	function updateThirdDepository(pwd,zjpwd){
		var bindBank = {
////			"user_id":appUtils.getSStorageInfo("user_id"),
//			"user_id":appUtils.getSStorageInfo("userInfo",true).user_id,
//			"business_id":appUtils.getSStorageInfo("business_id"),
//			"bankcode": bankcode,
//			"banknum": $(_pageId + " #bankcode").attr("value"),
//			"bank_password": pwd,
				
				"user_id":appUtils.getSStorageInfo("userInfo",true).user_id,
				"fund_account":appUtils.getSStorageInfo("zqAccount",true),
//				"fund_account":appUtils.getSStorageInfo("fund_account_bank"),
				"password":zjpwd,
				"old_bankcode":appUtils.getSStorageInfo("bank_code"),
				"new_banknum": $(_pageId + " #bankcode").val(),
				"new_bankcode":bankcode,
				"bank_password": pwd,
//				"op_account": appUtils.getSStorageInfo("zqAccount",true),//
				"op_account": appUtils.getSStorageInfo("fund_account_bank"),
				"money_type": "1"
		};
		mobileService.updateThirdDepository(bindBank, function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			console.log("yangrui ___  "+ JSON.stringify(data) );
			if(error_no == "0") {
				$(_pageId).remove();
					//清除临时缓存
//					appUtils.setSStorageInfo("returnPage","");
//					appUtils.setSStorageInfo("oriBanckName","");						//银行名称
//					appUtils.setSStorageInfo("oriBankUrl","");							//图标路径
//					appUtils.setSStorageInfo("oriBankcode","");						    //银行编号
//					appUtils.setSStorageInfo("oriIscard","");								//是否需要卡号
//					appUtils.setSStorageInfo("oriZzispwd","");								//是否需要密码
//					appUtils.setSStorageInfo("oriZzbindtype","");						//银行绑定方式
//					appUtils.setSStorageInfo("oriBankcard","");							//银行卡号
//					appUtils.setSStorageInfo("oriBankpwd","");							//银行密码
//					appUtils.setSStorageInfo("oriIs_checked","");
//					appUtils.setSStorageInfo("zjpwd","");						//资金密码
//					appUtils.setSStorageInfo("fund_account_bank","");			//清楚本张银行卡客户资金账号
				appUtils.clearSStorage("returnPage");
				appUtils.clearSStorage("oriBanckName");						//银行名称
				appUtils.clearSStorage("oriBankUrl");							//图标路径
				appUtils.clearSStorage("oriBankcode");						    //银行编号
				appUtils.clearSStorage("oriIscard");								//是否需要卡号
				appUtils.clearSStorage("oriZzispwd");								//是否需要密码
				appUtils.clearSStorage("oriZzbindtype");						//银行绑定方式
				appUtils.clearSStorage("oriBankcard");							//银行卡号
				appUtils.clearSStorage("oriBankpwd");							//银行密码
				appUtils.clearSStorage("oriIs_checked");
				appUtils.clearSStorage("zjpwd");	//资金密码
				appUtils.clearSStorage("bankNum");	//清空银行卡号
				appUtils.clearSStorage("fund_account_bank","");			//清楚本张银行卡客户资金账号
					layerUtils.iAlert("信息提交成功,请等待审核",0,function(){
						appUtils.pageInit("threeDepository/bankCardChange", "threeDepository/showBankCard",{});
					});
			} else {
				layerUtils.iAlert(error_info,-1,function(){
					appUtils.pageInit("threeDepository/bankCardChange", "threeDepository/showBankCard",{});
				});
				return false;
			}
		});
	}
    function bindPageEvent() {
    	///////////////////////键盘start//////////////////////////////////
//   		/**
//		 * 点击页面其他地方隐藏键盘
//		 */
//		appUtils.bindEvent($(_pageId), function(e){
//			myKeyPanel.close();
//			e.stopPropagation();
//		}, "click");
//		
//		/**
//		 * 点击输入框
//		 */
//		appUtils.bindEvent($(_pageId + " .field .input"), function(e){
//			var keyPanelConfig = {
//					isSaveDom: false, // 是否保存键盘 DOM 在页面中
//					beforeInitFunc: function(){
//						console.log("beforeInitFunc");
//					},
//					afterInitFunc: function(){
//						console.log("afterInitFunc");
//					},
//					beforeCloseFunc: function(){
//						console.log("beforeCloseFunc");
//					},
//					afterCloseFunc: function(){
//						console.log("afterCloseFunc");
//					}
//			};
////			var isPwd = $(_pageId + " .field .input").index(this) == 1 ? true : false; // 数字键盘采用密码输入
//			var isPwd = $(_pageId + " .field .input").index(this) >= 1 ? true : false; // 数字键盘采用密码输入
//			myKeyPanel.init(this, 2, isPwd, keyPanelConfig);
//			e.stopPropagation();
//		}, "click");
//		
//		/**
//		 * 键盘输入事件
//		 */
//		appUtils.bindEvent($(_pageId + " .field .input"), function(e){
////			console.log($(this).attr("value") + "当前操作：" + e.detail["optType"] + "，当前输入值：" + e.detail["curValue"]);
//			//限制密码输入长度
//			if($(this).attr("id")=="password"){
//				var value = $(this).attr("value");
//				if (value.length>6) {
//					value = value.substr(0,6);
//					$(this).attr("value",value);
//					var html = $(this).find("em").html().substr(0,6);
//					$(this).find("em").html(html);
//				}
//			}
//			//限制银行卡号输入长度
//			if($(this).attr("id")=="bankcode"){
//				var value = $(this).attr("value");
//				if (value.length>19) {
//					value = value.substr(0,19);
//					$(this).attr("value",value);
//					var html = $(this).find("em").html().substr(0,19);
//					$(this).find("em").html(html);
//				}
//			}
//			
//			//限制密码输入长度
//			if($(this).attr("id")=="countPassword"){
//				var value = $(this).attr("value");
//				if (value.length>6) {
//					value = value.substr(0,6);
//					$(this).attr("value",value);
//					var html = $(this).find("em").html().substr(0,6);
//					$(this).find("em").html(html);
//				}
//			}
//			e.stopPropagation();
//		}, "input");
		////////////////////////////键盘end/////////////////////////////////////
        //返回
        appUtils.bindEvent($(_pageId + " .icon_back"), function (e) {
			$(_pageId).remove();
            appUtils.pageInit("threeDepository/bankCardChange", "threeDepository/showBankCard",{});
//			myKeyPanel.close();
			e.stopPropagation();
//			appUtils.pageBack();
        });
        //绑定选择银行
		appUtils.bindEvent($(_pageId+" #selectBank"), function(e){
//			myKeyPanel.close();
			e.stopPropagation();
			appUtils.setSStorageInfo("returnPage","threeDepository/bankCardChange");
			appUtils.pageInit("threeDepository/bankCardChange", "threeDepository/bankList",{});
		});
        // 绑定开通三方存管
		appUtils.bindEvent($(_pageId+" .ce_btn"), function(e){
//			myKeyPanel.close();
			e.stopPropagation();
		 	// 验证是否选择银行
			if (!validateSelectBank()) {
				return false;
			}
			//银行卡号和密码的校验判断
			if(zzbindtype == 1)   // 判断一步式
			{
				if(!validateBankCorrect())  // 验证银行卡号
				{
					return false;
				}
				if(zzispwd == 1)  // 验证是否需要密码
				{
					if(!validateBankPwd())
					{
						return false;
					}
				}
			}
			if(zzbindtype == 2)  // 判断预指定(二步式)
			{
				if(iscard == 1)  // 需要银行卡
				{
					if(!validateBankCorrect())  // 验证银行卡号
					{
						return false;
					}
				}
			}
			if(zzbindtype == 3)  // 判断预指定(二步式)和一步式都支持
			{
				if(iscard == 1)  // 需要银行卡
				{
					if(!validateBankCorrect())  // 验证银行卡号
					{
						return false;
					}
				}
				else // 银行卡选填
				{
					if(validatorUtil.isNotEmpty($(_pageId+" #bankcode").attr("value"))){
						if(!validateBankCorrect())  // 验证银行卡号
						{
							return false;
						}
					}
				}
				
				if(zzispwd == 1)  // 验证是否需要密码
				{
					if(!validateBankPwd())
					{
						return false;
					}
				}
				
			}
			
			//新增密码格式校验
			var zjpwd = $(_pageId + " #countPassword").val();
				if(!checkPassword(zjpwd)){
					return false;
				}
			

			/************************************/
//			if($(_pageId+" #checkbox").attr("checked")==false){
			if($(_pageId+" #checkbox").prop("checked")==false){
				layerUtils.iAlert("请勾选同意三方存管协议",-1);
				return false;
			} else {
				//验签
				getSignProtocl(protocol);
			}
		});
    }
	/* 验证是否选择银行  */
	function validateSelectBank() {
		var obj = $(_pageId + " .bank_select");
		var value = obj.html();
		if (validatorUtil.isEmpty(value) || value == "选择银行") {
			layerUtils.iMsg(-1, "请选择银行");
			return false;
		}
		return true;
	}
	
	/* 校验密码  */
	function checkPassword(cardPwd) {
		if (validatorUtil.isEmpty(cardPwd)) // 验证通过的情况
		{
			layerUtils.iMsg(-1, "资金密码不能为空！");
			return false;
		}
		if (!validatorUtil.isNumeric(cardPwd) || cardPwd.length != 6) {
			layerUtils.iMsg(-1, "资金密码格式错误，请重新输入！");
			return false;
		}
		return true;
	}

	//将银行卡号格式化为**** **** **** 1111
    function set_bank_no(bank_account) {
        var star = "";
        for (var i = 0; i < bank_account.length - 4; i++) {
            star += "*";
            if ((i + 1) % 4 == 0) {
                star += " ";
            }
        }
        bank_account = star + " " + bank_account.substring(bank_account.length - 4, bank_account.length);

        return bank_account;
    }
	
	/* 检验银行卡填写是否正确 */
	function validateBankCorrect() {
//		var bankcard = $(_pageId + " #bankcode").attr("value");
		var bankcard = $(_pageId + " #bankcode").val();
		if (validatorUtil.isEmpty(bankcard)) // 验证通过的情况
		{
			layerUtils.iMsg(-1, "银行卡号不能为空！");
			return false;
		}
		if (!validatorUtil.isBankCode(bankcard)) {
			layerUtils.iMsg(-1, "银行卡号格式错误，请重新输入！");
			return false;
		}
		return true;
	}

	/* 验证银行密码 */
	function validateBankPwd() {
//		var cardPwd = $(_pageId + " #password").attr("value");
		var cardPwd = $(_pageId + " #password").val();
		if (validatorUtil.isEmpty(cardPwd)) // 验证通过的情况
		{
			layerUtils.iMsg(-1, "银行卡密码不能为空！");
			return false;
		}
		if (!validatorUtil.isNumeric(cardPwd) || cardPwd.length != 6) {
			layerUtils.iMsg(-1, "银行卡密码格式错误，请重新输入！");
			return false;
		}
		return true;
	}
    //销毁
    function destroy() {
        $(_pageId + " ul.sele_card").html("");   //清空银行卡列表
        $(_pageId+" .bank_select").html("");
    	$(_pageId+" #selectBank strong").text("选择银行");  // 清理银行卡的名字
		$(_pageId+" #bankcode").val("");  // 清理银行卡号
		$(_pageId+" #password").val(""); // 清理银行密码
		$(_pageId+" #countPassword").val(""); // 清理资金密码
		$(_pageId+" .rule_check").hide();  //隐藏协议展示
        mobileService.destroy();
    }

    var bankCardChange = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };
    module.exports = bankCardChange;
});
