﻿define(function (require, exports, module) {
    /* 私有业务模块的全局变量 begin */
    var appUtils = require("appUtils"),
        layerUtils = require("layerUtils"),
        gconfig = require("gconfig"),
        global = gconfig.global,
        mobileService = require("mobileService"),
        external = require("external"),
        _pageId = "#threeDepository_bankCardChangeInfo ";

    var cardType = "";   //stock 证券银行卡  marginTrading 两融银行卡
	var bank_code ;
	
    function init() {
    	var account = appUtils.getSStorageInfo("account");
    	var bankpng = appUtils.getSStorageInfo("bankpng");
    	var bank_name = appUtils.getSStorageInfo("bank_name");
    	$(_pageId + " #images").html('<img src="'+bankpng+'">');
    	$(_pageId + " #backCardName").html('<p>'+bank_name+'</p><p>'+set_bank_no(account)+'</p>');
    	if(appUtils.getSStorageInfo("_prePageCode") == "threeDepository/bankPassword"){
    		delectBankCard();
    	}else{
	    	var checkTradeRecored = appUtils.getSStorageInfo("checkTradeRecored");//交易记录条件是否满足
			var checkCurrBusiness = appUtils.getSStorageInfo("checkCurrBusiness");//在途业务条件是否满足
			var checkBalance = appUtils.getSStorageInfo("checkBalance");//余额条件是否满足
//			var checkInterestBase = appUtils.getSStorageInfo("checkInterestBase");//利息基数条件是否满足
    	}
    	var infoHtml = "";
    	if(checkTradeRecored == "0"){
    		infoHtml += '<dl class="error"><dt>您有交易记录</dt><dd>请下一个工作日再办理此业务</dd></dl>'
    	}else{
    		infoHtml += '<dl class="ok"><dt>无交易记录</dt><dd></dd></dl>'
    	}
    	if(checkCurrBusiness == "0"){
    		infoHtml += '<dl class="error"><dt>您有正在办理的业务</dt><dd>请结束后办理</dd></dl>'
    	}else{
    		infoHtml += '<dl class="ok"><dt>无正在办理的业务</dt><dd></dd></dl>'
    	}
    	if(checkBalance == "0"){
    		infoHtml += '<dl class="error"><dt>资金余额＞0</dt><dd>请办理结息并银证转账出余额</dd></dl>'
    	}else{
    		infoHtml += '<dl class="ok"><dt>资金余额为0</dt><dd></dd></dl>'
    	}
//    	if(checkInterestBase == "0"){
//    		infoHtml += '<dl class="error"><dt>利息基数＞0</dt><dd>请办理结息</dd></dl>'
//    	}else{
//    		infoHtml += '<dl class="ok"><dt>利息基数为0</dt><dd></dd></dl>'
//    	}
    	$(_pageId + " .card_cause").html(infoHtml);
//    	if(checkInterestBase == "1" || checkBalance == "1"){
    	if(checkBalance == "1" || checkCurrBusiness=="0" || checkTradeRecored =="0"){
//    		$(_pageId + " .ce_btn").hide();
    		$(_pageId + " .button").text("返回");
    	    appUtils.bindEvent($(_pageId + " .ce_btn"), function () {
    	    	appUtils.clearSStorage("fund_account_bank");//清楚对应的资金账号
    	    	appUtils.pageInit("threeDepository/bankCardChangeInfo", "threeDepository/showBankCard");
//    	    	 appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
          });
    	}else{
            //确认结息并银证转账
            appUtils.bindEvent($(_pageId + " .ce_btn"), function () {
//                interestJieSuan();
            	appUtils.pageInit("threeDepository/bankCardChangeInfo", "threeDepository/takeMoney");
            });
    	}
    }

    function bindPageEvent() {
        //返回
        appUtils.bindEvent($(_pageId + " .icon_back"), function () {
            appUtils.pageInit("threeDepository/bankCardChangeInfo", "threeDepository/bankCardDetails");
//			appUtils.pageBack();
        });
//        //确认结息并银证转账
//        appUtils.bindEvent($(_pageId + " .ce_btn"), function () {
////            interestJieSuan();
//        	appUtils.pageInit("threeDepository/bankCardChangeInfo", "threeDepository/takeMoney");
//        });
    }
    
    
    //将银行卡号格式化为**** **** **** 1111
    function set_bank_no(bank_account) {
        var star = "";
        for (var i = 0; i < bank_account.length - 4; i++) {
            star += "*";
            if ((i + 1) % 4 == 0) {
                star += " ";
            }
        }
        bank_account = star + " " + bank_account.substring(bank_account.length - 4, bank_account.length);

        return bank_account;
    }
//    //结息
//	function interestJieSuan(){
//		var bindBank = {
////			"user_id":appUtils.getSStorageInfo("user_id"),
////			"fund_account":appUtils.getSStorageInfo("curr_loginid"),
////			"bankcode": appUtils.getSStorageInfo("bank_code"),//旧的银行编号
////			"op_account": appUtils.getSStorageInfo("curr_loginid")
//				
//				"user_id":appUtils.getSStorageInfo("userInfo",true).user_id,
//				"fund_account":appUtils.getSStorageInfo("fund_account_bank"),
//				"bankcode": appUtils.getSStorageInfo("bank_code"),//旧的银行编号
//				"op_account": appUtils.getSStorageInfo("fund_account_bank")	
//		};
//		mobileService.interestJieSuan(bindBank, function(data){
//			var error_no = data.error_no;
//			var error_info = data.error_info;
//			console.log("yangrui____"+JSON.stringify(data));
//			if(error_no == "0"){
//				appUtils.pageInit("threeDepository/bankCardChangeInfo", "threeDepository/takeMoney");
//			}else{
//				layerUtils.iAlert(error_info,-1);
//			}
//		})
//	}
	//解除银行卡绑定
	function delectBankCard(){
		var bindBank = {
//			"user_id":appUtils.getSStorageInfo("user_id"),
//			"fund_account":appUtils.getSStorageInfo("curr_loginid"),
//			"password":appUtils.getSStorageInfo("password"),
//			"bankcode": appUtils.getSStorageInfo("bank_code") ,//旧的银行编号
//			"op_account": appUtils.getSStorageInfo("curr_loginid")
				
				"user_id":appUtils.getSStorageInfo("userInfo",true).user_id,
				"fund_account":appUtils.getSStorageInfo("zqAccount",true),
//				"password":appUtils.getSStorageInfo("password"),//可以不需要
				"bankcode": appUtils.getSStorageInfo("bank_code") ,//旧的银行编号
				"op_account": appUtils.getSStorageInfo("fund_account_bank")	
		};
//		mobileService.delectBankCard(bindBank, function(data){
		mobileService.changeBankCard(bindBank, function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			console.log("yangrui_____:"+JSON.stringify(data));
			if(error_no == "0") {
				var results = data.results[0];
				if(results.checkFlag == "0"){
					appUtils.setSStorageInfo("checkTradeRecored",results.checkTradeRecored);//交易记录条件是否满足
					appUtils.setSStorageInfo("checkCurrBusiness",results.checkCurrBusiness);//在途业务条件是否满足
					appUtils.setSStorageInfo("checkBalance",results.checkBalance);//余额条件是否满足
//					appUtils.setSStorageInfo("checkInterestBase",results.checkInterestBase);//利息基数条件是否满足
					appUtils.pageInit("threeDepository/bankCardChangeInfo", "threeDepository/bankCardChangeInfo",{});
				}else{
					appUtils.setSStorageInfo("business_id",results.business_id);//利息基数条件是否满足
					appUtils.pageInit("threeDepository/bankCardChangeInfo", "threeDepository/bankList",{});
//					appUtils.pageInit("threeDepository/bankCardChangeInfo", "threeDepository/showBankCard",{});
				}
			} else {
				$(_pageId + " #delect").hide();
				layerUtils.iAlert(error_info,-1);
				return false;
			}
		});
	}
    //销毁
    function destroy() {
        $(_pageId + " ul.sele_card").html("");   //清空银行卡列表
        mobileService.destroy();
    }

    var bankCardChangeInfo = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };
    module.exports = bankCardChangeInfo;
});
