/**
* 查看协议
*/
define(function(require,exports,module){
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		layerUtils = require("layerUtils"),
		_pageId = "#threeDepository_showProtocol ";
	var mobileService = require("mobileService");
	var external = require("external");
	
	function init(){
		if(appUtils.getSStorageInfo("_prePageCode") == "threeDepository/thirdDepository" || appUtils.getSStorageInfo("_prePageCode") == "threeDepository/bankCardChange")
		{
			appUtils.setSStorageInfo("oriBanckName",appUtils.getPageParam("banckName"));						//银行名称
			appUtils.setSStorageInfo("oriBankUrl",appUtils.getPageParam("bank_url"));							//图标路径
			appUtils.setSStorageInfo("oriBankcode",appUtils.getPageParam("bankcode"));						    //银行编号
			appUtils.setSStorageInfo("oriIscard",appUtils.getPageParam("iscard"));								//是否需要卡号
			appUtils.setSStorageInfo("oriZzispwd",appUtils.getPageParam("zzispwd"));								//是否需要密码
			appUtils.setSStorageInfo("oriZzbindtype",appUtils.getPageParam("zzbindtype"));						//银行绑定方式
			appUtils.setSStorageInfo("oriBankcard",appUtils.getPageParam("bankcard"));							//银行卡号
			appUtils.setSStorageInfo("oriBankpwd",appUtils.getPageParam("bankpwd"));							//银行密码
			appUtils.setSStorageInfo("zjpwd",appUtils.getPageParam("zjpwd"));  							//资金密码
			appUtils.setSStorageInfo("oriIs_checked",appUtils.getPageParam("is_checked"));
		}
		$(_pageId+" .title").text("");
		$(_pageId+" .xy_cont p").text("");
		var protocol_id = appUtils.getPageParam("protocol_id");
		var param = {
			"agree_no" : protocol_id,
			"version":""
		}
		//查询协议内容
		mobileService.getProtocolInfo(param,function(data){
			if(error_no = data.error_no)
			{
				$(_pageId+" .title").text(data.results[0].agree_name);
				$(_pageId+" .xy_cont p").append(data.results[0].content);
			}
			else
			{
				layerUtils.iAlert(data.error_info,-1);
			}
		});
	}
	function bindPageEvent(){
		// 绑定返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
//			appUtils.pageBack();
			appUtils.pageInit("threeDepository/showProtocol",appUtils.getSStorageInfo("returnPage"));
		});
		
		//绑定返回按钮
		appUtils.bindEvent($(_pageId+" .ce_btn"),function(){
//			appUtils.pageBack();
			appUtils.pageInit("threeDepository/showProtocol",appUtils.getSStorageInfo("returnPage"));
		});
		
		//绑定home键 跳转到主界面
		appUtils.bindEvent($(_pageId+" .icon_home"), function(){
//			var param = {
//				"funcNo":"50101",
//				"moduleName":"index"
//			};
//			external.callMessage(param);
//			appUtils.pageInit("threeDepository/showProtocol", "account/addIndex", {});
			appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
		});
	}
	function destroy(){
		// 将协议内容置空
//		$(_pageId+" .top_title h2").text("");
//		$(_pageId+" .rule_entry p").text("");
		$(_pageId+" .title").text("");
		$(_pageId+" .title p").text("");
		mobileService.destroy();
	}
	
	var showProtocol = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = showProtocol;
});