/**
 * 创业板
 */
define(function(require, exports, module){ 
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		layerUtils = require("layerUtils"),
		gconfig = require("gconfig"),
		global = gconfig.global,
		_pageId = "#account_contact";
	var mobileService = require("mobileService");
	var userInfo;
	var external = require("external");
	var platform = gconfig.platform;
	var accountInfoList = null;
	var otherInfo;
	var szaArray;
	var selectedArray;
	var innsers = true;
	var dataOver = false;   //获取的数据状态   默认未结束
	var common = require("common");
	var common_sso = require("common_sso");
	/* 私有业务模块的全局变量 end */
	
	function init()
	{
		external.callMessage({"funcNo": "50100","moduleName":"open"}); 
		$(_pageId+ " #contact_confirm a").hide();
		var param = {
                "funcNo": "60021",
                "navTitle": "提交第二联系人"
            };
            external.callMessage(param);
		var callback = function(result){
			if(result.error_no!="0"){
				var urlDirect = window.location.href;
				urlDirect = urlDirect.split('www')[0]+"www/m/login/index.html";
				layerUtils.iAlert(result.error_info,-1,function(){
					 appUtils.sendDirect(urlDirect);
				});
			}else{
				  getSessionInfo();
			}
		};
		
		var isLogin = require("external").callMessage({"funcNo":"50041","key":"isLogin"});
		if(isLogin.results[0].value == "1"){
			 getUserInfo();
		}else{
			common_sso.zhongZhuLogin(callback);
		}
		

	}
	
	function bindPageEvent(){

		//绑定返回键
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			var param = {
                    "funcNo": "50114",
                    "moduleName": "open"
                };
                external.callMessage(param);
		});

		appUtils.bindEvent($(_pageId+" .icon_home"),function(){
			var param = {
                    "funcNo": "50114",
                    "moduleName": "open"
                };
                external.callMessage(param);
		});
		//绑定提示界面的确认按钮
		appUtils.bindEvent($(_pageId+" #notice_confirm"),function(){
			common.moduleJump();
		});
		
		//绑定联系人界面的确认按钮
		appUtils.bindEvent($(_pageId+" #contact_confirm"),function(){
			if($(_pageId+" .name").val() == "") {
				layerUtils.iAlert("请输入姓名",-1);
				return false;
			}if($(_pageId+" .name").val() == appUtils.getSStorageInfo("name")) {
				layerUtils.iAlert("抱歉，第二联系人姓名不要填写本人！",-1);
				return false;
			}
			if($(_pageId+" .mobileNo").val() == "") {
				layerUtils.iAlert("请输入联系电话",-1);
				return false;
			}
			if($(_pageId+" .mobileNo").val() == appUtils.getSStorageInfo("mobile")) {
				layerUtils.iAlert("不要填写本人联系电话！",-1);
				return false;
			}
			if($(_pageId+" .address").val() == "") {
				layerUtils.iAlert("请输入与联系人关系",-1);
				return false;
			}
			if(dataOver = true){
				var submitCyb = {
    				"user_id":appUtils.getSStorageInfo("user_id"),
    				"name":$(_pageId+" .name").val(),
    				"mobile_no":$(_pageId+" .mobileNo").val(),
    				//传入与本人关系
    				"relation":$(_pageId+" .address").val()
    			};
				mobileService.submitCyb(submitCyb, function(data){
    				var error_no = data.error_no;
    				var error_info = data.error_info;
    				if(error_no == "0") {
    					if(innsers){
    						appUtils.pageInit("account/contact", "account/index", {});
    					}else{
    						layerUtils.iAlert("您没有需要开通的账号！",-1);
    					}
    				}else{
    					layerUtils.iAlert(error_info,-1);
    				}
    			});
			}else{
				layerUtils.iAlert("账户信息查询尚未完成，请稍等...",-1);
			}
		});
		
	}
	
	function destroy(){}
	
	/* 处理请求超时 */
	function handleTimeout()
	{
		layerUtils.iConfirm("请求超时，是否重新加载？",function(){
			initPage();  // 再次获取创业板开通权限
		});
	}
	
	//初始化
    function initPage() {
		// 获取深A和创业板  中登时间
		var param = {
		};
		mobileService.getZDTime(param,function(data){
			var error_no = data.error_no,
				error_info = data.error_info;
				results = data.results;
			if(results[0].isTradeTime == "0"){
				layerUtils.iAlert("当前时间为非交易时间，暂不支持创业板转签!",-1,function(){
					common.moduleJump();
				});
			}else{
			//	layerUtils.iLoading(true);
				// 获取深A和创业板权限开通数据
				var cybInfo = {
					"user_id":appUtils.getSStorageInfo("user_id"),
					"isbind":"1",
					"fundid":appUtils.getSStorageInfo("fund_account")
				};
				mobileService.getCybInfo(cybInfo, function(data){
					console.log("获取深A和创业板权限开通数据"+JSON.stringify(data));
					var error_no = data.error_no;
					var error_info = data.error_info;
					if(error_no == "0"){
						accountInfoList = data.accountInfoList;
						otherInfo = data.otherInfo;
						if(accountInfoList == undefined){
							layerUtils.iAlert("您没有需要开通的账号！",-1);
							return;
						}else{
							if(accountInfoList.length > 0) {
								szaArray = new Array();
								for(var i=0; i<accountInfoList.length; i++) {
									szaArray.push(accountInfoList[i].sza_account+"|"+accountInfoList[i].cyb_open+"|"+accountInfoList[i].cyb_bind);
								}
							} else {
								//没有获取到深A或者创业板权限
								$(_pageId+" .login_pop").hide();
								// 没有开通深A或者深A没有在该券商加挂
								$(_pageId+" #notice").show();
								$(_pageId+" #mainPage").hide();
							}
						}

						// 先查询创业板转签办理的状态
						var cybStatus = {
							"user_id":appUtils.getSStorageInfo("user_id"),
							"entrance": "1"
						};
						mobileService.getCybStatus(cybStatus, function(data){
							$(_pageId+ " #contact_confirm a").show();
							var error_no = data.error_no;
							var error_info = data.error_info;
							var cyb_result = data.results[0];
							var innerHtml = "";
							selectedArray = new Array();
							if(error_no == "0") {
								dataOver = true ;
								$(_pageId+" .name").html(cyb_result.emergency_name);
								$(_pageId+" .mobileNo").html(cyb_result.emergency_mobile);
								$(_pageId+" .address").html(cyb_result.emergency_relation);
								// 创业板转签业务状态
								if(cyb_result.sign_state) {
									appUtils.setSStorageInfo("sign_state", cyb_result.sign_state);
								}
								// 创业板开通类型
								if(cyb_result.open_type) {
									appUtils.setSStorageInfo("open_type", cyb_result.open_type);
								}
								// 签署协议日期 开通创业板标志
								if(cyb_result.sign_date) {
									appUtils.setSStorageInfo("sign_date", cyb_result.sign_date);
								}
								// 是否需要转签
								if(cyb_result.istoadd) {
									appUtils.setSStorageInfo("istoadd", cyb_result.istoadd);
								}
								// 应急联系人姓名
								if(cyb_result.emergency_name) {
									appUtils.setSStorageInfo("emergency_name", cyb_result.emergency_name);
								}
								// 与应急联系人关系
								if(cyb_result.emergency_relation) {
									appUtils.setSStorageInfo("emergency_relation", cyb_result.emergency_relation);
								}
								// 应急联系人固定电话
								if(cyb_result.emergency_tel) {
									appUtils.setSStorageInfo("emergency_tel", cyb_result.emergency_tel);
								}
								// 应急联系人手机
								if(cyb_result.emergency_mobile) {
									appUtils.setSStorageInfo("emergency_mobile", cyb_result.emergency_mobile);
								}
								// 应急联系人地址
								if(cyb_result.emergency_address) {
									appUtils.setSStorageInfo("emergency_address", cyb_result.emergency_address);
								}
								// 是否已有数字证书
								if(cyb_result.hascert) {
									appUtils.setSStorageInfo("hascert", cyb_result.hascert);
								}
								// 是否已有托管证书
								if(cyb_result.hasTgcert) {
									appUtils.setSStorageInfo("hasTgcert", cyb_result.hasTgcert);
								}
								// 创业板开通状态
								if(cyb_result.cyb_exist) {
									appUtils.setSStorageInfo("cyb_exist", cyb_result.cyb_exist);
								}
								//账号状态
								appUtils.setSStorageInfo("accountstate",cyb_result.accountstate);
								//已选择的交易账号
								appUtils.setSStorageInfo("trdaccount",cyb_result.trdaccount);
								appUtils.setSStorageInfo("submit_emergency",cyb_result.submit_emergency);
								var accountstate = cyb_result.accountstate;

								//有深A 账号的情况下
								if(accountstate != null) {
									var accountstateArray = accountstate.split(",");
									for(var m=0; m<szaArray.length; m++) {
										var szaItem = szaArray[m];
										if(szaItem.split("|")[2] == "1"){//szaItem.split("|")[1] == "1" &&
											selectedArray.push(szaItem);
											continue;
										}else{
											if(szaItem.split("|")[1] == "1") {
												var flag = false;
												for(var n=0; n<accountstateArray.length; n++) {
													var accountstateItem = accountstateArray[n];
													if((accountstateItem+"|").indexOf(szaItem.split("|")[0]) != -1) {
														var state = accountstateArray[n].split("|")[2];
														if(state == "0"){
															//已勾选
															szaItem = szaItem.split("|")[0]+"|"+"g";
															selectedArray.push(szaItem);
														}else if(state == "1"){
															continue;
														}else if(state == "2"){
															//失败
															szaItem = szaItem.split("|")[0]+"|"+"s";
															if(accountstateArray[n].split("|")[3]){
																szaItem = szaItem.split("|")[0]+"|"+"s"+"|"+accountstateArray[n].split("|")[3];
															}
															selectedArray.push(szaItem);
														}
														flag = true;
														break;
													}
												}
												if(!flag) {
													szaItem = szaItem.split("|")[0]+"|"+"w";
													selectedArray.push(szaItem);
												}
											}
											else{
												//有账户没有开通权限
												layerUtils.iAlert("您有需要开通的账号，但是没有开通权限，请到柜台办理相关业务！",-1);
											}
										}
									}
									if(selectedArray.length > 0) {
										$(_pageId+" .login_pop").hide();
										$(_pageId+" #notice").hide();
										$(_pageId+" #mainPage").show();
										for(var k=0; k<selectedArray.length; k++) {
											var selectedItem = selectedArray[k];
											if(selectedItem.split("|")[1] == "1") {
												innerHtml += "<li><a class='icon_check disable' href='javascript:void(0)'>"+selectedItem.split("|")[0]+"</a><a href='javascript:void(0)' class='account_right'>已开通</a></li>";
											} else if(selectedItem.split("|")[1] == "g") {
												innerHtml += "<li><a class='icon_check disable' href='javascript:void(0)'>"+selectedItem.split("|")[0]+"</a><a href='javascript:void(0)' class='account_right'>已申请</a></li>";
											} else if(selectedItem.split("|")[1] == "s") {
												innerHtml += "<li><a class='icon_check checked' href='javascript:void(0)'>"+selectedItem.split("|")[0]+"</a><a href='javascript:void(0)' class='account_error' decription=\""+selectedItem.split("|")[2]+"\">失败</a></li>";
											} else if(selectedItem.split("|")[1] == "w") {
												//判断是否存在 可勾选的 选项
												appUtils.setSStorageInfo("cunzaicyb","1");
												innerHtml += "<li><a class='icon_check' href='javascript:void(0)'>"+selectedItem.split("|")[0]+"</a></li>";
											}
										}
										$(_pageId+" .account_list").html(innerHtml);
									}
								}
								//cyb_result.state != "0" && cyb_result.state != "submit_emergency" && cyb_result.state != undefined && cyb_result.state != "" 
								if(cyb_result.state == "1" || cyb_result.state == "2" || cyb_result.state == "3" || cyb_result.state == "4" || cyb_result.state == "5"){
									appUtils.setSStorageInfo("innerHtml",innerHtml);
									appUtils.setSStorageInfo("state",cyb_result.state);
									appUtils.setSStorageInfo("accountstate",accountstate);
									
									appUtils.pageInit("account/contact", "account/result", {});
								}else{
									if(innerHtml !=""){
										appUtils.setSStorageInfo("innerHtml",innerHtml);
									}else{
										innsers = false;
									}
								}
							}else {
								innsers = false;
								return false;
								
								layerUtils.iAlert(error_info,-1,function(){
									var param = {
									"funcNo": "50114",
									"moduleName": "open"
								};
								external.callMessage(param);
								});
								
							}
						},{"isShowWait": true, "isLastReq":true, "timeOutFunc": handleTimeout});
					} else {
						innsers = false;
						layerUtils.iAlert(error_info,-1,function(){
									var param = {
									"funcNo": "50114",
									"moduleName": "open"
								};
								external.callMessage(param);
								});
					}
				},{"isShowWait": true, "isLastReq":true, "timeOutFunc": handleTimeout});
			}
		},{"isShowWait": true, "isLastReq":false, "timeOutFunc": handleTimeout});
	}

    
    function getSessionInfo(){
    	 var userInfo = appUtils.getSStorageInfo("userInfo2");
    	//user_id保存到session
 		if( userInfo.user_id) {
 			appUtils.setSStorageInfo("user_id",  userInfo.user_id);
 			appUtils.setSStorageInfo("userInfo2",  userInfo);
 		}
 		//登陆账号保存到session
 		if( userInfo.login_id) {
 			appUtils.setSStorageInfo("login_id",  userInfo.login_id);
 		}
 		//证件类型保存到session
 		if( userInfo.identity_type) {
 			appUtils.setSStorageInfo("identity_type",  userInfo.identity_type);
 		}
 		//证件号码保存到session
 		if( userInfo.identity_num) {
 			appUtils.setSStorageInfo("identity_num",  userInfo.identity_num);
 		}
 		//姓名保存到session
 		if( userInfo.name) {
 			appUtils.setSStorageInfo("name",  userInfo.name);
 		}
 		//是否是交易用户 保存到session
 		if( userInfo.is_trade) {
 			appUtils.setSStorageInfo("is_trade",  userInfo.is_trade);
 		}
 		//交易账户保存到session
 		if( userInfo.trade_account) {
 			appUtils.setSStorageInfo("trade_account",  userInfo.trade_account);
 		}
 		//昵称保存到session
 		if( userInfo.nick_name) {
 			appUtils.setSStorageInfo("nick_name",  userInfo.nick_name);
 		}
 		//sex性别保存到session
 		if( userInfo.sex) {
 			appUtils.setSStorageInfo("sex",  userInfo.sex);
 		}
 		//birthday生日保存到session
 		if( userInfo.birthday) {
 			appUtils.setSStorageInfo("birthday",  userInfo.birthday);
 		}
 		//mobile手机保存到session
 		if( userInfo.mobile) {
 			appUtils.setSStorageInfo("mobile",  userInfo.mobile);
 		}
 		//login_by_mobile手机绑定保存到session
 		if( userInfo.login_by_mobile) {
 			appUtils.setSStorageInfo("login_by_mobile",  userInfo.login_by_mobile);
 		}
 		//email邮箱保存到session
 		if( userInfo.email) {
 			appUtils.setSStorageInfo("email",  userInfo.email);
 		}
 		//login_by_email绑定邮箱保存到session
 		if( userInfo.login_by_email) {
 			appUtils.setSStorageInfo("login_by_email",  userInfo.login_by_email);
 		}
 		//telephone固定电话绑定到session
 		if( userInfo.telephone) {
 			appUtils.setSStorageInfo("telephone",  userInfo.telephone);
 		}
 		//address通信住址保存到session
 		if( userInfo.address) {
 			appUtils.setSStorageInfo("address",  userInfo.address);
 		}
 		//post_code邮编保存到session
 		if( userInfo.post_code) {
 			appUtils.setSStorageInfo("post_code",  userInfo.post_code);
 		}
 		//qq_microblog QQ微博账号保存到session
 		if( userInfo.qq_microblog) {
 			appUtils.setSStorageInfo("qq_microblog",  userInfo.qq_microblog);
 		}
 		//sina_microblog 新浪微博账号保存到session
 		if( userInfo.sina_microblog) {
 			appUtils.setSStorageInfo("sina_microblog",  userInfo.sina_microblog);
 		}
 		//QQ号保存到session
 		if( userInfo.qq) {
 			appUtils.setSStorageInfo("qq",  userInfo.qq);
 		}
 		//wechat号保存到session
 		if( userInfo.wechat) {
 			appUtils.setSStorageInfo("wechat",  userInfo.wechat);
 		}
 		//recommend_person推荐人保存到session
 		if( userInfo.recommend_person) {
 			appUtils.setSStorageInfo("recommend_person",  userInfo.recommend_person);
 		}
 		//last_login_time上次登录时间保存到session
 		if( userInfo.last_login_time) {
 			appUtils.setSStorageInfo("last_login_time",  userInfo.last_login_time);
 		}
 		//occupational职业保存到session
 		if( userInfo.occupational) {
 			appUtils.setSStorageInfo("occupational",  userInfo.occupational);
 		}
 		//adapter学历保存到session
 		if( userInfo.adapter) {
 			appUtils.setSStorageInfo("adapter",  userInfo.adapter);
 		}
 		//certuid证书用户id保存到session
 		if( userInfo.certuid) {
 			appUtils.setSStorageInfo("certuid",  userInfo.certuid);
 		}
 		//branch_no营业部保存到session
 		if( userInfo.branch_no) {
 			appUtils.setSStorageInfo("branch_no",  userInfo.branch_no);
 		}
 		//emergency_name应急联系人姓名保存到session
 		if( userInfo.emergency_name) {
 			appUtils.setSStorageInfo("emergency_name",  userInfo.emergency_name);
 		}
 		//emergency_relation与应急联系人关系保存到session
 		if( userInfo.emergency_relation) {
 			appUtils.setSStorageInfo("emergency_relation",  userInfo.emergency_relation);
 		}
 		//emergency_tel应急联系人固定电话保存到session
 		if( userInfo.emergency_tel) {
 			appUtils.setSStorageInfo("emergency_tel",  userInfo.emergency_tel);
 		}
 		//emergency_mobile应急联系人手机保存到session
 		if( userInfo.emergency_mobile) {
 			appUtils.setSStorageInfo("emergency_mobile",  userInfo.emergency_mobile);
 		}
 		//emergency_email应急联系人邮箱保存到session
 		if( userInfo.emergency_email) {
 			appUtils.setSStorageInfo("emergency_email",  userInfo.emergency_email);
 		}
 		//authentication_state实名认证,绑定银行卡 保存到session
 		if( userInfo.authentication_state) {
 			appUtils.setSStorageInfo("authentication_state",  userInfo.authentication_state);
 		}
 		//org_id机构ID(第三方接口)保存到session
 		if( userInfo.org_id) {
 			appUtils.setSStorageInfo("org_id",  userInfo.org_id);
 		}
 		//emergency_address应急联系人联系地址保存到session
 		if( userInfo.emergency_address) {
 			appUtils.setSStorageInfo("emergency_address",  userInfo.emergency_address);
 		}
 		//type_code类别代码保存到session
 		if( userInfo.type_code) {
 			appUtils.setSStorageInfo("type_code",  userInfo.type_code);
 		}
 		//type_name类别名称保存到session
 		if( userInfo.type_name) {
 			appUtils.setSStorageInfo("type_name",  userInfo.type_name);
 		}
 		//vip_level会员等级保存到session
 		if( userInfo.vip_level) {
 			appUtils.setSStorageInfo("vip_level",  userInfo.vip_level);
 		}
 		//total_integration用户总积分保存到session
 		if( userInfo.total_integration) {
 			appUtils.setSStorageInfo("total_integration",  userInfo.total_integration);
 		}
    	if(userInfo.curr_loginid) {
            appUtils.setSStorageInfo("curr_loginid", userInfo.curr_loginid);
        }
         if(userInfo.client_id) {
            appUtils.setSStorageInfo("client_id", userInfo.client_id);
        }
        if(userInfo.fund_account) {
            appUtils.setSStorageInfo("fund_account", userInfo.fund_account);
        }
        if(userInfo.fundid) {
            appUtils.setSStorageInfo("fundid", userInfo.fundid);
            appUtils.setSStorageInfo("zqAccount", userInfo.fundid);
        }
 		appUtils.setSStorageInfo("ygt_login", "1");
        appUtils.setSStorageInfo("userInfo2", userInfo);
        appUtils.setSStorageInfo("userInfo", userInfo);
    	initPage();
    }
    
    
	//从原生内存缓存中获取用户信息
	//从原生内存缓存中获取用户信息
	function getUserInfo() {
		if(platform == 0){
			userInfo = appUtils.getSStorageInfo("userInfo");
			var zqAccount = appUtils.getSStorageInfo("zqAccount", true);
			appUtils.setSStorageInfo("zqAccount", zqAccount);
			common_sso.synUserInof(userInfo,initPage);
		}else{
			var param = {
				"funcNo":"50041",
				"key":"userInfo"
			};
			var result = external.callMessage(param);
			if(result.error_no == "0" || result.error_no == "1") {
				if(JSON.stringify(result.results[0]) == "{}") {
					return false;
				}
				userInfo = result.results[0].value;
				appUtils.setSStorageInfo("userInfo2", userInfo);
				var param = {
					"funcNo":"50041",
					"key":"zqAccount"
				};
				var result = external.callMessage(param);
				if(result.error_no == "0" || result.error_info == "1") {
					zqAccount = result.results[0].value;
					console.log("zhaocheng@@@+++"+zqAccount);
					appUtils.setSStorageInfo("zqAccount", zqAccount);
					//把从内存缓存中的数据取出来存到H5缓存中
				common_sso.synUserInof(userInfo,initPage);
				} else {
					layerUtils.iAlert(result.error_info);
					return false;
				}
			} else {
				layerUtils.iAlert(result.error_info);
				return false;
			}
		}
	}

	//把从原生内存缓存中取到的用户信息保存到session中
	function setUserInfo() {}


	var contact = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = contact;
});
