/**
* 查看协议
*/
define(function(require,exports,module){
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		layerUtils = require("layerUtils"),
		_pageId = "#account_showProtocol";
	var mobileService = require("mobileService");
	var external = require("external");
	var platform = require("gconfig").platform;
	
	function init(){
		var param = {
                "funcNo": "60021",
                "navTitle": "查看协议"
            };
            external.callMessage(param);
		// 清除原有数据
		//$(_pageId+" .top_title h2").text("");
		$(_pageId+" .title").text("");
		$(_pageId+" .xy_cont p").html("");
		var protocol_id = appUtils.getPageParam("protocol_id");
		var protocol_type = appUtils.getPageParam("protocol_type");
		
		if(protocol_type=="gzh"){
			var param = {
				"user_id" : appUtils.getSStorageInfo("userInfo").user_id,
				"agree_no" : appUtils.getSStorageInfo("agree_no"),
				"risklevel" : appUtils.getSStorageInfo("risklevel"),
				"business_code" : appUtils.getSStorageInfo("business_code"),
				"agree_type" : appUtils.getSStorageInfo("agree_type")
			}
			//查询协议内容
			mobileService.getGzhProtocolInfo(param,function(data){
				if(error_no = data.error_no)
				{
//					$(_pageId+" .xy_cont").html('<div class="title">'+data.results[0].md5+'</div>'+data.results[0].content);
//					$(_pageId+" .xy_cont").html(data.results[0].content);
					$(_pageId+" .xy_cont p").append(data.results[0].content);
					 appUtils.setSStorageInfo("md5", data.results[0].md5);
					 appUtils.setSStorageInfo("agree_content", data.results[0].content);
				}
				else
				{
					layerUtils.iAlert(data.error_info,-1);
				}
			});
		
		}else{
			var param = {
				"agree_no" : protocol_id,
				"version":""
			}
			//查询协议内容
			mobileService.getProtocolInfo(param,function(data){
				if(error_no = data.error_no)
				{
					$(_pageId+" .title").text(data.results[0].agree_name);
					$(_pageId+" .xy_cont p").append(data.results[0].content);
				}
				else
				{
					layerUtils.iAlert(data.error_info,-1);
				}
			});
		}
	}
	
	function bindPageEvent(){
		// 绑定返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
		
		//绑定返回按钮
		appUtils.bindEvent($(_pageId+" .ct_btn"),function(){
			appUtils.pageBack();
		});
		
		//绑定home键 跳转到主界面
		appUtils.bindEvent($(_pageId+" .icon_home"), function(){
			var param = {
                    "funcNo": "50114",
                    "moduleName": "open"
                };
                external.callMessage(param);
		});
	}
	function destroy(){
		// 将协议内容置空
//		$(_pageId+" .top_title h2").text("");
//		$(_pageId+" .rule_entry p").text("");
		$(_pageId).remove();
		mobileService.destroy();
	}
	
	var showProtocol = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = showProtocol;
});
