/**
 * 获取沪A股东账号
 */
define(function(require, exports, module){ 
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		layerUtils = require("layerUtils"),
		Map = require("map"),
		fristMap = null,  //  存放所有相关协议
	    protocolArray = new Array(),  // 存放协议签名值
	    countProtocol = 0, // 计算签署成功的数量
        stockder = "",  //1 代表选择了，2代表 未选择
		_pageId = "#account_stockHolder";
	var mobileService = require("mobileService");
	var platform = require("gconfig").platform;
	var external = require("external");
	var isDoingFlag;//是否有正在处理
    var shaArray;
    var szaArray;
    var allArray;
    var selectedSha;
    var selectedArray;
    var isReturn;
    var common = require("common");	
	function init()
	{
		var param = {
                "funcNo": "60021",
                "navTitle": "选择你要开通的账号"
            };
            external.callMessage(param);
		$(_pageId+" .account_list").html("");
		isDoingFlag = false;
		if(appUtils.getSStorageInfo("signFlag") != "1") {
			signFlag = "2";
			appUtils.setSStorageInfo("signFlag",signFlag);
		}
		shaArray = null;
		szaArray = null;
		allArray = null;
		selectedSha = null;
        selectedArray = null;
        isReturn = false;
		//查询协议
		initPage();
	}
	
	//绑定
	function bindPageEvent(){
		//绑定提交申请
		appUtils.bindEvent($(_pageId+" .ct_btn"),function(){
			if(!isReturn){
				if(!$(_pageId+" .icon_check").hasClass("checked")) {
					if(appUtils.getSStorageInfo("cunzai")=="1"){
						layerUtils.iMsg(-1, "请选择未开通的股东账户!");
						return false;
					}else{
						if(isDoingFlag){//如果有正在处理的账户
							layerUtils.iMsg(-1, "您提交的申请正在处理中!");
						}else{
							layerUtils.iMsg(-1, "您所有的账户均已开通!");
						}
						return false;
					}
				} else {
					//提交
					submitSha();
				}
			}else{
				var param = {
	                    "funcNo": "50114",
	                    "moduleName": "open"
	                };
	                external.callMessage(param);
			}
		});
		
		//绑定返回按钮
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageInit("account/stockHolder","business/index", shaArray);
		});
		
		//绑定home键 跳转到主界面
		appUtils.bindEvent($(_pageId+" .icon_home"), function(){
			// 这应该回调给中卓APP登录页面
			var param = {
                    "funcNo": "50114",
                    "moduleName": "open"
                };
                external.callMessage(param);
			// common.moduleJump();
		});	}
	
	function destroy()
	{
		mobileService.destroy();
	}
	
	/* 保存 */
	function submitSha()
	{
		var trdaccount = "";
		var flagSZ = false;
		var flagSH = false;
		$(_pageId+" .icon_check").each(function(){
			if($(this).hasClass("checked")) {
				var content = $(this).html();
				trdaccount += content+",";
				if(content.indexOf("深") > -1){
					flagSZ = true;
				}else if(content.indexOf("沪") > -1){
					flagSH = true;
				}
			}
		});
		var ggt_selected_acc = 0;//已选择的账户  0：未选择，1：深A，2：沪A，3：深A和沪A
		if(flagSZ && flagSH){
			ggt_selected_acc = 3;
		}else if(flagSZ){
			ggt_selected_acc = 1;
		}else if(flagSH){
			ggt_selected_acc = 2;
		}
		appUtils.setSStorageInfo("ggt_selected_acc",ggt_selected_acc);
		trdaccount = trdaccount.substring(0,trdaccount.lastIndexOf(','));
        appUtils.setSStorageInfo("trdaccountA",trdaccount);
        //改变 √ 状态
        stockder="1";
        appUtils.setSStorageInfo("stockder",stockder);
        appUtils.pageInit("account/stockHolder","account/mainPage",{});
	}
	// 初始化页面
	function initPage() {
		// 沪A账号数组
		var ppppp = appUtils.getSStorageInfo("shaArray");
		if(ppppp != "" && ppppp != undefined){
			
				shaArray = ppppp[0].split(",");// 沪A账号数组 123456865|1|沪A
			
		}else{
			shaArray = [];
		}
		var qqqqq = appUtils.getSStorageInfo("szaArray");
        if(qqqqq != "" && qqqqq != undefined){
			
				szaArray = qqqqq[0].split(",");// 沪A账号数组 123456865|1|沪A
			
		}else{
			szaArray = [];
		}        checkNeedSign(shaArray);//检查是否有已开通沪港通的需要重新签协议的
        allArray = shaArray.concat(szaArray);//深A、沪A合并
		// 账号状态
		accountstate = appUtils.getSStorageInfo("accountstate");
		// 已选择的交易账号
		trdaccount = appUtils.getSStorageInfo("trdaccount");
		selectedArray = new Array();
		var innerHtml = "";
		var accountstateArray = "";
		if(accountstate != null) {
			accountstateArray = accountstate.split(",");			for(var i=0; i<allArray.length; i++) {
				var shaItem = allArray[i];				if(shaItem.split("|")[1] == "1"){
					selectedArray.push(shaItem);
				 	continue;
				}
				var flag = false;
			//	for(var j=0; j<accountstateArray.length; j++) {
					var accountstateItem = accountstateArray[j];
					if((accountstateItem+"|").indexOf(shaItem.split("|")[0]) != -1) {
						var state = accountstateArray[j].split("|")[2];
						if(state == "0"){
							//已勾选
//							shaItem = shaItem.split("|")[0]+"|"+"g"+"_"+shaItem.split("|")[2];
//							selectedArray.push(shaItem);
							shaItem = shaItem.split("|")[0]+"|"+"w"+"_"+shaItem.split("|")[2];
							selectedArray.push(shaItem);
						}else if(state == "1"){
							continue;
						}else if(state == "2"){
							//失败
							shaItem = shaItem.split("|")[0]+"|"+"s"+"_"+shaItem.split("|")[2];
							if(accountstateArray[j].split("|")[3]){
                        		shaItem = shaItem.split("|")[0]+"|"+"s"+"|"+accountstateArray[j].split("|")[3]+"_"+shaItem.split("|")[2];
                        	}
                        	selectedArray.push(shaItem);
						}
						flag = true;
						break;
					}else {
						shaItem = shaItem.split("|")[0]+"|"+"w"+"_"+shaItem.split("|")[2];
						selectedArray.push(shaItem);
					}
			//	}
			}
			//
			for(var k=0; k<selectedArray.length; k++) {
				var selectedItem = selectedArray[k];
				var stk = selectedItem.split("_")[1];
				if(stk == undefined || stk == ""){
					stk = selectedItem.split("|")[2];
				}
				if(selectedItem.split("|")[1] == "1") {
					innerHtml += "<li><a class='icon_check disable' href='javascript:void(0)'>"+stk+" "+selectedItem.split("|")[0]+"</a><a href='javascript:void(0)' class='account_right'>已开通</a></li>";
				} else if(selectedItem.split("|")[1].indexOf("g") > -1) {
					isDoingFlag = true;
					innerHtml += "<li><a class='icon_check disable' href='javascript:void(0)'>"+stk+" "+selectedItem.split("|")[0]+"</a><a href='javascript:void(0)' class='account_right'>成功</a></li>";
				} else if(selectedItem.split("|")[1].indexOf("s") > -1) {
					innerHtml += "<li><a class='icon_check checked' href='javascript:void(0)'>"+stk+" "+selectedItem.split("|")[0]+"</a><a href='javascript:void(0)' class='account_error' decription=\""+selectedItem.split("|")[2]+"\">失败</a></li>";
				} else if(selectedItem.split("|")[1].indexOf("w") > -1) {
                    //判断是否存在 可勾选的 选项
                    appUtils.setSStorageInfo("cunzai","1");
					innerHtml += "<li><a class='icon_check' href='javascript:void(0)'>"+stk+" "+selectedItem.split("|")[0]+"</a></li>";
				}
			}
			$(_pageId+" .account_list").html(innerHtml);
			appUtils.bindEvent($(_pageId+" .account_list li a:eq(1)"), function(e){
				if($(this).html() == "失败") {
					layerUtils.iAlert($(this).attr("decription"));
				}
				e.stopPropagation();
			});			appUtils.bindEvent($(_pageId+" .icon_check"), function(e){
				if(!$(this).hasClass("disable")) {
					$(this).toggleClass("checked"); //  切换勾选样式
				}
				e.stopPropagation();
			});
		} else {
			for(var i=0; i<allArray.length; i++) {                if(allArray[i].split("|")[1]!=0){
                    /*   开始    */
               //     for(var i=0; i<allArray.length; i++) {
                        var shaItem = allArray[i];                        if(shaItem.split("|")[1] == "1"){
                            selectedArray.push(shaItem);
                            continue;
                        }
                        var flag = false;
                        if(accountstateArray != ""){
							for(var j=0; j<accountstateArray.length; j++) {
								var accountstateItem = accountstateArray[j];
								if((accountstateItem+"|").indexOf(shaItem.split("|")[0]) != -1) {
									var state = accountstateArray[j].split("|")[2];
									if(state == "0"){
										//已勾选
//										shaItem = shaItem.split("|")[0]+"|"+"g"+"_"+shaItem.split("|")[2];
//										selectedArray.push(shaItem);
										shaItem = shaItem.split("|")[0]+"|"+"w"+"_"+shaItem.split("|")[2];
										selectedArray.push(shaItem);
									}else if(state == "1"){
										continue;
									}else if(state == "2"){
										//失败
										shaItem = shaItem.split("|")[0]+"|"+"s"+"_"+shaItem.split("|")[2];
										if(accountstateArray[j].split("|")[3]){
											shaItem = shaItem.split("|")[0]+"|"+"s"+"|"+accountstateArray[j].split("|")[3]+"_"+shaItem.split("|")[2];
										}
										selectedArray.push(shaItem);
									}
									flag = true;
									break;
								}else {
									shaItem = shaItem.split("|")[0]+"|"+"w"+"_"+shaItem.split("|")[2];
									selectedArray.push(shaItem);
								}
							}
						}
          //          }
                    //                    /*结束*/
                }else{
                	appUtils.setSStorageInfo("cunzai","1");
                    innerHtml += "<li><a class='icon_check' href='javascript:void(0)'>"+allArray[i].split("|")[2]+allArray[i].split("|")[0]+"</a></li>";
                }
			}
			for(var k=0; k<selectedArray.length; k++) {
				var selectedItem = selectedArray[k];
				var stk = selectedItem.split("_")[1];
				if(stk == undefined || stk == ""){
					stk = selectedItem.split("|")[2];
				}
				if(selectedItem.split("|")[1] == "1") {
					innerHtml += "<li><a class='icon_check disable' href='javascript:void(0)'>"+stk+" "+selectedItem.split("|")[0]+"</a><a href='javascript:void(0)' class='account_right'>已开通</a></li>";
				} else if(selectedItem.split("|")[1].indexOf("g") > -1) {
					isDoingFlag = true;
					innerHtml += "<li><a class='icon_check disable' href='javascript:void(0)'>"+stk+" "+selectedItem.split("|")[0]+"</a><a href='javascript:void(0)' class='account_right'>成功</a></li>";
				} else if(selectedItem.split("|")[1].indexOf("s") > -1) {
					innerHtml += "<li><a class='icon_check checked' href='javascript:void(0)'>"+stk+" "+selectedItem.split("|")[0]+"</a><a href='javascript:void(0)' class='account_error' decription=\""+selectedItem.split("|")[2]+"\">失败</a></li>";
				} else if(selectedItem.split("|")[1].indexOf("w") > -1) {
					//判断是否存在 可勾选的 选项
					appUtils.setSStorageInfo("cunzai","1");
					innerHtml += "<li><a class='icon_check' href='javascript:void(0)'>"+stk+" "+selectedItem.split("|")[0]+"</a></li>";
				}
			}
			// 显示所有沪A
			$(_pageId+" .account_list").html(innerHtml);
			appUtils.bindEvent($(_pageId+" .icon_check"), function(e){
				if(!$(this).hasClass("disable")) {
					$(this).toggleClass("checked"); //  切换勾选样式
				}
				e.stopPropagation();
			});
		}
		//如果都开通
		if(!$(_pageId+" .icon_check").hasClass("checked")) {
			if(appUtils.getSStorageInfo("cunzai")=="1"){
				return;
			}else{
				$(_pageId+" .ct_btn a").html("返回");
				isReturn = true;
			}
		}
	}	function checkNeedSign(array){
		var shaNeedSign = appUtils.getSStorageInfo("shaNeedSign");
		var flag = false;//是否存在已开通的沪A
		for(var i=0;i<array.length;i++){
			if((array[i].indexOf("沪") > -1) && array[i].split("|")[1] == "1"){
				flag = true;
			}
		}
		if(flag && (shaNeedSign == "1")){
			layerUtils.iConfirm("您需要重新签署沪港通权限开通相关协议", function(){
				appUtils.pageInit("account/stockHolder","account/signHgtProtocol");
			}, function(){
				return;
			}, "确定", "取消");
		}
	}	var stockHolder = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
		
	module.exports = stockHolder;
});