
/**
* 结果页
*/
define(function(require,exports,module){
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		 gconfig = require("gconfig"),
		_pageId = "#account_result";
	var mobileService = require("mobileService");
	var external = require("external");
    var platform = gconfig.platform;	function init(){
		var param = {
                "funcNo": "60021",
                "navTitle": "国债逆回购-结果页"
            };
            external.callMessage(param);
		cleanPageInfo();
		//初始化页面
		initPage();
	}
	
	function bindPageEvent(){
		//绑定确认按钮
		appUtils.bindEvent($(_pageId+" .ct_btn"), function(){var param = {
                "funcNo": "50114",
                "moduleName": "open"
            };
            external.callMessage(param);
            });
		
		//绑定home键 跳转到主界面
		appUtils.bindEvent($(_pageId+" .icon_home"), function(){
			var param = {
                    "funcNo": "50114",
                    "moduleName": "open"
                };
                external.callMessage(param);
		});		appUtils.bindEvent($(_pageId+" .icon_back"), function(){
			var param = {
                    "funcNo": "50114",
                    "moduleName": "open"
                };
                external.callMessage(param);
		});
	}
	
	//初始化页面
	function initPage() {
		var openState = appUtils.getSStorageInfo("openState");
		// 开通成功
		if(openState == "1") {
			$(_pageId+" .result_main h5").html("创业板转签成功");
			$(_pageId+" .result_main p").hide();
		} else {
			$(_pageId+" .result_main h5").html("提交成功");
			$(_pageId+" .result_main p").show();
		}
	}
	
	function cleanPageInfo() {
		$(_pageId+" .result_main h5").html("提交成功");
		$(_pageId+" .result_main p").show();
	}
	
	function destroy(){
		mobileService.destroy();
	}
	
	var result = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = result;
});
