define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var layerUtils = require("layerUtils");
	var _pageId = "#account_idVideoResult";
	var gconfig = require("gconfig");
	var platform = gconfig.platform;
	var global = require("gconfig").global;
	var common = require("common");
	
	function init() {
		var param = {
                "funcNo": "60021",
                "navTitle": "视频见证"
            };
            external.callMessage(param);
	}

	function bindPageEvent() {
		appUtils.bindEvent($(_pageId+" .icon_back"), function() {
			appUtils.pageInit("account/idVideoResult", "account/videoNotice", {});
		});
		
		appUtils.bindEvent($(_pageId+" .ce_btn"), function() {
			appUtils.pageInit("account/idVideoResult", "account/identityCardResult", {});
		});
		
		appUtils.bindEvent($(_pageId+" .icon_home"), function() {
			common.moduleJump();
		});
	}
	
	function destroy(){
		//$(_pageId).remove();
	}
	
	var idVideoResult = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = idVideoResult;
});
