/**
* 身份证升位
* 杨瑞
*/
define(function(require,exports,module) {
    var appUtils = require("appUtils"),
        global = require("gconfig").global,
        layerUtils = require("layerUtils"),
        _pageId = "#account_identityCardResult";
    var mobileService = require("mobileService");
    var validatorUtil=require('validatorUtil');
    var external = require("external");
    var platform = require("gconfig").platform;
    var openflag = ""; 
    var identityCard_state="";
    var common = require("common");
	 	var common_sso = require("common_sso"); 
	function init() {
		var param = {
                "funcNo": "60021",
                "navTitle": "身份证升位"
            };
            external.callMessage(param);
				var callback = function(result){
			if(result.error_no!="0"){
				var urlDirect = window.location.href;
				urlDirect = urlDirect.split('www')[0]+"www/m/login/index.html";
				layerUtils.iAlert(result.error_info,-1,function(){
					 appUtils.sendDirect(urlDirect);
				});
			}else{
				Userinfo();
			}
		};
		var isLogin = require("external").callMessage({"funcNo":"50041","key":"isLogin"});
		if(isLogin.results[0].value == "1"){
			 getUserInfo();
		}else{
			common_sso.zhongZhuLogin(callback);
		}
			
			
			
			
    	//Userinfo();
    }    
	function initPage(){
    	var IDNo = appUtils.getSStorageInfo("identity_num");
		//如果身份证号码已经是18位，则不需要调接口
		if(IDNo != "" && IDNo != undefined){
			if(IDNo.length < 18){
				idCardIsYes();
			}else{
				layerUtils.iAlert("您的身份证为18位，不需要进行升位",-1,function(){
						var param = {
							"funcNo": "50114",
							"moduleName": "open"
						};
					external.callMessage(param);
					});
					}
				appUtils.setSStorageInfo("enter_flag1","1");
			}
		}
      //--4用户信息
	function  Userinfo(){
		var userInfo=sessionStorage.getItem("idcardSw|userInfo2");
		//user_id保存到session
 		if( JSON.parse(userInfo).user_id) {
 			appUtils.setSStorageInfo("user_id",  JSON.parse(userInfo).user_id);
 			
 		}
 		//登陆账号保存到session
 		if( JSON.parse(userInfo).login_id) {
 			appUtils.setSStorageInfo("login_id",  JSON.parse(userInfo).login_id);
 		}
 		//证件类型保存到session
 		if( JSON.parse(userInfo).identity_type) {
 			appUtils.setSStorageInfo("identity_type",  JSON.parse(userInfo).identity_type);
 		}
 		//证件号码保存到session
 		if( JSON.parse(userInfo).identity_num) {
 			appUtils.setSStorageInfo("identity_num",  JSON.parse(userInfo).identity_num);
 		}
 		//姓名保存到session
 		if( JSON.parse(userInfo).name) {
 			appUtils.setSStorageInfo("name",  JSON.parse(userInfo).name);
 		}
 		//是否是交易用户 保存到session
 		if( JSON.parse(userInfo).is_trade) {
 			appUtils.setSStorageInfo("is_trade",  JSON.parse(userInfo).is_trade);
 		}
 		//交易账户保存到session
 		if( JSON.parse(userInfo).trade_account) {
 			appUtils.setSStorageInfo("trade_account",  JSON.parse(userInfo).trade_account);
 		}
 		//昵称保存到session
 		if( JSON.parse(userInfo).nick_name) {
 			appUtils.setSStorageInfo("nick_name",  JSON.parse(userInfo).nick_name);
 		}
 		//sex性别保存到session
 		if( JSON.parse(userInfo).sex) {
 			appUtils.setSStorageInfo("sex",  JSON.parse(userInfo).sex);
 		}
 		//birthday生日保存到session
 		if( JSON.parse(userInfo).birthday) {
 			appUtils.setSStorageInfo("birthday",  JSON.parse(userInfo).birthday);
 		}
 		
 		
 		
 		if(validatorUtil.isNotEmpty(appUtils.getSStorageInfo("mobiles"))){
 			appUtils.setSStorageInfo("mobile",appUtils.getSStorageInfo("mobiles"));
 	 	 	
 		}else{
 			//mobile手机保存到session
 	 		if( JSON.parse(userInfo).mobile) {
 	 			appUtils.setSStorageInfo("mobile",  JSON.parse(userInfo).mobile);
 	 		}
 		}
 		
 		
 		
 		
 		//login_by_mobile手机绑定保存到session
 		if( JSON.parse(userInfo).login_by_mobile) {
 			appUtils.setSStorageInfo("login_by_mobile",  JSON.parse(userInfo).login_by_mobile);
 		}
 		
 		
 		if(validatorUtil.isNotEmpty(appUtils.getSStorageInfo("newEmail"))){
 			appUtils.setSStorageInfo("email",appUtils.getSStorageInfo("newEmail"));
 	 	 	
 		}else{
 			//email邮箱保存到session
 	 		if( JSON.parse(userInfo).email) {
 	 			
 	 			appUtils.setSStorageInfo("email",  JSON.parse(userInfo).email);
 	 		}
 		}
 		
 		//login_by_email绑定邮箱保存到session
 		if( JSON.parse(userInfo).login_by_email) {
 			appUtils.setSStorageInfo("login_by_email",  JSON.parse(userInfo).login_by_email);
 		}
 		//telephone固定电话绑定到session
 		if( JSON.parse(userInfo).telephone) {
 			appUtils.setSStorageInfo("telephone",  JSON.parse(userInfo).telephone);
 		}
 		//address通信住址保存到session
 	if(validatorUtil.isNotEmpty(appUtils.getSStorageInfo("newAddress"))){
 			appUtils.setSStorageInfo("address",appUtils.getSStorageInfo("newAddress"));
			 	
 		}else{
 			if( JSON.parse(userInfo).address) {
 		 		
 				appUtils.setSStorageInfo("address",  JSON.parse(userInfo).address);
 			 	
 			
 				}
 		}
 	
 		
 		
 		
 			
 		
 		
 		//post_code邮编保存到session
 		if( JSON.parse(userInfo).post_code) {
 			appUtils.setSStorageInfo("post_code",  JSON.parse(userInfo).post_code);
 		}
 		//qq_microblog QQ微博账号保存到session
 		if( JSON.parse(userInfo).qq_microblog) {
 			appUtils.setSStorageInfo("qq_microblog",  JSON.parse(userInfo).qq_microblog);
 		}
 		//sina_microblog 新浪微博账号保存到session
 		if( JSON.parse(userInfo).sina_microblog) {
 			appUtils.setSStorageInfo("sina_microblog",  JSON.parse(userInfo).sina_microblog);
 		}
 		//QQ号保存到session
 		if( JSON.parse(userInfo).qq) {
 			appUtils.setSStorageInfo("qq",  JSON.parse(userInfo).qq);
 		}
 		//wechat号保存到session
 		if( JSON.parse(userInfo).wechat) {
 			appUtils.setSStorageInfo("wechat",  JSON.parse(userInfo).wechat);
 		}
 		//recommend_person推荐人保存到session
 		if( JSON.parse(userInfo).recommend_person) {
 			appUtils.setSStorageInfo("recommend_person",  JSON.parse(userInfo).recommend_person);
 		}
 		//last_login_time上次登录时间保存到session
 		if( JSON.parse(userInfo).last_login_time) {
 			appUtils.setSStorageInfo("last_login_time",  JSON.parse(userInfo).last_login_time);
 		}
 		//occupational职业保存到session
 		if( JSON.parse(userInfo).occupational) {
 			appUtils.setSStorageInfo("occupational",  JSON.parse(userInfo).occupational);
 		}
 		//adapter学历保存到session
 		if( JSON.parse(userInfo).adapter) {
 			appUtils.setSStorageInfo("adapter",  JSON.parse(userInfo).adapter);
 		}
 		//certuid证书用户id保存到session
 		if( JSON.parse(userInfo).certuid) {
 			appUtils.setSStorageInfo("certuid",  JSON.parse(userInfo).certuid);
 		}
 		//branch_no营业部保存到session
 		if( JSON.parse(userInfo).branch_no) {
 			appUtils.setSStorageInfo("branch_no",  JSON.parse(userInfo).branch_no);
 		}
 		//emergency_name应急联系人姓名保存到session
 		if( JSON.parse(userInfo).emergency_name) {
 			appUtils.setSStorageInfo("emergency_name",  JSON.parse(userInfo).emergency_name);
 		}
 		//emergency_relation与应急联系人关系保存到session
 		if( JSON.parse(userInfo).emergency_relation) {
 			appUtils.setSStorageInfo("emergency_relation",  JSON.parse(userInfo).emergency_relation);
 		}
 		//emergency_tel应急联系人固定电话保存到session
 		if( JSON.parse(userInfo).emergency_tel) {
 			appUtils.setSStorageInfo("emergency_tel",  JSON.parse(userInfo).emergency_tel);
 		}
 		//emergency_mobile应急联系人手机保存到session
 		if( JSON.parse(userInfo).emergency_mobile) {
 			appUtils.setSStorageInfo("emergency_mobile",  JSON.parse(userInfo).emergency_mobile);
 		}
 		//emergency_email应急联系人邮箱保存到session
 		if( JSON.parse(userInfo).emergency_email) {
 			appUtils.setSStorageInfo("emergency_email",  JSON.parse(userInfo).emergency_email);
 		}
 		//authentication_state实名认证,绑定银行卡 保存到session
 		if( JSON.parse(userInfo).authentication_state) {
 			appUtils.setSStorageInfo("authentication_state",  JSON.parse(userInfo).authentication_state);
 		}
 		//org_id机构ID(第三方接口)保存到session
 		if( JSON.parse(userInfo).org_id) {
 			appUtils.setSStorageInfo("org_id",  JSON.parse(userInfo).org_id);
 		}
 		//emergency_address应急联系人联系地址保存到session
 		if( JSON.parse(userInfo).emergency_address) {
 			appUtils.setSStorageInfo("emergency_address",  JSON.parse(userInfo).emergency_address);
 		}
 		//type_code类别代码保存到session
 		if( JSON.parse(userInfo).type_code) {
 			appUtils.setSStorageInfo("type_code",  JSON.parse(userInfo).type_code);
 		}
 		//type_name类别名称保存到session
 		if( JSON.parse(userInfo).type_name) {
 			appUtils.setSStorageInfo("type_name",  JSON.parse(userInfo).type_name);
 		}
 		//vip_level会员等级保存到session
 		if( JSON.parse(userInfo).vip_level) {
 			appUtils.setSStorageInfo("vip_level",  JSON.parse(userInfo).vip_level);
 		}
 		//total_integration用户总积分保存到session
 		if( JSON.parse(userInfo).total_integration) {
 			appUtils.setSStorageInfo("total_integration",  JSON.parse(userInfo).total_integration);
 		}
 		if( JSON.parse(userInfo).curr_loginid) {
 			appUtils.setSStorageInfo("curr_loginid",  JSON.parse(userInfo).curr_loginid);
 		} 
 		if( JSON.parse(userInfo).jsessionid) {
 			appUtils.setSStorageInfo("jsessionid",  JSON.parse(userInfo).jsessionid);
 		} 
 		
 		appUtils.setSStorageInfo("zqAccount", sessionStorage.getItem("zqAccount"));
		var Username=appUtils.getSStorageInfo("name");//姓名
		var Usercard=appUtils.getSStorageInfo("identity_num");//身份证
		var UserSex=appUtils.getSStorageInfo("sex");//性别
		var UserPhone=appUtils.getSStorageInfo("mobile");//开户手机
		var adress=appUtils.getSStorageInfo("address");//家庭住址
		var email=appUtils.getSStorageInfo("email");//邮箱
		
		var sex="";
		if(UserSex==0){
			sex="男";
		}else{
			sex="女";
		}
	
		$(_pageId+".ste_cont  ul li:eq(0)  .cont").html(Username);
		$(_pageId+".ste_cont  ul li:eq(1)  .cont").html(sex);
		$(_pageId+".ste_cont  ul li:eq(2)  .cont").html(Usercard);
		$(_pageId+".ste_cont  ul li:eq(3)  .zh").html(UserPhone);
		$(_pageId+".ste_cont  ul li:eq(4)  .zh").html(adress);
		$(_pageId+".ste_cont  ul li:eq(5)  .zh").html(email);//邮箱
		
		//查询业务办理数据
		initPage();
        
      
	}  
    
    
    //判断是否存在流程节点
    function idCardIsYes(){
    	var param = {"user_id":appUtils.getSStorageInfo("user_id")};
        mobileService.queryIdentityCardData(param, function(data) {
            var error_no = data.error_no;
            var error_info = data.error_info;
            var results = data.results[0];
            if(error_no == "0") {
            	if(results.query_flag == "1"){
    				identityCard_state = results.state;
    				if(identityCard_state == "0"  || identityCard_state == "upload_idcard"){//前端流程未走完
    					var upload_idcard = results.upload_idcard;
	                    var video = results.video;
	                    //保存密码修改业务数据的id
	                    if(results.id != "" && results.id != undefined){
	                        appUtils.setSStorageInfo("resetPassWord_id",results.id);
	                    }
	                    //身份证、视频都通过
	                    if(upload_idcard == "1"){
	                        appUtils.pageInit("account/identityCardResult", "account/identityCardSw", {});
	                    }else if(upload_idcard == "0"){//身份证未通过
	                        appUtils.pageInit("account/identityCardResult", "account/identityCardSw", {});
	                    }else{
			        		appUtils.pageInit("account/identityCardResult", "account/identityCardSw", {});
	                    }
			    	}else if(identityCard_state == "1"){//前端流程跑完，后台审核中
			    		$(_pageId +" #idCardSwJg").hide();
			    		$(_pageId +" #idCardSwSh").show();
			    	}else if(identityCard_state == "2"){//后台审核失败
			    		$(_pageId +" #idCardSwSh").hide();
			    		$(_pageId +" #idCardSwJg").show();
						$(_pageId + " #results").addClass("icon_fail").removeClass("icon_ok");
						$(_pageId+" .result_main h5").text("身份证升位失败");
			    	}else if(identityCard_state == "3"){//后台审核通过
			    		$(_pageId +" #idCardSwJg").hide();
			    		$(_pageId +" #idCardSwSh").show();
			    	}else if(identityCard_state == "4"){//业务办理失败
			    		$(_pageId +" #idCardSwSh").hide();
			    		$(_pageId +" #idCardSwJg").show();
						$(_pageId + " #results").addClass("icon_fail").removeClass("icon_ok");
			    		$(_pageId+" .result_main h5").text("身份证升位失败");
			    	}else if(identityCard_state == "5"){//业务办理成功
//			    		appUtils.setSStorageInfo("identity_num",appUtils.getSStorageInfo("id_identity_num"));
			    		$(_pageId +" #idCardSwJg").show();
			    		$(_pageId +" #idCardSwSh").hide();
						$(_pageId + " #results").addClass("icon_ok").removeClass("icon_fail");
			    		$(_pageId+" .result_main h5").text("身份证升位成功");
			    	}else if(identityCard_state == "6"){// 被驳回了
			    		appUtils.pageInit("account/identityCardResult", "account/identityCardSw", {});
			    	}else if(identityCard_state == "7"){// 自己前段点击取消按钮了。自己放弃了。从头再来
			    		appUtils.pageInit("account/identityCardResult", "account/identityCardSw", {});
			    	}else {
			    		alert("抱歉，状态异常!");
			    	}
            	}else{
            		appUtils.pageInit("account/identityCardResult", "account/identityCardSw", {});
            	}
            }else{
            	layerUtils.iAlert(error_info, -1);
            }
        });
    }
   	//结束身份证升位之前的流程
	function endIdCardSw(){
		var param = {"user_id":appUtils.getSStorageInfo("user_id")};
        mobileService.endIdCardSw(param, function(data) {
            var error_no = data.error_no;
            var error_info = data.error_info;
            var results = data.results;
            if(error_no == "0") {
            	appUtils.pageInit("account/identityCardResult", "account/uploadPhoto", {});
            }else{
            	layerUtils.iAlert(error_info, -1);
            }
        });
	}
    function bindPageEvent() {
        //绑定home键 跳转到主界面
        appUtils.bindEvent($(_pageId+" .icon_home"), function(){
        	common.moduleJump();
        });
        
        //绑定回退按钮
        appUtils.bindEvent($(_pageId+" .icon_back"), function(){
			common.moduleJump();
        });
        
        //确认按钮
        appUtils.bindEvent($(_pageId+" #ce_btnJg"), function(){
        	submit();
        });
        //审核中
        appUtils.bindEvent($(_pageId+" #ce_btnSh"), function(){
        	common.moduleJump();
        });
        appUtils.bindEvent($(_pageId+" #ce_btnMz"), function(){
        	common.moduleJump();
        });
    }
   
    function submit(){
    	 var param = {
            "user_id":appUtils.getSStorageInfo("user_id")
        };
        mobileService.submitIdResult(param,function(data){
            var error_no = data.error_no,
                error_info = data.error_info;
            if(error_no == "0"){
				// 跳转到首页
            	common.moduleJump();
            }else{
                layerUtils.iAlert(error_info,-1);
            }
        });
    }	//从原生内存缓存中获取用户信息
	function getUserInfo() {
		if(platform == 0){
			userInfo = appUtils.getSStorageInfo("userInfo");
			var zqAccount = appUtils.getSStorageInfo("zqAccount", true);
			appUtils.setSStorageInfo("zqAccount", zqAccount);
			common_sso.synUserInof(userInfo,initPage);
		}else{
			var param = {
				"funcNo":"50041",
				"key":"userInfo"
			};
			var result = external.callMessage(param);
			if(result.error_no == "0" || result.error_no == "1") {
				if(JSON.stringify(result.results[0]) == "{}") {
					return false;
				}
				userInfo = result.results[0].value;
				appUtils.setSStorageInfo("userInfo2", userInfo);
				var param = {
					"funcNo":"50041",
					"key":"zqAccount"
				};
				var result = external.callMessage(param);
				if(result.error_no == "0" || result.error_info == "1") {
					zqAccount = result.results[0].value;
					console.log("zhaocheng@@@+++"+zqAccount);
					appUtils.setSStorageInfo("zqAccount", zqAccount);
					//把从内存缓存中的数据取出来存到H5缓存中
					common_sso.synUserInof(userInfo,initPage);
					
				} else {
					layerUtils.iAlert(result.error_info);
					return false;
				}
			} else {
				layerUtils.iAlert(result.error_info);
				return false;
			}
		}
	}	//把从原生内存缓存中取到的用户信息保存到session中
	function setUserInfo() {
		//user_id保存到session
		if(userInfo.user_id) {
			appUtils.setSStorageInfo("user_id", userInfo.user_id);
		}
		//登陆账号保存到session
		if(userInfo.login_id) {
			appUtils.setSStorageInfo("login_id", userInfo.login_id);
		}
		//证件类型保存到session
		if(userInfo.identity_type) {
			appUtils.setSStorageInfo("identity_type", userInfo.identity_type);
		}
		//证件号码保存到session
		if(userInfo.identity_num) {
			appUtils.setSStorageInfo("identity_num", userInfo.identity_num);
		}
		//姓名保存到session
		if(userInfo.name) {
			appUtils.setSStorageInfo("name", userInfo.name);
		}
		//是否是交易用户 保存到session
		if(userInfo.is_trade) {
			appUtils.setSStorageInfo("is_trade", userInfo.is_trade);
		}
		//交易账户保存到session
		if(userInfo.trade_account) {
			appUtils.setSStorageInfo("trade_account", userInfo.trade_account);
		}
		//昵称保存到session
		if(userInfo.nick_name) {
			appUtils.setSStorageInfo("nick_name", userInfo.nick_name);
		}
		//sex性别保存到session
		if(userInfo.sex) {
			appUtils.setSStorageInfo("sex", userInfo.sex);
		}
		//birthday生日保存到session
		if(userInfo.birthday) {
			appUtils.setSStorageInfo("birthday", userInfo.birthday);
		}
		//mobile手机保存到session
		if(userInfo.mobile) {
			appUtils.setSStorageInfo("mobile", userInfo.mobile);
		}
		//login_by_mobile手机绑定保存到session
		if(userInfo.login_by_mobile) {
			appUtils.setSStorageInfo("login_by_mobile", userInfo.login_by_mobile);
		}
		//email邮箱保存到session
		if(userInfo.email) {
			appUtils.setSStorageInfo("email", userInfo.email);
		}
		//login_by_email绑定邮箱保存到session
		if(userInfo.login_by_email) {
			appUtils.setSStorageInfo("login_by_email", userInfo.login_by_email);
		}
		//telephone固定电话绑定到session
		if(userInfo.telephone) {
			appUtils.setSStorageInfo("telephone", userInfo.telephone);
		}
		//address通信住址保存到session
		if(userInfo.address) {
			appUtils.setSStorageInfo("address", userInfo.address);
		}
		//post_code邮编保存到session
		if(userInfo.post_code) {
			appUtils.setSStorageInfo("post_code", userInfo.post_code);
		}
		//qq_microblog QQ微博账号保存到session
		if(userInfo.qq_microblog) {
			appUtils.setSStorageInfo("qq_microblog", userInfo.qq_microblog);
		}
		//sina_microblog 新浪微博账号保存到session
		if(userInfo.sina_microblog) {
			appUtils.setSStorageInfo("sina_microblog", userInfo.sina_microblog);
		}
		//QQ号保存到session
		if(userInfo.qq) {
			appUtils.setSStorageInfo("qq", userInfo.qq);
		}
		//wechat号保存到session
		if(userInfo.wechat) {
			appUtils.setSStorageInfo("wechat", userInfo.wechat);
		}
		//recommend_person推荐人保存到session
		if(userInfo.recommend_person) {
			appUtils.setSStorageInfo("recommend_person", userInfo.recommend_person);
		}
		//last_login_time上次登录时间保存到session
		if(userInfo.last_login_time) {
			appUtils.setSStorageInfo("last_login_time", userInfo.last_login_time);
		}
		//occupational职业保存到session
		if(userInfo.occupational) {
			appUtils.setSStorageInfo("occupational", userInfo.occupational);
		}
		//adapter学历保存到session
		if(userInfo.adapter) {
			appUtils.setSStorageInfo("adapter", userInfo.adapter);
		}
		//certuid证书用户id保存到session
		if(userInfo.certuid) {
			appUtils.setSStorageInfo("certuid", userInfo.certuid);
		}
		//branch_no营业部保存到session
		if(userInfo.branch_no) {
			appUtils.setSStorageInfo("branch_no", userInfo.branch_no);
		}
		//emergency_name应急联系人姓名保存到session
		if(userInfo.emergency_name) {
			appUtils.setSStorageInfo("emergency_name", userInfo.emergency_name);
		}
		//emergency_relation与应急联系人关系保存到session
		if(userInfo.emergency_relation) {
			appUtils.setSStorageInfo("emergency_relation", userInfo.emergency_relation);
		}
		//emergency_tel应急联系人固定电话保存到session
		if(userInfo.emergency_tel) {
			appUtils.setSStorageInfo("emergency_tel", userInfo.emergency_tel);
		}
		//emergency_mobile应急联系人手机保存到session
		if(userInfo.emergency_mobile) {
			appUtils.setSStorageInfo("emergency_mobile", userInfo.emergency_mobile);
		}
		//emergency_email应急联系人邮箱保存到session
		if(userInfo.emergency_email) {
			appUtils.setSStorageInfo("emergency_email", userInfo.emergency_email);
		}
		//authentication_state实名认证,绑定银行卡 保存到session
		if(userInfo.authentication_state) {
			appUtils.setSStorageInfo("authentication_state", userInfo.authentication_state);
		}
		//org_id机构ID(第三方接口)保存到session
		if(userInfo.org_id) {
			appUtils.setSStorageInfo("org_id", userInfo.org_id);
		}
		//emergency_address应急联系人联系地址保存到session
		if(userInfo.emergency_address) {
			appUtils.setSStorageInfo("emergency_address", userInfo.emergency_address);
		}
		//type_code类别代码保存到session
		if(userInfo.type_code) {
			appUtils.setSStorageInfo("type_code", userInfo.type_code);
		}
		//type_name类别名称保存到session
		if(userInfo.type_name) {
			appUtils.setSStorageInfo("type_name", userInfo.type_name);
		}
		//vip_level会员等级保存到session
		if(userInfo.vip_level) {
			appUtils.setSStorageInfo("vip_level", userInfo.vip_level);
		}
		//total_integration用户总积分保存到session
		if(userInfo.total_integration) {
			appUtils.setSStorageInfo("total_integration", userInfo.total_integration);
		}
		if(userInfo.curr_loginid) {
			appUtils.setSStorageInfo("curr_loginid", userInfo.curr_loginid);
		}
		if(userInfo.jsessionid) {
            appUtils.setSStorageInfo("jsessionid", userInfo.jsessionid);
        }
        if(userInfo.clientinfo) {
            appUtils.setSStorageInfo("clientinfo", userInfo.clientinfo);
        }
		appUtils.setSStorageInfo("zqAccount", zqAccount);
		initPage();
	}    
	function destroy() {
   
	}  
	var identityCardResult = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };  
	module.exports = identityCardResult;
});