define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var layerUtils = require("layerUtils");
	var _pageId ="#account_updateInfo ";
	var mobileService = require("mobileService");
	var external = require("external");
	var validatorUtil = require("validatorUtil");
	var isLogin;
	var platform = gconfig.platform;
	var util = require("util");
	var updateIdcardInfo;
	var	fillInformationInParam = {};
	 var common = require("common");
	 
	//初始化
	function init() {
		
		var param = {
                "funcNo": "60021",
                "navTitle": "身份信息"
            };
            external.callMessage(param);
       
		if(appUtils.getSStorageInfo("_prePageCode")=="account/updateIdCardResult"){
            initInfo(0);
        }else{
            updateIdcardInfo = JSON.parse(appUtils.getSStorageInfo("fillInformationInParam"));
            initInfo(1);
        }
		$(_pageId + " .main:eq(0)").show();
        $(_pageId + " .main:eq(1)").hide();
		isLogin = appUtils.getSStorageInfo("isLogin");
	}
	
	function isChina(str){
		
		
		
		var reg = /^\s*[\u4e00-\u9fa5]{1,}[\u4e00-\u9fa5.··]{0,15}[\u4e00-\u9fa5]{1,}\s*$/;
		return reg.test(str);
		
	}
	
	//事件处理
	function initInfo(type){
	    var name,sign_office,papers_addr,identity_num,validity_begin,validity_end,sex,frontBase64Str,backBase64Str;
        if(type==1){
            		 name = updateIdcardInfo["name"];  //姓名
            		 sign_office = updateIdcardInfo["sign_office"]; //签发单位
            		 papers_addr = updateIdcardInfo["papers_addr"]; //证件地址
            		 identity_num = updateIdcardInfo["identity_num"];  //证件号码
            		 validity_begin = updateIdcardInfo["validity_begin"];	// 证件开始日期
            		 validity_end = updateIdcardInfo["validity_end"];	// 证件结束日期
            		 sex = updateIdcardInfo["sex"];
            		 if(sex=="男") {
            			 sex = "1";
            		 }else if(sex=="女") {
            			 sex = "0";
            		 }
            		 //layerUtils.iAlert(updateIdcardInfo.frontBase64Str);
            		// layerUtils.iAlert("___"+updateIdcardInfo["frontBase64Str"]);
            		 frontBase64Str=updateIdcardInfo.frontBase64Str;
            		 backBase64Str=updateIdcardInfo.backBase64Str;
            		  $(_pageId+" .name").val(name);
            	         $(_pageId+" .sign_office").val(sign_office);
            	        $(_pageId+" .papers_addr").html(papers_addr);
            	        $(_pageId+" .address").html(papers_addr);
            	        $(_pageId+" .identity_num").val(identity_num);
            	        $(_pageId+" .idBeginDate").html(validity_begin);
            	        $(_pageId+" .idEndDate").html(validity_end);
            	        if(sex == 0) {
            	        	$(_pageId + " .sex").removeClass("active");
            	        }else {
            	        	$(_pageId + " .sex").addClass("active");
            	        }
            	       // $(_pageId + " .sex")[sex == 0 ? ".addClass" : ".removeClass"]("active");
            	         //身份证图片回显
            	         $(_pageId + " .upload_img").eq(0).find('img').attr("src",frontBase64Str);
            	         $(_pageId + " .upload_img").eq(1).find('img').attr("src",backBase64Str);
        }
        else{
//               name = appUtils.getSStorageInfo("name");  //姓名
//               sign_office = appUtils.getSStorageInfo("sign_office"); //签发单位
//               papers_addr = appUtils.getSStorageInfo("papers_addr"); //证件地址
//               identity_num = appUtils.getSStorageInfo("identity_num");  //证件号码
//               validity_begin = appUtils.getSStorageInfo("idBeginDate");	// 证件开始日期
//               validity_end = appUtils.getSStorageInfo("idEndDate");	// 证件结束日期
//               sex = appUtils.getSStorageInfo("sex");
//               frontBase64Str=appUtils.getSStorageInfo("frontBase64Str");
//               backBase64Str=appUtils.getSStorageInfo("backBase64Str");
        }

         //身份证信息回显
       

	}

	//事件处理
	function bindPageEvent() {

		//更多页面 ----》》 返回按钮
		appUtils.bindEvent($(_pageId + " .icon_back"), function(){
			layerUtils.iConfirm("身份认证还未完成，是否返回上一步？",function(){
				appUtils.pageInit("account/updateInfo", "account/updatePhoto", {});
			},function(){
				return false;
			});
		});
		
		appUtils.bindEvent($(_pageId+" .icon_home"), function() {
			common.moduleJump();
		});

		
		//签发机关
//		appUtils.bindEvent($(_pageId+" .input_form .sign_office"), function(e) {
//			setTimeout(function(){
//                $(_pageId + ' article.white').attr("style","position: relative; top:-200px; left: 0px;");
//			},20);	
//			
//			e.stopPropagation();
//		},'click');
//		
//		//签发机关
//		appUtils.bindEvent($(_pageId+" .input_form .sign_office"), function(e) {
//			setTimeout(function(){
//				$(_pageId + ' article.white').attr("style","position: relative; top:0px; left: 0px;");
//			},20);	
//		
//			e.stopPropagation()
//		},'blur');
		
		//证件地址
//		appUtils.bindEvent($(_pageId+" .input_form .papers_addr"), function(e) {
//			setTimeout(function(){
//				$(_pageId + ' article.white').attr("style","position: relative; top:-220px; left: 0px;");
//			},20);	
//			
//			e.stopPropagation()
//		},'click');
//		
//		//证件地址
//		appUtils.bindEvent($(_pageId+" .input_form .papers_addr"), function(e) {
//			setTimeout(function(){
//				$(_pageId + ' article.white').attr("style","position: relative; top:0px; left: 0px;");
//			},20);	
//			
//			e.stopPropagation()
//		},'blur');
		
		// 绑定确定按钮
		appUtils.bindEvent($(_pageId+" .button"), function(){
			fillInformationInParam = {};
			fillInformationInParam.user_id = appUtils.getSStorageInfo("user_id");
			fillInformationInParam.name = $(_pageId+" .name").val();
			fillInformationInParam.identity_num = $(_pageId+" .identity_num").val();
			fillInformationInParam.sign_office = $(_pageId+" .sign_office").val();
			fillInformationInParam.papers_addr = $(_pageId+" .papers_addr").val();
			fillInformationInParam.validity_begin = $(_pageId+" .idBeginDate").html();
			fillInformationInParam.validity_end = $(_pageId+" .idEndDate").html();
			fillInformationInParam.ethnicname = $(_pageId+" .ethnicname").attr("data-value");
			fillInformationInParam.sex = $(_pageId + " .sex_select a").hasClass("active")?"0":"1";//0男1女
			
		
			if(fillInformationInParam.name == "")
			{
				layerUtils.iAlert("姓名不能为空");
				return;
			}
			if (!(/^[\u4E00-\u9FA5]{2,5}([·•]?[\u4E00-\u9FA5]{2,5})*$/).test(fillInformationInParam.name)) {
				layerUtils.iAlert("姓名格式不正确");
				return;
			}
			if(validatorUtil.isEmpty(fillInformationInParam.identity_num)) {
				layerUtils.iAlert("身份证号码不能为空");
				return;
			}
			if(!validatorUtil.isCardID(fillInformationInParam.identity_num)) {
				layerUtils.iAlert("请输入正确的身份证号码");
				return;
			}
			
			if(fillInformationInParam.sign_office == "") {
				layerUtils.iAlert("签发机关不能为空");
				return;
			}

			if(fillInformationInParam.papers_addr == "") {
				layerUtils.iAlert("证件地址不能为空");
				return;
			}
			
		
			

			if(fillInformationInParam.validity_begin == "") {
				layerUtils.iAlert("身份证起始期限不能为空");
				return;
			}
			if(fillInformationInParam.validity_end == "") {
				layerUtils.iAlert("身份证结束期限不能为空");
				return;
			}
			if(!validatorUtil.isDate(fillInformationInParam.validity_begin)){
				layerUtils.iAlert("开始日期格式不正确");
				return;
			}

			if(!validatorUtil.isDate(fillInformationInParam.validity_end)){
				layerUtils.iAlert("结束日期格式不正确");
				return;
			}

			if((new Date(fillInformationInParam.validity_begin).getTime() - new Date().getTime() >= 0) ){
				layerUtils.iAlert("有效期的起始时间不能晚于当前日期");
				return;
			}
			if((new Date(fillInformationInParam.validity_end).getTime() - new Date().getTime() <= 0) ){
				layerUtils.iAlert("您的身份证已过期!",-1);
				return;
			}
			if((new Date(fillInformationInParam.validity_begin).getTime() >= new Date(fillInformationInParam.validity_end).getTime()) ){
				layerUtils.iAlert("有效期的起始时间必须早于结束时间");
				return;
			}
			
			

			if(fillInformationInParam.ethnicname == "") {
				layerUtils.iAlert("民族不能为空");
				return;
			}

			if(fillInformationInParam.sex == "") {
				layerUtils.iAlert("性别不能为空");
				return;
			}
			mobileService.idNoUpdateSubmitInfo(fillInformationInParam,function(data){
				if(data.error_no == "0"){
					idNoUpdateUpdateImageState();
				}else{
					layerUtils.iAlert(data.error_info);
				}
			});
		});

		/* 绑定选择日期的事件 */
		appUtils.bindEvent($(_pageId + " div[date-plugin='true']"), function(e) {
			util.selectDate(this); // 通过壳子调用系统的日历插件
		});


		/* 提交补全资料  */
		appUtils.bindEvent($(_pageId + " .selectDrop"),function(e){


			$(this).parent().removeClass("error");
			var enum_type = $(this).attr("data-dict");
			var dictTitle = $(this).attr("data-dictTitle");
			$(_pageId).find(".dict_title").html(dictTitle);
			if($(_pageId).find("#"+enum_type+" li").length == 0){
				queryDataDict(enum_type,function(data){
					var _dictHtml = "";
					for(var i=0;i<data.length;i++){
						_dictHtml += '<li data-value="'+data[i].item_value+'"><span>'+data[i].item_name+'</span></li>'
					}
					$(_pageId).find("#"+enum_type).html(_dictHtml).css({"display":""}).siblings("ul").hide();
					
					$(_pageId + " .main:eq(0)").hide();
                    $(_pageId + " .main:eq(1)").show();
				});
			}else{
			    $(_pageId).find("#"+enum_type).css({"display":""}).siblings("ul").hide();
			
				$(_pageId + " .main:eq(0)").hide();
                $(_pageId + " .main:eq(1)").show();
			}
		  $(_pageId+" .name").attr("readonly","readonly");
           $(_pageId+" .identity_num").attr("readonly","readonly");
           $(_pageId+" .sign_office").attr("readonly","readonly");
           $(_pageId+" .papers_addr").attr("readonly","readonly");
			e.stopPropagation();
		});

		/* 选择性别或民族  */
		appUtils.preBindEvent($(_pageId+" .select_list"),"li",function(e){

			var _this = $(this);
			var target = _this.parent().attr("data-target");
			$(_pageId).find("."+target).attr("data-value",_this.attr("data-value")).html('<strong>'+_this.children("span").html()+'</strong>');
			
			$(_pageId + " .main:eq(1)").hide();
            $(_pageId + " .main:eq(0)").show();
            $(_pageId+" .name").removeAttr("readonly");
            $(_pageId+" .identity_num").removeAttr("readonly");
            $(_pageId+" .sign_office").removeAttr("readonly");
            $(_pageId+" .papers_addr").removeAttr("readonly");
			e.stopPropagation();
		});

		/* 长期有效  */
		appUtils.bindEvent($(_pageId+" #longTerm"),function(e){
			var idEndDate = this.checked ? "3000-12-31" :updateIdcardInfo["validity_end"];
			$(_pageId+" .idEndDate").html(idEndDate);
		},"change");
		
		/* 选择性别的样式切换 */
		appUtils.bindEvent($(_pageId+" .sex"),function(e){
			$(this).toggleClass("active");
			e.stopPropagation();
		});

	}
	//修改上传照片状态
	function idNoUpdateUpdateImageState(){
		var param={
			"user_id":appUtils.getSStorageInfo("user_id")
		}
		mobileService.idNoUpdateUpdateImageState(param,function(data){
			var errorNo = data.error_no;
			var errorInfo = data.error_info;
			if(errorNo==0){
				appUtils.setSStorageInfo("fillInformationInParam", JSON.stringify(fillInformationInParam));
				
				appUtils.pageInit("account/updateInfo", "account/updateIdCardResult", {});
			}else{
				layerUtils.iAlert(errorInfo);
				return false;
			}
		})
	}
	/* 日历的回调函数 */
	function selDateCallback(data) {
		// 回调数据中的 data 是字符串，需解析
		if (typeof(data) == "string") {
			data = JSON.parse(data);
		}
		var thisData = data.date.split("-");
		var month = thisData[1];
		var day = thisData[2];
		if(thisData[1].length==1)
		{
			month = "0"+thisData[1];
		}
		if(thisData[2].length==1)
		{
			day = "0"+thisData[2];
		}
		$(_pageId + " #" + data.selector).html(thisData[0]+"-"+month+"-"+day);
	}
	
	

	/**
	 * @description 查询字典信息 （民族） 
	 */
	function queryDataDict(enum_type,resultCallback){
		var paramMap = {
			"enum_type" : enum_type
		};
		var callback = function(data){
			if(data.error_no == "0"){
				var results = data.results;
				if(results.length > 0){
					if(resultCallback){
						resultCallback(results);
					}
				}else{
					layerUtils.iAlert("系统错误，请联系管理员！");
				}
			}else{
				layerUtils.iAlert(data.error_info);
			}
		};
		var ctrlParam = {
			"isLastReq":true,
			"isShowWait":true,
			"timeOutFunc" : function(){layerUtils.iAlert("请求超时，请重试");}
		}
		mobileService.queryDicts(paramMap, callback, ctrlParam);
	}
	function destroy(){

	}

	var idcard_updateInfo = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"selDateCallback": selDateCallback,
		"destroy": destroy
	};
	window.selDateCallback = selDateCallback;
	module.exports = idcard_updateInfo;
});
