/**
 * 答题大赛 答题页 BrotherZeng
 */
define(function(require, exports, module) {
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var iscroll = require("iscroll"); 
	var gconfig = require("gconfig");
	var global = gconfig.global; 
	var hIscroll = require("hIscroll");
	var _pageId = "#account_answerQuestion ";
	var HIscroll = require("hIscroll"); 
	var myHIscroll = null;
	var flag = false;
	
	var satarNum = 1;  // 开始的数字
	var totalNum = 3;
	var timu = new Array("一","二","三","四","五","六","七");
	var timuArr  = "";
	var rightNum = "1";
	
	var totalFlag = true; // 总是否正确
	var daTiflag = true;  // 临时是否正确
	var totalArr = "";
	var linsArr = "";
	
	var dateStr = null;
	var whitephone = appUtils.getSStorageInfo("whitephone");
	var common=require("common");
	console.log(whitephone);
	/* 私有业务模块的全局变量 end */
	
	function init() {
		common.initTitle(_pageId);
		// 获取题目
		queryTimu();
		var nowDate = new Date();
		var year = nowDate.getFullYear();
		var month = nowDate.getMonth() + 1 < 10 ? "0" + (nowDate.getMonth() + 1): nowDate.getMonth() + 1;
		var day = nowDate.getDate() < 10 ? "0" + nowDate.getDate() : nowDate.getDate();
		dateStr=""+year+month+day;
		console.log(dateStr);
	}
	//查题目
	function queryTimu(){
		var param = {
			};
			service.queryTimu(param,function(data){
				if(data.error_no == "0"){
					var result = data.results;
					timuArr = result;
					if(timuArr.length == 0){
						layerUtils.iMsg(-1,"暂无题目");
						return;
					}
					var list = "";
					var li = "";
					// 获取题目总数
					totalNum = timuArr.length;
					// 获取第一道题目
					var timu1 = timuArr[0];
					var question_id = timu1.question_id;
					var param1 = {
							"id":question_id
					};
					$(_pageId+" .problem_list dl").html("");
					$(_pageId+" .problem_list dl").append("<dt>"+timu1.question_title+"</dt>");
					
					service.queryTimuXx(param1,function(data1){
						if(data1.error_no == "0"){
							var resultxx = data1.results;
							if(resultxx.length == 0){
								layerUtils.iMsg(-1,"暂无选项");
								return;
							}
							for(var i = 0;i<resultxx.length;i++){
								// 保存正确答案
								if("1"==resultxx[i].selection_mark) {
									rightNum = i+1;
								}
								// 添加选项
								$(_pageId+" .problem_list dl").append("<dd><label for='risk"+parseInt(i)+"'><input id='risk"+parseInt(i)+"' class='risk-radio' type='radio'" +
										" name='risk"+parseInt("1")+"' anw='"+resultxx[i].option_id+"_"+(parseInt(i)+1)+"'>"+resultxx[i].description+"</label></dd>");
							}
							dianxun();
							
						}
					});
					
					
				}else{
					layerUtils.iMsg(-1,data.error_info);
					return false;
				}
			});
		
		
		
	}
	
	function setPrize(){
		var param = {
				tjrq : dateStr,
				drawdate : dateStr,
				khh : appUtils.getSStorageInfo("bzjzh")
		}
		service.setPrize(param,function(data){
			if(data.error_no == "0"){
				appUtils.pageInit("account/answerQuestion","account/index");
			}else{
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
		});
	}
	
	function bindPageEvent() {
		
		// 返回按钮
		appUtils.bindEvent($(_pageId+" #icon_back"),function(){
			appUtils.pageInit("account/answerQuestion","account/answerActivity");
		});
		
		// 重新答题点击事件
		appUtils.bindEvent($(_pageId+" .reset_btn"),function(){
			hideDialog();
		});
		
		//  答对所有问题
		appUtils.bindEvent($(_pageId+" .wancheng_btn"),function(){
			hideDialog();
			totalArr = totalArr + linsArr+"|";
			//保存答题情况
			var param  = {
					login_id:appUtils.getSStorageInfo("bzjzh"),
					asset_mobile:"",
					sub_id:28,
					que_ans:totalArr,
					isflag:"1"
			};
			service.insterAndwer(param,function(data){
				if(data.error_no != "0"){
					layerUtils.iMsg(-1,data.error_info);
					layerUtils.iLoading(false);
					return false;
				}
				else
				{
					var param={
							"flag":"7"
						};
						appUtils.pageInit("account/answerQuestion","activity/activityFlow", param);
				}
			});
			//调用接口分发流量，分发成功后记录领奖情况
/*			var param1 = {
					"khh" : appUtils.getSStorageInfo("bzjzh"),
					"phoneno":whitephone
				};
				service.prizeSend(param1,function(data){
					if(data.error_no == "0"){
						layerUtils.iMsg(-1,"领取成功，您的流量会在三天内到账");
						//记录领奖情况
						setPrize();
					}else {
						layerUtils.iMsg(-1,data.error_info);
						layerUtils.iLoading(false);
						return false;
					}
				});
*/				
		});
		
		// 下一道题
		appUtils.bindEvent($(_pageId+" .next_btn"),function(){
			hideDialog();
			
			totalArr = totalArr + linsArr+"|";
			$(_pageId+" .problem_list h2").html("第"+timu[satarNum]+"题");
			satarNum = satarNum +1;
			$(_pageId+" .page_num").html(satarNum+"/"+totalNum);
			
			var timu1 = timuArr[satarNum-1];
			var question_id = timu1.question_id;
			var param1 = {
					"id":question_id
			};
			$(_pageId+" .problem_list dl").html("");
			$(_pageId+" .problem_list dl").append("<dt>"+timu1.question_title+"</dt>");
			service.queryTimuXx(param1,function(data1){
				if(data1.error_no == "0"){
					var resultxx = data1.results;
					if(resultxx.length == 0){
						layerUtils.iMsg(-1,"暂无选项");
						return;
					}
					for(var i = 0;i<resultxx.length;i++){
						// 保存正确答案
						if("1"==resultxx[i].selection_mark) {
							rightNum = i+1;
						}
						// 添加选项
						$(_pageId+" .problem_list dl").append("<dd><label for='risk"+parseInt(i)+"'><input id='risk"+parseInt(i)+"' class='risk-radio' type='radio'" +
								" name='risk"+parseInt(satarNum)+"' anw='"+resultxx[i].option_id+"_"+(parseInt(i)+1)+"'>"+resultxx[i].description+"</label></dd>");
					}
					dianxun();
				}else {
					layerUtils.iMsg(-1,data1.error_info);
					layerUtils.iLoading(false);
					return false;
				}
			});
		});
	}
	
	function dianxun() {
		appUtils.bindEvent($(_pageId+" .risk-radio"),function(){
			var daan = $(this).attr("anw");
			linsArr = daan;
			var daanArr = daan.split("_");
			if(daanArr[1]==rightNum&&satarNum==totalNum&&daTiflag) {
				// 正确答案并且最后一道
				$(_pageId+" #allrightDialog").show();
			}else if(daanArr[1]!=rightNum&&satarNum==totalNum) {
				// 答错，且最后一道
				$(_pageId+" #errorDialog").show();
				//$(_pageId+" #wrongDialog").show();
			}else if(daanArr[1]==rightNum) {
				// 答对。继续下一题
				$(_pageId+" #rightDialog").show();
			}else {
				$(_pageId+" #errorDialog").show();
			}
				
		},"click");
	}
	
	function hideDialog() {
		$(_pageId+" #errorDialog").hide();
		$(_pageId+" #rightDialog").hide();
		$(_pageId+" #wrongDialog").hide();
		$(_pageId+" #allrightDialog").hide();
	}

	
	function destroy() {
		service.destroy();
	}

	var answerQuestion = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = answerQuestion;
});