﻿/**
 * 答题大赛活动页 BrotherZeng
 */
define('mall/scripts/account/answerActivity.js',function(require, exports, module) {
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var iscroll = require("iscroll"); 
	var gconfig = require("gconfig");
	var global = gconfig.global; 
	var hIscroll = require("hIscroll");
	var _pageId = "#account_answerActivity ";
	var HIscroll = require("hIscroll"); 
	var myHIscroll = null;
	var flag = false;
	var common=require("common");
	/* 私有业务模块的全局变量 end */

	function init() {
		common.initTitle(_pageId);
		// 修改样式
		loadjscssfile("css/datibody.css", "css");
	}

	

	function bindPageEvent() {
		// 开始答题
		appUtils.bindEvent($(_pageId+" #startAnswer"),function(){
			appUtils.pageInit("account/answerActivity","account/answerQuestion",{});
		});
		
		// 返回按钮
		appUtils.bindEvent($(_pageId+" #icon_back"),function(){
			appUtils.pageInit("account/answerActivity","account/heroList");
		});
	}

	function removejscssfile(filename, filetype){
		var targetelement=(filetype=="js")? "script" : (filetype=="css")? "link" : "none"
		var targetattr=(filetype=="js")? "src" : (filetype=="css")? "href" : "none"
		var allsuspects=document.getElementsByTagName(targetelement)
		for (var i=allsuspects.length; i>=0; i--){
		if (allsuspects[i] && allsuspects[i].getAttribute(targetattr)!=null && allsuspects[i].getAttribute(targetattr).indexOf(filename)!=-1)
		   allsuspects[i].parentNode.removeChild(allsuspects[i])
		}
	}
	
	function loadjscssfile(filename, filetype){
		if (filetype=="js"){
		var fileref=document.createElement('script');
		fileref.setAttribute("type","text/javascript");
		fileref.setAttribute("src", filename);
		}
		else if (filetype=="css"){
		var fileref=document.createElement("link");
		fileref.setAttribute("rel", "stylesheet");
		fileref.setAttribute("type", "text/css");
		fileref.setAttribute("href", filename);
		}
		if (typeof fileref!="undefined")
		document.getElementsByTagName("head")[0].appendChild(fileref)
		}
	
	function destroy() {
		service.destroy();
		removejscssfile("datibody.css", "css");
	}

	var answerActivity = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = answerActivity;
});