/**
 * 联系我们
 */
define('mall/scripts/account/contactUs.js',function(require, exports, module){
	var appUtils = require("appUtils");
	var external = require("external");
	var	_pageId = "#account_contactUs ";
	var pageCode = "account/contactUs";
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var platform=gconfig.platform;
	var layerUtils = require("layerUtils");
	var common = require("common"); // 公共类
	
	//初始化
	function init(){
		common.initTitle(_pageId);
		//common.loadoldCss();
		if(platform=="0"){
			$(_pageId + ' .contat_banb p').html(global.version_name);
			$(_pageId + ' .contat_banb p').show();
		}else{
			if(global.isAutoUpdata=="1"){//自动更新为1
				var oVersion = external.callMessage({funcNo: "50010"});
				oVersion = gconfig.platform == 0 ? {} :oVersion ;
				oVersion = oVersion.results ? oVersion.results[0] : {versionSn: global.version_name};
				if(platform=="1"){ 
					$(_pageId + ' .contat_banb p').html(oVersion.nativeVersion);
					
				}else {
					$(_pageId + ' .contat_banb p').html(oVersion.nativeVersionSn);
				}
				
			}else{
				$(_pageId + ' .contat_banb p').html(global.version_name);
			}
		}
	}
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
		//绑定点击分享事件
		appUtils.bindEvent($(_pageId+" #appShare"),function() {
			if(platform == "1"){
				var param={
					moduleName: "mall", // String	目标模块名	N	
					source: "mall", // String	源模块	Y
					funcNo: "50230",
					shareTypeList: "22,23,24",
					link: global.shareAndroidLink,
					title:"中航证券翼启航手机APP",
					content: "曾经，一架小小的纸飞机，成就了我飞翔的梦想；现在，中航证券..",
					imgUrl: "https://mall.avicsec.com/mobile/app/logo/icon.png"
				};
				external.callMessage(param);
			}else if(platform == "2"){
				var param={
					funcNo: "50230",
					shareTypeList: "22,23,24",
					link: global.shareIOSLink,
					title:"中航证券翼启航手机APP",
					content: "曾经，一架小小的纸飞机，成就了我飞翔的梦想；现在，中航证券..",
					imgUrl: "https://mall.avicsec.com/mobile/app/logo/icon.png"
				};
				external.callMessage(param);
			}else{
				layerUtils.iMsg(0,'该功能不能无法在微信下使用，请下载翼启航APP体验!');
			}
		});
		//拨打电话
		appUtils.bindEvent($(_pageId+" #dialPhone span"),function(){
			 var phoneNum="400-88-95335";
			 var counTer="是否联系客服?";
			 var param={
					 "phoneNum":phoneNum,
					 "counTer":counTer
			 };
			 common.popupMethod(param);
		});
	}
	
	//销毁
	function destroy(){
		$(_pageId + ' .contat_banb p').show();
	}
	
	var contactUs = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = contactUs;
});