/**
 * 英雄榜
 */
define('mall/scripts/account/heroList.js',function(require, exports, module) {
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var _pageId = "#account_heroList ";
	var external = require("external");
	var platform=require("gconfig").platform;
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var common = require("common");
	
	//下标0的元素表示头部滑动，1、2、3分别表示推荐理财、推荐基金和推荐资讯
	var customHIscroll= [{"scroll":null,"_init":false},{"scroll":null,"_init":false},{"scroll":null,"_init":false}];
	var HIscroll =require("hIscroll");
	var picLoadTimer = null;
	
	var GGcustomHIscroll= [{"scroll":null,"_init":false},{"scroll":null,"_init":false},{"scroll":null,"_init":false}];
	var GGHIscroll =require("hIscroll");
	var GGpicLoadTimer = null;
	
	var currPage = 1;
	var heroType = "";
	var prePageCode = "";
	//初始化
	function init(){

		common.initTitle(_pageId);
		var _prePageCode = appUtils.getSStorageInfo("_prePageCode");
//		heroType = appUtils.getPageParam("heroType");
//		prePageCode = appUtils.getPageParam("pageCode");
//		if(heroType == "toHeroList_newsFlash"){
//			loadHeroNewsFlash();
//			return;
//		}
		if(_prePageCode == "account/userLogin"){
			if("1"!=appUtils.getPageParam().flag) {
			var param = {
				funcNo: "50040",
				key: "login_user",
				value: appUtils.getSStorageInfo("user_id")
			};
			external.callMessage(param);
			var loginType = appUtils.getSStorageInfo("loginType");
			if(loginType == "0"){
				var mobile_phone = appUtils.getSStorageInfo("mobile_phone");
			}else if(loginType == "1"){
				var mobile_phone = appUtils.getSStorageInfo("telephone");
			}
			var param = {
				funcNo: "50040",
				key: "login_type" ,
				value: mobile_phone+"_"+loginType
			};
			external.callMessage(param);
			var param = {
				"funcNo":"50101",
				"moduleName":"trends",
				"params" : {"url":"finanPlanDetails/basicInfo","userId":appUtils.getPageParam().uuid,"zhbh" : appUtils.getPageParam().zhbh}
			};
			external.callMessage(param);
			}
		}
		$(_pageId+" #scrollercyyx table").html("");
		$(_pageId+" #jiazaigengduo a").html("点击加载更多");
		$(_pageId+" .cyyx").show();
		$(_pageId+" .cytd").hide();
		$(_pageId+" .tzyx").hide();
		$(_pageId+" .rqyx").hide();
		$(_pageId+" .cyyyb").hide();
		listQuery(1,currPage,"");
		var isMainPageHeight = $(window).height();		
		var sessionMainHeight = appUtils.getSStorageInfo("isMainPageHeight");
		if(sessionMainHeight){
			$(_pageId+" #hero_parent").css({
				"overflow-y":"auto",
				"overflow-x":"hidden",
				"height":(sessionMainHeight-$(_pageId+".new-header").height()-$(_pageId+".news_tab").height()-$(_pageId+".buy-bottom").height()-1)+"px"
			});
		}else{
			$(_pageId+" #hero_parent").css({
				"overflow-y":"auto",
				"overflow-x":"hidden",
				"height":($(window).height()-$(_pageId+".new-header").height()-$(_pageId+".news_tab").height()-$(_pageId+".buy-bottom").height()-1)+"px"
			});
			appUtils.setSStorageInfo("isMainPageHeight",isMainPageHeight);
		}
		gettext();
		initAdScroller();
		$(_pageId+" #scroller").css("height","100%");
		$(_pageId+" #scroller .bot_banner").css("height","100%");
		
	}
	
	function gettext(){
		var param = {
			"enumName" : "phbtz"
		};
		service.getNetclassUrl(param,function(data){
			if(data.error_no == "0"){
				var item_value = data.results[0].item_value;
				$(_pageId+" #text").html(item_value);
			}else{
				layerUtils.iAlert(data.error_info);
				return false;
			}
		});
	}
	
	//查询文章标题
	function queryTitle(catalog_id,titleTab){
		var param = {
			"page" : "1",
			"pageSize" : "10",
			"catalog_id" : catalog_id
		};
		service.testTitle(param,function(data){
			if(data.error_no == "0"){
				var result = data.results;
				if(result.length == 0){
					$(_pageId+" .fix_add").show().css("margin-top","-75%");
				}else{
					$(_pageId+" .fix_add").hide();
				}
				var list = "";
				var li = "";
				for(var i = 0;i<result.length;i++){
					var title = result[i].title;
					var article_id = result[i].article_id;
					var app_photo = result[i].app_photo;
					var publish_date = result[i].publish_date;
					var movieinfo = result[i].movieinfo;
					var rcatalog_id = result[i].catalog_id;
					publish_date = publish_date.substring(0,4)+"."+publish_date.substring(5,7)+"."+publish_date.substring(8,10);
					li += '<dl class="clearfix" link_url="'+ result[i].link_url +'" catalog_id="'+ rcatalog_id +'" article_id="'+ article_id +'" moduleName="mall_tongxun'+ i +'"><dt><a href="javascript:void(0);"><img style="margin-top:15%;" src="http://www.avicsec.com'+ app_photo +'" alt="" title=""></a></dt><dd>'+
                    					'<h3>'+ title +'......</h3><h4 style="line-height:20px;margin-top:15%;">'+ publish_date +'<span></span></h4><p>'+ movieinfo +'</p></dd></dl>';
				}
				$(_pageId+" .produce-listold").append(li);
				$(_pageId+" .produce-listold dl dd h3").css({"overflow": "hidden",
																"float":"left",
																"width": "100%",
																"height": "40px",
																"text-overflow": "ellipsis",
																"white-space": "nowraps"
															   });
				$(_pageId+" .produce-listold p").css({"height":"60px","line-height":"20px","white-space":"pre-wrap"});
				appUtils.bindEvent($(_pageId+" .produce-listold dl"),function(){
					var article_id = $(this).attr("article_id");
					var catalog_id = $(this).attr("catalog_id");
					if(titleTab == "快讯"){
						if(catalog_id == "3485"){
							var moduleName = $(this).attr("moduleName");
							queryContent(article_id,moduleName,titleTab);
						}else if(catalog_id == "3486"){
							var param = {
								"article_id" : article_id,
								"title" : titleTab
							};
							appUtils.pageInit("account/chiefPoint","account/heroListArticle",param);
						}
					}else{
						var moduleName = $(this).attr("moduleName");
						queryContent(article_id,moduleName,titleTab);
//						var param = {
//							"article_id" : article_id,
//							"title" : titleTab
//						};
//						appUtils.pageInit("account/chiefPoint","account/heroListArticle",param);
					}
				},"click");
			}else{
				
				layerUtils.iMsg(-1,data.error_info);
				return false;
			}
		});
	}
	
	//查询webView地址
	function queryContent(article_id,moduleName,titleTab){
		var param = {
			"article_id" : article_id
		};
		service.getContent(param,function(data){
			if(data.error_no==0){
				var result = data.results[0];
				var link_url = result.link_url;
				if(titleTab == "快讯"){
					var param = {
						"funcNo" : "50115",
						"moduleName" : moduleName,
						"url" : link_url,
						"statusColor" : "#CC1D58",
						"title" : "快讯"
					};
					external.callMessage(param);
				}else{
					if(link_url == ""||link_url == null){
						var param = {
							"article_id" : article_id,
							"title" : titleTab
						};
						appUtils.pageInit("account/chiefPoint","account/heroListArticle",param);
					}else{
						var param = {
							"funcNo" : "50115",
							"moduleName" : moduleName,
							"url" : link_url,
							"statusColor" : "#CC1D58",
							"title" : "英雄秀"
						};
						external.callMessage(param);
					}
				}
			}else{
				layerUtils.iAlert(data.error_info,-1);
			}
		});
	}
	
	/**
	 * 初始化银行卡滚动组件(投资英雄)
	 */
	function initAdScrollertzyx()
	{
		clearInterval(picLoadTimer);
		picLoadTimer = null;
		if(customHIscroll[0].scroll)
		{
			customHIscroll[0].scroll.destroy();
			customHIscroll[0].scroll = null;
		}
		var config = {
			wrapper: $(_pageId+" #wrappertzyx"), //wrapper对象
			scroller: $(_pageId+" #scrollertzyx" ), //scroller对象
			perCount: 1,  //每个可视区域显示的子元素
			showTab: true, //是否有导航点
			tabDiv: $(_pageId+" #nav"), //导航点集合对象
			auto: false, //是否自动播放
			interval: null, //自动播放定时器
			wrapperObj: null
		};
		customHIscroll[0].scroll = new HIscroll(config); 
		customHIscroll[0]._init = true;
		$(_pageId+" #parttzyx").show();
	}
	
	/**
	 * 初始化银行卡滚动组件(人气英雄)
	 */
	function initAdScrollerrqyx()
	{
		clearInterval(picLoadTimer);
		picLoadTimer = null;
		if(customHIscroll[0].scroll)
		{
			customHIscroll[0].scroll.destroy();
			customHIscroll[0].scroll = null;
		}
		var config = {
			wrapper: $(_pageId+" #wrapperrqyx"), //wrapper对象
			scroller: $(_pageId+" #scrollerrqyx" ), //scroller对象
			perCount: 1,  //每个可视区域显示的子元素
			showTab: true, //是否有导航点
			tabDiv: $(_pageId+" #nav"), //导航点集合对象
			auto: false, //是否自动播放
			interval: null, //自动播放定时器
			wrapperObj: null
		};
		customHIscroll[0].scroll = new HIscroll(config); 
		customHIscroll[0]._init = true;
		$(_pageId+" #part").show();
	}
	
	/**
	 * 初始化银行卡滚动组件(人气英雄)
	 */
	function initAdScrollercyyx()
	{
		clearInterval(picLoadTimer);
		picLoadTimer = null;
		if(customHIscroll[0].scroll)
		{
			customHIscroll[0].scroll.destroy();
			customHIscroll[0].scroll = null;
		}
		var config = {
			wrapper: $(_pageId+" #wrappercyyx"), //wrapper对象
			scroller: $(_pageId+" #scrollercyyx" ), //scroller对象
			perCount: 1,  //每个可视区域显示的子元素
			showTab: true, //是否有导航点
			tabDiv: $(_pageId+" #nav"), //导航点集合对象
			auto: false, //是否自动播放
			interval: null, //自动播放定时器
			wrapperObj: null
		};
		customHIscroll[0].scroll = new HIscroll(config); 
		customHIscroll[0]._init = true;
	}
	
	/**
	 * 初始化银行卡滚动组件(人气英雄)
	 */
	function initAdScrollercytd()
	{
		clearInterval(picLoadTimer);
		picLoadTimer = null;
		if(customHIscroll[0].scroll)
		{
			customHIscroll[0].scroll.destroy();
			customHIscroll[0].scroll = null;
		}
		var config = {
			wrapper: $(_pageId+" #wrappercytd"), //wrapper对象
			scroller: $(_pageId+" #scrollercytd" ), //scroller对象
			perCount: 1,  //每个可视区域显示的子元素
			showTab: true, //是否有导航点
			tabDiv: $(_pageId+" #nav"), //导航点集合对象
			auto: false, //是否自动播放
			interval: null, //自动播放定时器
			wrapperObj: null
		};
		customHIscroll[0].scroll = new HIscroll(config); 
		customHIscroll[0]._init = true;
	}
	
	//榜单查询
	function listQuery(type,currPage,name){
		var param = {
			"type" : type,
			"page" : currPage,
			"pageSize" : "10",
			"name" : name
		};
		service.queryList(param,function(data){
			if(data.error_no == "0"){
				var results = data.results[0].data;
				if(currPage == 1){
					if(results.length == 0){
						if(type == "1"){
							$(_pageId+" #scrollercyyx table:eq(0)").html("");
							$(_pageId+" #scrollercyyx table:eq(1)").html("");
						}else if(type == "2"){
							$(_pageId+" #scrollercytd table:eq(0)").html("");
							$(_pageId+" #scrollercytd table:eq(1)").html("");
						}else if(type == "3"){
							$(_pageId+" #scrollertzyx table:eq(0)").html("");
							$(_pageId+" #scrollertzyx table:eq(1)").html("");
						}else if(type == "4"){
							$(_pageId+" #scrollerrqyx table:eq(0)").html("");
							$(_pageId+" #scrollerrqyx table:eq(1)").html("");
						}
						else if(type == "5"){
							$(_pageId+" #scrollercyyb table").html("");
						}
						$(_pageId+" .fix_add").show().css("margin-top","-35%");
					}else{
						$(_pageId+" .fix_add").hide();
					}
				}
				if(results.length == 0 || results.length < 10){
					$(_pageId+" #jiazaigengduo").hide();	
				}else{
					$(_pageId+" #jiazaigengduo").show().css("margin-top",(3+0.2*currPage)+"%");
				}
				
				if(type == "1"){  //创业英雄榜
					
						
				
					if(currPage == 1){
						var cyyxStr = '<tr><th>排名</th><th>姓名</th><th>团队</th><th>营业部</th><th>当日开户数</th></tr>';
						var tzyxStrSecond = '<tr><th>2016年累计有效户数</th><th>累计有效户数</th></tr>';
					}
					for(var i = 0;i < results.length;i++){
						var yyxm = results[i].yyxm;
						var td = results[i].td;
						var yybmc = results[i].yybmc;
						var rank = results[i].rank;
						var uuid = results[i].uuid;
						var zhbh = results[i].zhbh;
						var rank_sj = results[i].rank_sj;
						var drkh = results[i].drkh;
						
						var ds_yxljkh = results[i].ds_yxljkh;
						var yxljkh = results[i].yxljkh;
						
						if(uuid != ""&&zhbh != ""){
							if(currPage == 1){
								if(i == 0){
									cyyxStr += '<tr><td><em style="background:#E73842;">'+ rank +'</em></td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ td +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}else if(i == 1){
									cyyxStr += '<tr><td><em style="background:#F98106;">'+ rank +'</em></td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ td +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}else if(i == 2){
									cyyxStr += '<tr><td><em style="background:#41BFF5;">'+ rank +'</em></td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ td +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}else{
									cyyxStr += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ td +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}
							}else{
								cyyxStr += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ td +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
							}
						}else{
							if(currPage == 1){
								if(i == 0){
									cyyxStr += '<tr><td><em style="background:#E73842;">'+ rank +'</em></td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ td +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}else if(i == 1){
									cyyxStr += '<tr><td><em style="background:#F98106;">'+ rank +'</em></td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ td +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}else if(i == 2){
									cyyxStr += '<tr><td><em style="background:#41BFF5;">'+ rank +'</em></td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ td +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}else{
									cyyxStr += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ td +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}
							}else{
								cyyxStr += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ td +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
							}
						}
						
						tzyxStrSecond += '<tr><td>'+ yxljkh +'</td><td>'+  ds_yxljkh+'</td></tr>';
					}
					
					
				
				if(results.length > 0){
					$(_pageId+" #scrollercyyx table:eq(0)").append(cyyxStr);
					$(_pageId+" #scrollercyyx table:eq(1)").append(tzyxStrSecond);
					$(_pageId+" table tr td").css("vertical-align","inherit");
					$(_pageId+" table tr th").css("vertical-align","inherit");
					initAdScrollercyyx();
						if(currPage == 1){
							$(_pageId+" #scrollercyyx").css("height",($(_pageId+" #scrollercyyx table tr").height()+1)*(results.length+1));
						}else{
							$(_pageId+" #scrollercyyx").css("height",($(_pageId+" #scrollercyyx table tr").height()+1)*((currPage-1)*10+results.length+1));
						}
					}else{
						$(_pageId+" #scrollercyyx").css("height","82px");
					}
					var trObj = $(_pageId+"  #scrollercyyx table tr");
					for(var i = 0;i < trObj.length;i++){
						appUtils.bindEvent($(trObj[i]).find("td:eq(1)"),function(){
							var uuid = $(this).attr("uuid");
							var zhbh = $(this).attr("zhbh");
							var user_id = appUtils.getSStorageInfo("user_id");
							if(uuid != ""&&zhbh != ""){
								if(user_id == ""||user_id == null){
									var param = {
										"uuid" : uuid,
										"zhbh" : zhbh
									};
									appUtils.pageInit("account/heroList","account/userLogin",param);
								}else{
									
									var paramValue = {
											"funcNo": "50040",
											"key": "login_user",
											"value": user_id
										};
										external.callMessage(paramValue);
										var uuidparamValue = {
										"funcNo": "50040",
										"key": "gtuuid",
										"value": uuid
									};
									external.callMessage(uuidparamValue);
										var mobile_phone = appUtils.getSStorageInfo("mobile_phone");
										var loginType = appUtils.getSStorageInfo("loginType");
										var param = {
											funcNo: "50040",
											key: "login_type",
											value: mobile_phone+"_"+loginType
										};
										external.callMessage(param);
									var param = {
										"funcNo":"50101",
										"moduleName":"trends",
										"params" : {"url":"finanPlanDetails/basicInfo","userId":uuid,"zhbh" : zhbh}
									};
									external.callMessage(param);
								}
							}
						});
					}
					$(_pageId+' #hero_parent').animate({
						scrollTop:$(_pageId+" #scrollercyyx").height()
					},1000);
					return false;
					
				}else if(type == "2"){  //创业团队榜
					if(currPage == 1){
						var cytdStr = '<tr><th>排名</th><th>团队</th><th>营业部</th><th>当日开户数</th></tr>';
						var tzyxStrSecond = '<tr><th>2016年累计有效户数</th><th>累计有效户数</th></tr>';
					}
					for(var i = 0;i < results.length;i++){
						var td = results[i].td;
						var yybmc = results[i].yybmc;
						var rank = results[i].rank;
						var uuid = results[i].uuid;
						var zhbh = results[i].zhbh;
						var rank_sj = results[i].rank_sj;
						var drkh = results[i].drkh;
						var ds_yxljkh = results[i].ds_yxljkh;
						var yxljkh = results[i].yxljkh;
						if(uuid != ""&&zhbh != ""){
							if(currPage == 1){
								if(i == 0){
									cytdStr += '<tr><td><em style="background:#E73842;">'+ rank +'</em></td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}else if(i == 1){
									cytdStr += '<tr><td><em style="background:#F98106;">'+ rank +'</em></td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}else if(i == 2){
									cytdStr += '<tr><td><em style="background:#41BFF5;">'+ rank +'</em></td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}else{
									cytdStr += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}
							}else{
								cytdStr += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
							}
						}else{
							if(currPage == 1){
								if(i == 0){
									cytdStr += '<tr><td><em style="background:#E73842;">'+ rank +'</em></td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}else if(i == 1){
									cytdStr += '<tr><td><em style="background:#F98106;">'+ rank +'</em></td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}else if(i == 2){
									cytdStr += '<tr><td><em style="background:#41BFF5;">'+ rank +'</em></td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}else{
									cytdStr += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
								}
							}else{
								cytdStr += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ drkh +'</td></tr>';
							}
						}
						tzyxStrSecond += '<tr><td>'+ yxljkh +'</td><td>'+  ds_yxljkh+'</td></tr>';
					}
					if(results.length > 0){
						$(_pageId+" #scrollercytd table:eq(0)").append(cytdStr);
						$(_pageId+" #scrollercytd table:eq(1)").append(tzyxStrSecond);
						$(_pageId+" table tr td").css("vertical-align","inherit");
						$(_pageId+" table tr th").css("vertical-align","inherit");
						initAdScrollercytd();
							if(currPage == 1){
								$(_pageId+" #scrollercytd").css("height",($(_pageId+" #scrollercytd table tr").height()+1)*(results.length+1));
							}else{
								$(_pageId+" #scrollercytd").css("height",($(_pageId+" #scrollercytd table tr").height()+1)*((currPage-1)*10+results.length+1));
							}
						}else{
							$(_pageId+" #scrollercytd").css("height","82px");
						}
						
					var trObj = $(_pageId+"  #scrollercytd table tr");
					for(var i = 0;i < trObj.length;i++){
						appUtils.bindEvent($(trObj[i]).find("td:eq(1)"),function(){
							var uuid = $.trim($(this).attr("uuid"));
							var zhbh = $(this).attr("zhbh");
							var user_id = appUtils.getSStorageInfo("user_id");
							if(uuid != ""&&zhbh != ""){
								if(user_id == ""||user_id == null){
									var param = {
										"uuid" : uuid,
										"zhbh" : zhbh
									};
									appUtils.pageInit("account/heroList","account/userLogin",param);
								}else{
									
									var paramValue = {
											"funcNo": "50040",
											"key": "login_user",
											"value": user_id
										};
										external.callMessage(paramValue);
										var uuidparamValue = {
										"funcNo": "50040",
										"key": "gtuuid",
										"value": uuid
									};
									external.callMessage(uuidparamValue);
										var mobile_phone = appUtils.getSStorageInfo("mobile_phone");
										var loginType = appUtils.getSStorageInfo("loginType");
										var param = {
											funcNo: "50040",
											key: "login_type",
											value: mobile_phone+"_"+loginType
										};
										external.callMessage(param);
									var param = {
										"funcNo":"50101",
										"moduleName":"trends",
										"params" : {"url":"finanPlanDetails/basicInfo","userId":uuid,"zhbh" : zhbh}
									};
									external.callMessage(param);
								}
							}
						});
					}
					$(_pageId+' #hero_parent').animate({
						scrollTop:$(_pageId+" #scrollercytd").height()
					},1000);
					return false;
				}else if(type == "5"){  //创业团队榜
					if(currPage == 1){
						var cytdStr = '<tr><th>排名</th><th>营业部</th><th>当日开户数</th><th>年累计有效户</th></tr>';
					}
					for(var i = 0;i < results.length;i++){
						var td = results[i].td;
						var yybmc = results[i].yybmc;
						var rank = results[i].rank;
						var uuid = results[i].uuid;
						var zhbh = results[i].zhbh;
						var rank_sj = results[i].rank_sj;
						var drkh = results[i].ss_drkh;
						var nljh = results[i].yxljkh;
						if(uuid != ""&&zhbh != ""){
							if(currPage == 1){
								if(i == 0){
									cytdStr += '<tr><td><em style="background:#E73842;">'+ rank +'</em></td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ drkh +'</td><td>'+ nljh +'</td></tr>';
								}else if(i == 1){
									cytdStr += '<tr><td><em style="background:#F98106;">'+ rank +'</em></td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ drkh +'</td><td>'+ nljh +'</td></tr>';
								}else if(i == 2){
									cytdStr += '<tr><td><em style="background:#41BFF5;">'+ rank +'</em></td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ drkh +'</td><td>'+ nljh +'</td></tr>';
								}else{
									cytdStr += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ drkh +'</td><td>'+ nljh +'</td></tr>';
								}
							}else{
								cytdStr += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ drkh +'</td><td>'+ nljh +'</td></tr>';
							}
						}else{
							if(currPage == 1){
								if(i == 0){
									cytdStr += '<tr><td><em style="background:#E73842;">'+ rank +'</em></td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ drkh +'</td><td>'+ nljh +'</td></tr>';
								}else if(i == 1){
									cytdStr += '<tr><td><em style="background:#F98106;">'+ rank +'</em></td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ drkh +'</td><td>'+ nljh +'</td></tr>';
								}else if(i == 2){
									cytdStr += '<tr><td><em style="background:#41BFF5;">'+ rank +'</em></td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ drkh +'</td><td>'+ nljh +'</td></tr>';
								}else{
									cytdStr += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ drkh +'</td><td>'+ nljh +'</td></tr>';
								}
							}else{
								cytdStr += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ drkh +'</td><td>'+ nljh +'</td></tr>';
							}
						}
					}
					if(results.length > 0){
						if(currPage == 1){
							$(_pageId+" #scrollercyyb table").html("");
						}
						$(_pageId+" #scrollercyyb table").append(cytdStr);
						$(_pageId+" table tr td").css("vertical-align","inherit");
						$(_pageId+" table tr th").css("vertical-align","inherit");
						if(currPage == 1){
							$(_pageId+" #scrollercyyb").css("height",($(_pageId+" #scrollercyyb table tr").height()+1)*(results.length+1));
						}else{
							$(_pageId+" #scrollercyyb").css("height",($(_pageId+" #scrollercyyb table tr").height()+1)*((currPage-1)*10+results.length+1));
						}
					}else{
						$(_pageId+" #scrollercyyb").css("height","82px");
					}
					var trObj = $(_pageId+"  #scrollercyyb table tr");
					for(var i = 0;i < trObj.length;i++){
						appUtils.bindEvent($(trObj[i]).find("td:eq(1)"),function(){
							var uuid = $.trim($(this).attr("uuid"));
							var zhbh = $(this).attr("zhbh");
							var user_id = appUtils.getSStorageInfo("user_id");
							if(uuid != ""&&zhbh != ""){
								
								
								if(user_id == ""||user_id == null){
									var param = {
										"uuid" : uuid,
										"zhbh" : zhbh
									};
									appUtils.pageInit("account/heroList","account/userLogin",param);
								}else{
									
									var paramValue = {
											"funcNo": "50040",
											"key": "login_user",
											"value": user_id
										};
										external.callMessage(paramValue);
										var uuidparamValue = {
										"funcNo": "50040",
										"key": "gtuuid",
										"value": uuid
									};
									external.callMessage(uuidparamValue);
										var mobile_phone = appUtils.getSStorageInfo("mobile_phone");
										var loginType = appUtils.getSStorageInfo("loginType");
										var param = {
											funcNo: "50040",
											key: "login_type",
											value: mobile_phone+"_"+loginType
										};
										external.callMessage(param);
									var param = {
										"funcNo":"50101",
										"moduleName":"trends",
										"params" : {"url":"finanPlanDetails/basicInfo","userId":uuid,"zhbh" : zhbh}
									};
									external.callMessage(param);
								}
							}
						});
					}
				}
				
				
				else if(type == "3"){  //投资英雄榜
					if(currPage == 1){
						var tzyxStrFirst = '<tr><th>排名</th><th>姓名</th><th>营业部</th><th>2016年收益率(%)</th></tr>';
						var tzyxStrSecond = '<tr><th>重仓股</th><th>日收益(%)</th><th>周收益(%)</th><th>月收益(%)</th>><th>累计收益率(%)</th></tr>';
					}
					for(var i = 0;i < results.length;i++){
						var yyxm = results[i].yyxm;  //姓名
						var yybmc = results[i].yybmc;  //营业部
						var profit = results[i].profit; //收益率
						var zcg = results[i].zcg;  //重股数
						var rsy = results[i].rsy;  //日收益
						var zsy = results[i].zsy;  //周收益
						var ysy = results[i].ysy;  //月收益
						var rank = results[i].rank;
						var uuid = results[i].uuid;
						var zhbh = results[i].zhbh;
						var rank_sj = results[i].rank_sj;
						
						var lj_profit = results[i].lj_profit;
						
						if(uuid != ""&&zhbh != ""){
							if(currPage == 1){
								if(i == 0){
									tzyxStrFirst += '<tr><td><em style="background:#E73842;">'+ rank +'</em></td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ profit +'</td></tr>';
								}else if(i == 1){
									tzyxStrFirst += '<tr><td><em style="background:#F98106;">'+ rank +'</em></td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ profit +'</td></tr>';
								}else if(i == 2){
									tzyxStrFirst += '<tr><td><em style="background:#41BFF5;">'+ rank +'</em></td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ profit +'</td></tr>';
								}else{
									tzyxStrFirst += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ profit +'</td></tr>';
								}
							}else{
								tzyxStrFirst += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ profit +'</td></tr>';
							}
						}else{
							if(currPage == 1){
								if(i == 0){
									tzyxStrFirst += '<tr><td><em style="background:#E73842;">'+ rank +'</em></td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ profit +'</td></tr>';
								}else if(i == 1){
									tzyxStrFirst += '<tr><td><em style="background:#F98106;">'+ rank +'</em></td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ profit +'</td></tr>';
								}else if(i == 2){
									tzyxStrFirst += '<tr><td><em style="background:#41BFF5;">'+ rank +'</em></td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ profit +'</td></tr>';
								}else{
									tzyxStrFirst += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ profit +'</td></tr>';
								}
							}else{
								tzyxStrFirst += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ yyxm + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ profit +'</td></tr>';
							}
						}
						tzyxStrSecond += '<tr><td>'+ zcg +'</td><td>'+ rsy +'</td><td>'+ zsy +'</td><td>'+ ysy +'</td><td>'+ lj_profit +'</td></tr>';
					}
					if(results.length > 0){
						$(_pageId+" #scrollertzyx table:eq(0)").append(tzyxStrFirst);
						$(_pageId+" #scrollertzyx table:eq(1)").append(tzyxStrSecond);
						$(_pageId+" table tr td").css("vertical-align","inherit");
						$(_pageId+" table tr th").css("vertical-align","inherit");
						initAdScrollertzyx();
						if(currPage == 1){
							$(_pageId+" #scrollertzyx").css("height",($(_pageId+" #scrollertzyx table tr").height()+1)*(results.length+1));
						}else{
							$(_pageId+" #scrollertzyx").css("height",($(_pageId+" #scrollertzyx table tr").height()+1)*((currPage-1)*10+results.length+1));
						}
					}else{
						$(_pageId+" #scrollertzyx").css("height","82px");
					}
					var trObj = $(_pageId+"  #scrollertzyx table tr");
					for(var i = 0;i < trObj.length;i++){
						appUtils.bindEvent($(trObj[i]).find("td:eq(1)"),function(){
							var uuid = $(this).attr("uuid");
							var zhbh = $(this).attr("zhbh");
							var user_id = appUtils.getSStorageInfo("user_id");
							if(uuid != ""&&zhbh != ""){
								if(user_id == ""||user_id == null){
									var param = {
										"uuid" : uuid,
										"zhbh" : zhbh
									};
									appUtils.pageInit("account/heroList","account/userLogin",param);
								}else{
									var paramValue = {
											"funcNo": "50040",
											"key": "login_user",
											"value": user_id
										};
										external.callMessage(paramValue);
										var uuidparamValue = {
										"funcNo": "50040",
										"key": "gtuuid",
										"value": uuid
									};
									external.callMessage(uuidparamValue);
										var mobile_phone = appUtils.getSStorageInfo("mobile_phone");
										var loginType = appUtils.getSStorageInfo("loginType");
										var param = {
											funcNo: "50040",
											key: "login_type",
											value: mobile_phone+"_"+loginType
										};
										external.callMessage(param);
									var param = {
										"funcNo":"50101",
										"moduleName":"trends",
										"params" : {"url":"finanPlanDetails/basicInfo","userId":uuid,"zhbh" : zhbh}
									};
									external.callMessage(param);
								}
							}
						});
					}
					$(_pageId+' #hero_parent').animate({
						scrollTop:$(_pageId+" #scrollertzyx").height()
					},1000);
					return false;
				}else if(type == "4"){  //人气英雄榜
					if(currPage == 1){
						var rqyxStrFirst = '<tr><th>排名</th><th>名称</th><th>营业部</th><th>粉丝数</th></tr>';
						var rqyxStrSecond = '<tr><th>日关注</th><th>周关注</th><th>月关注</th></tr>';
					}
					for(var i = 0;i < results.length;i++){
						var td = results[i].td;  //姓名
						var yybmc = results[i].yybmc;  //营业部
						var funsnum = results[i].funsnum;  //粉丝数
						var rgzs = results[i].rgzs;  //日关注
						var zgzs = results[i].zgzs;  //周关注
						var ygzs = results[i].ygzs;  //月关注
						var rank = results[i].rank;
						var uuid = results[i].uuid;
						var zhbh = results[i].zhbh;
						var rank_sj = results[i].rank_sj;
						if(uuid != ""&&zhbh != ""){
							if(currPage == 1){
								if(i == 0){
									rqyxStrFirst += '<tr><td><em style="background:#E73842;">'+ rank +'</em></td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ funsnum +'</td></tr>';
								}else if(i == 1){
									rqyxStrFirst += '<tr><td><em style="background:#F98106;">'+ rank +'</em></td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ funsnum +'</td></tr>';
								}else if(i == 2){
									rqyxStrFirst += '<tr><td><em style="background:#41BFF5;">'+ rank +'</em></td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ funsnum +'</td></tr>';
								}else{
									rqyxStrFirst += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ funsnum +'</td></tr>';
								}
							}else{
								rqyxStrFirst += '<tr><td>'+ rank +'</td><td style="color:#c61963;" uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ funsnum +'</td></tr>';
							}
						}else{
							if(currPage == 1){
								if(i == 0){
									rqyxStrFirst += '<tr><td><em style="background:#E73842;">'+ rank +'</em></td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ funsnum +'</td></tr>';
								}else if(i == 1){
									rqyxStrFirst += '<tr><td><em style="background:#F98106;">'+ rank +'</em></td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ funsnum +'</td></tr>';
								}else if(i == 2){
									rqyxStrFirst += '<tr><td><em style="background:#41BFF5;">'+ rank +'</em></td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ funsnum +'</td></tr>';
								}else{
									rqyxStrFirst += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ funsnum +'</td></tr>';
								}
							}else{
								rqyxStrFirst += '<tr><td>'+ rank +'</td><td uuid="'+ uuid +'" zhbh="'+ zhbh +'">'+ td + rankingChange(rank_sj,type) +'</td><td>'+ yybmc +'</td><td>'+ funsnum +'</td></tr>';
							}
						}
						rqyxStrSecond += '<tr><td>'+ rgzs +'</td><td>'+ zgzs +'</td><td>'+ ygzs +'</td></tr>';
					}
					
					if(results.length > 0){
						$(_pageId+" #scrollerrqyx table:eq(0)").append(rqyxStrFirst);
						$(_pageId+" #scrollerrqyx table:eq(1)").append(rqyxStrSecond);
						$(_pageId+" table tr td").css("vertical-align","inherit");
						$(_pageId+" table tr th").css("vertical-align","inherit");
						initAdScrollerrqyx();
						if(currPage == 1){
							$(_pageId+" #scrollerrqyx").css("height",($(_pageId+" #scrollerrqyx table tr").height()+1)*(results.length+1));
						}else{
							$(_pageId+" #scrollerrqyx").css("height",($(_pageId+" #scrollerrqyx table tr").height()+1)*((currPage-1)*10+results.length+1));
						}
					}else{
						$(_pageId+" #scrollerrqyx").css("height","82px");
					}
					var trObj = $(_pageId+"  #scrollerrqyx table tr");
					for(var i = 0;i < trObj.length;i++){
						appUtils.bindEvent($(trObj[i]).find("td:eq(1)"),function(){
							var uuid = $(this).attr("uuid");
							var zhbh = $(this).attr("zhbh");
							var user_id = appUtils.getSStorageInfo("user_id");
							if(uuid != ""&&zhbh != ""){
								if(user_id == ""||user_id == null){
									var param = {
										"uuid" : uuid,
										"zhbh" : zhbh
									};
									appUtils.pageInit("account/heroList","account/userLogin",param);
								}else{
									var paramValue = {
											"funcNo": "50040",
											"key": "login_user",
											"value": user_id
										};
										external.callMessage(paramValue);
										var uuidparamValue = {
										"funcNo": "50040",
										"key": "gtuuid",
										"value": uuid
									};
									external.callMessage(uuidparamValue);
										var mobile_phone = appUtils.getSStorageInfo("mobile_phone");
										var loginType = appUtils.getSStorageInfo("loginType");
										var param = {
											funcNo: "50040",
											key: "login_type",
											value: mobile_phone+"_"+loginType
										};
										external.callMessage(param);
									var param = {
										"funcNo":"50101",
										"moduleName":"trends",
										"params" : {"url":"finanPlanDetails/basicInfo","userId":uuid,"zhbh" : zhbh}
									};
									external.callMessage(param);
								}
							}
						});
					}
					$(_pageId+' #hero_parent').animate({
						scrollTop:$(_pageId+" #scrollerrqyx").height()
					},1000);
					return false;
				}
				$(_pageId+" table tr:eq(1) td:eq(0) em").css("background","#E73842");
				$(_pageId+" table tr:eq(2) td:eq(0) em").css("background","#F98106");
				$(_pageId+" table tr:eq(3) td:eq(0) em").css("background","#41BFF5");
				
			}else{
				layerUtils.iAlert(data.error_info);
				return false;
			}
		});
	}
	
	//排名变化
	function rankingChange(rank_sj,type){
		var changeStr = "";
		if(rank_sj > 0){
			if(type == "1"||type == "3"||type == "4"||type == "5"||type=="2"){
				changeStr += '<img src="./images/sprite-misc-red.png" style="width: 8px;height:8px;margin-left: 2%;margin-top: 1%;"><span style="color:blue">'+ rank_sj +'<span></span></span>';
			}else{
				changeStr += '<img src="./images/sprite-misc-red.png" style="width: 5%;margin-left: 2%;margin-top: 1%;"><span style="color:blue">'+ rank_sj +'<span></span></span>';
			}
		}else if(rank_sj < 0){
			if(type == "1"||type == "3"||type == "4"||type == "5"||type=="2"){
				changeStr += '<img src="./images/sprite-misc-green.png" style="width: 8px;height:8px;margin-left: 2%;margin-top: 1%;"><span style="color:blue">'+ rank_sj +'<span></span></span>';
			}else{
				changeStr += '<img src="./images/sprite-misc-green.png" style="width: 5%;margin-left: 2%;margin-top: 1%;"><span style="color:blue">'+ rank_sj +'<span></span></span>';
			}
		}else{
			if(type == "1"||type == "3"||type == "4"||type == "5"||type=="2"){
				changeStr += '<img src="./images/ping.png" style="width: 8px;height:8px;margin-left: 2%;margin-top: 1%;">';
			}else{
				changeStr += '<img src="./images/ping.png" style="width: 5%;margin-left: 2%;margin-top: 1%;">';
			}
		}
		return changeStr;
	}
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+" #icon_back"),function(){
			if(prePageCode == ""){
				appUtils.pageInit("account/heroList","account/ytg/yqt");
			}else{
				appUtils.pageInit("account/heroList",prePageCode);
			}
		});
		//tab切换
		appUtils.bindEvent($(_pageId+" .news_tab a"),function(){
			
			var titleTab = $(this).html();
			var catalog_id = $(this).attr("catalog_id");
			if(titleTab == "英雄榜"){
				
				$(this).addClass("current").siblings().removeClass("current");
				$(_pageId+" #hero_all").show();
				$(_pageId+" .produce-listold").hide();
				currPage = 1;
				$(_pageId+" #scrollercyyx table").html("");
				$(_pageId+" #jiazaigengduo a").html("点击加载更多");
				$(_pageId+" .cyyx").show();
				$(_pageId+" .cytd").hide();
				$(_pageId+" .tzyx").hide();
				$(_pageId+" .rqyx").hide();
				$(_pageId+" .cyyyb").hide();
				listQuery("1",currPage,"");
				var isMainPageHeight = $(window).height();		
				var sessionMainHeight = appUtils.getSStorageInfo("isMainPageHeight");
				if(sessionMainHeight){
					$(_pageId+" #hero_parent").css({
						"overflow-y":"auto",
						"overflow-x":"hidden",
						"height":(sessionMainHeight-$(_pageId+".new-header").height()-$(_pageId+".news_tab").height()-$(_pageId+".buy-bottom").height()-1)+"px"
					});
				}else{
					$(_pageId+" #hero_parent").css({
						"overflow-y":"auto",
						"overflow-x":"hidden",
						"height":($(window).height()-$(_pageId+".new-header").height()-$(_pageId+".news_tab").height()-$(_pageId+".buy-bottom").height()-1)+"px"
					});
					appUtils.setSStorageInfo("isMainPageHeight",isMainPageHeight);
				}
				gettext();
				initAdScroller();
				$(_pageId+" #scroller").css("height","100%");
				$(_pageId+" #scroller .bot_banner").css("height","100%");

			}else if(titleTab == "快讯"){
				loadHeroNewsFlash();
			}
			else if(titleTab == "投教竞答"){
				// 1、登陆拦截
				var user_id = appUtils.getSStorageInfo("user_id");
				var param = {
						uuid:"",
						zhbh:"zhbh",
						flag:"1"
				};
				if(user_id==""||user_id==null){
					appUtils.pageInit("account/heroList","account/userLogin",param);
					return;
				}
				appUtils.pageInit("account/heroList","account/answerActivity");
				
			}
			else{
				$(this).addClass("current").siblings().removeClass("current");
				$(_pageId+" #hero_all").hide();
				$(_pageId+" .produce-listold").show();
				$(_pageId+" .produce-listold").html("");
				queryTitle(catalog_id,titleTab);
			}
		});
		//投资英雄榜、人气英雄榜、创业英雄榜、创业团队榜切换
		appUtils.bindEvent($(_pageId+" .rank_tab a"),function(){
			$(this).addClass("current").siblings().removeClass("current");
			$(_pageId+" #jiazaigengduo").show().css("margin-top","3%");
			var type = $(this).attr("type");
			if(type == "1"){
				$(_pageId+" #scrollercyyx table").html("");
				$(_pageId+" #jiazaigengduo a").html("点击加载更多");
				$(_pageId+" .cyyx").show();
				$(_pageId+" .cytd").hide();
				$(_pageId+" .tzyx").hide();
				$(_pageId+" .rqyx").hide();
				$(_pageId+" .cyyyb").hide();
			}else if(type == "2"){
				$(_pageId+" #scrollercytd table").html("");
				$(_pageId+" #jiazaigengduo a").html("点击加载更多");
				$(_pageId+" .cyyx").hide();
				$(_pageId+" .cytd").show();
				$(_pageId+" .tzyx").hide();
				$(_pageId+" .rqyx").hide();
				$(_pageId+" .cyyyb").hide();
			}else if(type == "3"){
				$(_pageId+" #scrollertzyx table:eq(0)").html("");
				$(_pageId+" #scrollertzyx table:eq(1)").html("");
				$(_pageId+" #jiazaigengduo a").html("点击加载更多");
				$(_pageId+" .cyyx").hide();
				$(_pageId+" .cytd").hide();
				$(_pageId+" .tzyx").show();
				$(_pageId+" .rqyx").hide();
				$(_pageId+" .cyyyb").hide();
			}else if(type == "4"){
				$(_pageId+" #scrollerrqyx table:eq(0)").html("");
				$(_pageId+" #scrollerrqyx table:eq(1)").html("");
				$(_pageId+" #jiazaigengduo a").html("点击加载更多");
				$(_pageId+" .cyyx").hide();
				$(_pageId+" .cytd").hide();
				$(_pageId+" .tzyx").hide();
				$(_pageId+" .rqyx").show();
				$(_pageId+" .cyyyb").hide();
			}else if(type == "5"){
				$(_pageId+" #scrollercyyb table:eq(0)").html("");
				$(_pageId+" #scrollercyyb table:eq(1)").html("");
				$(_pageId+" #jiazaigengduo a").html("点击加载更多");
				$(_pageId+" .cyyx").hide();
				$(_pageId+" .cytd").hide();
				$(_pageId+" .tzyx").hide();
				$(_pageId+" .rqyx").hide();
				$(_pageId+" .cyyyb").show();
			}
			currPage = 1;
			listQuery(type,currPage,"");
		});
		//分享
		appUtils.bindEvent($(_pageId+" .buy-bottom"),function(){
			var link = global.shareLink;
        	var param={
				moduleName: "mall", // String	目标模块名	N
				funcNo: "50230",
				shareTypeList: "22,23,24",
				title: "翼启航快讯",
				link:  link+"/m/mall/#!/account/heroList.html",
				content: "最全最新的快讯",
				imgUrl: ""
			};
			external.callMessage(param);
		});
		//加载更多
		appUtils.bindEvent($(_pageId+" #jiazaigengduo"),function(){
			var tabObj = $(_pageId+" .rank_tab a");
			var type;
			for(var i = 0;i < tabObj.length;i++){
				if($(tabObj[i]).hasClass("current")){
					type = $(tabObj[i]).attr("type");
				}
			}
			currPage++;
			listQuery(type,currPage,"");
		});
		//搜索
		appUtils.bindEvent($(_pageId+" .index-set-list"),function(){
			var tabObj = $(_pageId+" .rank_tab a");
			var type;
			var text;
			for(var i = 0;i< tabObj.length;i++){
				if($(tabObj[i]).hasClass("current")){
					type = $(tabObj[i]).attr("type");
					text = $(tabObj[i]).html();
				}
			}
			var param = {
				"type" : type,
				"text" : text
			};
			appUtils.pageInit("account/heroList","account/heroListSearch",param)
		});
		//进入达人榜
		appUtils.bindEvent($(_pageId+"  .bot_banner #darpang"),function(){
			var xurl  = $(this).attr("url");
			
			if(xurl!=null&&xurl!="") {
				appUtils.pageInit("account/heroList", "account/heroExpert");
			}else{
				return false;
			}
		});
	}
	//加载快讯页信息
	function loadHeroNewsFlash(){
		var $this = $(_pageId+" #newsFlash");
		var titleTab = $this.html();
		//console.info(obj);
		$this.addClass("current").siblings().removeClass("current");
		$(_pageId+" #hero_all").hide();
		$(_pageId+" .produce-listold").show();
		$(_pageId+" .produce-listold").html("");
		queryTitle("3486,3485",titleTab);
	}
/**
	 * 初始化图片滚动组件
	 */
	function initAdScroller()
	{
		clearInterval(GGpicLoadTimer);
		GGpicLoadTimer = null;
		if(GGcustomHIscroll[0].scroll)
		{
			GGcustomHIscroll[0].scroll.destroy();
			GGcustomHIscroll[0].scroll = null;
		}
		var config = {
			wrapper: $(_pageId+" #wrapper"), //wrapper对象
			scroller: $(_pageId+" #scroller" ), //scroller对象
			perCount: 1,  //每个可视区域显示的子元素
			showTab: true, //是否有导航点
			tabDiv: $(_pageId+" #nav"), //导航点集合对象
			auto: true, //是否自动播放
			interval: null, //自动播放定时器
			wrapperObj: null
		};
		GGcustomHIscroll[0].scroll = new GGHIscroll(config); 
		GGcustomHIscroll[0]._init = true;
		$(_pageId+" .bot_banner").show();
	}
	
	//销毁
	function destroy(){
		
	}
	
	var heroList = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = heroList;
	
});
