/**
 * 产品首页类别信息
 */
define('mall/scripts/account/home.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var _pageId = "#account_home ";
	var external = require("external");
	var common = require("common");
	var gconfig = require("gconfig");
	var platform=gconfig.platform;
	var global = gconfig.global;
	
	//初始化
	function init(){
		common.initTitle(_pageId);
		$(_pageId+"courselist_box ul").html("");
		query();
		
		/*var user_id = appUtils.getSStorageInfo("user_id");
		if(user_id == ""||user_id == null){
			$(_pageId+".header_inner a[class='icon_back']").show();
			$(_pageId+".header_inner a[class='index-set']").hide();
		}else{
			$(_pageId+".header_inner a[class='icon_back']").hide();
			$(_pageId+".header_inner a[class='index-set']").show();
		}*/
	}
	/**
	 * 产品首页类别信息
	 */
	function query(){
		//查询产品介绍
		service.findProduct("",function(data){
			if(data.error_no == "0"){
				var result = data.results;
				var str = "";
				var product_id = "";
				if(result.length>0){
					$(_pageId+" .img_box").attr("photo_url",result[0].product_person);//讲师姓名
					$(_pageId+" #jiangshi #js_name").html(result[0].teacher_name).attr("photo_url",result[0].product_person);//讲师姓名
					$(_pageId+" #jiangshi #title").html(result[0].product_name);//产品类别名称
					$(_pageId+" #jiangshi #content").html(result[0].product_intro+"<a id=\"xiangqing\" photo_url=\""+result[0].product_details+"\" href='javascript:void(0);'>详细</a>");//产品简介
					$(_pageId+" #jiangshi #js_zp").attr("src",result[0].teacher_photo);//讲师照片
				}
			}else{
				layerUtils.iMsg(-1,data.error_info);
			}
		},"");
		
		var param = {
			"userId":appUtils.getSStorageInfo("user_id"),
			"loginFlag":appUtils.getSStorageInfo("loginType")
		};
		service.findCourseware(param,function(data){
			if(data.error_no == "0"){
				//清空
				$(_pageId+"#chuji ul").html("");
				$(_pageId+"#zhongji ul").html("");
				$(_pageId+"#gaoji ul").html("");
				$(_pageId+"#jiepan ul").html("");
				$(_pageId+"#mianfei").html("");
				var result = data.results;
				var mianfei1=1;
				for(var i = 0;i<result.length;i++){
					var photo = result[i].photo;//产品图片
					var inst_sname = result[i].inst_sname;//产品名称
					var intro = result[i].intro;//产品简介
					var inst_id = result[i].inst_id;//产品ID
					var spdj  = result[i].spdj;//视频等级
					var issp = result[i].issp;//视频产品
					var original_price = result[i].original_price;//产品购买金额
					var isGm=result[i].isGm;//是否购买，1 已购买
					var li =" <li spdj="+spdj+" inst_id="+inst_id+" is_gm=\""+isGm+"\" issp="+issp+">"; 
					li += "	<div class='elelist_right'>";
					if("1"==isGm){
						li += "	<a href='javascript:void(0); ' issp='"+issp+"'>点击观看</a>";
					}else{
						li += "	<a href='javascript:void(0);' ' issp='"+issp+"'>￥"+original_price+".00</a>";
					}
					li += "	</div>";
					li += "	<div class='elelist_left'>";
					li += "	<div class='img1_box' >";
					li += "	<img src='"+photo+"' />";
					li += "	</div>";					
					li += "	<span class=\"ellipsis\">"+inst_sname+"</span>";
					li += "	<p class=\"ellipsis\">"+intro+"</p>";
					li += "	</div>	";							
					li += " </li>";
					if(spdj=="1"){
						$(_pageId+" #chuji ul").append(li);
					}else if(spdj=="2"){
						$(_pageId+" #zhongji ul").append(li);
					}else if(spdj=="3"){
						$(_pageId+" #gaoji ul").append(li);
					}else if(spdj=="4"){
						$(_pageId+" #jiepan ul").append(li);
					}else if(spdj=="0"){
						if(mianfei1==2){
							li="<li spdj="+spdj+" inst_id="+inst_id+" class=\"free_left free_right\">";
						}else{
							li="<li spdj="+spdj+" inst_id="+inst_id+" class=\"free_left\">";
						}
						li+="<div class=\"img1_box\">";
						li+="<img src=\""+photo+"\" />";
						li+="</div>";				
						li+="<span>经典</span>";
						li+="<p class=\"ellipsis\">"+intro+"</p>";
						li+="</li>";
						$(_pageId+" #mianfei").append(li);
						mianfei1=2;
					}
					
				}
			}else{
				layerUtils.iMsg(-1,data.error_info);
			}
		},"");
		
	}
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageInit("account/home","mall/moneyShop");
		});
		
		
		//点击更多跳转到视频列表页面
		appUtils.bindEvent($(_pageId+" .elementary_box h3 a"),function(){
//			var spdj = $(this).parent().parent().find("li").attr("spdj");
			var spdj = $(this).attr("spdj");
			appUtils.pageInit("account/home","account/kecheng", {"spdj":spdj});
		},"click");
		
		//点击免费视频直接观看
		appUtils.preBindEvent($(_pageId+" #mianfei"),"li",function(){
			var product_id = $(this).attr("inst_id");
			appUtils.pageInit("account/home","account/bofang", {"product_id":product_id});
		});
		
		//点击文章详情
		appUtils.preBindEvent($(_pageId),".img_box,#xiangqing",function(){
			var photo_url=$(this).attr("photo_url");
			appUtils.pageInit("account/home","account/xiangqing",{"photo_url":photo_url});
		});
		//点击头像
		appUtils.preBindEvent($(_pageId),".img_box",function(){
			var photo_url=$(this).attr("photo_url");
			appUtils.pageInit("account/home","account/xiangqing",{"photo_url":photo_url});
		});
		
		
		//点击金额购买视频产品
		appUtils.preBindEvent($(_pageId+" .elementary_box"),"li",function(){
			var product_id = $(this).attr("inst_id");
			var user_id = appUtils.getSStorageInfo("user_id");
			var issp = $(this).attr("issp");//视频产品
			var is_gm=$(this).attr("is_gm");
			if(user_id==""||user_id==null){
				var pageParam = appUtils.getPageParam();
				var param = {
					"product_type":"7",
					"product_id":product_id
				};
				appUtils.pageInit("account/home","account/userLogin",param);
			}else{
					var param = {
						"product_id":product_id,
						"product_type" : "7",
						"dingy_type":"5",
						"sub_type":"2",
						"page_code":"account/home",
						"issp":issp
					};
					if(is_gm=="1"){
						appUtils.pageInit("account/home","account/bofang",param);
					}else{
						appUtils.pageInit("account/home","account/selPayMethod",param);
					}
			}
		});
	}
	
	
	//销毁
	function destroy(){
		
	}
	
	var home = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	// 暴露对外的接口
	module.exports = home;
	
});