/**
 * 交易明细
 */
define('mall/scripts/account/indexOrder.js',function(require, exports, module){
	var appUtils = require("appUtils");
	var	gconfig = require("gconfig");
	var	global = gconfig.global;
	var common = require("common");
	var	service = require("mobileService"); // 业务层接口，请求数据
	var	layerUtils = require("layerUtils");
	var	start_time = ""; // 查询接口的起始时间
	var	end_time = ""; // 查询接口的结束时间
	var	order_state = ""; // 查询接口的订单状态
	var	curPageNo = ""; // 当前页序号
	var	curInputId = null;
	var	keyPanel = require("keyPanel");
	var	pwdTimer = null; // 密码输入框计时器
	var	$curCancelBtn = null; // 当前撤单按钮
	var	pageId = "#account_indexOrder ";
	var dropload=require("dropload"); // 滚动组件
	var me="";
	function init()
	{	//解决未登入报错的问题
		common.initTitle(pageId);
		curPageNo = 1;
		var user_id =appUtils.getSStorageInfo("user_id");
		if(user_id==null){
			common.checkUserIsLogin();//检查登入
		}else{
			queryOrderList(); // 查询订单列表
		}
		
		$(pageId+" .fix_add").css("margin-top","47%");
	
		
		
		window.customKeyboardEvent = {
			keyBoardInputFunction: inputEvent
		};
		
		$(pageId+" #layer_pwd").css({
			"height": "32px",
			"color": "black"
		});
		$(pageId+" #che_dan").css({
			"background": "#EFAE7A",
			"border": "1px solid #C25D19",
			"border-radius":" 0.05rem",
			"padding":" 0 0.15rem",
			"height": "0.32rem",
			"margin-top": "0.1rem",
			"right": "0.15rem",
			"color": "#FFFFFF"
		
		});
	}
	
	function bindPageEvent()
	{
		appUtils.bindEvent($(pageId + " #che_dan"), function(event) {
			var text = $(pageId+" #layer_pwd").val();
			doCancelOrder(text);
			$(pageId+".yh-mask").hide();
		});
		
		
		//基金确定赎回事件
		appUtils.bindEvent($(pageId + " #tijiao"), function(e) {
		//$(pageId+" #").bindEvent(function(e){
			var fid_kysl = $curCancelBtn.attr("data-tot-fid_kysl");//基金持有份数
			var sh_fs = $(pageId+" #jj_shuhui").val();
			text = $(pageId+" #jjlayer_pwd").val();
			if(text!=""&&text!=null){
				if(text.length==6){
				//	jjhuihui(text,sh_fs); // 执行撤单操作
					
					var tradePwd = text;
					$(pageId+" .jj-mask").hide();
					var user_id =appUtils.getSStorageInfo("user_id");
			    	var khh = appUtils.getSStorageInfo("client_no");//客户号
			    	var trd_date = $curCancelBtn.attr("data-trd-date");//基金账户
			    	var fund_account = $curCancelBtn.attr("data-fund-account");//资产账号
			    	var loginFlag = $curCancelBtn.attr("data-loginFlag");//保障金还是银行
			    	var product_type = $curCancelBtn.attr("data-product-type");//产品类型
			    	var fid_tadm = $curCancelBtn.attr("data-fid_tadm");//基金公司代码
			    	var fid_jjdm = $curCancelBtn.attr("data-fid_jjdm");//基金代码
			    	var fid_sffs = $curCancelBtn.attr("data-fid_sffs");//收费方式
			    	
			    	var fid_ywdm = "024";//业务代码固定传24
			    	var fid_wtje = sh_fs;//赎回份额
			    	if(product_type != "7"){
			    		product_type == "";
			    	}
			    	
					var param = {
						"user_id": user_id,
			    		"fid_wtje" : fid_wtje,
			    		"trade_pwd" : tradePwd,
			    		"loginFlag" : loginFlag,
			    		"trd_date" : trd_date,
			    		"fund_account" : fund_account,
			    		"khh" : khh,
			    		"productType" : product_type,
			    		"fid_tadm":fid_tadm,
			    		"fid_jjdm":fid_jjdm,
			    		"fid_ywdm":fid_ywdm,
			    		"fid_sffs":fid_sffs,
			    		"trade_pwd":tradePwd
			    	};
			    	
			    	// 执行撤单
			    	
					var jjCancelOrder = function(){
						console.log("xxx1");
						service.fundShuH(param, function(data){
							if(data)
				    		{
				    			if(data.error_no == 0)
								{
				    				queryOrderList(); // 查询订单列表
									curPageNo = 1;
									$(pageId+" #jjlayer_pwd").val(""); // 清除密码
									$(pageId+" #jj_shuhui").val(""); // 清除份数
									$(pageId+" .jj-mask").hide();
									
								}
								else
								{
									layerUtils.iMsg(-1,data.error_info);
									$(pageId+" #jjlayer_pwd").val(""); // 清除密码
									$(pageId+" #jj_shuhui").val(""); // 清除份数
									$(pageId+" .jj-mask").hide();
									
								}
				    		}
						},"");
					};
						
			    	 
			    	var getjjKeyCallback = function(data){
			    		if(data)
			    		{
							if(data.error_no=="0")
							{
								var modulus = data.results[0].modulus;
								var publicExponent =data.results[0].publicExponent;
								var endecryptUtils = require("endecryptUtils");
								param.trade_pwd = endecryptUtils.rsaEncrypt(modulus,publicExponent,param.trade_pwd);
								jjCancelOrder();
							}
							else
							{
								$(pageId+" #jjlayer_pwd").val(""); // 清除密码
								$(pageId+" #jj_shuhui").val(""); // 清除份数
								layerUtils.iMsg(-1,data.error_info);
								$(pageId+" .jj-mask").hide();
								hideKeyboard();
							}
			    		}
			    	};
					service.getRSAKey({}, getjjKeyCallback);//加密
	    	}else if(text.length<6){
	    		layerUtils.iMsg(-1, "交易密码少于6位！");
	    	}
			 else{
		    		layerUtils.iMsg(-1, "交易密码最多 6位!");
		    	}
		 }else{
		   		layerUtils.iMsg(-1, "密码不能为空！");
		   		return false;
		   	}
		});
		/**
		 * 返回按钮
		 */
		appUtils.bindEvent($(pageId+" .icon_back"), function(e){
			appUtils.pageBack();
			e.stopPropagation();
		});
		
		/**
		 * 刷新按钮
		 */
		appUtils.bindEvent($(pageId+" .mz-refresh"), function(e){
			init();
			e.stopPropagation();
		});
		
		/**
		 * 购买(添加)产品按钮
		 */
		appUtils.bindEvent($(pageId+" .fix_add a"),function(e){
			appUtils.pageInit("account/indexOrder","mall/moneyShop");
			e.stopPropagation();
		});
		
		
		/**
         * 输入框的弹出层背景点击事件
         */
        appUtils.bindEvent($(pageId + ".yh-mask"), function(e){
        	$(this).css("display", "none"); // 隐藏弹出层
//			hideKeyboard(); // 隐藏原生键盘
			$(pageId + " .psd-box span").html("");
		    $(pageId + " #layer_pwd").val(""); // 清除密码
		    $(pageId + " .yh-mask .psd-popup>h4").html("--"); // 清除弹出层的金额数据
			e.stopPropagation();
		}, "click");
		
		/**
		 * 输入框弹出层点击事件
		 */
		appUtils.bindEvent($(pageId + ".psd-popup"), function(e){
			e.stopPropagation();
		}, "click");
		
		/**
		 * 基金赎回输入框的弹出层背景点击事件
		 * 
		 */
        appUtils.bindEvent($(pageId + ".jj-mask"), function(e){
        	$(pageId + ".jj-mask").css("display", "none"); // 隐藏弹出层
		    $(pageId + " #jjlayer_pwd").val(""); // 清除密码
		    $(pageId + " #jjjj_shuhui").val(""); // 清除份数
			e.stopPropagation();
		}, "click");
		
		/**
		 * 基金赎回输入框弹出层点击事件
		 */
		appUtils.bindEvent($(pageId + ".jj-popup"), function(e){
			e.stopPropagation();
		}, "click");
	}
	function destroy()
	{
		$(pageId+".yh-mask").click(); // 隐藏原生键盘，清除密码值
		$(pageId + ".jj-mask").css("display", "none"); // 隐藏弹出层
		$(pageId+" #list").html(""); // 清除列表数据
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId + " .fix_add").hide(); // 隐藏购买(添加)产品 div
	}

	/**
	 * 原生键盘的输入事件
	 * @param curKeyCode 当前输入值
	 */
	function inputEvent(curKeyCode)
	{
		var $curInput = $(pageId + "#" + curInputId);
		var curVal = $curInput.val();
		// {"CLEAR":-2, "DONE": -3, "DEL": -5}; //常量，键盘上面的按键对应编码（-2表示清空，-3表示完成，-5表示删除）
		switch(Number(curKeyCode))
		{
			case -2: 
				$(pageId + " .psd-box span").html("");
				break;
			case -3:
				break;
			case -5:
				$(pageId + " .psd-box span:eq(" + curVal.length + ")").html("");
				break;
			default:
				clearTimeout(pwdTimer);
				pwdTimer = null;
				$(pageId + " .psd-box span:eq(" + (curVal.length - 1) + ")").html(curKeyCode);
				if(curVal.length == 6)
				{
					doCancelOrder(curVal); // 执行撤单操作
				}
				pwdTimer = setTimeout(function(){
					$(pageId + " .psd-box span").each(function(){
						if($(this).html() != "")
						{
							$(this).html("●");
						}
					});
				}, 500);
				break;
		};
	};
	
	/**
	 * 基金赎回操作（密码和赎回份数）
	 */
	function jjhuihui(tradePwd,sh_fs){
		console.log("xxx");
		$(pageId+" .jj-mask").hide();
		var user_id =appUtils.getSStorageInfo("user_id");
    	var khh = appUtils.getSStorageInfo("client_no");//客户号
    	var trd_date = $curCancelBtn.attr("data-trd-date");//基金账户
    	var fund_account = $curCancelBtn.attr("data-fund-account");//资产账号
    	var loginFlag = $curCancelBtn.attr("data-loginFlag");//保障金还是银行
    	var product_type = $curCancelBtn.attr("data-product-type");//产品类型
    	var fid_tadm = $curCancelBtn.attr("data-fid_tadm");//基金公司代码
    	var fid_jjdm = $curCancelBtn.attr("data-fid_jjdm");//基金代码
    	var fid_sffs = $curCancelBtn.attr("data-fid_sffs");//收费方式
    	
    	var fid_ywdm = "024";//业务代码固定传24
    	var fid_wtje = sh_fs;//赎回份额
    	if(product_type != "7"){
    		product_type == "";
    	}
    	
		var param = {
			"user_id": user_id,
    		"fid_wtje" : fid_wtje,
    		"trade_pwd" : tradePwd,
    		"loginFlag" : loginFlag,
    		"trd_date" : trd_date,
    		"fund_account" : fund_account,
    		"khh" : khh,
    		"productType" : product_type,
    		"fid_tadm":fid_tadm,
    		"fid_jjdm":fid_jjdm,
    		"fid_ywdm":fid_ywdm,
    		"fid_sffs":fid_sffs,
    		"trade_pwd":tradePwd
    	};
    	
    	// 执行撤单
    	
		var jjCancelOrder = function(){
			console.log("xxx1");
			service.fundShuH(param, function(data){
				if(data)
	    		{
	    			if(data.error_no == 0)
					{
	    				queryOrderList(); // 查询订单列表
						curPageNo = 1;
						$(pageId+" #jjlayer_pwd").val(""); // 清除密码
						$(pageId+" #jj_shuhui").val(""); // 清除份数
						$(pageId+" .jj-mask").hide();
						
					}
					else
					{
						layerUtils.iMsg(-1,data.error_info);
						$(pageId+" #jjlayer_pwd").val(""); // 清除密码
						$(pageId+" #jj_shuhui").val(""); // 清除份数
						$(pageId+" .jj-mask").hide();
						
					}
	    		}
			},"");
		};
			
    	 
    	var getjjKeyCallback = function(data){
    		if(data)
    		{
				if(data.error_no=="0")
				{
					var modulus = data.results[0].modulus;
					var publicExponent =data.results[0].publicExponent;
					var endecryptUtils = require("endecryptUtils");
					param.trade_pwd = endecryptUtils.rsaEncrypt(modulus,publicExponent,param.trade_pwd);
					jjCancelOrder();
				}
				else
				{
					$(pageId+" #jjlayer_pwd").val(""); // 清除密码
					$(pageId+" #jj_shuhui").val(""); // 清除份数
					layerUtils.iMsg(-1,data.error_info);
					$(pageId+" .jj-mask").hide();
					hideKeyboard();
				}
    		}
    	};
		service.getRSAKey({}, getjjKeyCallback);//加密
	}
	
	/**
	 * 调用自定义键盘键盘
	 * @param $input 密码输入框
	 */
	function callCustomKeyboard($input)
	{
		$input.parents(".psd-popup").css("top", "80px");
		$(pageId+" .yh-mask").show(); // 显示输入框弹出层
//		$(' #che_dan').click(function (event) {
//			var text = $(pageId+" #layer_pwd").val();
//			doCancelOrder(text);
//			$(pageId+".yh-mask").hide();
//		});

	}
	
	/**
	 * 执行撤单操作
	 * @param tradePwd 交易密码
	 */
	function doCancelOrder(tradePwd)
	{
		console.log("打开第一遍，");
		var user_id =appUtils.getSStorageInfo("user_id");
		var order_id = $curCancelBtn.attr("data-order-id");//预约订单，订单
    	var product_name = $curCancelBtn.attr("data-product-name");//预约产品名称
    	var tot_price = $curCancelBtn.attr("data-tot-price");//预约金额
    	var app_timestamp = $curCancelBtn.attr("data-app-timestamp");//预约时间
    	var apply_no = $curCancelBtn.attr("data-apply-no");
    	var trd_date = $curCancelBtn.attr("data-trd-date");//交易账号
    	var fund_account = $curCancelBtn.attr("data-fund-account");//资产账号
    	var khh = $curCancelBtn.attr("data-khh");//客户代码
    	var loginFlag = $curCancelBtn.attr("data-loginFlag");//保障金还是银行
    	var product_type = $curCancelBtn.attr("data-product-type");//产品类型
    	
    	var yuYzt = $curCancelBtn.attr("data-order_state");//预约的状态
    	if(product_type != "7"){
    		product_type == "";
    	}
    	
		var param = {
			"user_id": user_id,
    		"old_order_id" : order_id,
    		"product_name" : product_name,
    		"tot_price" : tot_price,
    		"trade_pwd" : tradePwd,
    		"loginFlag" : loginFlag,
    		"app_timestamp" : app_timestamp,
    		"apply_no" : apply_no,
    		"trd_date" : trd_date,
    		"trans_acct":trd_date,
    		"fund_account" : fund_account,
    		"khh" : khh,
    		"productType" : product_type,
    		"yuYzt":yuYzt
    	};
    	var doCancelCallback = function(data){
    		if(data)
    		{
    			if(data.error_no=="0")
				{
					$(pageId+".yh-mask").click(); // 隐藏原生键盘，清除密码值
					curPageNo = 1;
					queryOrderList(); // 查询订单列表
				}
				else
				{
					$(pageId+" #layer_pwd").val(""); // 清除密码
					$(pageId + " .psd-box span").html("");
					layerUtils.iMsg(-1,data.error_info);
					$(pageId+" .yh-mask").hide();
				}
    		}
    	};
    	var doCancelOrder = function(){
    		service.undoOrder(param, doCancelCallback);
    	}; // 执行撤单
    	var getKeyCallback = function(data){
    		if(data)
    		{
				if(data.error_no=="0")
				{
					var modulus = data.results[0].modulus;
					var publicExponent =data.results[0].publicExponent;
					var endecryptUtils = require("endecryptUtils");
					param.trade_pwd = endecryptUtils.rsaEncrypt(modulus,publicExponent,param.trade_pwd);
					doCancelOrder();
				}
				else
				{
					layerUtils.iMsg(-1,data.error_info);
					$(pageId+" #layer_pwd").val(""); // 清除密码
					$(pageId + " .psd-box span").html("");
				}
    		}
    	};
		service.getRSAKey({}, getKeyCallback);//加密
	}
	
	/**
	 * 查询订单列表
	 */
	function queryOrderList()
	{
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" #list").html("");
		//初始化滑动组件
		var dropload = $(pageId +".khfxWarp").dropload({
	        scrollArea: $(pageId +".khfxWarp"),
	        loadDownFn: function (me) {
	        	setTimeout(function(){
	        		//调用方法
	        		var user_id =appUtils.getSStorageInfo("user_id");
	        		var pageParam = appUtils.getPageParam() || {};
	        		var loginType = appUtils.getSStorageInfo("loginType");
	        		var account_name = appUtils.getSStorageInfo("client_no");//用户账号
	        		var flag;
	        		if(loginType == "0"){  //loginType  0手机登录  1资金账号登录
	        			flag = "2";
	        		}else{
	        			flag = "1";
	        		}
	        		var param = {
	        			"user_id": user_id,
	        			"product_sub_type": "1",
	        			"page": curPageNo,
	        			"product_id": pageParam.product_id,
	        			"start_time": start_time,
	        			"end_time": end_time,
	        			"order_state": order_state,
	        			"numPerPage": "4",
	        			"flag":flag,
	        			"client_id":account_name
	        		};
        			service.queryMyOrder(param,function(data){
        				var error_no = data.error_no;
        				if(error_no == 0){
        					var results = data.results[0].data;
        					if(curPageNo == 1){//处理没有数据的情况
        						if(results.length==0){
        							$(pageId + " .fix_add").show(); 
        							$(pageId + " #list").hide();
        							$(pageId+" .dropload-down").hide();
        						}else{
        							$(pageId + " .fix_add").hide(); 
        							$(pageId + " #list").show();
        							$(pageId+" .dropload-down").show();
        						}
        					}else{
        						if(results.length==0){
        							me.lock();
        				            // 显示无数据
        				            me.noData();
        				            me.loading = false;
        				            me.resetload();//加载数据
        						}
        					}
        					curPageNo++;
        					var results = data.results[0].data;
        					if(results.length>0)
        					{
        						var aListHtml = [];
        						for(var i = 0, len = results.length; i < len; i++)
        						{
        							var oneData = results[i];
        							var order_id = oneData.order_id; // 订单 id
        							var order_state = oneData.order_state; // 订单状态
        							var operating_type = oneData.operating_type; // 操作类型，3 可撤
        							var order_statusName = "购买失败"; // 订单状态名称
        							var create_time = oneData.create_time;//购买时间
        							var product_name = oneData.product_name;//在基金中是基金简称
        							var tot_price = oneData.tot_price; // 订单金额
        							var trd_date = oneData.trd_date;//交易账户
        							var fund_account = oneData.fund_account;//资金账号
        							var khh = oneData.khh;//客户号
        							var loginFlag = oneData.loginFlag;//支付方式
        							var productType = oneData.productType;//代表是什么产品
        							var fid_tadm = oneData.fid_tadm;//TA编码
        							var fid_jjsl = oneData.fid_jjsl;//基金数量
        							var fid_kysl = oneData.fid_kysl;//可用数量
        							var fid_ccjj = oneData.fid_ccjj;//成本价
        							var fid_zxsz = oneData.fid_zxsz;//市值
        							var trans_acct = oneData.trans_acct;//基金账号
        							var fid_jjdm = oneData.fid_jjdm;//基金代码
        							var fid_sffs = oneData.fid_sffs;//收费方式
        							if(productType == "7"){
        								if(order_state == "0"){
        									order_statusName = "未生效";
        								}
        								else if(order_state == "1")
        								{
        									order_statusName = "订阅成功";
        								}
        								else if( order_state == "2")
        								{
        									order_statusName = "暂停";
        								}
        								else if(order_state == "3")
        								{
        									order_statusName = "已退订";
        								}
        								else if(order_state == "9")
        								{
        									order_statusName = "已过期";
        								}
        							}else if(productType == "8"){
        								order_statusName = "";
        							}
        							else{
        								if(order_state == "1")
        								{
        									order_statusName = "待支付";
        								}
        								else if( order_state == "2")
        								{
        									order_statusName = "购买成功";
        								}
        								else if(order_state == "4")
        								{
        									order_statusName = "预约成功";
        								}
        								else if(order_state == "6")
        								{
        									order_statusName = "已撤单";
        								}
        								else
        								{
        									order_statusName = "购买失败";
        								}
        							}
        							
        							aListHtml.push('<div class="part">');
        							aListHtml.push('<h5>' + product_name + '</h5>');
        							var loginType = appUtils.getSStorageInfo("loginType");
        							if(loginFlag == "1")	//loginFlag 1保证金支付的订单   2银行卡支付的订单
        							{
        								aListHtml.push('<p>保证金支付</p>');
        							}
        							else
        							{
        								aListHtml.push('<p>银行卡支付</p>');
        							}
        							if(productType == "8"){
        								aListHtml.push('<small><span>市值:</span>' + fid_zxsz + '</small>');
        							}else{
        								aListHtml.push('<small>' + create_time + '</small>');
        							}
        							
        							if(order_state == "6")
        							{
        								aListHtml.push('<span class="stat n1">' + order_statusName + '</span>');
        							}
        							else if(order_state == "1" || order_state == "2")
        							{
        								aListHtml.push('<span class="stat n2">' + order_statusName + '</span>');
        							}
        							else if(order_state == "4"){//预约
        								aListHtml.push('<span class="stat n2">' + order_statusName + '</span>');
        							}else if(productType == "8"){
        								aListHtml.push('<span class="stat n2" >基金代码：' + fid_jjdm + '</span>');
        							}
        							else
        							{
        								aListHtml.push('<span class="stat" style="background:#b1a5a0;border:1px solid #b1a5a0">' + order_statusName + '</span>');
        							}
        							if(productType == "8"){
        								aListHtml.push('<strong><span class="agreen"><span>持有份数：</span>' + fid_kysl + '</span></strong>');
        							}else{
        								aListHtml.push('<strong><span class="agreen">' + tot_price + '</span>元</strong>');
        							}
        							
        							if(operating_type == "3")
        							{
        								if(productType == "7"){
        									aListHtml.push('<span class="stat n1" style="top:75%;background:#f8607d" is-cancel-btn="true" data-product-type="' + productType + '" data-khh="' + khh + '" data-loginFlag="' + loginFlag + '" data-order-id="' + order_id + '" data-product-name="' + product_name + '" data-tot-price="' + tot_price + '" data-app-timestamp="'+ create_time +'" data-apply-no="'+ order_id +'" data-trd-date="'+ trd_date +'" data-fund-account="'+ fund_account +'">退订</span>');
        								}else if(order_state == "4"){
        									aListHtml.push('<span class="stat n1" is-cancel-btn="true" style="top:75%;background:#f8607d" data-order_state="' + order_state + '" data-product-type="' + productType + '" data-khh="' + khh + '" data-loginFlag="' + loginFlag + '" data-order-id="' + order_id + '" data-product-name="' + product_name + '" data-tot-price="' + tot_price + '" data-app-timestamp="'+ create_time +'" data-apply-no="'+ order_id +'" data-trd-date="'+ trd_date +'" data-fund-account="'+ fund_account +'">撤单</span>');

        								}else if(productType == "8"){
        									aListHtml.push('<span  class="stat n1" style="top:75%;background:#f8607d" is-jj-true="true"  data-product-type="' + productType + '" data-fid_sffs="' + fid_sffs + '" data-loginFlag="' + loginFlag + '" data-fid_tadm="' + fid_tadm + '" data-product-name="' + product_name + '" data-tot-fid_kysl="' + fid_kysl +'" data-fid_jjdm="'+ fid_jjdm +'" data-trd-date="'+ trans_acct +'" data-fund-account="'+ fund_account +'">赎回</span>');

        								}
        								else{
        									aListHtml.push('<span class="stat n1" style="top:75%;background:#f8607d" is-cancel-btn="true" data-product-type="' + productType + '" data-khh="' + khh + '" data-loginFlag="' + loginFlag + '" data-order-id="' + order_id + '" data-product-name="' + product_name + '" data-tot-price="' + tot_price + '" data-app-timestamp="'+ create_time +'" data-apply-no="'+ order_id +'" data-trd-date="'+ trd_date +'" data-fund-account="'+ fund_account +'">撤单</span>');
        								}
        							}
        							else
        							{
        								aListHtml.push('');
        							}
        							aListHtml.push('</div>');
        						}
        						$(pageId + " #list").append(aListHtml.join(""));
        						if(results.length<4){
	        			            // 再往下已经没有数据
	        			            // 锁定
	        			            me.lock();
	        			            // 显示无数据
	        			            me.noData();
	        			            me.loading = false;
	        			        }
	        					me.resetload();//加载数据
	        				}
	        				BindListEvent(); // 绑定列表的事件
        					}
        			},{"isShowWait":false});		
	    		},200);
	        }
	    });
	}
	/**
	 * 绑定列表的事件
	 */
	function BindListEvent()
	{
		appUtils.bindEvent($(pageId + " #list span[is-cancel-btn='true']"),function(e){
			e.stopPropagation();
        }, "touchstart");
        
        appUtils.bindEvent($(pageId + " #list span[is-cancel-btn='true']"),function(e){
			e.stopPropagation();
        }, "mousedown");
        appUtils.bindEvent($(pageId + " #list span[is-jj-true='true']"),function(e){
			e.stopPropagation();
        }, "touchstart");
        
        appUtils.bindEvent($(pageId + " #list span[is-jj-true='true']"),function(e){
			e.stopPropagation();
        }, "mousedown");
		
		/**
		 * 撤单按钮点击事件
		 */
        appUtils.bindEvent($(pageId + " #list span[is-cancel-btn='true']"),function(e){
        $(pageId + " #layer_pwd").parents(".psd-popup").css("top", "80px");
			var tot_price = $(this).attr("data-tot-price"); // 订单金额
			$curCancelBtn = $(this);
			var param = {
				"date":""
			};
			service.dealTimeSyn(param,function(data){
				if(data.error_no!="0")
				{
					layerUtils.iMsg(-1,data.error_info);
					layerUtils.iLoading(false);
					return false;
				}
				else if(data.results[0].is_trade=='0')
				{
					layerUtils.iMsg(-1,"当前是非交易时间，产品暂停交易。");
					layerUtils.iLoading(false);
					return false;
				}
				else{
					$(pageId + " .yh-mask .psd-popup>h4").html(tot_price + "元");
					callCustomKeyboard($(pageId + " #layer_pwd")); // 调用自定义键盘键盘
				}
			});
			e.stopPropagation();
        }, "click");
        //基金赎回按钮点击事件
        appUtils.bindEvent($(pageId + " #list span[is-jj-true='true']"),function(e){
        	$curCancelBtn = $(this);
			var param = {
				"date":""
			};
			service.dealTimeSyn(param,function(data){
				if(data.error_no!="0")
				{
					layerUtils.iMsg(-1,data.error_info);
					layerUtils.iLoading(false);
					return false;
				}
				else if(data.results[0].is_trade=='0')
				{
					layerUtils.iMsg(-1,"当前是非交易时间，产品暂停交易。");
					layerUtils.iLoading(false);
					return false;
				}
				else{
					
					$(pageId + " #jjlayer_pwd").parents(".jj-popup").css("top", "80px");
					$(pageId+" .jj-mask").css("display", "block"); // 显示输入框弹出层
					$(pageId+" #jj_shuhui").css("display", "block");//显示赎回框
					$(pageId+" #jjlayer_pwd").css("display", "block");//显示密码框
					$(pageId+" #tijiao").css("display", "block");//显示提交
				}
			});
			e.stopPropagation();
            }, "click");
        
	}   
	var indexOrder = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};

	module.exports = indexOrder;
});