define('mall/scripts/account/secondaryMenu.js',function(require, exports, module) {
	var appUtils = require("appUtils");
	var putils = require("putils");
	var service = require("mobileService"); //业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var HIscroll =require("hIscroll");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var external = require("external");
	var constants = require("constants");//常量类
	var _pageId="#account_secondaryMenu ";
	var common=require("common");
	//初始化
	function init(){
		common.initTitle(_pageId);
		$(_pageId +"  #back_trade").css("color", "#fff");
		//
		$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height()-$(_pageId+".new-header").height()-1)+"px"});
		//queryName();
		
		queryXq();
		
		
		
	}
	// 查询二级目录
	function queryXq() {
		$( _pageId+" .financial-list").html("");
		var  pageTypeName= appUtils.getPageParam().pageTypeName;
		if(pageTypeName=="jctj") {
			$(_pageId+" .new-header h1").html("基础投教");
			$(_pageId+" .find-box h2").html("基础投教");
			li = '<li id="touzijiaoyu"><a href="javascript:void(0);">投资者教育</a></li>';
			$( _pageId+" .financial-list").append(li);
			li = '<li id="traderule"><a href="javascript:void(0);">交易规则介绍</a></li>';
			$( _pageId+" .financial-list").append(li);
			li = '<li id="finaninfor"><a href="javascript:void(0);">财经资讯</a></li>';
			$( _pageId+" .financial-list").append(li);
			li = '<li id="tradeTip"><a href="javascript:void(0);">交易提示</a></li>';
			$( _pageId+" .financial-list").append(li);
		}else if(pageTypeName=="tjcp") {
			$(_pageId+" .new-header h1").html("投教产品");
			$(_pageId+" .find-box h2").html("投教产品");
			li = '<li id="netclassroom"><a href="javascript:void(0);">视频点播</a></li>';
			$( _pageId+" .financial-list").append(li);
		}else if(pageTypeName=="zjjt") {
			$(_pageId+" .new-header h1").html("专家讲堂");
			$(_pageId+" .find-box h2").html("专家讲堂");
			li = '<li id="wangluo"><a href="javascript:void(0);">网络课堂</a></li>';
			$( _pageId+" .financial-list").append(li);
			li = '<li id="chiefpointview"><a href="javascript:void(0);">首席观点</a></li>';
			$( _pageId+" .financial-list").append(li);
		}else if(pageTypeName=="mnty") {
			$(_pageId+" .new-header h1").html("模拟体验");
			$(_pageId+" .find-box h2").html("模拟体验");
			li = '<li id="fxcp"><a href="javascript:void(0);">模拟风险承受能力测评</a></li>';
			$( _pageId+" .financial-list").append(li);
		}else if(pageTypeName=="hdgt") {
			$(_pageId+" .new-header h1").html("互动沟通");
			$(_pageId+" .find-box h2").html("互动沟通");
			li = '<li id="zaixiankehu"><a href="javascript:void(0);">在线咨询</a></li>';
			$( _pageId+" .financial-list").append(li);
		}else if(pageTypeName=="zjyj") {
			$(_pageId+" .new-header h1").html("征集意见");
			$(_pageId+" .find-box h2").html("征集意见");
			li = '<li id="yijianfankui"><a href="javascript:void(0);">投诉与建议</a></li>';
			$( _pageId+" .financial-list").append(li);
		}else if(pageTypeName=="zhqy") {
			$(_pageId+" .new-header h1").html("中航企业");
			$(_pageId+" .find-box h2").html("中航企业");
			li = '<li id="qyjs"><a href="javascript:void(0);">企业介绍</a></li>';
			$( _pageId+" .financial-list").append(li);
			li = '<li id="jtsp"><a href="javascript:void(0);">集团视频</a></li>';
			$( _pageId+" .financial-list").append(li);
		}else if(pageTypeName=="tzzjy") {
			$(_pageId+" .new-header h1").html("投资者教育");
			$(_pageId+" .find-box h2").html("投资者教育");
			li = '<li id="qyjs"><a href="javascript:void(0);">企业介绍</a></li>';
			$( _pageId+" .financial-list").append(li);
			li = '<li id="jtsp"><a href="javascript:void(0);">集团视频</a></li>';
			$( _pageId+" .financial-list").append(li);
		}
		bdsj();
		
	}
	
	function   bdsj() {
		//风险测评
		appUtils.bindEvent($(_pageId+" #fxcp"),function(){
			appUtils.pageInit("account/secondaryMenu", "account/riskAssessment");
		});
		//意见征集
		appUtils.bindEvent($(_pageId+" #tsyjy"),function(){
			layerUtils.iAlert("即将推出，敬请期待!");
		});
		//企业介绍
		appUtils.bindEvent($(_pageId+" #qyjs"),function(){
			layerUtils.iAlert("即将推出，敬请期待!");
		});
		//集团视频
		appUtils.bindEvent($(_pageId+" #jtsp"),function(){
			layerUtils.iAlert("即将推出，敬请期待!");
		});
		
		//视频点播
		appUtils.bindEvent($(_pageId+" #netclassroom"),function(){
			appUtils.pageInit("account/secondaryMenu","account/netClass");
		});
		//个股诊断
		appUtils.bindEvent($(_pageId+" #autodiag"),function(){
			appUtils.pageInit("account/secondaryMenu","account/autoZD");
		});
		//财经资讯
		appUtils.bindEvent($(_pageId+" #finaninfor"),function(){
			appUtils.pageInit("account/secondaryMenu","account/finiInfo");
		});
		//交易提示
		appUtils.bindEvent($(_pageId+" #tradeTip"),function(){
			appUtils.pageInit("account/secondaryMenu","account/secondaryMenu");
		});
		//投资者教育
		appUtils.bindEvent($(_pageId+" #touzijiaoyu"),function(){
			appUtils.pageInit("account/secondaryMenu","account/investEduca");
		});
		//交易规则介绍
		appUtils.bindEvent($(_pageId+" #traderule"),function(){
			appUtils.pageInit("account/secondaryMenu","account/tradeRules");
		});
		
		//网络课堂
		appUtils.bindEvent($(_pageId+" #wangluo"),function(){
//			var param = {
//				"funcNo" : "50109",
//				"url" : "http://ke.qq.com/cgi-bin/courseDetail?course_id=83237"
//			};
//			external.callMessage(param);
//			getUrl();
			appUtils.pageInit("account/secondaryMenu","account/workRoom");
		});
		//企业服务
		appUtils.bindEvent($(_pageId+" #enterpriseservice"),function(){
			appUtils.pageInit("account/secondaryMenu","account/enterpriseService");
		});
		//首席观点
		appUtils.bindEvent($(_pageId+" #chiefpointview"),function(){
			appUtils.pageInit("account/secondaryMenu","account/chiefPoint");
		});
		//投顾大赛
		appUtils.bindEvent($(_pageId+" #investCompet"),function(){
			appUtils.pageInit("account/secondaryMenu","account/heroList");
		});
		//意见反馈
		appUtils.bindEvent($(_pageId+" #yijianfankui"),function(){
			appUtils.pageInit("account/secondaryMenu","account/feedback");
		});
	}
	
	function queryName(){
		var  param={
			"parent_id":3406
		}
		service.getTitle(param,function(data){
			if(data.error_no==0){
				var result = data.results;
				for(var i = 0;i<result.length;i++){
					var catalog_id = result[i].catalog_id;
					var name = result[i].name;
					li = '<li catalog_id="'+ catalog_id +'"><a href="javascript:void(0);">'+name+'</a></li>';
					$( _pageId+" .financial-list").append(li);
				}
				//点击交易提醒标题
				appUtils.bindEvent($(_pageId+" .financial-list li"),function(){
					var catalog_id = $(this).attr("catalog_id");
					var name = $(this).find("a").html();
					if(name == "新股发行一览表")
					{
						appUtils.pageInit("account/secondaryMenu","account/newStockList");
					}
					else
					{
						var param = {
								"catalog_id" : catalog_id,
								"name" : name
						};
						appUtils.pageInit("account/secondaryMenu","account/secondaryMenuList",param);
					}
				});
			}else{
				layerUtils.iAlert(data.error_info,-1);
			}
		});
	}
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			//appUtils.pageBack();
			appUtils.pageInit("account/secondaryMenu","account/wingService");
		});
		//网厅服务
		appUtils.bindEvent($(_pageId+" #service"),function(){
			var param = {
				funcNo: "50101",
				moduleName: "index" // String	目标模块名	N
			};
			external.callMessage(param);
		});
		// layerUtils.iAlert("即将推出，敬请期待!");
		
		//授权
		appUtils.bindEvent($(_pageId+" #authorization"),function(){
			var user_id = appUtils.getSStorageInfo("user_id");
			if(user_id == "" || user_id == null){
				appUtils.pageInit("account/secondaryMenu","account/userLogin");
			}else{
				var param = {
					funcNo: "50040",
					key: "login_user",
					value: user_id
				};
				external.callMessage(param);
				var mobile_phone = appUtils.getSStorageInfo("mobile_phone");
				var loginType = appUtils.getSStorageInfo("loginType");
				var param = {
					funcNo: "50040",
					key: "login_type" ,
					value: mobile_phone+"_"+loginType
				};
				external.callMessage(param);
				var paramO = {
					"funcNo":"50101",
					"moduleName":"trends",
					"params" : {"url":"master"}
				};
				external.callMessage(paramO);
			}
		});
	}
	
	//销毁
	function destroy(){
		
	}
	
	var secondaryMenu = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = secondaryMenu;
});