 /**
  * 商城开otc页面
  */
define('mall/scripts/account/testAccountSuccess.js',function(require, exports, module){ 
	var appUtils = require("appUtils");
	var	layerUtils = require("layerUtils");
	var	service = require("mobileService");
	var	global = require("gconfig").global; 
	var	timer = null;
	var	i = 0;
	var	_pageId = "#account_testAccountSuccess ";
	var common=require("common");
	function init()
	{
		common.initTitle(_pageId);
	    var isKh = appUtils.getPageParam().isKh;
	    var isCp = appUtils.getPageParam().isCp;
	    if("1"==isKh) {
	    	submit();
	    }
		checkRiskAss();
		showTime();
	}
	
	//绑定事件
	function bindPageEvent()
	{
		var _curPageCode = appUtils.getSStorageInfo("_curPageCode");//当前页 pageCode
		appUtils.bindEvent($(_pageId + ".person-btn a"),function(){
			var pageJump = appUtils.getSStorageInfo("pageJump");
			if(pageJump=="mall/finanOrder/confirmOrder"||pageJump=="mall/itemsFinanIn")
			{
				var param = {
					"product_id":appUtils.getSStorageInfo("product_number")
				};
		    	appUtils.pageInit(_curPageCode, pageJump, param);
			}
			else
			{
				appUtils.pageInit(_curPageCode, pageJump, {});
			}
         });
		appUtils.bindEvent($(_pageId + ".icon_back"), function(e){
			appUtils.pageBack();
		});
	}
	
	
	
	function submit(){
		var register_corp_code = appUtils.getSStorageInfo("register_corp_code");
		 var param = {
		        "risk_level" : appUtils.getPageParam().risk_level,
		        "isCp" : "0",
		        "isKh" : appUtils.getPageParam().isKh,
		        "khh" : appUtils.getSStorageInfo("khh"),//客户号,
		        "fxjg" : appUtils.getSStorageInfo("register_corp_code")
			};
		service.submitAns(param, function(data) {
			if(data.error_no!="0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
		});
	}
	
	function submitTimeout() {
		layerUtils.iConfirm("请求超时，是否重新提交？", function() {
			submitRiskAnswer();
		});
	}
	
	function checkRiskAss()
	{
		
		var _prePageCode = appUtils.getSStorageInfo("_prePageCode");
		var pageType;
		
		var param;
		if(_prePageCode == "account/bindAccount")
		{
			var pageParam = appUtils.getPageParam();
			if(pageParam != undefined)
			{
				param = {
					"user_id": pageParam.user_id,
		        	"khh": appUtils.getSStorageInfo("khh"),//客户号
		        	"tadm": "ZZ",//机构代码
		        	"risk_level": pageParam.risk_level//风险等级
				};
			}
		}
		else
		{
			var pageParam = appUtils.getPageParam();
			if(pageParam != undefined)
			{
				pageType = pageParam.pageType;	//pageType	0 从选择支付方式页面过来    1从购买页面过来
				if(pageType == "0")
				{
					param = {
						"user_id": pageParam.user_id,
			        	"khh": appUtils.getSStorageInfo("khh"),//客户号
			        	"tadm": appUtils.getSStorageInfo("register_corp_code"),//机构代码
			        	"risk_level": pageParam.risk_level//风险等级
					};
				}
				else
				{
					param = {
						"user_id": appUtils.getSStorageInfo("user_id"),
			        	"khh": appUtils.getSStorageInfo("khh"),//客户号
			        	"tadm": appUtils.getSStorageInfo("register_corp_code"),//机构代码
			        	"risk_level": appUtils.getSStorageInfo("risk_level")//风险等级
					};
				}
			}
		}
		var ctrlParam = {
			"isLastReq" : true,
			"isShowWait" :false
		};
		service.checkRiskAssessment(param,function(data){
			if(data.error_no != "0")
			{
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			else
			{
				var results = data.results;
				var isKh = results[0].isKh;
				var isCp = results[0]. isCp;
				if(isKh == "0"&&isCp == "0")
				{
					window.clearInterval(timer);
					if(_prePageCode == "mall/transFer/transBuy")
					{
						var param = {
								"product_id" : pageInParam.product_id,
								"tot_price" : pageInParam.tot_price,
								"product_type" : pageInParam.product_type,
								"sub_type":appUtils.getSStorageInfo("sub_type"),
								"dingy_type":appUtils.getSStorageInfo("dingy_type"),
								"isjtxs":appUtils.getSStorageInfo("isjtxs"),
								"zffs":appUtils.getSStorageInfo("zffs")
							};
							appUtils.setSStorageInfo("_prePageCode","mall/transFer/transBuy");
							appUtils.pageInit("account/testAccountSuccess","mall/transFer/transBuy",param);
					}
					else
					{
						var pageInParam  = appUtils.getPageParam();
						if(pageInParam != undefined)
						{
//							if(pageType == "0")
//							{
								var param = {
									"product_id" : pageInParam.product_id,
									"tot_price" : pageInParam.tot_price,
									"product_type" : pageInParam.product_type,
									"sub_type":appUtils.getSStorageInfo("sub_type"),
									"dingy_type":appUtils.getSStorageInfo("dingy_type"),
									"isjtxs":appUtils.getSStorageInfo("isjtxs"),
									"zffs":appUtils.getSStorageInfo("zffs")
								};
								appUtils.setSStorageInfo("_prePageCode","payment/paymentPage");
								appUtils.pageInit("account/testAccountSuccess","payment/paymentPage",param);
						}
						else
						{
							appUtils.pageInit("account/testAccountSuccess","userCenter/wd",param);
							//appUtils.pageInit("account/testAccountSuccess","account/mySpace",param);
				}
					}
				}
				else
				{
//					showTime();
				}
			}
		},ctrlParam);
	}
	
	/**
	   显示自动跳转倒计时
	**/
	function showTime()
	{
		var showTips = function(){
		    if(i<10)
		    {
			     i++;
			     $(_pageId + "#msg_tips").html(i+" 秒");     
			     checkRiskAss();
			}
		    else
		    {
				 window.clearInterval(timer);
				 $(_pageId + "#msg_tips").html("开通理财权限失败");
				 setTimeout(function(){
				 	var _prePageCode = appUtils.getSStorageInfo("_prePageCode");
					if(_prePageCode == "account/bindAccount")
					{
						appUtils.pageInit("account/testAccountSuccess","account/bindAccount");
					}
					else
					{
						var pageInParam  = appUtils.getPageParam();
						if(pageInParam != undefined)
						{
							var pageType = pageInParam.pageType;
							if(pageType == "1")
							{
								var param = {
									"product_id" : pageInParam.product_id,
									"tot_price" : pageInParam.tot_price,
									"product_type" : pageInParam.product_type,
									"sub_type":appUtils.getSStorageInfo("sub_type"),
									"dingy_type":appUtils.getSStorageInfo("dingy_type"),
									"isjtxs":appUtils.getSStorageInfo("isjtxs"),
									"zffs":appUtils.getSStorageInfo("zffs")
								};
								appUtils.pageInit("account/testAccountSuccess","payment/paymentPage",param);
								return;
							}
//							else
//							{
//								var product_type = pageInParam.product_type;
//								var param="";
//								if(product_type != undefined){
//									 param = {
//											"product_id" : pageInParam.product_id,
//											"tot_price" : pageInParam.tot_price,
//											"product_type" : pageInParam.product_type,
//											"sub_type":appUtils.getSStorageInfo("sub_type"),
//											"dingy_type":appUtils.getSStorageInfo("dingy_type")
//										};
//								}else{
//									 param = {
//										"product_id":appUtils.getPageParam().product_id
//									};
//								}
//								appUtils.pageInit("account/testAccountSuccess","mall/finanOrder/stickMoneyBuy",param);
//							}
						}
						else
						{
							appUtils.pageInit("account/testAccountSuccess","account/mySpace",param);
						}
						appUtils.pageInit("account/testAccountSuccess", "/mall/moneyShop", {});
					}
				 },1000);
			 } 
		};
		timer = setInterval(showTips, 1000);
	}
		
	function destroy()
	{
		 i = 0;
		$(_pageId + ".person-btn a").html("返回首页（ 30秒 ）");
		clearInterval(timer);
		timer = "";
	}

	var bindSuccess = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	// 暴露对外的接口
	module.exports = bindSuccess;
});