define('mall/scripts/account/workRoom.js',function(require, exports, module) {
	var appUtils = require("appUtils");
	var putils = require("putils");
	var service = require("mobileService"); //业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var HIscroll =require("hIscroll");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var constants=require("constants");//常量类
	//下标0的元素表示头部滑动，1、2、3分别表示推荐理财、推荐基金和推荐资讯
	var customHIscroll= [{"scroll":null,"_init":false},{"scroll":null,"_init":false},{"scroll":null,"_init":false}];
	var _pageId = "#account_workRoom ";
	var URL=global.url;
	var common = require("common");
	var product_type=null;
	var platform=require("gconfig").platform;
	var external = require("external");
	var picLoadTimer = null;
	var curPageNo = 1;
	var	myScroller = null; // 滚动组件
	var	VIscroll = require("vIscroll");
	var prePageCode="";
	function init() {
		common.initTitle(_pageId);
		curPageNo = 1;
		$(_pageId +"  #back_net").css("color", "#fff");
		prePageCode = appUtils.getPageParam("pageCode"); // 上一页面pageCode
//		var isMainPageHeight = $(window).height();		
//		var sessionMainHeight = appUtils.getSStorageInfo("isMainPageHeight");
//		if(sessionMainHeight){
//			$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":(sessionMainHeight-$(_pageId+".header").height()-$(_pageId+".new-footer-con").height()-1)+"px"});
//		}else{
//		$(_pageId+".main-bg").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height()-$(_pageId+".new-header").height()-1)+"px"});
//			appUtils.setSStorageInfo("isMainPageHeight",isMainPageHeight);
//		}
		$(_pageId).css("background","#fff").css("height",$(window).height());
		getVideo();  //获取最近课堂
		getClassicReviewVideo();  //获取经典回顾视频
	}
	
	//获取视频
	function getVideo(){
		service.queryVideo({},function(data){
			if(data.error_no != "0"){
				layerUtils.iAlert(data.error_info);
				return false;
			}else{
				var results = data.results;
				for(var i = 0;i < results.length;i++){
					var zjktStrv = "";
					var title = results[i].title;
					var zbend = results[i].zbend;
					var zbstart = results[i].zbstart;
					var zbrq = results[i].zbrq;
					var zburl = results[i].zburl;
					var xq = results[i].xq;
					
					zbend = zbend.substring(0,2)+":"+zbend.substring(2);
					zbstart = zbstart.substring(0,2)+":"+zbstart.substring(2);
					var zbrqDl = zbrq.substring(4,6)+"/"+zbrq.substring(6);
					
					var dlObj = $(_pageId+" #zjkt dl");
					if(dlObj.length != 0){
						for(var j = 0;j < dlObj.length;j++){
							var dateStr = $(dlObj[j]).find("strong").html();
							if(zbrqDl == dateStr){
								zjktStrv = '<a href="javascript:void(0);" url="'+ zburl +'"><h5>'+ title +'</h5><p>直播时间<span>'+ zbstart +'~'+ zbend +'</span></p></a>';
								$(dlObj[j]).find("dd").append(zjktStrv);
								break ;
							}else{
								if(j == dlObj.length - 1){
									zjktStrv = '<dl><dt><strong>'+ zbrqDl +'</strong><p>'+ xq +'</p></dt><dd><a href="javascript:void(0);" url="'+ zburl +'"><h5>'+ title +'</h5><p>直播时间<span>'+ zbstart +'~'+ zbend +'</span></p></a></dd></dl>';
									$(_pageId+" #zjkt").append(zjktStrv);
									break ;
								}else{
									continue ;
								}
							}
						}
					}else{
						zjktStrv = '<dl><dt><strong>'+ zbrqDl +'</strong><p>'+ xq +'</p></dt><dd><a href="javascript:void(0);" url="'+ zburl +'"><h5>'+ title +'</h5><p>直播时间<span>'+ zbstart +'~'+ zbend +'</span></p></a></dd></dl>';
						$(_pageId+" #zjkt").append(zjktStrv);
					}
					
				}
				appUtils.bindEvent($(_pageId+" #zjkt dl dd a"),function(){
					var url = $(this).attr("url");
					var param = {
						
						"url" : url
					};
//					external.callMessage(param);
					//window.location.href=url;
					appUtils.pageInit("account/workRoom","account/dbworkRoom",param);
				},"click");
			}
		});
	}
	
	//获取经典回顾视频
	function getClassicReviewVideo(){
		var param = {
			"page":curPageNo,
			"pageSize":"10",
			"catalog_id":"3483"
		};
		service.testTitle(param,function(data){
			if(data.error_no != "0"){
				layerUtils.iAlert(data.error_info);
				return false;
			}else{
				var results = data.results;
				var classVideoStr = "";
				for(var i = 0;i < results.length;i++){
					var title = results[i].title;
					var app_video = results[i].app_video;
					classVideoStr += '<dl url="'+ app_video +'"><dd><a href="javascript:void(0);"><h5 class="lineheight_52">'+ title +'</h5></a></dd></dl>';
				}
				$(_pageId+" #jdhg").append(classVideoStr);
				initScroller();
				appUtils.bindEvent($(_pageId + " #jdhg dl"), function(){
					var url = $(this).attr("url");
					var	param={
							"url":url
						};
//					var title = $(this).find("h5").html();
//					var param = {
//						"funcNo" : "50275",
//						"title" : title,
//						"mediaUrl" : url
//					};
//					external.callMessage(param);*/
				//	appUtils.pageInit("account/workRoom","account/jdworkRoom",param);
//					window.location.href=url;
					appUtils.pageInit("account/workRoom","account/dbworkRoom",param);
				},"click");
			}
		});
	}
	
	/**
	 * 初始化滚动组件
	 */
	function initScroller()
	{
		if(myScroller)
		{
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(_pageId + " #jdhg")
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
		else
		{
			var visibleHeight = $(window).height() - $(_pageId + ".new-header").height()-1; // 滑动组件的可见高度
			var scrollerParam = {
				isPagingType: false,
				isHasHead: false,
				visibleHeight: visibleHeight,
				container: $(_pageId + " #jdhg").parents(".visc_wrapper").parent(), // container元素
				wrapper: $(_pageId + " #jdhg").parents(".visc_wrapper"), // wrapper元素
				downHandle : function() {
					$(_pageId+" #jdhg").html("");
					curPageNo = 1;
					getClassicReviewVideo();
				},
				upHandle : function(){
					curPageNo++;
					getClassicReviewVideo();
				}
			};
			myScroller = new VIscroll(scrollerParam); //初始化
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(_pageId + " #jdhg")
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
	}
	
	//获取网络课堂图片
	function getImgUrl(){
		var param = {
			"groupNo" : "wlktAD"
		};
		service.getImgUrl(param,function(data){
			if(data.error_no == "0"){
				var results = data.results;
				var imgstr = "";
				for(var i=0;i<results.length;i++){
					var picture = results[i].picture;
					var url = results[i].url;
					var state = results[i].state;
					var name = results[i].name;
					imgstr += '<img src="http://www.avicsec.com'+ picture +'" moduleName="mall_qiye'+ i +'" name="'+ name +'" state="'+ state +'" url="'+ url + '" alt="" title="">';
				}
				$(_pageId+" .financial-banner").html(imgstr);
				appUtils.bindEvent($(_pageId + " .financial-banner img"),function(){
					var state = $(this).attr("state");
					var url = $(this).attr("url");
					if(state == "3"){
						var param = {
							"funcNo" : "50109",
							"url" : url
						};
						external.callMessage(param);
					}else if(state == "2"){
						var name = $(this).attr("name");
						var param = {
							"catalog_id" : url,
							"title" : name
						};
						appUtils.pageInit("account/workRoom","account/workRoomTwo",param);
					}
				},"click");
			}else{
				layerUtils.iMsg(-1,data.error_info);
				return false;
			}
		});
	}
	
	function bindPageEvent() {
		
		appUtils.bindEvent($(_pageId + " .icon_back"), function(){
			var param = {
					"pageCode" : prePageCode
			};
			appUtils.pageInit("account/workRoom","account/wingService",param);
		});
	}
	
	function destroy(){
		$(_pageId+" #zjkt").html("");
		$(_pageId+" #jdhg").html("");
	}
	
	var workRoom = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = workRoom;
});