define('mall/scripts/account/workRoomTwo.js',function(require, exports, module) {
	//require("mall/css/self_confirm.css");
	var appUtils = require("appUtils");
	var putils = require("putils");
	var service = require("mobileService"); //业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var HIscroll =require("hIscroll");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var _pageId = "#account_workRoomTwo ";
	var curPageNo = 1;
	var	myScroller = null; // 滚动组件
	var	VIscroll = require("vIscroll");
	var external = require("external");
	var common=require("common");
	//初始化
	function init(){
		common.initTitle(_pageId);
		curPageNo = 1;
		var pageParam = appUtils.getPageParam();
		if(pageParam != undefined){
			var catalog_id = pageParam.catalog_id;
		}
		$(_pageId+" .find-box h2").html("经典课程回顾");
		queryTitle(catalog_id);
	}
	
	function queryTitle(catalog_id){
		var param = {
				"page":curPageNo,
				"pageSize":"10",
				"catalog_id":catalog_id
		};
		service.testTitle(param,function(data){
			if(data.error_no==0){
				var result=data.results;
				var app_video = "";
				var title = "";
				var article_id = "";
				for(var i=0;i<result.length;i++){
					app_video = result[i].app_video;
					title = result[i].title;
					article_id = result[i].article_id;
					var publish_date = result[i].publish_date
					var app_photo = result[i].app_photo;
					var movieinfo = result[i].movieinfo;
//					li = "<li url='"+ app_video +"'><a href='javascript:void(0);' style='overflow:hidden;'>"+title+"</a></li>";
					li = '<dl class="clearfix" url="'+ app_video +'" title="'+ title +'"><dt><a href="javascript:void(0);"><img style="margin-top:15%;" src="http://www.avicsec.com'+ app_photo +'" alt="" title=""></a></dt><dd>'+
                    					'<h3>'+ title +'</h3><h4 style="line-height:13px;margin-top:15%;">'+ publish_date +'<span></span></h4><p>'+ movieinfo +'</p></dd></dl>';
					$(_pageId+" .produce-list").append(li);
				}
				$(_pageId+" .produce-list dl dd h3").css({"overflow": "hidden",
																"float":"left",
																"width": "100%",
																"height": "40px",
																"text-overflow": "ellipsis",
																"white-space": "nowraps"
															   });
				$(_pageId+" .produce-list p").css({"height":"60px","line-height":"20px","white-space":"pre-wrap"});
//				$(_pageId+"　.produce-list a").css("overflow","hidden");
				initScroller();
				appUtils.bindEvent($(_pageId + " .produce-list dl"), function(){
					var url = $(this).attr("url");
					var title = $(this).attr("title");
					var param = {
						"funcNo" : "50275",
						"title" : title,
						"mediaUrl" : url
					};
					external.callMessage(param);
				},"click");
			}else{
				layerUtils.iAlert(data.error_info,-1);
			}
		});
	}
	
	/**
	 * 初始化滚动组件
	 */
	function initScroller()
	{
		if(myScroller)
		{
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(_pageId + " #list")
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
		else
		{
			var visibleHeight = $(window).height() - $(_pageId + ".new-header").height()-$(_pageId+" .find-box").height()-1; // 滑动组件的可见高度
			var scrollerParam = {
				isPagingType: false,
				isHasHead: false,
				visibleHeight: visibleHeight,
				container: $(_pageId + " #list").parents(".visc_wrapper").parent(), // container元素
				wrapper: $(_pageId + " #list").parents(".visc_wrapper"), // wrapper元素
				downHandle : function() {
					$(_pageId+" .produce-list").html("");
					curPageNo = 1;
					var catalog_id = appUtils.getPageParam().catalog_id;
					queryTitle(catalog_id);
				},
				upHandle : function(){
					curPageNo++;
					var catalog_id = appUtils.getPageParam().catalog_id;
					queryTitle(catalog_id);
				}
			};
			myScroller = new VIscroll(scrollerParam); //初始化
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(_pageId + " #list")
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
	}
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
	}
	
	//销毁
	function destroy(){
		$(_pageId+" .find-box h2").html("");
		$(_pageId+" .produce-list").html("");
	}
	
	var workRoomTwo = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = workRoomTwo;
	
	
});