/**
 * 新首页 BrotherZeng
 */
define('mall/scripts/account/ytg/userSpace.js',function(require, exports, module) {
	var pageId = "#account_ytg_userSpace ";
	var pageCode = "account/ytg/userSpace";
	var appUtils = require("appUtils");
	var ytgService = require("ytgService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var constants = require("constants");// 常量类
	var common = require("common");
	var commonUtils = require("commonUtils");
	var gconfig = require("gconfig");
	var domain = gconfig.global.domain;
	var global = gconfig.global;
	var invest_id = null;
	var user_id = null;
	var portfolio_id = null;
	var hasDrawChart=false;
	var spdj="";//视频等级
	var cpgs="";//投顾id
	var URL=global.url;
	var resulsum="";
	var product_id="";
	var tot_price1="";
	var prePageCode="";//前面传进来的页面
	var dropload=require("dropload"); // 滚动组件
	var me="";
	//插件
	var drowCharts = require("mall/scripts/common/drowcharts");
	var external = require("external");
	var tagtab = "userSpaceGroup";
	/** =============================== 查询投顾历史交易参数 =============================== */
	var paramFindHistBargain = new Object();
	paramFindHistBargain.curPage = 1;
	paramFindHistBargain.numPerPage = 10;
	paramFindHistBargain.totalPages = 0 ;
	/** =============================== 查询投顾历史交易参数 =============================== */
	/** =============================== 查询投顾已发表观点参数 =============================== */
	var param = new Object();
	param.curPage = 1;
	param.numPerPage = 4;
	param.totalPages = 0 ;
	/** =============================== 查询投顾已发表观点参数 =============================== */
	/** =========================== 投顾已回答问题参数 =========================== */
	var paramwd = new Object();
	paramwd.curPage = 1;
	paramwd.numPerPage = 10;
	paramwd.totalPages = 0 ;
	/** =========================== 投顾已回答问题参数 =========================== */
	// 初始化
	function init() {
		// 变量初始化 
		common.initTitle(pageId)
		user_id = appUtils.getSStorageInfo("yqtid");
		invest_id = appUtils.getPageParam("invest_id");
		prePageCode =  appUtils.getPageParam("prePageCode");
		if (invest_id) {
			appUtils.setSStorageInfo("yqt_invest_id",invest_id);
		}else{
			invest_id = appUtils.getSStorageInfo("yqt_invest_id");
		}
		paramwd.user_id=user_id;
		param.user_id=user_id;
		finduserSub();
		tagtab = "userSpaceGroup";				// 默认显示是组合页面
		changeTab($("[tag='" + tagtab + "']"));	// 默认显示是组合页面
		if ( invest_id ) {
			paramwd.invest_id = invest_id;
			param.invest_id = invest_id;
		}
		queryUser();  							// 查询用户的姓名、简介、粉丝数、关注数
		InvestPortfolioInfoPage();				//查询他的组合
		findHistBargain();//历史交易
	}

	// 绑定事件
	function bindPageEvent() {
		/** ========================================= bindPageEvent_公用 ========================================= */
		
		// 分享
		appUtils.bindEvent($(pageId + " #userSpacefx"), function() {
			var link = global.shareLink;
        	var param={
				moduleName: "mall", // String	目标模块名	N
				funcNo: "50230",
				shareTypeList: "22,23,24",
				title: "个人主页_" + $("#invest_name").text(),
				link:  link+"/m/mall/index.html#!/account/ytg/userSpace.html?invest_id="+invest_id,
				content: $("#invest_name").text() + "的个人主页",
				imgUrl: "https://mall.avicsec.com/mobile/app/logo/icon.png"
			};
			external.callMessage(param);
		});
		
		appUtils.preBindEvent($(pageId), " [tag='qw']", function(event) {
			event.stopPropagation();
			$(this).attr("tag","sq");
			$(this).text("收起");
			$(this).parent().find("[tag='dainShow']").hide();
			$(this).parent().find("[tag='spanShow']").show();
		});
		
		appUtils.preBindEvent($(pageId), " [tag='sq']", function(event) {
			$(this).attr("tag","qw");
			$(this).text("全文");
			$(this).parent().find("[tag='dainShow']").show();
			$(this).parent().find("[tag='spanShow']").hide();
		});
		//返回
		appUtils.bindEvent($(pageId + " .icon_back"), function() {
			var _prePageCode = appUtils.getSStorageInfo("_prePageCode");
			if (_prePageCode == "account/userLogin") {
				appUtils.pageInit(pageCode, "account/index");
			}else if(prePageCode=="video/videoDetailsxq"){
				var param={
					"article_id":appUtils.getSStorageInfo("article_id")
				};
				appUtils.pageInit(pageCode, "video/videoDetailsxq",param);
			}else if(_prePageCode=="mall/itemsFinanIn"){
				appUtils.pageInit(pageCode,"account/ytg/yqt");
			}else{
				appUtils.pageBack();
			}
		});
		
		appUtils.bindEvent($(pageId + " #userSpacegz"), function() {
			if (!isLogin()) {
				return false;
			}
			userSubInvestOrCancel();
		});
		
		// 提问
		appUtils.bindEvent($(pageId + " #userSpacetw"), function() {
			var invest_name = appUtils.getSStorageInfo("invest_name");
			$(pageId + "#tiwen").show();
			$(pageId + "#invest_names").html('向' + invest_name + '提问');
		});
		
		// 字数限制
		appUtils.bindEvent($(pageId + "#comment"), function() {
			var len = $(this).val().length;
			if (len > 120) {
				$(this).val($(this).val().substring(0, 120));
				var num = 120 - $(this).val().length;
				$(pageId + "#word").text("还可输入" + num + "字");
				layerUtils.iAlert("超过字数限制", -1);
				return;
			}
			var num = 120 - len;
			$(pageId + "#word").text("还可输入" + num + "字");
		}, "input");
		
		// 提交问题
		appUtils.bindEvent($(pageId + "#commit"), function() {
			var ques_comment = $(pageId + " #comment").val();
			if (ques_comment == "") {
				layerUtils.iAlert("内容不能为空!", -1);
				return;
			}
			commitQues(removeHTMLTag(ques_comment));
		});
		
		// 点击×按钮 关闭提问弹窗
		appUtils.bindEvent($(pageId + ".close_btn"), function() {
			$(pageId + "#tiwen").hide();
		});
		
		/** ========================================= bindPageEvent_公用 ========================================= */
		/** ========================================= bindPageEvent_组合 ========================================= */
		appUtils.bindEvent($(pageId + " [tag='userSpaceGroup']"), function() {
			changeTab($(this));
			paramFindHistBargain.curPage = 1;
			InvestPortfolioInfoPage();
			findHistBargain();//历史交易
		});
		//进入组合详情页面
		appUtils.bindEvent($(pageId + " [tag='group']"), function() {
			var portfolio_id = $(this).attr("portfolio_id");
			var param={
				"invest_id":invest_id,
				"portfolio_id":portfolio_id
			}
			appUtils.pageInit(pageCode,"account/ytg/portfolio/portfolioDetail",param);
		});
		/** ========================================= bindPageEvent_组合 ========================================= */
		/** ========================================= bindPageEvent_产品 ========================================= */
		appUtils.bindEvent($(pageId + " [tag='userSpacecp']"), function() {
			changeTab($(this));
			if ($(pageId + "#userSpacecp").attr("isFrist")=="true") {
				getInvestPro();
				findSp();
			}
		});
		//点击产品进入详情
		appUtils.preBindEvent($(pageId), " [tag='subscribe'],#zixunInfos div", function() {
				var param = {
					"product_id" :  $(this).attr("product_id"),
					"product_type" : constants.product_type.INFO,
					"url":"account/ytg/userSpace",
					"pageCode" : "mall/itemsFinanIn",
					"mall_phone_login" : "1"
				};
				common.productJumpmethod(param);
		}, "click");

		/** ========================================= bindPageEvent_产品 ========================================= */
		/** ========================================= bindPageEvent_观点 ========================================= */
		appUtils.bindEvent($(pageId + " [tag='userSpacegd']"), function() {
			changeTab($(this));
			if ($(pageId + "#userSpacegd").attr("isFrist")=="true") {
				param.curPage=1;
				queryInvestView();
			}
		});
		
		appUtils.preBindEvent($(pageId), " [tag='sc_btn']", function(event) {
			if (!isLogin()) {
				return false;
			}
			view_id = $(this).parent().attr("view_id");
			userPraiseView(view_id, user_id);
		}, "click");
		
		appUtils.preBindEvent($(pageId), " [tag='viewDetails']",
				function(event) {
			event.stopPropagation();
			var view_id = $(this).attr("view_id");
			var pageInParam = {
				view_id : view_id
			};
			appUtils.pageInit(pageCode, "account/ytg/viewDetails",pageInParam);
		}, "click");
		appUtils.preBindEvent($(pageId), " [tag='pl_btn']",function() {
			var view_id = $(this).parent().attr("view_id");
			var pageInParam = {
					view_id : view_id
			};
			appUtils.pageInit(pageCode, "account/ytg/toComment",pageInParam);
		}, "click");
		/** ========================================= bindPageEvent_观点 ========================================= */
		/** ========================================= bindPageEvent_问答 ========================================= */
		appUtils.bindEvent($(pageId + " [tag='userSpacewd']"), function() {
			changeTab($(this));
			paramwd.curPage = 1;
			queryInvestAnsweredQues();
		});
		// 用户点赞
		appUtils.preBindEvent($(pageId), " [tag='wdsc_btn']", function(event) {
			if (!isLogin()) {
				return false;
			}
			answer_id = $(this).parent().attr("answer_id");
			userPraiseAnswer(answer_id, user_id);
		}, "click");
		appUtils.preBindEvent($(pageId), " [tag='quesDetails']",function(event) {
            event.stopPropagation();
			var ques_id = $(this).attr("ques_id");
			var pageInParam = {
					ques_id : ques_id
			};
			appUtils.pageInit(pageCode, "account/ytg/myAns/quesDetail",pageInParam);
		}, "click");
		appUtils.preBindEvent($(pageId), " [tag='wdpl_btn']",function() {
			var view_id = $(this).parent().attr("ques_id");
			var pageInParam = {
					ques_id : view_id
			};
			appUtils.pageInit(pageCode, "account/ytg/myAns/toAnswer",
					pageInParam);
		}, "click");
		appUtils.preBindEvent($(pageId), " .user_Lrkj",function() {
			isLogin();//登入
		}, "click");
		/** ========================================= bindPageEvent_问答 ========================================= */

	}
	/** ========================================= function_组合 ========================================= */
		/**
		 * 查询用户的姓名、简介、粉丝数、关注数
		 */
		function queryUser() {
			ytgService.queryInvest({
				invest_id : invest_id
			}, function(resultVo) {
				if (resultVo.error_no != 0) {
					layerUtils.iAlert("投顾信息加载失败:" + resultVo.error_info, -1);
					return false;
				}
				if (!resultVo.results || resultVo.results.length<=0) {
					return false;
				}
				var result = resultVo.results[0];
				if (result) {
					$(pageId + "#invest_img").attr("src",domain+ (result.face_image?result.face_image:constants.ytg_img.INVEST_IMG));
					$(pageId + "#invest_name").text(result.user_name);
					appUtils.setSStorageInfo("invest_name", result.user_name);
					$(pageId + "#invest_fans_num").text(result.fans_num);
					$(pageId + "#invest_follow_num").text(result.follow);
					var desc = result.introdution;
					if (desc.length > 41) {
						desc = desc.substring(0, 40) + "........";
					}
					$(pageId + "#invest_introdution").text(desc);
					var star = result.star;
					var img=commonUtils.levelImg(star);
					var html = '<em><img src="' + img + '" alt="">'
							+ result.levelName + '</em><em class="star">'
							+ result.level + '</em>';
					$(pageId + "#roleType").html(html);
					var card_id=result.card_id;//执业证书编码
					var qualification=result.qualification;//资格类别
					if(card_id){
						$(pageId + "#invest_zs").html("执业证书编码:"+card_id);
					}else{
						$(pageId + "#invest_zs").html("");
					}
					if(qualification){
						$(pageId + "#invest_lb").html("资格类别:"+qualification);
					}else{
						$(pageId + "#invest_lb").html("");
					}
				}
			});
		}
		
		function InvestPortfolioInfoPage() {
			ytgService.InvestPortfolioInfoPage({
				userid : invest_id
			}, function(resultVo) {
				if (resultVo.error_no != 0) {
					layerUtils.iAlert("暂无组合信息", -1);
					return false;
				}
				var result = resultVo.results[0];
				//判断是否登录
				var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
				if(login_flag!="true"){//没有登入
					$(pageId + "#user_zh").html("TA的模拟组合<a class='user_Lrkj' style='color: red;float: right;font-size: 0.12rem;'>登录可见</a>");
					$(pageId + "#group_stock_name").html("****");
				}else{
					$(pageId + "#user_zh").html("TA的模拟组合");
					$(pageId + "#group_stock_name").html(result.stock_name?result.stock_name:"暂无重仓股");
				}
				var total_yield = (result.total_yield * 100).toFixed(2);
				var position = result.position;//(result.position * 100).toFixed(2);
				$(pageId + "[tag='group']").attr("portfolio_id",result.portfolio_id);
				$(pageId + "#group_total_yield").html(total_yield?total_yield:"--").attr("class","").addClass((total_yield >= 0 ? "ared" : "agreen"));
				$(pageId + "#group_portfolio_name").html(result.portfolio_name?result.portfolio_name:"--");				
				$(pageId + "#group_position").html(position?position:"--").addClass((position >= 0 ? "ared" : "agreen"));
				$(pageId + "#group_modify_date").html(result.modify_date?result.modify_date:"--");
				$(pageId + "#history_trade").attr("isFrist","false");
				portfolio_id = result.portfolio_id;
				queryProtfolioHoldStock(portfolio_id);//他的持仓
				introductionTabFunc(portfolio_id);//画图
				paramFindHistBargain.account_id = portfolio_id;//历史交易入参
			});
		}
		
		//他的持仓
		function queryProtfolioHoldStock(account_id) {
			//判断是否登录
			var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
			if(login_flag!="true"){//没有登入
				$(pageId + "#user_cc").html("TA的模拟盘持仓<a class='user_Lrkj' style='color: red;float: right;font-size: 0.12rem;'>登录可见</a>");
			}else{
				$(pageId + "#user_cc").html("TA的模拟盘持仓");
			}
			var paraMap = new Object();
			paraMap.account_id = account_id;
			paraMap.curPage = 1;
			paraMap.numPerPage = 99;
			ytgService.queryProtfolioHoldStock(paraMap, function(resultVo) {
				if (resultVo.error_no == "-40835102") {
					return false;
				}
				if (resultVo.error_no != 0) {
					layerUtils.iAlert("资金账户持仓加载失败:" + resultVo.error_info, -1);
					return false;
				}
				var results=resultVo.results[0].data;
				if (!results) {
					$("#HoldStockList").html("<div style='font-size:16px; color:#9999B1;  text-align:center;'>暂无数据</div>");
					return false;
				}
				if ( results && results.length >0  ) {
					var html="";
					html += "<tr>";
					html += "<td>股票名称</td>";
					html += "<td>盈亏</td>";
					html += "<td>持仓/仓位</td>";
					html += "<td>成本/现价</td>";
					html += "</tr>";
					
					for (var i = 0; i < results.length; i++) {
						var result = results[i];
						var stock_name=result.stock_name;
						var stock_code=result.stock_code;
						if(login_flag!="true"){//没有登入
							stock_name="****";
							stock_code=stock_code.substring(0,3)+"***";
						}
						html +='<tr><td><p>'+stock_name+'</p><span>'+stock_code+'</span></td>';
						html +='<td><p class="'+(result.profit_rate >=0 ? "ared" : "agreen")+'">'+Number(result.profit_rate).toFixed(2)+'%</p><p class="'+(result.profit>=0 ? "ared" : "agreen")+'">'+result.profit+'</p></td><td>';
						html +='<p>'+result.total_qty+'</p><p>'+result.position+'%</p></td><td>';
						html +='<p>'+result.cost_price+'</p><p class="'+(result.profit>= 0 ? "ared" : "agreen")+'">'+result.now_price+'</p></td></tr>';
					}
					$("#HoldStockList").html(html);
				}
			});
		}
		
		/**
		 *画图
		 * */
		function introductionTabFunc(portfolio_id)
		{    
			var queryMap ={
					"plan_id" : portfolio_id
			};
			var drowdataCallBack = function(resultVo){
				if(0==Number(resultVo.error_no)){
					var result = resultVo.results;

					var profitList = eval('([' + result[0].profit + '])');
					var exponentList = eval('([' + result[0].exponent + '])');
					//收益曲线数组，保存需要画的曲线
					var seriesOptions = [];
					//尺寸参数
					var style = [374,187];

					// 组合收益曲线
					seriesOptions[0] = {
							'name': '组合收益',
							'data': profitList[0]
					};
					// 大盘收益曲线
					seriesOptions[1] = {
							'name': '大盘累计收益率',
							'data': exponentList[0]
					};	
					//画图
					drowCharts.getHighcharts2(seriesOptions,$("#box_line"),style);
					hasDrawChart = true;
				}
				else{
					layerUtils.iAlert("曲线图加载失败"+resultVo.error_info,-1);
				}
			};
			ytgService.queryDrowdata(queryMap,drowdataCallBack);
		}
		
		/**
		 * 历史交易
		 */
		function findHistBargain() {
			$(pageId+" .dropload-down").remove();//先删除样式
			$(pageId+" #history_trade").html("");
			//初始化滑动组件
			var dropload = $(pageId +" .khfxWarp").dropload({
		        scrollArea: $(pageId +" .khfxWarp"),
		        loadDownFn: function (me) {
		        	setTimeout(function(){
		        		//调用方法
		        		ytgService.findHistBargain(paramFindHistBargain,function(resultVo) {
		    				if(resultVo.error_no=="-40835602"){
		    					me.lock();
    				            // 显示无数据
    				            me.noData();
    				            me.loading = false;
    				            me.resetload();//加载数据
		    				}
		        				//判断是否登录
			    				var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
			    				if(login_flag!="true"){//没有登入
			    					$(pageId + "#user_mnjy").html("模拟盘历史交易<a class='user_Lrkj' style='color: red;float: right;font-size: 0.12rem;'>登录可见</a>");
			    				}else{
			    					$(pageId + "#user_mnjy").html("模拟盘历史交易");
			    				}
			    				var results = resultVo.results[0].data;
			    				if(paramFindHistBargain.curPage == 1){//处理没有数据的情况
			    					if(results.length==0){
			    						$(pageId + "#history_trade").html("<div style='font-size:16px; color:#9999B1;  text-align:center; padding-top:50px; margin-top: 0.1rem; padding-bottom:50px; margin-bottom: 0.1rem;'>暂无历史交易记录</div>");
			    						$(pageId + " #history_trade").hide();
			    						$(pageId+" .dropload-down").hide();
			    					}else{
			    						$(pageId + " #history_trade").show();
			    						$(pageId+" .dropload-down").show();
			    					}
			    				}else{
	        						if(results.length==0){
	        							me.lock();
	        				            // 显示无数据
	        				            me.noData();
	        				            me.loading = false;
	        				            me.resetload();//加载数据
	        						}
	        					}
			    				paramFindHistBargain.curPage++;
			    				var html = "";
			    				for (var i = 0; i < results.length; i++) {
			    					var result = results[i];
			    					var execDate = $.trim(result.exec_date);//交易时间
			    					var elemen  = "";
			    					element = $(pageId + "#history_trade>div:last");
			    					if(element && element.length>0){//如果里面有内容就进行比较
			    						//获取日期
			    						var eDate = $(element).children(".time_box").find("span").html();
			    						eDate = $.trim(eDate);
			    						if(eDate == execDate){
			    							var trade_type = result["trade_type"]
			    							// 0 : 清仓/减仓   1: 建仓/加仓
			    							var trade_type_name ;
			    							if ( trade_type == 0 ) {
			    								if (result.stock_be_position > 0) {
			    									trade_type_name = "加仓" ;
			    								}else{
			    									trade_type_name = "建仓" ;
			    								}
			    							}else{
			    								if (result.stock_af_position > 0) {
			    									trade_type_name = "减仓" ;
			    								}else{
			    									trade_type_name = "清仓" ;
			    								}
			    							}
			    							//判断是否登录
			    							var stock_name=result.stock_name;
			    							var stock_code=result.stock_code;
			    							if(login_flag!="true"){//没有登入
			    								stock_name="****";
			    								stock_code=stock_code.substring(0,3)+"***";
			    							}
			    							var nextHtml = '<div class="trade_inner"><strong>名称<span>' + stock_name+ '</span><em>（'+ 
			    							stock_code +'）</em></strong>\<ul>\<li>\<p class="pull-left">成交价<span>'+
			    							result.exec_price +'</span></p>\<p class="pull-right">操作<a href="javascript:void(0);" class="'
			    															+ (trade_type > 0 ? "btn_build": "btn_clear")
			    															+'">' + 
			    															trade_type_name + '</a></p>\</li>\<li><p>仓位变动<span>'+(result.stock_be_position * 100).toFixed(2)+'%</span><em>'+
			    															(result.stock_af_position * 100).toFixed(2)+'%</em></p></li>\</ul>\</div>';
			    							element.append(nextHtml);
			    						} else {
			    							var allHtll = historyHtml(result);
			    							$(pageId + "#history_trade").append(allHtll);
			    						}
			    					}else{
			    						var allHt = historyHtml(result);
			    						$(pageId + "#history_trade").append(allHt);
			    					}
			    				}
			    				if(results.length<paramFindHistBargain.numPerPage||resultVo.error_no=="-40835602"){
			    		            // 再往下已经没有数据
			    		            // 锁定
			    		            me.lock();
			    		            // 显示无数据
			    		            me.noData();
			    		            me.loading = false;
			    		        }
			    		        	me.resetload();//加载数据
			    				
		    			},{"isShowWait":false});		
		    		},500);
		        }
		    });
		}
		//html结构
		function historyHtml(result){
				var trade_type = result["trade_type"];
				// 0 : 清仓/减仓   1: 建仓/加仓
				var trade_type_name ;
				if ( trade_type == 0 ) {
					if (result.stock_be_position > 0) {
						trade_type_name = "加仓" ;
					}else{
						trade_type_name = "建仓" ;
					}
				}else{
					if (result.stock_af_position > 0) {
						trade_type_name = "减仓" ;
					}else{
						trade_type_name = "清仓" ;
					}
				}
				//判断是否登录
				var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
				var stock_name=result.stock_name;
				var stock_code=result.stock_code;
				if(login_flag!="true"){//没有登入
					$(pageId + "#user_mnjy").html("模拟盘历史交易<a class='user_Lrkj' style='color: red;float: right;font-size: 0.12rem;'>登录可见</a>");
					stock_name="****";
					stock_code=stock_code.substring(0,3)+"***";
				}else{
					$(pageId + "#user_mnjy").html("模拟盘历史交易");
				}
				var tureHtml = '<div class="trade">\<p class="time_box"><span>' + result.exec_date + '</span>&nbsp;&nbsp;交易记录</p>\<div class="trade_inner"><strong>名称<span>' +
				stock_name + '</span><em>（'+ stock_code +'）</em></strong>\<ul>\<li>\<p class="pull-left">成交价<span>'+result.exec_price +'</span></p>\<p class="pull-right">操作<a href="javascript:void(0);" class="'
													+ (trade_type > 0 ? "btn_build": "btn_clear")
													+'">' + trade_type_name + '</a></p>\</li>\<li><p>仓位变动<span>'+
													(result.stock_be_position * 100).toFixed(2)+'%</span><em>'+(result.stock_af_position * 100).toFixed(2)+'%</em></p></li>\</ul>\</div>\</div>';
				return tureHtml;
				
		}
		
		function history(html,result){
			html += "<div class='trade_inner'>";
			html += "<strong>名称<span>" + result.stock_name
					+ "</span><em>（" + result.stock_code
					+ "）</em></strong>";
			html += "<ul>";
			html += "<li>";
			html += "<p class='pull-left'>成交价<span>"
					+ result.exec_price + "</span></p>";
			
			var trade_type = result["trade_type"];
			
			// 0 : 清仓/减仓   1: 建仓/加仓
			var trade_type_name ;
			if ( trade_type == 0 ) {
				if (result.stock_be_position > 0) {
					trade_type_name = "加仓" ;
				}else{
					trade_type_name = "建仓" ;
				}
			}else{
				if (result.stock_af_position > 0) {
					trade_type_name = "减仓" ;
				}else{
					trade_type_name = "清仓" ;
				}
			}
			html += "<p class='pull-right'>操作<a href='javascript:void(0);' class='"
					+ (trade_type > 0 ? "btn_build": "btn_clear")
					+ "'>"
					+ trade_type_name
//					+ (trade_type == 0 ? "建仓" : "清仓")
					+ "</a></p>";
			html += "</li>";
			html += "<li>";
			html += "<p>仓位变动<span>"
					+ (result.stock_be_position * 100).toFixed(2)
					+ "%</span><em>"
					+ (result.stock_af_position * 100).toFixed(2) + "%</em></p>";
			html += "</li>";
			html += "</ul>";
			html += "</div>";
			return html;
		}
		/** ========================================= function_组合 ========================================= */
		/** ========================================= function_产品 ========================================= */
		function getInvestPro() {
			var param = new Object();
			param.invest_id = invest_id;
			ytgService.getInvestPro(param,function(resultVo) {
				if (resultVo.error_no != 0) {
					layerUtils.iAlert("TA的产品加载失败:"
							+ resultVo.error_info, -1);
					return false;
				}
				$(pageId + "#userSpacecpInsert").html("");
				var results = resultVo.results[0].data;
				if (resultVo.results[0].currentPage == 1) {
					$(pageId + "#userSpacecpInsert").html("");
				}
				$("#dot").text(resultVo.results[0].totalRows?resultVo.results[0].totalRows:"-");
				//var results = resultVo.results[0].data;
				if( results.length==0) {
					// 暂无数据
					var nodata  = "<div style='font-size:16px; color:#9999B1;  text-align:center; padding-top:50px; margin-top: 0.1rem;'>暂无数据</div>";
					$(pageId + "#userSpacecpInsert").append(nodata);
//					myScroller.refresh();
//					$(".visc_pullUp").hide();
					return false;
				}
				
				if (results && results.length > 0) {
					var html = "";
					for (var i = 0; i < results.length; i++) {
						var result = results[i];
						html += "<div class='his_group his_product'>";
						html += "<div class='group'>";
						html += "<dl>";
						html += "<dt>";
						html += "<p>" + result.inst_sname + "</p>";
						html += "<strong><em>¥</em>"
								+ parseInt(result.sub_price)
								+ "<sup>/"
								+ result.sub_price.split("/")[1]
								+ "</sup></strong>";
						html += "</dt>";
						html += "<dd>";
						html += "<strong>" + result.product_desc
								+ "</strong>";
//									html += "<p>神风智囊团神风智囊团神风智囊团神风智囊团神风智囊团...</p>";
						html += "</dd>";
						html += "</dl>";
						html += "</div>";
						html += "<div class='ui layout pro_btn mt5'>";
						html += "<a href='javascript:void(0);' class='ui row-1 pro_btn ' style='margin-bottom: 0.1rem;'>已订阅（"
								+ result.total + "）</a>";
						html += "<a href='javascript:void(0);' class='ui row-1 pro_btn ' style='margin-bottom: 0.1rem;' product_id='"
								+ result.inst_id
								+ "' tag='subscribe' >订阅</a>";
						html += "</div>";
						html += "</div>";
						
					}
					$(pageId + "#userSpacecpInsert").append(html);
					$(pageId + "#userSpacecp").attr("isFrist","false");
					//myScroller.refresh();
				}
			});
		};
		function findSp(){
			$(pageId+" .dropload-down").remove();//先删除样式
			//查询投顾下的视频产品
			var param1={
				"user_id":invest_id	//投顾id
			};
			ytgService.findSp(param1,function(resultVo) {
				if (resultVo.error_no != 0) {
					layerUtils.iAlert("TA的产品加载失败:"+ resultVo.error_info, -1);
					return false;
				}
				var results = resultVo.results;
				 resulsum=results.length;
				$("#tzcp").text(resulsum?resulsum:"-");
				if( results.length==0) {
					// 暂无数据
					var nodata  = "<div style='font-size:16px; color:#9999B1;  text-align:center; padding-top:50px; margin-top: 0.1rem;'>暂无数据</div>";
					$(pageId + "#userSpace_vdio").html(nodata);
					$(".visc_pullUp").hide();
					return false;
				}
				
				if (results && results.length > 0) {
					var vdiohtml = "";
					var sum_sub_price= 0;
					var sum_original_price = 0;
					for (var i = 0; i < results.length; i++) {
						var ta_code = results[0].ta_code;//机构
						appUtils.setSStorageInfo("register_corp_code",ta_code);//存入会话中
						var name=results[i].name;//产品名称
						var sub_price = results[i].sub_price;//产品优惠价
						//var sub_price1=sub_price.split(".");
						 sub_price2=parseFloat(sub_price).toFixed(2);
						 var inst_id = results[i].inst_id;//产品编号
						var original_price1 = results[i].original_price;//产品原价
						 original_price=parseFloat(original_price1).toFixed(2);
						var intro = results[i].intro.substring(0,20);//产品简介
						var photo = results[i].photo;//产品小图片
						 spdj=results[i].spdj;//视频等级
						 cpgs= results[i].cpgs;//视频等级
					  vdiohtml+="<div class='forum_pro' sub_price2="+sub_price2+" original_price_zj="+original_price+"><div class='ui checkbox obj'  ><input name='procheck' type='checkbox' class='checkbox_1' value="+inst_id+" tot_price="+sub_price2+" original_price="+original_price+"  checked='true' >" +
								"<label></label></div><dl class='clearfix' spdj="+spdj+" cpgs="+cpgs+"><dt><img src='"+URL+photo+"' alt=''></dt>" +
								"<dd><strong>"+name+"</strong><p>"+intro+"...</p>" +
								"</dd><dd>	<div class='price_box'><strong>￥"+sub_price2+"</strong><p>￥"+original_price+"</p></div></dd></dl></div>";
					  sum_sub_price+=sub_price2*1;
					  sum_original_price+=original_price*1;
					  
					}
						
					vdiohtml+="<div class='forumpay_box'><div class='ui checkbox' id='checkboxall'><input  type='checkbox' id='checkbox_1' checked='true'>" +
							"<label>全选</label></div><strong class='xz_sp'>合计：<em>￥"+parseFloat(sum_sub_price).toFixed(2)+"</em></strong><p class='yh_jq'>优惠：<span>￥"+parseFloat((sum_original_price-sum_sub_price)).toFixed(2)+"</span></p>" +
							"<a href='javaScript:void(0);' class='btn_pay'>立即支付</a></div>";
					$(pageId + "#userSpace_vdio").append(vdiohtml);
					//点击购买
					appUtils.bindEvent($(pageId + " .btn_pay"), function(e) {
						//获取选中的产品id
						var inst_id =[]; 
						var product_id="";
						$('input[name="procheck"]:checked').each(function(){ 
							inst_id.push($(this).val()); 
						});
						for(var i=0;i<inst_id.length;i++){
							 id=inst_id[i];
							 product_id+=id+",";
						}
						var tot_price =[];//选中产品的价钱
						$('input[name="procheck"]:checked').each(function(){ 
							tot_price.push($(this).attr("tot_price"));
						});
						var tot_price1=0;//选中产品的总价钱
						for(var i=0;i<tot_price.length;i++){
							 price=tot_price[i];
							 original_price=parseFloat(price);
							 tot_price1+=original_price;
						}
					var user_id = appUtils.getSStorageInfo("user_id");
					if(user_id==""||user_id==null){
						var pageParam = appUtils.getPageParam();
						var param = {
							"product_type":"7",
							"product_id":inst_id
						};
						appUtils.pageInit("account/ytg/userSpace","account/userLogin",param);
					}else{
						var loginType = appUtils.getSStorageInfo("loginType");
						if(loginType == "0"){//手机账号
							common.queryMobilePhone(appUtils.getSStorageInfo("mobile_phone"),determineUserState);
						}else{//资金账号
							var param = {
									"product_id":product_id,
									"product_type" : "7",
									"dingy_type":"5",
									"sub_type":"2",
									"spdj":spdj,
									"tot_price":tot_price1,
									"page_code":"account/ytg/userSpace",
									"isjtxs":""
								};
							appUtils.pageInit("account/ytg/userSpace","account/selPayMethod",param);
						}
						//判断用户状态
						function determineUserState(data){
							var results = data.results;
							var is_register = results[0].is_register;
							var is_client = results[0].is_client;
							var is_risk = results[0].is_risk;
							var is_pwd = results[0].is_pwd;
							var is_bank = results[0].is_bank;
							if(is_register&&is_register=="0"){
								appUtils.pageInit("mall/stickMoney","account/testRegister");
							}else if(is_client=="0"||is_pwd=="0"||is_bank=="0"){
								var param={
										"pageCode":	pageCode
									};
								appUtils.pageInit("account/ytg/userSpace","account/open",param);
							}else{
								var param = {
										"product_id":product_id,
										"product_type" : "7",
										"dingy_type":"5",
										"sub_type":"2",
										"spdj":spdj,
										"tot_price":tot_price1,
										"page_code":"account/ytg/userSpace",
										"isjtxs":""
									};
								appUtils.pageInit("account/ytg/userSpace","account/selPayMethod",param);
							}
						}
						e.stopPropagation();//防止点击详情
					}
					},"touchstart");
					//全选
					appUtils.bindEvent($(pageId + " .forumpay_box "), function(event) {
						var checked =$(pageId + " #checkbox_1").is(":checked");
						if(checked){
							$(pageId + " .checkbox_1").prop("checked",false);
							$(pageId + " #checkbox_1").prop("checked",false);
							$(pageId + " .xz_sp").html("合计：<em>￥0</em>");
							$(pageId + " .yh_jq").html("优惠：<span>￥0</span>");
						}else{
							$(pageId + " .checkbox_1").prop("checked",true);
							$(pageId + " #checkbox_1").prop("checked",true);
							$(pageId + " .xz_sp").html("合计：<em>￥"+parseFloat(sum_sub_price).toFixed(2)+"</em>");
							$(pageId + " .yh_jq").html("优惠：<span>￥"+parseFloat((sum_original_price-sum_sub_price)).toFixed(2)+"</span>");
						}
		                 event.preventDefault();
					},"touchstart");
					
					//点击进入单个几个详情页面
					appUtils.bindEvent($(pageId + " .clearfix "), function(e) {
						var spdj=$(this).attr("spdj");
						var cpgs=$(this).attr("cpgs");
						var param={
							"spdj":spdj,
							"cpgs":cpgs
						};
						
						appUtils.pageInit(pageCode, "account/ytg/userSpaceXq",param);
						e.stopPropagation();
					},"touchstart");
					//单选
					appUtils.bindEvent($(pageId + " .forum_pro "), function(event) {
						var tot_price =[];//选中产品的优惠价钱
						$('input[name="procheck"]:checked').each(function(){ 
							tot_price.push($(this).attr("tot_price"));
						});
						var tot_price1=0;//选中产品的优惠总价钱
						for(var i=0;i<tot_price.length;i++){
							 price=tot_price[i];
							 original_price=parseFloat(price);
							 tot_price1+=original_price;
						}
						var sub_price2=$(this).attr("sub_price2");//选中的优惠价钱
						
						var original_price =[];//选中产品的总价钱
						$('input[name="procheck"]:checked').each(function(){ 
							original_price.push($(this).attr("original_price"));
						});
						var original_price2=0;//选中产品的总价钱
						for(var j=0;j<original_price.length;j++){
							 price1=original_price[j];
							 original_price1=parseFloat(price1);
							 original_price2+=original_price1;
						}
						var original_price_zj=$(this).attr("original_price_zj");//选中的总价钱
						radioEvents(this,tot_price1,sub_price2,original_price2,original_price_zj);
						event.preventDefault();
						event.stopPropagation();
					},"touchstart");
				}
			});
		}
		
		// 单选框点击事件
		function radioEvents(obj,tot_price1,sub_price2,original_price2,original_price_zj) {
			var checked =$(obj).find('input').is(":checked");
			var lenght=$('input[name="procheck"]:checked').length+1;
			if(checked){
				$(obj).find('input').prop("checked",false);
				var xj=parseFloat(tot_price1*1-sub_price2*1).toFixed(2);//价钱
				var yh_jq=parseFloat((original_price2*1-tot_price1*1)-(original_price_zj*1-sub_price2*1)).toFixed(2);//优惠价
				$(pageId + " .xz_sp").html("合计：<em>￥"+xj+"</em>");
				$(pageId + " .yh_jq").html("优惠：<span>￥"+yh_jq+"</span>");
				$(pageId + " #checkbox_1").prop("checked",false);
			}else{
				$(obj).find('input').prop("checked",true);
				var xj=parseFloat(tot_price1*1+sub_price2*1).toFixed(2);//价钱
				var yh_jq=parseFloat((original_price2*1-tot_price1*1)+(original_price_zj*1-sub_price2*1)).toFixed(2);//优惠价
				$(pageId + " .xz_sp").html("合计：<em>￥"+xj+"</em>");
				$(pageId + " .yh_jq").html("优惠：<span>￥"+yh_jq+"</span>");
				if(resulsum=="1"){
					$(pageId + " #checkbox_1").prop("checked",true);
				}
				if(lenght==resulsum){
					if(lenght==1){
						
					}else{
						$(pageId + " #checkbox_1").prop("checked",true);
					}
					
				}
			}
		}
		/** ========================================= function_产品 ========================================= */
		/** ========================================= function_观点 ========================================= */
		/**
		 * 投顾已发表观点列表初始化
		 */
		function queryInvestView() {
			$(pageId+" .dropload-down").remove();//先删除样式
			$(pageId+" #userSpacegd").html("");
			//初始化滑动组件
			var dropload = $(pageId +".khfxWarp").dropload({
		        scrollArea: $(pageId +".khfxWarp"),
		        loadDownFn: function (me) {
		        	setTimeout(function(){
		        		//调用方法
		        		ytgService.queryInvestView(param,function(resultVo) {
		        			if(param.curPage == 1){
		        				
		        			}else{
		        				if(resultVo.error_no=="-40813602"){//因为bus写的有问题，固这样处理
			        				me.lock();
	    				            // 显示无数据
	    				            me.noData();
	    				            me.loading = false;
	    				            me.resetload();//加载数据
	    				            return false;
			        			}
		        			}
		    				var results = resultVo.results;
		    				if(param.curPage == 1){//处理没有数据的情况
		    					if(results.length==0){
		    						$(pageId + " #userSpacegd").hide();
		    						$(pageId+" .dropload-down").hide();
		    					}else{
		    						$(pageId + " #userSpacegd").show();
		    						$(pageId+" .dropload-down").show();
		    					}
		    				}else{
        						if(results.length==0){
        							me.lock();
        				            // 显示无数据
        				            me.noData();
        				            me.loading = false;
        				            me.resetload();//加载数据
        						}
        					}
		    				param.curPage++;
		    				if (results && results.length > 0) {
		    					var html = "";
		    					for (var i = 0; i < results.length; i++) {
		    						var result = results[i];
		    						var face_image = result.face_image;// 投顾头像;
		    						face_image = face_image ? face_image:constants.ytg_img.INVEST_IMG ;
		    						html += "<div class='view_item clearfix'>";
		    						html += "<div class='head_por'>";
		    						html += "<img src='" +domain+ face_image + "' />";
		    						html += "</div>";
		    						html += "<div class='view_det'>";
		    						html += "<h4>" + result.invest_name
		    								+ "<i style='background-image:url("+commonUtils.levelImg(result.star)+")'></i></h4>";
		    						var view_content = removeHTMLTag(result.content);
		    						if (view_content.length > 50) {
		    							view_content = view_content.substring(0,50) + "<span tag='dainShow'>...</span><span style='display:none;' tag='spanShow'>" + view_content.substring(50,view_content.length) + "</span><p tag='qw' style='color:#97aad0;width: 50%;'>全文</p>";
		    						}
		    						html += "<p class='view_txt'  tag='viewDetails' view_id='" + result.view_id+ "'>"
		    								+ view_content + "</p>";
		    						if(result.picture){
		    							 html += "<ul class='view_pic clearfix'>";
		    							 html += "<li><img src='"  + domain+result.picture+"' /></li>";
		    							 html += "</ul>";
		    						}
		    						html += "<p class='time_txt'>";
		    						html += "<span view_id='" + result.view_id
		    								+ "'>";
		    						var backgroundImage="/m/mall/images/sc_icon.png";
		    						if (result.is_praise > 0) {
		    							backgroundImage = "/m/mall/images/sc_icon_active.png";
		    						}
		    						html += "<a href='javascript:void(0);' class='sc_btn' tag='sc_btn'><i style='background-image:url("+backgroundImage+");'></i>"
		    								+ result.view_praise_num + "</a>";
		    						html += "<a href='javascript:void(0);' class='pl_btn' tag='pl_btn'><i></i>"
		    								+ result.comment_num + "</a>";
		    						html += "</span>";
		    						html += "" + result.create_time + "";
		    						html += "</p>";
		    						var queryAllViewComments = result.queryAllViewComment;
		    						if (queryAllViewComments) {
		    							queryAllViewComments = JSON.parse(queryAllViewComments);
		    							if ( queryAllViewComments && queryAllViewComments.length>0 ) {
		    								html += "<div class='comment_box' >";
		    								for (var j = 0; j < queryAllViewComments.length; j++) {
		    									var queryAllViewComment = queryAllViewComments[j];
		    									html += "<p tag='viewDetails' view_id='" + queryAllViewComment.view_id+ "'><span comment_user_id="
		    											+ queryAllViewComment.user_id + ">"
		    											+ queryAllViewComment.user_name
		    											+ "：</span>" + queryAllViewComment.comment_content
		    											+ "</p>";
		    								}
		    								html += "</div>";
		    							}
		    						}

		    						html += "</div>";
		    						html += "</div>";
		    					}
		    					$(pageId + " #userSpacegd").append(html);
		    					if(results.length<param.numPerPage){
		    			            // 再往下已经没有数据
		    			            // 锁定
		    			            me.lock();
		    			            // 显示无数据
		    			            me.noData();
		    			            me.loading = false;
		    			        }
		    					me.resetload();//加载数据
		    				}
		    			},{"isShowWait":false});		
		    		},200);
		        }
		    });
		}
		
		/**
		 * 用户点赞/取消点赞
		 */
		function userPraiseView(view_id, user_id) {
			if (!isLogin()) {
				return false;
			}
			var parame = new Object();
			parame.view_id = view_id;
			parame.user_id = user_id;
			ytgService.userPraiseView(parame, function(resultVo) {
				if (resultVo.error_no != 0) {
					layerUtils.iAlert("点赞/取消点赞失败:" + resultVo.error_info, -1);
					return false;
				}
				if (resultVo.error_no == 0) {
					var result = resultVo.results[0];
					if (result) {
						var element = $("[view_id='" + result.view_id + "']").find(
								"[tag='sc_btn']");
						if ("点赞成功" == resultVo.error_info) {
							element.html("<i style='background-image:url(/m/mall/images/sc_icon_active.png);'></i>"
									+ eval(parseInt(element.text()) + 1));
						}
						if ("取消点赞成功" == resultVo.error_info) {
							element.html("<i style='background-image:url(/m/mall/images/sc_icon.png);'></i>"
									+ eval(parseInt(element.text()) - 1));
						}
					}
					return false;
				}
			});
		}
		/** ========================================= function_观点 ========================================= */
		/** ========================================= function_问答 ========================================= */
		/**
		 * 查询投顾已回答问题
		 */
		function queryInvestAnsweredQues() {
			$(pageId+" .dropload-down").remove();//先删除样式
			$(pageId+" #userSpacewd").html("");
			$(pageId+" #history_trade").html("");
			//初始化滑动组件
			var dropload = $(pageId +".khfxWarp").dropload({
		        scrollArea: $(pageId +".khfxWarp"),
		        loadDownFn: function (me) {
		        	setTimeout(function(){
		        		//调用方法
		        		ytgService.queryInvestAnsweredQues(paramwd,function(resultVo) {
		    				if(resultVo.error_no=="-40813002"){//因为bus写的有问题，固这样处理
		        				me.lock();
    				            // 显示无数据
    				            me.noData();
    				            me.loading = false;
    				            me.resetload();//加载数据
		        			}
		    				var results = resultVo.results;
		    				if(paramwd.curPage== 1){//处理没有数据的情况
		    					if(results.length==0){
		    						$(pageId + " #userSpacewd").html("<h3 style='text-align: center ;margin-top:20px;'>暂无数据...</h3>");
		    						$(pageId + " #userSpacewd").hide();
		    						$(pageId+" .dropload-down").hide();
		    					}else{
		    						$(pageId + " #userSpacewd").show();
		    						$(pageId+" .dropload-down").show();
		    					}
		    				}
		    				paramwd.curPage++;
		    				if(resultVo.error_no=="0"){
		    					var html = "";
		    					for (var i = 0; i < results.length; i++) {
		    						var result = results[i];
		    						var invest_image = result.invest_image;// 回答人头像_投顾
		    						invest_image = invest_image ? invest_image:"images/avatar.jpg";
		    						var answer_id = result.answer_id;// 回答ID

		    						html += "<div class='view_item clearfix'>";
		    						html += "<div class='head_por'>";
		    						html += "<img src='" +domain+ invest_image
		    								+ "' />";
		    						html += "</div>";
		    						html += "<div class='view_det'>";
		    						html += "<h4>" + result.invest_name
		    								+ " <i style='background-image:url("+commonUtils.levelImg(result.star)+")'></i></h4>";
		    						var answer_content = removeHTMLTag(result.answer_content);
		    						if (answer_content.length > 50) {
		    							answer_content = answer_content.substring(0,50) + "<span tag='dainShow'>...</span><span style='display:none;' tag='spanShow'>" + answer_content.substring(50,answer_content.length) + "</span><p tag='qw' style='color:#97aad0;width: 50%;'>全文</p>";
		    						}
		    						html += "<p class='view_txt'  tag='quesDetails' ques_id='"+  result.ques_id+"'><span class='label answer_label'>答</span>"
		    								+ answer_content + "</p>";
		    						html += "<p class='time_txt'>";
		    						html += "<span answer_id='"
		    								+ result.answer_id + "' ques_id='"+result.ques_id+"'>";
		    						var backgroundImage="/m/mall/images/sc_icon.png";
		    						if (result.is_praise > 0) {
		    							backgroundImage = "/m/mall/images/sc_icon_active.png";
		    						}
		    						html += "<a href='javascript:void(0);' class='sc_btn' tag='wdsc_btn'><i style='background-image:url("+backgroundImage+");'></i>"
		    								+ result.praise_num + "</a>";
		    						html += "<a href='javascript:void(0);' class='pl_btn' tag='wdpl_btn'><i></i>"
		    								+ result.answerNum + "</a>";
		    						html += "</span>";
		    						html += "" + result.create_time + "";
		    						html += "</p>";
		    						html += "<div class='comment_box ask_box' tag='quesDetails' ques_id='"+  result.ques_id+"'>";
		    						html += "<p><span class='label ask_label'>问</span><span class='ask_txt'>"
		    								+ result.ques_content
		    								+ "</span></p>";
		    						html += "<p><span class='label user_label'></span><span class='ask_txt'>"
		    								+ result.user_name
		    								+ "<em>"
		    								+ result.ques_time
		    								+ " 来自翼启航</em></span></p>";
		    						html += "</div>";
		    						html += "</div>";
		    						html += "</div>";
		    					}
		    					$(pageId + " #userSpacewd").append(html);
		    					if(results.length<paramwd.numPerPage){
		    			            // 再往下已经没有数据
		    			            // 锁定
		    			            me.lock();
		    			            // 显示无数据
		    			            me.noData();
		    			            me.loading = false;
		    			        }
		    					me.resetload();//加载数据
		    				}else{
		    					layerUtils.iMsg(-1, resultVo.error_info);
		    				}
		    			},{"isShowWait":false});
		    		},200);
		        }
		    });
		}
		/**
		 * 用户点赞/取消点赞
		 */
		function userPraiseAnswer(answer_id, user_id) {
			if (!isLogin()) {
				return false;
			}
			var parame = new Object();
			parame.answer_id = answer_id;
			parame.user_id = user_id;
			ytgService.userPraiseAnswer(parame, function(resultVo) {
				if (resultVo.error_no != 0) {
					layerUtils.iAlert("点赞/取消点赞失败:" + resultVo.error_info, -1);
					return false;
				}
				if (resultVo.error_no == 0) {
					var result = resultVo.results[0];
					if (result) {
						var element = $("[answer_id='" + result.answer_id + "']")
								.find("[tag='wdsc_btn']");
						if ("点赞成功" == resultVo.error_info) {
							element.html("<i style='background-image:url(/m/mall/images/sc_icon_active.png);'></i>"
									+ eval(parseInt(element.text()) + 1));
						}
						if ("取消点赞成功" == resultVo.error_info) {
							element.html("<i style='background-image:url(/m/mall/images/sc_icon.png);'></i>"
									+ eval(parseInt(element.text()) - 1));
						}
					}
					return false;
				}
			});
		}
		/** ========================================= function_问答 ========================================= */
		/** ========================================= function_公用 ========================================= */
		function vResultError_No(error_no, error_no_user, id, msg, error_info) {
			if (error_no != 0) {
				$(pageId + " .visc_pullUp").hide();
				if (error_no != error_no_user) {
					layerUtils.iAlert(msg + ":" + error_info, -1);
				}
				var html = $(pageId + " #" + id).html().trim();
				if (!html) {
					var nodata  = "<div style='font-size:16px; color:#9999B1;  text-align:center; padding-top:50px; margin-top: 0.1rem;'>暂无数据</div>";
					$(pageId + " #" + id)
							.html(nodata);
				}
				return false;
			}
			return true;
		}
		/**
		 * 判断是否追加内容.
		 */
		function vResultlength(totalRows, currentPage, totalPages, id) {
			if (totalRows <= 0) {
				$(pageId + " #" + id).html("<h3 style='text-align: center ;margin-top:20px;'>暂无数据...</h3>");
				//myScroller.refresh();
				$(pageId + " .visc_pullUp").hide();
				return false;
			}
			if ( totalRows < currentPage ) {
				//myScroller.refresh();
				$(pageId + " .visc_pullUp").hide();
				return false;//暂无更多数据
			}
			if (currentPage == 1) {
				$(pageId + " #" + id).html("");
				return true;
			}
			return true;
		}
		// 判断是否登录
		function isLogin() {
			var islogin = appUtils.getSStorageInfo("_isLoginIn");
			var param = {
				invest_id:invest_id,
				"pageCode":pageCode
			};
			if (islogin!="true") {
				appUtils.setSStorageInfo("_prePageCode",pageCode);
			//	appUtils.setSStorageInfo("yqtid",result[0].yqtid);
				common.findLogin(param);
				//appUtils.pageInit(pageCode, "account/userLogin",param);
				return false;
			}
			if ( !user_id ) {
				appUtils.setSStorageInfo("_prePageCode",pageCode);
				common.findLogin(param);
				//appUtils.pageInit(pageCode, "account/userLogin",param);
				return false;
			}
			return true;
		}
		
		/**
		 * 切换tab(组合/观点/产品/问答)
		 */
		function changeTab(obj) {
			tagtab = $(obj).attr("tag");
			if ($(obj).hasClass("active")) {
				return false;
			}
			$(pageId + " #userSpaceTabBox>a").removeClass("active");
			obj.addClass("active");
			$(pageId + " .userSpaceMain").css("display", "none");
			$(pageId + " #" + tagtab).css("display", "block");
		}
		
		/**
		 * 用户关注/取消关注投顾
		 */
		function userSubInvestOrCancel() {
			if (!isLogin()) {
				return false;
			}
			var param = new Object();
			param.user_id = user_id;
			param.invest_id = invest_id;
			ytgService.userSubInvestOrCancel(param, function(resultVo) {
				if (resultVo.error_no != 0) {
					layerUtils.iAlert("用户关注/取消关注投顾失败:" + resultVo.error_info, -1);
					return false;
				}
				// 取消关注投顾成功
				if ("取消关注投顾成功" == resultVo.error_info) {
					$("#invest_fans_num").text(eval($("#invest_fans_num").text()) - 1);
					$(pageId + "#subState").html("关注");
				}
				// 关注成功
				if ("关注投顾成功" == resultVo.error_info) {
					$("#invest_fans_num").text(eval($("#invest_fans_num").text()) + 1);
					$(pageId + "#subState").html("已关注");
				}
			});
		}
		//查询是否关注
		function finduserSub() {
			var islogin = appUtils.getSStorageInfo("_isLoginIn");
			if (islogin!="true") {
				$(pageId + "#subState").html("关注");
			}else{
				var param = new Object();
				param.user_id = user_id;
				param.invest_id = invest_id;
				param.flag = "1";//表示查询是否关注
				ytgService.userSubInvestOrCancel(param, function(resultVo) {
					if (resultVo.error_no != 0) {
						layerUtils.iAlert("用户关注/取消关注投顾失败:" + resultVo.error_info, -1);
						return false;
					}
					var is_sub = resultVo.results[0].is_sub;
					$("#invest_fans_num").text(eval($("#invest_fans_num").text()) - 1);
					if(is_sub=="on"){
						$(pageId + "#subState").html("关注");
					}else{
						$(pageId + "#subState").html("已关注");
					}
				});
			}
			
		}
		/**
		 * 提交问题
		 */
		function commitQues(ques_comment) {
			if (!isLogin()) {
				return false;
			}
			var queryMap = {
				"user_id" : user_id,
				"invest_id" : invest_id,
				"ques_content" : ques_comment
			};
			var CommitQuestion = function(resultVo) {
				if (0 == Number(resultVo.error_no)) {
					layerUtils.iAlert("提交成功", 0);

					$(pageId + "#tiwen").hide();
					$(pageId + "#comment").val("");
					$(pageId + "#word").text("还可输入" + 120 + "字");

				} else if (Number(resultVo.error_no) == "-40833903") {
					layerUtils.iAlert("投顾不能向自己提问", -1);
				} else {
					layerUtils.iAlert("提问失败:" + resultVo.error_info, -1);
				}
			};
			ytgService.userAddQuestion(queryMap, CommitQuestion);
		}
		
		// 过滤HTML元素
		function removeHTMLTag(ques_comment) {
			if (ques_comment) {
				ques_comment = ques_comment.replace(/<\/?[^>]*>/g, ''); // 去除HTML tag
				ques_comment = ques_comment.replace(/[ | ]*\n/g, '\n'); // 去除行尾空白
				ques_comment = ques_comment.replace(/\n[\s| | ]*\r/g, '\n'); // 去除多余空行
				ques_comment = ques_comment.replace(/&nbsp;/ig, '');// 去掉&nbsp;
			}
			return ques_comment;
		}
		/** ========================================= function_公用 ========================================= */
		
		

	// 销毁
	function destroy() {
		$(pageId + "#pointList").html("");
		$(pageId + "#masterList").html("");
		$(pageId + "#roleType").html("");
		$(pageId + "[isFrist='false']").attr("isFrist","true");
		$(pageId + " #history_trade").html("");
		$(pageId + " #userSpacecpInsert").html("");
		$(pageId + " #userSpacegd").html("");
		$(pageId + " #userSpacewd").html("");
		$(pageId + "#userSpace_vdio").html("");
		$("#HoldStockList").html("<div style='font-size:16px; color:#9999B1;  text-align:center;'>暂无数据</div>");
		paramFindHistBargain.curPage = 1;
		param.curPage = 1;
		paramwd.curPage = 1;
		 hasDrawChart = false;
		 $(pageId+" .dropload-down").remove();
		 me.loading = false;
	}

	var ytg_userSpace = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = ytg_userSpace;

});