/**
 * 翼钱罐帮助详情页面
 */
define('mall/scripts/avicBao/avicHelpDetails.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var pageId = "#avicBao_avicHelpDetails ";
	var pageCode = "avicBao/avicHelpDetails";
	var gconfig = require("gconfig");
	var external = require("external");
	var global = gconfig.global;
	var common = require("common");
	var URL=global.url;
	var pageCodeIn="";//传进来的页面
	//初始化
	function init(){
		common.initTitle(pageId);
		
		var a_id = appUtils.getPageParam("a_id");
		pageCodeIn=appUtils.getPageParam("pageCode");
		findAvicConnet(a_id);//通过id查找文章
		
	}
	//查询文章
	function findAvicConnet(a_id){
		var param={
			"a_id":a_id
		};
		service.findAvicConnet(param,function(data){
			if(data.error_no == "0")
    		{
    			var result = data.results;
				var a_title = result[0].a_title;//标题
				var a_conent = result[0].a_conent;//内容
				//$(pageId + " .title").html(a_title);
				//$(pageId + " .artcle-tit h2").html(a_title);
				
				$(pageId + " .artcle-con p").html(a_conent);
    		}else{
    			layerUtils.iAlert(data.error_info);
    		}
		});
	}
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			if(pageCodeIn=="avicBao/avicHomePage"){
				appUtils.pageInit(pageCode,"avicBao/avicHomePage");
			}else{
				appUtils.pageInit(pageCode,"avicBao/avicHelp");
			}
		});
	}
	//销毁
	function destroy(){
		
	}
	var avicHelpDetails = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = avicHelpDetails;
	
});