/**
 * 翼钱罐最近一个月年化收益率
 */
define('mall/scripts/avicBao/avicHistoricalincome.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var pageId = "#avicBao_avicHistoricalincome ";
	var pageCode = "avicBao/avicHistoricalincome";
	var gconfig = require("gconfig");
	var external = require("external");
	var global = gconfig.global;
	var common = require("common");
	var URL=global.url;
	//初始化
	function init(){
		common.initTitle(pageId);
		
		findNysl();//查看万份收益
	}
	//查看万份收益
	function findNysl(){
		var param={
			"flag":"1"	
		};
		service.findProfit(param, function(data){
			if(data.error_no == "0"){
				var dataList = data.results;
				//var str="<tr><th width='30%'>日期</th><th width='30%'>万份收益(元)</th><th width='40%'>七日年化收益率</th></tr>";
				for(var i = 0; i < dataList.length; i++){
					var trd_date = dataList[i].trd_date;//日期
					var inst_income_unit = dataList[i].inst_income_unit;//万份收益
					var yield = dataList[i].yield;//七日年化收益率
					str="<tr><td width='30%'>"+trd_date+"</td><td width='30%'>"+forDecimal(inst_income_unit)+"</td><td class='redcol' width='40%'>"+(parseFloat(yield) * 100).toFixed(2)+"%</td></tr>";
					$(pageId + " #avic_income").append(str);
				}
				//str+="</table>";
				
			}
			
		});
	}
	 //制保留2位小数  
    function toDecimal(x) {   
        var f=x.split(".");
        var g=f[1].substring(0, 2);
        var s=f[0]+"."+g;
        return s;   
    }  
  //制保留4位小数  
    function forDecimal(x) {   
        var f=x.split(".");
        var g=f[1].substring(0, 4);
        var s=f[0]+"."+g;
        return s;   
    } 
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			appUtils.pageInit(pageCode,"avicBao/avicHomePage");
		});
	}
	//销毁
	function destroy(){
		$(pageId + " #avic_income").html("");
	}
	var avicHistoricalincome = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = avicHistoricalincome;
	
});