/**
 * 随心投首页
 */
define('mall/scripts/avicBao/avicHomePage.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var appropriateService = require("appropriateService");
	var layerUtils = require("layerUtils"); 
	var pageId = "#avicBao_avicHomePage ";
	var pageCode = "avicBao/avicHomePage";
	var gconfig = require("gconfig");
	var external = require("external");
	var platform=gconfig.platform;//判断app或pc用
	var constants = require("constants");// 常量类
	var fundUtils = require("mall/scripts/common/fundUtils");// 常量类
	var global = gconfig.global;
	var common = require("common");
	var URL=global.url;
	var inst_avl="";//可用的总金额
	var pageCodeIn="";//进来的页面地址
	var product_id="";//产品id
	var product_code="";//产品code
	var register_corp_code="";
	var user_risk_level = "";
	var risk_level = "";
	var storage_switch="";//存入开关状态
	var remove_switch="";//取出开关状态
	var timer = "";
	var i= 0;
	var is_risk="";
	var hightotc="";
	var closeTag="0";//从翼启航过来
	//初始化
	function init(){
		common.initTitle(pageId);
		 pageCodeIn=appUtils.getPageParam("url");//进来的页面地址
		 if(pageCodeIn==""||typeof(pageCodeIn)=="undefined"){
			 closeTag="1";//从中焯跳过来的
			 appUtils.setSStorageInfo("closeTag", closeTag);
		 }
		 is_risk=appUtils.getPageParam("is_risk");
		 /************适当性改造****************/
		 if(appUtils.getPageParam("url") == "mall/moneyShop"){
			 pageCodeIn = appUtils.getPageParam("url");
		 }
		 if(appUtils.getPageParam("url") == "mall/otcFundlist"){
			 pageCodeIn = "mall/otcFundlist";
		 }
		 if(appUtils.getPageParam("url") == "mall/moneyShop"){
			 pageCodeIn = "mall/moneyShop";
		 }
		 if(appUtils.getPageParam("url") == "account/index"){
			 pageCodeIn = "account/index";
		 }
		 if(appUtils.getPageParam("url") == "avicBao/avicHomePage"){
			 pageCodeIn = "avicBao/avicHomePage";
		 }
		 /*********新增中焯登录***********/
		 var login = appUtils.getSStorageInfo("_isLoginIn");
	     if(login=="true"){
	    	 /************适当性改造****************/
			 findAgreement();//查询是否签署协议
			 queryNavChart();//画七日年收益率
			 queryAvicIncome();//收益规则
			 quickExtraction();//支持快速取出
			 //判断登入和不登入页面显示的区别
			 var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆
			 if(login_flag!="true"){//没有登入
				 $(pageId+" #otc_xx").html("七日年华收益率");
			 }else{
				 var khh = appUtils.getSStorageInfo("khh");//判断返回是够绑定了客户号
				 if(khh!=""&&typeof(khh)!="undefined"&&khh!=null){//
					 $(pageId+" #otc_xx").html("最近一日收益");
					 findAvicClient();
				 }else{
					 $(pageId+" #otc_xx").html("七日年华收益率");
					 NotBangDing();
				 }
			 }
			 var collection_sign = appUtils.getPageParam("collection_sign");//产品收藏标记
		 	 if(collection_sign=="1"){
				 productCollection();
			 }
	     }
	     else{
	        var mobilecode = appUtils.getPageParam("mobilecode");
	        var user_token = appUtils.getPageParam("user_token");
	        common.SSO_login(mobilecode,user_token,initPage);
	     }
	     /*********新增中焯登录***********/	
	}

	function initPage(){
		/************适当性改造****************/
		 findAgreement();//查询是否签署协议
		 queryNavChart();//画七日年收益率
		 queryAvicIncome();//收益规则
		 quickExtraction();//支持快速取出
		 //判断登入和不登入页面显示的区别
		 var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆
		 if(login_flag!="true"){//没有登入
			 $(pageId+" #otc_xx").html("七日年华收益率");
		 }else{
			 var khh = appUtils.getSStorageInfo("khh");//判断返回是够绑定了客户号
			 if(khh!=""&&typeof(khh)!="undefined"&&khh!=null){//
				 $(pageId+" #otc_xx").html("最近一日收益");
				 findAvicClient();
			 }else{
				 $(pageId+" #otc_xx").html("七日年华收益率");
				 NotBangDing();
			 }
		 }
		 var collection_sign = appUtils.getPageParam("collection_sign");//产品收藏标记
	 	 if(collection_sign=="1"){
			 productCollection();
		 }
	};
	
	//浏览方法
	function productbrowse(product_id){
		var param={
			"product_id":product_id,
			"product_type":"9",
			"product_name":"随心投日日盈"
		};
		common.productbrowse(param);
	}
	//收藏方法
	function productCollection(){
		var param={
			"product_id":product_id,
			"product_type":"9",
			"product_name":"随心投日日盈",
			"pageCode":"mall/moneyShop",
			"backUrl":pageCode
		};
		common.productCollection(param);
	}
	//收益规则
	function queryAvicIncome(){
		var str="<tr><th width='40%'>转入时间<br />(T日)</th><th width='30%'>开始收益日<br />(T+1日)</th>"+
        		"<th width='30%'>收益查看日<br />(T+2日)</th></tr>";
		for(var i=1;i<6;i++){
			str+="<tr><td>"+fundUtils.avicIncome(i)+"</td><td>"+fundUtils.startYieldTime(i)+"</td><td>"+fundUtils.earningsDay(i)+"</td></tr>";
		}
		$(pageId+" #avic_sygz").html(str);
	}
	//支持快速取出
	function quickExtraction(){
		var stryin=fundUtils.quickExtraction();
		var str=stryin.split(",");
		var html="<tr><th colspan='3'>支持快速取出</th></tr>";
		for(var i=0;i<str.length;i=i+3){
			if(str[i]!=""&&typeof(str[i])!="undefined"&&str[i]!=null){
			}else{
				str[i]="";
			}
			if(str[i+1]!=""&&typeof(str[i+1])!="undefined"&&str[i+1]!=null){
			}else{
				str[i+1]="";
			}
			if(str[i+2]!=""&&typeof(str[i+2])!="undefined"&&str[i+2]!=null){
			}else{
				str[i+2]="";
			}
			html+="<tr><td width='33%'>"+str[i]+"</td><td width='33%'>"+str[i+1]+"</td><td width='33%'>"+str[i+2]+"</td></tr>";
		}
		$(pageId+" #avic_cpsm").html(html);
		
	}
	//开户
	function NotBangDing(){
		$(pageId+" #sp_gc").show();
		$(pageId+" .pop_box4").show();
		$(pageId+" #gr_sy").show();
		//马上开户
		appUtils.bindEvent($(pageId+" #jt_kh"),function(){
			common.qkh();
		});
		//取消开户
		appUtils.bindEvent($(pageId+" .btn_cancel2"),function(){
			$(pageId+" #sp_gc").hide();
			$(pageId+" .pop_box4").hide();
		});
	}
	//查询登入后的的相关信息
	function findAvicClient(){
		orderWithdrawal();//判断存入当天是否有订单可以撤回
		findAvicCustomer();//查询用户相关信息
		findAvicincome();//查询上一个交易日的累计收益
		
	}
	//查询用户总金额
	function findAvicCustomer(){
		var client_no=appUtils.getSStorageInfo("khh");//客户号
		var param={
			"client_no":client_no
		};
		service.findAvicCustomer(param,function(data){
			if(data.error_no != "0"){
				layerUtils.iAlert(data.error_info);
				return false;
			}else{
				var results = data.results;
				 inst_avl=results[0].can_turns_out_vol;//可用总金额
				if(inst_avl!=""){
					$(pageId+" #zhfund_qm").html(inst_avl+"");
				}else{
					$(pageId+" #zhfund_qm").html("0.00");
				}
			}
		});
	}
	//查询上一个交易日的累计收益和最近一日收益
	function findAvicincome(){
		var client_no=appUtils.getSStorageInfo("khh");//客户号
		var param={
			"client_no":client_no
		};
		service.findAvicincome(param,function(data){
			var results =  data.results;//出参结果
			if(data.error_no=="0"){
				if(results.length>0){
					var ttl_acct_income=results[0].ttl_acct_income;//累计收益
					var income=results[0].income;//收益
					if(ttl_acct_income!=""&&typeof(ttl_acct_income)!="undefined"){
						 $(pageId+" #khsy").html(toDecimal(ttl_acct_income));
					 }else{
						 $(pageId+" #khsy").html("0.00");
					 }
					if(income!=""&&typeof(income)!="undefined"){
						 $(pageId+" #yqg_zyy").html("<span>"+toDecimal(income)+"</span>(元)");
					 }else{
						 $(pageId+" #yqg_zyy").html("<span>0.00</span>(元)");
					 }
				}else{
					$(pageId+" #khsy").html("0.00");
					$(pageId+" #yqg_zyy").html("<span>0.00</span>(元)");
				}
			}else{
				layerUtils.iMsg(-1,data.error_info);
			}
		});
	}
	//判断存入当天是否有订单可以撤回
	function orderWithdrawal(){
		//判断建议时间
		service.findTradeDate({},function(data){
			if(data.error_no=="0"){
				var next_trade_date = data.results[0].next_trade_date;//下一个交易日
				var data=next_trade_date.replaceAll("-","");
					//判断该该户时候有存入的订单可以撤回
					var client_no=appUtils.getSStorageInfo("khh");
					var param = {
							"client_no": client_no,
							"page": "1",
							"numPerPage": "10",
							"next_trade_date":data
						};
					service.queryDataMyTrade(param,function(data){
						if(data.error_no=="0"){//表示有单可以撤
							$(pageId+" .avic_order").show();
							//可撤单列表
							appUtils.bindEvent($(pageId+" .avic_order a"),function(){
								appUtils.pageInit(pageCode,"avicBao/tradeOder");
							});
						}else{//表示没单可撤
							$(pageId+" .avic_order").hide();
						}
					});
			}else {
				layerUtils.iMsg(-1,data.error_info);
			}
		});
	};
	//收益率走势图
	function queryNavChart() {
		service.findProfit({}, function(resultVo){
			// 清空走势图
			$('#container').empty(); 
			var dataList = resultVo.results;
			if(dataList!=""&&dataList.length>0){
				var datas = []; // 走势图数据
				var minPrice = 0; // 记录最小净值
				var maxPrice = 0; // 记录最大净值 用户计算走势图y轴值差
				var xDates = []; // 记录x轴时间
				var tipDates = []; // 用户tip显示 时间				
				$(pageId + ".chart_inner").show();
				var resultsLen = dataList.length;
				var yield= (dataList[dataList.length-1].yield);//最后的收益率
				var inst_income_unit=(dataList[dataList.length-1].inst_income_unit);//最后的万份收益
				$(pageId+" #yqg_wsy").html(toDecimal(inst_income_unit));
				var khh = appUtils.getSStorageInfo("khh");//判断返回是够绑定了客户号
				if(khh!=""&&typeof(khh)!="undefined"&&khh!=null){//
				}else{
					$(pageId+" #yqg_zyy").html("<span>"+(parseFloat(yield) * 100).toFixed(2)+"</span>%");
				}
				if(dataList.length<=7){
					for (var i = 0; i < dataList.length; i++) {
						var  navDate = dataList[i].trd_date.substring(4,8);//日期
						var  relate_price = (parseFloat(dataList[i].yield) * 100).toFixed(2); // 收益率
						if(relate_price == ""){
							relate_price = 3;
						}
						
						// 更新最大净值
						if (relate_price > maxPrice) {
							maxPrice = relate_price;
						}
						// 更新最小净值
						if(i==0||relate_price<minPrice){					
							minPrice = relate_price;
						}
						// 保存净值 和 时间值 到数组中
						var dataNav = []; //走势图数据
						
						if (i == (resultsLen - 1)) {
							$(pageId + "#priceDate").html(navDate);
						}
						tipDates.push(navDate);
						xDates.push(navDate);
						dataNav.push(parseFloat(relate_price).toFixed(3)-0);
						datas.push(dataNav);
					}
						var options = {
							"datas" : datas,
							"xDates" : xDates,
							"tipDates" : tipDates,
							"min" : minPrice,
							"max" : maxPrice,
							"tipName" : "七日年率%"
						};
						// 绘制净值走势图
						//common.graphPicAvic(pageId, options,hightotc);
						common.graphPic(pageId, options,hightotc);
				}else{
					for (var i = dataList.length-7; i < dataList.length; i++) {
						var navDate = dataList[i].trd_date.substring(4,8);//日期
						var relate_price = (parseFloat(dataList[i].yield) * 100).toFixed(2); // 收益率
						if(relate_price == ""){
							relate_price = 3;
						}
						
						// 更新最大净值
						if (relate_price > maxPrice) {
							maxPrice = relate_price;
						}
						
						// 更新最小净值
						if(i==(dataList.length-7)||relate_price<minPrice){					
							minPrice = relate_price;
						}
			
						// 保存净值 和 时间值 到数组中
						var dataNav = []; //走势图数据
						
						if (i == (resultsLen - 1)) {
							$(pageId + "#priceDate").html(navDate);
						}
						tipDates.push(navDate);
						xDates.push(navDate);
						dataNav.push(parseFloat(relate_price).toFixed(3)-0);
						datas.push(dataNav);
					}
					var options = {
						"datas" : datas,
						"xDates" : xDates,
						"tipDates" : tipDates,
						"min" : minPrice,
						"max" : maxPrice,
						"tipName" : "七日年率%"
					}
					// 绘制净值走势图
					//common.graphPicAvic(pageId, options,hightotc);
					common.graphPic(pageId, options,hightotc);
				}
			}else{
				$(pageId+" #yqg_wsy").html("0.00");
				$(pageId+" #yqg_zsyl").html("0.00%");
				$(pageId+" #yqg_zyy").html("0.00%");
			};
		});
	}
	// 日期格式
	function fomdate(beforeDay) {
		var date = new Date();
		date.setDate(date.getDate() - beforeDay);
		var date = date.Format("yyyyMMdd");
		return date;
	}
    //制保留4位小数  
    function toDecimal(x) {   
        var f=x.split(".");
        var g=f[1].substring(0, 4);
        var s=f[0]+"."+g;
        return s;   
    }
    //取出的判断
    function avicTakeOut(param){
    	var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
		if(login_flag!="true"){//没有登入
			var  pageInParam = {
					"prePageCode" : pageCode,
					"backUrl" : param.url,
					"url" : pageCode,
					"avicBao_sign":"1",
					"avicBao_TakeOut":"1",
					"storage_switch":storage_switch,
					"remove_switch":remove_switch
			};
			common.findLogin({"backparam":pageInParam});
		}else{
			//判断有没有开户
			var khh = appUtils.getSStorageInfo("khh");//判断返回是够绑定了客户号
			if(khh!=""&&typeof(khh)!="undefined"&&khh!=null){
				appUtils.pageInit(pageCode,param.url,param);
			}else{
				NotBangDing();//处理方法
			}
		}
    }
	//翼钱罐统一的登入方法
	function avicBaoLogin(param){
		var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
		
		if(login_flag!="true"){//没有登入
			var  pageInParam = {
					"prePageCode" : pageCode,
					"backUrl" : param.url,
					"url" : pageCode,
					"avicBao_sign":"1",
					"storage_switch":storage_switch,
					"remove_switch":remove_switch
			};
			common.findLogin({"backparam":pageInParam});
			//appUtils.pageInit(pageCode, "account/userLogin",{"backparam":pageInParam});
		}else{//判断是不是集团用户
			//判断开关状态
			if(storage_switch=="1"){//需要认证的
				avicControlMethod(param);//控制购买的方法
			}else{
				//判断有没有开户
				var khh = appUtils.getSStorageInfo("khh");//判断返回是够绑定了客户号
				if(khh!=""&&typeof(khh)!="undefined"&&khh!=null){
					appUtils.pageInit(pageCode,param.url,param);
				}else{
					NotBangDing();//处理方法
				}
			}
		}
	}
	//判断是否签署协议(1有 0没有)
	function  findAgreement()
	{
		//查询产品id
		service.findAvicId({},function(dataAvic){
			if(dataAvic.error_no == "0"){
				results= dataAvic.results;
				product_id=results[0].product_id;//产品id
				register_corp_code=results[0].register_corp_code;//产品id
				product_code=results[0].product_code;//产品id
				risk_level=results[0].risk_level;
				storage_switch=results[0].storage_switch;//存入开关
				remove_switch=results[0].remove_switch;//取出开关
			}else{
				product_id="";
			}
			var user_id = appUtils.getSStorageInfo("user_id");
			var results=null; //保存结果集
			var param =
			{
				"user_id":user_id,
				"product_id":product_id
			};
			service.findAgreement(param,function(data){
				if(data.error_no != "0"){
					layerUtils.iMsg(-1,data.error_info);
					layerUtils.iLoading(false);
					return false;
				}
				results= data.results;
				var is_sign = results[0].is_sign;//是否签署协议
				var allProtocolStr = "";
				if(is_sign=="1"){//已经签署
					 allProtocolStr = "<p class='on'><i></i>已阅读";
				}else if(is_sign=="0"){//没有签署
					if(is_risk=="1"){
						allProtocolStr = "<p class='on'><i></i>已阅读"; 
					}else{
						allProtocolStr = "<p class=''><i></i>已阅读"; 
					}
				};
				for (var i  =0; i < results.length; i++){
					if(results[i].agreement_type=="1"||results[i].agreement_type=="0"){
						if(results[i].agreement_title!=null && results[i].agreement_title!=""){
							allProtocolStr+="<a href='javaScript:void(0);'  class='chakan'  agreement_url='"+results[i].url+"' agreement_title='"+results[i].agreement_title+"'>《"+results[i].agreement_title+"》</a>";
						};
					};
				}
				allProtocolStr+="</p>";
				$(pageId+" #avic_xiey").html(allProtocolStr);
				
				//选中同意协议按钮
				appUtils.bindEvent($(pageId+" #avic_xiey i"),function(){
					var checked=$(pageId+" #avic_xiey p").attr("class");//获取是否选中
					if(checked=="on"){
						$(pageId+" #avic_xiey p").removeClass("on");
					}else{
						$(pageId+" #avic_xiey p").addClass("on");
					};
				});
				//协议查看
				appUtils.bindEvent($(pageId+" .chakan"),function(e){
					var agreement_url = $(this).attr("agreement_url");
					var agreement_title =$(this).attr("agreement_title");
					// 判断是否APP
					 if(platform == "0"){
						 window.location.href=URL+agreement_url;
					}else{
						viewProtocol(agreement_url,agreement_title);
					}
					 event.preventDefault();
				},"click");
				});
			productbrowse(product_id);
		});
	}

	//查看产品协议
	function viewProtocol(agreement_url,agreement_title){
		if(platform == "1"){
			var param={
				moduleName: "mall", // String	目标模块名	N	
				source: "mall", // String	源模块	Y
				funcNo: "50240",
				url: URL+agreement_url,
				title: agreement_title
			};
			external.callMessage(param);
		}else if(platform == "2"){
			var param={
				funcNo: "50240",
				url: URL+agreement_url,
				title: agreement_title
			};
			external.callMessage(param);
		}
	}
	//协议签署
	function sign(){
		var user_id = appUtils.getSStorageInfo("user_id");
		var param = {
			"user_id":user_id,
			"product_id":product_id,
	        "agreement_id":""
		};
		service.signAgreement(param,function(data){
			if(data.error_no!="0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				layerUtils.iMsg(0,"签署失败，请重新签署或联系客户，失败原因："+data.results[0].error_info);
				return false;
			}
		});
	}
	
	//翼钱管的控制方法
	function avicControlMethod(param){
		var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆			
		if(login_flag!="true"){//没有登入
			var pageInParam = {
					"prePageCode" : pageCode,
					"backUrl" : "groupExclusive/avicHomePage"
			};
			appUtils.pageInit(pageCode, "account/userLogin",{"backparam":pageInParam});
		}else{//登入
			//判断登入后不是白名单表中
			var loginType = appUtils.getSStorageInfo("loginType");//获取是什么登入保证金还是手机
			var identity_num = appUtils.getSStorageInfo("identity_num");//集团用户的身份证号
			var mobile_phone = appUtils.getSStorageInfo("mobile_phone");//集团用户的手机号
			if(loginType=="1"){//保证金登入	
				 if(identity_num==null){//身份证不能为空
				 }else{//是不是集团用户
					 var param2={
						"identity_num":identity_num,
						"mobile_phone":mobile_phone
					};
					 service.findAvicIndo(param2, function(datajt){
						var results = datajt.results;
						var idno=results[0].idno;
						if(idno!="0"&&typeof(idno)!="undefined"){//是集团客户，判断有没有开户
							//appUtils.pageInit(pageCode,"avicBao/avicHomePage",param);//跳进翼钱罐
							appUtils.pageInit(pageCode,param.url,param);
						}else{
							//判断有没有邮箱认证
							service.findEmailVerifying({"user_id":appUtils.getSStorageInfo("user_id")},function(datasyx){
								var error_no = datasyx.error_no;	
								if(error_no==0){
									var results = datasyx.results;
									var issh_email = results[0].issh_email;//是否激活
									var param={
											"pageCode":pageCode
										};
									if(results!=""){
										if(issh_email=="1"){
											layerUtils.iMsg(-1,"邮箱认证已经成功！请等待审核！");
										}else if(issh_email=="0"){
											appUtils.pageInit(pageCode,"groupExclusive/emailVerifying",param);
										}else if(issh_email=="10"){
											appUtils.pageInit(pageCode,"groupExclusive/emailAtion",param);
										}else{
											appUtils.pageInit(pageCode,"groupExclusive/emailAtion",param);
										};
									};
								};
							});
						}
					});
				 }
			}else{//手机号登入
				if(mobile_phone==null){//身份证不能为空
				 }else{//是不是集团用户
					 service.findAvicPhone({"mobile_phone":mobile_phone}, function(data){
						var results = data.results;
						var phoneno=results[0].phoneno;
						if(phoneno!="0"&&typeof(phoneno)!="undefined"){//是集团客户，判断有没有开户
							//判断有没有开户
							var param2={
								"identity_num":identity_num,
								"mobile_phone":phoneno,
								"loginType":loginType
							};
							service.findZjzh(param2,function(databkh){
								if(databkh.error_no==0){
									var results = databkh.results[0];
									var client_id =results.client_id;//资金账号
									if(client_id!=""&&typeof(client_id)!="undefined"){//表示开过户了，买产品
										//appUtils.pageInit(pageCode,"avicBao/avicHomePage",param);//跳进翼钱罐
										appUtils.pageInit(pageCode,param.url,param);
									}else{//没有开户，提示去开户
										var yyb=param.yyb;
										//var yyb=yybs.split(",");
										$(pageId+" #sp_gc").show();
										$(pageId+" .btn_box2").show();
										$(pageId+" .btns_box2").hide();
										$(pageId+" .pop_box4").show();
										//马上开户
										appUtils.bindEvent($(pageId+" #jt_kh"),function(){
											common.qkh(yyb);
										});
										//取消开户
										appUtils.bindEvent($(pageId+" .btn_cancel2"),function(){
											$(pageId+" #sp_gc").hide();
											$(pageId+" .pop_box4").hide();
										});
									};
								};
							});
						}else{
							
							//判断有没有邮箱认证
							service.findEmailVerifying({"user_id":appUtils.getSStorageInfo("user_id")},function(datasyx){
								var error_no = datasyx.error_no;	
								if(error_no==0){
									var results = datasyx.results;
									var issh_email = results[0].issh_email;//是否激活
									var param={
											"pageCode":pageCode
										};
									if(results!=""){
										if(issh_email=="1"){
											layerUtils.iMsg(-1,"邮箱认证已经成功！请等待审核！");
										}else if(issh_email=="0"){
											appUtils.pageInit(pageCode,"groupExclusive/emailVerifying",param);
										}else if(issh_email=="10"){
											appUtils.pageInit(pageCode,"groupExclusive/emailAtion",param);
										}else{
											appUtils.pageInit(pageCode,"groupExclusive/emailAtion",param);
										};
									};
								};
							});
						}
					 });
				 }
			}
		}
	}
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			appUtils.bindEvent($(pageId+" .icon_back"),function(){
				var closeTag=appUtils.getSStorageInfo("closeTag");
				if(closeTag=="1"){
					var param = {
							moduleName: "open", // String	目标模块名	N
							funcNo: "50114"
							};
					external.callMessage(param);
				}else{
					if(pageCodeIn!=""&&typeof(pageCodeIn)!="undefined"){
						appUtils.pageInit(pageCode, pageCodeIn);
					}else if(appUtils.getPageParam("url")!=""&&typeof(appUtils.getPageParam("url"))!="undefined"){
						appUtils.pageInit(pageCode, appUtils.getPageParam("url"));
					}else{
						appUtils.pageInit(pageCode, "mall/moneyShop");
					}
				}
			});
		});
		//查看历史年化收益率
		appUtils.bindEvent($(pageId+" #avic_wfsy"),function(){
			appUtils.pageInit(pageCode,"avicBao/avicHistoricalincome");
		});
		//翼钱罐帮助页面
		appUtils.bindEvent($(pageId+" .icon_question"),function(){
			var param={
				"pageCode":pageCode
			};
			appUtils.pageInit(pageCode,"avicBao/avicHelp",param);
		});
		//我的历史收益
		appUtils.bindEvent($(pageId+" #my_hls"),function(){
			var param={
				"url":	"avicBao/myHistorical"
			};
			avicBaoLogin(param);//统一登入方法
		});
//		//我的交易流水
//		appUtils.bindEvent($(pageId+" #my_jyl"),function(){
//			var param={
//					"url":	"avicBao/myTrade"
//				};
//				avicBaoLogin(param);//统一登入方法
//		});
		//存入
		appUtils.bindEvent($(pageId+" #avic_deposit"),function(){
			var checked=$(pageId+" #avic_xiey p").attr("class");//获取是否选中
			if(checked!="on"){//没有勾选协议
				layerUtils.iMsg(-1,"请勾选协议");
				return false;
			}
			 sign();//部署协议
			 appropriateness();
		});
		//取出
		appUtils.bindEvent($(pageId+" #avic_takeout"),function(){
			var checked=$(pageId+" #avic_xiey p").attr("class");//获取是否选中
			if(checked!="on"){//没有勾选协议
				layerUtils.iMsg(-1,"请勾选协议");
				return false;
			}
			var param={
					"url":	"avicBao/avicTakeout",
					"inst_avl":inst_avl
				};
			sign();//部署协议
			if(remove_switch=="1"){//需要认证
				avicBaoLogin(param);//统一登入方法
			}else{
				avicTakeOut(param);//取出不需要认证
			}
		});
		
		//点击收藏
		appUtils.bindEvent($(pageId + " .product_Collection"), function() {
			productCollection();
		},"click");
	}
	
	/**********************************适当性改造*******************************/
	function appropriateness(){
		appUtils.setSStorageInfo("product_number", product_id);
	
			//先判断风险测评有没有做，是否过期
			appropriateService.appropriateBaseInfo({"khh" : appUtils.getSStorageInfo("khh")} ,function(data){
				if(data.error_no!="0")
				{
					layerUtils.iAlert(data.error_info);
					layerUtils.iLoading(false);
					return false;
				}
				var result = data.results;
				var risk_flag = result[0].risk_flag;
				var fid_khtzfl = result[0].fid_khtzfl;//投资者分类
				user_risk_level = result[0].fid_fxcsnl;//风险承受能力
				//保险起见，再存一次
				appUtils.setSStorageInfo("risk_level" , result[0].fid_fxcsnl);
				var param = {
						"khh" : appUtils.getSStorageInfo("khh"),
						"product_id" : product_id,
						"product_code" : product_code,
						"ta_code" : register_corp_code,
						"pageCode" : pageCode,
						"url":	appUtils.getPageParam("url"),
						"product_type":"9",
						"risk_flag":risk_flag
					};
				
				//风险测评有效
		//		if(risk_flag == "1"){
					if(is_risk !="1"){
						checkLicaiAccount(fid_khtzfl,param);
					}else{
						if(risk_level!="5"){
							appUtils.pageInit(pageCode,"avicBao/avicDeposit", param);
						}else{
							var khh = appUtils.getSStorageInfo("khh");
							//用户双录
							service.checkUser(param,function(datas){
								if(datas.results.lenght=="0"){
									var param2={
											"counTer":"您拟投资的产品风险与您的风险不匹配或购买的为高风险产品,请您联系营业部线下进行双录!"
									};
									common.popupMethod(param2);
									return false;
								}else{
									if(datas.results[0].DUAL_STAT == "1"||datas.results[0].DUAL_STAT == "2"){
										appUtils.pageInit(pageCode,"avicBao/avicDeposit", param);
									}else{
										var param2={
												"counTer":"您拟投资的产品风险与您的风险不匹配或购买的为高风险产品,请您联系营业部线下进行双录!"
										};
										common.popupMethod(param2);
										return false;
									}
								}
								
							});
						}		
					}
//				}else{
//					common.iConfirm("您还未做风险测评或者风险测评已过期或未做新版风险测评，请重新测评！", function(){
//						 var pageInParam = appUtils.getPageParam();
//						//为了能重新测评之后再返回回来
//						 pageInParam["page_name"] = pageCode;
//						 appUtils.pageInit("avicBao/avicHomePage","userCenter/riskResults" , pageInParam);
//					} , function(){} , "测评", "取消");
//
//				}
			});
	}
	
	//判断是否有理财账户
	function checkLicaiAccount(fid_khtzfl,param){
		var khParam = {
				"user_id": appUtils.getSStorageInfo("user_id"),
				"khh" : appUtils.getSStorageInfo("khh"),
				"risk_level" :  user_risk_level,
				"tadm" : register_corp_code
		}
		//判断是否需要开户
		service.checkRiskAssessment(khParam , function(data){
			if(data.error_no!="0")
			{
				layerUtils.iAlert(data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			var result = data.results;
			//没有开通理财账号，需要开户
			if(result[0].isKh == "1"){
				if(param.risk_flag == "-1"||param.risk_flag == "-2"||param.risk_flag == "-3"){
					common.iConfirm("开通理财账户权限需进行新版风险测评。", function(){
						 var back_param = appUtils.getPageParam();
						//为了能重新测评之后再返回回来
						 back_param["prePageCode"] = pageCode;
						 back_param["url_flag"] = pageCode;
						 appUtils.pageInit("avicBao/avicHomePage","userCenter/riskResults" , back_param);
					} , function(){} , "立刻测评", "放弃");
				}else{
					common.iConfirm("您还未开通理财账户，是否为您开通！", function(){
						var khParam = {
								"client_no" : appUtils.getSStorageInfo("khh"),
								"cust_name" : appUtils.getSStorageInfo("user_name"),
								"cust_type" : appUtils.getSStorageInfo("cust_type_wh")
						};
						$(pageId + "#dilog").show(); 
						service.AvicCustomerKh(khParam , function(data){
							$(pageId + "#dilog").hide(); 
							if(data.error_no!="0")
							{
								layerUtils.iAlert(data.error_info);
								layerUtils.iLoading(false);
								return false;
							}else{
								i = 0;
								showTime(fid_khtzfl,param);
								
							}
						});
					} , function(){} , "开通", "取消");
				}
			}else{
				riskJudgement(fid_khtzfl,param);
			}
		});
	}
	
	//判断风险测评是否匹配
	function riskJudgement(fid_khtzfl , param){
		if(fid_khtzfl == "0"){
			//适当性改造，判断风险等级是否匹配
			appropriateService.appropriateRiskInfo(param , function(data){
				if(data.error_no!="0")
				{
					layerUtils.iAlert(data.error_info);
					layerUtils.iLoading(false);
					return false;
				}
				var result = data.results;
				param["product_name"] = "随心投日日盈";
				param["risk_level"] = risk_level;
				param["page_name"] = pageCode;
				if(result[0].risk_code == "0"){
					//风险等级匹配
					param["page_name"]="avicBao/avicHomePage";
					appUtils.pageInit("avicBao/avicHomePage","appropriate/riskMakeSure", param);
				}else if(result[0].risk_code == "-1"){
					if( user_risk_level == "11"){
						var param2={
								"counTer":"您的风险测评等级过低，不能购买该产品！"
							};
						common.popupMethod(param2);
					}else{
						//风险等级不匹配
						param["page_name"]="avicBao/avicHomePage";
						appUtils.pageInit("avicBao/avicHomePage","appropriate/riskWarning", param);
					}
				}else if(result[0].risk_code == "-2"){
					common.iConfirm(result[0].risk_info, function(){
						 var back_param = appUtils.getPageParam();
						//为了能重新测评之后再返回回来
						 back_param["prePageCode"] = pageCode;
						 back_param["url_flag"] = pageCode;
						 appUtils.pageInit("mall/stickMoneyIn","userCenter/riskResults" , back_param);
					} , function(){} , "重新测评", "知道了");
				}else{
					common.iConfirm(result[0].risk_info, function(){
						 var back_param = appUtils.getPageParam();
						//为了能重新测评之后再返回回来
						 back_param["prePageCode"] = pageCode;
						 back_param["url_flag"] = pageCode;
						 appUtils.pageInit("mall/stickMoneyIn","userCenter/riskResults" , back_param);
					} , function(){} , "重新测评", "知道了");
				}
			});
		}else{
			appUtils.pageInit(pageCode,"avicBao/avicDeposit", param);			
			//avicBaoLogin(param);//统一登入方法
			
		}
	}
	
	/**
	   显示自动跳转倒计时
	**/
	function showTime(fid_khtzfl,param)
	{
		var showTips = function(){
		    if(i<10)
		    {
			     i++;
			     $(pageId + "#dilog").show();     
			     checkRiskAss(fid_khtzfl,param);
			}
		    else
		    {
		    	 $(pageId + "#dilog").hide(); 
				 window.clearInterval(timer);
				 layerUtils.iAlert("开通理财权限失败");
				 layerUtils.iLoading(false);
			 } 
		};
		timer = setInterval(showTips(), 1000);
	}
	
	
	function checkRiskAss(fid_khtzfl,param)
	{
		var reParam = {
				"user_id": appUtils.getSStorageInfo("user_id"),
	        	"khh": appUtils.getSStorageInfo("khh"),//客户号
	        	"tadm": register_corp_code,//机构代码
	        	"risk_level": user_risk_level//风险等级
			};
		var ctrlParam = {
				"isLastReq" : true,
				"isShowWait" :false
			};
		
		service.checkRiskAssessment(reParam,function(data){
			if(data.error_no != "0")
			{
				//layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			var results = data.results;
			var isKh = results[0].isKh;
			var isCp = results[0]. isCp;
			if(isKh == "0"&&isCp == "0"){
				$(pageId + "#dilog").hide();
				window.clearInterval(timer);
				riskJudgement(fid_khtzfl,param);
			}
		},ctrlParam);
	}
	
	/**********************************适当性改造*******************************/
	
	//销毁
	function destroy(){
		$(pageId+" #zj_ysy").hide();
		$(pageId+" #gr_sy").hide();
		$(pageId+" #yqg_zsy").show();
		$(pageId+" #sp_gc").hide();
		$(pageId+" .pop_box4").hide();
		$(pageId+" .avic_order").hide();
		$(pageId+" #box_line").html("");
		i = 0;
		if(timer != "" || timer !=null){
			clearInterval(timer);
			timer = "";
		}
	}
	
	var avicHomePage = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = avicHomePage;
});