/**
 * 翼钱罐中取出
 */
define('mall/scripts/avicBao/avicTakeout.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var pageId = "#avicBao_avicTakeout ";
	var pageCode = "avicBao/avicTakeout";
	var gconfig = require("gconfig");
	var platform=require("gconfig").platform;
	var external = require("external");
	var global = gconfig.global;
	var common = require("common");
	var URL=global.url;
	var flag="";
	var isRemember="";
	var inst_avl="";//普通全部金额
	var inst_bln="";//快速取出金额
	var fundUtils = require("mall/scripts/common/fundUtils");
	var trd_qty="";//取出金额
	//初始化
	function init(){
		common.initTitle(pageId);
		
		$(pageId+" .special_tips").hide();
		var loginType = appUtils.getSStorageInfo("loginType");//判断是手机号还是保证金号
		if(loginType=="0"){//手机号
			$(pageId+" #avic_tpye").show();//显示密码框
		}else{
			$(pageId+" #avic_tpye").hide();//隐藏密码框
		}
		findAvicClient();//查询金额
		flag="1";//1为普通去除，2为快速去除
		isRemember = "false";
		$(pageId+" #yqg_ky").html("可取金额<span> "+inst_avl+"元</span>");
		$(pageId+" .out_tips").html("当日可用,T+1日可取出，当日有收益");
		$(pageId+" #fast_out").removeClass("active");
		$(pageId+" #common_removal").addClass("active");
		$(pageId+" .switch-inner").removeClass("on");
		$(pageId+" #yqg_buy").removeAttr("disabled"); //去除只读
		$(pageId+" #quick").hide();
	}
	//查询登入后的的相关信息
	function findAvicClient(){
		var client_no=appUtils.getSStorageInfo("khh");//客户号
		var param={
			"client_no":client_no
		};
		service.findAvicCustomer(param,function(data){
			if(data.error_no != "0"){
				layerUtils.iAlert(data.error_info);
				return false;
			}else{
				var results = data.results;
				 inst_avl=results[0].can_turns_out_vol;//普通取出金额
				 inst_bln=results[0].can_quick_turns_out_vol;//快速取出金额
				 if(inst_avl!=""){
						$(pageId+" #yqg_ky").html("可取金额<span>  "+inst_avl+"元</span>");
					}else{
						$(pageId+" #yqg_ky").html("可取金额<span>  0.00元</span>");
					}
			}
		});
	}
	
	//查看产品协议
	function viewProtocol(agreement_url,agreement_title){
		if(platform == "1"){
			var param={
				moduleName: "mall", // String	目标模块名	N	
				source: "mall", // String	源模块	Y
				funcNo: "50240",
				url: URL+agreement_url,
				title: agreement_title
			};
			external.callMessage(param);
		}else if(platform == "2"){
			var param={
				funcNo: "50240",
				url: URL+agreement_url,
				title: agreement_title
			};
			external.callMessage(param);
		}
	}
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			appUtils.pageInit(pageCode,"avicBao/avicHomePage");
		});
		//全部取出
    	appUtils.bindEvent($(pageId+" #checkOn"),function(){
			var state = $(this).attr("date-state");
			if(state == "true"){//从全部取出到普通取出
				isRemember = "false";
				$(this).attr("date-state","false");
				$(pageId+" .switch-inner").removeClass("on");
				$(pageId+" #yqg_buy").val("");
				$(pageId+" #yqg_buy").removeAttr("disabled"); //去除只读
			} else {//从取出到全部取出
				$(this).attr("date-state","true");
				isRemember = "true";
				$(pageId+" .switch-inner").addClass("on");
				if(flag=="1"){//普通取出
					if(inst_avl!=""){
						$(pageId+" #yqg_buy").val(inst_avl);
					}else{
						$(pageId+" #yqg_buy").val("0.00");
					}
				}else{
					if(inst_bln!=""){
						$(pageId+" #yqg_buy").val(inst_bln);
					}else{
						$(pageId+" #yqg_buy").val("0.00");
					}
					//$(pageId+" #yqg_buy").val(inst_bln);
				}
				
				$(pageId+" #yqg_buy").attr("disabled",true); //输入框只读
			}
		});
    	//翼钱罐帮助页面
		appUtils.bindEvent($(pageId+" .icon_question"),function(){
			var param={
				"pageCode":pageCode,
				"inst_avl":inst_avl
			};
			appUtils.pageInit(pageCode,"avicBao/avicHelp",param);
		});
		//普通取出
		appUtils.bindEvent($(pageId+" #common_removal"),function(){
			var stateA=$(pageId+" #checkOn").attr("date-state");
			if(stateA == "true"){
				$(pageId+" #yqg_buy").val(inst_avl);
			}
			flag="1";
			$(pageId+" .special_tips").hide();
			$(pageId+" #fast_out").removeClass("active");
			$(pageId+" #common_removal").addClass("active");
			if(inst_avl!=""){
				$(pageId+" #yqg_ky").html("可取金额<span> "+inst_avl+"元</span>");
			}else{
				$(pageId+" #yqg_ky").html("可取金额<span> 0.00元</span>");
			}
		//	$(pageId+" #yqg_ky").html("可取金额<span> "+inst_avl+"元</span>");
			$(pageId+" .out_tips").html("当日可用,T+1日可取出，当日有收益");
			$(pageId+" #quick").hide();
		});
		//快速去除
		appUtils.bindEvent($(pageId+" #fast_out"),function(){
			var stateA=$(pageId+" #checkOn").attr("date-state");
			if(stateA == "true"){
				$(pageId+" #yqg_buy").val(inst_bln);
			}
			flag="2";
			$(pageId+" #common_removal").removeClass("active");
			$(pageId+" #fast_out").addClass("active");
//			if(inst_bln!=""){
//				$(pageId+" #yqg_ky").html("可取金额<span> "+inst_bln+"元</span>");
//			}else{
//				$(pageId+" #yqg_ky").html("可取金额<span> 0.00元</span>");
//			}
			if(inst_bln!=""){
				$(pageId+" #yqg_ky").html("可取金额<span>  "+inst_bln+"元</span>");
			}else{
				$(pageId+" #yqg_ky").html("可取金额<span>  0.00元</span>");
			}
		//	$(pageId+" #yqg_ky").html("可取金额<span> "+inst_bln+"元</span>");
			//$(pageId+" .out_tips").html("当日可用可转，当日无收益,每日限取20万");
			$(pageId+" .out_tips").html("当日可用可转，当日无收益,每日限取1万");
			$(pageId+" .special_tips").show();
			$(pageId+" #quick").show();
			//协议查看
			appUtils.bindEvent($(pageId+" .special_tips"),function(e){
				var agreement_url = $(this).attr("agreement_url");
				var agreement_title =$(this).attr("agreement_title");
				// 判断是否APP
				if(platform == "0"){
					 window.location.href=URL+agreement_url;
				}else{
					viewProtocol(agreement_url,agreement_title);
				}
				 event.preventDefault();
			});
		});
		 $('#tradePwd').blur(function () 
		            { 
		            $(pageId+" #tradePwd").focus();
		});
		//取出确定
		appUtils.bindEvent($(pageId+" #avic_determine"),function(){
			/*var trd_qty="";*///取出金额
			if(isRemember=="true"){//全部存入
				if(flag=="1"){
					trd_qty=inst_avl;
				}else{
					trd_qty=inst_bln;
				}
				
				if(trd_qty==0){
					/*layerUtils.iMsg(-1,"购买金额必须大于0元");*/
					layerUtils.iMsg(-1,"取出金额必须大于0元");
					return false;
				}
			}else{
			trd_qty=$(pageId+" #yqg_buy").val();//取出金额
			if(trd_qty==""||trd_qty==null){
				/*layerUtils.iMsg(-1,"购买金额不能为空");*/
				layerUtils.iMsg(-1,"取出金额不能为空");
				return false;
			}
			if(trd_qty==0){
				/*layerUtils.iMsg(-1,"购买金额必须大于0元");*/
				layerUtils.iMsg(-1,"取出金额必须大于0元");
				return false;
			}
			if(flag=="1"){
				if(parseFloat(trd_qty)>parseFloat(inst_avl)){
					/*layerUtils.iMsg(-1,"购买金额不能大于可用金额");*/
					layerUtils.iMsg(-1,"取出金额不能大于可取金额");
					return false;
				}
			}else{
				if(parseFloat(trd_qty)>parseFloat(inst_bln)){
					/*layerUtils.iMsg(-1,"购买金额不能大于可用金额");*/
					layerUtils.iMsg(-1,"取出金额不能大于可取金额");
					return false;
				}
			}
			
			
			}
			/*var client_no=appUtils.getSStorageInfo("khh");*///客户号
			var trade_pwd="";//密码
			var loginType = appUtils.getSStorageInfo("loginType");//判断是手机号还是保证金号
			if(loginType=="0"){//手机号
				 trade_pwd=$(pageId+" #yqg_zjmm").val();//手机收入的密码
				 if(trade_pwd==""||trade_pwd==null){
						layerUtils.iMsg(-1,"密码不能为空");
						return false;
				}
				 if(trade_pwd.length!="6"){
					 layerUtils.iMsg(-1,"请输入6位密码！");
						return false;
				 }
			}else{
				/* trade_pwd=appUtils.getSStorageInfo("trade_pwd");*///保证金密码
				$(pageId+".fake-box input").val("");
				$(pageId+" #tradePwd").val("");
				$(pageId+".yuan").hide();//资讯的不显示价钱
				$(pageId+" #payment_drop").show();
				$(pageId+" #payment_card").show();
				$(pageId+" #tradePwd").focus();
			}
		});
		//确定支付
		var $input = $(pageId+" .fake-box input");
		$(pageId+" #tradePwd").on("input", function() {  
			 var pwd = $(pageId+" #tradePwd").val().trim();//输入的密码  
            for (var i = 0, len = pwd.length; i < len; i++) {  
                $input.eq("" + i + "").val(pwd[i]);  
            }  
            $input.each(function() {  
                var index = $(this).index();  
                if (index >= len) {  
                    $(this).val("");  
                };  
            });  
            if (len == 6) { 
            	$(pageId+".fake-box input").val("");
    			$(pageId+" #payment_drop").hide();
    			$(pageId+" #payment_card").hide();
                //执行其他操作  
            	var confirmPay= $(pageId+" #tradePwd").val();//输入的密码
    			if(confirmPay==""||typeof(confirmPay)=="undefined"){
    				layerUtils.iMsg(-1,"请输入交易密码");
    		 		return false;
    			}
    			var client_no=appUtils.getSStorageInfo("khh");//客户号
    			//密码加密
    			service.getRSAKey({},function(dataresult){
    				$(pageId+" #payment_drop").show();
    				$(pageId+" #alert_loding").show();
    				if(dataresult.error_no=="0"){
    					var modulus = dataresult.results[0].modulus;
    					var publicExponent =dataresult.results[0].publicExponent;
    					var endecryptUtils = require("endecryptUtils");
    					var trade_pass = endecryptUtils.rsaEncrypt(modulus,publicExponent,pwd);
    					var param={
    						"client_no":client_no,
    						"trd_qty":trd_qty,
    						"trade_pwd":trade_pass,
    						"flag":flag
    					};
    					//取出
    					service.findAvicTakeout(param,function(result){
    						if(result.error_no=="0"){
    							//判断交易时间
    							service.findTradeDate({},function(data){
    								if(data.error_no=="0"){
    									var now_time=data.results[0].now_time;//现在的时间
    									var next_trade_date = data.results[0].next_trade_date;//下一个交易日
    									var is_trade = data.results[0].is_trade;//是否是交易日
    									var is_trade_date = data.results[0].is_trade_date;//是否是交易时间
    									var param={
    										"now_time":now_time,
    										"next_trade_date":next_trade_date,
    										"trd_qty":trd_qty,
    										"flag":flag
    									};
    									if(is_trade=='1'&&is_trade_date=='1'){//在交易时间并在交易日
    										appUtils.pageInit(pageCode,"avicBao/avicTakeoutDetails",param);
    									}else{
    										appUtils.pageInit(pageCode,"avicBao/avicNonTakeoutDetails",param);
    									}
    								}else {
    									var param2={
    											"counTer":data.error_info
    										};
    									common.popupMethod(param2);
    									$(pageId+" #payment_drop").hide();
    									$(pageId+" #alert_loding").hide();
    								}
    							});
    						}else {
    							if(fundUtils.AvicError_no(result.error_no)){
    								//layerUtils.iMsg(-1,"公测期间，非交易时间段暂不开放委托");
    								var param2={
    										"counTer":"非交易时间段暂不开放"
    									};
    								common.popupMethod(param2);
    								$(pageId+" #payment_drop").hide();
    								$(pageId+" #alert_loding").hide();
    							}else{
    								var param2={
    										"counTer":result.error_info
    									};
    								common.popupMethod(param2);
    								$(pageId+" #payment_drop").hide();
    								$(pageId+" #alert_loding").hide();
    							}
    						}
    					});
    				}else{
    					var param2={
    							"counTer":dataresult.error_info
    						};
    					common.popupMethod(param2);
    					$(pageId+" #payment_drop").hide();
    					$(pageId+" #alert_loding").hide();
    				}
    			});
            }  
        }); 
		
		//关闭密码框
		appUtils.bindEvent($(pageId+" .close"),function(){
			$(pageId+" .fake-box input").val("");
			$(pageId+" #payment_drop").hide();
			$(pageId+" #payment_card").hide();
			$(pageId+" #tradePwd").val("");
		});
	}
	//销毁
	function destroy(){
		 flag="";
		 $(pageId+" #yqg_buy").attr("value","");//金额清除
		 $(pageId+" #avic_tpye").hide();//密码框隐藏
		 $(pageId+" #yqg_zjmm").attr("value","");//密码清除
		 $(pageId+" #yqg_buy").removeAttr("disabled"); //去除只读
		 $(pageId+" #payment_drop").hide();
		 $(pageId+" #alert_loding").hide();
		 $('#tradePwd').blur(function () 
		            { 
		            
		            });
		 $(pageId).focus();
	}
	var avicTakeout = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = avicTakeout;
	
});