/**
 * 翼钱罐中交易时间取出详情
 */
define('mall/scripts/avicBao/avicTakeoutDetails.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var pageId = "#avicBao_avicTakeoutDetails ";
	var pageCode = "avicBao/avicTakeoutDetails";
	var gconfig = require("gconfig");
	var external = require("external");
	var global = gconfig.global;
	var common = require("common");
	var URL=global.url;
	//初始化
	function init(){
		common.initTitle(pageId);
		
		 var now_time=appUtils.getPageParam("now_time");//当前的时间
		 var flag=appUtils.getPageParam("flag");//判断是普通取出还是快速去除
		 //var next_trade_date=appUtils.getPageParam("next_trade_date");//下一个交易日
		 if(flag=="1"){
			 $(pageId+" .title").html("结果详情");
			 $(pageId+" #takeout_yuju").html("资金转出申请成功，等待系统处理");
		 }else{
			 $(pageId+" .title").html("结果详情");
			 $(pageId+" #takeout_yuju").html("资金已转出，可通过银证转账转出");
		 }
		 var t=new Date(now_time.replace(/-/g,"/"));
		 var now=new Date((t/1000+300)*1000);//获得
		 var time= jsTimeToString(now);//到账时间
		 $(pageId+" #time_deposit").html("");
		 $(pageId+" #time_next").html(time);
	}
	//将js的时间对象转换为字符串yyyy-MM-dd HH:s:smm     
	function jsTimeToString(time){     
	    var year=time.getFullYear();     
	    var month=time.getMonth()+1;     
	    var day=time.getDate();     
	    var hour=time.getHours();     
	    var minute=time.getMinutes();     
	    var second=time.getSeconds();     
	    if(month<10){     
	        month="0"+month;     
	    }     
	    if(day<10){     
	        day="0"+day;     
	    }     
	    if(hour<10){     
	        hour="0"+hour;     
	    }     
	    if(minute<10){     
	        minute="0"+minute;     
	    }     
	    if(second<10){     
	        second="0"+second;     
	    }     
	    //var strTime = year+"-"+month+"-"+day+" "+hour+":"+minute+":"+second;      
		var strTime = year+"-"+month+"-"+day;    
	    return strTime;     
	}  
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			appUtils.pageInit(pageCode,"avicBao/avicTakeout");
		});
		//完成
		appUtils.bindEvent($(pageId+" .right_btn"),function(){
			appUtils.pageInit(pageCode,"avicBao/avicHomePage");
		});
	}
	//销毁
	function destroy(){
		
	}
	var avicTakeoutDetails = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = avicTakeoutDetails;
	
});