/**
 * 翼钱罐中交易时间存入
 */
define('mall/scripts/avicBao/avicTradeDetails.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var pageId = "#avicBao_avicTradeDetails ";
	var pageCode = "avicBao/avicTradeDetails";
	var gconfig = require("gconfig");
	var external = require("external");
	var global = gconfig.global;
	var constants=require("constants");//常量类
	var common = require("common");
	var URL=global.url;
	//初始化
	function init(){
		common.initTitle(pageId);
		
		 var now_time=appUtils.getPageParam("now_time");//当前的时间
		 var trd_amt=appUtils.getPageParam("trd_amt");//存入的金额
		 var time=now_time.split(" ");//获取具体的时间
		 var next_trade_date=appUtils.getPageParam("next_trade_date");//下一个交易日
		 var next_nexttrade_date=appUtils.getPageParam("next_nexttrade_date");//下两个交易日
		 var param={
			"next_trade_date":next_trade_date 
		 };
		 var week=zhuanh(param);//获得下个交易日星期几
		 //下一个交易日后一天的日期
		 var t=new Date(next_trade_date.replace(/-/g,"/"));
		 var now=new Date((t/1000+86400)*1000);//获得
         var year = now.getFullYear();
         var month =(now.getMonth() + 1).toString();
         var day = (now.getDate()).toString();
	        if (month.length == 1) {
	            month = "0" + month;
	        }
	        if (day.length == 1) {
	            day = "0" + day;
	        }
        var dateTime = year+"-" + month +"-"+  day;//交易日的后一天的字符串形式
        var param1={
       	"next_trade_date":next_nexttrade_date	 
        };
        var weeknext=zhuanh(param1);//获得下个交易日星期几
		 //$(pageId+" #time_deposit").html("今天 "+time[1]);
		 $(pageId+" #time_deposit").html("");
		 $(pageId+" #yqg_fcr").html("<em class='icon_04' ></em>成功存入"+trd_amt+"元");
		 $(pageId+" #time_next").html(next_trade_date+" "+week);
		 $(pageId+" #time_weeknext").html(next_nexttrade_date+" "+weeknext);
		 qualification();//查询是否有抽奖的资格
		// findgroup();//查询是否可以等级专区
	}
	//日期转换成星期
	function zhuanh(param){
		var weekDay = ["星期天", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"];
		var myDate = new Date(Date.parse(param.next_trade_date.replace(/-/g, "/"))); 
		return (weekDay[myDate.getDay()]);
	}
	//查询是否有抽奖资格
	function qualification(){
		var khh = appUtils.getSStorageInfo("khh");//判断该客户的客户号
		var param={
			"khh":khh,
			"flag":"1"
		};
		appUtils.setSStorageInfo("flag","1");//把活动编码存到绘画中
		service.findflowjh(param,function(data){
			if(data.error_no == "0"){
				var datasult = data.results;
				if(datasult[0].type == "2"){//显示抽奖图片
					$(pageId+" #avic_flow").show();	
				}else{//隐藏抽奖图片
					$(pageId+" #avic_flow").hide();	
				}
			}
		});
	}
//	//查询是否可以登入专区
//	function findgroup(){
//		var khh = appUtils.getSStorageInfo("khh");//判断该客户的客户号
//		var param={
//			"khh":khh,
//			"flag":"2"
//		};
//		service.findflowjh(param,function(data){
//			if(data.error_no == "0"){
//				var datasult = data.results;
//				if(datasult[0].type == "2"){//显示抽奖图片
//					$(pageId+" #notice_group").show();	
//				}else{//隐藏抽奖图片
//					$(pageId+" #notice_group").hide();	
//				}
//			}
//		});
//	}
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			appUtils.pageInit(pageCode,"avicBao/avicDeposit");
		});
		//完成
		appUtils.bindEvent($(pageId+" #right_btn"),function(){
			appUtils.pageInit(pageCode,"avicBao/avicHomePage");
		});
		//点击领取流量
		appUtils.bindEvent($(pageId+" #avic_flow"),function(){
			var param={
				"pageCode":pageCode,
				"flag":appUtils.getSStorageInfo("flag")
			};
			appUtils.pageInit(pageCode,"activity/activityFlow",param);
		},"click");
	}
	//销毁
	function destroy(){
		
	}
	var avicTradeDetails = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = avicTradeDetails;
	
});