/**
 * 翼钱罐中我的历史收益
 */
define('mall/scripts/avicBao/myHistorical.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var pageId = "#avicBao_myHistorical ";
	var pageCode = "avicBao/myHistorical";
	var gconfig = require("gconfig");
	var external = require("external");
	var global = gconfig.global;
	var common = require("common");
	var URL=global.url;
	var	curPageNo = ""; // 当前页序号
	var dropload=require("dropload"); // 滚动组件
	var me="";
	//初始化
	function init(){
		common.initTitle(pageId);
		
		curPageNo=1;
		findHistorical();//查询历史收益
	}
	//查询我的历史交易
	function findHistorical(){
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" #yqg_trade").html("");
		//初始化滑动组件
		var dropload = $(pageId +".khfxWarp").dropload({
	        scrollArea: $(pageId +".khfxWarp"),
	        loadDownFn: function (me) {
	        	setTimeout(function(){
	        	//调用方法
	        		var client_no=appUtils.getSStorageInfo("khh");
	        		var param = {
	        				"client_no": client_no,
	        				"page": curPageNo,
	        				"numPerPage": "10"
	        			};
	        		service.findmyHistorical(param,function(data){
	        			if(data.error_no==0){
	        			var results = data.results[0].data;//出参结果
	        			if(curPageNo == 1){//处理没有数据的情况
	        				if(results.length==0){
	        					$(pageId+" #yqg_zsy").hide();
	        					$(pageId+" #yqg_trade").hide();
        						$(pageId+" .no_data_box").show();
	        					$(pageId+" .dropload-down").hide();
	        				}else{
	        					var ttl_acct_income=(results[0].ttl_acct_income);//累计收益
        						$(pageId+" #yqg_zsy").html("我的翼钱罐累计收益：<span>"+ttl_acct_income+"元</span>");
        						$(pageId+" .no_data_box").hide();
	        					$(pageId + " #yqg_trade").show();
	        					$(pageId+" .dropload-down").show();
	        				}
	        			}else{
    						if(results.length==0){
    							me.lock();
    				            // 显示无数据
    				            me.noData();
    				            me.loading = false;
    				            me.resetload();//加载数据
    						}
    					}
	        			curPageNo++;
	        				for(var i = 0;i < results.length;i++){
	    						var income_date=results[i].income_date;//收益日期
	    						var income=results[i].income;//收益
	    						str="<div class='transaction_inner'><h5>收益</h5>" +
	    							"<p>"+income_date+"</p><strong class='redcol'>+"+income+"</strong></div>";
	    						$(pageId+" #yqg_trade").append(str);
	    					}
	    					if(results.length<10){
	    			            // 再往下已经没有数据
	    			            // 锁定
	    			            me.lock();
	    			            // 显示无数据
	    			            me.noData();
	    			            me.loading = false;
	    			        }
	    					me.resetload();//加载数据
	        			}else{
	        				layerUtils.iMsg(-1,data.error_info);
	        			}
	        	},{"isShowWait":false});		
	    		},200);
	        }
	    });
	}
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			appUtils.pageInit(pageCode,"avicBao/avicHomePage");
		});
	}
	//销毁
	function destroy(){
		$(pageId+" #yqg_trade").html("");
		$(pageId+" #yqg_zsy").show();
		$(pageId+" .no_data_box").hide();
		$(pageId+" #yqg_zsy").html("我的翼钱罐累计收益：<span>元</span>");
		$(pageId+" .dropload-down").remove();//先删除样式
	}
	var myHistorical = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = myHistorical;
	
});