/**
 * 翼钱罐中我的交易流水
 */
define('mall/scripts/avicBao/myTrade.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var fundUtils = require("mall/scripts/common/fundUtils");//数字字典
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var pageId = "#avicBao_myTrade ";
	var pageCode = "avicBao/myTrade";
	var gconfig = require("gconfig");
	var external = require("external");
	var global = gconfig.global;
	var common = require("common");
	var URL=global.url;
	var	curPageNo = ""; // 当前页序号
	var dropload=require("dropload"); // 滚动组件
	var me="";
	//初始化
	function init(){
		common.initTitle(pageId);
		
		curPageNo=1;
		findMyTrade();//查询我的交易流水
	}
	//查询我的交易
	function findMyTrade(){
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" #yqg_trade").html("");
		//初始化滑动组件
		var dropload = $(pageId +".khfxWarp").dropload({
	        scrollArea: $(pageId +".khfxWarp"),
	        loadDownFn: function (me) {
	        	setTimeout(function(){
	        		//调用方法
	        		var client_no=appUtils.getSStorageInfo("khh");
	        		//判断建议时间
	        		service.findTradeDate({},function(data){
	        			if(data.error_no=="0"){
	        				var next_trade_date = data.results[0].next_trade_date;//下一个交易日
	        				var param = {
	        						"client_no": client_no,
	        						"page": curPageNo,
	        						"numPerPage": "10",
	        						"end_date":next_trade_date
	        					};
	        				service.queryMyTrade(param,function(data){
	        					if(data.error_no == "0"){
	        						var results = data.results[0].data;//出参结果
	        						if(curPageNo == 1){//处理没有数据的情况
	        							if(results.length==0){
	        								$(pageId + " #yqg_trade").hide();
	        								$(pageId+" .dropload-down").hide();
	        								$(pageId+" .no_data_box").show();
	        							}else{
	        								$(pageId + " #yqg_trade").show();
	        								$(pageId+" .dropload-down").show();
	        								$(pageId+" .no_data_box").hide();
	        							}
	        						}else{
		        						if(results.length==0){
		        							me.lock();
		        				            // 显示无数据
		        				            me.noData();
		        				            me.loading = false;
		        				            me.resetload();//加载数据
		        						}
		        					}
	        						curPageNo++;
        							var str="";
        							for(var i = 0;i < results.length;i++){
        								var app_timestamp = results[i].app_timestamp;//交易日期
        								var trd_id = results[i].trd_id;//交易类别
        								var ord_stat = results[i].ord_stat;//订单状态
        								var trd_qty = results[i].trd_qty;//赎回金额
        								var ord_amt = results[i].ord_amt;//存入金额
        								var trd_id1=fundUtils.AvicTpye(trd_id);
        								var ord_stat1= fundUtils.AvicOrder(ord_stat);
        							    if(trd_id=="111"){//存入
        								    str+="<div class='transaction_inner'><h5>"+trd_id1+"-"+ord_stat1+"</h5><p>"+app_timestamp+"</p>" +
        								    	 "<strong class='redcol'>+"+ord_amt+"</strong></div>";	
        							    }else if(trd_id=="112"){//普通取出
        							    	str+="<div class='transaction_inner'><h5>"+trd_id1+"-"+ord_stat1+"</h5><p>"+app_timestamp+"</p>" +
        							    		 "<strong class='greencol'>-"+trd_qty+"</strong></div>";
        							    }else if(trd_id=="113"){//快速取出
        							    	str+="<div class='transaction_inner'><h5>"+trd_id1+"-"+ord_stat1+"</h5><p>"+app_timestamp+"</p>" +
        							    			"<strong class='greencol'>-"+trd_qty+"</strong></div>";
        							    }else{//存入-待确认
        							    	str+="<div class='transaction_inner'><h5>"+trd_id1+"-"+ord_stat1+"</h5><p>"+app_timestamp+"</p>" +
        							    		"<strong class='redcol'>+"+ord_amt+"</strong></div>";
        							    }
        							};
        							$(pageId+" #yqg_trade").append(str);
        							if(results.length<10){
        					            // 再往下已经没有数据
        					            // 锁定
        					            me.lock();
        					            // 显示无数据
        					            me.noData();
        					            me.loading = false;
        					        }
        							me.resetload();//加载数据
	        					}else{
	        						layerUtils.iMsg(-1,data.error_info);
	        					}
	        				},{"isShowWait":false});
	        			}else {
	        				layerUtils.iMsg(-1,data.error_info);
	        			}
	        		},{"isShowWait":false});
	    		},200);
	        }
	    });
	}
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			appUtils.pageInit(pageCode,"avicBao/avicHomePage");
		});
		//点击购买翼钱罐
		appUtils.bindEvent($(pageId+" .inner"),function(){
			appUtils.pageInit(pageCode,"avicBao/avicHomePage");
		});
	}
	//销毁
	function destroy(){
		$(pageId+" #yqg_trade").html("");
		$(pageId+" .no_data_box").hide();
		$(pageId+" .dropload-down").remove();//先删除样式
	}
	var myTrade = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = myTrade;
	
});