define('mall/scripts/common/common.js',function(require, exports, module){ 
	var appUtils = require("appUtils"),
	    layerUtils = require("layerUtils"),
	    global=require("gconfig").global;
	var platform=require("gconfig").platform;
	var URL=global.url;
	var external = require("external");
	//require("service");
	var gconfig = require("gconfig");
	var pageId = "#account_index ";
	require("highcharts");
	var service = require("mobileService");
	
	function firstloadFunc(){
		//require("service");
		$("#loading").fadeOut();
		require("external");
	}
	function backLogin(successPage){
	    appUtils.setSStorageInfo("_successPage",JSON.stringify(successPage));
		bealoonNumber();// 判断激活状态
	}
	// 登录超时,未登录处理函数
	function filterLoginOut(){
		var _curPageCode = appUtils.getSStorageInfo("_curPageCode");// 当前页
		appUtils.clearSStorage();
		appUtils.pageInit(_curPageCode,"login/login",{});
	}
	// 过滤HTML元素
	function removeHTMLTag(ques_comment) {
		if (ques_comment) {
			ques_comment = ques_comment.replace(/<\/?[^>]*>/g, ''); // 去除HTML
			ques_comment = ques_comment.replace(/[ | ]*\n/g, '\n'); // 去除行尾空白
			ques_comment = ques_comment.replace(/\n[\s| | ]*\r/g, '\n'); // 去除多余空行
			ques_comment = ques_comment.replace(/&nbsp;/ig, '');// 去掉&nbsp;
		}
		return ques_comment;
	}
	function strToJson(str){ 
		var json = eval('(' + str + ')'); 
		return json; 
	} 
	/*
	 * 查看壳子里面是否保存有 手机号|硬件号码
	 */
	function bealoonNumber(){
		var param = {
			"action": "getUDID",
			"key": "phoneNum"
		};
	}
	/*
	 * 入参硬件信息，和手机号，获得是否激活的状态，
	 */
	function moblieInfo(phone, hardsn){
		var param = {
			"phone":phone,
			"hardsn":hardsn
		};
		service.queryBindMobile(param,function(data){
			var errorNo = data.error_no;
			var errorInfo = data.error_info;
			var curPageCode=appUtils.getSStorageInfo("_curPageCode").replaceAll("_","/");
			if(errorNo!=="0"){
				common.imsg(errorInfo);
			}else{
				var result = data.results;
				var item = result[0];
				if(item.flag==="0"){// （0：否，1：是）
					appUtils.pageInit(curPageCode,"account/userActive",{});
				}else if(item.flag==="1"){
					appUtils.pageInit(curPageCode,"bussiness/login",{});
				}
			}
		},{});
	}
	// 金额 用逗号 隔开,可以控制小数位数，自动四舍五入
	// 排除数字、.-之外字符，保留给定小数位，默认两位
	// s -金额 n -保留小数位数
	function fmoney(s, p){ 
	   var n =(typeof (p)=='number') && p > 0 && p <= 20 ? p : 2;   
	   s = parseFloat((s + "").replace(/[^\d\.-]/g, "")).toFixed(n) + "";   
	   var l = s.split(".")[0].split("").reverse(),   
	   r = s.split(".")[1],   
	   t = "";   
	   for(var i = 0; i < l.length; i ++ ){   
	      t += l[i] + ((i + 1) % 3 == 0 && (i + 1) != l.length ? "," : "");   
	   }   
	   return t.split("").reverse().join("") + "." + r;   
  } 
	// 金额，还原函数
	function rmoney(s){   
	   return parseFloat(s.replace(/[^\d\.-]/g, ""));   
	} 
	// 内容格式化
	function formatContent(s){   
	   return (s.replace(/(\r)*\n/g,"<br/>").replace(/\s/g,"&nbsp;&nbsp;&nbsp;&nbsp;"));   
	} 
	 // 保留小数点后的两位
	function keepTwoNumber(n){
		if (/^(0|[1-9]\d*)(\.\d+)?$/.test(n)) {
			var slength = 0,
			 p = n.indexOf('.');
			if (p >= 0) {
				var s_ = n.split("."),
				   slength_ = s_[1].length;
				if(slength_>2){
					slength = 2;
				}else{
					slength = slength_;
				}
				n = n.substring(0, p+slength+1);
			}
		}
		return n;
	}
	function initFootbutton(_pageId,pageCode){
		// 登陆
		appUtils.bindEvent($(_pageId + " .left_text"), function() {
			appUtils.pageInit(pageCode, "account/userLogin");
		});
		// 搜索
		appUtils.bindEvent($(_pageId + " .icon_search"), function() {
		});
		// 主页
		appUtils.bindEvent($(_pageId + " #index"), function(event) {
			 event.stopPropagation();
			appUtils.pageInit(pageCode, "account/index");
		});
		// 翼启投
		appUtils.bindEvent($(_pageId + " #yqt"), function(event) {
			 event.stopPropagation();
			appUtils.pageInit(pageCode, "account/ytg/yqt");
		});
		// 理财
		appUtils.bindEvent($(_pageId + " #lc"), function(event) {
			 event.stopPropagation();
			appUtils.pageInit(pageCode, "mall/moneyShop");
		});
		// 生活
		appUtils.bindEvent($(_pageId + " #sh"), function(event) {
			 event.stopPropagation();
			appUtils.pageInit(pageCode, "life/lifeIndex");
		});
		// 我的
		appUtils.bindEvent($(_pageId + " #wd"), function(event) {
			appUtils.setSStorageInfo("_loginInPageCode","userCenter/wd");// 保存要跳转的页面
			 event.stopPropagation();
			appUtils.pageInit(pageCode, "userCenter/wd");
		});
		// 设置
		appUtils.bindEvent($(_pageId + " .icon_set"), function() {
			// appUtils.setSStorageInfo("_loginInPageCode","userCenter/wd");//保存要跳转的页面
			var param = {
				"pageCode" : pageCode
			};
			appUtils.pageInit(pageCode, "userCenter/wdsz",param);
		});
	};
	// 判断是否为最新版本
	function isNewVin(){
		if(platform=="0"){
			var param2={
					"counTer":"该功能不能无法在微信和浏览器下使用，请下载翼启航APP体验!"
				};
			popupMethod(param2);
		}else{
			// 进入IM模块
			if(platform=="1") {
				var oVersion = external.callMessage({funcNo: "50010"});
				oVersion = gconfig.platform == 0 ? {} :oVersion ;
				oVersion = oVersion.results ? oVersion.results[0] : {versionSn: global.version_name};
				if(oVersion.versionSn>55) {
					this.moduleJump();
					var islogin = appUtils.getSStorageInfo("_isLoginIn");
					
					if(!islogin){
						appUtils.pageInit("account/index","account/userLogin");
						return;
					}
					// 进入IM模块
					var paramO = {
							"funcNo":"50101",
							"moduleName":"im",
							"params" : {"iphone":appUtils.getSStorageInfo("user_id"),"pwd":appUtils.getSStorageInfo("trade_pwd"),"name":appUtils.getSStorageInfo("user_name"),"phoneno":appUtils.getSStorageInfo("mobile_phone")}
					};
					external.callMessage(paramO);
				}else {
					 $("body"+" #Adver_id").show();
					 $("body"+" #Adver_tips").show();
					 $("body"+" #btn_cancel2").hide();
					 $("body"+" #notice_title").html("亲，消息模块已优化，请升级到app最新版本");
					 $("body"+" #notice_conet").hide();
					 $("body"+" #btn_box2").hide();
					 $("body"+" #btns_box2").show();
					 $("body"+" #Adver_qued").html("立即升级");
					 appUtils.bindEvent($("body"+" #Adver_quex"),function(){
						 $("body"+" #Adver_id").hide();
						 $("body"+" #Adver_tips").hide();
					});
					 appUtils.bindEvent($("body"+" #Adver_qued"),function(){
							var invokeParam = {
									moduleName: "common", // String 目标模块名 N
									source: "mall", // String 源模块 Y
									funcNo: "50109", // String 功能号 Y
									url: "https://mall.avicsec.com/download.html"
							};
							external.callMessage(invokeParam);
					});
				}
			}else {
				var oVersion = external.callMessage({funcNo: "50010"});
				oVersion = gconfig.platform == 0 ? {} :oVersion ;
				oVersion = oVersion.results ? oVersion.results[0] : {versionSn: global.version_name};
					var islogin = appUtils.getSStorageInfo("_isLoginIn");		
					if(!islogin){
						appUtils.pageInit("account/index","account/userLogin");
						return;
					}
					this.moduleJump();
					// 进入IM模块
					var paramO = {
							"funcNo":"50101",
							"moduleName":"im",
							"params" : {"iphone":appUtils.getSStorageInfo("user_id"),"pwd":appUtils.getSStorageInfo("trade_pwd"),"name":appUtils.getSStorageInfo("user_name"),"phoneno":appUtils.getSStorageInfo("mobile_phone")}
					};
					external.callMessage(paramO);
					return n;
			}
		}
	}
			function initFootbutton(_pageId, pageCode) {
				// 登陆
				appUtils.bindEvent($(_pageId + " .left_text"), function() {
					appUtils.pageInit(pageCode, "account/userLogin");
				}, "click");
				// 搜索
				appUtils.bindEvent($(_pageId + " .icon_search"), function() {
				});
				// 主页
				appUtils.bindEvent($(_pageId + " #index"), function(event) {
					event.stopPropagation();
					appUtils.pageInit(pageCode, "account/index");
				}, "click");
				// 翼启投
				appUtils.bindEvent($(_pageId + " #yqt"), function(event) {
					event.stopPropagation();
					appUtils.pageInit(pageCode, "account/ytg/yqt");
				}, "click");
				// 理财
				appUtils.bindEvent($(_pageId + " #lc"), function(event) {
					event.stopPropagation();
					appUtils.pageInit(pageCode, "mall/moneyShop");
				}, "click");
				// 生活
				appUtils.bindEvent($(_pageId + " #sh"), function(event) {
					event.stopPropagation();
					appUtils.pageInit(pageCode, "life/lifeIndex");
				}, "click");
				// 我的
				appUtils.bindEvent($(_pageId + " #wd"), function(event) {
					appUtils.setSStorageInfo("_loginInPageCode",
							"userCenter/wd");// 保存要跳转的页面
					event.stopPropagation();
					appUtils.pageInit(pageCode, "userCenter/wd");
				}, "click");
				// 设置
				appUtils.bindEvent($(_pageId + " .icon_set"), function() {
					var param = {
						"pageCode" : pageCode
					};
					appUtils.pageInit(pageCode, "userCenter/wdsz", param);
				}, "click");
			}
			;
			/*
			 * 查询IM未读消息
			 * 
			 */
			function queryImMessageNum(_pageId) {
				var islogin = appUtils.getSStorageInfo("_isLoginIn");
				if (!islogin) {
					return;
				}
				var param = {
					"username" : appUtils.getSStorageInfo("user_id")
				};
				service.queryImMessageNum(param, function(data) {
					var error_no = data.error_no;
					var error_info = data.error_info;
					$(_pageId + " .icon_xx").html("");
					if (error_no == 0) {
						var number = data.results[0].number;
						if (number > 0) {
							$(_pageId + " .icon_xx").html("<em>" + number + "</em>");
						} else {
							$(_pageId + " .icon_xx").html("");
						}
					} else {
						imsg(error_info);
						$(_pageId + " .icon_xx").html("");
					}

				});
			}
			function setMainHeight(_pageId) {
				var winHeight = $(window).height(), headerHeight = $("#header")
						.height(), footerHeight = $("#footer").height();
				$(_pageId + " .main").css("height",
						(winHeight - headerHeight - footerHeight) + "px").css(
						"overflow", "auto");
			}
			function isLogin() {
				var islogin = appUtils.getSStorageInfo("_isLoginIn");
				if (!islogin) {
					appUtils.pageInit("account/index", "account/userLogin");
					return;
				}
			}
			// 只保留新界面样式
			function loadNewCss() {
			}
			// 只保留理财旧样式
			function loadOldCss() {
			}
			// 只保留积分商城老样式
			function loadJfscoldCss() {
			}
			// 只保留云投顾旧样式
			function loadytgcoldCss() {
			}
			function clearNewCss() {
			}
			function clearCommonCss() {
			}
			function loadCommonCss() {
			}
			function clearoldCss() {
			}
			function loadoldCss() {
			}
			// 我的资料格式
			function loadytgstyleCss() {
			}
			function removejscssfile(filename, filetype) {
				var targetelement = (filetype == "js") ? "script": (filetype == "css") ? "link" : "none";
				var targetattr = (filetype == "js") ? "src": (filetype == "css") ? "href" : "none";
				var allsuspects = document.getElementsByTagName(targetelement);
				for ( var i = allsuspects.length; i >= 0; i--) {
					if (allsuspects[i]&& allsuspects[i].getAttribute(targetattr) != null
							&& allsuspects[i].getAttribute(targetattr).indexOf(filename) != -1)
						allsuspects[i].parentNode.removeChild(allsuspects[i]);
				}
			}
			function loadjscssfile(filename, filetype) {
				if (filetype == "js") {
					var fileref = document.createElement('script');
					fileref.setAttribute("type", "text/javascript");
					fileref.setAttribute("src", filename);
				} else if (filetype == "css") {
					var fileref = document.createElement("link");
					fileref.setAttribute("rel", "stylesheet");
					fileref.setAttribute("type", "text/css");
					fileref.setAttribute("href", filename);
				}
				if (typeof fileref != "undefined")
					document.getElementsByTagName("head")[0]
							.appendChild(fileref)
			}
			/**
			 * 查询手机号码的状态
			 * 
			 * @param mobile_phone
			 *            手机号码
			 */
			function queryMobilePhone(mobile_phone, backCall) {
				var param = {
					"mobile_phone" : mobile_phone
				};
				service.queryMobilePhoneState(param, function(data) {
					if (data.error_no != "0") {
						common.imsg(data.error_info);
						layerUtils.iLoading(false);
						return false;
					} else {
						if (backCall) {
							backCall(data);
						}
					}
				});
			}
			/**
			 * 根据银行代码，返回银行名字,图标信息
			 * 
			 * @param {Object}
			 *            bank_no
			 */
			function getBankInfo(bank_no) {
				var bankKey = "bank_no_" + bank_no;
				var bankInfo = {
					bank_no_4 : {
						bank_name : "农业银行",
						bank_icon_s : "nyyh.png",
						bank_icon_b : "icon1.png"
					},
					bank_no_5 : {
						bank_name : "招商银行",
						bank_icon_s : "zsyh.png",
						bank_icon_b : "zs.png"
					},
					bank_no_6 : {
						bank_name : "中国银行",
						bank_icon_s : "zgyh.png",
						bank_icon_b : "NUHUFRrHx.png"
					},
					bank_no_9 : {
						bank_name : "兴业银行",
						bank_icon_s : "xyyh.png",
						bank_icon_b : "icon7.png"
					},
					bank_no_b : {
						bank_name : "华夏银行",
						bank_icon_s : "hxyh.png",
						bank_icon_b : "huaxia.png"
					},
					bank_no_c : {
						bank_name : "光大银行",
						bank_icon_s : "gdyh.png",
						bank_icon_b : "guangda.jpg"
					},
					bank_no_d : {
						bank_name : "中信银行",
						bank_icon_s : "zxyh.png",
						bank_icon_b : "icon8.png"
					},
					bank_no_h : {
						bank_name : "浦发银行",
						bank_icon_s : "pfyh.png",
						bank_icon_b : "icon5.png"
					},
					bank_no_7 : {
						bank_name : "建设银行",
						bank_icon_s : "72jsyh.png",
						bank_icon_b : "jsyh.png"
					},
					bank_no_f : {
						bank_name : "广发银行",
						bank_icon_s : "72gfyh.png",
						bank_icon_b : "gfyh.png"
					},
					bank_no_8 : {
						bank_name : "工商银行",
						bank_icon_s : "72gsyh.png",
						bank_icon_b : "gsyh.png"
					},
					bank_no_a : {
						bank_name : "交通银行",
						bank_icon_s : "72jtyh.png",
						bank_icon_b : "jtyh.png"
					},
					bank_no_e : {
						bank_name : "民生银行",
						bank_icon_s : "72msyh.png",
						bank_icon_b : "msyh.png"
					},
					bank_no_g : {
						bank_name : "深发展银行",
						bank_icon_s : "72payh.png",
						bank_icon_b : "payh.png"
					},
					bank_no_i : {
						bank_name : "北京银行",
						bank_icon_s : "72BJYH.png",
						bank_icon_b : "BJYH.png"
					},
					bank_no_q : {
						bank_name : "上海银行",
						bank_icon_s : "72SHYH.png",
						bank_icon_b : "SHYH.png"
					}
				};
				return bankInfo[bankKey];
			}
			/**
			 * 根据银行代码，返回银行名字
			 * 
			 * @param {Object}
			 *            bank_no
			 */
			function getBankName(bank_no) {

				var bank_name = "";
				switch (bank_no) {
				case "ZSYH":
					bank_name = "招商银行";
					break;
				case "NYYH":
					bank_name = "农业银行";
					break;
				case "XYYH":
					bank_name = "兴业银行";
					break;
				case "XYJT":
					bank_name = "信用工商";
					break;
				case "JSYH":
					bank_name = "建设银行";
					break;
				case "JTYH":
					bank_name = "交通银行";
					break;
				case "PFYH":
					bank_name = "浦发银行";
					break;
				case "XYGS":
					bank_name = "信用交行";
					break;
				case "XYZS":
					bank_name = "信用招行";
					break;
				case "XYZG":
					bank_name = "信用中行";
					break;
				case "XYPF":
					bank_name = "信用浦发";
					break;
				case "XYJH":
					bank_name = "信用建行";
					break;
				case "ZGYH":
					bank_name = "中国银行";
					break;
				case "MSYH":
					bank_name = "民生银行";
					break;
				case "GDYH":
					bank_name = "光大银行";
					break;
				case "GSYH":
					bank_name = "工商银行";
					break;
				case "XYNH":
					bank_name = "信用农行";
					break;
				case "SHCG":
					bank_name = "上海存管";
					break;
				case "ZXYH":
					bank_name = "中信银行";
					break;
				case "SFZH":
					bank_name = "平安银行";
					break;
				case "YCYH":
					bank_name = "邮储银行";
					break;
				case "":
					bank_name = "";
					break;
				default:
					bank_name = "无此银行";
					break;
				}
				return bank_name;
			}
			/**
			 * 根据订单状态码，返回状态描述
			 * 
			 * @param {Object}
			 *            order_state
			 */
			function getOrderStateName(order_state) {
				var stateKey = "order_state_" + order_state;
				var orderState = {
					"order_state_0" : "新建",
					"order_state_1" : "待提交",
					"order_state_2" : "提交成功",
					"order_state_3" : "失败",
					"order_state_4" : "已成交",
					"order_state_5" : "取消",
					"order_state_6" : "已撤单",
					"order_state_7" : "已退款"
				};
				return orderState[stateKey];
			}
			/**
			 * 根据订单状态码，返回状态描述
			 * 
			 * @param {Object}
			 *            order_state
			 */
			function getBusinessTypeName(business_type) {
				var stateKey = "business_type_" + business_type;
				var orderState = {
					"business_type_0" : "认购",
					"business_type_1" : "申购",
					"business_type_2" : "赎回",
					"business_type_3" : "买入",
					"business_type_4" : "卖出"
				};
				return orderState[stateKey];
			}
			/**
			 * ios 解禁系统键盘
			 */
			function systemKeybord() {
				var curPageCode = appUtils.getSStorageInfo("_curPageCode")
						.replaceAll("/", "_");
				$(function() { // 遍历
					$("#" + curPageCode + " input").each(function() {
						// if($(this).attr("custom_keybord")=="0"){
						appUtils.bindEvent($(this), function(e) {
							external.callMessage({
								"moduleName" : "common",
								"source" : "mall",
								"funcNo" : "50210",
								"pageId" : curPageCode,
								"eleId" : "",
								"doneLable" : "done",
								"keyboardType" : "3"
							});
							e.stopPropagation();
						}, "focus");
						// }
					});
				});
			}
			/*
			 * 禁止头部和底部滑动
			 */
			function stopHeadAndFooterEvent(_pageId) {
				// 禁掉头部的滑动事件
				if ($(_pageId + "header").length > 0) {
					appUtils.bindEvent($(_pageId + "header"), function(e) {
						e.preventDefault();
						e.stopPropagation();
					}, "touchmove");
				}

				// 禁掉底部的滑动事件
				if ($(_pageId + "footer").length > 0) {
					appUtils.bindEvent($(_pageId + "footer"), function(e) {
						e.preventDefault();
						e.stopPropagation();
					}, "touchmove");
				}
			}
			/**
			 * 提示框， 移动端采用toast 非移动端采用 h5框架的提示
			 */
			function imsg(msg) {
				if (gconfig.platform == 1 || gconfig.platform == 2) {
					var param = {
						funcNo : "50106",
						content : msg
					};
					external.callMessage(param);
				} else {
					layerUtils.iMsg(-1, msg);
				}
			}
			/**
			 * 处理 IOS 滚动的问题
			 * 
			 * @param $container
			 *            滚动的容器
			 * @param $content
			 *            滚动内容
			 */
			function dealIOSScrollBug($container, $content) {
				if (window.iBrowser.ios) {
					$container[0].scrollTop = 1;
					appUtils.bindEvent($container, function(e) {
						var isBottom = $container[0].scrollTop
								+ $container.height() == $content.height();
						var isTop = $container[0].scrollTop == 0;
						if (isBottom) {
							$container[0].scrollTop -= 1;
						} else if (isTop) {
							$container[0].scrollTop += 1;
						}
					}, "scroll");
				}
			}
			/**
			 * 从Storage中获取用户ID
			 * 
			 * @author wangwz
			 */
			function getUserId() {
				var userInfo = appUtils.getSStorageInfo("userInfo");
				if (userInfo) {
					var user_id = JSON.parse(userInfo).user_id;
					if (user_id) {
						return user_id;
					}
				}
				return "";
			}
			/*
			 * 判断用户是否已经登录 @param isCheckFundAccount : 是否需要校验是否绑定资金账号 @param
			 * isPageBack : 当isCheckFundAccount = true 时，点击取消按钮是否需要返回到上一个页面
			 * @param isBuy: 是否是购买页面 购买页面时直接提示其用资金账号登录
			 */
			function checkUserIsLogin(loginInPageCode, loginInPageParam) {
				// pageCode
				var login_flag = appUtils.getSStorageInfo("_isLoginIn");
				if (login_flag!="true") {
					window.location.href = "/m/mall/index.html#!/account/userLogin.html";
				}
				return true;
			}
			/**
			 * 翼投顾中个人主页跳转统一方法
			 * 
			 * @author 郭志斌
			 * @param user_id
			 *            投顾id
			 * @param pageCode
			 *            当前页面ID
			 */
			function grzyTz(user_id, pageCode) {
				var param = {
					"invest_id" : user_id,
					"prePageCode" : pageCode
				};
				appUtils.pageInit(pageCode, "account/ytg/userSpace", param);
			}
			/**
			 * 微信端调原生提示方法
			 */
			function weChat() {
				if (platform == "0") {
					var param2 = {
						"counTer" : "该功能不能无法在微信和浏览器下使用，请下载翼启航APP体验!"
					};
					popupMethod(param2);
					return false;
				} else {
					return true;
				}
			}
			function changeTitleColor() {
				if (platform == "2") {
					// 修改状态栏颜色
					var rgb = $(".header_inner").css("background-color");
					if (rgb != null && rgb != "" && rgb != "undefined") {
						rgb = rgb.match(/^rgb\((\d+),\s*(\d+),\s*(\d+)\)$/);
						function hex(x) {
							return ("0" + parseInt(x).toString(16)).slice(-2);
						}
						rgb = "#" + hex(rgb[1]) + hex(rgb[2]) + hex(rgb[3]);
						var paramO = {
							"funcNo" : "50119",
							"moduleName" : "project",
							"color" : rgb
						};
						external.callMessage(paramO);
					}
				}
				return true;
			}
			function checkPermission() {
				if (platform == "2") {
					// 修改状态栏颜色
					var rgb = $(".header_inner").css("background");
					if (rgb != null && rgb != "" && rgb != "undefined") {
						rgb = rgb.match(/^rgb\((\d+),\s*(\d+),\s*(\d+)\)$/);
						function hex(x) {
							return ("0" + parseInt(x).toString(16)).slice(-2);
						}
						rgb = "#" + hex(rgb[1]) + hex(rgb[2]) + hex(rgb[3]);
						var paramO = {
							"funcNo" : "50119",
							"moduleName" : "project",
							"color" : rgb
						};
						external.callMessage(paramO);
						var paramO = {
							"funcNo" : "50119",
							"moduleName" : "project",
							"color" : color
						};
						external.callMessage(paramO);
					}
				}
				return true;
			}
			// 用原生调用开户
			function qkh(yyb) {
				if (platform == "0") {
					common.imsg('该功能不能无法在微信和浏览器下使用，请下载翼启航APP体验!');
					return false;
				}
				var phone = appUtils.getSStorageInfo("mobile_phone");
				var param = {
					"phone" : phone,
					"yyb" : yyb
				};
				service.savephoneNo(param,function(data) {
									var error_no1 = data.error_no;
									var error_info1 = data.error_info;
									if (error_no1 == 0) {
										this.open();
									} else {
										common.imsg(error_info1);
									}
								});
			}
			/**
			 * 首页公告方法
			 */
			function findNotice() {
				service.findNotice({},function(data) {
									var error_no = data.error_no;
									if (error_no == "0") {
										var results = data.results;
										for ( var i = 0; i < results.length; i++) {
											var flag = results[i].flag;
											var notice_title = results[i].notice_title;// 标题
											var notice_conet = results[i].notice_conet;// 内容
											if (flag == "1") {// 在时间里面
												$("body" + " #Adver_tips").show();
												$("body" + " #Adver_id").show();
												$("body" + " #notice_title").show();
												$("body" + " #notice_conet").show();
												$("body" + " #notice_title").html(notice_title);
												$("body" + " #notice_conet").html(notice_conet);
											}
											appUtils.bindEvent($("body"+ " #Adver_kh"),
															function() {
																$("body"+" #Adver_tips").hide();
																$("body"+ " #Adver_id").hide();
															}, "click");
											appUtils.bindEvent($("body"+ " #btn_cancel2"),
															function() {
																$("body"+ " #Adver_tips").hide();
																$("body"+ " #Adver_id").hide();
															}, "click");
										}
									}else{
										imsg(data.error_info);
									}
								});
			}
			// 统一登入跳转
			function findLogin(param) {
				$("body" + " #login_tong").show();
				$("body" + " #login_yi").show();
				// 关闭
				appUtils.bindEvent($("body" + " #login_close"), function() {
					$("body" + " #login_tong").hide();
					$("body" + " #login_yi").hide();
				}, "click");
				// 跳转到注册
				appUtils.bindEvent($("body" + " #zhuce"), function() {
					$("body" + " #login_tong").hide();
					$("body" + " #login_yi").hide();
					appUtils.pageInit(param.pageCode, "account/testRegister");
				}, "click");
				// 登入跳转
				appUtils.bindEvent($("body" + " #login"), function() {
					$("body" + " #login_tong").hide();
					$("body" + " #login_yi").hide();
					appUtils.pageInit(param.pageCode, "account/userLogin",
							param);
				}, "click");
			}
			// 集团专区控制方法
			function controlMethod(obj, param) {
				var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆
				appUtils.setSStorageInfo("HaPaste", param.pageCode);// 判断邮箱认证后是否跳转的页面标志
				if (login_flag!="true") {// 没有登入
					var pageInParam = {
						"prePageCode" : param.pageCode,
						"backUrl" : "groupExclusive/groupLuxuryV3"
					};
					appUtils.setSStorageInfo("product_id", param.product_id);
					appUtils.setSStorageInfo("product_status",param.product_status);
					appUtils.setSStorageInfo("product_type", param.product_type);
					appUtils.setSStorageInfo("cpdj", param.cpdj);
					appUtils.setSStorageInfo("yyb", param.yyb);
					appUtils.setSStorageInfo("khbz", param.khbz);
					findLogin({
						"backparam" : pageInParam
					});
				} else {// 登入
					// 判断登入后不是白名单表中
					var loginType = appUtils.getSStorageInfo("loginType");// 获取是什么登入保证金还是手机
					var identity_num = appUtils.getSStorageInfo("identity_num");// 集团用户的身份证号
					var mobile_phone = appUtils.getSStorageInfo("mobile_phone");// 集团用户的手机号
					var khdj = "";// 客户号
					var group_type = "";// 1表示安盟专区
					if (loginType == "1") {// 保证金登入
						if (identity_num == null) {// 身份证不能为空
						} else {// 是不是集团用户
							var param2 = {
								"identity_num" : identity_num,
								"mobile_phone" : mobile_phone
							};
							service.findJtyh(param2,
											function(datajt) {
												var results = datajt.results;
												var idno = results[0].idno;
												khdj = results[0].khdj;
												khyyb = results[0].yyb;// 用户所在营业部
												group_type = results[0].group_type;// 1表示安盟专区
												appUtils.setSStorageInfo("khdj", khdj);
												if (idno != "0"&& typeof (idno) != "undefined") {// 是集团客户，判断有没有开户
													if (param.product_type == "5") {// 判断理财产品必须要客户等级不小于产品等级
														if (khdj == param.cpdj) {
															appUtils.pageInit(param.pageCode,
																			"mall/stickMoneyIn",
																			param);
														} else {
															var param2 = {
																"counTer" : "你非本次发行的对象，请联系营业部！"
															};
															popupMethod(param2);
														}
													} else if (param.product_type == "9") {
														appUtils.sendDirect("../xdt/index.html#!/person/index.html");
													} else {
														if (param.khbz == "1") {// 开户的标志
															var param2 = {
																"counTer" : "亲，你已经开过户了，快快享受员工福利吧"
															};
															popupMethod(param2);
														} else if (param.khbz == "2") {// 生产二维码标志
															if (group_type == 1) {// 表示是安盟专区的
																appUtils.pageInit(
																				param.pageCode,
																				"groupExclusive/qRcode",
																				param);
															} else {
																var param2 = {
																	"counTer" : "亲,您不是安盟员工!"
																};
																popupMethod(param2);
															}
														} else {
															appUtils.pageInit(
																			param.pageCode,
																			"mall/itemsFinanIn",
																			param);
														}
													}
												} else {// 不是集团客户
													// 判断有没有资料认证
													service.findMaterialRz({"user_id" : appUtils.getSStorageInfo("user_id")},
																	function(data) {
																		var error_no = data.error_no;
																		if (error_no == "0") {// 没有提交资料
																			var results = data.results[0];
																			var m_issh = results.m_issh;// 认证的状态，0表示有资料正在审核，1表示审核通过
																			if (m_issh == "0") {
																				var param1 = {
																					"pageCode" : param.pageCode
																				};
																				appUtils.pageInit(
																								"groupExclusive/emailAtion",
																								"groupExclusive/materialVerifying",
																								param1);
																			} else {
																				// 判断有没有邮箱认证
																				service.findEmailVerifying(
																								{
																									"user_id" : appUtils.getSStorageInfo("user_id")
																								},
																								function(datayx) {
																									var error_no = datayx.error_no;
																									if (error_no == 0) {
																										var results = datayx.results;
																										var issh_email = results[0].issh_email;// 是否激活
																										var param1 = {
																											"pageCode" : param.pageCode
																										};
																										if (results != "") {
																											if (issh_email == "1") {
																											} else if (issh_email == "0") {
																												appUtils.pageInit(
																																param.pageCode,
																																"groupExclusive/emailVerifying",
																																param1);
																											} else if (issh_email == "10") {
																												appUtils.pageInit(param.pageCode,
																																"groupExclusive/emailAtion",
																																param1);
																											} else {
																												appUtils.pageInit(param.pageCode,
																																"groupExclusive/emailAtion",
																																param1);
																											};
																										};
																									};
																								});
																			};
																		};
																	});
												};
											});
						};
					} else {// 手机登入
						// 查询集团用户表是不是集团用户
						if (mobile_phone == null) {// 身份证不能为空
						} else {// 是不是集团用户
							service.findSJzh({"mobile_phone" : mobile_phone},
											function(data) {
												var results = data.results;
												var mobile_phone = results[0].phoneno;
												group_type = results[0].group_type;// 1表示安盟专区
												khdj = results[0].khdj;
												khyyb = results[0].yyb;// 营业部
												appUtils.setSStorageInfo("khdj", khdj);
												if (mobile_phone != "0"
														&& typeof (mobile_phone) != "undefined") {// 是集团客户，判断有没有开户
													// 判断有没有开户
													var param2 = {
														"identity_num" : identity_num,
														"mobile_phone" : mobile_phone,
														"loginType" : loginType
													};
													service.findZjzh(param2,function(databkh) {
																		if (databkh.error_no == 0) {
																			var results = databkh.results[0];
																			var client_id = results.client_id;// 资金账号
																			if (client_id != ""&& typeof (client_id) != "undefined") {// 表示开过户了，买产品
																				if (param.product_type == "5") {// 判断理财产品必须要客户等级不小于产品等级
																					if (khdj == param.cpdj) {// 判断不同的营业部不能购买其他营业部的理财产品
																						appUtils.pageInit(param.pageCode,
																										"mall/stickMoneyIn",
																										param);
																					} else {
																						var param2 = {
																							"counTer" : "你非本次发行的对象，请联系营业部！"
																						};
																						popupMethod(param2);
																					}
																				} else if (param.product_type == "9") {
																					appUtils.sendDirect("../xdt/index.html#!/person/index.html");
																				} else {
																					if (param.khbz == "1") {// 开户的标志
																						var param2 = {
																							"counTer" : "亲，你已经开过户了，快快享受员工福利吧"
																						};
																						popupMethod(param2);
																					} else if (param.khbz == "2") {// 生产二维码标志
																						if (group_type == 1) {// 表示是安盟专区的
																							appUtils.pageInit(param.pageCode,
																											"groupExclusive/qRcode");
																						} else {
																							var param2 = {
																								"counTer" : "亲,您不是安盟员工!"
																							};
																							popupMethod(param2);
																						}
																					} else {
																						appUtils.pageInit(
																										param.pageCode,
																										"mall/itemsFinanIn",
																										param);
																					}
																				}
																			} else {// 没有开户，提示去开户
																				$("body"+ " #btn_cancel2").show();
																				var yybs = param.yyb;
																				var yyb = yybs.split(",");
																				if (param.khbz == "1") {
																					if (yyb.length == 1) {
																						qkh(yyb);
																					}
																				} else {
																					if (yyb.length > 1) {// 有两个营业部时展示不同的样式
																						$("body"+ " #Adver_id").show();
																						$("body"+ " #btn_box2")
																								.hide();
																						$("body"+ " #btns_box2")
																								.show();
																						$("body"+ " #Adver_tips").show();
																						$("body"+ " #notice_title").show();
																						$("body"+ " #notice_conet").show();
																						$("body"+ " #btn_cancel2").show();
																						$("body"+ " #notice_title").html(
																								"提示：亲，您还没有开户，享受集团专享最后一步。");
																						$("body"+ " #notice_conet").html("");
																						if (yyb[0] == "0021") {// 专区
																							$("body"+ " #Adver_qued").html("西安营业部");
																							$("body"+ " #Adver_quex").html("阎良营业部");
																						} else if (yyb[0] == "0023") {
																							$("body"+ " #Adver_qued").html("北京营业部");
																							$("body"+ " #Adver_quex").html("哈尔滨营业部");
																						} else if (yyb[0] == "0062") {
																							$("body"+ " #Adver_qued").html("重庆黄山营业部");
																							$("body"+ " #Adver_quex").html("成都青山营业部");
																						} else if (yyb[0] == "0033") {
																							$("body"+ " #Adver_qued").html("兰州营业部");
																							$("body"+ " #Adver_quex").html("贵阳营业部");
																						} else if (yyb[0] == "0002") {
																							$("body"+ " #Adver_qued").html("上海营业部");
																							$("body"+ " #Adver_quex").html("南通营业部");
																						} else if (yyb[0] == "0001") {
																							$("body"+ " #Adver_qued").html("春风路营业部");
																							$("body"+ " #Adver_quex").html("前海营业部");
																						} else if (yyb[0] == "0024") {
																							$("body"+ " #Adver_qued").html("杭州营业部");
																							$("body"+ " #Adver_quex").html("衢州营业部");
																						} else if (yyb[0] == "0003") {
																							$("body"+ " #Adver_qued").html("武汉营业部");
																							$("body"+ " #Adver_quex").html("枣阳营业部");
																						}
																						// 开户到第一个营业部
																						appUtils.bindEvent(
																							$("body"+ " #Adver_qued"),
																							function() {qkh(yyb[0]);});
																						// 开户到第二个营业部
																						appUtils.bindEvent(
																							$("body"+ " #Adver_quex"),
																							function() {qkh(yyb[1]);});
																					} else {
																						$("body"+ " #Adver_id").show();
																						$("body"+ " #btn_box2").show();
																						$("body"+ " #btns_box2").hide();
																						$("body"+ " #Adver_tips").show();
																						$("body"+ " #notice_title").show();
																						$("body"+ " #notice_conet").show();
																						$("body"+ " #btn_cancel2").show();
																						$("body"+ " #notice_title").html(
																							"提示：亲，您还没有开户，享受集团专享最后一步。");
																						$("body"+ " #notice_conet").html("");
																						$("body"+ " #Adver_kh").html("马上开户");
																						// 马上开户
																						appUtils.bindEvent(
																							$("body"+ " #Adver_kh"),
																								function() {qkh(yyb);});
																					}
																					// 取消开户
																					appUtils.bindEvent($("body"	+ " #btn_cancel2"),
																						function() {$("body"+ " #Adver_id").hide();
																							$("body"+ " #Adver_tips").hide();});
																				}
																			};
																		};
																	});
												} else {// 不是集团客户
													// 判断有没有资料认证
													service.findMaterialRz(
														{
															"user_id" : appUtils.getSStorageInfo("user_id")
														},function(data) {
															var error_no = data.error_no;
															if (error_no == "0") {// 没有提交资料
																var results = data.results[0];
																var m_issh = results.m_issh;// 认证的状态，0表示有资料正在审核，1表示审核通过
																if (m_issh == "0") {
																	var param1 = {
																		"pageCode" : param.pageCode
																		};
																	appUtils.pageInit("groupExclusive/emailAtion",
																					"groupExclusive/materialVerifying",param1);
																			} else {
																				// 判断有没有邮箱认证
																				service.findEmailVerifying(
																					{"user_id" : appUtils.getSStorageInfo("user_id")},
																						function(datasyx) {
																							var error_no = datasyx.error_no;
																							if (error_no == 0) {
																								var results = datasyx.results;
																								var issh_email = results[0].issh_email;// 是否激活
																								var param1 = {
																									"pageCode" : param.pageCode
																									};
																							if (results != "") {
																											if (issh_email == "1") {
																												// appUtils.pageInit("groupExclusive/emailVerifying","groupExclusive/emailVerifyingCg");
																											} else if (issh_email == "0") {
																												appUtils.pageInit(
																																param.pageCode,
																																"groupExclusive/emailVerifying",
																																param1);
																											} else if (issh_email == "10") {
																												appUtils.pageInit(
																																param.pageCode,
																																"groupExclusive/emailAtion",
																																param1);
																											} else {
																												appUtils.pageInit(
																																param.pageCode,
																																"groupExclusive/emailAtion",
																																param1);
																											};
																										};
																									};
																								});
																			};
																		};
																	});
												};
											});
						};
					};
				};
			};
			// 弹出框公用方法
			function popupMethod(param) {
				var phone = param.phoneNum;
				if (phone != "" && typeof (phone) != "undefined"
						&& phone != null) {// 有电话
					$("body" + " #Adver_id").show();
					$("body" + " #Adver_tips").show();
					$("body" + " #btn_cancel2").hide();
					if (param.counTer != ""
							&& typeof (param.counTer) != "undefined"
							&& param.counTer != null) {// 文字和电话都有
						$("body" + " #notice_title").show();
						$("body" + " #notice_conet").show();
						$("body" + " #notice_title").html(param.counTer);
						$("body" + " #notice_conet").html(phone);

					} else {// 自有电话，没有文字
						$("body" + " #notice_title").hide();
						$("body" + " #notice_conet").show();
						$("body" + " #notice_conet").html(phone);
					}
					$("body" + " #btn_box2").hide();
					$("body" + " #btns_box2").show();
					$("body" + " #Adver_qued").html("拨打");
					$("body" + " #Adver_quex").html("取消");
					// 拨打
					appUtils.bindEvent($("body" + " #Adver_qued"), function() {
						$("body" + " #Adver_id").hide();
						$("body" + " #Adver_tips").hide();
						// 只要不在pc上就调用原生的拨打电话的功能
						if (platform != 0) {
							var param = {
								moduleName : "mall", // String 目标模块名 N
								source : "mall", // String 源模块 Y
								funcNo : "50220",
								telNo : phone,
								callType : "1"
							};
							external.callMessage(param);
						}
					});
					// 确定
					appUtils.bindEvent($("body" + " #Adver_kh"), function() {
						$("body" + " #Adver_id").hide();
						$("body" + " #Adver_tips").hide();
					}, "click");
					// 取消
					appUtils.bindEvent($("body" + " #Adver_quex"), function() {
						$("body" + " #Adver_id").hide();
						$("body" + " #Adver_tips").hide();
					}, "click");
				} else {// 自由文字
					$("body" + " #Adver_id").show();
					$("body" + " #Adver_tips").show();
					$("body" + " #btn_cancel2").hide();
					$("body" + " #notice_title").show();
					$("body" + " #notice_title").html(param.counTer);
					$("body" + " #notice_conet").hide();
					$("body" + " #btn_box2").show();
					$("body" + " #btns_box2").hide();
					$("body" + " #Adver_kh").html("确定");
					// 确定
					appUtils.bindEvent($("body" + " #Adver_kh"), function() {
						$("body" + " #Adver_id").hide();
						$("body" + " #Adver_tips").hide();
					}, "click");
				}
			}
			/**
			 * 功能： 个性化提示框，带确认按钮
			 * 
			 * @author 王浩
			 * @param msgText
			 *            提示内容
			 * @param sCallBack
			 *            成功回调函数
			 * @param fCallBack
			 *            失败回调函数
			 * @param msgTime
			 *            提示层msgTime后自动消失：单位秒。不传默认为2秒
			 */
			function iConfirm(msgText, okFunc, cancelFunc, yesBtn, noBtn) {
				var yesBtn = yesBtn ? yesBtn : "确定";
				var noBtn = noBtn ? noBtn : "取消";
				$("body" + " #Adver_id").show();
				$("body" + " #Adver_tips").show();
				$("body" + " #btn_cancel2").hide();
				$("body" + " #notice_title").hide();
				$("body" + " #notice_conet").show();
				$("body" + " #btn_box2").hide();
				$("body" + " #btns_box2").show();
				$("body" + " #notice_conet").html(msgText);
				$("body" + " #Adver_qued").html(yesBtn);
				$("body" + " #Adver_quex").html(noBtn);
				// 确定按钮事件
				appUtils.bindEvent($("body" + " #Adver_qued"), function(e) {
					e.stopPropagation();
					$("body" + " #Adver_id").hide();
					$("body" + " #Adver_tips").hide();
					if (typeof (okFunc) == "function") {
						okFunc();
					}
				}, "click");
				// 取消按钮事件
				appUtils.bindEvent($("body" + " #Adver_quex"), function(e) {
					e.stopPropagation();
					$("body" + " #Adver_id").hide();
					$("body" + " #Adver_tips").hide();
					if (typeof (cancelFunc) == "function") {
						cancelFunc();
					}
				}, "click");
			}
			// 净值走势图
			function graphPic(_pageId, options, height) {
				height = height || 180;
				$(_pageId + " #container").css("width", $(window).width() - 20)
						.css("height", height);
				var min = parseFloat(options.min);
				var max = parseFloat(options.max);
				var yTickInterval = (max - min) / 3; // y轴刻度大小
				yTickInterval = Number(yTickInterval.toFixed(3));
				yTickInterval = yTickInterval < 0.001 ? 0.001 : yTickInterval;
				var startMin = parseFloat(min); // y轴起始值
				var xTickInterval = 1;
				if (options.xDates.length >= 7) {
					xTickInterval = parseInt((options.xDates.length - 1) / 3); // x轴刻度间隔
				}
				var containerWidth = $(_pageId + " #container").width() - 120; // 用户计算toolTip不超出边界
				var tipDates = options.tipDates; // 提示框中展现的日期数组
				var tipName = options.tipName || "净值";
				Highcharts.setOptions({
					colors : [ '#FDEDEB' ]
				});
				$(_pageId + ' #container').highcharts(
								{
									chart : {
										backgroundColor : "#FFF",
										marginRight : 25,// 右边间距
										type : 'line' // 指定图表的类型，默认是折线图（line）
									},
									colors : [ '#FDEDEB' ],
									title : {
										text : ''
									},
									subtitle : {
										text : ""
									},
									xAxis : {
										maxPadding : 10, // 用于设置最小值与X轴的距离值
										tickmarkPlacement : 'on',// 刻度线对齐方式
										gridLineWidth : 0, // x轴网格线
										tickLength : 0, // 刻度线长度
										gridLineColor : "#F3F4F6", // x轴网格线颜色
										categories : options.xDates, // x轴数据
										tickInterval : xTickInterval, // x轴数据显示间隔
										labels : {
											style : {
												fontSize : '10px' // 字体大小
											}
										}
									},
									yAxis : {
										type : 'value',
										minPadding : 0, // 用于设置最小值与X轴的距离值
										showFirstLabel : false, // 用于设置是否显示开始刻度
										tickmarkPlacement : 'on', // 刻度线对齐方式
										gridLineWidth : 1, // y轴网格线
										gridLineColor : "#F3F4F6", // y轴网格线颜色
										title : {
											text : ''
										},
										tickInterval : yTickInterval, // y轴数据显示间隔
										min : startMin, // y轴起始值
										labels : {
											style : {
												fontSize : '10px' // y轴字体大小
											},
											formatter : function(value) {
												return this.value.toFixed(3);// 这里是两位小数，你要几位小数就改成几
											}
										}
									},
									credits : {
										enabled : false
									// 隐藏版权信息
									},
									tooltip : {
										backgroundColor : '#F96976', // 提示框背景颜色
										borderColor : '#F96976', // 提示框边框颜色
										borderRadius : '2', // 边框圆角度
										// shadow : false, // 是否显示阴影
										crosshairs : [ {
											width : 1,
											color : '#F8EBE1',
											zIndex : '5'
										}, {
											width : 1,
											color : '#F8EBE1',
											zIndex : '5'
										} ], // 选中点时十字网格线
										style : {
											color : '#FFFFFF',
											padding : '3px',
											fontSize : '9px',
											fillOpacity : 0.75
										}, // 设置提示框中html样式
										followTouchMove : false, // 滑动跟随
										followPointer : false, // 鼠标跟随
										formatter : function() { // 自定义显示内容
											var s = '';
											$.each(this.points,
													function() {
																var xDate = this.x; // 匹配待显示的日期
																for ( var i = 0; i < tipDates.length; i++) {
																	if (tipDates[i].indexOf(xDate) != -1) {
																		xDate = tipDates[i];
																	}
																}
																s += this.series.name
																		+ ': '
																		+ parseFloat(this.y).toFixed(4)
																		+ '<br/>时间：'
																		+ xDate;
															});
											return s;
										},
										shared : true, // 共享一个提示框
										positioner : function(left, right,
												point) { // 提示框位置控制
											var xVal = point.plotX;
											xVal = xVal < 50 ? 50 : xVal;
											xVal = xVal > containerWidth ? containerWidth
													: xVal;
											return {
												x : xVal,
												y : 10
											};
										},
										hideDelay : 0
									// 提示框消失延迟时间
									},
									legend : {
										enabled : false
									// 禁用图例
									},
									plotOptions : {
										area : {
											fillColor : {
												linearGradient : {
													x1 : 0,
													y1 : 0,
													x2 : 0,
													y2 : 1
												},
												stops : [
														[
																0,
																Highcharts.getOptions().colors[0] ],
														[
																1,
																Highcharts.Color(Highcharts.getOptions().colors[0]).setOpacity(0).get('rgba') ] ]
											},
											stickyTracking : true,
											marker : {
												enabled : false
											// 不显示圆点
											},
											states : {
												select : {
													enabled : true,
													lineWidth : 2
												},
												hover : {
													enabled : true,
													lineWidth : 2
												}
											},
											lineColor : '#F29D94',
											lineWidth : 2, // 线宽
											fillOpacity : 1
										// 透明度
										}
									},
									series : [ {
										type : 'area',
										name : tipName,
										marker : {
											fillColor : '#FFFFFF', // 标记点颜色
											radius : 2, // 点半径
											lineWidth : 2, // 点边框线宽
											lineColor : '#FB6C74' // 点边框线颜色
										},
										data : options.datas
									// 数据集
									} ]
								});
			}
			// 随心投七日年化走势图
			function graphPicAvic(_pageId, options, height) {
				height = height || 180;
				$(_pageId + " #container").css("width", $(window).width() - 20)
						.css("height", height);
				var min = parseFloat(options.min);
				var max = parseFloat(options.max);
				var yTickInterval = (max - min) / 6; // y轴刻度大小
				yTickInterval = Number(yTickInterval.toFixed(3));
				yTickInterval = yTickInterval < 0.001 ? 0.001 : yTickInterval;
				var startMin = parseFloat(min); // y轴起始值
				var xTickInterval = 1;
				var containerWidth = $(_pageId + " #container").width() - 120; // 用户计算toolTip不超出边界
				var tipDates = options.tipDates; // 提示框中展现的日期数组
				var tipName = options.tipName || "净值";
				Highcharts.setOptions({
					colors : [ '#FDEDEB' ]
				});
				$(_pageId + ' #container').highcharts(
								{
									chart : {
										backgroundColor : "#FFF",
										marginRight : 5,// 右边间距
										type : 'line' // 指定图表的类型，默认是折线图（line）
									},
									colors : [ '#FDEDEB' ],
									title : {
										text : ''
									},
									subtitle : {
										text : ""
									},
									xAxis : {
										maxPadding : 10, // 用于设置最小值与X轴的距离值
										tickmarkPlacement : 'on',// 刻度线对齐方式
										gridLineWidth : 0, // x轴网格线
										tickLength : 0, // 刻度线长度
										gridLineColor : "#EBEBEB", // x轴网格线颜色
										categories : options.xDates, // x轴数据
										tickInterval : xTickInterval, // x轴数据显示间隔
										labels : {
											style : {
												fontSize : '10px' // 字体大小
											}
										}
									},
									yAxis : {
										type : 'value',
										minPadding : 0, // 用于设置最小值与X轴的距离值
										showFirstLabel : false, // 用于设置是否显示开始刻度
										tickmarkPlacement : 'on', // 刻度线对齐方式
										gridLineWidth : 1, // y轴网格线
										gridLineColor : "#EBEBEB", // y轴网格线颜色
										title : {
											text : ''
										},
										tickInterval : yTickInterval, // y轴数据显示间隔
										min : startMin, // y轴起始值
										labels : {
											style : {
												fontSize : '10px' // y轴字体大小
											},
											formatter : function(value) {
												return this.value.toFixed(2);// 这里是两位小数，你要几位小数就改成几
											}
										}
									},
									credits : {
										enabled : false
									// 隐藏版权信息
									},
									tooltip : {
										backgroundColor : '#F96976', // 提示框背景颜色
										borderColor : '#F96976', // 提示框边框颜色
										borderRadius : '2', // 边框圆角度
										// shadow : false, // 是否显示阴影
										crosshairs : [ {
											width : 1,
											color : '#F8EBE1',
											zIndex : '5'
										}, {
											width : 1,
											color : '#F8EBE1',
											zIndex : '5'
										} ], // 选中点时十字网格线
										style : {
											color : '#FFFFFF',
											padding : '3px',
											fontSize : '9px',
											fillOpacity : 0.75
										}, // 设置提示框中html样式
										followTouchMove : false, // 滑动跟随
										followPointer : false, // 鼠标跟随
										formatter : function() { // 自定义显示内容
											var s = '';
											$.each(
															this.points,
															function() {
																var xDate = this.x; // 匹配待显示的日期
																for ( var i = 0; i < tipDates.length; i++) {
																	if (tipDates[i]
																			.indexOf(xDate) != -1) {
																		xDate = tipDates[i];
																	}
																}
																s += this.series.name
																		+ ': '
																		+ parseFloat(this.y).toFixed(4)
																		+ '<br/>时间：'
																		+ xDate;
															});
											return s;
										},
										shared : true, // 共享一个提示框
										positioner : function(left, right,
												point) { // 提示框位置控制
											var xVal = point.plotX;
											xVal = xVal < 50 ? 50 : xVal;
											xVal = xVal > containerWidth ? containerWidth: xVal;
											return {
												x : xVal,
												y : 10
											};
										},
										hideDelay : 0
									// 提示框消失延迟时间
									},
									legend : {
										enabled : false
									// 禁用图例
									},
									plotOptions : {
										area : {
											fillColor : {
												linearGradient : {
													x1 : 0,
													y1 : 0,
													x2 : 0,
													y2 : 1
												},
												stops : [
														[
																0,
																Highcharts.getOptions().colors[0] ],
														[
																1,
																Highcharts.Color(Highcharts.getOptions().colors[0]).setOpacity(0).get('rgba') ] ]
											},
											stickyTracking : true,
											marker : {
												enabled : false
											// 不显示圆点
											},
											states : {
												select : {
													enabled : true,
													lineWidth : 2
												},
												hover : {
													enabled : true,
													lineWidth : 2
												}
											},
											lineColor : '#F29D94',
											lineWidth : 2, // 线宽
											fillOpacity : 1
										// 透明度
										}
									},
									series : [ {
										type : 'area',
										name : tipName,
										marker : {
											fillColor : '#FFFFFF', // 标记点颜色
											radius : 2, // 点半径
											lineWidth : 2, // 点边框线宽
											lineColor : '#FB6C74' // 点边框线颜色
										},
										data : options.datas
									// 数据集
									} ]
								});
			}
			// 乐透超值券抽奖判断
			function findMusicAwards(param) {
				var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆
				if (login_flag!="true") {// 没有登入
					findLogin({
						"backparam" : param
					});
				} else {
					// 查询活动是否在活动时间里面
					service.findActivityTime({
						flag : param.flag
					}, function(data) {
						var error_no = data.error_no;
						var flag = "";
						var a_id = "";
						if (error_no == "0") {
							var results = data.results;
							flag = results[0].flag;
							a_id = results[0].a_id;
						}
						if (flag == "1") {// 在时间里面
							var param1 = {
								"flag" : a_id
							};
							appUtils.pageInit(param.pageCode,
									"activity/activityFlow", param1);
						} else {
							var param2 = {
								"counTer" : "亲,本次活动已经结束,请下次在参加！"
							};
							popupMethod(param2);
						}
					});
				}
			}
			function jumpSrcPage(dftPage) {
				var curPage = appUtils.getSStorageInfo("_curPageCode"); // 当前页面
				var srcPage = appUtils.getSStorageInfo("_srcPageCode"); // 源页面【非前一个页面】
				if (srcPage) {
					var srcPageParam = appUtils
							.getSStorageInfo("_srcPageParam"); // 源页面参数
					appUtils.clearSStorage("_srcPageCode");
					appUtils.clearSStorage("_srcPageParam");
					appUtils.pageInit(curPage, srcPage, srcPageParam);
					return false;
				} else if (dftPage) {
					appUtils.pageInit(curPage, dftPage, {});
					return false;
				} else {
					appUtils.pageBack();
					return false;
				}
			}
			// 小贷统一登入
			function xdtlogin(pageCode) {
				var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆
				var loginType = appUtils.getSStorageInfo("loginType");
				if (login_flag=="true") {
					if (loginType == "1") {// 资金账号登录
						appUtils.sendDirect("../xdt/index.html#!/person/index.html");
					} else {
						layerUtils.iAlert("请使用资金账号登录！", -1, function() {
							sessionStorage.setItem("bx", "1");
							var pageInParam = {
								"prePageCode" : pageCode,
								"backUrl" : pageCode
							};
							appUtils.pageInit(pageCode, "account/userLogin", {
								"backparam" : pageInParam
							});
						});
					}
				} else {// 未登录
					var pageInParam = {
						"prePageCode" : pageCode,
						"backUrl" : pageCode
					};
					appUtils.pageInit(pageCode, "account/userLogin", {
						"backparam" : pageInParam
					});
				}
			}
			// 产品收藏方法
			function productCollection(param) {
				var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆
				if (login_flag!="true") {// 提示去登入
					var pageInParam = {
						"backUrl" : param.backUrl,
						"product_id" : param.product_id,
						"product_type" : param.product_type,
						"pageCode" : param.pageCode,
						"collection_sign" : "1"// 产品收藏标记
					};
					findLogin({
						"backparam" : pageInParam
					});
				} else {// 登入了插入数据库
					var loginType = appUtils.getSStorageInfo("loginType");// 0是手机号
					var user_id = appUtils.getSStorageInfo("user_id");// 用户id
					var khh = appUtils.getSStorageInfo("khh");// 客户号
					var mobile_phone = appUtils.getSStorageInfo("mobile_phone");// 集团用户的手机号
					var param1 = {
						"user_id" : user_id,
						"loginflag" : loginType,
						"phone" : mobile_phone,
						"khh" : khh,
						"product_id" : param.product_id,
						"product_name" : param.product_name,
						"product_type" : param.product_type
					};
					service.insertCollection(param1, function(data) {
						var error_no = data.error_no;
						if (error_no == "0") {
							var param2 = {
								"counTer" : "收藏成功,请您到我的-我的收藏中查看!"
							};
							popupMethod(param2);
						}
					});
				}
			}
			// 产品浏览方法
			function productbrowse(param) {
				var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆
				if (login_flag!="true") {// 没有登入什么都不做
				} else {// 登入了插入数据库
					var loginType = appUtils.getSStorageInfo("loginType");// 0是手机号
					var user_id = appUtils.getSStorageInfo("user_id");// 用户id
					var khh = appUtils.getSStorageInfo("khh");// 客户号
					var mobile_phone = appUtils.getSStorageInfo("mobile_phone");// 集团用户的手机号
					var param1 = {
						"user_id" : user_id,
						"loginflag" : loginType,
						"phone" : mobile_phone,
						"khh" : khh,
						"product_id" : param.product_id,
						"product_name" : param.product_name,
						"product_type" : param.product_type
					};
					service.insertBrowse(param1, function(data) {
						var error_no = data.error_no;
						if (error_no == "0") {
						}
					});
				}
			}
			// 商城列表页调到详情页的判断方法
			function productJumpmethod(param) {
				var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆
				param["prePageCode"] = param.url;// 传入的页面（安心投的入参，所以加的）
				param["shop_sign"] = "1";
				if (login_flag!="true") {// 没有登入登入页面
					appUtils
							.setSStorageInfo("product_type", param.product_type);
					appUtils.setSStorageInfo("product_id", param.product_id);
					findLogin({
						"avicParam" : param
					});
				} else {
					var khh = appUtils.getSStorageInfo("khh");// 客户号
					if (khh != "" && typeof (khh) != "undefined" && khh != null) {// 客户号登入
						appUtils.pageInit(param.url, param.pageCode, param);
						return;
					} else {// 手机号
						$("body" + " #Adver_id").show();
						$("body" + " #Adver_tips").show();
						$("body" + " #btn_cancel2").hide();
						$("body" + " #notice_title").hide();
						$("body" + " #notice_conet").show();
						$("body" + " #btn_box2").hide();
						$("body" + " #btns_box2").show();
						$("body" + " #notice_conet").html("请用客户号登入！");
						$("body" + " #Adver_qued").html("确定");
						$("body" + " #Adver_quex").html("取消");
						// 需要跳转的页面
						appUtils.bindEvent($("body" + " #Adver_qued"),
								function() {
									$("body" + " #Adver_id").hide();
									$("body" + " #Adver_tips").hide();
									appUtils.pageInit(param.pageCode,
											"account/userLogin", {
												"avicParam" : param
											});
								}, "click");
						// 取消
						appUtils.bindEvent($("body" + " #Adver_quex"),
								function() {
									$("body" + " #Adver_id").hide();
									$("body" + " #Adver_tips").hide();
								}, "click");
					}
				}
			}
			// 检查客户的风险等级和做测试时间
			function khhRiskLevel(avicParam) {
				appUtils.pageInit(avicParam.url, avicParam.pageCode, avicParam);
			}
			// 进入开户模块
			function open() {
					var weChat = this.weChat();// 判断是APP还是pc或浏览器
					if (weChat) {// 里面是原生调用的内容
						if(platform=="1") {
						}else{
							appUtils.setSStorageInfo("_loginInPageCodeOpen","www/m/mall/index.html#!/account/index.html",true);
						}
						this.moduleJump();
						var paramO = {
								"funcNo" : "50101",
								"moduleName" : "open"
							};
						external.callMessage(paramO);
					}
			}
			/**
			 * 时间转换为
			 */
			function diaplayTime(data) {
	            var str = data;
	            //将字符串转换成时间格式
	            var timePublish = new Date(str);
	            var timeNow = new Date();
	            var minute = 1000 * 60;
	            var hour = minute * 60;
	            var day = hour * 24;
	            var month = day * 30;
	            var diffValue = timeNow - timePublish;
	            var diffMonth = diffValue / month;
	            var diffWeek = diffValue / (7 * day);
	            var diffDay = diffValue / day;
	            var diffHour = diffValue / hour;
	            var diffMinute = diffValue / minute;
	            if (diffValue < 0) {
	                alert("错误时间");
	            }
	            else if (diffMonth > 3) {
	                result = timePublish.getFullYear()+"-";
	                result += timePublish.getMonth() + "-";
	                result += timePublish.getDate();
	                alert(result);
	            }
	            else if (diffMonth > 1) {
	                result = parseInt(diffMonth) + "月前";
	            }
	            else if (diffWeek > 1) {
	                result = parseInt(diffWeek) + "周前";
	            }
	            else if (diffDay > 1) {
	                result = parseInt(diffDay) + "天前";
	            }
	            else if (diffHour > 1) {
	                result = parseInt(diffHour) + "小时前";
	            }
	            else if (diffMinute > 1) {
	                result = parseInt(diffMinute) + "分钟前";
	            }
	            else {
	                result = "刚刚发表";
	            }
	            return result;
	        }
			/**
			 * 底部导航栏切换
			 * 
			 * @author wangwz
			 * @param _pageId
			 *            当前页面ID
			 */
			function footerTab(_pageId) {
				appUtils.bindEvent(
								$(_pageId + ".footer_tab"),
								function() {
									var index = $(_pageId + ".footer_tab")
											.index(this);
									var _curPageCode = appUtils
											.getSStorageInfo("_curPageCode");// 当前页pageCode
									if (index == "0"
											&& _curPageCode != "active/index") {
										appUtils.pageInit(_curPageCode,
												"active/index", {});
									} else if (index == "1"
											&& _curPageCode != "account/ytg/yqt") {
										appUtils.pageInit(_curPageCode,
												"account/ytg/yqt", {});
									} else if (index == "2"
											&& _curPageCode != "mall/moneyShop") {
										appUtils.pageInit(_curPageCode,
												"mall/moneyShop", {});
									} else if (index == "3"
											&& _curPageCode != "account/lifeIndex") {
										appUtils.pageInit(_curPageCode,
												"account/lifeIndex", {});
									} else if (index == "4"
											&& _curPageCode != "userCenter/wd") {
										appUtils.pageInit(_curPageCode,
												"userCenter/wd", {});
									}
								});
			}
			/**
			 * 模块跳转的时候先清除这些
			 */
			function moduleJump(){
				appUtils.setSStorageInfo("firstInstallwd","0",true);
				appUtils.setSStorageInfo("firstInstall","0",true);
				appUtils.setSStorageInfo("firstInstallLife","0",true);
				appUtils.setSStorageInfo("firstInstallShop","0",true);
				appUtils.setSStorageInfo("firstInstallYqtTrends","0",true);
			}
			function showPDF(param) {
				var params = {
					   "funcNo" : "50240",
					   "url" : param.url,
					   "title":param.title,
					   "titleColor":"#e84c3d",
					   "statusColor":"#e84c3d",
					   "statusStyle":"1",
					   "readTime":"0"
				};
				external.callMessage(params);
				return false;//阻止链接跳转
			}
			 /***************************中焯单点登录**********************************/
		    //中焯登录
//		    function zhongZhuoLogin(url,callback){
//
//		        var login = appUtils.getSStorageInfo("_isLoginIn");
//		        alert(login);
//		        if(login == "true"){
//		            if(callback) {
//		                callback();
//		            }
//		        }else{
//		            var  _url = decodeURI(url);
//		            
//		            var user_token = getUser_token(_url);
//		            var mobilecode = getMobileCode(_url);
//		            alert("传值信息："+_url+"__"+user_token+"__"+mobilecode);
//		            SSO_login(mobilecode,user_token,callback);
//		        }
//		    }
		    
		    //新增登录接口
		    function SSO_login(mobilecode,user_token,callback){
		    	// 通知
        		external.callMessage({"funcNo": "50100","moduleName":"open"});
		        var param = {
		            "mobilecode":mobilecode,
		            "user_token":user_token
		        };
		        service.zhongZhuoLogin(param, function(data){
		            var error_no = data.error_no;
		            var error_info = data.error_info;
		            if(error_no == "0") {
		            	var result = data.results;
		            	WTSSO_login(mobilecode,user_token);
		                setUserInfo(result,callback);
		            }else{
		                layerUtils.iAlert(error_info,-1,function(){
		                    // 失败退出
		                	backModule();
		                });
		            }
		        });
		    }
		    
		    // 网厅统一登陆- 为了做一些业务（比如风险测评留痕）
		  //新增登录接口
		    function WTSSO_login(mobilephone,user_token){
		        var param = {
		            "mobilephone":mobilephone,
		            "user_token":user_token
		        };
		        service.wtzhongZhuLogin(param, function(data){
		            var error_no = data.error_no;
		            if(error_no == "0") {
		            	var result = data.results[0];
	                    sessionStorage.setItem("userInfo2",JSON.stringify(result));

	                    /*	if(platform == 0){//浏览器
	                     alert(1);*/
	                    appUtils.setSStorageInfo("userInfo", result, true);
	                    appUtils.setSStorageInfo("user_id", result.user_id, true);//方便保存user_id -----2017-4-6日修改
	                    appUtils.setSStorageInfo("ygt_login", "1",true);
	                    var Accountparam = {
	                        "user_id":result.user_id,
	                        "zj_account":"",
	                        "client_id":result.client_id
	                    };
	                    service.ygt_syncTradeAccount(Accountparam, function(AccountData){
	                        var error_no = AccountData.error_no;
	                        var error_info = AccountData.error_info;
	                        if(error_no == "0") {
	                            var result = AccountData.results[0];
	                            var licaiAccount = "";
	                            var qihuoAccount = "";
	                            var netAccount = "";
	                            var zqAccount = "";
	                            if (result["1"]) {
	                                licaiAccount = result["1"];
	                            }
	                            if(result["2"]) {
	                                qihuoAccount = result["2"];
	                            }
	                            if(result["3"]) {
	                                netAccount = result["3"];
	                            }
	                            if(result["4"]) {
	                                zqAccount = result["4"];
	                            }
	                            appUtils.setSStorageInfo("zqAccount", zqAccount, true);
	                            sessionStorage.setItem("zqAccount", zqAccount);
	                            $(pageId+ " #again").show();
	                            // var page = appUtils.getSStorageInfo("_loginInPageCodeYGT",true);
	                            // if(page != "" && page != null && page != undefined){
	                            //     appUtils.sendDirect("../"+page+".html");
	                            // }
	                           // appUtils.pageInit(pageCode,url);
	                        } else {
	                            layerUtils.iAlert(error_info);
	                            return false;
	                        }
	                    });
		            }else{
		            }
		        });
		    }
		   
			
		  //把从原生内存缓存中取到的用户信息保存到session中
		    function setUserInfo(result,callback) {
		    	console.log(result);
		    	var loginType = "1";
				// 保存session
				appUtils.setSStorageInfo("loginType",loginType); // 登陆方式
				appUtils.setSStorageInfo("login_account",result[0].client_no); //
				console.log(result[0].client_no);
				/*把用户编号存到session*/
				if(result[0].user_id){
					appUtils.setSStorageInfo("user_id",result[0].user_id);
				}
				/*把jsessionid存到session*/
				if(result[0].jsessionid){
					appUtils.setSStorageInfo("jsessionid",result[0].jsessionid);
				}
				/*把用户名存到session*/
				if(result[0].user_name){
					appUtils.setSStorageInfo("user_name",result[0].user_name);
				}
				/*把身份证号码存到session*/
				if(result[0].identity_num){
					appUtils.setSStorageInfo("identity_num",result[0].identity_num);
				}
				/*把客户号存到session*/
				if(result[0].client_no){
					appUtils.setSStorageInfo("client_no",result[0].client_no);
				}
				/*把账户名存到session*/
				if(result[0].account_name){
					appUtils.setSStorageInfo("account_name",result[0].account_name);
				}
				/*把资金账号存到session*/
				if(result[0].fund_account){
					appUtils.setSStorageInfo("fund_account",result[0].fund_account);
				}
				/*把风险承受能力等级存到session*/
				if(result[0].risk_level){
					appUtils.setSStorageInfo("risk_level",result[0].risk_level);
				}
				/*把风险承受能力存到session*/
				if(result[0].risk_level_txt){
					appUtils.setSStorageInfo("risk_level_txt",result[0].risk_level_txt);
				}
				/*把手机号码存到session*/
				if(result[0].mobile_phone){
					appUtils.setSStorageInfo("mobile_phone",result[0].mobile_phone);										
				}
				/*把邮箱地址存到session*/
				if(result[0].user_mail){
					appUtils.setSStorageInfo("user_mail",result[0].user_mail);
				}
				/*把客户号存到session*/
				if(loginType=="1"){
					if(result[0].client_no){
						appUtils.setSStorageInfo("khh",result[0].client_no);
					}
				}else{
					if(result[0].khh){
						appUtils.setSStorageInfo("khh",result[0].khh);
					}
				}
				/*****重要id********/
				if(result[0].yqtid){
					appUtils.setSStorageInfo("yqtid",result[0].yqtid);
				}
				if(result[0].user_type){
					appUtils.setSStorageInfo("istg",result[0].user_type);
				}
				if(result[0].iscs){
					appUtils.setSStorageInfo("iscs",result[0].iscs);
				}
				appUtils.setSStorageInfo("jfscid",result[0].jfscid);
				sessionStorage.setItem("userInfo",JSON.stringify(result[0]));
				appUtils.setSStorageInfo("userInfo",JSON.stringify(result[0]));
				appUtils.setSStorageInfo("_isLoginIn","true");
				appUtils.setSStorageInfo("FID_KHZT",result[0].FID_KHZT);
				appUtils.setSStorageInfo("FID_TZZFL",result[0].FID_TZZFL);
				appUtils.setSStorageInfo("FID_ZJBH",result[0].FID_ZJBH);
				appUtils.setSStorageInfo("FID_KHXM",result[0].FID_KHXM);
				appUtils.setSStorageInfo("FID_KHH",result[0].FID_KHH);
			    if(callback){
			         callback();
			    }
		    }
		    function backModule(){
		    	var param = {
						moduleName: "open", // String	目标模块名	N
						funcNo: "50114"
						};
				external.callMessage(param);
		    }
		    
		    function initTitle(pageId,extend){
		    	var title=$(pageId + "h1.title").text();
		    	if(pageId=="#mall_otcFundDetails "){
		    		title=extend;
		    	}
		    	var param = {
						"navTitle" : title,
						funcNo: "60021"
						};
		    	console.log(param);
				external.callMessage(param);
		    }
		    
			var main = {
				"loadNewCss" : loadNewCss,
				"clearNewCss" : clearNewCss,
				"clearCommonCss" : clearCommonCss,
				"fmoney" : fmoney,
				"rmoney" : rmoney,
				"getBankInfo" : getBankInfo,
				"getBankName" : getBankName,
				"getOrderStateName" : getOrderStateName,
				"getBusinessTypeName" : getBusinessTypeName,
				"backLogin" : backLogin,
				"keepTwoNumber" : keepTwoNumber,
				"setMainHeight" : setMainHeight,
				"firstloadFunc" : firstloadFunc,
				"filterLoginOut" : filterLoginOut,
				"queryMobilePhone" : queryMobilePhone,
				"systemKeybord" : systemKeybord,
				"isLogin" : isLogin,
				"getUserId" : getUserId, // 获取用户编号
				"dealIOSScrollBug" : dealIOSScrollBug, // 处理ios滚动问题
				"stopHeadAndFooterEvent" : stopHeadAndFooterEvent, // 禁止头部和底部滑动
				"checkUserIsLogin" : checkUserIsLogin, // 校验用户是否登录
				"footerTab" : footerTab, // 底部导航栏切换
				"loadCommonCss" : loadCommonCss,
				"removejscssfile" : removejscssfile,
				/* "initLoginStyle":initLoginStyle, */
				"initFootbutton" : initFootbutton,
				"loadJfscoldCss" : loadJfscoldCss,
				"loadytgcoldCss" : loadytgcoldCss,
				"clearoldCss" : clearoldCss,
				"loadoldCss" : loadoldCss,
				"loadytgstyleCss" : loadytgstyleCss,
				"removeHTMLTag" : removeHTMLTag,
				"grzyTz" : grzyTz,
				"weChat" : weChat,
				"isNewVin" : isNewVin,
				"formatContent" : formatContent,
				"queryImMessageNum" : queryImMessageNum,
				"strToJson" : strToJson,
				"qkh" : qkh,
				"findNotice" : findNotice,
				"findLogin" : findLogin,
				"controlMethod" : controlMethod,// 专区控制方法
				"popupMethod" : popupMethod,// 弹出框
				"graphPic" : graphPic,// 净值曲线图
				"popupMethod" : popupMethod,
				"jumpSrcPage" : jumpSrcPage,
				"findMusicAwards" : findMusicAwards,
				"xdtlogin" : xdtlogin,
				"productbrowse" : productbrowse,
				"productCollection" : productCollection,
				"khhRiskLevel" : khhRiskLevel,
				"productJumpmethod" : productJumpmethod,
				"iConfirm" : iConfirm,
				"open" : open,
				"graphPicAvic" : graphPicAvic,
				"changeTitleColor" : changeTitleColor,
				"imsg" : imsg,
				"diaplayTime":diaplayTime,
				"moduleJump":moduleJump,
				"showPDF":showPDF,
				"backModule":backModule,
				//"zhongZhuoLogin":zhongZhuoLogin,
				"SSO_login":SSO_login,
				"initTitle":initTitle,
				"WTSSO_login":WTSSO_login
			};
			// 暴露对外的接口
			module.exports = main;
		});
