/**
 * 基金详情
 */
define('mall/scripts/mall/FundCompany.js',function(require, exports, module) {
//	require("mall/css/Funddetail.css");
//	require("mall/scripts/plugins/echarts/echarts");
	var fundUtils = require("mall/scripts/common/fundUtils");
	var appUtils = require('appUtils');
	var _pageId = "#mall_FundCompany";
	var service = require("mobileService"); // 业务层接口，请求数据
	var putils = require("putils");
	var layerUtils = require("layerUtils");
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	var external = require("external");
	var shareTitle = "";
	var product_id = "";
	var product_type = "";
	var prePageCode = "";
	var prePageCode2 = "";
	var allMoney = "";
	function init() {
		
		common.initTitle(_pageId);
		
		allMoney = appUtils.getPageParam().allMoney;
		product_id = appUtils.getPageParam().product_id;
		seleFundCompany(product_id);
	}

	var seleFundCompany = function(fund_code) {
		var param = {
			"product_id" : fund_code
		};
		var callBackFunc = function(resultVo) {
			var results = resultVo.results;
			var str = "";
			if (resultVo.error_no == 0 && results.length != 0) {
				str = '<p>上市时间<span>' + (results[0].lst_dt=="" ? '暂无数据':results[0].lst_dt)
						+ '</span></p><p>资金规模<span>' + (allMoney=="" ?"暂无数据":allMoney+"亿元")
						+ '</span></p><p>总经理<span>' + (results[0].mng_psn_name=="" ? '暂无数据':results[0].mng_psn_name)
						+ '</span></p><p>最新规模<span>' + (results[0].lat_shr=="" ? '暂无数据':results[0].lat_shr)
						+ '（份）</span></p><p>风险系数排名<span>'
						+ (results[0].fluc_ran_rank =="" ? '暂无数据':results[0].fluc_ran_rank )+ '</span></p>';
				$(_pageId+ " .company_logo strong").html(results[0].fmc_com_name);
				$(_pageId+ " .company_detail").html(str);
			}
		};
		service.seleFundCompany(param, callBackFunc);
	};

	function bindPageEvent() {
		// 返回
		appUtils.bindEvent($(_pageId + " .icon_back"), function() {
			var pageInParam = {
				"product_id" : product_id
			};
			appUtils.pageInit("mall/FundCompany", "mall/itemsFundNew",
					pageInParam);
		});
	}

	function destroy() {
		$(_pageId + " #ljgm").attr("style",
				"background:#add8fa;border:1px solid #319ef2");
		product_id = "";
		product_type = "";
	}

	var itemsFinanIn = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = itemsFinanIn;
});