/**
 * 基金公告详情
 */
define('mall/scripts/mall/NoticeDetails.js',function(require, exports, module) {
	var fundUtils = require("mall/scripts/common/fundUtils");
	var appUtils = require('appUtils');
	var pageId = "#mall_NoticeDetails ";
	var service = require("mobileService"); // 业务层接口，请求数据
	var putils = require("putils");
	var layerUtils = require("layerUtils");
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	var external = require("external");
	var product_id="";//柜台基金代码
	var fund_id="";//otc基金代码
	var id = "";
	var pageCodeIn="";
	function init() {
		common.initTitle(pageId);
		
		product_id = appUtils.getPageParam("product_id");//柜台基金代码
		fund_id = appUtils.getPageParam("fund_id");//otc基金代码
		pageCodeIn= appUtils.getPageParam("pageCode");//传过来的页面
		
		id=appUtils.getPageParam("id");//公告id
		seleNoticeDetails(id);//查询公告信息
	}
	var seleNoticeDetails = function(id) {
		var param = {
			"id" : id
		};
		var callBackFunc = function(resultVo) {
			var results = resultVo.results;
			var str="";
			if (resultVo.error_no==0&&results.length !=null) {
				str=common.formatContent(results[0].cont);
				$(".fund_company").html(str);
			}
		};
		service.seleNoticeDetails(param, callBackFunc);
	};

	function bindPageEvent() {
		// 返回
		appUtils.bindEvent($(pageId + " .icon_back"), function() {
			if(pageCodeIn=="mall/otcFundInfo"){
				var param = {
						"fund_id" : fund_id,
						"product_id" : product_id
					};
				appUtils.pageInit("mall/NoticeDetails", "mall/otcFundInfo",param);
			}else{
				var param = {
						"product_id" : product_id
						
					};
				appUtils.pageInit("mall/NoticeDetails", "mall/itemsFundNew",param);
			}
			
			
		});		
	}

	
	function destroy() {
		$(pageId + " #ljgm").attr("style",
				"background:#add8fa;border:1px solid #319ef2");
		product_id = "";
		product_type = "";
	}

	var NoticeDetails = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = NoticeDetails;
});