/**
 * 翼钱罐中我的交易流水
 */
define('mall/scripts/mall/avicApplyno.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var fundUtils = require("mall/scripts/common/fundUtils");//数字字典
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var pageId = "#mall_avicApplyno ";
	var pageCode = "mall/avicApplyno";
	var gconfig = require("gconfig");
	var external = require("external");
	var global = gconfig.global;
	var common = require("common");
	var flag="";//产品类别
	var URL=global.url;
	var	curPageNo = ""; // 当前页序号
	var confirmPay="";//密码
	var all_money="";
	var product_code = "";
	var inpflag = "";
	var numPerPage = 8; // 默认展示8页
	var dropload=require("dropload"); // 滚动组件
	var me="";
	//初始化
	function init(){
		common.initTitle(pageId);
		
		appUtils.setSStorageInfo("xs","2");
		all_money =appUtils.getPageParam('all_money');
		product_code =appUtils.getPageParam('product_code');
		inpflag =appUtils.getPageParam('flag');
		if(inpflag != undefined) {
			flag = inpflag;
			findMyTrade(flag);//查询我的交易流水
		}else {
			findMyTrade(1);//查询我的交易流水
		}
		$(".yqg_tab li:eq(0)").addClass("current");
		curPageNo=1;
		
	}
	//查询我的交易
	function findMyTrade(flag){
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" .ls_list").html("");
		$(pageId+" .no_data_box").hide();
		//初始化滑动组件
		var dropload = $(pageId +".khfxWarp").dropload({
	        scrollArea: $(pageId +".khfxWarp"),
	        loadDownFn: function (me) {
	        	setTimeout(function(){
	        		//调用方法
	        		var client_no=appUtils.getSStorageInfo("khh");
	        		var param = {
	        				"client_no": client_no,
	        				"page": curPageNo,
	        				"numPerPage": numPerPage,
	        				"flag":flag,
	        				"product_code":product_code
	        			};
	        		service.queryAvicApplyno(param,function(data){
	        			if(data.error_no == "0"){
	        				var results = data.results[0].data;//出参结果
	        				if(curPageNo == 1){//处理没有数据的情况
	        					if(results.length==0){
	        						$(pageId+" .no_data_box").show();
	        						$(pageId + " .ls_list").hide();
	        						$(pageId+" .dropload-down").hide();
	        					}else{
	        						$(pageId+" .no_data_box").hide();
	        						$(pageId + " .ls_list").show();
	        						$(pageId+" .dropload-down").show();
	        					}
	        				}else{
        						if(results.length==0){
        							me.lock();
        				            // 显示无数据
        				            me.noData();
        				            me.loading = false;
        				            me.resetload();//加载数据
        				            return false;
        						}
        					}
	        				curPageNo++;
        					for(var i = 0;i < results.length;i++){
        		                var trd_date = results[i].trd_date;//交易日期
        		                var inst_code = results[i].inst_code;//产品编码
        		                var app_sno = results[i].app_sno;//申请编号
        		                var ori_app_sno = results[i].ori_app_sno;//原申请编号
        						var app_timestamp = results[i].app_timestamp;//交易日期
        						var trd_id = results[i].trd_id;//交易类别
        						var ord_stat = results[i].ord_stat;//订单状态
        						var trd_qty = results[i].trd_qty;//赎回金额
        						var ord_amt = results[i].ord_amt;//存入金额
        						var inst_type = results[i].inst_type;//产品大类
        						var inst_sname = results[i].inst_sname;//产品名称
        						var can_cancel = results[i].can_cancel;//是否撤单1是
        						var canceled_flag = results[i].canceled_flag;//已撤标志
        						var cuacct_code = results[i].cuacct_code;//资产账户
        						var trd_ids = results[i].trd_ids;//交易类别
        						var inst_id = results[i].inst_id;//产品id
        						var cd="";//撤单按钮
        						var order_name=fundUtils.AvicOrder(ord_stat);//获取订单状态对应值
        						if(can_cancel=="1"){
        							cd="<i class='otcfund_cd otc_cd' inst_type="+inst_type+" inst_code="+inst_code+" app_sno="+app_sno+" trd_date="+trd_date+" ord_amt="+ord_amt+" cuacct_code="+cuacct_code+">可撤</i>";
        							order_name = "";
        						}
        				         var trd_name=fundUtils.Trd_type(trd_id);//获取交易类别对应值
        				         var starColor = "";
        				         if(ord_stat=="4"||ord_stat=="7"||ord_stat=="C"||ord_stat=="E") {
        				        	 starColor  = "agray";
        				         }
        				         var std="";
        				         if(trd_qty==0&&ord_amt!=0){
        				        	std="<h5>+"+ord_amt+"</h5>";
        				         }else if(ord_amt==0&&trd_qty!=0){
        				        	 std="<h5 ><font color='green'>-"+trd_qty+"</font></h5>";
        				         }
        						str=" 	<li><div class='tit'>	<h5><i class='red'>"+trd_name+"</i><span>&nbsp;&nbsp;"+inst_sname+"</span></h5> " +
        								"<p><span>"+app_timestamp+"</span></p> </div><div class='data'>"+std+" <p class="+starColor+">"+cd+order_name+"</p> </div> " +
        								"</li>";
        						$(pageId+" .ls_list").append(str);
        					};
        					if(results.length<numPerPage){
        			            // 再往下已经没有数据
        			            // 锁定
        			            me.lock();
        			            // 显示无数据
        			            me.noData();
        			            me.loading = false;
        			        }
        					me.resetload();//加载数据
	        			}else{
	        				layerUtils.iMsg(-1,data.error_info);
	        			}
	        			//撤单
	        			appUtils.bindEvent($(pageId+" .otc_cd"),function(){
	        				var inst_code=$(this).attr("inst_code");
	            			var app_sno=$(this).attr("app_sno");
	            			var trd_date=$(this).attr("trd_date");
	        	    		var fund_account= $(this).attr("cuacct_code");
	        	    		var inst_type=$(this).attr("inst_type");
	        	    		appUtils.setSStorageInfo("inst_code",inst_code);//产品编码
	        	    		appUtils.setSStorageInfo("app_sno",app_sno);//原编号
	        	    		appUtils.setSStorageInfo("trd_date",trd_date);//交易时间
	        	    		appUtils.setSStorageInfo("fund_account",fund_account);//资金密码
	        	    		appUtils.setSStorageInfo("inst_type",inst_type);//类别
	        				$(pageId+" #payment_drop").show();
	        				$(pageId+" #payment_card").show();
	        				$(pageId+".fake-box input").val("");
	        				$(pageId+" #tradePwd").val("");
	        				$(pageId+" #tradePwd").focus();
	        				KillOrder(this);//撤单
	        			},"click");
	        		},{"isShowWait":false});		
	    		},200);
	        }
	    });
	}

	//otc撤单方法
	function otcFundcd(){
		var client_no=appUtils.getSStorageInfo("khh");
		var inst_code=appUtils.getSStorageInfo("inst_code");//产品编码
		var app_sno=appUtils.getSStorageInfo("app_sno");//原编号
		var trd_date=appUtils.getSStorageInfo("trd_date");//交易时间
		var trade_pass = "";
		var ctrlParam = {
				"isAsync" : false
			};
		//密码加密
		service.getRSAKey({},function(dataresult){
			var confirmPay= $(pageId+" #tradePwd").val();//输入的密码
			if(dataresult.error_no=="0"){
				var modulus = dataresult.results[0].modulus;
				var publicExponent =dataresult.results[0].publicExponent;
				var endecryptUtils = require("endecryptUtils");
				 trade_pass = endecryptUtils.rsaEncrypt(modulus,publicExponent,confirmPay);
			}
		},ctrlParam);
		var param={
				"client_no":client_no,
				"inst_code":inst_code,
				"app_sno":app_sno,
				"trd_date":trd_date,
				"trade_pwd":trade_pass
			};
			service.queryotcFundOrder(param,function(data){
				if(data.error_no == "0"){
					var results = data.results;//出参结果
					var app_date=results.app_date;
					var app_sno=results.app_sno;
					if(app_sno!=""){//成功
						//location.reload();//重新加载页面
						curPageNo = 1;
						$(pageId+" .ls_list").html("");
						$(pageId+" #tradePwd").val("");
						findMyTrade(flag); 
					}else{
						layerUtils.iMsg(-1,otcdata.error_info);
						$(pageId+" #tradePwd").blur();
						$(pageId+" #tradePwd").val("");
					}
				}else{
					layerUtils.iMsg(-1,data.error_info);
					$(pageId+" #tradePwd").blur();
					$(pageId+" #tradePwd").val("");
				}
         
			},ctrlParam);
	}
	//固收撤单
	function MoneyOrder(){
		var loginType = appUtils.getSStorageInfo("loginType");//获取是什么登入保证金还是手机
		var user_id =appUtils.getSStorageInfo("user_id");
		var khh=appUtils.getSStorageInfo("khh");
		var fund_account=appUtils.getSStorageInfo("fund_account");//产品编码
		var order_id=appUtils.getSStorageInfo("app_sno");//原编号
		var trd_date=appUtils.getSStorageInfo("trd_date");//交易时间
		appUtils.setSStorageInfo("fund_account",fund_account);//资金密码
		var product_type = "5";//产品类型
		var loginFlag = loginType;//保障金还是银行
		var trade_pass = "";
		var ctrlParam = {
			"isAsync" : false
		};
		//密码加密
		service.getRSAKey({},function(dataresult){
			var confirmPay= $(pageId+" #tradePwd").val();//输入的密码
			if(dataresult.error_no=="0"){
				var modulus = dataresult.results[0].modulus;
				var publicExponent =dataresult.results[0].publicExponent;
				var endecryptUtils = require("endecryptUtils");
				 trade_pass = endecryptUtils.rsaEncrypt(modulus,publicExponent,confirmPay);
			}
		},ctrlParam);
		var param = {
    			"user_id": user_id,
        		"old_order_id" : order_id,
        		"loginFlag" : loginFlag,
        		"app_timestamp" : trd_date,
        		"apply_no" : order_id,
        		"trd_date" : trd_date,
        		"trans_acct":trd_date,
        		"fund_account" : fund_account,
        		"khh" : khh,
        		"productType" : product_type,
        		"trade_pwd":trade_pass
        	};
    		service.undoOrder(param, function(data){
    			if(data.error_no=="0"){
    				var results = data.results;//出参结果
    				//location.reload();//重新加载页面
    				curPageNo = 1;
    				$(pageId+" .ls_list").html("");
    				$(pageId+" #tradePwd").blur();
					$(pageId+" #tradePwd").val("");
					findMyTrade(flag); 
    			}else{
					layerUtils.iMsg(-1,data.error_info);
					$(pageId+" #tradePwd").blur();
					$(pageId+" #tradePwd").val("");
				}
    		},ctrlParam);
	}
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			var param={
				"all_money":all_money
			}
			appUtils.pageInit(pageCode,"userCenter/assetView",param);
		});
		//关闭密码框
		appUtils.bindEvent($(pageId+" .close"),function(){
			$(pageId+".fake-box input").val("");
			$(pageId+" #payment_drop").hide();
			$(pageId+" #payment_card").hide();
			$(pageId+" #tradePwd").val("");
		});
		//按产品类型查询
		appUtils.bindEvent($(pageId+" .yqg_tab li:eq(1)"),function(){
			appUtils.setSStorageInfo("xs","2");
			var type=appUtils.getSStorageInfo("types");
			$(pageId+".yqg_tab li:eq(0)").removeClass("current");
			$(pageId+".yqg_tab li:eq(2)").removeClass("current");
			$(pageId+".yqg_tab li:eq(1)").addClass("current");
			$(pageId + " .tab_shade").show();
			$(pageId + " .tab_layer").show();
			$(pageId+".tab_layer ul").html("<li class='cp' types='5'><a href='javaScript:void(0);'>安心投</a></li><li class='cp' types='6'><a href='javaScript:void(0);' >随心投</a></li><li class='cp' types='7'><a href='javaScript:void(0);' >致胜投</a></li>");
			$(pageId+" .tab_layer ul li a").removeClass("active");
			$(pageId+" .tab_layer ul li").each(function(){
				if($(this).attr("types")==type){
					$(this).find("a").addClass("active");
				}
			},"click");
		},"click");
		//按完成状态查询
		appUtils.bindEvent($(pageId+" .yqg_tab li:eq(2)"),function(){
			appUtils.setSStorageInfo("xs","2");
			var types=appUtils.getSStorageInfo("types");
			console.log(types);
			$(pageId+".yqg_tab li:eq(0)").removeClass("current");
			$(pageId+".yqg_tab li:eq(1)").removeClass("current");
			$(pageId+".yqg_tab li:eq(2)").addClass("current");
			$(pageId+".tab_layer ul").html("<li class='cp' types='2'><a href='javaScript:void(0);'>买入</a></li><li class='cp' types='3'><a href='javaScript:void(0);'>卖出</a></li>");
			$(pageId + " .tab_shade").show();
			$(pageId + " .tab_layer").show();
			$(pageId+" .tab_layer ul li").removeClass("active");
			$(pageId+" .tab_layer ul li").filter("[types='types']").addClass("active");
		},"click");
		//查询全部流水
		appUtils.bindEvent($(pageId+" .yqg_tab li:eq(0)"),function(){
			appUtils.setSStorageInfo("xs","2");
			appUtils.setSStorageInfo("types","-1");
			$(pageId+" .ls_list").html("");
			flag=1;
			curPageNo=1;
			if(inpflag != undefined) {
				findMyTrade(inpflag);//查询我的交易流水
			}else {
				findMyTrade(1);//查询我的交易流水
			}
			 $(pageId+".yqg_tab li:eq(0)").addClass("current");
			 $(pageId+".yqg_tab li:eq(1)").removeClass("current");
			 $(pageId+".yqg_tab li:eq(2)").removeClass("current");
			 $(pageId + " .tab_shade").hide();
			 $(pageId + " .tab_layer").hide();
		},"click");
		$(document).on("click",'.cp',function(){
			$(pageId+" .ls_list").html("");
			$(pageId + " .tab_shade").hide();
			$(pageId + " .tab_layer").hide();
			 var  types= $(this).attr("types");
			 appUtils.setSStorageInfo("types",types);
				curPageNo=1;
				flag=types;
				findMyTrade(flag);
		});
	}
	//otc基金撤单
	function KillOrder(obj){
	
		//确定支付
		$(pageId+".fake-box input").val("");
		$(pageId+" #tradePwd").val("");
		var $input = $(pageId+".fake-box input");
		$(pageId+" #tradePwd").on("input", function() {  
			 var pwd = $(pageId+" #tradePwd").val().trim();//输入的密码  
            for (var i = 0, len = pwd.length; i < len; i++) {  
                $input.eq("" + i + "").val(pwd[i]);  
            }  
            $input.each(function() {  
                var index = $(this).index();  
                if (index >= len) {  
                    $(this).val("");  
                };  
            });  
            if (len == 6) { 
            	$(pageId+".fake-box input").val("");
    			$(pageId+" #payment_drop").hide();
    			$(pageId+" #payment_card").hide();
                //执行其他操作  
            	var confirmPay= $(pageId+" #tradePwd").val();//输入的密码
    			if(confirmPay==""||typeof(confirmPay)=="undefined"){
    				layerUtils.iMsg(-1,"请输入交易密码");
    		 		return false;
    			}
    			if(appUtils.getSStorageInfo("inst_type")=="7"||appUtils.getSStorageInfo("inst_type")=="6"){//otc基金
    				otcFundcd();//otc撤单
    			}else{
    				MoneyOrder();//固收撤单
    			}
    			
            }
		});
	}
	//销毁
	function destroy(){
		$(".yqg_tab li:eq(0)").removeClass("current");
		 $(".yqg_tab li:eq(2)").removeClass("current");
		 $(".yqg_tab li:eq(1)").removeClass("current");
		$(pageId+" .ls_list").html("");
		$(pageId + " .visc_wrapper").show();
		$(pageId + " .fix_add").hide();
		$(pageId+" .no_data_box").hide();
		$(pageId+".fake-box input").val("");
		$(pageId+" #payment_drop").hide();
		$(pageId+" #payment_card").hide();
		$(pageId+" #tradePwd").val("");
		$(pageId+" .dropload-down").remove();//先删除样式
		confirmPay="";
	}
	var avicApplyno = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = avicApplyno;
	
});