/**
 * 理财--支付完成
 */

define('mall/scripts/mall/finanOrder/payment.js',function(require, exports, module)
	{
	var service = require("mobileService"); //业务层接口，请求数据
	var appUtils = require('appUtils');
	var putils = require("putils");
	var constants=require("constants");//常量类
	var layerUtils = require("layerUtils");
	var gconfig = require("gconfig");
	var common = require("common");
	var global = gconfig.global;
	var pageId ="#mall_finanOrder_payment ";
	var commonUtils = require("commonUtils");
	var _intervalId=0;
	//1、初始化
	function init()
	{	
		common.initTitle(pageId);
		var pageParam = appUtils.getPageParam();
		var d = new Date();
		var d1=d.getFullYear();
		var d2=d.getMonth()+1;
		if(d2.toString().length==1){
			d2="0"+d2;
		}
		var d3=d.getDate();
		if(d3.toString().length==1){
			d3="0"+d3;
		}
		
		$(pageId+" .jy_result li:eq(0) span").html(d1+"-"+d2+"-"+d3+"(今天)");//有查询流水需要改日期代码
		if(pageParam.product_type == "7"){
			if(pageParam.fee_way_type!=""){
				$(pageId+" .jy_result li:eq(0) h5").html("成功签约");
				$(pageId+" .jy_result li:eq(0) p").html("");
				$(pageId+" .jy_result li:eq(1)").hide();
				$(pageId+" .jy_result li:eq(2) span").html("订阅后T+1日生效，退订后T+1日停止。");
				$(pageId+" .n3 h5").html("产品生效");
			}else{
				$(pageId+" .jy_result li:eq(0) h5").html("成功订阅");
				$(pageId+" .jy_result li:eq(0) p").html("");
				$(pageId+" .jy_result li:eq(1) span").html(appUtils.getSStorageInfo("est_date"));
				$(pageId+" .n2 h5").html("体验开始日期");
				$(pageId+" .jy_result li:eq(2) span").html(appUtils.getSStorageInfo("end_date"));
				$(pageId+" .n3 h5").html("体验结束日期");
			}
		}else if(pageParam.product_type == "9"){
			var tot_price = pageParam.tot_price;
			$(pageId+" .jy_result li:eq(0) h5").html("委托买入"+tot_price+"元");
			$(pageId+" .n2 h5").html("份额确认");
			$(pageId+" .n3 h5").html("查看盈亏");
			
			$(pageId+" .jy_result li:eq(0) p").html("您的委托已提交后台，进入我的资产-翼钱罐-记录中查询您的委托结果");
			fundOtcFundTime();
			if(constants.otcFundFlow.TYPE=="1"){//需要抽奖
				fundOtcFlow();//查询是否有机会抽奖
			}
		}else if(pageParam.product_type == "8"){
				var tot_price = pageParam.tot_price;
				$(pageId+" .jy_result li:eq(0) h5").html("委托买入"+tot_price+"元");
				$(pageId+" .n2 h5").html("份额确认");
				$(pageId+" .n3 h5").html("");
				$(pageId+" .jy_result li:eq(0) p").html("");
				fundFundTime();
		}
		else{
			var tot_price = pageParam.tot_price;
			$(pageId+" .jy_result li:eq(0) h5").html("委托买入"+tot_price+"元");
			$(pageId+" .jy_result li:eq(0) p").html("您的委托已提交后台，进入我的资产-翼钱罐-记录中查询您的委托结果");
			
			var est_date = appUtils.getSStorageInfo("est_date");
			var end_date = appUtils.getSStorageInfo("end_date");
			if(($.trim(est_date) != "") && ($.trim(end_date) != "")){
				$(pageId+" .jy_result li:eq(1) span").html(est_date);
				$(pageId+" .jy_result li:eq(2) span").html(end_date);
			}else{
				var month = "";
				var nowDate = "";
				if(d.getMonth()+1>=10){
					month = d.getMonth()+1;
				}else{
					month = '0'+(d.getMonth()+1);
				}
				var day = d.getDate();
				if(day<10){
					nowDate = '0'+day;
				}else{
					nowDate = day;
				}
				today = d.getFullYear()+"-"+month+"-"+nowDate;
				$(pageId+" .jy_result li:eq(1) span").html(getNewDay(today,1));
				$(pageId+" .jy_result li:eq(2) span").html(getNewDay(today,1));
			}
		}
		//查询理财推荐的安心投（固收理财）
//		recommendLc();
//		//查询推荐的侄胜投产品
//		recommendOtcFund();
//		//查询资讯推荐的资讯产品
//		recommendZx();
	}

	function getNewDay(dateTemp, days) {  
		   var dateTemp = dateTemp.split("-");  
		    var nDate = new Date(dateTemp[1] + '/' + dateTemp[2] + '/' + dateTemp[0]); //转换为MM-DD-YYYY格式
		    var millSeconds = Math.abs(nDate.getTime()) + (days * 24 * 60 * 60 * 1000);
		    var rDate = new Date(millSeconds);  
		   var year = rDate.getFullYear();  
		    var month = rDate.getMonth() + 1;  
		   if (month < 10) month = "0" + month;  
		   var date = rDate.getDate();  
		    if (date < 10) date = "0" + date;  
		    return (year + "-" + month + "-" + date);  
		}  

	
	function timer(){
		var number=15;
		var time=function(){
			if(number==0){
				clearInterval(_intervalId);
				appUtils.pageInit("mall/finanOrder/payment","userCenter/index",{});
			}else{
				--number;
				$(pageId+" #timer").html(number);
			}
		};
		_intervalId=setInterval(time,1000);
	}

	function finan_back_resuls()
	{

		var pageInParam  = appUtils.getPageParam();
		var order_id=pageInParam.order_id;
//		var tot_price=pageInParam.tot_price;
//		var entrust_state=pageInParam.entrust_state;
//		var product_name=pageInParam.product_name;
//		var error_msg=pageInParam.error_msg;
//		var _prePageCode = appUtils.getSStorageInfo("_prePageCode");

		//防止直接跳过
		if(order_id==null)
		{
			layerUtils.iMsg(1, "数据加载错误！");
			appUtils.pageInit("mall/finanOrder/payment","mall/moneyShop",{});
			return false;
		}
	}
	//查询收益时间
	function fundOtcFundTime(){
		service.findTradeDate({},function(data){
			if(data.error_no=="0"){
				var now_time=data.results[0].now_time;//现在的时间
				var next_trade_date = data.results[0].next_trade_date;//下一个交易日
				var next_nexttrade_date = data.results[0].next_nexttrade_date;//下两个交易日
				$(pageId+" .jy_result li:eq(1) span").html(next_trade_date);
				$(pageId+" .jy_result li:eq(2) span").html(next_nexttrade_date);
			}
		});
	}
	function fundFundTime(){
		service.findTradeDate({},function(data){
			if(data.error_no=="0"){
				var now_time=data.results[0].now_time;//现在的时间
				var next_trade_date = data.results[0].next_trade_date;//下一个交易日
				$(pageId+" .jy_result li:eq(1) span").html(next_trade_date);
				$(pageId+" .jy_result li:eq(2) span").html("");
			}
		});
	}
	/**
	 * 查询理财首页的理财产品
	 */
	function recommendLc() {
		var param = {
				"product_type" : "5"
			};
		service.findRecommend(param,function(data) {
			var error_no = data.error_no;
			var error_info = data.error_info;
			if (error_no == 0) {
				var results = data.results;
				$(pageId + " #lc_shop").html("");//清空
				var str="";
				if(results.length!="0"){
					str+="";
				}
				
				for ( var i = 0; i < results.length; i++) {
					var fina_belongs = results[i].fina_belongs;
					var product_type=results[i].product_type;
					var fina_type=results[i].fina_type;
					var incomeunit=results[i].incomeunit;
					var investment_horizon=results[i].investment_horizon;
					var per_buy_limit=results[i].per_buy_limit;
					var product_code=results[i].product_code;
					var product_description=results[i].product_description;
					var product_id=results[i].product_id;
					var product_name=results[i].product_name;
					var product_shelf=results[i].product_shelf;
					var product_status=results[i].product_status;
					var product_marking=results[i].product_marking;
					var risk_level_type=results[i].risk_level_type;
					var est_date=results[i].est_date;
					var end_date=results[i].end_date;
					var create_time = results[i].create_time;
					var three_rose = results[i].three_rose;//中航航行宝七日年华收益率
					var isaviation = results[i].isaviation;//中航航行标志
					var str="";
					var time="";
					var share_bq="";
					if(product_marking!=""){
						var share = product_marking.split(",");//切割标签配置
						for(var j = 0;j<share.length;j++){
							share_bq+="<i class='lab'>"+share[j]+"</i>";
						}
					}else{
						share_bq="";
					}
					str+="<div class='pro_new_box productLc_details' product_id="+product_id+" product_type='5'><ul class='a1'><li>" +
					"<h3 class='tit'>"+product_name+time+"</h3><div class='pub_title'><div class='persen'>" +
					"<em class='pens'>"+(parseFloat(incomeunit)*100 ).toFixed(2)+"<span>%</span></em><p class='a1'>年化收益率</p></div><div class='pub_title_box pl20'>" +
					"<p class='a2'><span>"+investment_horizon+"天</span>锁定期</p><p class='a3'><span>"+per_buy_limit+"元</span>起购</p></div></div>" +
					"<div class='bot clearfix'>"+share_bq+"</div></li></ul></div>";
					$(pageId + " #lc_shop").append(str);
				};
				
				//点击產品进入详情
				appUtils.bindEvent($(pageId+"  .productLc_details"),function(){
					var param = {
						"product_id" :  $(this).attr("product_id"),
						"product_type" : $(this).attr("product_type"),
						"curPage":1,
						"pageCode" : "mall/moneyShop"
					};
					appUtils.setSStorageInfo("_tzPageCode","account/index");
					appUtils.pageInit("mall/moneyShop","mall/stickMoneyIn",param);
				});
			} else {
				layerUtils.iMsg(-1, error_info);
			}
		});
	}
	/**
	 * 查询至胜投产品
	 */
	function recommendOtcFund(){
		var param = {
				"product_type" : "9"
			};
		service.findRecommend(param,function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			if(error_no == 0){
				var results = data.results;
				for(var i = 0;i<results.length;i++){
					var fina_belongs = results[i].fina_belongs;
					var product_type=results[i].product_type;
					var fina_type=results[i].fina_type;
					var incomeunit=results[i].incomeunit;
					var investment_horizon=results[i].investment_horizon;
					var per_buy_limit=results[i].per_buy_limit;
					var product_code=results[i].product_code;
					var product_description=results[i].product_description;
					var product_id=results[i].product_id;
					var product_name=results[i].product_name;
					var product_shelf=results[i].product_shelf;
					var product_status=results[i].product_status;
					var product_marking=results[i].product_marking;
					var risk_level_type=results[i].risk_level_type;
					var est_date=results[i].est_date;
					var end_date=results[i].end_date;
					var create_time = results[i].create_time;
					var three_rose = results[i].three_rose;//中航航行宝七日年华收益率
					var isaviation = results[i].isaviation;//中航航行标志
					var str="";
					var time="";
					var share_bq="";//标签
					if(product_marking!=""){
						var share = product_marking.split(",");//切割标签配置
						for(var j = 0;j<share.length;j++){
							share_bq+="<i class='lab'>"+share[j]+"</i>";
						}
					}else{
						share_bq="";
					}
					//中航航行宝
					if(isaviation=="1"){
						 str+="<div class='pro_new_box productotc_details' product_id="+product_id+" isaviation="+isaviation+" product_type='9'><ul class='a1 zhfundDels' product_id="+product_id+" product_type="+product_type+"><li><h3 class='tit'>"+product_name+time+"</h3>" +
						"<div class='pub_title'><div class='persen'><em class='pens'>"+(parseFloat(three_rose)*100).toFixed(2)+"<span>%</span></em>" +
						"<p class='a1'>"+risk_level_type+"</p></div><div class='persen border-left'>" +
						"<p class='a3'><span>申购赎回零费用</span></p><p class='a2'><span>"+per_buy_limit+"元起购</span></p>" +
						"</div></div><div class='bot clearfix'>" +share_bq+
					    "</div></li></ul></div>";
					}else{
						if(fina_type=="7a"){//随心投
							var a=product_description.split(" ");
							var description1=a[0]+a[1];//简介
							str+="<div class='pro_new_box productotc_details' product_id="+product_id+" fina_type="+fina_type+" product_type='9'><ul class='a1'><li><h3 class='tit'>"+product_name+time+"</h3>"+
							"<div class='pub_title'><div class='persen'><em class='pens' class='avic_cyl'>"+(parseFloat(three_rose)*100).toFixed(2)+"<span>%</span></em>" +
							"<p class='a1'>七日年化收益率</p></div><div class='pub_title_box pl20'>" +
							"<p class='a2'><span>"+description1+"</span></p><p class='a3'><span>"+a[2]+"</span></p>" +
							"</div></div><div class='bot clearfix'>"+share_bq+"</div></li></ul></div>";
						}else{
							str += "<div class='pro_new_box productotc_details' product_id="+product_id+" product_type='9'><ul class='a1'><li>" +
							"<h3 class='tit'>"+product_name+time+"</h3><div class='pub_title'>" +
							"<div class='pub_title_box'><em class='pens'>"+(parseFloat(incomeunit)*100 ).toFixed(2)+"<span>%</span></em><p class='a1'>"+risk_level_type+"</p>" +
							"</div><div class='pub_title_box'><em class='pens f16'>"+(parseFloat(end_date)*100 ).toFixed(2)+"<span>%</span></em><p class='a1 pl5'>今年以来年化</p>" +
							"</div><div class='persen border-left'><p class='a3'><span>"+per_buy_limit+"元起购</span></p><p class='a2'><span>截止:"+est_date+"</span></p>" +
							"</div></div><div class='bot clearfix'>"+share_bq+"</div></li></ul></div>";
						}
					}
					$(pageId+" #otcfund_zst").append(str);
				}
				//进入产品详情
				appUtils.bindEvent($(pageId+"  .productotc_details"),function(e){
					var fina_type=$(this).attr("fina_type");
					var isaviation=$(this).attr("isaviation");
					var param = {
						"product_id" :$(this).attr("product_id"),
						"product_type" :$(this).attr("product_type"),
						"pageCode" : "mall/moneyShop"
					};
					if(isaviation=="1"){
						appUtils.pageInit("mall/moneyShop", "mall/zhFundDetails",param);
					}else{
						if(fina_type=="7a"){
							appUtils.pageInit("mall/moneyShop", "avicBao/avicHomePage",param);
						}else{
							appUtils.pageInit("mall/moneyShop", "mall/otcFundDetails",param);
						}
					}
					e.stopPropagation();
				});
			}
			
		});
	}
	/**
	 * 查询资讯首页的资讯产品
	 */
	function recommendZx(){
		var param = {
			"product_type" : "7"
		};
			service.findRecommend(param, function(data) {
				var error_no = data.error_no;
				var error_info = data.error_info;
				if(error_no == 0)
				{
					var results = data.results;
					$(pageId + " #zx_lbiao").html("");
					for(var i = 0;i<results.length;i++)
					{
						var fina_belongs = results[i].fina_belongs;
						var product_type=results[i].product_type;
						var fina_type=results[i].fina_type;
						var incomeunit=results[i].incomeunit;
						var investment_horizon=results[i].investment_horizon;
						var per_buy_limit=results[i].per_buy_limit;
						var product_code=results[i].product_code;
						var product_description=results[i].product_description;
						var product_id=results[i].product_id;
						var product_name=results[i].product_name;
						var product_shelf=results[i].product_shelf;
						var product_status=results[i].product_status;
						var product_marking=results[i].product_marking;
						var risk_level_type=results[i].risk_level_type;
						var est_date=results[i].est_date;
						var end_date=results[i].end_date;
						var create_time = results[i].create_time;
						var three_rose = results[i].three_rose;//中航航行宝七日年华收益率
						var isaviation = results[i].isaviation;//中航航行标志
						var str="";
						var time="";
						var real_name="";
						if(real_name==""){
							real_name=investment_horizon;//产品联系人
						}
						var cpgsVa="";
						if(est_date!=""){
							cpgsVa="<p class='xq'><span class='name'>主办  "+real_name+"</span><span class='lv'><b>"+product_marking+"&nbsp;&nbsp;"+product_status+"级</b></span></p>";
						}else{
							cpgsVa="";
						}
						if(per_buy_limit==""){
							per_buy_limit="0";
						}
						var  str="<div class='product_info_box productzx_details' style='border-top:0.02rem solid #e8e8e8' product_id="+product_id+" product_type='7'><div class='top clearfix'><span class='tit' style='width:2.2rem'>"+product_name+time+" </span>" +
								"<em class='a1'>"+per_buy_limit+"人订阅</em></div>"+cpgsVa+
								"<p class='moeny'><span class='a1'><b>￥</b>"+fina_belongs+"<b class='f12'></b></span>" +
								"</p><p class='js'><span>"+product_description+"</span>" +
								"</p></div>";
						$(pageId + " #zx_lbiao").append(str);
					}
					
					//点击產品进入详情
					appUtils.bindEvent($(pageId+"  .productzx_details"),function(e){
						var param = {
							"product_id" :$(this).attr("product_id"),
							"product_type" :$(this).attr("product_type"),
							"pageCode" : "mall/moneyShop"
						};
						appUtils.pageInit("mall/moneyShop", "mall/itemsFinanIn",param);
						e.stopPropagation();
					});	
				} else {
					layerUtils.iMsg(-1, error_info);
				}
			});
	}
	//抽奖检查
	function fundOtcFlow(){
		var khh = appUtils.getSStorageInfo("khh");//判断该客户的客户号
		var param={
			"khh":khh,
			"flag":"2"//传入抽奖活动的编码
		};
		appUtils.setSStorageInfo("flag","2");//把活动编码存到绘画中
		service.findflowjh(param,function(data){
			if(data.error_no == "0"){
				var datasult = data.results;
				if(datasult[0].type == "2"){//显示抽奖图片
					$(pageId+" #otcfund_flow").show();	
				}else{//隐藏抽奖图片
					$(pageId+" #otcfund_flow").hide();	
				}
			}
		});
	}
	//2、事件 绑定
	function bindPageEvent()
	{

		//绑定返回事件
		appUtils.bindEvent($(pageId+" .icon_back"),function() {
			clearInterval(_intervalId);
			appUtils.pageInit("mall/finanOrder/confirmOrder","mall/moneyShop");
		}); 
	
		//绑定点击跳转事件
		/*appUtils.bindEvent($(pageId+" .btn_box3 a:eq(0)"),function() {
			clearInterval(_intervalId);
			appUtils.pageInit("mall/finanOrder/payment","userCenter/wd",{});
		});*/
		
		appUtils.bindEvent($(pageId+" .right_btn"),function() {
			clearInterval(_intervalId);
			appUtils.pageInit("mall/finanOrder/payment","mall/moneyShop");
		}); 
		
		//appUtils.bindEvent($(pageId+" .btn_box3 a:eq(1)"),function() {
		appUtils.bindEvent($(pageId+" .btn_box3 a:eq(0)"),function() {
			clearInterval(_intervalId);
			appUtils.pageInit("mall/finanOrder/payment","mall/moneyShop");
		}); 
		//绑定点击分享事件
		appUtils.bindEvent($(pageId+" #appShare"),function() {
			var user_id = appUtils.getSStorageInfo("user_id");
			if(user_id == "" || user_id == null){
				appUtils.pageInit("mall/finanOrder/payment","account/userLogin");
				return false;
			}
			
		}); 
		//点击进行抽奖
		appUtils.bindEvent($(pageId+" #otcfund_flow"),function(){
			var param={
				"pageCode":"mall/finanOrder/payment",
				"flag":appUtils.getSStorageInfo("flag")
			};
			appUtils.pageInit("mall/finanOrder/payment","activity/activityFlow",param);
		});
	}

	//3、销毁
	function destroy()
	{
		clearInterval(_intervalId);
		$(pageId+" .n2 h5").html("开始计算收益");
		$(pageId+" .n3 h5").html("收益到账");
		$(pageId+" #otcfund_flow").hide();	
	}

	var payment =
	{
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};

	module.exports = payment;

	});