/**
 * 新固守理财--确认订单
 */
define('mall/scripts/mall/finanOrder/stickMoneyBuy.js',function(require, exports, module){	
	var _pageId = "#mall_finanOrder_stickMoneyBuy ";
    var	pageCode = "mall/finanOrder/stickMoneyBuy";//自己页面的地址
	var appUtils = require("appUtils"); 
	var layerUtils = require("layerUtils");
	var putils = require("putils");
	var validatorUtil= require("validatorUtil");
	var service = require("mobileService"); //业务层接口，请求数据
	var gconfig = require("gconfig");
	var platform=gconfig.platform;//判断app或pc用
	var product_type="";//传过来的是固守和信托的等级
	var prePageCode="";//从页面传过来的页面地址
	var constants = require("constants");// 常量类
	var common = require("common");
	var product_id="";//产品id
	var global = gconfig.global;
	var URL=global.url;
	var isjtxs="";
	var isjtcp="";
	var prePageCode2="";
	var global = gconfig.global;//分享取数据用
	var shareTitle="";//分享用的标题
	var external = require("external");//原生
	var product_status="";//产品状态
	var fund_min_money;//基金最低启投
	var limi;//最低的价钱
	var fid_tadm="";
	var fid_jjdm="";
	var product_id="";
	var risk_level="";
	var curPage="";
	
	var dingy_type="";
	var fee_way_type="";
	var fee_way_percent="";
	var effect_time="";
	
	var isfb="";
	//1、初始化 --
	function init() {
		 common.initTitle(_pageId);
		 
		 curPage = appUtils.getPageParam("curPage");
		 product_type = appUtils.getPageParam().product_type;//传过来的是固守的等级
		 prePageCode = appUtils.getPageParam("pageCode");//从页面传过来的页面地址
		 prePageCode2 = appUtils.getPageParam("prePageCode");
		 product_id  = appUtils.getPageParam().product_id;//产品id
		 if(product_type=="8"){
			//查询基金单个信息
			findFund();
		 }else if(product_type=="9"){//otc基金单个信息
			 findOtcFundById();
		 }
		 else{
			//查询固收和资讯单个信息
			findByid();
		}
		//判断有没有签署协议
		if("7"!=product_type){
			findAgreement();
		}else{
			$(_pageId+" .deal_box").hide();
		}
		if("9"==product_type){
			// 基金类
			$(_pageId+" #xyDiv").show();
		}
	}
	//otc基金单个信息
	function findOtcFundById(){
		var product_id = appUtils.getPageParam("product_id");
		var param  ={
			"product_id":product_id
		};
		service.findOtcFundById(param,function(otcdata){
			if(otcdata.error_no!="0")
			{
				layerUtils.iAlert(otcdata.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			var results = otcdata.results;
			var est_date = results[0].est_date;//成立日期也是计息日期
			product_status = results[0].product_status;//产品的状态
			var end_date = results[0].end_date;//终止日期
			var register_corp_code = results[0].register_corp_code;//机构
			 risk_level=results[0].risk_level;//产品风险等级
			var product_name= results[0].product_name;//产品全名
			 limi = results[0].per_buy_limit;//最低价钱
			var product_code=results[0].product_code;//产品编码
			var incomeunit = results[0].incomeunit;//收益率
			var investment_horizon = results[0].investment_horizon;//产品期限
			var buy_add_pace= results[0].buy_add_pace;//追加购买最低金额
			var per_buy_limit=results[0].per_buy_limit;//产品价钱
			var max_bids_amt=results[0].max_bids_amt;//购买上线
			shareTitle=results[0].product_name;//分享用的名字
			appUtils.setSStorageInfo("register_corp_code",register_corp_code);
			appUtils.setSStorageInfo("est_date",est_date);
			appUtils.setSStorageInfo("end_date",end_date);
			appUtils.setSStorageInfo("risk_level",risk_level);//产品风险等级
			if(incomeunit==null||incomeunit==""){//判断收益率为空
				incomeunit="0";
			}else{
				if(incomeunit.indexOf(".")!=-1){
				   incomeunit=(parseFloat(incomeunit)*100).toFixed(2);
				};
			}
			var limizd =limi.split(".");
			$(_pageId+" #product_html").html("");
			var str="<h2>"+product_name+"</h2><ul class='clearfix'><li>起购金额：<span >"+per_buy_limit+"元</span></li><li>购买上限：<span>"+max_bids_amt+"元</span></li></ul>";
			$(_pageId+" #product_html").html(str);
			$(_pageId+" #goum_je").html("");
			$(_pageId+" #goum_je").html("<div class='ui label'>购买金额</div><input type='text' id='buyValue' class='ui input'  placeholder='"+limizd[0]+"元起购(每"+buy_add_pace+"元递增)'>");
			
		});
	}
	//查询基金单个信息
	function findFund(){
		var product_id = appUtils.getPageParam("product_id");
		var param  ={
			"product_id":product_id
		};
		service.findFundById(param,function(data){
			if(data.error_no!="0")
			{
				layerUtils.iAlert(data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			
			if(product_type == "8"){
				var results = data.results;
				 fid_tadm = results[0].fid_tadm;//基金公司编码
				 fid_jjdm = results[0].product_id;//基金代码
				var fid_jjqc = results[0].fid_jjqc;//基金全称
				var fid_ljjz = results[0].fid_ljjz;//累计净值
				var fid_jjjz = results[0].fid_jjjz;//基金净值
				var fid_nsyl = results[0].fid_nsyl;//年化收益率
				var fund_type=results[0].fund_type;//是否新发
				var buy_min_fris= results[0].buy_min_fris;//首次申购最小值
				var buy_min_secod= results[0].buy_min_secod;//追加申购最小值
				var sub_min_fris= results[0].sub_min_fris;//首次认购最小值
				var sub_min_secod= results[0].sub_min_secod;//追加认购最小值
				 if(fund_type!=""&&typeof(fund_type)!="undefined"){//认购的最小值的判断
					 var fund_min=sub_min_fris+"元";
					 var fund_min_z=sub_min_secod+"元";
					 if(parseInt(sub_min_fris)>100000){
							fund_min=sub_min_fris.substring(0,(sub_min_fris.length-4))+"万元";
						}
						if(parseInt(sub_min_secod)>100000){
							fund_min_z=sub_min_secod.substring(0,(sub_min_secod.length-4))+"万元";
						}
					 fund_min_money="认购"+fund_min+"起(追加"+fund_min_z+")";
				 }else{//申购最小值的判断
					 var fund_zuij=buy_min_fris+"元";
					 var fund_zuijia=buy_min_secod+"元";
					 if(parseInt(buy_min_fris)>=100000){
							fund_zuij=buy_min_fris.substring(0,(buy_min_fris.length-4))+"万元";
						}
						if(parseInt(sub_min_secod)>100000){
							fund_zuijia=buy_min_secod.substring(0,(buy_min_secod.length-4))+"万元";
						}
					 fund_min_money="申购"+fund_zuij+"起(追加"+fund_zuijia+")";
				 }
				$(_pageId+" #product_html").html("");
				var str="<h2>"+fid_jjqc+"</h2><ul class='clearfix'><li>基金代码：<span>"+fid_jjdm+"</span></li>" +
						"<li>基金净值：<span>"+fid_jjjz+"</span></li></ul>";
				$(_pageId+" #product_html").html(str);
				$(_pageId+" #goum_je").html("<div class='ui label'>购买金额</div><input type='text' id='buyValue' class='ui input'  placeholder='"+fund_min_money+"'>");
			}
		},"");
	}
	
	//查询理财单个信息
	function findByid(){
		if(product_type=="5"){//固收理财
			var param  ={
				"product_id":product_id,
				"product_sub_type":"1"
			};
		//查询固守理财产品
		service.finanInfo(param,function(data){
			if(data.error_no!="0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			var perData = data.results;
			 isjtxs =perData[0].isjtxs;//是否是集团尊贵产品
			var zffs =perData[0].zffs;//支付方式
			var ed = perData[0].ed;//剩余价钱
			 isjtcp = perData[0].isjtcp;
			var est_date = perData[0].est_date;//成立日期也是计息日期
			product_status = perData[0].product_status;//产品的状态
			var end_date = perData[0].end_date;//终止日期
			var register_corp_code = perData[0].register_corp_code;
			risk_level=perData[0].risk_level;//产品风险等级
			var product_name= perData[0].product_name;//产品全名
			 limi = perData[0].per_buy_limit;//最低价钱
			var product_code=perData[0].product_code;//产品编码
			var incomeunit = perData[0].incomeunit;//收益率
			var investment_horizon = perData[0].investment_horizon;//产品期限
			var buy_add_pace=perData[0].buy_add_pace;//加钱
			shareTitle=perData[0].product_name;//分享用的名字
			
			
			appUtils.setSStorageInfo("register_corp_code",register_corp_code);
			appUtils.setSStorageInfo("est_date",est_date);
			appUtils.setSStorageInfo("end_date",end_date);
			appUtils.setSStorageInfo("risk_level",risk_level);//产品风险等级
			if(incomeunit==null||incomeunit==""){//判断收益率为空
				incomeunit="0";
			}else{
				if(incomeunit.indexOf(".")!=-1){
				   incomeunit=(parseFloat(incomeunit)*100).toFixed(2);
				};
			}
			var limizd =limi.split(".");
			var buy_add_pace1 =buy_add_pace.split(".");
			$(_pageId+" #product_html").html("");
			var str="<h2>"+product_name+"</h2><ul class='clearfix'><li>收益率：<span>"+incomeunit+"%</span></li>" +
					"<li>产品期限:<span>"+investment_horizon+"天</span></li><li>起购金额：<span  id='qgje'>"+limi+"</span></li>"+
					"<li>计息日期：<span>"+est_date+"</span></li></ul>";
			$(_pageId+" #product_html").html(str);
			$(_pageId+" #goum_je").html("");
			$(_pageId+" #goum_je").html("<div class='ui label'>购买金额</div><input type='text' id='buyValue' class='ui input'  placeholder='"+limizd[0]+"元起购(每"+buy_add_pace1[0]+"元递增)'>");
			//剩余金额
			if(ed!=null||ed!="") {
				var ed1 = putils.fmoney(ed);
				$(_pageId+" #ljfk").attr("ed",ed1);
			}
		});
		}else{//资讯产品
			var param  ={
					"product_id":product_id,
					"product_sub_type":"1",
					"productType":"7",
					"userid":appUtils.getSStorageInfo("user_id")
				};
				service.finanInfo(param,function(data){
					if(data.error_no!="0"){
						layerUtils.iMsg(-1,data.error_info);
						layerUtils.iLoading(false);
						return false;
					}
					var perData = data.DataSet;
					isjtxs =perData[0].isjtxs;//是否是集团尊贵产品
					zffs = perData[0].zffs;
					cpgs = perData[0].cpgs;//投顾id
					
					isfb = perData[0].isfb;
					
					fee_way_type=perData[0].fee_way_type;
					fee_way_percent=perData[0].fee_way_percent;
					effect_time=perData[0].effect_time;
					product_seq=perData[0].product_seq;
					var iss_bgn_date = perData[0].iss_bgn_date;//体验开始日期
					var iss_end_date = perData[0].iss_end_date;//体验结束日期
					var risk_lvl = perData[0].risk_lvl;//产品风险等级
					var productrisklevel = "";//产品风险等级
					if(risk_lvl == "1"){
						productrisklevel = "低";
					}else if(risk_lvl == "2"){
						productrisklevel = "中低";
					}else if(risk_lvl == "3"){
						productrisklevel = "中";
					}else if(risk_lvl == "4"){
						productrisklevel = "中高";
					}else if(risk_lvl == "5"){
						productrisklevel = "高";
					}
					if(iss_bgn_date == "0"){
						iss_bgn_date = "T+1日生效";
					}
					if(iss_end_date == "0"){
						iss_end_date = perData[0].can_expe_days + "天后结束";
					}
					$(_pageId+" #product_html").html("");
					if(fee_way_type!=""){
						var str="<h2>"+perData[0].inst_sname+"</h2><ul class='clearfix'><li>产品风险等级：<span>"+productrisklevel+"</span></li></ul><ul><li  style='width:100%'>" +
						"生效日期：<span>"+effect_time+"</span></li></ul>";
						$(_pageId+" #product_html").html(str);
					}else{
						var str="<h2>"+perData[0].inst_sname+"</h2><ul class='clearfix'><li>体验天数：<span>"+perData[0].can_expe_days+"</span></li>" +
						"<li>开始体验:<span>"+iss_bgn_date+"天</span></li><li>产品风险等级：<span  id='qgje'>"+productrisklevel+"</span></li>"+
						"<li>体验结束：<span>"+iss_end_date+"</span></li></ul>";
						$(_pageId+" #product_html").html(str);
					}
					if(fee_way_type!=""){
						appUtils.setSStorageInfo("fee_way",perData[0].fee_way);
						$(_pageId+" #goum_je").hide();
						$(_pageId+" .buy_finance ul").show();
						var fee_wt="";
						var fee_wp="";
						if(product_seq=="1"){
							fee_wt="免费";
							fee_wp="免费签约";
						}else{
							if(fee_way_type=="1"){
								fee_wt="固定佣金";
								fee_wp="服务器场内A股基金交易手续费"+fee_way_percent+"‰，其他交易品种交易手续费另行约定";
							}else{
								fee_wt="提升佣金";
								fee_wp="服务器场内A股基金交易佣金在原基础上增加"+fee_way_percent+"‰，其他交易品种交易手续费另行约定";
							}
						}
						$(_pageId+" .buy_finance ul").find("li").eq(0).find("strong").html(fee_wt);
						$(_pageId+" .buy_finance ul").find("li").eq(1).find("strong").html(fee_wp);
						$(_pageId+" .buy_finance ul").find("li").eq(2).find("strong").html(perData[0].description);
						/*$(_pageId+" .buy_finance .buy_inner").find(" .newp").eq(0).find("div").html("<p>佣金提升方式："+fee_way_type+"</p>")
						$(_pageId+" .buy_finance .buy_inner").find(" .newp").eq(1).find("div").html("<p>"+fee_way_percent+"</p>")
						$(_pageId+" .buy_finance .buy_inner").find(" .newp").eq(2).find("div").html("<p>资金要求："+perData[0].money_type+"</p>")
						$(_pageId+" .buy_finance .buy_inner").find(" .newp").eq(4).find("div").html("<p>说明："+perData[0].description+"</p>")*/
						/*$(_pageId+" #yxDiv").html("<ul><li class='ui field text label no_border'>佣金提升方式："+fee_way_type+"</li><li>"+fee_way_percent+"</li><li class='ul'>资金要求："+perData[0].money_type+"</li><li class='ul'>订阅周期：无固定期限</li><li class='ul'>说明："+perData[0].description+"</li><li class='ul'>温馨提示：订阅之后，我们的工作人员将快马加鞭赶来，第一时间为您提供投资顾问服务哦！</li></ul>");*/
					}else{
						$(_pageId+" #goum_je").show();
						$(_pageId+" .buy_finance ul").hide();
						$(_pageId+" #goum_je").html("<div class='ui label'>价钱</div><input id='buyValue' type='text' class='ui input' placeholder='请选择订阅周期' readonly='readonly'>");
						var sub_cycle = perData[0].sub_cycle;
						var sub_cycleStr='<p>订阅周期</p>';
						//	if(sub_cycle.indexOf("0") != -1){
						//		sub_cycleStr +='<a href="javascript:void(0);"><input type="radio" id="day" /><label for="" id="day_span" sub_type="0">1 天</label></a>';
						//	}
						if(sub_cycle.indexOf("1") != -1){
							sub_cycleStr +='<a href="javascript:void(0);"><input type="radio" id="week" /><label for="" id="week_span" sub_type="1">1 周</label></a>';
						}
						if(sub_cycle.indexOf("2") != -1){
							sub_cycleStr +='<a href="javascript:void(0);"><input type="radio" id="april" /><label for="" id="april_span" sub_type="2">1 月</label></a>';
						}
						if(sub_cycle.indexOf("3") != -1){
							sub_cycleStr +='<a href="javascript:void(0);"><input type="radio" id="quarter" /><label for="" id="quarter_span" sub_type="3">1 季度</label></a>';
						}
						if(sub_cycle.indexOf("4") != -1){
							sub_cycleStr +='<a href="javascript:void(0);"><input type="radio" id="halfyear" /><label for="" id="halfyear_span" sub_type="4">半年</label></a>';
						}
						if(sub_cycle.indexOf("5") != -1){
							sub_cycleStr +='<a href="javascript:void(0);"><input type="radio" id="year" /><label for="" id="year_span" sub_type="5">1 年</label></a>';
						}
						if(sub_cycle.indexOf("0") != -1){
							sub_cycleStr +='<a href="javascript:void(0);"><input type="radio" id="wgd" /><label for="" id="wgd_span" sub_type="0">无固定期限</label></a>';
						}
					
						if(sub_cycle.indexOf("9") != -1){
							sub_cycleStr +='<a href="javascript:void(0);"><input type="radio" id="free" /><label for="" id="free_span" sub_type="9">免费</label></a>';
						}
						$(_pageId+" #buy_yue").html(sub_cycleStr);
						//选择订阅的周期
						appUtils.bindEvent($(_pageId+" .mychange label"),function(){
							$(this).addClass("on");//添加样式
							$(this).parent().siblings().find("label").removeClass("on");//去除其他的样式
							var sub_cycle = $(this).attr("sub_type");
							queryCyclePrice(sub_cycle);
						});
					}
					appUtils.setSStorageInfo("register_corp_code",perData[0].ta_code);
					appUtils.setSStorageInfo("est_date",iss_bgn_date);
					appUtils.setSStorageInfo("end_date",iss_end_date);
					appUtils.setSStorageInfo("risk_level",risk_lvl);
					if(perData[0].fee_way == "0"){
						appUtils.setSStorageInfo("sub_type","0");
					}else if(perData[0].fee_way == "1"){
						appUtils.setSStorageInfo("sub_type","2");
					}else if(perData[0].fee_way == "2"){
						appUtils.setSStorageInfo("sub_type","3");
					}else {
						appUtils.setSStorageInfo("sub_type","1");
					}
					var isGm = perData[0].isGm;
					if(fee_way_type!=""){
						if(isGm == "1"){
							$(_pageId+" #ljfk").html("已签约");
						}else{
							$(_pageId+" #ljfk").html("确认签约");
							buyBind();
						}
					}else{
						if(isGm == "1"){
							$(_pageId+" #ljfk").html("续订");
							buyBind();
						}else{
							$(_pageId+" #ljfk").html("确认订阅");
							buyBind();
						}
					}
				});
			};
		};
		
	/**
	 * 查询订阅周期对应的价格 
	 */
	function queryCyclePrice(sub_cycle){
		var param = {
			"inst_id" : product_id,
			"sub_cycle" : sub_cycle
		};
		var callBack = function(data){
			if(data){
				if(data.error_no == "0"){
					var results = data.results;
					var sub_price = results[0].sub_price;//产品价钱要
					 zxsp_price = results[0].sub_price;//传到视频拍产品中的价钱
					 zxsp_sname = results[0].inst_sname;//资讯产品名称
					 zxsp_id = results[0].inst_id;//资讯产品ID
					 $(_pageId+" #goum_je").html("");
					 var a=sub_price.substring(0,sub_price.indexOf(".")+3);
					 var str="<div class='ui label'>价钱</div><input id='buyValue' type='text' class='ui input' placeholder='"+a+"元' readonly='readonly'>";
					 $(_pageId+" #goum_je").html(str); 
				}else{
					layerUtils.iMsg(-1,data.error_info);
					return false;
				}
			}
		};
		var ctrlParam = {
			"isLastReq" : true,
			"isShowWait" :false
		};
		service.queryInfoPrice(param,callBack,ctrlParam);
	}
	//绑定购买事件
	function buyBind(){
		//立即提交、确认订阅
		appUtils.bindEvent($(_pageId+" #ljfk"),function(){
			var middleman_phone = $(_pageId+" #middleman_phone").val();
			if(middleman_phone!=""){
				if(!(validatorUtil.isPhone(middleman_phone))){
					layerUtils.iMsg(-1,"请输入正确的联系方式");
					return false;
				}
			}
			appUtils.setSStorageInfo("middleman_phone",middleman_phone);
			// 判断是不是交易
			dealTimeSyn();
		});
	}
	//判断是否签署协议(1有 0没有)
	function  findAgreement(){
		var user_id = appUtils.getSStorageInfo("user_id");
		var isOnlineSign = true ; // 是否支持网上开通电子签名协议
		var flag = true ;		  // 签署协议标识，true 为已签署
		var showDataList =[];
		var _agreement_id ;
		var _agreement_title ;
		var results=null; //保存结果集
		var param ={
			"user_id":user_id,
			"product_id":product_id
		};
		//协议查询
		service.findAgreement(param,function(data){
			if(data.error_no != "0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			results= data.results;
			var allProtocolStr = ""; // 所有协议字符串
			for (var i  =0; i < results.length; i++){
				if(results[i].agreement_type=="1"||results[i].agreement_type=="0"){
					if(results[i].agreement_title!=null && results[i].agreement_title!=""){
						allProtocolStr += '<a href="javascript:void(0);" contract_type="'+results[i].contract_type+'" agreement_type="'+results[i].agreement_type+'" agreement_content="'+results[i].agreement_content+'" agreement_id="'+results[i].agreement_id+'" agreement_url="'+results[i].url+'">'+results[i].agreement_title+'</a>';
					};
				};
			}
			$(_pageId+" #proContent").html(allProtocolStr);
			//绑定协议事件
			appUtils.bindEvent($(_pageId+" #proContent a"),function(){
				var agreement_url = $(this).attr("agreement_url");
				var agreement_title = $(this).html();
				// 判断是否APP
				 if(platform == "0"){
					 window.location.href=URL+agreement_url;
				}else{
					viewProtocol(agreement_url,agreement_title);
				}
				
			});
		});
	}
	//查看产品协议
	function viewProtocol(agreement_url,agreement_title){
		if(platform == "1"){
			var param={
				moduleName: "mall", // String	目标模块名	N	
				source: "mall", // String	源模块	Y
				funcNo: "50240",
				url: URL+agreement_url,
				title: agreement_title
			};
			external.callMessage(param);
		}else if(platform == "2"){
			var param={
				funcNo: "50240",
				url: URL+agreement_url,
				title: agreement_title
			};
			external.callMessage(param);
		}
	}
	//基金查询cif风险测评
	function findFundFxce(){
		var khh = appUtils.getSStorageInfo("khh");//判断返回是够绑定了客户号
		if(khh!=""&&typeof(khh)!="undefined"&&khh!=null){//
			var  param={
				"fid_khh": khh,
				"pageCode" : pageCode,
				"back_param" : appUtils.getPageParam() // 返回参数
			};
			service.findFundFxce(param,function(data){
				if(data.error_no=="0"){
					var result=data.results;
					var fid_fxcsnl=result[0].fid_fxcsnl;
					var type=result[0].type;
					if(fid_fxcsnl!=""&&typeof(fid_fxcsnl)!="undefined"){
						if(type=="1"){//表示过期了
							appUtils.pageInit(pageCode,"account/riskAssessment",param);
						}else{
							findfund();
						}
					}else{
						appUtils.pageInit(pageCode,"account/riskAssessment",param);
					}
				}
			});	
		}else{
			$(_pageId+" #jj_gc").show();//显示去开户
			$(_pageId+" #jj_tk").show();//显示去开户
		}
		
		//关闭跳转回基金详情页面
		appUtils.bindEvent($(_pageId+" .btn_cancel2"),function(){//关闭跳转
			$(_pageId+" #jj_gc").hide();//隐藏
			$(_pageId+" #jj_tk").hide();//隐藏
		});
		//开户
		appUtils.bindEvent($(_pageId+" #jt_kh"),function(e){//关闭跳转
			common.open();
		});
	}
	//检查基金风险检查并下一步
	function findfund(){
		//购买前去做风险等级
		var khh = appUtils.getSStorageInfo("khh");//判断返回是够绑定了客户号
		if(khh!=""&&typeof(khh)!="undefined"&&khh!=null){//
			var  param3={
			 "fid_khh": khh,
			 "fid_tadm":fid_tadm , 
			 "fid_jjdm":fid_jjdm  
			};
		//检查基金风险检查
		service.findFxcp(param3,function(data){
			 var error_info = data.error_info;
				if(error_info=="10"){
					$(_pageId+" #fund_fe").show();//显示出来
					$(_pageId+" #fund_fengx").show();//显示出来
				}else{
					var product_id = appUtils.getPageParam().product_id;
					var param = {
						"product_id" :product_id,
						"tot_price" : $(_pageId+" #buyValue").val(),
						"product_type" : appUtils.getPageParam().product_type,
						"sub_type":appUtils.getSStorageInfo("sub_type"),
						"prePageCode":prePageCode2,
						"zffs":"2"//表示只支持保证金支付
					};
					appUtils.pageInit("mall/finanOrder/stickMoneyBuy","payment/paymentPage",param);
				}
		});	
		}
		//继续购买基金风险检查框
		appUtils.bindEvent($(_pageId+" #fund_jxg"),function(){
			$(_pageId+" #fund_fe").hide();//隐藏
			$(_pageId+" #fund_fengx").hide();//隐藏
			var product_id = appUtils.getPageParam().product_id;
			var param = {
				"product_id" :product_id,
				"tot_price" : $(_pageId+" #buyValue").val(),
				"product_type" : appUtils.getPageParam().product_type,
				"sub_type":appUtils.getSStorageInfo("sub_type"),
				"prePageCode":prePageCode2,
				"zffs":"2"//表示只支持保证金支付
			};
			appUtils.pageInit("mall/finanOrder/stickMoneyBuy","payment/paymentPage",param);
		});
		//取消购买基金风险检查框
		appUtils.bindEvent($(_pageId+" #fund_qxg"),function(){
			$(_pageId+" #fund_fe").hide();//隐藏
			$(_pageId+" #fund_fengx").hide();//隐藏
		});
	}
	//otc基金检查是否kai
	function otcFund(buyValue){
		var khh = appUtils.getSStorageInfo("khh");//判断返回是够绑定了客户号
		if(khh!=""&&typeof(khh)!="undefined"&&khh!=null){//
			var param = {
					"tot_price" : buyValue,
					"product_id" :appUtils.getPageParam().product_id,
					"product_type" : "9",
					"prePageCode":prePageCode2,
					"zffs":"2"//表示只支持保证金支付
				};
				appUtils.pageInit("mall/finanOrder/stickMoneyBuy","payment/paymentPage",param);
		}else{
			$(_pageId+" #jj_gc").show();//显示去开户
			$(_pageId+" #jj_tk").show();//显示去开户
		}
		
		//关闭跳转回基金详情页面
		appUtils.bindEvent($(_pageId+" .btn_cancel2"),function(){//关闭跳转
			$(_pageId+" #jj_gc").hide();//隐藏
			$(_pageId+" #jj_tk").hide();//隐藏
		});
		//开户
		appUtils.bindEvent($(_pageId+" #jt_kh"),function(e){//关闭跳转
			common.open();
		});
	}
	
	/**
	 * 下单(OTC)
	 */
	function doOrder(pwd){
		var product_id = appUtils.getPageParam().product_id;
		service.getRSAKey({},function(data){
			if(data.error_no == "0"){
				var modulus = data.results[0].modulus;
				var publicExponent = data.results[0].publicExponent;
				var endecryptUtils = require("endecryptUtils");
				var trade_pwd = endecryptUtils.rsaEncrypt(modulus,publicExponent,pwd);
				var user_id=appUtils.getSStorageInfo("user_id");
				var khh = appUtils.getSStorageInfo("khh");
				var param="";
				if(appUtils.getPageParam().product_type == "7"){
					 param = {
						"user_id" : user_id,//用户ID
						"product_id" : appUtils.getPageParam().product_id,//产品ID
						"khh" : khh,//客户号
						"trade_pwd" : trade_pwd,//交易密码
						"source" : "1",//获取来源  1. 表示 保证金  2.表示理财户   默认 表示保证金
						"tot_price" : appUtils.getPageParam().tot_price,
						"business_type" : "",
						"productType":appUtils.getPageParam().product_type,
						"sub_type":"0",
						"sub_cycle":"9",
						"middleman_phone":$(_pageId+" #middleman_phone").val(),
						"agmt_sno":appUtils.getSStorageInfo("agmt_sno")
					 };
					 console.log(param);
					 service.placeOrder(param,function(data){
							if(data.error_no != "0"){
								$(_pageId+".fake-box input").val("");
				    			$(_pageId+" #payment_drop").hide();
				    			$(_pageId+" #payment_card").hide();
								layerUtils.iMsg(-1,data.error_info);
								layerUtils.iLoading(false);
								return false;
							}else{
								order_id = data.results[0].order_id;
								if(isfb=="2"){
									var param1={
										"user_id" : user_id,//用户ID
										"product_id" : appUtils.getPageParam().product_id,//产品ID
										"khh" : khh//客户号
									};
									service.insertIsfb(param1,function(data){
										if(data.error_no!="0"){
											layerUtils.iMsg(-1,data.error_info);
											layerUtils.iLoading(false);
											return false;
										}else{
											var param2={
												"product_type" :"7",
												"fee_way_type" :fee_way_type,
												"effect_time":effect_time
											};
											appUtils.pageInit("mall/finanOrder/stickMoneyBuy","mall/finanOrder/payment",param2);
										}
									});
								}else{
									var param2={
										"product_type" :"7",
										"fee_way_type" :fee_way_type,
										"effect_time":effect_time
									};
									appUtils.pageInit("mall/finanOrder/stickMoneyBuy","mall/finanOrder/payment",param2);
								}
							}
						});
				}else{
					layerUtils.iMsg(-1,"签约失败");
					return false;
				}
			}
		});
	}
	
	/**
	 * 协议签署
	 */
	function sign(){
		var user_id = appUtils.getSStorageInfo("user_id");
		var id=product_id.split(",");//切割数据获得第一个数据
		var param = {
			"user_id":user_id,
			"product_id":id[0],
	        "agreement_id":""
		};
		service.signAgreement(param,function(data){
			if(data.error_no!="0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				layerUtils.iMsg(0,"签署失败，请重新签署或联系客户，失败原因："+data.results[0].error_info);
				return false;
			}else{
				if(appUtils.getPageParam().product_type!="7"){
					layerUtils.iMsg(-1,"签约失败");
					return false;
				}else{
					$(_pageId+".fake-box input").val("");
					$(_pageId+" #tradePwd").val("");
					$(_pageId+".yuan").hide();//资讯的不显示价钱
					$(_pageId+" #payment_drop").show();
					$(_pageId+" #payment_card").show();
					$(_pageId+" #tradePwd").focus();
				}
			}
		});
	}
	
	/**
	 * 判断登入类型
	 */
	function logtype(param){
		var param1=param;
		var khh = appUtils.getSStorageInfo("khh"); //获取客户号
		if(khh!=""&&typeof(khh)!="undefined"&&khh!=null){
			sign(); //判断没有协议签署
		}else{
			var param2={
				"counTer":"请用保证金账号登入或绑定保证金账号"
			};
			common.popupMethod(param2);
			var id=param1.product_id.split(",");
			if(param1 != undefined){
				var param3 = {
					"product_id" : id[0],
					"tot_price" : param1.tot_price,
					"product_type":param1.product_type,
					"prePageCode":param1.prePageCode2
				};
				appUtils.pageInit("mall/finanOrder/stickMoneyBuy","mall/finanOrder/stickMoneyBuy",param3);
			}else{
				appUtils.pageInit("mall/finanOrder/stickMoneyBuy","mall/moneyShop");
			}
		}
	}
	
	//下一步和订阅
	function dealTimeSyn(){
		var product_type = appUtils.getPageParam().product_type;
		if(product_type!= "7"){ 
			var param={
				"date":""
			};
			service.dealTimeSyn(param,function(data){
				if(data.error_no!="0"){
					layerUtils.iMsg(-1,data.error_info);
					layerUtils.iLoading(false);
					return false;
				}else if(data.results[0].is_trade=='0'){
					layerUtils.iMsg(-1,"当前是非交易时间，产品暂停交易。");
					layerUtils.iLoading(false);
					return false;
				}
			});
		}
		if(product_type== "5"){//固收产品
			//判断金额是否可支付
			var buyValue = $(_pageId+" #buyValue").val();//购买资金
			if(buyValue==""||buyValue==null){
				buyValue=limi;
			}
			var first =$.trim($(_pageId+" #qgje").html());//首次购买起点
			if(buyValue==""){
				buyValue=0;
			};
			if(first==""){
				first=0;
			}
			//if(parseFloat(buyValue)<parseFloat(first))
			//{
			//	layerUtils.iMsg(-1,"购买的金额不能低于"+first);
			//	return false;
			//}
			
			var de= $(_pageId+" #ljfk").attr("ed");//剩下的金额
			var buyValue1= buyValue.replaceAll(",","");//去除购买资金，号
			var de1 = de.replaceAll(",","");//去除剩下的金额，号
			if(parseFloat(buyValue1)>parseFloat(de1)){
				layerUtils.iMsg(-1,"购买金额不能大于剩余金额！");
				return false;
			}
			
			var checked=$(_pageId+" #checkBox input").attr("checked");//获取是否选中
			if(checked!="checked"){
				layerUtils.iMsg(-1,"请同意并签署此购买合同！");
				return false;
			}
			//需要还事不需要开启银行卡支付
			if(constants.openBank.TYPE=="1"){//需要银行卡支付
				var param = {
						"tot_price" : buyValue,
						"product_id" :appUtils.getPageParam().product_id,
						"product_type" : appUtils.getPageParam().product_type,
						"isjtcp":isjtcp,
						"prePageCode":prePageCode2,
						"isjtxs":isjtxs
					};
					appUtils.pageInit("mall/finanOrder/stickMoneyBuy","payment/paymentPage",param);
			}else{
				//判断有没有开户，手机号有绑定客户号才可以买
				var khh = appUtils.getSStorageInfo("khh");//判断返回是够绑定了客户号
				if(khh!=""&&typeof(khh)!="undefined"&&khh!=null){//跳进支付页面
					var param = {
						"tot_price" : buyValue,
						"product_id" :appUtils.getPageParam().product_id,
						"product_type" : appUtils.getPageParam().product_type,
						"isjtcp":isjtcp,
						"prePageCode":prePageCode2,
						"isjtxs":isjtxs
					};
					appUtils.pageInit("mall/finanOrder/stickMoneyBuy","payment/paymentPage",param);
				}else{//提示去开户
					$(_pageId+" #jj_gc").show();//显示去开户
					$(_pageId+" #jj_tk").show();//显示去开户
				//关闭页面
				appUtils.bindEvent($(_pageId+" .btn_cancel2"),function(){//关闭跳转
					$(_pageId+" #jj_gc").hide();//隐藏
					$(_pageId+" #jj_tk").hide();//隐藏
				});
				//开户
				appUtils.bindEvent($(_pageId+" #jt_kh"),function(e){//关闭跳转
					common.open();
				});
			  }
			}
		}else if(product_type== "7"){//资讯产品
			var selectObj = $(_pageId+" .mychange label");
			var m = 0;
			var fee_way1=appUtils.getSStorageInfo("fee_way");
			if(fee_way_type!=""){
				dingy_type = "9";
			}
			for(var i = 0;i < selectObj.length;i++){
				if($(selectObj[i]).attr("class")=="on"){
					dingy_type = $(selectObj[i]).attr("sub_type");
					m++;
				}
			}
			appUtils.setSStorageInfo("dingy_type",dingy_type);//产品周期
			if(fee_way_type==""){
				if(m == 0){
					layerUtils.iMsg(-1,"请选择订阅周期");
					return false;
				}
			}
			/*var checked=$(_pageId+" #checkBox input").attr("checked");//获取是否选中
			if(checked!="checked"){
				layerUtils.iMsg(-1,"请同意并签署此购买合同！");
				return false;
			}*/
			//判断资讯产品是否绑定了视频产品
			var paramsp={
				"cpgs" :cpgs
			}
			service.queryZxVdio(paramsp,function(resultVo){
				var results = resultVo.results;
				if (resultVo.error_no != 0) {
					layerUtils.iAlert("产品加载失败:"+ resultVo.error_info, -1);
					return false;
				}
				var results = resultVo.results;
				resulsum=results.length;
				if( results.length==0) {
					//需要还是不需要开启银行卡支付
					if(constants.openBank.TYPE=="1"){//需要银行卡支付
						var param = {
								"product_id" :appUtils.getPageParam().product_id,
								"dingy_type":dingy_type,
								"product_type" : appUtils.getPageParam().product_type,
								"sub_type":appUtils.getSStorageInfo("sub_type"),
								"prePageCode":prePageCode2,
								"isjtxs":isjtxs,
								"zffs":zffs
						};
						appUtils.pageInit(pageCode,"payment/paymentPage",param);
					}else{
						//判断客户有没有开户
						var khh = appUtils.getSStorageInfo("khh");//判断返回是够绑定了客户号
						if(khh!=""&&typeof(khh)!="undefined"&&khh!=null){//跳进支付页面
							var param = {
								"product_id" :appUtils.getPageParam().product_id,
								"dingy_type":dingy_type,
								"product_type" : appUtils.getPageParam().product_type,
								"sub_type":appUtils.getSStorageInfo("sub_type"),
								"prePageCode":prePageCode2,
								"isjtxs":isjtxs,
								"zffs":zffs
							};
							if(fee_way_type!=""){
								logtype(param);//判断登入类型
							}else{
								appUtils.pageInit(pageCode,"payment/paymentPage",param);
							}
						}else{//提示去开户
							$(_pageId+" #jj_gc").show();//显示去开户
							$(_pageId+" #jj_tk").show();//显示去开户
						//关闭页面
						appUtils.bindEvent($(_pageId+" .btn_cancel2"),function(){//关闭跳转
							$(_pageId+" #jj_gc").hide();//隐藏
							$(_pageId+" #jj_tk").hide();//隐藏
						});
						//开户
						appUtils.bindEvent($(_pageId+" #jt_kh"),function(e){//关闭跳转
							common.open();
						});
					  }
					}
					
				}
				if (results && results.length > 0) {
					$(_pageId + " #sp_gc").show();
					$(_pageId + " #sp_tzc").show();
					zxl_price=parseFloat(zxsp_price);
					$(_pageId + " #zx_name").html(zxsp_sname+"<span >￥"+parseFloat(zxl_price).toFixed(2)+"</span>");
					$(_pageId + "#zxvdio").html("");
					vdiohtml="";
					
					var sum_sub_price= zxl_price;
					var sum_original_price = zxl_price;
					for (var i = 0; i < results.length; i++) {
						var name=results[i].name;//产品名称
						var sub_price = results[i].sub_price;//产品优惠价
						 sub_price2=parseFloat(sub_price).toFixed(2);
						 var inst_id = results[i].inst_id;//产品编号
						var original_price1 = results[i].original_price;//产品原价
						 original_price=parseFloat(original_price1).toFixed(2);
						var intro = results[i].intro.substring(0,20);//产品简介
						var tjzd = results[i].tjzd.substring(0,20);//产品简介
						var photo = results[i].photo;//产品小图片
						 spdj=results[i].spdj;//视频等级
						 cpgs==results[i].spdj;
						 var tjzd= results[i].tjzd.substring(0,30);//推荐与
						 vdiohtml+="<div class='forum_pro' sub_price2="+sub_price2+" original_price_zj="+original_price+"><div class='ui checkbox obj'  ><input name='procheck' type='checkbox' class='checkbox_1' value="+inst_id+" tot_price="+sub_price2+" original_price="+original_price+"  checked='true' >" +
							"<label></label></div><dl class='clearfix shipin' spdj="+spdj+" cpgs="+cpgs+"><dt><img src='"+URL+photo+"' alt=''></dt>" +
							"<dd><strong>"+name+"</strong><p>"+tjzd+"...</p>" +
							"</dd><dd>	<div class='price_box'><strong>￥"+sub_price2+"</strong><p>￥"+original_price+"</p></div></dd></dl></div>";
						 sum_sub_price+=sub_price2*1;
						 sum_original_price+=original_price*1;
					}
					vdiohtml+="<div class='forumpay_box'><div class='ui checkbox' id='checkboxall'><input  type='checkbox' id='checkbox_1' checked='true'>" +
							 "<label>全选</label></div><strong class='xz_sp'>合计：<em>￥"+parseFloat(sum_sub_price).toFixed(2)+"</em></strong><p class='yh_jq'>优惠：<span>￥"+parseFloat((sum_original_price-sum_sub_price)).toFixed(2)+"</span></p>" +
							 "<a href='javaScript:void(0);' class='btn_pay'>立即支付</a></div>";
					$(_pageId + "#zxvdio").append(vdiohtml);
					
				}
				//关闭icon_close
				appUtils.bindEvent($(_pageId + " .icon_close"), function() {
					$(_pageId + " #sp_gc").hide();
					$(_pageId + " #sp_tzc").hide();
					$(_pageId + "#zxvdio").html("");
					$(_pageId + " #zx_name").html("");
				});
				//点击购买
				appUtils.bindEvent($(_pageId + " .btn_pay"), function(event) {
					//获取选中的产品id
					var inst_id =[zxsp_id]; 
					var product_id="";
					$('input[name="procheck"]:checked').each(function(){ 
						inst_id.push($(this).val()); 
					});
					if(inst_id.length==1){//判断只买资讯产品
						product_id=zxsp_id;
					}else{//当选了视频产品的时候
						for(var i=0;i<inst_id.length;i++){
							 id=inst_id[i];
							product_id+=id+",";
						}	
					}
					
					var tot_price =[];//选中产品的价钱
					$('input[name="procheck"]:checked').each(function(){ 
						tot_price.push($(this).attr("tot_price"));
					});
					zxl_price=parseFloat(zxsp_price);
					var tot_price1=zxl_price;//选中产品的总价钱
					for(var i=0;i<tot_price.length;i++){
						 price=tot_price[i];
						 original_price=parseFloat(price);
						 tot_price1+=original_price;
					}
				var user_id = appUtils.getSStorageInfo("user_id");
				if(user_id==""||user_id==null){
					var param = {
						"product_type":"7",
						"product_id":inst_id
					};
					appUtils.pageInit(pageCode,"account/userLogin",param);
				}else{
					if(constants.openBank.TYPE=="1"){//需要银行卡支付
						var param = {
								"product_id":product_id,
								"zxsp_id":zxsp_id,
								"product_type" : "7",
								"dingy_type":dingy_type,
								"sub_type":"2",
								"spdj":spdj,
								"tot_price":tot_price1,
								"page_code":pageCode,
								"isjtxs":isjtxs
							};
						appUtils.pageInit(pageCode,"payment/paymentPage",param);
					}else{
						//判断客户有没有开户
						var khh = appUtils.getSStorageInfo("khh");//判断返回是够绑定了客户号
						if(khh!=""&&typeof(khh)!="undefined"&&khh!=null){//跳进支付页面
						
								var param = {
									"product_id":product_id,
									"zxsp_id":zxsp_id,
									"product_type" : "7",
									"dingy_type":dingy_type,
									"sub_type":"2",
									"spdj":spdj,
									"tot_price":tot_price1,
									"page_code":pageCode,
									"isjtxs":isjtxs
								};
								appUtils.pageInit(pageCode,"payment/paymentPage",param);	
							
						}else{//提示去开户
							$(_pageId+" #jj_gc").show();//显示去开户
							$(_pageId+" #jj_tk").show();//显示去开户
							$(_pageId+" #sp_tzc").hide();//隐藏
							
							//关闭页面
							appUtils.bindEvent($(_pageId+" .btn_cancel2"),function(){//关闭跳转
								$(_pageId+" #jj_gc").hide();//隐藏
								$(_pageId+" #jj_tk").hide();//隐藏
								$(_pageId+" #sp_gc").hide();//隐藏
							});
							//开户
							appUtils.bindEvent($(_pageId+" #jt_kh"),function(e){//关闭跳转
								common.open();
							});
						}
					}
				}
				 event.stopPropagation();
				},"touchstart");
				//全选
				appUtils.bindEvent($(_pageId + " .forumpay_box "), function(event) {
					var checked =$(_pageId + " #checkbox_1").is(":checked");
					if(checked){
						$(_pageId + " .checkbox_1").prop("checked",false);
						$(_pageId + " #checkbox_1").prop("checked",false);
						$(_pageId + " .xz_sp").html("合计：<em>￥"+parseFloat(zxl_price).toFixed(2)+"</em>");
						$(_pageId + " .yh_jq").html("优惠：<span>￥0</span>");
					}else{
						$(_pageId + " .checkbox_1").prop("checked",true);
						$(_pageId + " #checkbox_1").prop("checked",true);
						$(_pageId + " .xz_sp").html("合计：<em>￥"+parseFloat(sum_sub_price).toFixed(2)+"</em>");
						$(_pageId + " .yh_jq").html("优惠：<span>￥"+parseFloat((sum_original_price-sum_sub_price)).toFixed(2)+"</span>");
					}
	                 event.preventDefault();
				},"touchstart");
				//点击进入单个几个详情页面
				appUtils.bindEvent($(_pageId + " .shipin "), function(e) {
					var spdj=$(this).attr("spdj");
					var cpgs=$(this).attr("cpgs");
					var param={
						"spdj":spdj,
						"cpgs":cpgs,
						"zxsp_id":zxsp_id
					};
					
					appUtils.pageInit(pageCode, "mall/vidoDetails",param);
					e.stopPropagation();
				},"touchstart");
				
				//单选
				appUtils.bindEvent($(_pageId + " .forum_pro "), function(event) {
					var tot_price =[];//选中产品的优惠价钱
					$('input[name="procheck"]:checked').each(function(){ 
						tot_price.push($(this).attr("tot_price"));
					});
					var tot_price1=0;//选中产品的优惠总价钱
					for(var i=0;i<tot_price.length;i++){
						 price=tot_price[i];
						 original_price=parseFloat(price);
						 tot_price1+=original_price;
					}
					var sub_price2=$(this).attr("sub_price2");//选中的优惠价钱
					
					var original_price =[];//选中产品的总价钱
					$('input[name="procheck"]:checked').each(function(){ 
						original_price.push($(this).attr("original_price"));
					});
					var original_price2=0;//选中产品的总价钱
					for(var j=0;j<original_price.length;j++){
						 price1=original_price[j];
						 original_price1=parseFloat(price1);
						 original_price2+=original_price1;
					}
					var original_price_zj=$(this).attr("original_price_zj");//选中的总价钱
					radioEvents(this,tot_price1,sub_price2,original_price2,original_price_zj,zxl_price);
					 event.preventDefault();
					 event.stopPropagation();
				},"touchstart");
		
			// 单选框点击事件
			function radioEvents(obj,tot_price1,sub_price2,original_price2,original_price_zj,zxl_price) {
				var checked =$(obj).find('input').is(":checked");
				var lenght=$('input[name="procheck"]:checked').length+1;
				if(checked){
					$(obj).find('input').prop("checked",false);
					var xj=parseFloat(tot_price1*1-sub_price2*1+zxl_price*1).toFixed(2);//价钱
					var yh_jq=parseFloat((original_price2*1-tot_price1*1)-(original_price_zj*1-sub_price2*1)).toFixed(2);//优惠价
					$(_pageId + " .xz_sp").html("合计：<em>￥"+xj+"</em>");
					$(_pageId + " .yh_jq").html("优惠：<span>￥"+yh_jq+"</span>");
					$(_pageId + " #checkbox_1").prop("checked",false);
				}else{
					$(obj).find('input').prop("checked",true);
					var xj=parseFloat(tot_price1*1+sub_price2*1+zxl_price*1).toFixed(2);//价钱
					var yh_jq=parseFloat((original_price2*1-tot_price1*1)+(original_price_zj*1-sub_price2*1)).toFixed(2);//优惠价
					$(_pageId + " .xz_sp").html("合计：<em>￥"+xj+"</em>");
					$(_pageId + " .yh_jq").html("优惠：<span>￥"+yh_jq+"</span>");
					if(resulsum=="1"){
						$(_pageId + " #checkbox_1").prop("checked",true);
					}
					if(lenght==resulsum){
						if(lenght==1){
							
						}else{
							$(_pageId + " #checkbox_1").prop("checked",true);
						}
					}
				}
			}
		  });
		}else if(product_type== "8"){//基金产品
			//判断金额是否可支付
			var buyValue = $(_pageId+" #buyValue").val();//购买金额
			if(buyValue==""||buyValue==null){
				layerUtils.iMsg(-1,"购买金额不能为空");
				return false;
			}
			if(buyValue==0){
				layerUtils.iMsg(-1,"购买金额必须大于0元");
				return false;
			}
			var checked=$(_pageId+" #checkBox input").attr("checked");//获取是否选中
			if(checked!="checked"){
				layerUtils.iMsg(-1,"请同意并签署此购买合同！");
				return false;
			}
			//查询cif客户风险承受能力
			findFundFxce();
		}else if(product_type== "9"){//otc基金产品
			var buyValue = $(_pageId+" #buyValue").val();//购买金额
			if(buyValue==""||buyValue==null){
				layerUtils.iMsg(-1,"购买金额不能为空");
				return false;
			}
			if(buyValue==0){
				layerUtils.iMsg(-1,"购买金额必须大于0元");
				return false;
			}
			var checked=$(_pageId+" #checkBox input").attr("checked");//获取是否选中
			if(checked!="checked"){
				layerUtils.iMsg(-1,"请同意并签署此购买合同！");
				return false;
			}
			var loginType = appUtils.getSStorageInfo("loginType");
//			if(loginType == "1"){
//				isOpenOTC();//是否开OTC户
//			}
			otcFund(buyValue);//判断客户没有没开户
		}
	}
	//事件绑定
	function bindPageEvent(){
		//确定支付
		var $input = $(_pageId+" .fake-box input");
		$(_pageId+" #tradePwd").on("input", function() {  
			 var pwd = $(_pageId+" #tradePwd").val().trim();//输入的密码  
            for (var i = 0, len = pwd.length; i < len; i++) {  
                $input.eq("" + i + "").val(pwd[i]);  
            }  
            $input.each(function() {  
                var index = $(this).index();  
                if (index >= len) {  
                    $(this).val("");  
                };  
            });  
            if (len == 6) { 
            	$(_pageId+".fake-box input").val("");
    			$(_pageId+" #payment_drop").hide();
    			$(_pageId+" #payment_card").hide();
                //执行其他操作  
            	var confirmPay= $(_pageId+" #tradePwd").val();//输入的密码
    			if(confirmPay==""||typeof(confirmPay)=="undefined"){
    				layerUtils.iMsg(-1,"请输入交易密码");
    		 		return false;
    			}
    			doOrder(confirmPay);//保证金购买
            }  
        }); 
		
		//关闭密码框
		appUtils.bindEvent($(_pageId+" .close"),function(){
			$(_pageId+" .fake-box input").val("");
			$(_pageId+" #payment_drop").hide();
			$(_pageId+" #payment_card").hide();
			$(_pageId+" #tradePwd").val("");
		});
		
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			var param = {
					"product_id":product_id,
					"product_type":product_type,
					"pageCode" : pageCode,
					"product_status":product_status,
					"curPage":curPage
			};
			if(product_type=="5"){
				appUtils.pageInit(pageCode, "mall/stickMoneyIn",param);
			}else if(product_type=="8"){
				appUtils.pageInit(pageCode, "mall/itemsFundNew",param);
			}else if(product_type=="7"){
				appUtils.pageInit(pageCode, "mall/itemsFinanIn",param);
			}else if(prePageCode!=""&&typeof(prePageCode)!="undefined"){
				appUtils.pageInit(pageCode, prePageCode,param);
			}else{
				appUtils.pageInit(pageCode, "mall/moneyShop",param);
			}
		});
		//分享
		appUtils.bindEvent($(_pageId+" #share"),function(){
			var link = global.shareLink;
        	var param={
				moduleName: "mall", // String	目标模块名	N
				funcNo: "50230",
				shareTypeList: "22,23,24",
				title: shareTitle,
				link:  link+"/m/mall/index.html#!/mall/finanOrder/stickMoneyBuy.html?product_id="+ product_id +"&product_type="+product_type,
				content: "一切精彩尽在翼启航",
				imgUrl: ""
			};
			external.callMessage(param);
		});
		//下一步按钮
		appUtils.bindEvent($(_pageId+" #ljfk"),function(){
			var	middleman_phone = $(_pageId+" #middleman_phone").val();//营销人员的电话号码
			if(middleman_phone!=""){
				if(!(validatorUtil.isPhone(middleman_phone))){
					layerUtils.iMsg(-1,"请输入正确的联系方式");
					return false;
				}
			}
			appUtils.setSStorageInfo("middleman_phone",middleman_phone);
			//判断是否是交易日
			dealTimeSyn();
		});
		//选中同意协议按钮
		appUtils.bindEvent($(_pageId+" #checkBox"),function(){
			var checked=$(_pageId+" #checkBox input").attr("checked");//获取是否选中
			if(checked=="checked"){
				$(_pageId+" #checkBox input").removeAttr("checked");
			}else{
				$(_pageId+" #checkBox input").attr("checked","checked");
			};
		});
		
	}
	// 销毁
	function destroy() {
		$(_pageId+" #proContent").html("");
		$(_pageId+" #buy_yue").html("");
		$(_pageId+" #ljfk").html("下一步");
		$(_pageId+" #jj_gc").hide();
		$(_pageId+" #jj_tk").hide();
		$(_pageId+" .buy_finance ul").hide();
		$(_pageId+" #xyDiv").show();
		
	}
	var stickMoneyBuy ={
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};

	module.exports = stickMoneyBuy;

	});