/**
 * 基金详情
 */
define('mall/scripts/mall/fundInfo.js',function(require, exports, module) {
	require("mall/scripts/plugins/echarts/echarts");
	var fundUtils = require("mall/scripts/common/fundUtils");
	var appUtils = require('appUtils');
	var pageId = "#mall_fundInfo";
	var pageCode = "mall/fundInfo";
	var service = require("mobileService"); // 业务层接口，请求数据
	var putils = require("putils");
	var layerUtils = require("layerUtils");
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	var external = require("external");
	var shareTitle = "";
	var product_id = "";//产品代码
	var product_type = "8";
	var allMoney = "";
	var fid_jjfxdj="";
	var fund_type="";//是否新发
	var stDate = "";
	var pageCodeIn="";//传进来的页面地址
	var	curPageNo = ""; // 当前页序号
	var	myScroller = null; // 滚动组件
	var	VIscroll = require("vIscroll");
	var platform=gconfig.platform;//判断app或pc用
	//var pageNum = 12;
	var num = 12;
	var allMoney="";
	var fund_id="";//基金代码
	var stDate="";
	function init() {
		common.initTitle(pageId);
		
		curPageNo=1;
		pageCodeIn= appUtils.getPageParam("pageCode");
		product_id = appUtils.getPageParam("product_id");//产品id
		fund_id = appUtils.getPageParam("fund_id");//基金id
		investGroup(fund_id);//投资
		$(pageId+" #chart_yue").addClass("active");
		fundSummary(fund_id);//基金概括
		stDate=fomdate(365);//默认查询一年的
		netWorth(stDate,product_id);//基金净值
		
		
		var param ={
				"product_id":appUtils.getSStorageInfo("product_id"),
				"otcfundType":"10"
			};
		//协议查询
		service.findAgreement(param,function(data){
			if(data.error_no != "0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			results= data.results;
			$(pageId+" #proContent").html("");
			for (var i  =0; i < results.length; i++){
				if(results[i].agreement_type=="1"||results[i].agreement_type=="0"){
					if(results[i].agreement_title!=null && results[i].agreement_title!=""){
					var allProtocolStr='<a href="javaScript:void(0);" class="no_have xieyi" agreement_title="'+results[i].agreement_title+'"  contract_type="'+results[i].contract_type+'" agreement_type="'+results[i].agreement_type+'" agreement_content="'+results[i].agreement_content+'" agreement_id="'+results[i].agreement_id+'" agreement_url="'+results[i].url+'"><em class="icon_03"></em><i>'+results[i].agreement_title+'</i><span id="icon_04"> </span></a>';
						$(pageId+" #proContent").append(allProtocolStr);
					};
				};
			}
			//绑定协议事件
			appUtils.bindEvent($(pageId+" .xieyi"),function(){
				var agreement_url = $(this).attr("agreement_url");
				var agreement_title = $(this).attr("agreement_title");
				// 判断是否APP
				 if(platform == "0"){
					 window.location.href=URL+agreement_url;
				}else{
					viewProtocol(agreement_url,agreement_title);
				}
				
			},"click");
			
		},{"isAsync":false});
	}
	//查看产品协议
	function viewProtocol(agreement_url,agreement_title){
		var curUrl  = window.location.href;
		var toUrl = curUrl.replace("#!/mall/fundInfo.html","scripts/common/generic/web/viewer.html");
		window.location.assign(toUrl + "?file="+ agreement_url);
		/*if(platform == "1"){
			var param={
				moduleName: "mall", // String	目标模块名	N	
				source: "mall", // String	源模块	Y
				funcNo: "50240",
				url: URL+agreement_url,
				title: agreement_title
			};
			external.callMessage(param);
		}else if(platform == "2"){
			var param={
				funcNo: "50240",
				url: URL+agreement_url,
				title: agreement_title
			};
			external.callMessage(param);
		}*/
	}
	// 投资组合
	var investGroup = function(fund_id) {
		var param = {
			"product_id" : fund_id
		};
		var callBackFunc = function(resultVo) {
			var results = resultVo.results;
			var myChart = echarts.init(document.getElementById('ekratio_box'));
			if (resultVo.error_no == 0 && results.length > 0) {
				var hld_val_bnd = results[0].hld_val_cash;// 现金
				var hld_val_cash = results[0].hld_val_bnd;// 债券资产金额
				var hld_val_stk = results[0].hld_val_stk;// 股票资产金额
				var hld_val_tot = results[0].hld_val_tot;// 资产总值
				var hld_val_other = results[0].hld_val_other;// 其他资产金额
				//var hld_val_other =hld_val_tot-hld_val_bnd-hld_val_cash-hld_val_stk;
				var pub_dt = results[0].pub_dt;// 截止日期
				var secu_sht = results[0].secu_sht;// 股票名称
				var trd_code = results[0].trd_code;// 股票代码
				allMoney = (hld_val_tot / 100000000).toFixed(2);// 将所有者权益合计转换为亿为单位的数，保留两位小数
				
					if (hld_val_bnd == "") {
						hld_val_bnd = 0;
					}
					if (hld_val_cash == "") {
						hld_val_cash = 0;
					}
					if (hld_val_other == "") {
						hld_val_other = 0;
					}
					if (hld_val_stk == "") {
						hld_val_stk = 0;
					}
					$(".fund_size em").html(allMoney);
					$("#pub_dt").html("(" + pub_dt + ")");
					
					option = {
						title : {
							text : allMoney + '亿元',
							x : 'center',
							y : 'center'
						},
						legend : {
							orient : 'vertical',
							y : 'center',
							x : 'right',
							data : [ '股票', '现金', '债券', '其他' ]
						},
						series : [ {
							name : '投资组合',
							type : 'pie',
							radius : [ '75%', '90%' ],
							avoidLabelOverlap : false,
							label : {
								normal : {
									show : false,
									position : 'center'
								},
								emphasis : {
									show : false,
									textStyle : {
										fontSize : '30',
										fontWeight : 'bold'
									}
								}
							},
							labelLine : {
								normal : {
									show : false
								}
							},
							data : [ {
								value : hld_val_stk,
								name : '股票'
							}, {
								value : hld_val_bnd,
								name : '现金'
							}, {
								value : hld_val_cash,
								name : '债券'
							}, {
								value : hld_val_other,
								name : '其他'
							} ]
						} ]
					};
					myChart.setOption(option);
					
					// 解决部门机型保养时不兼容问题.
					$(pageId+" #ekratio_box div canvas").css("left","-60px");
				} else {
					$(pageId+" #context_2").hide();
					$(pageId+" #jj_tzzh").show();
					
				}
		};
		service.investCombination(param, callBackFunc);
	};
	/**
	 * 基金公告
	 */
	function Notice(){
		var param = {
				"product_id" : fund_id
		};
		service.seleNotice(param, function(resultVo){
			var results = resultVo.results;
			var str = "";
			
			if (resultVo.error_no == 0 && results.length != 0) {
				if (num < results.length) {
					for (var int = 0; int < num; int++) {
						str += '<div class="notice_inner" id='
								+ results[int].id + '><strong>'
								+ results[int].tit + '</strong><p>'
								+ results[int].pub_dt + '</p></div>';
					}
				} else {
					for (var int = 0; int < results.length; int++) {
						str += '<div class="notice_inner" id='
								+ results[int].id + '><strong>'
								+ results[int].tit + '</strong><p>'
								+ results[int].pub_dt + '</p></div>';
					}
				}
				if (results.length > 3) {
					$(pageId+" #context_3 .fundAffiche").css("display", "block");

				}
				$(pageId+" #context_3 .fundAffiche").click(
						function() {
							num += 3;
							if (results.length > num) {
								str = "";
								for (var int = 0; int < num; int++) {
									str += '<div class="notice_inner" id='
											+ results[int].id + '><strong>'
											+ results[int].tit + '</strong><p>'
											+ results[int].pub_dt
											+ '</p></div>';
								}
								$(pageId+" #notice_inner").html(str);
							}
						});
				$(pageId+" #context_3").show();
				
				$(pageId+" #notice_inner").html(str);
			} else {
				$(pageId+" #notice_inner").html("暂无公告，敬请期待");
			}
			// 点击进入 基金公告
			appUtils.bindEvent($(pageId + " .notice_inner"), function() {
				var id = $(this).attr("id");
				var param = {
						"id" : id,
						"product_id" : product_id,
						"pageCode":pageCode,
						"fund_id":fund_id
					};
					appUtils.pageInit("mall/otcFundInfo", "mall/NoticeDetails", param);
			},"click");
		});
	}

	
	 //制保留4位小数  
    function forDecimal(x) {   
        var f=x.split(".");
        var g=f[1].substring(0, 4);
        var s=f[0]+"."+g;
        return s;   
    } 
 // 日期格式
	function fomdate(beforeDay) {
		var date = new Date();
		date.setDate(date.getDate() - beforeDay);
		var date = date.Format("yyyyMMdd");
		return date;
	}
	//基金净值
	var netWorth=function(stDate,product_id){
		var param = {
				"page":curPageNo,
				"numPerPage":"15",
				"flag":"1",
				"product_id" :product_id,
				"stDate" : stDate
			};
		
		var callBackFunc = function(resultVo) {
			
			var color="";
			var str="";
			if (resultVo.error_no == 0) {
				var results = resultVo.results[0].data;
				if( results.length != 0){
					if(curPageNo=="1"){
						$(pageId + " #avic_income").html("");
					}
					
				for(var i=0;i<results.length;i++){
					var trd_date = results[i].trd_dt;// 日期
					var yield = results[i].unit_nav;//单位净值
					var accu_net = results[i].accu_unit_nav;// 累计净值
					var dailyGains =results[i].day_chg_rat;// 日涨幅 
					if(parseFloat(dailyGains)<0){
						color="greencol";
					}else if(parseFloat(dailyGains)==0){
						color="";
					}else if(parseFloat(dailyGains)>0){
						color="redcol";
					}
					if(accu_net==""){
						accu_net=yield;
					}
					str+="<tr><td width='25%'>"+trd_date+"</td><td width='25%'>"+forDecimal(yield)+"</td><td width='25%'>"+accu_net+"</td><td width='25%' class='"+color+"'>"+(parseFloat(dailyGains) * 100).toFixed(2)+"%</td></tr>";
				}
				$(pageId+" .visc_wrapper").attr("id","ee");
				$(pageId+" .no_data_box").hide();
				$(pageId + " #avic_income").append(str);
				initScroller();
				}else{
					if(curPageNo==1){
						$(pageId+" .visc_wrapper").attr("id","ff");
						$(pageId+" .no_data_box").show();
					}
				}
			}else{
				layerUtils.iMsg(-1,resultVo.error_info);
				$(pageId+" .visc_wrapper").attr("id","ff");
				$(pageId+" .no_data_box").show();
			}
		};
		service.seleHistoricalWorth(param, callBackFunc);
	}
	// 基金概括
	var fundSummary = function(fund_id) {
		var param = {
			"product_id" : fund_id
		};
		var callBackFunc = function(resultVo) {
			var results = resultVo.results;
			if (resultVo.error_no == 0 && results.length != 0) {
				var mng_psn_name = results[0].mng_psn_name;// 现任基金经理
				var fmc_com_name = results[0].fmc_com_name;// 基金管理公司
				var lst_dt = results[0].lst_dt;// 上市时间
				var new_vol = results[0].new_vol;// 基金管理公司
	//			var exch_code = results[0].exch_code;// 交易市场代码
				var inv_typ_com = results[0].inv_typ_com;// 基金代码
				var secu_sht = results[0].secu_sht;// 基金全称
				var unit_nav = results[0].unit_nav;
				var ttl_sheqy = new_vol * unit_nav;
				//allMoney = (ttl_sheqy / 100000000).toFixed(2);// 将所有者权益合计转换为亿为单位的数，保留两位小数
				$(pageId+" #fundCom").html(secu_sht);
				$(pageId+" #fundCode").html("基金代码:"+fund_id);
				$(pageId+" #fundCodeType").html(fundUtils.FundType(inv_typ_com));
				$(pageId + " #icon_01").html(fmc_com_name);
				$(pageId + " #icon_02").html(mng_psn_name);
				$(pageId + " #icon_03").html(allMoney + "亿元");
				// lst_dt + "<br>" + 
			}
		};
		service.FundInform(param, callBackFunc);
	};

	// 日期格式
	function fomdate(beforeDay) {
		var date = new Date();
		date.setDate(date.getDate() - beforeDay);
		var date = date.Format("yyyyMMdd");
		return date;
	}

	
	
	
	
	/**
	 * 初始化滚动组件
	 */
	function initScroller(){
		if(myScroller){
			//$(pageId+" .ls_list").html("");
			$(pageId+" .visc_pullDown").show();
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(pageId + " .yqg_prolist");
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}else{
			var visibleHeight = $(window).height() - $(pageId + ".header").height(); // 滑动组件的可见高度
			var scrollerParam = {
				isPagingType: false,
				isHasHead: false,
				visibleHeight: visibleHeight,
				container: $(pageId + " .yqg_prolist").parents(".visc_wrapper").parent(), // container元素
				wrapper: $(pageId + " .yqg_prolist").parents(".visc_wrapper"), // wrapper元素
				downHandle : function() {
					$(pageId+" #avic_income").html("");
				
					curPageNo = 1;
					
					netWorth(stDate,product_id);//基金净值
					// 查询产品列表
				},
				upHandle : function(){
					appUtils.setSStorageInfo("bs","1");
					$(pageId+" .visc_pullUp").show();
					curPageNo++;
					netWorth(stDate,product_id);//基金净值
					$(pageId+" .no_data_box").hide();
				}
			};
			myScroller = new VIscroll(scrollerParam); //初始化
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(pageId + " .yqg_prolist");
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
		
		$(pageId+" .pay_main").hide();
		$(".visc_pullUp").hide();
		$(pageId + " .index-con").hide();
	}
	function bindPageEvent() {
		//基金概括
		appUtils.bindEvent($(pageId + " #fundSituation"), function() {
			$(pageId + " #context_1").show();
			$(pageId + " #context_2").hide();
			$(pageId + " #context_3").hide();
			$(pageId+" #jj_tzzh").hide();
			var id = $(this).attr("tabid");
			$(pageId + " #context_" + id).show();
			$(pageId + " #buttom_tab a").removeClass("active");
			$(this).addClass("active");
			$(pageId + " #avic_income").html("");
			fundSummary(fund_id);//基金概括
			curPageNo = 1;
			netWorth(stDate,product_id);//基金净值
		});
		//投资组合
		appUtils.bindEvent($(pageId + " #fundGoup"), function() {
			$(pageId + " #context_1").hide();
			$(pageId + " #context_2").show();
			$(pageId + " #context_3").hide();
			$(pageId+" #jj_tzzh").hide();
			var id = $(this).attr("tabid");
			$(pageId + " #context_" + id).show();
			$(pageId + " #buttom_tab a").removeClass("active");
			$(this).addClass("active");
			$(pageId + " #avic_income").html("");
			investGroup(fund_id);//投资组合
		});
		//基金公告
		appUtils.bindEvent($(pageId + " #fundAffiche"), function() {
			$(pageId + " #context_1").hide();
			$(pageId + " #context_2").hide();
			$(pageId + " #context_3").show();
			$(pageId+" #jj_tzzh").hide();
			var id = $(this).attr("tabid");
			$(pageId + " #context_" + id).show();
			$(pageId + " #buttom_tab a").removeClass("active");
			$(this).addClass("active");
			$(pageId + " #avic_income").html("");
			Notice(fund_id);//基金公告
		});
		// 返回
		appUtils.bindEvent($(pageId + " .icon_back"), function() {
			var param={
				"product_id":appUtils.getSStorageInfo("product_id"),
				"product_type":"8"
			}
			 if(pageCodeIn!=""&&typeof(pageCodeIn)!="undefined"){
				appUtils.pageInit(pageCode, pageCodeIn,param);
			}else{
				
				appUtils.pageInit(pageCode, "mall/itemsFundNew",param);
			}
		});
	}
	function destroy() {
		$(pageId + " #avic_income").html("");
	}

	var fundInfo = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = fundInfo;
});