/**
 * 基金详情
 */
define('mall/scripts/mall/itemsFund.js',function(require, exports, module){
	//require("mall/css/self_confirm.css");
	var appUtils = require('appUtils');
	var _pageId = "#mall_itemsFund";
	var service = require("mobileService"); //业务层接口，请求数据
	var putils = require("putils");
	var layerUtils = require("layerUtils");
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL=global.url;
	var external = require("external");
	var shareTitle = "";
	
	var product_id = "";
	var product_type="";
	var prePageCode = "";
	var prePageCode2 = "";
	function init(){
		common.initTitle(_pageId);
		
		prePageCode = appUtils.getPageParam("pageCode");
		prePageCode2 = appUtils.getPageParam("prePageCode");
		prePageCode = (prePageCode=="mall/itemsFund"?prePageCode2:prePageCode);
		$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height()-$(_pageId+".header-con").height()-$(_pageId+".footer-con").height()-1)+"px"});
		$(_pageId+" #ljgm").css({'background':'#CC1D58'});
		//防止直接到该页面
		var pageParam = appUtils.getPageParam();
		if(pageParam != undefined)
		{
			product_id = appUtils.getPageParam().product_id;
			product_type = appUtils.getPageParam().product_type;			
			
		}
		if(product_id==null){
			layerUtils.iMsg(1, "数据加载错误！");
			appUtils.pageInit("mall/itemsFinanIn","mall/moneyShop",{});
			return false;
		}
		findById();
	
	}
	
	//查询产品详情
	function findById(){
		var param="";
		if(product_type == "8"){
			 param = {
				"product_id":product_id,
				"product_sub_type":"1",
				"productType":"8",
				"userid" : appUtils.getSStorageInfo("user_id"),
				"pageCode" : "mall/itemsFund",
				"prePageCode" : prePageCode
			};
		}else{
			 param = {
				"product_id":product_id,
				"product_sub_type":"1",
				"pageCode" : "mall/itemsFund",
				"prePageCode" : prePageCode
			};
		}
		service.findFundById(param,function(data){
			if(data.error_no!="0")
			{
				layerUtils.iAlert(data.error_info);
				/*layerUtils.iLoading(false);*/
				return false;
			}
			if( product_type == "8"){
				$(_pageId+" .header h1").html("基金简介");
				var results = data.results;
				var fid_jjdm = results[0].product_id;//基金代码
				var fid_tadm = results[0].fid_tadm;//TA编码
				var fid_jjjc = results[0].fid_jjjc;//基金简称					
				var fid_jjqc = results[0].fid_jjqc;//基金全称
				var fid_jjj = results[0].fid_jjjz;//基金净值
				var fid_jjjz=parseFloat(fid_jjj).toFixed(4);//转成两个小数
				var fid_sffs = results[0].fid_sffs;//可多选：1前端收费，2后端收费，4C类收费， 比如3表示支持前、后端收费
				var fid_ljjz = results[0].fid_ljjz;//累计净值
				var fid_mwfsy = results[0].fid_mwfsy;//每万份收益
				var fid_nsyl = results[0].fid_nsyl;//年化收益率
				var fid_nsyl1=parseFloat(fid_nsyl).toFixed(2);//转成两个小数
				var fid_jjfxdj = results[0].fid_jjfxdj;//风险等级
				var fid_lccpbz = results[0].fid_lccpbz;//理财分类
				var fid_lccpbzwen = "";//中文的风险等级
				var fid_sffs1 = "";//中文的收费方式
				var fid_lccpbz1 = "";//中文的理财分类
				$(_pageId+" .produce-details dl dd h2").html("");//清空样式
				$(_pageId+" .produce-details dl dd h2").html(fid_jjqc);
				$(_pageId+" .produce-details dl dd p").hide();
				$(_pageId+" .clearfix ul li:eq(0) h3").html("");//清空样式
				$(_pageId+" .clearfix ul li:eq(0) h3").html("年化收益率");
				$(_pageId+" .clearfix ul li:eq(0) p").html("");//清空样式
				$(_pageId+" .clearfix ul li:eq(0) p").html(fid_nsyl1+"%");		
				$(_pageId+" .clearfix ul li:eq(0) p").show();
				if(fid_jjfxdj=="1"){
						fid_lccpbzwen="低风险";
				}else if(fid_jjfxdj=="2"){
						fid_lccpbzwen="偏低风险";
				}else if(fid_jjfxdj=="3"){
						fid_lccpbzwen="中等风险";
				}else if(fid_jjfxdj=="4"){
						fid_lccpbzwen="偏高风险";
				}else if(fid_jjfxdj=="5"){
						fid_lccpbzwen="高风险";
				}else{
						fid_lccpbzwen="默认风险";
				};
				if(fid_sffs=="1"){
					fid_sffs1= "前端收费";
				}else if(fid_sffs=="2"){
					fid_sffs1= "后端收费";
				}else if(fid_sffs=="3"){
					fid_sffs1= "前、后端收费";
				}else if(fid_sffs=="4"){
					fid_sffs1= "C类收费";
				}else{
					fid_sffs1= "其他收费";
				};
				if(fid_lccpbz=="0"){
					fid_lccpbz1 = "普通基金";
				}else if(fid_lccpbz=="1"){
					fid_lccpbz1 = "理财电子";
				}else if(fid_lccpbz=="2"){
					fid_lccpbz1 = "理财纸质";
				}else if(fid_lccpbz=="3"){
					fid_lccpbz1 = "增值计划";
				}else{
					fid_lccpbz1 = "";
				}
				
				
				//显示购买
				$(_pageId+" #ljgm").show();
				//基金全称
				$(_pageId+" .produce-details-infor li:eq(0) strong").html(fid_jjqc);
				//基金简称
				$(_pageId+" .produce-details-infor li:eq(1) strong").html(fid_jjjc);
				//基金代码
				$(_pageId+" .produce-details-infor li:eq(2) strong").html(fid_jjdm);
				//基金净值				
				$(_pageId+" .produce-details-infor li:eq(3) strong").html(fid_jjjz);
				//累计净值
				$(_pageId+" .produce-details-infor li:eq(4) strong").html(fid_ljjz);
				//每万份收益
				
				$(_pageId+" .produce-details-infor li:eq(5) strong").html(fid_mwfsy+"元/份");
				//年化收益率
				$(_pageId+" .produce-details-infor li:eq(6) strong").html(fid_nsyl1+"%");
				
				//风险等级
				$(_pageId+" .produce-details-infor li:eq(7) strong").html(fid_lccpbzwen);
				
				//收费方式
				$(_pageId+" .produce-details-infor li:eq(8) strong").html(fid_sffs1);
				//理财等级
				$(_pageId+" .produce-details-infor li:eq(9) strong").html(fid_lccpbz1);
			}
		},"");
	}
	//点击购买
	function bindBuy(){
		appUtils.bindEvent($(_pageId+" #ljgm"),function(){
				var user_id = appUtils.getSStorageInfo("user_id");
				product_id = appUtils.getPageParam().product_id;
				product_type = appUtils.getPageParam().product_type;
				if(user_id==""||user_id==null){
					if(product_type=="8"){
					
						appUtils.setSStorageInfo("pageJump","mall/finanOrder/confirmOrder");
					}
					var param = {
						"product_id":product_id,
						"product_type" : product_type,
						"pageCode" : "mall/itemsFund",
						"prePageCode" : prePageCode
					};
					appUtils.pageInit("mall/itemsFund","account/userLogin",param);
				}else{
					appUtils.setSStorageInfo("product_number",product_id);
					var loginType = appUtils.getSStorageInfo("loginType");
					if(loginType == "0"){//手机账号
						common.queryMobilePhone(appUtils.getSStorageInfo("mobile_phone"),determineState);
					}else{//资金账号
						var param = {
							"product_id":product_id,
							"product_type" : product_type,
							"pageCode" : "mall/itemsFund",
							"prePageCode" : prePageCode
						};
						appUtils.pageInit("mall/itemsFund","mall/finanOrder/confirmOrder",param);
						
							
						
					}
				}
		},"click");
	}
	
	//判断用户状态
	function determineState(data){
		var results = data.results;
		var is_register = results[0].is_register;
		var is_client = results[0].is_client;
		var is_risk = results[0].is_risk;
		var is_pwd = results[0].is_pwd;
		var is_bank = results[0].is_bank;
		if(is_register&&is_register=="0"){
				appUtils.pageInit("mall/itemsFund","register/register");
		}else if(is_client=="0"||is_pwd=="0"||is_bank=="0"){
				appUtils.pageInit("mall/itemsFund","account/testAccount");
		}else{
			product_type = appUtils.getPageParam().product_type;
			var param = {
				"product_id":product_id,
				"product_type" : product_type,
				"pageCode" : "mall/itemsFund",
				"prePageCode" : prePageCode
			};
			appUtils.pageInit("mall/itemsFund","mall/finanOrder/confirmOrder",param);
		}
	}
	
	function bindPageEvent(){
		bindBuy();
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			
			var param = {
				"product_id":product_id,
				"product_type" : "8",
				"pageCode" : prePageCode,
				"prePageCode" : prePageCode2
			};
			if(prePageCode=="mall/moneyShop"){
				appUtils.pageInit("mall/itemsFund","mall/moneyShop",param);
			}else{
				appUtils.pageInit("mall/itemsFund","mall/fundList",param);
			}
			
		});
		//刷新
		appUtils.bindEvent($(_pageId+" .mz-refresh"),function(){
			init();
		});
		//更多图文详情
		appUtils.bindEvent($(_pageId+" #tuwenxq"),function(){
			var imginfo = $(this).attr("imginfo");
			var param = {
				"imginfo" : imginfo,
				"pageCode" : "mall/itemsFund",
				"prePageCode" : prePageCode
			};
			appUtils.pageInit("mall/itemsFund","account/graphicDetails",param);
		});
		//分享
		appUtils.bindEvent($(_pageId+" .index-set-fenxiang"),function(){
			var link = global.shareLink;
        	var param={
				moduleName: "mall", // String	目标模块名	N
				funcNo: "50230",
				shareTypeList: "22,23,24",
				title: shareTitle,
				link:  link+"/m/mall/#!/mall/itemsFund.html?product_id="+ product_id +"&product_type="+product_type,
				content: "一切精彩尽在翼启航",
				imgUrl: ""
			};
			external.callMessage(param);
		});
	}
	function selfConfirmUtils(conMsg,yesBtn, noBtn,yesFunc, noFunc){
    	 yesBtn = yesBtn || '确认';
    	 noBtn = noBtn || '取消';
    	 $("#tips_info").html(conMsg);
    	 $("#self_yes").html(yesBtn);
    	 $("#self_no").html(noBtn);
    	 appUtils.bindEvent($("#self_yes"),function(){
    		 yesFunc();
    		 $("#confirm_open").hide();
    		 return false;
    	 });
    	  appUtils.bindEvent($("#self_no"),function(){
    		 noFunc();
    		 $("#confirm_open").hide();
    		 return false;
    	 });
     }
     /**
      * 自定义确认提示框
      * @param {Object} alertMsg 提示信息
      * @return {TypeName} 
      */
    function selfAlertLayer(alertMsg){
    	var layerStr = ' <div class="window_wrap"   id="layer_alert"> <div class="window"> <div class="text_p p20_28_12" id="alert_tips_info">';
            layerStr += alertMsg+ ' </div> <div class="btn_box"> <a href="javascript:void(0);" class="a3" id="alert_btn">确定</a> </div> </div> </div>';
    	$("body").append(layerStr);
		 appUtils.bindEvent($("#alert_btn"),function(){
    		 $("#layer_alert").remove();
    		 return false;
    	 });
     }
	function destroy(){
		$(_pageId+" #ljgm").attr("style","background:#add8fa;border:1px solid #319ef2");
		product_id = "";
		product_type="";
	}
	
	var itemsFinanIn =
	{
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};

	module.exports = itemsFinanIn;
});