/**
 * 翼钱罐产品详情
 */
define('mall/scripts/mall/itemsFundNew.js',function(require, exports, module) {
	require("mall/scripts/plugins/echarts/echarts");
	var fundUtils = require("mall/scripts/common/fundUtils");
	var appUtils = require('appUtils');
	var pageId = "#mall_itemsFundNew ";
	var pageCode = "mall/itemsFundNew";
	var service = require("mobileService"); // 业务层接口，请求数据
	var putils = require("putils");
	var layerUtils = require("layerUtils");
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	var external = require("external");
	var shareTitle = "";
	var product_id = "";
	var product_type = "8";//8表示柜台基金
	var platform=gconfig.platform;//判断app或pc用
	var stDate = "";
	var pageCodeIn="";//传进来的页面地址
	var product_code="";//产品代码
	var hightotc="";
	var fund_id ="";
	var curPage="";
	function init() {
		common.initTitle(pageId);
		
		pageCodeIn= appUtils.getPageParam("pageCode");
		
		/************适当性改造****************/
		 if(appUtils.getPageParam("url") == "mall/fundList"){
			 pageCodeIn = "mall/fundList";
		 }
		 if(appUtils.getPageParam("url") == "mall/moneyShop"){
			 pageCodeIn = "mall/moneyShop";
		 }
		 if(appUtils.getPageParam("url") == "account/index"){
			 pageCodeIn = "account/index";
		 }
		 /************适当性改造****************/
		 
		product_id = appUtils.getPageParam("product_id");//产品id
		var width=$(window).width();//手机的宽度
		 hightotc=$(pageId + " #container").height(width*0.618);//图形的高度
		$(pageId + " #shaft_box").css("padding-top",width*0.618);//距离的顶部的高度
		
		$(pageId + " #fund_zs").addClass("active");
		findFundById(product_id);//查询主表的相关信息
		stDate = fomdate(365); // 默认送一月
		queryOtcFundChart(stDate, product_id);//净值走势图
		
	}
	//查询柜台基金基本信息
	function findFundById(product_id){
		service.findFundById({"product_id":product_id},function(data){
			if(data.error_no=="0"){
				var result = data.results;
				 fund_type=result[0].fund_type;//是否新发
				var fid_jjqc=result[0].fid_jjqc;//基金全称
				var buy_min_fris= result[0].buy_min_fris;//首次申购最小值
				var buy_min_secod= result[0].buy_min_secod;//追加申购最小值
				var sub_min_fris= result[0].sub_min_fris;//首次认购最小值
				var sub_min_secod= result[0].sub_min_secod;//追加认购最小值
				var yield_statement = result[0].yield_statement;//收益率说明语句
				var yieldrate = result[0].yieldrate;//成立收益率
				var yieldrate1y = result[0].yieldrate1y;//一年的收益率
				
				var product_summary=result[0].product_summary;//产品概要
				var risk_disclosure=result[0].risk_disclosure;//适配客户
				var product_rate=result[0].product_rate;//费率说明
				var product_method=result[0].product_method;//分红方式
				
				var otcstr="";
				if(fund_type!=""&&typeof(fund_type)!="undefined"){//是新发
					var fund_min=sub_min_fris+"元";
					var fund_min_z=sub_min_secod+"元";
					if(parseInt(sub_min_fris)>10000000){
						fund_min=sub_min_fris.substring(0,(sub_min_fris.length-4))+"万元";
					}
					if(parseInt(sub_min_secod)>10000000){
						fund_min_z=sub_min_secod.substring(0,(sub_min_secod.length-4))+"万元";
					}
					$(pageId+" #fund_yg").html("认购起点");
					$(pageId+" #fund_ygje").html(fund_min);//认购金额
					$(pageId+" #fund_zj").html("追加购买");
					$(pageId+" #fund_zjje").html(fund_min_z);//追加金额
					otcstr="<div class='bot_btn buy'><a href='javaScript:void(0);'><span>立刻认购</span>" +
							" <small class='fund_sy'></small></a></div>";
				}else{
					var fund_zuij=buy_min_fris+"元";
					var fund_zuijia=buy_min_secod+"元";
					if(parseInt(buy_min_fris)>=10000000){
						fund_zuij=buy_min_fris.substring(0,(buy_min_fris.length-4))+"万元";
					}
					if(parseInt(sub_min_secod)>10000000){
						fund_zuijia=buy_min_secod.substring(0,(buy_min_secod.length-4))+"万元";
					}
					$(pageId+" #fund_yg").html("申购起点");
					$(pageId+" #fund_ygje").html(fund_zuij);//申购金额
					$(pageId+" #fund_zj").html("追加购买");
					$(pageId+" #fund_zjje").html(fund_zuijia);//申购金额
					otcstr="<div class='bot_btn buy'><a href='javaScript:void(0);'><span>立即申购</span>" +
							" <small class='fund_sy'></small></a></div>";
				}
				var otcfundstr="<li><span class='tit'>产品概要</span><p>"+product_summary+"<strong></strong></p>" +
						"</li><li id='jjxq'><span class='tit'>投资基金</span>" +
						"<p><strong>"+fid_jjqc+"</strong></p></li><li id='jjxq'><span class='tit'>适配客户</span>" +
						"<p>"+risk_disclosure+"</p></li>" +
						"<li><span class='tit'>费率说明</span><p>"+product_rate+"</p>" +
						"</li> <li><span class='tit'>分红方式</span>" +
						"<p>"+product_method+"</p></li>";
				$(pageId+" #fund_gbuy").html(otcstr);//购买的状态
				$(pageId+" #fund_xq").html(fid_jjqc);//名字
				$(pageId+" #fund_jjlist").html(otcfundstr);//简介
				$(pageId+" #fund_xx").html(yield_statement);//收益率说明语句
				$(pageId+" #fund_yy").html("<span>"+parseFloat(yieldrate1y).toFixed(2)+"%</span>");//一年的收益率
				$(pageId+" #fund_cl").html("<span class='f14'>"+parseFloat(yieldrate).toFixed(2)+"</span>%");//成立收益率
			}
			// 点击购买
			appUtils.bindEvent($(pageId+" .buy"),function() {
				var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
				if(login_flag!="true"){//没有登入
					var  pageInParam = {
						"url" : pageCode,
						"product_id" : product_id,
						"product_type" : "8",
						"pageCode" : pageCode,
						"shop_sign":"1"//新理财统一标识
							
					};
					appUtils.setSStorageInfo("product_type","8");
					appUtils.setSStorageInfo("product_id",product_id);
					common.findLogin({"avicParam":pageInParam});
				}else{//登入需要做的事情
					appUtils.setSStorageInfo("product_number", product_id);
					var param = {
						"product_id" : product_id,
						"product_type" : "8",
						"pageCode" : pageCode,
						"curPage":curPage
					};
					appUtils.pageInit(pageCode,"mall/finanOrder/stickMoneyBuy", param);
				}
			}, "click");
			
			// 基金详情
			appUtils.bindEvent($(pageId+" #jjxq"),function() {
				appUtils.setSStorageInfo("product_id",product_id);
				appUtils.setSStorageInfo("fund_id",product_id);
				var param = {
						"product_id" : product_id,
						"pageCode": pageCode,
						"fund_id":product_id
					};
					appUtils.pageInit(pageCode,"mall/fundInfo",param);
				}, "click");
		});
	}
	//查看产品协议
	function viewProtocol(agreement_url,agreement_title){
		var curUrl  = window.location.href;
		var toUrl = curUrl.replace("#!/mall/itemsFundNew.html","scripts/common/generic/web/viewer.html");
		window.location.assign(toUrl + "?file="+ agreement_url);
		/*if(platform == "1"){
			var param={
				moduleName: "mall", // String	目标模块名	N	
				source: "mall", // String	源模块	Y
				funcNo: "50240",
				url: URL+agreement_url,
				title: agreement_title
			};
			external.callMessage(param);
		}else if(platform == "2"){
			var param={
				funcNo: "50240",
				url: URL+agreement_url,
				title: agreement_title
			};
			external.callMessage(param);
		}*/
	}
	
	
	//收益率走势图
	function queryOtcFundChart(stDate, product_id) {
		var param={
				"stDate":stDate,
				"product_id":product_id
			};
		
		service.seleValue(param, function(resultVo){
			var dataList = resultVo.results;
			// 清空走势图
			$('#container').empty(); 
			if (dataList && dataList.length > 0) {
				$(pageId + ".chart_inner").show();
				var resultsLen = dataList.length;
				if (resultVo.error_no == 0 && dataList.length != 0) {
					var day_chg_rat=dataList[dataList.length-1].day_chg_rat; // 日涨服
					$(pageId+" #fund_qm").html((parseFloat(day_chg_rat)*100).toFixed(2)+"%");//日涨服
				}
				var datas = []; // 走势图数据
				var minPrice = 0; // 记录最小净值
				var maxPrice = 0; // 记录最大净值 用户计算走势图y轴值差
				var xDates = []; // 记录x轴时间
				var tipDates = []; // 用户tip显示 时间
				for (var i = 0; i < resultsLen; i++) {
					var item = dataList[i];
					var relate_price = item.unit_nav; // 当前净值
					if(relate_price == ""){
						relate_price = 1.00;
					}
					
					// 更新最大净值
					if (relate_price > maxPrice) {
						maxPrice = relate_price;
					}
					
					// 更新最小净值
					if (i == 0 || relate_price < minPrice) {
						minPrice = relate_price;
					}
					
					// 保存净值 和 时间值 到数组中
					var dataNav = []; //走势图数据
					
					var navDate = dataList[i].trd_dt;//日期
					if (i == (resultsLen - 1)) {
						$(pageId + "#priceDate").html(navDate);
					}
					
					tipDates.push(navDate);
					xDates.push(navDate);
					dataNav.push(parseFloat(relate_price).toFixed(3)-0);
					datas.push(dataNav);
				}
				var options = {
					"datas" : datas,
					"xDates" : xDates,
					"tipDates" : tipDates,
					"min" : minPrice,
					"max" : maxPrice
				}
				// 绘制净值走势图
				common.graphPic(pageId, options,hightotc);
			}
		});
	}
	
	
	
	
	
	//制保留4位小数  
    function toDecimal(x) {   
        var f=x.split(".");
        var g=f[1].substring(0, 4);
        var s=f[0]+"."+g;
        return s;   
    } 
    // 日期格式
	function fomdate(beforeDay) {
		var date = new Date();
		date.setDate(date.getDate() - beforeDay);
		var date1 = date.Format("yyyyMMdd");
		return date1;
	}
	function bindPageEvent() {
		// 返回
		appUtils.bindEvent($(pageId + " .icon_back"), function() {
			if(pageCodeIn=="mall/finanOrder/stickMoneyBuy"){
				appUtils.pageInit(pageCode, "mall/moneyShop");
			}else if(pageCodeIn!=""&&typeof(pageCodeIn)!="undefined"){
				appUtils.pageInit(pageCode, pageCodeIn);
			}else{
				appUtils.pageInit(pageCode, "mall/moneyShop");
			}
		});
		// 分享
		appUtils.bindEvent($(pageId + " .icon_share2"), function() {
			var link = global.shareLink;
			var param = {
				moduleName : "mall", // String 目标模块名 N
				funcNo : "50230",
				shareTypeList : "22,23,24",
				title : shareTitle,
				
				link : link+"/m/mall/views/mall/itemsFundNew.html?product_id="+ product_id +"&product_type="+product_type,
				content : "一切精彩尽在翼启航",
				imgUrl : ""
			};
			external.callMessage(param);
		});
		//涨幅的切换
		appUtils.bindEvent($(pageId + " .fund_zs"), function() {
			$(this).addClass("active");
			$(this).siblings().removeClass("active");
			var flag=$(this).attr("flag");
			stDate = fomdate(flag); 
			queryOtcFundChart(stDate, product_id);//净值走势图
		},"click");
	}
	function destroy() {
		$(pageId + " .fund_zs").removeClass("active");
		$(pageId+" #fund_jjlist").html("");
		$(pageId+" #fund_zf").html("");//涨幅
		$(pageId+" #otc_yy").html("");//
		$(pageId+" #otc_xx").html("");//
		$(pageId+" #otc_cl").html("");//
		
		allProtocolStr="";
	}

	var itemsFundNew = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = itemsFundNew;
});