/**
 * 翼钱罐产品详情
 */
define('mall/scripts/mall/otcFundDetails.js',function(require, exports, module) {
	require("mall/scripts/plugins/echarts/echarts.minavic");
	var fundUtils = require("mall/scripts/common/fundUtils");
	var appUtils = require('appUtils');
	var pageId = "#mall_otcFundDetails ";
	var pageCode = "mall/otcFundDetails";
	var service = require("mobileService"); // 业务层接口，请求数据
	var appropriateService = require("appropriateService");
	var putils = require("putils");
	var layerUtils = require("layerUtils");
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	
	var external = require("external");
	var shareTitle = "";
	var product_id = "";
	var product_type = "9";//9表示otc基金
	var product_name="";//产品名字
	var platform=gconfig.platform;//判断app或pc用
	var stDate = "";
	var pageCodeIn="";//传进来的页面地址
	var flag="";//1表示一个月，2表示3个月，3表示半年，4表示一年
	var product_code="";//产品代码
	var hightotc="";
	var allProtocolStr = ""; // 所有协议字符串
	var fund_id ="";
	var curPage="";
	var register_corp_code = "";
	var risk_level="";
	var user_risk_level = "";
	var i=0;
	var timer="";
	var is_risk=""; //判断是否进行过风险测评
	//新增源页面地址
	var url = "";
	function init() {
		common.initTitle(pageId);
		product_id = appUtils.getPageParam("product_id");//产品id
		var collection_sign = appUtils.getPageParam("collection_sign");//产品收藏标记
		is_risk= appUtils.getPageParam("is_risk");
		var width=$(window).width();//手机的宽度
		
		 hightotc=$(pageId + " #container").height(width*0.618);//图形的高度
		$(pageId + " #shaft_box").css("padding-top",width*0.618);//距离的顶部的高度
		
		pageCodeIn= appUtils.getPageParam("pageCode");
		//暂时这么改，有问题再修改（解决目前pageCode代表目标页面导致无法返回的bug）
		/************适当性改造****************/
		url = appUtils.getPageParam("url");
		if(url == "mall/moneyShop"){
			pageCodeIn = "mall/moneyShop";
		}
		
		if(url=="mall/otcFundlist"){
			pageCodeIn = "mall/otcFundlist";
		}
		
		if(url=="mall/otcVictorylist"){
			pageCodeIn = "mall/otcVictorylist";
		}
		
		if(url=="account/index"){
			pageCodeIn = "account/index";
		}
		
		/************适当性改造****************/
		/*********新增中焯登录***********/
		var login = appUtils.getSStorageInfo("_isLoginIn");
        if(login=="true"){
        	initPage();
        }
        else{
            var mobilecode = appUtils.getPageParam("mobilecode");
            var user_token = appUtils.getPageParam("user_token");
            common.SSO_login(mobilecode,user_token,initPage);
        }
        /*********新增中焯登录***********/
		
	}
	
	function initPage(){
		$(pageId + " #otcfund_zs").addClass("active");
		findOtcFundById(product_id);//查询主表的相关信息
		flag="4";
		queryOtcFundChart(flag, product_id);//净值走势图
		findAgreement();//产品风险协议
		if(collection_sign=="1"){
			productCollection();
		}
	}
	
	//浏览方法
	function productbrowse(product_name){
		var param={
			"product_id":product_id,
			"product_type":"9",
			"product_name":product_name
		}
		common.productbrowse(param);
	}
	//收藏方法
	function productCollection(){
		var param={
			"product_id":product_id,
			"product_type":"9",
			"product_name":product_name,
			"pageCode":"mall/moneyShop",
			"backUrl":pageCode
		}
		common.productCollection(param);
	}
	//判断是否签署协议(1有 0没有)
	function  findAgreement(){
		var param ={
			"product_type":"9"
		};
		//协议查询
		service.findProductTypeAgreement(param,function(data){
			var results= data.results;//保存结果集
			if(data.error_no != "0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			var allProtocolStr ="";// 所有协议字符串
			if(is_risk=="1"){
				allProtocolStr = "<p class='on'><i></i>已阅读"; 
			}else{
				allProtocolStr = "<p class=''><i></i>已阅读"; 
			}
			
			for (var i  =0; i < results.length; i++){
				if(results[i].agreement_type=="1"||results[i].agreement_type=="0"){
					if(results[i].agreement_title!=null && results[i].agreement_title!=""){
						allProtocolStr +="<a href='javaScript:void(0);' agreement_url='"+results[i].url+"' agreement_title='"+results[i].agreement_title+"'>《"+results[i].agreement_title+"》</a>"
						//allProtocolStr += '<a href="javascript:void(0);" contract_type="'+results[i].contract_type+'" agreement_type="'+results[i].agreement_type+'" agreement_content="'+results[i].agreement_content+'" agreement_id="'+results[i].agreement_id+'" agreement_url="'+results[i].url+'">'+results[i].agreement_title+'</a>';
					};
				};
			}
			allProtocolStr+="</p>";
			$(pageId+" #stick_gzh").html(allProtocolStr);
			//选中同意协议按钮
			appUtils.bindEvent($(pageId+" #stick_gzh i"),function(){
				var checked=$(pageId+" #stick_gzh p").attr("class");//获取是否选中
				if(checked=="on"){
					$(pageId+" #stick_gzh p").removeClass("on");
				}else{
					$(pageId+" #stick_gzh p").addClass("on");
				};
			});
			//绑定协议事件
			appUtils.bindEvent($(pageId+" #stick_gzh a"),function(){
				var agreement_url = $(this).attr("agreement_url");
				var agreement_title = $(this).attr("agreement_title");
				// 判断是否APP
				 if(platform == "0"){
					 window.location.href=URL+agreement_url;
				}else{
					viewProtocol(agreement_url,agreement_title);
				}
			});
		});
	}
	//查看产品协议
	function viewProtocol(agreement_url,agreement_title){
		if(platform == "1"){
			var param={
				moduleName: "mall", // String	目标模块名	N	
				source: "mall", // String	源模块	Y
				funcNo: "50240",
				url: URL+agreement_url,
				title: agreement_title
			};
			external.callMessage(param);
		}else if(platform == "2"){
			var param={
				funcNo: "50240",
				url: URL+agreement_url,
				title: agreement_title
			};
			external.callMessage(param);
		}
	}
	//查询otc产品的基本信息
	function findOtcFundById(product_id){
		service.findOtcFundById({"product_id":product_id},function(data){
			if(data.error_no=="0"){
				var result = data.results;
				var product_id=result[0].product_id;//产品id
				product_code=result[0].product_code;//产品代码
				register_corp_code = result[0].register_corp_code;
				risk_level = result[0].risk_level;
				var product_type= result[0].fina_belongs;//产品大类
				var fina_type=result[0].fina_type;//产品小类
				 product_name=result[0].product_name;//名字
				//var product_marking=result[0].product_marking;//标签
				var per_buy_limit=result[0].per_buy_limit;//起头金额
				var investment_horizon=result[0].investment_horizon;//期限
				var fund_name=result[0].fund_name;//基金名字
				var product_summary=result[0].product_summary;//策略概要
				var product_rate=result[0].product_rate;//费率说明
				var risk_disclosure=result[0].risk_disclosure;//风险匹配说明
				var product_method=result[0].product_method;//分红方式
				var next_date=result[0].next_date;//最近开放日
				if(next_date==""){
					next_date = "-- -- --";
					$(pageId+" #otcfund_kf").html("");//开放日
				}else{
					var next_dates = next_date.split("-");
					next_date = next_dates[0]+"年"+next_dates[1]+"月"+next_dates[2]+"日";
					$(pageId+" #otcfund_kf").html(next_date+" 为服务到期日");//开放日
				}
				
				var incomeunit=result[0].incomeunit;//收益率
				var product_status = result[0].product_status;//购买的状态
				var disdays=result[0].disdays;//还剩多少天
				var yesterday_rose=result[0].yesterday_rose;//昨天涨幅
				var one_rose=result[0].one_rose;//一个月涨幅
				var three_rose=result[0].three_rose;//三个月涨幅
				var hsnyear_rose=result[0].hsnyear_rose;//半年涨幅
				var oneyear_rose=result[0].oneyear_rose;//一年涨幅
				var risk_level_type=result[0].risk_level_type;//收益率说明语句
				 	fund_id = result[0].fund_id;//基金id
				//var ed=result[0].ed;//余额
				var otcstr="";
//				var share_bq="";//标签
//				if(product_marking!=""){
//					var share = product_marking.split(",");//切割标签配置
//					for(var j = 0;j<share.length;j++){
//						share_bq+="<li><span>"+share[j]+"</span></li>";
//					}
//				}else{
//					share_bq="";
//				}
				if(investment_horizon==""){
					investment_horizon="--";
				}
				if(incomeunit==null||incomeunit==""||incomeunit=="0.0"){
					incomeunit="--";
				}else {
					incomeunit = "<span >"+(parseFloat(incomeunit)*100).toFixed(2)+"</span>%";
				}
				var otcstr="";
				if(product_status=="1"){//预约购买
					otcstr="<div class='bot_btn '><a href='javaScript:void(0);' ><span>预约购买</span> <small class='otcfund_sy'></small></a><a href='javaScript:void(0);' class='otcfundshuh'><span>赎回</span>" +
							"<small class='otcfund_sy'></small></a></div>";
				}else if(product_status=="2"){//可以购买
					otcstr="<div class='bot_btn '><a href='javaScript:void(0);' class='buy'><span>立即购买</span> <small class='otcfund_sy'></small></a><a href='javaScript:void(0);' class='otcfundshuh'><span>赎回</span>" +
							" <small class='otcfund_sy'></small></a></div>";
				}else if(product_status=="4"){//已经买完
					otcstr="<div class='bot_btn'><a href='javaScript:void(0);' style='background:#B5B5B5'><span>已售罄</span> <small class='otcfund_sy'></small></a><a href='javaScript:void(0);' style='background:#B5B5B5' class='otcfundshuh'><span>赎回</span>" +
							" <small class='otcfund_sy'></small></a></div>";
				}else if(product_status=="3"){//封闭期
					otcstr = "<div class='bot_btn'><a href='javaScript:void(0);' style='background:#B5B5B5'><span>服务期</span> <small class='otcfund_sy'></small></a><a href='javaScript:void(0);' style='background:#B5B5B5' class='otcfundshuh'><span>赎回</span>" +
							"</a></div>";
				}
				var otcfundstr="<li><span class='tit'>产品概要</span><p>"+product_summary+"<strong></strong></p>" +
						"</li><li id='jjxq'><span class='tit'>投资基金</span>" +
						"<p><strong>"+fund_name+"</strong></p></li><li id='jjxq'><span class='tit'>适配客户</span>" +
						"<p>"+risk_disclosure+"</p></li>" +
						"<li><span class='tit'>费率说明</span><p>"+product_rate+"</p>" +
						"</li> <li><span class='tit'>分红方式</span>" +
						"<p>"+product_method+"</p></li>";
				var product_income=result[0].product_income;//收益率说明语句
				if(product_income==""||product_income=="0.0") {
					$(pageId+" #otc_cl").html("<span class='f14'>--</span>");//六个月的取值
				}else {
					$(pageId+" #otc_cl").html("<span class='f14'>"+(parseFloat(product_income)*100).toFixed(2)+"</span>%");//六个月的取值
				}
				
				$(pageId+" #otcfund_gbuy").html(otcstr);//购买的状态
				$(pageId+" #otcFund_xq").html(product_name);//名字
				$(pageId+" #otcfund_qm").html(per_buy_limit+"元");//启投金额
				//$(pageId+" #otcfund_qx").html(investment_horizon+"天");
				//$(pageId+" #otcfund_bq").html(share_bq);//标签
				$(pageId+" #otcfund_jjlist").html(otcfundstr);//简介
				$(pageId+" #otcfund_next").html(next_date);//开放日
				
				//var str="<h5><span >"+(parseFloat(incomeunit)*100).toFixed(2)+"%</span></h5><p>"+risk_level_type+"</p>";
				$(pageId+" #otc_yy").html(incomeunit);//六个月的取值
				$(pageId+" #otc_xx").html(risk_level_type);//六个月的取值
				$(pageId+" #otcfund_qx").html(next_date);//开放日
				if(yesterday_rose==""||yesterday_rose=="0.0") {
					$(pageId+" #otcfund_zf").html("--");//涨幅
				}else {
					$(pageId+" #otcfund_zf").html((parseFloat(yesterday_rose)*100).toFixed(2)+"%");//涨幅
				}
				
				common.initTitle(pageId,product_name);
				
			}
			//赎回
			appUtils.bindEvent($(pageId+" .otcfundshuh"),function() {
				var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
				if(login_flag!="true"){//没有登入
					var  pageInParam = {
						"url" : pageCode,
						"product_id" : product_id,
						"product_type" : "9",
						"pageCode" : pageCode,
						"backUrl":pageCode
					};
					appUtils.setSStorageInfo("product_type","9");
					appUtils.setSStorageInfo("product_id",product_id);
					common.findLogin({"backparam":pageInParam});
				}else{//登入需要做的事情
					var param={
							"prepageCode":"mall/otcFundDetails"
					}
					appUtils.pageInit(pageCode,"userCenter/assetView",param);
				}
			}, "click");
			// 点击购买
			appUtils.bindEvent($(pageId+" .buy"),function(e) {
				//判断有没有勾选协议
				var checked=$(pageId+" #stick_gzh p").attr("class");//获取是否选中
				if(checked!="on"){//没有勾选协议
					layerUtils.iMsg(-1,"请勾选协议");
					return false;
				}
				var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆	
				if(login_flag!="true"){//没有登入
					var  pageInParam = {
						"url" : pageCode,
						"product_id" : product_id,
						"product_type" : "9",
						"pageCode" : pageCode,
						"shop_sign":"1"//新理财统一标识
							
					};
					appUtils.setSStorageInfo("product_type","9");
					appUtils.setSStorageInfo("product_id",product_id);
					common.findLogin({"avicParam":pageInParam});
					//appUtils.pageInit(pageCode, "account/userLogin",{"avicParam":pageInParam});
				}else{
					//登入需要用户适当性判断
					appropriateness();
				}
				e.stopPropagation();
				}, "click");
			
			// 基金详情
			appUtils.bindEvent($(pageId+" #jjxq"),function() {
				appUtils.setSStorageInfo("product_id",product_id);
				appUtils.setSStorageInfo("fund_id",fund_id);
				var param = {
						"product_id" :  product_code,
						"pageCode": pageCode,
						"fund_id":fund_id
					};
					appUtils.pageInit(pageCode,"mall/otcFundInfo",param);
				}, "click");
			productbrowse(product_name);//浏览
		});
		
	}
	
	
	
	//收益率走势图
	function queryOtcFundChart(flag, product_id) {
		var param={
				"flag":flag,
				"product_id":product_id
			};
		
		service.queryOtcFundChart(param, function(resultVo){
			var dataList = resultVo.results;		
			
			// 清空走势图
			$('#container').empty(); 
			if (dataList && dataList.length > 0) {
				$(pageId + ".chart_inner").show();
				var resultsLen = dataList.length;
				var yieldlj= (dataList[dataList.length-1].yieldlj);//最后的收益率
				//$(pageId+" #otc_cl").html("<span class='f14'>"+(parseFloat(yieldlj)*100).toFixed(2)+"</span>%");//六个月的取值
				var datas = []; // 走势图数据
				var minPrice = 0; // 记录最小净值
				var maxPrice = 0; // 记录最大净值 用户计算走势图y轴值差
				var xDates = []; // 记录x轴时间
				var tipDates = []; // 用户tip显示 时间
				for (var i = 0; i < resultsLen; i++) {
					var item = dataList[i];
					var relate_price = item.yielda; // 当前净值
					
					if(relate_price == ""){
						relate_price = 1.00;
					}
					
					// 更新最大净值
					if (relate_price > maxPrice) {
						maxPrice = relate_price;
					}
					
					// 更新最小净值
					if (i == 0 || relate_price < minPrice) {
						minPrice = relate_price;
					}
					
					// 保存净值 和 时间值 到数组中
					var dataNav = []; //走势图数据
					
					var navDate = dataList[i].trd_date;//日期
					if (i == (resultsLen - 1)) {
						$(pageId + "#priceDate").html(navDate);
					}
					
					tipDates.push(navDate);
					//navDate = navDate.substring(5, navDate.length);
					xDates.push(navDate);
					dataNav.push(parseFloat(relate_price).toFixed(3)-0);
					datas.push(dataNav);
				}
				var options = {
					"datas" : datas,
					"xDates" : xDates,
					"tipDates" : tipDates,
					"min" : minPrice,
					"max" : maxPrice
				}
				// 绘制净值走势图
				common.graphPic(pageId, options,hightotc);
				
			}
		});
	}
	/**********************************适当性改造*******************************/
	function appropriateness(){
		appUtils.setSStorageInfo("product_number", product_id);
		
			
			//先判断风险测评有没有做，是否过期
			appropriateService.appropriateBaseInfo({"khh" : appUtils.getSStorageInfo("khh")} ,function(data){
				if(data.error_no!="0")
				{
					layerUtils.iAlert(data.error_info);
					layerUtils.iLoading(false);
					return false;
				}
				var result = data.results;
				var risk_flag = result[0].risk_flag;
				var fid_khtzfl = result[0].fid_khtzfl;//投资者分类
				user_risk_level = result[0].fid_fxcsnl;//风险承受能力
				var param = {
						"khh" : appUtils.getSStorageInfo("khh"),
						"product_id" : product_id,
						"product_type" : "9",
						"product_code" : product_code,
						"ta_code" : register_corp_code,
						"pageCode" : pageCode,
						"curPage":curPage,
						"url" : appUtils.getPageParam("url"),
						"risk_flag":risk_flag
					};
				//风险测评有效
			//	if(risk_flag == "1"){
				
					if(is_risk!="1"){
						checkLicaiAccount(fid_khtzfl,param);
					}else{
						if(risk_level!="5"){
							appUtils.pageInit(pageCode,"mall/finanOrder/stickMoneyBuy", param);
						}else{
							var khh = appUtils.getSStorageInfo("khh");
							var params = {
									"khh":khh,
									"product_code":product_code
							};//用户双录
							service.checkUser(param,function(datas){
								if(datas.results.length==0){
									var param2={
											"counTer":"您拟投资的产品风险与您的风险不匹配或购买的为高风险产品,请您联系营业部线下进行双录!"
									};
									common.popupMethod(param2);
									return false;
								}else{
									if(datas.results[0].DUAL_STAT == "1"||datas.results[0].DUAL_STAT == "2"){
										appUtils.pageInit(pageCode,"mall/finanOrder/stickMoneyBuy", param);
									}else{
										var param2={
												"counTer":"您拟投资的产品风险与您的风险不匹配或购买的为高风险产品,请您联系营业部线下进行双录!"
										};
										common.popupMethod(param2);
										return false;
									}
								}
							});
						}
					}
					
//				}else{
//					common.iConfirm("您还未做风险测评或者风险测评已过期或未做新版风险测评，请重新测评！", function(){
//						 var pageInParam = appUtils.getPageParam();
//						 pageInParam["prePageCode"] = pageCode;
//						 appUtils.pageInit("mall/otcFundDetails","userCenter/riskResults" , pageInParam);
//					} , function(){} , "测评", "取消");
//
//				}
			});
	}
	 		
	//判断是否有理财账户
	function checkLicaiAccount(fid_khtzfl,param){
		var khParam = {
				"user_id": appUtils.getSStorageInfo("user_id"),
				"khh" : appUtils.getSStorageInfo("khh"),
				"risk_level" :  user_risk_level,
				"tadm" : register_corp_code
		}
		//判断是否需要开户
		service.checkRiskAssessment(khParam , function(data){
			if(data.error_no!="0")
			{
				layerUtils.iAlert(data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			var result = data.results;
			//没有开通理财账号，需要开户
			if(result[0].isKh == "1"){
				if(param.risk_flag == "-1"||param.risk_flag == "-2"||param.risk_flag == "-3"){
					common.iConfirm("开通理财账户权限需进行新版风险测评。", function(){
						 var back_param = appUtils.getPageParam();
						 back_param["prePageCode"] = pageCode;
						 back_param["url_flag"] = pageCode;
						 appUtils.pageInit("mall/otcFundDetails","userCenter/riskResults" , back_param);
					} , function(){} , "立刻测评", "放弃");
				}else{
					common.iConfirm("您还未开通理财账户，是否为您开通！", function(){
						var khParam = {
								"risk_level" : user_risk_level,
								"khxm" : appUtils.getSStorageInfo("user_name"),
								"zjbh" : appUtils.getSStorageInfo("identity_num"),
								"khh" : appUtils.getSStorageInfo("khh"),
								"fxjg" : register_corp_code,
								"isCp" : "0",
								"isKh" : "1",
								"zjlb" : "0"
						};
						$(pageId + "#dilog").show();  
						service.submitAns(khParam , function(data){
							$(pageId + "#dilog").hide(); 
							if(data.error_no!="0")
							{
								layerUtils.iAlert(data.error_info);
								layerUtils.iLoading(false);
								return false;
							}else{
							    i = 0;
								showTime(fid_khtzfl,param);
							}
						});
					} , function(){} , "开通", "取消");
				}
			}else{
				riskJudgement(fid_khtzfl,param);
			}
		});
	}
	
	//判断风险测评是否匹配
	function riskJudgement(fid_khtzfl , param){
		if(fid_khtzfl == "0"){
			
			//适当性改造，判断风险等级是否匹配
			appropriateService.appropriateRiskInfo(param , function(data){
				if(data.error_no!="0")
				{
					layerUtils.iAlert(data.error_info);
					layerUtils.iLoading(false);
					return false;
				}
				var result = data.results;
				param["product_name"] = product_name;
				param["risk_level"] = risk_level;
				param["register_corp_code"] = register_corp_code;
				if(result[0].risk_code == "0"){
					//风险等级匹配
					param["page_name"]="mall/otcFundDetails";
					appUtils.pageInit("mall/otcFundDetails","appropriate/riskMakeSure", param);
				}else if(result[0].risk_code == "-1"){
					if( user_risk_level == "11"){
						var param2={
								"counTer":"您的风险测评等级过低，不能购买该产品！"
							};
						common.popupMethod(param2);
					}else{
						//风险等级不匹配
						param["page_name"]="mall/otcFundDetails";
						appUtils.pageInit("mall/otcFundDetails","appropriate/riskWarning", param);
					}
				}else if(result[0].risk_code == "-2"){
					common.iConfirm(result[0].risk_info, function(){
						 var back_param = appUtils.getPageParam();
						 back_param["prePageCode"] = pageCode;
						 back_param["url_flag"] = pageCode;
						 appUtils.pageInit("mall/otcFundDetails","userCenter/riskResults" , back_param);
					} , function(){} , "重新测评", "知道了");
				}else{
					common.iConfirm(result[0].risk_info, function(){
						 var back_param = appUtils.getPageParam();
						 back_param["prePageCode"] = pageCode;
						 back_param["url_flag"] = pageCode;
						 appUtils.pageInit("mall/otcFundDetails","userCenter/riskResults" , back_param);
					} , function(){} , "重新测评", "知道了");
				}
				
			});
		}else{
			appUtils.pageInit(pageCode,"mall/finanOrder/stickMoneyBuy", param);         
		}
	}
	
	/**
	   显示自动跳转倒计时
	**/
	function showTime(fid_khtzfl,param)
	{
		var showTips = function(){
		    if(i<10)
		    {
			     i++;
			     $(pageId + "#dilog").show();  
			     checkRiskAss(fid_khtzfl,param);
			}
		    else
		    {
		    	 $(pageId + "#dilog").hide(); 
				 window.clearInterval(timer);
				 layerUtils.iAlert("开通理财权限失败");
				 layerUtils.iLoading(false);
			 } 
		};
		timer = setInterval(showTips(), 1000);
	}
	
	
	function checkRiskAss(fid_khtzfl,param)
	{
		var reParam = {
				"user_id": appUtils.getSStorageInfo("user_id"),
	        	"khh": appUtils.getSStorageInfo("khh"),//客户号
	        	"tadm": register_corp_code,//机构代码
	        	"risk_level": user_risk_level//风险等级
			};
		var ctrlParam = {
				"isLastReq" : true,
				"isShowWait" :false
			};
		
		service.checkRiskAssessment(reParam,function(data){
			$(pageId + "#dilog").hide();
			window.clearInterval(timer);
			if(data.error_no != "0")
			{
				//layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			var results = data.results;
			var isKh = results[0].isKh;
			var isCp = results[0]. isCp;
			if(isKh == "0"&&isCp == "0"){
				riskJudgement(fid_khtzfl,param);
			}
		},ctrlParam);
	}
	
	/**********************************适当性改造*******************************/
	//制保留4位小数  
    function toDecimal(x) {   
        var f=x.split(".");
        var g=f[1].substring(0, 4);
        var s=f[0]+"."+g;
        return s;   
    } 
	function bindPageEvent() {
		// 返回
		appUtils.bindEvent($(pageId + " .icon_back"), function() {
			
			if(pageCodeIn=="mall/finanOrder/stickMoneyBuy"){
				appUtils.pageInit(pageCode, "mall/moneyShop");
				
			}else if(pageCodeIn!=""&&typeof(pageCodeIn)!="undefined"){
				appUtils.pageInit(pageCode, pageCodeIn);
			}else if(appUtils.getPageParam("url")!=""&&typeof(appUtils.getPageParam("url"))!="undefined"){
				appUtils.pageInit(pageCode, appUtils.getPageParam("url"));
			}else{
				appUtils.pageInit(pageCode, "mall/moneyShop");
			}
		});
		// 分享
		appUtils.bindEvent($(pageId + " .icon_share2"), function() {
			var link = global.shareLink;
			var param = {
				moduleName : "mall", // String 目标模块名 N
				funcNo : "50230",
				shareTypeList : "22,23,24",
				title : shareTitle,
				
				link : link+"/m/mall/views/mall/itemsFundNew.html?product_id="+ product_id +"&product_type="+product_type,
				content : "一切精彩尽在翼启航",
				imgUrl : ""
			};
			external.callMessage(param);
		});
		//涨幅的切换
		appUtils.bindEvent($(pageId + " .otcfund_zs"), function() {
			$(this).addClass("active");
			$(this).siblings().removeClass("active");
			flag=$(this).attr("flag");
			queryOtcFundChart(flag, product_id);//净值走势图
		});
		//点击收藏
		appUtils.bindEvent($(pageId + " .product_Collection"), function() {
			productCollection();
		});
	}
	function destroy() {
		flag="1";
		$(pageId + " .otcfund_zs").removeClass("active");
		$(pageId+" #otcfund_jjlist").html("");
		//$(pageId+" #otcfund_time").html("");
		$(pageId+" #otcfund_zf").html("");//涨幅
		$(pageId+" #otc_yy").html("");//
		$(pageId+" #otc_xx").html("");//
		$(pageId+" #otc_cl").html("");//
		
		allProtocolStr="";
		product_id = "";
		product_type="";
		product_name="";
		
		i = 0;
		if(timer != "" || timer !=null){
			clearInterval(timer);
			timer = "";
		}
		
	}

	var otcFundDetails = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = otcFundDetails;
});