/**
 * 致胜投产品列表
 */
define('mall/scripts/mall/otcVictorylist.js',function(require, exports, module) {
	var pageId = "#mall_otcVictorylist ";
	var	pageCode = "mall/otcVictorylist";
	var appUtils = require("appUtils");
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	var constants = require("constants");// 常量类
	var commonUtils = require("commonUtils");
	var common = require("common");
	var curPageNo="";
	var	validatorUtil = require("validatorUtil");
	var pageCodeIn="";//进来的页面地址
	var dropload=require("dropload"); // 滚动组件
	var me="";
	// 初始化
	function init() {
		common.initTitle(pageId);
		
		pageCodeIn=appUtils.getPageParam("pageCode");//进来的页面地址 
		//查询侄胜投产品
		curPageNo=1;
		findOtcFund();
	}
	/**
	 * 查询至胜投产品
	 */
	function findOtcFund(){
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" #otcfund_zst").html("");
		//初始化滑动组件
		var dropload = $(pageId +".khfxWarp").dropload({
	        scrollArea: $(pageId +".khfxWarp"),
	        loadDownFn: function (me) {
	        	setTimeout(function(){
	        		//调用方法
	        		var param={
	        				"page":curPageNo,
	        				"numPerPage":"4",
	        				"product_shelf":"1",
	        				"fina_belongs":"9",
	        				"fina_type":"72"
	        			};
        			service.findOtcFund(param,function(data){
        				var error_no = data.error_no;
        				var error_info = data.error_info;
        				if(error_no == 0){
        					var otcresults = data.results;
        					var otcstr="<ul class='a1'>";
        					if(curPageNo == 1){//处理没有数据的情况
        						if(otcresults.length==0){
        							$(pageId + " .tab_shade").hide();
        							$(pageId + " .tab_layer").hide();
        							$(pageId+" .no_data_box").show();
        							$(pageId + " #otcfund_zst").hide();
        							$(pageId+" .dropload-down").hide();
        						}else{
        							$(pageId + " .tab_shade").show();
        							$(pageId + " .tab_layer").show();
        							$(pageId+" .no_data_box").hide();
        							$(pageId + " #otcfund_zst").show();
        							$(pageId+" .dropload-down").show();
        						}
        					}else{
        						if(otcresults.length==0){
        							me.lock();
        				            // 显示无数据
        				            me.noData();
        				            me.loading = false;
        				            me.resetload();//加载数据
        						}
        					}
        					curPageNo++;
        					for(var i = 0;i<otcresults.length;i++){
        						var product_id=otcresults[i].product_id;//产品id
        						var product_type= otcresults[i].fina_belongs;//产品大类
        						var product_name=otcresults[i].product_name;//名字
        						var product_marking=otcresults[i].product_marking;//标签
        						var per_buy_limit=otcresults[i].per_buy_limit;//起头金额
        						var investment_horizon=otcresults[i].investment_horizon;//期限findProfit
        						var incomeunit=otcresults[i].incomeunit;//收益率
        						var product_status = otcresults[i].product_status;//购买的状态
        						var disdays=otcresults[i].disdays;//还剩多少天
        						var last_date=otcresults[i].last_date;//节奏日期
        						var one_rose=otcresults[i].one_rose;//预期产品出售日
        						var risk_level_type=otcresults[i].risk_level_type;//收益率说明语句
        						var product_income=otcresults[i].product_income;
        						var product_yq="";
        						var product_yqy="";
        						var product_yqr="";
        						if(one_rose!=""){
        							product_yq=one_rose.split("-");
        							product_yqy=product_yq[1];
        							product_yqr=product_yq[2];
        						}else{
        							product_yqy=1;
        							product_yqr=1;
        						}
        						var share_bq="";//标签
        						if(product_marking!=""){
        							var share = product_marking.split(",");//切割标签配置
        							for(var j = 0;j<share.length;j++){
        								
        								share_bq+="<i class='lab'>"+share[j]+"</i>";
        							}
        						}else{
        							share_bq="";
        						}
        						//计算余额天数
        						if(disdays=="0"){
        							
        							 disdays="--";
        						}
        						var lastdate="";//最后的节制日期
        						var jzdate="";//最后几天
        						if(last_date==""){
        							lastdate="";
        							jzdate="<span class='bs'><small></small>抢购中...</span>";
        						}else{
        							lastdate="<span>截止:"+last_date+"</span>";
        							jzdate="<span class='bs'><small></small>最后<b>"+disdays+"</b>天</span>";
        						}
        						if(investment_horizon==""){
        							investment_horizon="--";
        						}
        						if(incomeunit==null||incomeunit==""||incomeunit=="0.0"){
        							incomeunit="--";
        						}else {
        							incomeunit  = (parseFloat(incomeunit)*100 ).toFixed(2)+"<span>%</span>";
        						}
        						
        						if(product_income!=""&&product_income!="0.0") {
        							product_income = (parseFloat(product_income)*100).toFixed(2)+"<span>%</span>";
        						}else {
        							product_income = "--";
        						}
        						
        						
        						if(product_status=="1"){//预约购买
        							otcstr+="<li class='otcfundbuy' product_id="+product_id+" product_type="+product_type+"><div class='shop_status a1'><p>"+product_yqy+"月"+product_yqr+"日</p><p>即将开售</p></div>" +
        									"<h3 class='tit'>"+product_name+"</h3><div class='pub_title'><div class='pub_title_box '>" +
        									"<em class='pens'>"+incomeunit+"</em><p class='a1'>"+risk_level_type+"</p></div><div class='pub_title_box '>" +
        									"<em class='pens f16'>"+product_income+"</em><p class='a1 pl5'>今年以来年化</p></div>" +
        									"<div class='persen border-left'><p class='a3'><span>"+per_buy_limit+"元起购</span></p><p class='a2'>"+lastdate+"</p>" +
        									"</div></div><div class='bot clearfix'>"+share_bq+"</div></li>";
        						}else if(product_status=="2"){//可以购买
        							otcstr+="<li class='otcfundbuy' product_id="+product_id+" product_type="+product_type+"><i class='hot'></i><h3 class='tit'>"+product_name+"</h3><div class='pub_title'>" +
        									"<div class='pub_title_box '><em class='pens'>"+incomeunit+"</em><p class='a1'>"+risk_level_type+"</p>" +
        									"</div><div class='pub_title_box '><em class='pens f16'>"+product_income+"</em><p class='a1 pl5'>今年以来年化</p>" +
        									"</div><div class='persen border-left'><p class='a3'><span>"+per_buy_limit+"元起购</span></p><p class='a2'>"+lastdate+"</p>" +
        									"</div></div><div class='bot clearfix'>" +share_bq+jzdate+
        									"</div></li>";
        						}else if(product_status=="4"){//已经买完
        							otcstr+="<li class='end' class='otcfundbuy' product_id="+product_id+" product_type="+product_type+"><div class='shop_status a2'><p>已售馨</p></div>" +
        									"<h3 class='tit'>"+product_name+"</h3><div class='pub_title'><div class='pub_title_box '>" +
        									"<em class='pens'>"+incomeunit+"</em><p class='a1'>"+risk_level_type+"</p></div>" +
        									"<div class='pub_title_box '><em class='pens f16'>"+product_income+"<span>%</span></em><p class='a1 pl5'>今年以来年化</p>" +
        									"</div><div class='persen border-left'><p class='a3'><span>"+per_buy_limit+"元起购</span></p>" +
        									"<p class='a2'>"+lastdate+"</p></div></div><div class='bot clearfix'>" +share_bq+jzdate+
        									"</div></li>";
        						}else if(product_status=="3") {//服务期
        							otcstr+="<li class='end' class='otcfundbuy' product_id="+product_id+" product_type="+product_type+"><div class='shop_status a2'><p>服务期</p></div>" +
        									"<h3 class='tit'>"+product_name+"</h3><div class='pub_title'><div class='pub_title_box '>" +
        									"<em class='pens'>"+incomeunit+"</em><p class='a1'>"+risk_level_type+"</p></div>" +
        									"<div class='pub_title_box '><em class='pens f16'>"+product_income+"<span>%</span></em><p class='a1 pl5'>今年以来年化</p>" +
        									"</div><div class='persen border-left'><p class='a3'><span>"+per_buy_limit+"元起购</span></p>" +
        									"<p class='a2'>"+lastdate+"</p></div></div><div class='bot clearfix'>" +share_bq+jzdate
        									"</div></li>";
        						}
        					}
        					otcstr+="</ul>";
        					if(otcresults.length<4){
        			            // 再往下已经没有数据
        			            // 锁定
        			            me.lock();
        			            // 显示无数据
        			            me.noData();
        			            me.loading = false;
        			        }
        					$(pageId + " #otcfund_zst").append(otcstr);
        					me.resetload();//加载数据
        					//跳转到详情
        					appUtils.bindEvent($(pageId+"  .otcfundbuy"),function(){
        						var param = {
        								"product_id" :  $(this).attr("product_id"),
        								"product_type" : $(this).attr("product_type"),
        								"url":"mall/otcVictorylist",
        								"pageCode" : "mall/otcFundDetails",
        								"mall_phone_login" : "1"
        							};
        							common.productJumpmethod(param);
        					},"click");
        				}else{
        					layerUtils.iMsg(-1,error_info);
        				}
        			},{"isShowWait":false});		
	    		},200);
	        }
	    });
	}
	// 绑定事件
	function bindPageEvent() {
		//返回
		appUtils.bindEvent($(pageId + " #icon_back"), function() {
			 if(pageCodeIn!=""&&typeof(pageCodeIn)!="undefined"){
				appUtils.pageInit(pageCode, pageCodeIn);
			}else{
				appUtils.pageInit(pageCode,"mall/otcFundlist");
			}
		});
	}

	// 销毁
	function destroy() {
		$(pageId+" .no_data_box").hide();
		$(pageId + " #zx_lbiao").html("");
		$(pageId + " #otcfund_zst").html("");
		$(pageId+" .dropload-down").remove();//先删除样式
	}

	var otcFundlist = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = otcFundlist;
});
