/**
 * 视频产品播放页面
 */
define('mall/scripts/mall/palyVido.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var ytgService = require("ytgService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var validatorUtil = require("validatorUtil"); 
	var _pageId = "#mall_palyVido ";
	var common = require("common");
	var gconfig = require("gconfig");
	var platform = require("gconfig").platform;
	var external = require("external");
	var global = gconfig.global;
	var URL=global.url;
	var product_id="";//产品id
	var pageCode1="";//传过来的地址
	var chancel = "";
	var app_video="";
	var chancel = null;
	var video_photo="";
	//初始化
	function init(){
		common.initTitle(_pageId);
		
		// 判断是否登录
		var user_id = appUtils.getSStorageInfo("user_id");
		if ( !user_id ) {
			appUtils.pageInit("mall/palyVido", "account/userLogin");
			return false;
		}
		if(platform == "1"){
			chancel = "1";//手机
		}else if(platform == "0"){
			chancel = "0";//PC
		}else if(platform == "2"){
			chancel = "2";//IOS
		}
		
		var content = appUtils.getPageParam("content");//简介
		 app_video = appUtils.getPageParam("video");//视频播放地址
		 video_photo = appUtils.getPageParam("video_photo");//视频图片
		 product_id = appUtils.getPageParam("product_id");//产品id
		 $(_pageId+" #jianjie").addClass("active");
		$(_pageId+" #content").html(content);
		if( chancel=="0"){//pc
			 $(_pageId +" .video_box").html("");
			 $(_pageId +" .video_box").html("<video id='video1' width='100%' height='100%' controls='controls'><source src='"+app_video+"' type='video/mp4' />你的浏览器不支持html5的video标签</video>");	
		}else{//原生
			$(_pageId+" #video_p").html("");
			$(_pageId+" #video_p").append("<img width='100%' id='video_photo' src="+URL+video_photo+" />");
			
			 $(_pageId+" .video_box").attr("app_video",app_video);
			appUtils.bindEvent($(_pageId+".video_box"),function(){
				if(app_video != "" ){
					var param = {
							"funcNo":"50275",
							"title":" ",
							"mediaUrl":app_video
					};
					external.callMessage(param);
				}
		},"click");
		}
	}
	
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+".header_inner a"),function(){
			var pageCode1= appUtils.getPageParam("pageCode1");//传过来的地址
			if(pageCode1=="account/ytg/userSpaceXq"){
				var cpgs= appUtils.getPageParam("cpgs");
				var spdj= appUtils.getPageParam("spdj");
				var param={
					"cpgs":cpgs,
					"spdj":spdj
				};
				appUtils.pageInit("mall/palyVido","account/ytg/userSpaceXq",param);
			}else{
				appUtils.pageInit("mall/palyVido","mall/vdioOrder");
			}
			
		});
		//点击切换按钮
		appUtils.bindEvent($(_pageId+" #jianjie"),function(){
			$(_pageId+" #dianping").removeClass("active");
			$(this).addClass("active");
				$(_pageId+".remark_box").hide();
				$(_pageId+".plot_box").show();
		});
		appUtils.bindEvent($(_pageId+" #dianping"),function(){
			$(_pageId+" #jianjie").removeClass("active");
			$(this).addClass("active");
			$(_pageId+".remark_box").show();
			$(_pageId+".plot_box").hide();
			queryRemaark();
		});
		//发表
		appUtils.bindEvent($(_pageId+" #fabiao"),function(){
			var user_id = appUtils.getSStorageInfo("user_id");
			if(user_id==""||user_id==null){
				var pageParam = appUtils.getPageParam();
				var param = {
					"product_id":product_id
				};
				appUtils.pageInit("account/bofang","account/userLogin");
			}else{
				var remark_content=$(_pageId+" #remark_content").val();
				if(validatorUtil.isEmpty(remark_content)){
					layerUtils.iMsg(-1,"请输入点评内容!");
					return;
				}
				var param = {
					"remark_content":remark_content,
					"user_id":user_id,
					"product_id":product_id
				};
				service.addRemark(param,function(data){
					if(data.error_no == "0"){
						layerUtils.iMsg(-1,"点评成功!");
						$(_pageId+" #remark_content").val("");
						queryRemaark();
					}else{
						layerUtils.iAlert(data.error_info);
					}
				},"");
			}
		});
	}
	
	
	/***
	 * 查询评论列表
	 */
	function queryRemaark(){
		var param = {
				"product_id":product_id
		};
		//查询视频详情
		service.findRemark(param,function(data){
			if(data.error_no == "0"){
				var result = data.results;
				var centent="";
				var param1={
						"user_id" : appUtils.getSStorageInfo("yqtid")
				};
				ytgService.findUserInfoById(param1,function callBack(resultVo){
					var yun_name="";
					if(Number(resultVo.error_no) == 0){
						var result1 = resultVo.results[0];
						var yuser_name=result1.user_name;//晕投顾id
						yun_name=yuser_name;
					}else{
						yun_name="匿名用户";
					}
				for(var i = 0;i<result.length;i++){
					var remark_content=result[i].remark_content;//点评内容
					var create_date=result[i].create_date;//创建时间
					//var user_name=result[i].user_name;//客户姓名
					centent+="<div class=\"comment_text\">";
					centent+="<h5 class=\"title\">"+yun_name+"</h5>";
					centent+="<span class=\"date\">"+create_date+"</span>";
					centent+="<p>"+remark_content+"</p></div>";
				}
				if(result.length==0){
					centent="暂无评论！";
				}
				$(_pageId+" #remark_list").html(centent);
				
				
					
				});	
			}else{
				layerUtils.iMsg(-1,data.error_info);
			}
		},"");
		
	}
	
	
	//销毁
	function destroy(){
		$(_pageId +" .video_box").html("");
		$(_pageId+" #remark_list").html("");
		$(_pageId+" #dianping").removeClass("active");
	}
	
	var palyVido = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	// 暴露对外的接口
	module.exports = palyVido;
	
});