/**
 * 新投研产品首页
 */
define('mall/scripts/mall/researchMoney.js',function(require, exports, module){
	var appUtils = require('appUtils');
	var pageId = "#mall_researchMoney ";
	var pageCode = "mall/researchMoney";
	var service = require("mobileService"); //业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var common = require("common");
	var commonUtils = require("commonUtils");
	var constants=require("constants");//常量类
	var	curPageNo = ""; // 当前页序号
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL = global.url;
	//下标0的元素表示头部滑动，1、2、3分别表示推荐理财、推荐基金和推荐资讯
	var customHIscroll= [{"scroll":null,"_init":false},{"scroll":null,"_init":false},{"scroll":null,"_init":false}];
	var HIscroll =require("hIscroll");
	var picLoadTimer = null;
	var prePageCode = "";
	var product_id="";//产品id
	var product_type="7";
	var dropload=require("dropload"); // 滚动组件
	var me="";
	var fee_way="";
	var fee_way_type="";
	var fee_way_percent="";
	var description="";
	var money_type="";
	var external = require("external");
	//初始化
	function init(){
		common.initTitle(pageId);
		// 通知
		external.callMessage({"funcNo": "50100","moduleName":"open"});
		curPageNo = 1;
		curPageNo1 = 1;
		prePageCode = appUtils.getPageParam("prepageCode");
		if(prePageCode==""||typeof(prePageCode)=="undefined"){
			prePageCode = appUtils.getPageParam("prePageCode");
		}
		/*********新增中焯登录***********/
		var login = appUtils.getSStorageInfo("_isLoginIn");
		if(login=="true"){
        	initPage();
        }
        else{
            var mobilecode = appUtils.getPageParam("mobilecode");
            var user_token = appUtils.getPageParam("user_token");
            if(typeof(user_token)== "undefined" || user_token == null || user_token == ""){
        		initPage();
        	}
        	else{
        		common.SSO_login(mobilecode,user_token,initPage);
        	}
        }
        /*********新增中焯登录***********/	
	}
	
	function initPage(){
		getImg();//广告图片
		findFinanciallist();//投研产品列表		
	};
	
	//获取图片
	function getImg(){
		var param = {
			"group_id" : "7"
		};
		service.getAdv(param,function(data){
			if(data.error_no != "0"){
				layerUtils.iAlert(data.error_info);
				return false;
			}else{
				var results = data.results;
				var imgStr = "";
				var navstr = "";
				for(var i = 0;i < results.length;i++){
					var picture = results[i].picture;
					var xqUrl = results[i].url;
					var state=results[i].state;
					imgStr += '<div class="bot_banner"><img src="'+ URL + picture +'" state="'+state+'" url="'+xqUrl+'" alt="" title="" style="height:130px"></div>';
					if(i == 0){
						navstr += '<em class="active"></em>';
					}else{
						navstr += '<em></em>';
					}
				}
				$(pageId+" #scroller").html(imgStr);
				$(pageId+" #nav").html(navstr);
				appUtils.bindEvent($(pageId+"  .bot_banner img"),function(){
					var xurl  = $(this).attr("url");
					var state= $(this).attr("state");
					if(state=="1"){
						if(xurl!=null&&xurl!="") {
							var arr = xurl.split("?");
							var product_url = arr[0];
							var paramArr = arr[1].split("&");
							var paramArr1 = paramArr[0].split("=");
							var paramArr2 = paramArr[1].split("=");
							var a=paramArr1[0];
							var b=paramArr2[0];
							var param = {};
							param[a] = paramArr1[1];
							param[b] = paramArr2[1];
							if(!(param[a] && a == "product_id")){
								 param["pageCode"] = pageCode;
								 appUtils.pageInit(pageCode,product_url,param);
							}else{
								 param["pageCode"] = product_url;
								 param["url"] = "mall/researchMoney";
								 param["mall_phone_login"] = "1";
								 common.productJumpmethod(param);
							}
						}
					}
				},"click");
				initAdScroller();
				$(pageId+" #scroller").css("height","50%");
				$(pageId+" #scroller .bot_banner").css("height","50%");
			}
		});
	}
	
	/**
	 * 初始化图片滚动组件
	 */
	function initAdScroller()
	{
		clearInterval(picLoadTimer);
		picLoadTimer = null;
		if(customHIscroll[0].scroll)
		{
			customHIscroll[0].scroll.destroy();
			customHIscroll[0].scroll = null;
		}
		var config = {
			wrapper: $(pageId+" #wrapper"), //wrapper对象
			scroller: $(pageId+" #scroller" ), //scroller对象
			perCount: 1,  //每个可视区域显示的子元素
			showTab: true, //是否有导航点
			tabDiv: $(pageId+" #nav"), //导航点集合对象
			auto: true, //是否自动播放
			interval: null, //自动播放定时器
			wrapperObj: null
		};
		customHIscroll[0].scroll = new HIscroll(config); 
		customHIscroll[0]._init = true;
		$(pageId+" .bot_banner").show();
	}
	/**
	 * 查询产品列表
	 */
	function findFinanciallist(){
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" #research_list").html("");
		//初始化滑动组件
		var dropload = $(pageId +".khfxWarp").dropload({
	        scrollArea: $(pageId +".khfxWarp"),
	        loadDownFn: function (me) {
	        	setTimeout(function(){
	        		//调用方法查询投研产品
	        		var	param  = {
	        			"product_shelf":constants.product_shelf.SHELF_ON,
	        			"page":curPageNo,
	        			"numPerPage":"4" ,
	        			"recommend_type":"",
	        			"fina_belongs":"7",
	        			"is_hot_sale":"1",
	        			"productType":"7",
	        			"userid": appUtils.getSStorageInfo("user_id")
	        		};
	        		service.findFinan(param,function(data){
	        			var error_no = data.error_no;
	        			var error_info = data.error_info;
	        			if(error_no == 0)
	        			{   
	        				var zxresults = data.results[0].data;
	        				if(curPageNo == 1)
	        				{
	        					if(zxresults.length==0){
	        						$(pageId + " #research_list").hide();
	        						$(pageId + " .no_data_box").show();
	        						$(pageId+" .dropload-down").hide();
	        					}else{
	        						$(pageId + " #research_list").show();
	        						$(pageId + " .no_data_box").hide();
	        						$(pageId+" .dropload-down").show();
	        					}
	        				}else{
        						if(zxresults.length==0){
        							me.lock();
        				            // 显示无数据
        				            me.noData();
        				            me.loading = false;
        				            me.resetload();//加载数据
        						}
        					}
	        				curPageNo++;
	        				var zxstr="<ul class='a1'>";
	        				for(var i = 0;i<zxresults.length;i++)
	        				{
	        					var inst_sname = zxresults[i].inst_sname;//产品名字
	        					var inst_code = zxresults[i].inst_code;//产品编码
	        					var inst_id = zxresults[i].inst_id;//产品id
	        					var can_expe_days = zxresults[i].can_expe_days;
	        					var sub_price = zxresults[i].sub_price;//优惠价
	        					var product_desc = zxresults[i].product_desc;//一段简介
	        					var isyh = zxresults[i].isyh;//是否优惠
	        					var original_price = zxresults[i].original_price;  //原价
	        					var sub_price = zxresults[i].sub_price;  //原价
	        					var img = zxresults[i].img;//产品图片
	        					var zbrymc = zxresults[i].zbrymc;//联系人
	        					var total = zxresults[i].total;//订阅数量
	        					var level = zxresults[i].level;//
	        					var levelName = zxresults[i].levelName;//
	        					var star = zxresults[i].star;//
	        					var cpgs = zxresults[i].cpgs;//产品归属
	        					var real_name = zxresults[i].real_name;//投顾姓名
	        					var imgstar=commonUtils.levelImg(zxresults[i].star);
	        					var fee_way = zxresults[i].fee_way;//收费方式
	        					var fee_way_type = zxresults[i].fee_way_type;//收费方式的展示类型
	        					var fee_way_percent = zxresults[i].fee_way_percent;//佣金提升
	        					var fee_way_limit = zxresults[i].fee_way_limit;//提佣产品资产要求
	        					var description=zxresults[i].description;//说明
	        					var money_type=zxresults[i].money_type;//最低资金要求
	        					var product_seq=zxresults[i].product_seq;//产品序列
	        					var tyzh=zxresults[i].tyzh;//提佣账户
	        					var hotVa="";
	        					var cpgsVa="";
	        					if(real_name==""){
	        						real_name=zbrymc;
	        					}
	        					hotVa="<span class='red'><em>￥"+sub_price+"</em></span>";
	        					
	        					if(fee_way_type!=""){
	        						if(fee_way_percent=="0"){
		        						sub_price="免费签约";
		        					}else{
		        						if(product_seq=="1"){
		        							sub_price="免费签约";
		        						}else{		        							
		        							if (tyzh=="1"){
		        								tyzh = "普通账户";
		        							}else if (tyzh=="2"){
		        								tyzh = "信用账户";//"信用账户";
		        							}else{
		        								tyzh = "";
		        							}
		        							
		        							if (fee_way_type=="1"){	
		        								sub_price="固定费率：服务期场内A股基金"+tyzh+"交易佣金为"+fee_way_percent+"‰";
		        							}else {
		        								sub_price="固定提升费率：服务期场内A股基金"+tyzh+"交易佣金在原基础上提升"+fee_way_percent+"‰";
		        							}
		        						 }
		        					}
	        						hotVa="<span class='red'><em>"+sub_price+"</em></span>";
	        					}
//	        					if(isyh == "1"){//优惠
//	        						hotVa="<span class='red'><em>￥</em>"+sub_price+"<em></em></span><span class='gary'><em>￥"+sub_price+"</em></span>";
//	        					}else{
//	        						hotVa="<span class='red'><em>￥"+sub_price+"</em></span>";
//	        					}
	        					//hotVa="<span class='red'><em>￥"+sub_price+"</em></span>";
	        					if(cpgs!=""){
	        						cpgsVa="<span class='a2'><span class='img'><img src="+imgstar+" width='16' alt=''></span>&nbsp;&nbsp;"+levelName+"&nbsp;&nbsp;"+level+"级</span>";
	        					}else{
	        						cpgsVa="";
	        					}
	        					if(total==""){
	        						total="0";
	        					}
	        					if(fee_way_type!=""){
	        						zxstr += "<li class='research_xp' product_id="+inst_id+" product_type='7'><div class='top'><h3 class='tit'>"+inst_sname+" <span class='ding'>"+total+"人签约</span></h3>" +
    								"<p class='a1'>主 办 &nbsp;&nbsp;"+real_name+" &nbsp;"+cpgsVa+"</p>" +
    								"<p class='a2 clearfix'>"+hotVa+
    								"<a href='javaScript:void(0);' class='btn_d' product_id='"+inst_id+"' fee_way='"+fee_way+"' fee_way_type='"+fee_way_type+"' fee_way_percent='"+fee_way_percent+"' fee_way_limit='"+fee_way_limit+"' description='"+description+"' money_type='"+money_type+"'>签约</a></p></div><div class='bot'>" +
    								"<h3 class='js'>产品简介</h3><p>"+product_desc+"</p>" +
    								"</div></li>";
	        					}else{
	        						zxstr += "<li class='research_xp' product_id="+inst_id+" product_type='7'><div class='top'><h3 class='tit'>"+inst_sname+" <span class='ding'>"+total+"人订阅</span></h3>" +
    								"<p class='a1'>主 办 &nbsp;&nbsp;"+real_name+" &nbsp;"+cpgsVa+"</p>" +
    								"<p class='a2 clearfix'>"+hotVa+
    								"<a href='javaScript:void(0);' class='btn_d' product_id='"+inst_id+"' fee_way='"+fee_way+"' fee_way_type='"+fee_way_type+"' fee_way_percent='"+fee_way_percent+"' fee_way_limit='"+fee_way_limit+"' description='"+description+"' money_type='"+money_type+"'>订 阅</a></p></div><div class='bot'>" +
    								"<h3 class='js'>产品简介</h3><p>"+product_desc+"</p>" +
    								"</div></li>";
	        					}
	        				}
	        				zxstr+="</ul>";
	        				if(zxresults.length<4){
	        		            // 再往下已经没有数据
	        		            // 锁定
	        		            me.lock();
	        		            // 显示无数据
	        		            me.noData();
	        		            me.loading = false;
	        		        }
	        				$(pageId+" #research_list").append(zxstr);  // 填充服务产品列表
	        				me.resetload();//加载数据
	        				
	        				//进入详情
	        				appUtils.bindEvent($(pageId+" .fly_cp ul.a1 li"),function(){
	        					var pageInParam = {
	        						"product_id" :  $(this).attr("product_id"),
	        						"product_type" : $(this).attr("product_type"),
	        						"pageCode" : "mall/itemsFinanIn",
	        						"url" : "mall/researchMoney",
	        						"mall_phone_login" : "1",
	        						"fee_way":$(this).find("a").attr("fee_way"),
	        						"fee_way_type":$(this).find("a").attr("fee_way_type"),
	        						"fee_way_percent":$(this).find("a").attr("fee_way_percent"),
	        						"fee_way_limit":$(this).find("a").attr("fee_way_limit"),
	        						"description":$(this).find("a").attr("description"),
	        						"money_type":$(this).find("a").attr("money_type")
	        					};
	        					common.productJumpmethod(pageInParam);	      
	        				},"click");
	        			}else{
	        				layerUtils.iMsg(-1,error_info);
	        			}
	        		},{"isShowWait":false});
	    		},200);
	        }
	    });
	}
	//根据产品名称或主办名字查找投研产品
	function findResrarch(){
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" #research_list").html("");
		//初始化滑动组件
		var dropload = $(pageId +".khfxWarp").dropload({
	        scrollArea: $(pageId +".khfxWarp"),
	        loadDownFn: function (me) {
	        	setTimeout(function(){
	        		//调用方法查询投研产品
	        		var research_val = $(pageId+" #research_val").val();
	        		var	param  = {
	        				"research_val":research_val,
	        				"page":curPageNo1
	        			};
	        		service.findResrarch(param,function(data){
	        			var error_no = data.error_no;
	        			var error_info = data.error_info;
	        			if(error_no == 0)
	        			{
	        				var zxresults = data.results;
	        				if(curPageNo1==1){
	        					if(zxresults.length == 0)
	        					{
	        						$(pageId + " #research_list").hide();
	        						$(pageId + " .no_data_box").show();
	        						$(pageId+" .dropload-down").hide();
	        					}else{
	        						$(pageId + " #research_list").show();
	        						$(pageId + " .no_data_box").hide();
	        						$(pageId+" .dropload-down").show();
	        					}
	        				}
	        				curPageNo1++;
	        				var zxstr="<ul class='a1'>";
	        				for(var i = 0;i<zxresults.length;i++)
	        				{
	        					var inst_sname = zxresults[i].inst_sname;//产品名字
	        					var inst_code = zxresults[i].inst_code;//产品编码
	        					var inst_id = zxresults[i].inst_id;//产品id
	        					var can_expe_days = zxresults[i].can_expe_days;
	        					var sub_price = zxresults[i].sub_price;//优惠价
	        					var product_desc = zxresults[i].product_desc;//一段简介
	        					var isyh = zxresults[i].isyh;//是否优惠
	        					var sub_price = zxresults[i].sub_price;  //原价
	        					var img = zxresults[i].img;//产品图片
	        					var zbrymc = zxresults[i].zbrymc;//联系人
	        					var total = zxresults[i].total;//订阅数量
	        					var level = zxresults[i].level;//
	        					var levelName = zxresults[i].levelName;//
	        					var star = zxresults[i].star;//
	        					var cpgs = zxresults[i].cpgs;//产品归属
	        					var imgstar=commonUtils.levelImg(zxresults[i].star);
	        					var fee_way = zxresults[i].fee_way;//收费方式
	        					var fee_way_type = zxresults[i].fee_way_type;//收费方式的展示类型
	        					var fee_way_percent = zxresults[i].fee_way_percent;//佣金提升
	        					var fee_way_limit = zxresults[i].fee_way_limit;//提佣产品资产要求
	        					var description=zxresults[i].description;//说明
	        					var money_type=zxresults[i].money_type;//最低资金要求
	        					var hotVa="";
	        					var cpgsVa="";
	        					var real_name=zxresults[i].real_name;//产品
	        					var tyzh=zxresults[i].tyzh;//提佣账户
//	        					if(isyh == "1"){//优惠
//	        						hotVa="<span class='red'><em>￥</em>"+sub_price+"<em></em></span><span class='gary'><em>￥</em>"+original_price+"<em>/月</em></span>";
//	        					}else{
	        						hotVa="<span class='red'><em>￥"+sub_price+"</em></span>";
//	        					}
	        						if(fee_way_type!=""){
	        							if (tyzh=="1"){
	        								tyzh = "普通账户";
	        							}else if (tyzh=="2"){
	        								tyzh = "信用账户";//"信用账户";
	        							}else{
	        								tyzh = "";
	        							}
		        						if(fee_way_type=="1"){
		        							sub_price="固定费率：服务期场内A股基金"+tyzh+"交易佣金为"+fee_way_percent+"‰";
		     
		        						}else{
		        							sub_price="固定提升费率：服务期场内A股基金"+tyzh+"交易佣金在原基础上提升"+fee_way_percent+"‰";
		        						}
		        						hotVa="<span class='red'><em>"+sub_price+"</em></span>";
		        					}
	        					
	        					if(cpgs!=""){
	        						cpgsVa="<span class='a2'><span class='img'><img src="+imgstar+" width='16' alt=''></span>&nbsp;&nbsp;"+levelName+"&nbsp;&nbsp;"+level+"级</span>";
	        					}else{
	        						cpgsVa="";
	        					}
	        					if(total==""){
	        						total="0";
	        					}
	        					 zxstr += "<li class='research_xp' product_id="+inst_id+" product_type='7'><div class='top'><h3 class='tit'>"+inst_sname+" <span class='ding'>"+total+"人订阅</span></h3>" +
	        								"<p class='a1'>主 办 &nbsp;&nbsp;"+real_name+" &nbsp;"+cpgsVa+"</p>" +
	        								"<p class='a2 clearfix'>"+hotVa+
	        								"<a href='javaScript:void(0);' class='btn_d' product_id="+inst_id+">订 阅</a></p></div><div class='bot'>" +
	        								"<h3 class='js'>产品简介</h3><p>"+product_desc+"</p>" +
	        								"</div></li>";
	        				}
	        				zxstr+="</ul>";
	        				if(zxresults.length<4){
	        		            // 再往下已经没有数据
	        		            // 锁定
	        		            me.lock();
	        		            // 显示无数据
	        		            me.noData();
	        		            me.loading = false;
	        		        }
	        				$(pageId+" #research_list").append(zxstr);  // 填充服务产品列表
	        				me.resetload();//加载数据
	        			
	        				//进入详情
	        				appUtils.bindEvent($(pageId+" .fly_cp ul.a1 li"),function(){
	        					var pageInParam = {
	        						"product_id" :  $(this).attr("product_id"),
	        						"product_type" : $(this).attr("product_type"),
	        						"pageCode" : "mall/itemsFinanIn",
	        						"url" : "mall/researchMoney",
	        						"mall_phone_login" : "1",
	        						"fee_way":$(this).find("a").attr("fee_way"),
	        						"fee_way_type":$(this).find("a").attr("fee_way_type"),
	        						"fee_way_percent":$(this).find("a").attr("fee_way_percent"),
	        						"fee_way_limit":$(this).find("a").attr("fee_way_limit"),
	        						"description":$(this).find("a").attr("description"),
	        						"money_type":$(this).find("a").attr("money_type")
	        					};
	        					common.productJumpmethod(pageInParam);
	        				},"click");
	        			}else{
	        				layerUtils.iMsg(-1,error_info);
	        			}
	        		},{"isShowWait":false});
	    		},200);
	        }
	    });
	}
	//绑定事件
	function bindPageEvent(){
		
		//返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
				common.backModule();
		});
		//根据产品名称或主办名字查找投研产品
		appUtils.bindEvent($(pageId+" .touyan_search"),function(){
			var research_val = $(pageId+" #research_val").val();
			if(research_val==""){
				curPageNo = 1;
				findFinanciallist(); // 查询产品列表
			}else{
				curPageNo1 = 1;
				findResrarch();
			}
		},"click");
	}
	//销毁
	function destroy(){
		$(pageId + " #research_list").html("");
		$(pageId+" #research_val").val("");
		$(pageId + " #research_list").show();
		$(pageId + " .no_data_box").hide();
		$(pageId+" .dropload-down").remove();//先删除样式
	}
	var researchMoney = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = researchMoney;
	
});