/**
 * 翼钱罐中我的交易流水
 */
define('mall/scripts/mall/transFer/record.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var fundUtils = require("mall/scripts/common/fundUtils");//数字字典
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var pageId = "#mall_transFer_record ";
	var pageCode = "mall/transFer/record";
	var gconfig = require("gconfig");
	var external = require("external");
	var global = gconfig.global;
	var common = require("common");
	var	curPageNo = ""; // 当前页序号
	var	VIscroll = require("vIscroll");
	var confirmPay="";//密码
	var	myScroller = null; // 滚动组件
	var flag="";
	//初始化
	function init(){
		common.initTitle(pageId);
		
		curPageNo=1;
		flag=1;
		$(pageId+ ".tra_buy a:eq(0)").addClass("on");
		$(pageId+ ".tra_buy a:eq(1)").removeClass("on");
		checkTransFer();//卖出订单
		//buyTransFer();//买入订单
	}
	//查询买入订单
	function buyTransFer(){
		var client_no=appUtils.getSStorageInfo("khh");
		var param = {
				"client_no": client_no,
				"page": curPageNo,
				"numPerPage": "10",
			};
		service.buyTransFer(param,function(data){
			if(data.error_no == "0"){
				var results = data.results[0].data;//出参结果
				if(results!=""&&results.length>0){
					var str="";
					for(var i = 0;i < results.length;i++){
		                var tra_app_date = results[i].app_date;//申请日期
		                var app_timestamp = results[i].app_timestamp;//申请时间
		                var tra_app_sno = results[i].app_sno;//申请编号
		                var inst_id = results[i].inst_id;//产品编码
		                var inst_sname = results[i].inst_sname;//产品简称
		                var can_cancel = results[i].can_cancel;//可撤标志
		                var cancel_flag = results[i].canceled_flag;//已撤标志
		                var valid_date = results[i].valid_date;//有效日期
		                var sell_matched_amt = results[i].sell_matched_amt;//委托数量
		                var ord_stat = results[i].ord_stat;//订单状态
		                var order_name=fundUtils.AvicOrder(ord_stat);//获取订单状态对应值
		                var sh="";
		                var zr="";
		                if(can_cancel=="1"){
		                	sh="<span class='sfer_cd' app_sno='"+tra_app_sno+"' app_date='"+tra_app_date+"'  inst_id='"+inst_id+"'>可撤单</span>";
		                }
		                if(ord_stat=="6"&&cancel_flag=="0"){
		                	zr="成交成功";
		                }else if(cancel_flag=="1"){
		                	zr="已撤单";
		                }
		                str="<li><a href='javaScript:void(0);'><div class='sfer_l'>" +
		                	"<p class='spc'>"+inst_sname+"<span>"+order_name+"</span ></p><span>"+app_timestamp+"</span></div><div class='sfer_r'>" +
		                	"<p>"+sell_matched_amt+"</p>"+sh+"<span class='sfering'>"+zr+"</span></div></a></li>";
		               
		                
		                $(pageId+" .tran_order").append(str);
					};
				}else{
					if(curPageNo=="1"){
						$(pageId+" .no_data_box").show();
					}
					
				}
			}else{
				layerUtils.iMsg(-1,data.error_info);
			}
			//撤单操作
			appUtils.bindEvent($(pageId+" .sfer_cd"),function(){
				var tra_app_sno=$(this).attr("app_sno");
    			var tra_app_date=$(this).attr("app_date");
    			var tra_inst_id=$(this).attr("inst_id");
	    		appUtils.setSStorageInfo("tra_app_sno",tra_app_sno);//订单编码
	    		appUtils.setSStorageInfo("tra_app_date",tra_app_date);//订单日期
	    		appUtils.setSStorageInfo("tra_inst_id",tra_inst_id);//产品编码
	    		appUtils.setSStorageInfo("tra_type","2");//买入订单撤单
				$(pageId+" #payment_drop").show();
				$(pageId+" #payment_card").show();
				$(pageId+".fake-box input").val("");
				$(pageId+" #tradePwd").val("");
				$(pageId+" #tradePwd").focus();
				KillOrder(this);//撤单
			},"click");
			initScroller();
		});
	}
	
	
	//查询卖出订单
	function checkTransFer(){
		var client_no=appUtils.getSStorageInfo("khh");
		var param = {
				"client_no": client_no,
				"page": curPageNo,
				"numPerPage": "10",
			};
		service.checkTransFer(param,function(data){
			if(data.error_no == "0"){
				var results = data.results[0].data;//出参结果
				if(results!=""&&results.length>0){
					var str="";
					for(var i = 0;i < results.length;i++){
		                var tra_app_date = results[i].app_date;//申请日期
		                var app_timestamp = results[i].app_timestamp;//申请时间
		                var tra_app_sno = results[i].app_sno;//申请编号
		                var inst_id = results[i].inst_id;//产品编码
		                var inst_sname = results[i].inst_sname;//产品简称
		                var can_cancel = results[i].can_cancel;//可撤标志
		                var cancel_flag = results[i].cancel_flag;//已撤标志
		                var valid_date = results[i].valid_date;//有效日期
		                var sell_qty = results[i].sell_qty;//申卖份额
		                var ord_stat = results[i].ord_stat;//订单状态
		                var order_name=fundUtils.AvicOrder(ord_stat);//获取订单状态对应值
		                var sh="";
		                var zr="";
		                if(can_cancel=="1"){
		                	sh="<span class='sfer_cd' app_sno='"+tra_app_sno+"' app_date='"+tra_app_date+"'  inst_id='"+inst_id+"'>可撤单</span>";
		                }
		                if(ord_stat=="2"&&cancel_flag=="0"){
		                	zr="转让中";
		                }else if(cancel_flag=="1"){
		                	zr="已撤单";
		                }
		                str="<li><a href='javaScript:void(0);'><div class='sfer_l'>" +
		                	"<p class='spc'>"+inst_sname+"<span>"+order_name+"</span ></p><span>"+app_timestamp+"</span></div><div class='sfer_r'>" +
		                	"<p>"+sell_qty+"</p>"+sh+"<span class='sfering'>"+zr+"</span></div></a></li>";
		               
		                
		                $(pageId+" .tran_order").append(str);
					};
				}else{
					if(curPageNo=="1"){
						$(pageId+" .no_data_box").show();
					}
					
				}
			}else{
				layerUtils.iMsg(-1,data.error_info);
			}
			//撤单操作
			appUtils.bindEvent($(pageId+" .sfer_cd"),function(){
				var tra_app_sno=$(this).attr("app_sno");
    			var tra_app_date=$(this).attr("app_date");
    			var tra_inst_id=$(this).attr("inst_id");
	    		appUtils.setSStorageInfo("tra_app_sno",tra_app_sno);//订单编码
	    		appUtils.setSStorageInfo("tra_app_date",tra_app_date);//订单日期
	    		appUtils.setSStorageInfo("tra_inst_id",tra_inst_id);//产品编码
	    		appUtils.setSStorageInfo("tra_type","1");//卖出订单撤单
				$(pageId+" #payment_drop").show();
				$(pageId+" #payment_card").show();
				$(pageId+".fake-box input").val("");
				$(pageId+" #tradePwd").val("");
				$(pageId+" #tradePwd").focus();
				KillOrder(this);//撤单
			},"click");
			initScroller();
		});
	}
	//转让卖出撤单
	function KillOrder(obj){
	
		//确定支付
		$(pageId+".fake-box input").val("");
		$(pageId+" #tradePwd").val("");
		var $input = $(pageId+".fake-box input");
		$(pageId+" #tradePwd").on("input", function() {  
			 var pwd = $(pageId+" #tradePwd").val().trim();//输入的密码  
            for (var i = 0, len = pwd.length; i < len; i++) {  
                $input.eq("" + i + "").val(pwd[i]);  
            }  
            $input.each(function() {  
                var index = $(this).index();  
                if (index >= len) {  
                    $(this).val("");  
                };  
            });  
            if (len == 6) { 
            	$(pageId+".fake-box input").val("");
    			$(pageId+" #payment_drop").hide();
    			$(pageId+" #payment_card").hide();
                //执行其他操作  
            	var confirmPay= $(pageId+" #tradePwd").val();//输入的密码
    			if(confirmPay==""||typeof(confirmPay)=="undefined"){
    				layerUtils.iMsg(-1,"请输入交易密码");
    		 		return false;
    			}
    			if(appUtils.getSStorageInfo("tra_type")=="1"){//卖出撤单
    				soldMoneyOrder();//卖出撤单
    			}else{
    				buyMoneyOrder();//买入撤单
    			}
    			
            }
		});
	}
	//卖出撤单
	function soldMoneyOrder(){
		var client_no=appUtils.getSStorageInfo("khh");
		var app_sno=appUtils.getSStorageInfo("tra_app_sno");//原编号
		var trd_date=appUtils.getSStorageInfo("tra_app_date");//交易时间
		var tra_inst_id=appUtils.getSStorageInfo("tra_inst_id");//产品编码
		var trade_pass = "";
		var ctrlParam = {
				"isAsync" : false
			};
		//密码加密
		service.getRSAKey({},function(dataresult){
			var confirmPay= $(pageId+" #tradePwd").val();//输入的密码
			if(dataresult.error_no=="0"){
				var modulus = dataresult.results[0].modulus;
				var publicExponent =dataresult.results[0].publicExponent;
				var endecryptUtils = require("endecryptUtils");
				 trade_pass = endecryptUtils.rsaEncrypt(modulus,publicExponent,confirmPay);
			}
		},ctrlParam);
		var param={
				"client_no":client_no,
				"ori_app_sno":app_sno,
				"ori_app_date":trd_date,
				"trade_pwd":trade_pass,
				"inst_id":tra_inst_id
			};
			service.soldTraOrder(param,function(data){
				if(data.error_no == "0"){
					var results = data.results;//出参结果
					var app_date=results.app_date;
					var app_sno=results.app_sno;
					if(app_sno!=""){//成功
						//location.reload();//重新加载页面
						curPageNo = 1;
						$(pageId+" .tran_order").html("");
						$(pageId+" #tradePwd").val("");
						checkTransFer(); 
					}else{
						layerUtils.iMsg(-1,otcdata.error_info);
						$(pageId+" #tradePwd").blur();
						$(pageId+" #tradePwd").val("");
					}
				}else{
					layerUtils.iMsg(-1,data.error_info);
					$(pageId+" #tradePwd").blur();
					$(pageId+" #tradePwd").val("");
				}
         
			},ctrlParam);
	}
	//
	function buyMoneyOrder(){
		var client_no=appUtils.getSStorageInfo("khh");
		var app_sno=appUtils.getSStorageInfo("tra_app_sno");//原编号
		var trd_date=appUtils.getSStorageInfo("tra_app_date");//交易时间
		var tra_inst_id=appUtils.getSStorageInfo("tra_inst_id");//产品编码
		var trade_pass = "";
		var ctrlParam = {
				"isAsync" : false
			};
		//密码加密
		service.getRSAKey({},function(dataresult){
			var confirmPay= $(pageId+" #tradePwd").val();//输入的密码
			if(dataresult.error_no=="0"){
				var modulus = dataresult.results[0].modulus;
				var publicExponent =dataresult.results[0].publicExponent;
				var endecryptUtils = require("endecryptUtils");
				 trade_pass = endecryptUtils.rsaEncrypt(modulus,publicExponent,confirmPay);
			}
		},ctrlParam);
		var param={
				"client_no":client_no,
				"ori_app_sno":app_sno,
				"ori_app_date":trd_date,
				"trade_pwd":trade_pass,
				"inst_id":tra_inst_id
			};
			service.buyTraOrder(param,function(data){
				if(data.error_no == "0"){
					var results = data.results;//出参结果
					var app_date=results.app_date;
					var app_sno=results.app_sno;
					if(app_sno!=""){//成功
						//location.reload();//重新加载页面
						curPageNo = 1;
						$(pageId+" .tran_order").html("");
						$(pageId+" #tradePwd").val("");
						checkTransFer(); 
					}else{
						layerUtils.iMsg(-1,otcdata.error_info);
						$(pageId+" #tradePwd").blur();
						$(pageId+" #tradePwd").val("");
					}
				}else{
					layerUtils.iMsg(-1,data.error_info);
					$(pageId+" #tradePwd").blur();
					$(pageId+" #tradePwd").val("");
				}
         
			},ctrlParam);
	}
	/**
	 * 初始化滚动组件
	 */
	function initScroller(){
		if(myScroller){
			$(pageId+" .visc_pullDown").show();
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(pageId + " .tran_order");
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}else{
			var visibleHeight = $(window).height() - $(pageId + ".header").height(); // 滑动组件的可见高度
			var scrollerParam = {
				isPagingType: false,
				isHasHead: false,
				visibleHeight: visibleHeight,
				container: $(pageId + " .tran_order").parents(".visc_wrapper").parent(), // container元素
				wrapper: $(pageId + " .tran_order").parents(".visc_wrapper"), // wrapper元素
				downHandle : function() {
					$(pageId+" .tran_order").html("");
					curPageNo = 1;
					if(flag=="1"){
						checkTransFer(); 
					}else{
						
					}
				},
				upHandle : function(){
					
					$(pageId+" .visc_pullUp").show();
					curPageNo++;
					if(flag=="1"){
						checkTransFer(); 
					}else{
						
					}
				}
			};
			myScroller = new VIscroll(scrollerParam); //初始化
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(pageId + " .tran_order");
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
		
		$(pageId+" .pay_main").hide();
		$(".visc_pullUp").hide();
		$(pageId + " .index-con").hide();
	}
	
	
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			appUtils.pageInit(pageCode,"userCenter/wd");
		});
		//关闭密码框
		appUtils.bindEvent($(pageId+" .close"),function(){
			$(pageId+".fake-box input").val("");
			$(pageId+" #payment_drop").hide();
			$(pageId+" #payment_card").hide();
			$(pageId+" #tradePwd").val("");
		});
		//查询卖出的转让几率
		appUtils.bindEvent($(pageId+" .tra_buy a:eq(0)"),function(){
			curPageNo=1;
			flag=1;
			 $(pageId+ ".tra_buy a:eq(0)").addClass("on");
			 $(pageId+ ".tra_buy a:eq(1)").removeClass("on");
			 $(pageId+" .tran_order").html("");
			 checkTransFer();
		},"click");
		//查询申购的转让几率
		appUtils.bindEvent($(pageId+" .tra_buy a:eq(1)"),function(){
			curPageNo=1;
			flag=2;
			 $(pageId+ ".tra_buy a:eq(1)").addClass("on");
			 $(pageId+ ".tra_buy a:eq(0)").removeClass("on");
			 $(pageId+" .tran_order").html("");
			 buyTransFer();
		},"click");
	}
	//销毁
	function destroy(){
		$(pageId+" .tran_order").html("");
		$(pageId + " .visc_wrapper").show();
		$(pageId + " .fix_add").hide();
		$(pageId+" .no_data_box").hide();
		$(pageId+".fake-box input").val("");
		$(pageId+" #payment_drop").hide();
		$(pageId+" #payment_card").hide();
		$(pageId+" #tradePwd").val("");
		flag=1;
		confirmPay="";
	}
	var record = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = record;
	
});