/**
 * 理财--支付完成
 */

define('mall/scripts/mall/transFer/sellPayment.js',function(require, exports, module)
	{
	var service = require("mobileService"); //业务层接口，请求数据
	var appUtils = require('appUtils');
	var putils = require("putils");
	var constants=require("constants");//常量类
	var layerUtils = require("layerUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var _pageId ="#mall_transFer_sellPayment ";
	//1、初始化
	function init()
	{	
		common.initTitle(_pageId);
		
		var pageParam = appUtils.getPageParam();
		var ord_frz_qty = pageParam.ord_frz_qty;
		var now_time = pageParam.now_time;
		var type = pageParam.type;//9是挂单，10是成交
		if(type=="9"){
			$(_pageId+" .jy_result li:eq(0) h5").html("转让"+ord_frz_qty+"元");
			$(_pageId+" .jy_result li:eq(0) p").html("已经挂单,可以在商城转让专区查看订单");
			$(_pageId+" #tradate").html(now_time);
		}else{
			$(_pageId+" .jy_result li:eq(0) h5").html("成交成功"+ord_frz_qty+"元");
			$(_pageId+" .jy_result li:eq(0) p").html("成交成功，可以在我的-我的转让中查看订单");
			$(_pageId+" #tradate").html(now_time);
		}
		
	}
	//2、事件 绑定
	function bindPageEvent()
	{

		//绑定返回事件
		appUtils.bindEvent($(_pageId+" .icon_back"),function() {
			appUtils.pageBack();
		}); 
		
		appUtils.bindEvent($(_pageId+" .btn_box3"),function() {
			appUtils.pageInit("mall/finanOrder/payment","mall/moneyShop");
		}); 
		
	}

	//3、销毁
	function destroy()
	{
	}

	var sellPayment =
	{
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};

	module.exports = sellPayment;

	});