/**
 * 转让专区
 */
define('mall/scripts/mall/transFer/transFerIndex.js',function(require, exports, module) {
	var appUtils = require('appUtils');
	var pageId = "#mall_transFer_transFerIndex ";
	var pageCode = "mall/transFer/transFerIndex";
	var service = require("mobileService"); // 业务层接口，请求数据
	var putils = require("putils");
	var layerUtils = require("layerUtils");
	var common = require("common");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var platform=gconfig.platform;//判断app或pc用
	var URL = global.url;
	var myScroller = null; // 滚动组件
	var VIscroll = require("vIscroll");
	var firstInstall = "";
	// 下标0的元素表示头部滑动，1、2、3分别表示推荐理财、推荐基金和推荐资讯
	var customHIscroll = [ {
		"scroll" : null,
		"_init" : false
	}, {
		"scroll" : null,
		"_init" : false
	}, {
		"scroll" : null,
		"_init" : false
	} ];
	var HIscroll = require("hIscroll");
	var picLoadTimer = null;
	function init() {
		common.initTitle(pageId);
		
		curPageNo = 1;
		initAdScroller();//广告滑动组件
		getImg();//广告图片
		$(pageId + "#chooseDiv").hide();
		//转让列表查询
		findFundLists();
		
	}
	
	//查询产品的基本信息
	function findFundLists(){
		
		var param = {
			"page":curPageNo,
			"numPerPage":"4" ,
			"flag":"1"
		};
		var callback = function(data){

			var error_no = data.error_no;
			var error_info = data.error_info;
			if(error_no == 0)
			{
				var results = data.results;
				var result = results[0].data;
				
				if(curPageNo == 1)
				{
					$(pageId + " #research_list").html("");
				}
				$(pageId + " #research_list").show();
				if(result.length>0){
					var zxstr="<ul class=''>";
					for(var i = 0;i<result.length;i++)
					{
						var name = result[i].inst_sname;//名称
						var inst_id = result[i].inst_id;//产品编码
						var est_yield = result[i].incomeunit*100;//预期年化收益率
						est_yield = Number(est_yield).toFixed(2);
						var disdays = result[i].disdays;//剩余期限
						var gdsydays = result[i].gdsydays;//多少天结束
						var sell_qty = result[i].sell_qty;//金额
						var valid_date = result[i].valid_date;//有效时间
						var cntr_no = result[i].cntr_no;//合约编号
						var cntr_reg_date = result[i].cntr_reg_date;//合约日期
						var app_sno = result[i].app_sno;//申请编号
						var app_date = result[i].app_date;//申请日期
						var agreement_id = result[i].agreement_id;//受理编号
						var ord_stat = result[i].ord_stat;//订单状态
						var trans_acct = result[i].trans_acct;//交易账号
						//(（金额*预期年化收益率）/365)*投资期限
						var ygsy = parseFloat(((sell_qty*est_yield)/36500)*disdays).toFixed(2);
						if(ord_stat=="2"){//只有确定的单才显示出来
						zxstr += '<li class="tra_details" est_yield="'+est_yield+'" inst_id="'+inst_id+'" disdays="'+disdays+'" valid_date="'+valid_date+'" sell_qty="'+sell_qty+'"  cntr_no="'+cntr_no+'" cntr_reg_date="'+cntr_reg_date+'" app_sno="'+app_sno+'" app_date="'+app_date+'" agreement_id="'+agreement_id+'" trans_acct="'+trans_acct+'">'+
	                    		 '<a class="pos" href="#"><div class="sfer_l"><p>'+ name +'</p></div><span>可转让</span></a>'+
	                    		 '<div class="sfer_xt"><div class="sfer_ot_c"><p>'+ est_yield +'<em>%</em></p><span>预期年化收益率</span>'+
	                    		 '</div><div class="sfer_ot_l"><p>'+ disdays +'天</p><span>剩余期限</span></div><div class="sfer_ot_r">'+
	                    		 '<p>'+ ygsy +'</p><span>预估收益</span></div></div><div class="maturity maturity2">'+
	                    		 '<p><i></i><em>结束时间:'+app_date+'</em></p><a class="btnss" href="#">立即投资</a></div></li>';
						}else{
							
						}
						 
					}
					zxstr+="</ul>";
					$(pageId+" #research_list").append(zxstr);  // 填充服务产品列表
				}else{
					if(curPageNo == 1){
						$(pageId+" .no_data_box").show();
					}
				}
				
				//进入详情
				appUtils.bindEvent($(pageId+" .tra_details"),function(){
					var est_yield = $(this).attr("est_yield");//预计收益率
					var sell_qty = $(this).attr("sell_qty");//申购价钱
					var disdays = $(this).attr("disdays");//剩余天数
					var valid_date = $(this).attr("valid_date");//有效天数
					var cntr_no = $(this).attr("cntr_no");//合约编号
					var cntr_reg_date = $(this).attr("cntr_reg_date");//合约日期
					var app_sno = $(this).attr("app_sno");//申请编号
					var app_date = $(this).attr("app_date");//申请日期
					var agreement_id = $(this).attr("agreement_id");//合约编号
					var trans_acct = $(this).attr("trans_acct");//挂单的交易账号
					appUtils.setSStorageInfo("est_yield",est_yield);
					appUtils.setSStorageInfo("disdays",disdays);
					appUtils.setSStorageInfo("valid_date",valid_date);
					appUtils.setSStorageInfo("sell_qty",sell_qty);
					appUtils.setSStorageInfo("cntr_no",cntr_no);
					appUtils.setSStorageInfo("cntr_reg_date",cntr_reg_date);
					appUtils.setSStorageInfo("app_sno",app_sno);
					appUtils.setSStorageInfo("app_date",app_date);
					appUtils.setSStorageInfo("agreement_id",agreement_id);
					appUtils.setSStorageInfo("trans_acct",trans_acct);
					var param = {
						"product_code" : $(this).attr("inst_id"),
						"pageCode" : pageCode
					};
						appUtils.pageInit(pageCode,"mall/transFer/transFerDetails",param);
				},"click");
				
				initScroller();
				$(pageId+" .visc_pullUp").hide();
			}else{
				layerUtils.iMsg(-1,error_info);
			}
		
		};
		service.checkTransFerpruduct(param,callback);
	}
	
	
	
	function bindPageEvent() {
		// 返回
		appUtils.bindEvent($(pageId + " .icon_back"), function() {
				appUtils.pageInit(pageCode, "mall/moneyShop");
		});
		
		// 选择器的确定按钮
		appUtils.bindEvent($(pageId + " #okBtn"), function() {
			$(pageId +"#chooseDiv").hide();
			var choosePdt = $(pageId + ".swiper-slide-active");
			pageParam['fid_khh'] = appUtils.getSStorageInfo("khh"); //客户号
			pageParam['fid_tadm'] = choosePdt.attr("data-pdtTadm");//基金公司编码
			pageParam['fid_jjdm'] = choosePdt.attr("data-pdtCode");//基金代码
			pageParam['fid_jjzh'] = choosePdt.attr("data-pdtJjzh");//基金账户
			$(pageId + "#pdtName").html(choosePdt.attr("data-pdtName"));
			$(pageId + "#pdtCode").html(pageParam.fid_jjdm);
		});
		
		// 选择器的取消按钮
		appUtils.bindEvent($(pageId + " #cancelBtn"), function() {
			$(pageId +"#chooseDiv").hide();
		});
		
		//点击基金名称，出现选择器
		appUtils.bindEvent($(pageId + " #startChoose"), function() {
			$(pageId +"#chooseDiv").show();
			//初始化产品选择器
			var swiper = new Swiper('.swiper-container', {
			    slidesPerView: 5,//每页显示的side个数
			    paginationClickable: true,//是否支持点击
			    spaceBetween: 5,//每个side的距离
				direction: 'vertical',//是否ֱ
				centeredSlides: true,//是否居中
				initialSlide :0,//初始位置
				slideToClickedSlide:true//是否点击居中
			});
		});
		
		// 选择分红方式
		appUtils.bindEvent($(pageId + " .dividendway"), function() {
			$(pageId + "#dividend").slideToggle();
		});
		
		// 选择分红方式
		appUtils.bindEvent($(pageId + " #dividend"), function(e) {
			pageParam.fid_fhfs = $(e.target).attr("data-type");
			$(pageId + "#dividendName").html($(e.target).html());
			$(pageId + "#curway").html($(e.target).html());
			$(pageId + "#dividend").slideUp();
			 e.stopPropagation();
		});
		// 选择分红方式
		appUtils.bindEvent($(pageId + " #subBtn"), function() {
			console.log(pageParam);
			subDividendWay();
		});
	}
	//提交
	function subDividendWay(){
		if(checkParam()){
			service.setDividendWay(pageParam,function(data){
				console.log(data);
				if(data.error_no == "0"){
					layerUtils.iAlert("恭喜您，设置成功","0",function(){
						appUtils.pageInit(pageCode, "userCenter/wd");
					});
				}else{
					layerUtils.iMsg("-1",data.error_info);
				}
			},{})
		}
	}
	//检查
	function checkParam(){
		if(pageParam.fid_tadm == "" || pageParam.fid_jjdm == "" || pageParam.fid_jjzh == "" || pageParam.fid_fhfs == ""){
			layerUtils.iMsg("-1","您设置的信息不完整");
			return false
		}
		return true
	}
	/**
	 * 初始化图片滚动组件
	 */
	function initAdScroller() {
		clearInterval(picLoadTimer);
		picLoadTimer = null;
		if (customHIscroll[0].scroll) {
			customHIscroll[0].scroll.destroy();
			customHIscroll[0].scroll = null;
		}
		var config = {
			wrapper : $(pageId + " #wrapper"), // wrapper对象
			scroller : $(pageId + " #scroller"), // scroller对象
			perCount : 1, // 每个可视区域显示的子元素
			showTab : true, // 是否有导航点
			tabDiv : $(pageId + " #nav"), // 导航点集合对象
			auto : true, // 是否自动播放
			interval : null, // 自动播放定时器
			wrapperObj : null
		};
		customHIscroll[0].scroll = new HIscroll(config);
		customHIscroll[0]._init = true;
		$(pageId + " .bot_banner").show();
	}
	//获取图片
	function getImg(){
		var param = {
			"group_id" : "10"
		};
		service.getAdv(param,function(data){
			if(data.error_no != "0"){
				layerUtils.iAlert(data.error_info);
				return false;
			}else{
				var results = data.results;
				var imgStr = "";
				var navstr = "";
				for(var i = 0;i < results.length;i++){
					var picture = results[i].picture;
					var xqUrl = results[i].url;
					var state=results[i].state;
					imgStr += '<div class="bot_banner"><img src="'+ URL + picture +'" state="'+state+'" url="'+xqUrl+'" alt="" title="" style="height:130px"></div>';
					if(i == 0){
						navstr += '<em class="active"></em>';
					}else{
						navstr += '<em></em>';
					}
				}
				$(pageId+" #scroller").html(imgStr);
				$(pageId+" #nav").html(navstr);
				appUtils.bindEvent($(pageId+"  .bot_banner img"),function(){
					var xurl  = $(this).attr("url");
					var state= $(this).attr("state");
					if(state=="1"){
						if(xurl!=null&&xurl!="") {
							var arr = xurl.split("?");
							var product_url = arr[0];
							var paramArr = arr[1].split("&");
							var paramArr1 = paramArr[0].split("=");
							var paramArr2 = paramArr[1].split("=");
							var a=paramArr1[0];
							var b=paramArr2[0];
							 var param = {
								"pageCode" : pageCode
							};
							 param[a] = paramArr1[1];
							 param[b] = paramArr2[1];
							appUtils.pageInit(pageCode,product_url,param);
						}
					}
				},"click");
				initAdScroller();
				$(pageId+" #scroller").css("height","50%");
				$(pageId+" #scroller .bot_banner").css("height","50%");
			}
		});
	}
	/**
	 * 初始化滚动组件
	 */
	function initScroller()
	{
		if(myScroller)
		{
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(pageId + " #research_list");
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
		else  
		{
			var visibleHeight = $(window).height() - $(pageId + ".header").height() - $(pageId +".zhuanqu").height(); // 滑动组件的可见高度
			var scrollerParam = {
				isPagingType: false,
				isHasHead: false,
				visibleHeight: visibleHeight,
				container: $(pageId + " #research_list").parents(".visc_wrapper").parent(), // container元素
				wrapper: $(pageId + " #research_list").parents(".visc_wrapper"), // wrapper元素
				downHandle : function() {
						curPageNo = 1;
						findFundLists(); // 查询产品列表
					
				},
				upHandle : function(){
					
						$(pageId+" .visc_pullUp").show();
						curPageNo++;
						findFundLists(); // 查询产品列表
					
					
				}
			};
			myScroller = new VIscroll(scrollerParam); //初始化
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(pageId + " #research_list");
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
			
		}
	}
	
	/**
	 * 计算两个日期之间的差
	 * param : 20170101格式
	 */
	function ok(bng,end){
        var bngDate = new Date(bng.substr(0,4),bng.substr(4,2)-1,bng.substr(6,2));
        var endDate = new Date(end.substr(0,4),end.substr(4,2)-1,end.substr(6,2));
        var days = (endDate.getTime()-bngDate.getTime())/24/60/60/1000;
        return days;
    }
	function destroy() {
		
	}

	var transFerIndex = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = transFerIndex;
});