/**
 * 资讯订单
 */
define('mall/scripts/order/informationOrder.js',function(require, exports, module){
	var appUtils = require("appUtils");
	var	gconfig = require("gconfig");
	var	global = gconfig.global;
	var common = require("common");
	var	service = require("mobileService"); // 业务层接口，请求数据
	var	layerUtils = require("layerUtils");
	var	start_time = ""; // 查询接口的起始时间
	var	end_time = ""; // 查询接口的结束时间
	var	order_state = ""; // 查询接口的订单状态
	var	curPageNo = ""; // 当前页序号
	var	pageId = "#order_informationOrder ";
	var dropload=require("dropload"); // 滚动组件
	var external = require("external");
	var me="";
	function init()
	{	//解决未登入报错的问题
		common.initTitle(pageId);
		
		curPageNo = 1;
		/*********新增中焯登录***********/
		var login = appUtils.getSStorageInfo("_isLoginIn");
        if(login=="true"){}
        else{
            var mobilecode = appUtils.getPageParam("mobilecode");
            var user_token = appUtils.getPageParam("user_token");
            console.log("ok1");
            common.SSO_login(mobilecode,user_token,initPage);
            console.log("ok2");
        }
        console.log("ok");
        /*********新增中焯登录***********/
		/*var user_id =appUtils.getSStorageInfo("user_id");
		if(user_id==null){
			common.checkUserIsLogin();//检查登入
		}else{
			queryOrderList(); // 查询订单列表
		}*/
	}
	
	function initPage(){
		queryOrderList(); // 查询订单列表
	};
	
	function bindPageEvent()
	{
		/**
		 * 返回按钮
		 */
		appUtils.bindEvent($(pageId+" .icon_back"), function(){
			//appUtils.pageBack();
			var param = {
					moduleName: "open", // String	目标模块名	N
					funcNo: "50114"
					};
			external.callMessage(param);
		});
		/**
		 * 购买(添加)产品按钮
		 */
		appUtils.bindEvent($(pageId+" .fix_add a"),function(){
			appUtils.pageInit("order/informationOrder","mall/moneyShop");
		});
		//确定支付
		var $input = $(pageId+".fake-box input");
		$(pageId+" #tradePwd").on("input", function() {  
			 var pwd = $(pageId+" #tradePwd").val().trim();//输入的密码  
            for (var i = 0, len = pwd.length; i < len; i++) {  
                $input.eq("" + i + "").val(pwd[i]);  
            }  
            $input.each(function() {  
                var index = $(this).index();  
                if (index >= len) {  
                    $(this).val("");  
                };  
            });  
            if (len == 6) { 
            	$(pageId+".fake-box input").val("");
    			$(pageId+" #payment_drop").hide();
    			$(pageId+" #payment_card").hide();
                //执行其他操作  
            	var confirmPay= $(pageId+" #tradePwd").val();//输入的密码
            	console.log(confirmPay);
    			if(confirmPay==""||typeof(confirmPay)=="undefined"){
    				layerUtils.iMsg(-1,"请输入交易密码");
    		 		return false;
    			}
    			doCancelOrder(confirmPay);
            }  
        }); 
		//关闭密码框
		appUtils.bindEvent($(pageId+" .close"),function(){
			$(pageId+".fake-box input").val("");
			$(pageId+" #payment_drop").hide();
			$(pageId+" #payment_card").hide();
			$(pageId+" #tradePwd").val("");
		});
		
		
	}
	/**
	 * 执行撤单操作
	 * @param tradePwd 交易密码
	 */
	function doCancelOrder(tradePwd)
	{
		var user_id =appUtils.getSStorageInfo("user_id");
		var tot_price= appUtils.getSStorageInfo("tot_price");//预约金额
		var order_id = appUtils.getSStorageInfo("order_id");//预约订单，订单
    	var product_name = appUtils.getSStorageInfo("product_name");//预约产品名称
    	var app_timestamp = appUtils.getSStorageInfo("app_timestamp");//预约时间
    	var apply_no = appUtils.getSStorageInfo("apply_no");
    	var trd_date = appUtils.getSStorageInfo("trd_date");//交易账号
    	var fund_account = appUtils.getSStorageInfo("fund_account");//资产账号
    	var khh = appUtils.getSStorageInfo("khh");//客户代码
    	var loginFlag = appUtils.getSStorageInfo("loginFlag");//保障金还是银行
    	var product_type = appUtils.getSStorageInfo("product_type");//产品类型
    	var yuYzt = appUtils.getSStorageInfo("yuYzt");//预约的状态
    	if(product_type != "7"){
    		product_type == "";
    	}
		var param = {
			"user_id": user_id,
    		"old_order_id" : order_id,
    		"product_name" : product_name,
    		"tot_price" : tot_price,
    		"trade_pwd" : tradePwd,
    		"loginFlag" : loginFlag,
    		"app_timestamp" : app_timestamp,
    		"apply_no" : apply_no,
    		"trd_date" : trd_date,
    		"trans_acct":trd_date,
    		"fund_account" : fund_account,
    		"khh" : khh,
    		"productType" : product_type,
    		"yuYzt":yuYzt
    	};
    	var doCancelCallback = function(data){
    		if(data)
    		{
    			if(data.error_no=="0")
				{
					curPageNo = 1;
					queryOrderList(); // 查询订单列表
				}
				else
				{
					$(pageId+".fake-box input").val("");
	    			$(pageId+" #payment_drop").hide();
	    			$(pageId+" #payment_card").hide();
	    			var param2={
							"counTer":data.error_info
						};
					common.popupMethod(param2);
				}
    		}
    	};
    	var doCancelOrder = function(){
    		service.undoOrder(param, doCancelCallback);
    	}; // 执行撤单
    	var getKeyCallback = function(data){
    		if(data)
    		{
				if(data.error_no=="0")
				{
					var modulus = data.results[0].modulus;
					var publicExponent =data.results[0].publicExponent;
					var endecryptUtils = require("endecryptUtils");
					param.trade_pwd = endecryptUtils.rsaEncrypt(modulus,publicExponent,param.trade_pwd);
					doCancelOrder();
				}
				else
				{
					$(pageId+".fake-box input").val("");
	    			$(pageId+" #payment_drop").hide();
	    			$(pageId+" #payment_card").hide();
	    			var param2={
							"counTer":data.error_info
						};
					common.popupMethod(param2);
				}
    		}
    	};
		service.getRSAKey({}, getKeyCallback);//加密
	}
	
	/**
	 * 查询订单列表
	 */
	function queryOrderList()
	{
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" #list").html("");
		//初始化滑动组件
		var dropload = $(pageId +".khfxWarp").dropload({
	        scrollArea: $(pageId +".khfxWarp"),
	        loadDownFn: function (me) {
	        	setTimeout(function(){
	        		//调用方法
	        		var user_id =appUtils.getSStorageInfo("user_id");
	        		var pageParam = appUtils.getPageParam() || {};
	        		var loginType = appUtils.getSStorageInfo("loginType");
	        		var account_name = appUtils.getSStorageInfo("client_no");//用户账号
	        		var flag;
	        		if(loginType == "0"){  //loginType  0手机登录  1资金账号登录
	        			flag = "2";
	        		}else{
	        			flag = "1";
	        		}
	        		console.log(pageParam);
	        		console.log(pageParam.product_id);
	        		var param = {
	        			"user_id": user_id,
	        			"product_sub_type": "1",
	        			"page": curPageNo,
	        			//"product_id": pageParam.product_id,
	        			"start_time": start_time,
	        			"end_time": end_time,
	        			"order_state": order_state,
	        			"numPerPage": "4",
	        			"flag":flag,
	        			"client_id":account_name
	        		};
	        			service.queryMyZxOrder(param,function(data){
	        				var error_no = data.error_no;
	        				if(error_no == 0){
	        					var results = data.results[0].data;
	        					if(curPageNo == 1){//处理没有数据的情况
	        						if(results.length==0){
	        							$(pageId + " .fix_add").show(); // 显示购买(添加)产品 div
	        							$(pageId + " #list").hide(); // 隐藏数据列表
	        							$(pageId+" .dropload-down").hide();
	        						}else{
	        							$(pageId + " .fix_add").hide();
	        							$(pageId + " #list").show();
	        							$(pageId+" .dropload-down").show();
	        						}
	        					}else{
	        						if(results.length==0){
	        							me.lock();
	        				            // 显示无数据
	        				            me.noData();
	        				            me.loading = false;
	        				            me.resetload();//加载数据
	        						}
	        					}
	        					curPageNo++;
	        					if(results.length>0)
	        					{
	        						var aListHtml = [];
	        						for(var i = 0, len = results.length; i < len; i++)
	        						{
	        							var oneData = results[i];
	        							var order_id = oneData.order_id; // 订单 id
	        							var order_state = oneData.order_state; // 订单状态
	        							var operating_type = oneData.operating_type; // 操作类型，3 可撤
	        							var order_statusName = "购买失败"; // 订单状态名称
	        							var create_time = oneData.create_time;//购买时间
	        							var product_name = oneData.product_name;//在基金中是基金简称
	        							var tot_price = oneData.tot_price; // 订单金额
	        							var trd_date = oneData.trd_date;//交易账户
	        							var fund_account = oneData.fund_account;//资金账号
	        							var khh = oneData.khh;//客户号
	        							var loginFlag = oneData.loginFlag;//支付方式
	        							var productType = oneData.productType;//代表是什么产品
	        							var fid_tadm = oneData.fid_tadm;//TA编码
	        							var fid_jjsl = oneData.fid_jjsl;//基金数量
	        							var fid_kysl = oneData.fid_kysl;//可用数量
	        							var fid_ccjj = oneData.fid_ccjj;//成本价
	        							var fid_zxsz = oneData.fid_zxsz;//市值
	        							var trans_acct = oneData.trans_acct;//基金账号
	        							var fid_jjdm = oneData.fid_jjdm;//基金代码
	        							var fid_sffs = oneData.fid_sffs;//收费方式
	        							
	        							var sub_type = oneData.sub_type;//订阅种类
	        							var fee_way_percent = oneData.fee_way_percent;//提佣费率
	        							var product_seq = oneData.product_seq;//产品序列
	        							if(productType == "7"){
	        								if(sub_type=="0"||sub_type=="3"){
	        									if(order_state == "0"){
		        									order_statusName = "未生效";
		        								}
		        								else if(order_state == "1")
		        								{
		        									order_statusName = "签约成功";
		        								}
		        								else if( order_state == "2")
		        								{
		        									order_statusName = "暂停";
		        								}
		        								else if(order_state == "3")
		        								{
		        									order_statusName = "已解约";
		        								}
		        								else if(order_state == "9")
		        								{
		        									order_statusName = "已过期";
		        								}
	        								}else{
	        									if(order_state == "0"){
		        									order_statusName = "未生效";
		        								}
		        								else if(order_state == "1")
		        								{
		        									order_statusName = "订阅成功";
		        								}
		        								else if( order_state == "2")
		        								{
		        									order_statusName = "暂停";
		        								}
		        								else if(order_state == "3")
		        								{
		        									order_statusName = "已退订";
		        								}
		        								else if(order_state == "9")
		        								{
		        									order_statusName = "已过期";
		        								}
	        								}
	        							}else{
	        								if(order_state == "1")
	        								{
	        									order_statusName = "待支付";
	        								}
	        								else if( order_state == "2")
	        								{
	        									order_statusName = "购买成功";
	        								}
	        								else if(order_state == "4")
	        								{
	        									order_statusName = "预约成功";
	        								}
	        								else if(order_state == "6")
	        								{
	        									order_statusName = "已撤单";
	        								}
	        								else
	        								{
	        									order_statusName = "购买失败";
	        								}
	        							}
	        							aListHtml.push('<div class="part">');
	        							aListHtml.push('<h5>' + product_name + '</h5>');
	        							var loginType = appUtils.getSStorageInfo("loginType");
	        							if(sub_type!="0"&&sub_type!="3"){
	        								if(loginFlag == "1")	//loginFlag 1保证金支付的订单   2银行卡支付的订单
		        							{
		        								aListHtml.push('<p>保证金支付</p>');
		        							}
		        							else
		        							{
		        								aListHtml.push('<p>银行卡支付</p>');
		        							}
	        							}else{
	        								aListHtml.push('<p>佣金提升</p>');
	        							}
	        							aListHtml.push('<small>' + create_time + '</small>');
	        							
	        							if(order_state == "6")
	        							{
	        								aListHtml.push('<span class="stat n1">' + order_statusName + '</span>');
	        							}
	        							else if(order_state == "1" || order_state == "2")
	        							{
	        								aListHtml.push('<span class="stat n2">' + order_statusName + '</span>');
	        							}
	        							else if(order_state == "4"){//预约
	        								aListHtml.push('<span class="stat n2">' + order_statusName + '</span>');
	        							}else{
	        								aListHtml.push('<span class="stat" style="background:#b1a5a0;border:1px solid #b1a5a0">' + order_statusName + '</span>');
	        							}
	        							if(sub_type=="0"||sub_type=="3"){
	        								if(product_seq=="1"){
	        									aListHtml.push('<strong><span class="agreen">免费</span></strong>');
	        								}else{
	        									aListHtml.push('<strong><span class="agreen">'+fee_way_percent+'‰</span></strong>');
	        								}
	        							}else{
	        								aListHtml.push('<strong><span class="agreen">' + tot_price + '</span>元</strong>');
	        							}
	        							
	        							if(operating_type == "3")
	        							{
	        								if(productType == "7"){
	        									if(sub_type=="0"||sub_type=="3"){
		        									aListHtml.push('<span class="stat n1 unsubscribe" style="top:75%;background:#f8607d" is-cancel-btn="true" data-sub-type="' + sub_type + '" data-product-type="' + productType + '" data-khh="' + khh + '" data-loginFlag="' + loginFlag + '" data-order-id="' + order_id + '" data-product-name="' + product_name + '" data-tot-price="' + tot_price + '" data-app-timestamp="'+ create_time +'" data-apply-no="'+ order_id +'" data-trd-date="'+ trd_date +'" data-fund-account="'+ fund_account +'">解约</span>');
	        									}else{
		        									aListHtml.push('<span class="stat n1 unsubscribe" style="top:75%;background:#f8607d" is-cancel-btn="true" data-product-type="' + productType + '" data-khh="' + khh + '" data-loginFlag="' + loginFlag + '" data-order-id="' + order_id + '" data-product-name="' + product_name + '" data-tot-price="' + tot_price + '" data-app-timestamp="'+ create_time +'" data-apply-no="'+ order_id +'" data-trd-date="'+ trd_date +'" data-fund-account="'+ fund_account +'">退订</span>');
	        									}
	        								}else if(order_state == "4"){
	        									aListHtml.push('<span class="stat n1" is-cancel-btn="true" style="top:75%;background:#f8607d" data-order_state="' + order_state + '" data-product-type="' + productType + '" data-khh="' + khh + '" data-loginFlag="' + loginFlag + '" data-order-id="' + order_id + '" data-product-name="' + product_name + '" data-tot-price="' + tot_price + '" data-app-timestamp="'+ create_time +'" data-apply-no="'+ order_id +'" data-trd-date="'+ trd_date +'" data-fund-account="'+ fund_account +'">撤单</span>');
	        								}else{
	        									aListHtml.push('<span class="stat n1" style="top:75%;background:#f8607d" is-cancel-btn="true" data-product-type="' + productType + '" data-khh="' + khh + '" data-loginFlag="' + loginFlag + '" data-order-id="' + order_id + '" data-product-name="' + product_name + '" data-tot-price="' + tot_price + '" data-app-timestamp="'+ create_time +'" data-apply-no="'+ order_id +'" data-trd-date="'+ trd_date +'" data-fund-account="'+ fund_account +'">撤单</span>');
	        								}
	        							}
	        							else
	        							{
	        								aListHtml.push('');
	        							}
	        							aListHtml.push('</div>');
	        							
	        						}
	        						$(pageId + " #list").append(aListHtml.join(""));
        							if(results.length<4){
	        				            // 再往下已经没有数据
	        				            // 锁定
	        				            me.lock();
	        				            // 显示无数据
	        				            me.noData();
	        				            me.loading = false;
	        				        }
	        				        me.resetload();//加载数据
	        					}
	        					/**
	        					 * 撤单按钮点击事件
	        					 */
	        			        appUtils.bindEvent($(pageId + " #list span[is-cancel-btn='true']"),function(){
	        			        	var tot_price = $(this).attr("data-tot-price"); // 订单金额
	        			        	var order_id = $(this).attr("data-order-id"); // 预约订单，订单
	        			        	var product_name = $(this).attr("data-product-name"); // 预约产品名称
	        			        	var app_timestamp = $(this).attr("data-app-timestamp"); //预约时间
	        			        	var apply_no = $(this).attr("data-apply-no"); 
	        			        	var trd_date = $(this).attr("data-trd-date"); //交易账号
	        			        	var fund_account = $(this).attr("data-fund-account"); //资产账号
	        			        	var zixu_khh = $(this).attr("data-khh"); //客户代码
	        			        	var loginFlag = $(this).attr("data-loginFlag"); //保障金还是银行
	        			        	var product_type = $(this).attr("data-product-type"); //产品类型
	        			        	var yuYzt = $(this).attr("data-order_state"); //预约的状态
	        			        	var subtype = $(this).attr("data-sub-type"); //订阅种类
	        			        	appUtils.setSStorageInfo("tot_price",tot_price);
	        			        	appUtils.setSStorageInfo("order_id",order_id);
	        			        	appUtils.setSStorageInfo("product_name",product_name);
	        			        	appUtils.setSStorageInfo("app_timestamp",app_timestamp);
	        			        	appUtils.setSStorageInfo("apply_no",apply_no);
	        			        	appUtils.setSStorageInfo("trd_date",trd_date);
	        			        	appUtils.setSStorageInfo("fund_account",fund_account);
	        			        	appUtils.setSStorageInfo("zixu_khh",zixu_khh);
	        			        	appUtils.setSStorageInfo("loginFlag",loginFlag);
	        			        	appUtils.setSStorageInfo("product_type",product_type);
	        			        	appUtils.setSStorageInfo("yuYzt",yuYzt);
	        						var param = {
	        							"date":""
	        						};
	        						service.dealTimeSyn(param,function(data){
	        							if(data.error_no!="0")
	        							{
	        								layerUtils.iMsg(-1,data.error_info);
	        								layerUtils.iLoading(false);
	        								return false;
	        							}
	        							else if(data.results[0].is_trade=='0')
	        							{
	        								layerUtils.iMsg(-1,"当前是非交易时间，产品暂停交易。");
	        								layerUtils.iLoading(false);
	        								return false;
	        							}
	        							else{
	        					        	$(pageId+".fake-box input").val("");
	        								$(pageId+" #tradePwd").val("");
	        								$(pageId+".yuan").show();
	        								if(subtype!="0"&&subtype!="3"){
	        									$(pageId+".yuan").html("<span>￥</span>"+tot_price);
	        								}else{
	        									$(pageId+".yuan").hide();
	        								}
	        								$(pageId+" #payment_drop").show();
	        								$(pageId+" #payment_card").show();
	        								$(pageId+" #tradePwd").focus();
	        							}
	        						});
	        			        }, "click");
	        				}else{
	        					var param2={
	        							"counTer":data.error_info
	        						};
	        					common.popupMethod(param2);
	        				}
	        			},{"isShowWait":false});		
	    		},200);
	        }
	    });
	}
	function destroy(){
		$(pageId+".fake-box input").val("");
		$(pageId+" #payment_drop").hide();
		$(pageId+" #payment_card").hide();
		$(pageId+" #list").html(""); // 清除列表数据
		$(pageId + " .fix_add").hide(); // 隐藏购买(添加)产品 div
		$(pageId+" .dropload-down").remove();//先删除样式
	}
    
	var informationOrder = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};

	module.exports = informationOrder;
});