/**
 *风险测评结果
 */
define('mall/scripts/riskTest/riskResult.js',function(require, exports, module) {
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var service = require("mobileService"); //业务层接口，请求数据
	var global = gconfig.global;
	var layerUtils = require("layerUtils");
	var fundUtils = require("mall/scripts/common/fundUtils");
	var _pageId="#riskTest_riskResult ";
	var pageCode="riskTest/riskResult";
	var product_code="";

	/*初始化*/
	function init()
	{
		common.initTitle(_pageId);
		
		$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height())+"px"});
		var pageInParam  = appUtils.getPageParam();
		
			var risk_level = pageInParam.risk_level;
		
		$(_pageId+" .risk-result-con").find("h4").html(fundUtils.FundkhhRank(risk_level));
		$(_pageId+" .risk-result-con").find("h2").html("您的风险评测结果为 : "+fundUtils.FundkhhRank(risk_level));
	}

	function bindPageEvent() 
	{
		/* 绑定返回事件 */
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.setSStorageInfo("_prePageCode","payment/paymentPage");
			appUtils.pageBack();
			
		});

		/* 绑定确定事件 */
		appUtils.bindEvent($(_pageId+" .risk-result-btn .thinkive a"),function(){
			 appUtils.setSStorageInfo("_prePageCode","payment/paymentPage");
			var pageInParam  = appUtils.getPageParam();
			if(pageInParam != undefined){
				var param = {
					"user_id" : pageInParam.user_id,
					"khh" : pageInParam.khh,
					"risk_level" : pageInParam.risk_level,
					"product_id" : pageInParam.product_id,
					"tot_price" : pageInParam.tot_price,
					"pageType" : "0",
					"product_type":pageInParam.product_type,
					"isKh":appUtils.getPageParam().isKh,
					"isCp":appUtils.getPageParam().isCp
				};
			}
			service.dealTimeSyn({},function(data){
				if(data.error_no!="0")
				{
					layerUtils.iMsg(-1,data.error_info);
					layerUtils.iLoading(false);
					return false;
				} 
				else if(data.results[0].is_trade=='0')
				{
					appUtils.pageInit(pageCode, "mall/payment/paymentPage", param);
				}
				else{
					appUtils.pageInit(pageCode, "account/testAccountSuccess", param);
				}
			});
		});
	}

	function destroy()
	{
		service.destroy();
	}

	var riskResult = 
	{
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};

	module.exports = riskResult;

});