/**
 * 我的资产视图
 */
define('mall/scripts/userCenter/assetV.js',function(require, exports, module) {

	var _pageId = "#userCenter_assetV ";
	var pageCode = "userCenter/assetV";
	var appUtils = require("appUtils");
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var ytgService = require("ytgService"); // 业务层接口，请求数据
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var domain = gconfig.global.domain;
	var URL = global.url;
	var common = require("common");
	var	validatorUtil = require("validatorUtil");
	var external = require("external");
	var constants = require("constants");// 常量类
	var curPageNo = ""; // 当前页序号
	var myScroller = null; // 滚动组件
	var VIscroll = require("vIscroll");
	var prePageCode = "";
	var user_id="";
	var face_image="";
	var platform = gconfig.platform;
	var code="";//产品Code
	var inst_avls="";//持有金额
	var all_money = "";
	// 初始化
	function init() {
		common.initTitle(_pageId);
		if(platform=="0"){
			$(_pageId+" .icon_back").hide();
		}
		
		var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆
			if(login_flag!="true"){
				var pageInParam = {
						"prePageCode" : pageCode,
						"backUrl" : pageCode
					};
				appUtils.pageInit(pageCode, "account/Login",{"backparam":pageInParam});
			return;
			}
		
		$(_pageId+" .fix_add").css("margin-top","40%");
		/**
		 * 查询资产视图
		 */
		queryAll();
		//获取总资产
		if (validatorUtil.isEmpty(appUtils.getPageParam('all_money'))){
			$(_pageId+" .yqgzc span").html("----");
		}else{
			$(_pageId+" .dw span").html(""+appUtils.getPageParam('all_money')+"");
			appUtils.setSStorageInfo("all_money",appUtils.getPageParam('all_money'));
		}
	}
	
	
	
	function queryAll(){
		var bs="";//大类标识页面展示
		var str="";
		
		
	/**
	 * 查询资产视图
	 */
		var param = {
				"khh": appUtils.getSStorageInfo("khh"),
				"userId": appUtils.getSStorageInfo("user_id"),
//				"khh":"003100001688",
//				"userId":"1",
				"loginType":appUtils.getSStorageInfo("loginType")
			};
		service.queryAssetView(param,function(data){
			if(data.error_no == "0"){
				var results =data.results;//出参结果
				if(results!=""&&results.length>0){
					$(_pageId+" .qb_prolist").html("");
					
					for(var i=0;i<results.length;i++){
						var sh="";//赎回按钮页面展示
						var inst_type=results[i].inst_type;//大类标识
						var inst_cls=results[i].inst_cls;//标识
						var inst_sname=results[i].inst_sname;//产品简称
						var accu_income=results[i].accu_income;//累计收益
						var inst_avl=results[i].inst_bln;//可用余额
						var mkt_val=results[i].mkt_val;//市值
						
						var inst_code=results[i].inst_code;//产品code
						var dqrStr = "";
						var kyfe = results[i].inst_avl;
						inst_avl=Number(mkt_val,2)+Number(results[i].dyqje,2);
						inst_avl = inst_avl.toFixed(2);
						if(inst_sname=="中航翼钱罐"){
							inst_sname="随心投日日盈";
						}
						if(inst_type=="7"){
							if(inst_cls=="72"){
								
								bs="<i class='yqg_icon blue'>致胜投</i>";
								if(kyfe!="0.00"){
									sh="<a href='javaScript:void(0);' code='"+inst_code+"' inst_avl='"+kyfe+"'  class='a2' style='background-color: #ffa916;'>赎回</a>";
								}
							}else if(inst_cls=="7a"){
								sh="";
								bs="<i class='yqg_icon lblue'>随心投</i>";
							}
							
						}else if(inst_type=="E"){
							sh="";
							bs="<i class='yqg_icon orange'>安心投</i>";
						}
						if(results[i].isdqy=="1"){
							dqrStr = "<p class='time clearfix'><span class='fl' id='dqrls' product_code='"+inst_code+"'>您有<span style='color:red'>"+results[i].dqrTotal+"</span>笔交易正在确认中</span><span class='fr a1'>"
							+""+sh+"</span></p>";
							//dqrStr = "<div class='time'><p>其中"+results[i].dyqje+"（元）待确认</p></div>";
						}else {
							dqrStr = "<p class='time clearfix'><span class='fr a1'>"+sh+"</span></p>";
						}
						if("0.00"!=inst_avl) { // 过滤没有资产的
							// 市值+待确认的金额
							
							str+="<li product_code='"+inst_code+"'>" +
							""+bs+"" +
							"<h5>"+inst_sname+"</h5> " +
							"<div class='info'>	" +
							"<dl><dt>金额（元） </dt><dd class='agray'>"+inst_avl+"</dd> </dl>" +
							" <dl><dt>累计收益(元)</dt><dd>"+accu_income+"</dd>  </dl> " +
							"</div> " +
							""+dqrStr+""+
							" </li>";
							all_money = Number(inst_avl,2)+Number(all_money,2);
							//all_money = Number(all_money,2)+Number(mkt_val,2);
						}
					}
					
					if(all_money==""){
						$(_pageId+" .yqgzc span").html("0.00");
					}else {
						//$(pageId + " #yqgzh h4").html((all_money.toFixed(2)));
						$(_pageId+" .yqgzc span").html((all_money.toFixed(2)));
					}
					appUtils.setSStorageInfo("all_money",appUtils.getPageParam('all_money'));
					$(_pageId+" .qb_prolist").append(str);
					if(str==""){
						$(_pageId+" .fix_add").show();
					}
				}else{
					//$(_pageId+" .no_data_box").show();
					$(_pageId+" .fix_add").show();
				}
				// 待确认流水点击事件
				appUtils.bindEvent($(_pageId+" #dqrls"),function(event){
					event.stopPropagation(event);
					var param={
						"product_code":$(this).attr("product_code"),
						"flag":"0",
						"all_money":appUtils.getPageParam('all_money')
					};
					appUtils.pageInit(pageCode,"mall/avicApplyno",param);
				});
				appUtils.bindEvent($(_pageId+" .qb_prolist li"),function(){
					var param={
						"product_code":$(this).attr("product_code"),
						"flag":"1",
						"all_money":appUtils.getPageParam('all_money')
					};
					appUtils.pageInit(pageCode,"mall/avicApplyno",param);
				});
				//显示赎回弹出窗
				appUtils.bindEvent($(_pageId+" .time .a2"),function(){
				//$(document).on("click",'.time .a1',function(event){
					event.stopPropagation(event);
					code=$(this).attr("code");
					inst_avls=$(this).attr("inst_avl");
					var param={
						"code":code,
						"inst_avls":inst_avls
					};
					appUtils.pageInit(pageCode,"mall/finanOrder/foreclosed",param);
				});
				
			}else{
				layerUtils.iMsg(-1,data.error_info);
				$(_pageId+" .no_data_box").show();
			}
			});
	}
	// 绑定事件
	function bindPageEvent() {
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageInit(pageCode,"userCenter/wd");
		});
		//我的流水
		appUtils.bindEvent($(_pageId+" .icon_bill"),function(){
			var param={
				"all_money":appUtils.getPageParam('all_money')
			}
			appUtils.pageInit(pageCode,"mall/avicApplyno",param);
		});
		
		
		/**
		 * 购买(添加)产品按钮
		 */
		appUtils.bindEvent($(_pageId+" .fix_add a"),function(e){
			appUtils.pageInit(pageCode,"mall/moneyShop");
			e.stopPropagation();
		});
		
	}
	// 销毁
	function destroy() {
		$(_pageId+" .no_data_box").hide();
		$(_pageId+" .qb_prolist").html("");
		all_money="";
		$(_pageId+" .yqgzc span").html("");
		$(_pageId+" .fix_add").hide();
	}
	var index = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = index;

});