/**
 * 新 邮箱认证
 */
define('mall/scripts/userCenter/emailAtion.js',function(require, exports, module) {

	var _pageId = "#userCenter_emailAtion ";
	var pageCode = "userCenter/emailAtion";
	var appUtils = require("appUtils");
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var common = require("common");
	var constants = require("constants");// 常量类
	var curPageNo = ""; // 当前页序号
	var myScroller = null; // 滚动组件
	var VIscroll = require("vIscroll");
	var prePageCode = "";
	// 初始化
	function init() {
		common.initTitle(_pageId);
		
		common.loadNewCss();
		common.clearoldCss();
		prePageCode = appUtils.getPageParam("pageCode"); // 上一页面pageCode
		if(appUtils.getPageParam("dk")=="1"){
			appUtils.setLStorageInfo("bdurl",global.url+"/m/xdt/index.html#!/loan/kydProductChose.html");
		}
		common.checkUserIsLogin();
		$(_pageId+"#jt_sfz").val(appUtils.getSStorageInfo("identity_num"));
		$(_pageId+"#jt_xm").val(appUtils.getSStorageInfo("user_name"));
		$(_pageId+"#jt_sjh").val(appUtils.getSStorageInfo("user_name"));
	}
	// 绑定事件
	function bindPageEvent() {
		// 返回
		appUtils.bindEvent($(_pageId + " .icon_back"), function() {
			// 去保存本地的url判断是否有值
			var url=appUtils.getLStorageInfo("bdurl");
			if(url!=null&&url!=""){
				window.location.href=url;
			}else {
				appUtils.pageInit("userCenter/emailAtion", "userCenter/wd");
			}
			if(prePageCode="groupExclusive/cnacStaffZone"){
				appUtils.pageInit("userCenter/emailAtion", "groupExclusive/cnacStaffZone");
			}else{
				appUtils.pageInit("userCenter/emailAtion", "userCenter/wd");
			}
		});
		//认证邮箱认证
		appUtils.bindEvent($(_pageId + " #youx_queding"), function() {
			var user_id=appUtils.getSStorageInfo("user_id");
			var khh = appUtils.getSStorageInfo("FID_KHH");//客户号
			
			var jt_name=$(_pageId + " #jt_xm").val();//集团员工名字
			var jt_email=$(_pageId + " #jt_yx").val();//邮箱地址
			var jt_phone=$(_pageId + " #jt_sjh").val();//手机号
			var jt_card=$(_pageId + " #jt_sfz").val();//身份证
			
			//判断各项输入的格式
			if(jt_name==""){
				layerUtils.iMsg(-1,"集团员工名字不能为空！");
				return false;
			}
			if(jt_email==""){
				layerUtils.iMsg(-1,"邮箱地址不能为空！");
				return false;
			}
			if(jt_phone==""){
				layerUtils.iMsg(-1,"手机号不能为空！");
				return false;
			}
			if(jt_card==""){
				layerUtils.iMsg(-1,"身份证不能为空！");
				return false;
			}
			var filter  = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)/;
			 if(!filter.test(jt_email)){
				 layerUtils.iMsg(-1,"您的电子邮件格式不正确！");
				 return false;
			 }
			 var phoneyz=/^(13[0-9]|14[0-9]|15[0-9]|18[0-9])\d{8}$/i;
			 if(!phoneyz.test(jt_phone)){
				 layerUtils.iMsg(-1,"请填写正确的手机号！");
				 return false;
			 }
			 if(jt_card.length=="15"){
				 var isIDCard1=/^[1-9]\d{7}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}$/; 
				 if(!isIDCard1.test(jt_card)){
					 layerUtils.iMsg(-1,"您输入的身份证格式不正确！");
					 return false;
				 }
			 }else if(jt_card.length=="18"){
				 var isIDCard2=/^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}([0-9]|X)$/;
				 if(!isIDCard2.test(jt_card)){
					 layerUtils.iMsg(-1,"您输入的身份证格式不正确！");
					 return false;
				 }
			 }else{
				 layerUtils.iMsg(-1,"请输入15或18位身份证！");
				 return false;
			 }
			 //邮箱认证
				var url=appUtils.getLStorageInfo("bdurl");
				var flag = "";
				if(url!=null&&url!=""){
					flag = "0";
				}else {
				}
			 var param={
				"e_address":jt_email,
				"e_name":jt_name,
				"e_phone":jt_phone,
				"e_usercard":jt_card,
				"user_id":user_id,
				"khh":khh,
				"flag":flag
			 };
			 service.findEmailAtion(param,function(data){
				 var error_no = data.error_no;	
				 var error_info = data.error_info;
				 if(error_no==0){
					 if(error_info=="1"){//后台返回的数据
						 layerUtils.iMsg(0,"您的邮箱不是集团邮箱！");
						 
					 }else if(error_info=="2"){//后台返回的数据
						 layerUtils.iMsg(0,"该身份证号认证已完成。");
					 }else if(error_info=="4"){
						 layerUtils.iMsg(0,"该邮箱已经认证！请更换");
					 }
					 else{
						 $(_pageId + " #jt_xm").html("");
						$(_pageId + " #jt_yx").html("");
						$(_pageId + " #jt_sjh").html("");
							$(_pageId + " #jt_sfz").html("");
						 layerUtils.iAlert("您的认证信息已提交，请尽快到您的邮箱中激活！","0",function(){
							 appUtils.pageInit("userCenter/emailAtion", "account/index");
						 });
					 }
				 }
			 });
		});
	}
	// 销毁
	function destroy() {
		$(_pageId + " #jt_xm").val("");
		$(_pageId + " #jt_yx").val("");
		$(_pageId + " #jt_sjh").val("");
		$(_pageId + " #jt_sfz").val("");
		appUtils.setSStorageInfo("bdurl","");
	}

	var index = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = index;

});;