 /**
  * 修改支付(交易)密码
  */
define('mall/scripts/userCenter/modifyPayPwd.js',function(require, exports, module){ 
	var appUtils = require("appUtils");
	var	layerUtils = require("layerUtils");
	var	gconfig = require("gconfig");
	var	keyPanel = require("keyPanel");
	var	validatorUtil = require("validatorUtil");
	var	endecryptUtils = require("endecryptUtils");
	var	service = require("mobileService");
	var	_curPageCode = appUtils.getSStorageInfo("_curPageCode");
	//弱密码库
	var weakpwdArr=['111111','222222','333333','444444','555555','666666','777777','888888','999999'];
	var	_pageId = "#userCenter_modifyPayPwd ";
	var curInputId = null;
	var pwdTimer = null; // 密码输入框计时器
	var platform=gconfig.platform;
	
	function init(){
		common.initTitle(_pageId);
		
		clearInput();
		
		$(_pageId).css("background","#fff");
		$(_pageId+" .hid").css({"margin-left":"3%","color":"#fff"});
		
		window.customKeyboardEvent = {
			keyBoardInputFunction: inputEvent
		};
	}
	
	//绑定事件
	function bindPageEvent(){
		appUtils.bindEvent($(_pageId + " .icon_back"),function(){
			appUtils.pageInit("userCenter/modifyPayPwd","userCenter/wd");
		});
	    //刷新
	    appUtils.bindEvent($(_pageId + ".header .mz-refresh"),function(){
          clearInput();
	    });
//	    /*旧密码键盘*/
//		appUtils.bindEvent($(_pageId+" #old_trade_pwd") ,function(e){
//			var input_pwd = $(this);
//			keyPanel.init_keyPanel(function(value){
//				var $input = input_pwd.find("input");
//				var dataValue =  $input.attr("data-value");
//	            if (value == "del"){
//					$input.val($input.val().slice(0, -1));
//				} else {
//					$input.val( $input.val() + value); // 设置密码值
//				}
//			}, input_pwd);
//			e.stopPropagation();
//		});
//		/*新密码键盘*/
//		appUtils.bindEvent($(_pageId+" #new1_trade_pwd") ,function(e){
//			var input_pwd = $(this);
//			keyPanel.init_keyPanel(function(value){
//				var $input = input_pwd.find("input");
//				var dataValue =  $input.attr("data-value");
//	            if(value == "del")
//				{
//					$input.val($input.val().slice(0, -1));
//				} else {
//					$input.val( $input.val() + value); // 设置密码值
//				}
//			}, input_pwd);
//			e.stopPropagation();
//		});
//		/*确认密码键盘*/
//		appUtils.bindEvent($(_pageId+" #new2_trade_pwd") ,function(e){
//			var input_pwd = $(this);
//			keyPanel.init_keyPanel(function(value){
//				var $input = input_pwd.find("input");
//	            if(value == "del")
//				{
//					$input.val($input.val().slice(0, -1));
//				} else {
//					$input.val( $input.val() + value); // 设置密码值
//				}
//			}, input_pwd);
//			e.stopPropagation();
//		});
//		appUtils.bindEvent($(_pageId),function(){
//			if(platform == 0)
//			{
//				keyPanel.closeKeyPanel();
//			}
//		});
	    appUtils.bindEvent($(_pageId + " #qrxg"), function(){
	    	var old_pwd = $.trim($(_pageId + "#old").val());
	    	if(validatorUtil.isEmpty(old_pwd)){
	    		layerUtils.iMsg(-1,"请输入原交易密码！");
	    		return;
	    	}
	    	var new1_pwd = $.trim($(_pageId +"#new").val()),
		        new2_pwd = $.trim($(_pageId +"#qr").val());
	    	if(old_pwd==new1_pwd){
	    		layerUtils.iMsg(-1,"新密码不能与原密码相同!");
	    		return false;
	    	}
	    	if (checkPwdConfirm(new1_pwd, new2_pwd) && checkInputPwd(new1_pwd)){
	    	    var loginType = appUtils.getSStorageInfo("loginType");
	    	    if(loginType == "0"){
		    		updatePayPwd();
	    	    }else{
					updatePassword(old_pwd,new1_pwd,new2_pwd);	    	    	
	    	    }
	    	}
	    });
	     //首页
//	    appUtils.bindEvent($(_pageId+" .footer-box .clearfix .nav-index"),function(){
//	    	alert(1);
//	    	appUtils.pageInit("userCenter/modifyPayPwd","mall/moneyShop");
//	    },"touchstart");
	    //转账
//	    appUtils.bindEvent($(_pageId+" .nav-tranf"),function(){
//	    	appUtils.pageInit("userCenter/modifyPayPwd","userCenter/turnMoney");
//	    },"touchstart");
	    //我的产品
//	    appUtils.bindEvent($(_pageId+" .nav-produce"),function(){
//	    	appUtils.pageInit("userCenter/modifyPayPwd","userCenter/holdingProducts");
//	    },"touchstart");
	    //个人中心
//	    appUtils.bindEvent($(_pageId+" .nav-center"),function(){
//	    	appUtils.pageInit("userCenter/modifyPayPwd","userCenter/index");
//	    },"touchstart");
	    
	}
	//修改密码（资金账号）
	function updatePassword(old_pwd,new1_pwd,new2_pwd){
		service.getRSAKey({},function(data){
			var error_no = data.error_no,
			    error_info = data.error_info,
			    results = null;
			if(error_no === "0"){
				results = data.results[0];
			    var modulus = results.modulus,
			        publicExponent = results.publicExponent;
				var trade_pwd = endecryptUtils.rsaEncrypt(modulus, publicExponent, old_pwd);
				var trade_pwd1 = endecryptUtils.rsaEncrypt(modulus, publicExponent, new1_pwd);
				var trade_pwd2 = trade_pwd1;
				
				var param = {
					"fid_khh" : appUtils.getSStorageInfo("FID_KHH"),
					"fid_mm" : old_pwd,
					"fid_newmm" : new1_pwd,
					"fid_jmlx" : "0"
				};
				service.updateCounterPwd(param,function(data){
					if(data.error_no != "0"){
						layerUtils.iMsg(-1,data.error_info);
						layerUtils.iLoading(false);
						return false;
					}else{
						var param = {
							"user_id" : appUtils.getSStorageInfo("user_id"),
							"khh" : appUtils.getSStorageInfo("FID_KHH"),
							"trade_pwd" : trade_pwd,
							"new_trade_pwd" : trade_pwd1,
							"new_trade_pwd1" : trade_pwd2
						};
						service.updateMallPwd(param,function(data){
							if(data.error_no != "0"){
								layerUtils.iMsg(-1,data.error_info);
								layerUtils.iLoading(false);
								return false
							}else{
								layerUtils.iMsg(-1,"修改成功，请重新登陆~");
								setTimeout(function(){
									service.loginOut({},function(data){
										var error_no = data.error_no;
										var error_info = data.error_info;
										var result = data.results;
										if(error_no == "0"){
												appUtils.clearSStorage("_loginInPageCode");
												appUtils.clearSStorage("_loginInPageParam");
												appUtils.clearSStorage("_isLoginIn");
												appUtils.clearSStorage();
												appUtils.pageInit("userCenter/modifyPayPwd","account/userLogin",{});
										}else{
											layerUtils.iMsg(error_info);
											return false;
										}
									});
								},1000);
							}
						});
					}
				});
			}
		});
	}
	
	/**
	 * 验证密码格式
	 * pwd:密码
	 * pwd_name：密码名 如："支付密码"
	 */
	function checkInputPwd(pwd, pwd_name){
		//var trade_pwd = $("#trade_pwd").val();
		if (!pwd_name){
			pwd_name = "密码";
		}
		if (!/^\d{6}$/.test(pwd)){
			layerUtils.iMsg(-1,pwd_name + "为6位数字！");
			return false;
		}
		var temp_pwd = 0;
		for(var i= 0; i < pwd.length - 1;i++){
			if(parseInt(pwd[i]) + 1 == parseInt(pwd[i+1])){
				temp_pwd++;
			}
		}
		if(temp_pwd == 5){
			layerUtils.iMsg(-1,"不能为顺增的6位数字！");
			return false;
		}
		for(var i=0; i < weakpwdArr.length; i++){
			var weakpwd = weakpwdArr[i];
			if (weakpwd.indexOf(pwd) > -1){
				layerUtils.iMsg(-1,pwd_name + "不能为连续数字!");
			    return false;
			}
		}
		if(validatorUtil.isEmpty(pwd)){
			layerUtils.iMsg(-1,pwd_name + "不能为空!");
			return false;
		}else{
			layerUtils.iLayerClose();
		}
		return true;
	}
	/**
	 * 验证确认密码
	 * pwd1 :密码
	 * pwd2 :确认密码
	 */
	function checkPwdConfirm(pwd1, pwd2){
		if(validatorUtil.isEmpty(pwd1)){
			layerUtils.iMsg(-1,"请输入新交易密码!");
			return false;
		}
		if (validatorUtil.isEmpty(pwd2)){
			layerUtils.iMsg(-1,"请输入确认密码!");
			return false;
		}
		if (pwd2 !== (pwd1)){
			layerUtils.iMsg(-1,"两次输入新密码不相同");
			return false;
		} else {
			layerUtils.iLayerClose();
		}
		return true;
	}
	/**
	 * 修改支付密码
	 */
	function updatePayPwd(){
		var user_id = appUtils.getSStorageInfo("user_id"),
		    old_pwd = $.trim($(_pageId +"#old").val()),
		    new1_pwd = $.trim($(_pageId +"#new").val()),
		    new2_pwd = $.trim($(_pageId +"#qr").val());
		var param = {
			"user_id": user_id,
			"trade_pwd":old_pwd,
			"new_trade_pwd": new1_pwd,
			"new_trade_pwd1": new2_pwd,
			"oper_type": "1"
		};
		rsaEncrypt(param, modifyPwd);//对密码进行加密
	}
	/**
	 * 
	 * @param {Object} paramObj 需要加密数据对象，
	 * @param {Object} nextYToDoFunc  加密之后要调用的方法
	 */
	function rsaEncrypt(paramObj, nextYToDoFunc){
		var old_pwd = paramObj.trade_pwd,
		    new1_pwd = paramObj.new_trade_pwd;
		service.getRSAKey({},function(data){
			var error_no = data.error_no,
			    error_info = data.error_info,
			    results = null;
			if(error_no === "0"){
				results = data.results[0];
			    var modulus = results.modulus,
			        publicExponent = results.publicExponent;
				paramObj.trade_pwd = endecryptUtils.rsaEncrypt(modulus, publicExponent, old_pwd);
				paramObj.new_trade_pwd = endecryptUtils.rsaEncrypt(modulus, publicExponent, new1_pwd);
				paramObj.new_trade_pwd1 = paramObj.new_trade_pwd;
				nextYToDoFunc(paramObj);
			} else {
				layerUtils.iMsg(-1,error_info);
			}
		},false);
	}
	/**
	 * 加密之后，调用该方法
	 * 请求服务器进行加密
	 * @param {Object} paramObj 
	 */
	function modifyPwd(paramObj){
		service.setPassw(paramObj, function(data){
			var error_no = data.error_no,
			    error_info = data.error_info;
			if (error_no === "0"){
				error_info = "修改成功";
				layerUtils.iMsg(0,error_info);
				setTimeout(function(){
					service.loginOut({},function(data){
						var error_no = data.error_no;
						var error_info = data.error_info;
						var result = data.results;
						if(error_no == "0"){
								appUtils.clearSStorage("_loginInPageCode");
								appUtils.clearSStorage("_loginInPageParam");
								appUtils.clearSStorage("_isLoginIn");
								appUtils.clearSStorage();
								appUtils.pageInit("userCenter/modifyPayPwd","account/index",{});
						}else{
							layerUtils.iMsg(error_info);
							return false;
						}
					});
				},1000);
			} else{
				layerUtils.iMsg(-1,"原交易密码输入错误");
				clearInput();
			}
		}, {});
	}
	//清空输入
	function clearInput(){
		$(_pageId+"#old").val("");
		$(_pageId+"#new").val("");
		$(_pageId+"#qr").val("");
	}
	function destroy(){
		clearInput();
	}
	
	
	
	/**
	 * 原生键盘的输入事件
	 * @param curKeyCode 当前输入值
	 */
	function inputEvent(curKeyCode)
	{
		var $curInput = $(_pageId + "#" + curInputId);
//		var curTxt = $curInput.val();
		var curVal = $curInput.val();
//		curTxt = typeof(curTxt) == "undefined" ? "" : curTxt;
		// {"CLEAR":-2, "DONE": -3, "DEL": -5}; //常量，键盘上面的按键对应编码（-2表示清空，-3表示完成，-5表示删除）
		switch(Number(curKeyCode))
		{
			case -2: 
				$curInput.val("");
				break;
			case -3:
				break;
			case -5:
				$curInput.val(curVal);
				break;
			default:
				if(curVal.length >= 1)
				{
					$curInput.val(curVal);
				}
				//curTxt += (curKeyCode + "");
				clearTimeout(pwdTimer);
				pwdTimer = null;
				break;
		}
	}

	var modifyPayPwd = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	// 暴露对外的接口
	module.exports = modifyPayPwd;
});