/**
 * 产品收藏和最近浏览
 */
define('mall/scripts/userCenter/myCollection.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var fundUtils = require("mall/scripts/common/fundUtils");//数字字典
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var pageId = "#userCenter_myCollection ";
	var pageCode = "userCenter/myCollection";
	var gconfig = require("gconfig");
	var external = require("external");
	var global = gconfig.global;
	var common = require("common");
	var	curPageNo = ""; // 当前页序号
	var	VIscroll = require("vIscroll");
	var	myScroller = null; // 滚动组件
	var flag="";//1是收藏，2是浏览
	var type="";//1是最三天，2是最一周，3是近一月
	//初始化
	function init(){
		common.initTitle(pageId);
		
		curPageNo=1;
		flag=1;
		type=1;
		$(pageId+ ".yqg_tab li:eq(0)").addClass("current");
		$(pageId+ ".yqg_tab li:eq(1)").removeClass("current");
		$(pageId + " .tab_shade").hide();
		$(pageId + " .tab_layer").hide();
		findCollection(flag,type);//当flag为1时我的收藏，为2是最近浏览
	}
	//我的收藏
	function findCollection(flag,type){
		var param = {
				"user_id": appUtils.getSStorageInfo("user_id"),
				"page": curPageNo,
				"numPerPage": "5",
				"flag":flag,
				"type":type
			};
		service.findCollorBrowse(param,function(data){
			if(data.error_no == "0"){
				var results = data.results[0].data;//出参结果
				if(results!=""&&results.length>0){
					$(pageId+" .no_data_box").hide();
					for(var i=0;i<results.length;i++){
						var fina_belongs = results[i].fina_belongs;
						var product_type=results[i].product_type;
						var fina_type=results[i].fina_type;
						var incomeunit=results[i].incomeunit;
						var investment_horizon=results[i].investment_horizon;
						var per_buy_limit=results[i].per_buy_limit;
						var product_code=results[i].product_code;
						var product_description=results[i].product_description;
						var product_id=results[i].product_id;
						var product_name=results[i].product_name;
						var product_shelf=results[i].product_shelf;
						var product_status=results[i].product_status;
						var product_marking=results[i].product_marking;
						var risk_level_type=results[i].risk_level_type;
						var est_date=results[i].est_date;
						var end_date=results[i].end_date;
						var create_time = results[i].create_time;
						var three_rose = results[i].three_rose;//中航航行宝七日年华收益率
						var isaviation = results[i].isaviation;//中航航行标志
						var str="";
						var time="";
						var share_bq="";
						if(flag=="1"){//收藏
							time="<span style='font-size: 0.10rem;'>&nbsp;&nbsp;"+create_time+"</span>";
						}else{//浏览
							time="<span style='font-size: 0.10rem;'>&nbsp;&nbsp;"+create_time+"</span>";
						}
						if(product_type=="5"){//固收产品
							if(product_marking!=""&&typeof(product_marking)!="undefined"&&product_marking!=null){
								var share = product_marking.split(",");//切割标签配置
								for(var j = 0;j<share.length;j++){
									share_bq+="<i class='lab'>"+share[j]+"</i>";
								}
							}else{
								share_bq="";
							}
							str+="<div class='pro_new_box product_details' product_id="+product_id+" product_type='5'><ul class='a1'><li>" +
							"<h3 class='tit'>"+product_name+time+"</h3><div class='pub_title'><div class='persen'>" +
							"<em class='pens'>"+(parseFloat(incomeunit)*100 ).toFixed(2)+"<span>%</span></em><p class='a1'>年化收益率</p></div><div class='pub_title_box pl20'>" +
							"<p class='a2'><span>"+investment_horizon+"天</span>锁定期</p><p class='a3'><span>"+per_buy_limit+"元</span>起购</p></div></div>" +
							"<div class='bot clearfix'>"+share_bq+"</div></li></ul></div>";
						}else if(product_type=="7"){//资讯产品
							var real_name="";
							if(real_name==""){
								real_name=investment_horizon;//产品联系人
							}
							var cpgsVa="";
							if(est_date!=""){
								cpgsVa="<p class='xq'><span class='name'>主办  "+real_name+"</span><span class='lv'><b>"+product_marking+"&nbsp;&nbsp;"+product_status+"级</b></span></p>";
							}else{
								cpgsVa="";
							}
							if(per_buy_limit==""){
								per_buy_limit="0";
							}
							 str+="<div class='product_info_box product_details' style='border-top:0.02rem solid #e8e8e8' product_id="+product_id+" product_type='7'><div class='top clearfix'><span class='tit' style='width:2.2rem'>"+product_name+time+" </span>" +
									"<em class='a1'>"+per_buy_limit+"人订阅</em></div>"+cpgsVa+
									"<p class='moeny'><span class='a1'><b>￥</b>"+fina_belongs+"<b class='f12'></b></span>" +
									"</p><p class='js'><span>"+product_description+"</span>" +
									"</p></div>";
						}else if(product_type=="8"){//柜台基金
							str += "<div class='pro_new_box product_details' product_id="+product_id+" product_type='9'><ul class='a1'><li>" +
							"<h3 class='tit'>"+product_name+time+"</h3><div class='pub_title'>" +
							"<div class='pub_title_box'><em class='pens'>"+(parseFloat(incomeunit) ).toFixed(2)+"<span>%</span></em><p class='a1'>"+risk_level_type+"</p>" +
							"</div><div class='pub_title_box'><em class='pens f16'>"+(parseFloat(end_date)).toFixed(2)+"<span>%</span></em><p class='a1 pl5'>今年以来年化</p>" +
							"</div><div class='persen border-left'><p class='a3'><span>"+per_buy_limit+"元起购</span></p><p class='a2'><span></span></p>" +
							"</div></div><div class='bot clearfix'>"+share_bq+"</div></li></ul></div>";
						}
						else{//otc基金
							var share_bq="";//标签
							if(product_marking!=""&&typeof(product_marking)!="undefined"&&product_marking!=null){
								var share = product_marking.split(",");//切割标签配置
								for(var j = 0;j<share.length;j++){
									share_bq+="<i class='lab'>"+share[j]+"</i>";
								}
							}else{
								share_bq="";
							}
							//中航航行宝
							if(isaviation=="1"){
								 str+="<div class='pro_new_box product_details' product_id="+product_id+" isaviation="+isaviation+" product_type='9'><ul class='a1 zhfundDels' product_id="+product_id+" product_type="+product_type+"><li><h3 class='tit'>"+product_name+time+"</h3>" +
								"<div class='pub_title'><div class='persen'><em class='pens'>"+(parseFloat(three_rose)*100).toFixed(2)+"<span>%</span></em>" +
								"<p class='a1'>"+risk_level_type+"</p></div><div class='persen border-left'>" +
								"<p class='a3'><span>申购赎回零费用</span></p><p class='a2'><span>"+per_buy_limit+"元起购</span></p>" +
								"</div></div><div class='bot clearfix'>" +share_bq+
							    "</div></li></ul></div>";
							}else{
								if(fina_type=="7a"){//随心投
									var a=product_description.split(" ");
									var description1=a[0]+a[1];//简介
									str+="<div class='pro_new_box product_details' product_id="+product_id+" fina_type="+fina_type+" product_type='9'><ul class='a1'><li><h3 class='tit'>"+product_name+time+"</h3>"+
									"<div class='pub_title'><div class='persen'><em class='pens' class='avic_cyl'>"+(parseFloat(three_rose)*100).toFixed(2)+"<span>%</span></em>" +
									"<p class='a1'>七日年化收益率</p></div><div class='pub_title_box pl20'>" +
									"<p class='a2'><span>"+description1+"</span></p><p class='a3'><span>"+a[2]+"</span></p>" +
									"</div></div><div class='bot clearfix'>"+share_bq+"</div></li></ul></div>";
								}else{
									str += "<div class='pro_new_box product_details' product_id="+product_id+" product_type='9'><ul class='a1'><li>" +
									"<h3 class='tit'>"+product_name+time+"</h3><div class='pub_title'>" +
									"<div class='pub_title_box'><em class='pens'>"+(parseFloat(incomeunit)*100 ).toFixed(2)+"<span>%</span></em><p class='a1'>"+risk_level_type+"</p>" +
									"</div><div class='pub_title_box'><em class='pens f16'>"+(parseFloat(end_date)*100 ).toFixed(2)+"<span>%</span></em><p class='a1 pl5'>今年以来年化</p>" +
									"</div><div class='persen border-left'><p class='a3'><span>"+per_buy_limit+"元起购</span></p><p class='a2'><span>截止:"+est_date+"</span></p>" +
									"</div></div><div class='bot clearfix'>"+share_bq+"</div></li></ul></div>";
								}
							}
						}
						
						$(pageId+" #tran_order").append(str);
					}
				}else{
					if(curPageNo=="1"){
						$(pageId+" .no_data_box").show();
					}
				}
			}else{
				layerUtils.iMsg(-1,data.error_info);
			}
			//进入产品详情
			appUtils.bindEvent($(pageId+"  .product_details"),function(e){
				var product_type=$(this).attr("product_type");
				var fina_type=$(this).attr("fina_type");
				var isaviation=$(this).attr("isaviation");
				var param = {
					"product_id" :$(this).attr("product_id"),
					"product_type" :product_type,
					"pageCode" : pageCode
				};
				if(product_type=="5"){//固收
					appUtils.pageInit(pageCode, "mall/stickMoneyIn",param);
				}else if(product_type=="7"){//资讯
					appUtils.pageInit(pageCode, "mall/itemsFinanIn",param);
				}else{//otc基金
					if(isaviation=="1"){
						appUtils.pageInit(pageCode, "mall/zhFundDetails",param);
					}else{
						if(fina_type=="7a"){
							appUtils.pageInit(pageCode, "avicBao/avicHomePage",param);
						}else{
							appUtils.pageInit(pageCode, "mall/otcFundDetails",param);
						}
					}
					
				}
				e.stopPropagation();
			},"click");	
			initScroller();
		});
	}

	/**
	 * 初始化滚动组件
	 */
	function initScroller(){
		if(myScroller){
			$(pageId+" .visc_pullDown").show();
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(pageId + " #tran_order");
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}else{
			var visibleHeight = $(window).height() - $(pageId + ".header").height()-$(pageId + ".yqg_tab").height(); // 滑动组件的可见高度
			var scrollerParam = {
				isPagingType: false,
				isHasHead: false,
				visibleHeight: visibleHeight,
				container: $(pageId + " #tran_order").parents(".visc_wrapper").parent(), // container元素
				wrapper: $(pageId + " #tran_order").parents(".visc_wrapper"), // wrapper元素
				downHandle : function() {
					$(pageId+" #tran_order").html("");
					 curPageNo = 1;
					 findCollection(flag,type);//当flag为1时我的收藏，为2是最近浏览 
				},
				upHandle : function(){
					$(pageId+" .visc_pullUp").show();
					curPageNo++;
					findCollection(flag,type);//当flag为1时我的收藏，为2是最近浏览
				}
			};
			myScroller = new VIscroll(scrollerParam); //初始化
			// 解决内容显示空白的问题
			var $extraEle = $('<span style="display:none;">解决内容显示空白的问题</span>');
			$extraEle.appendTo(pageId + " #tran_order");
			setTimeout(function(){
				$extraEle.remove();
				myScroller.refresh();
			}, 100);
		}
		
		$(pageId+" .pay_main").hide();
		$(pageId+" .visc_pullUp").hide();
		$(pageId + " .index-con").hide();
	}
	
	
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			appUtils.pageInit(pageCode,"userCenter/wd");
		});
		
		//我的收藏
		appUtils.bindEvent($(pageId+" .yqg_tab li:eq(0)"),function(){
			curPageNo=1;
			flag=1;
			$(pageId + " .tab_shade").show();
			$(pageId + " .tab_layer").show();
			$(pageId+ ".yqg_tab li:eq(0)").addClass("current");
			$(pageId+ ".yqg_tab li:eq(1)").removeClass("current");
		},"click");
		//我的浏览
		appUtils.bindEvent($(pageId+" .yqg_tab li:eq(1)"),function(){
			curPageNo=1;
			flag=2;
			$(pageId + " .tab_shade").show();
			$(pageId + " .tab_layer").show();
			$(pageId+ ".yqg_tab li:eq(1)").addClass("current");
			$(pageId+ ".yqg_tab li:eq(0)").removeClass("current");
		},"click");
		//选择三天
		appUtils.bindEvent($(pageId+" .dateselect"),function(){
			curPageNo=1;
			var type=$(this).attr("type");
			$(pageId + " .tab_shade").hide();
			$(pageId + " .tab_layer").hide();
			 $(pageId+" #tran_order").html("");
			 findCollection(flag,type);//当flag为1时我的收藏，为2是最近浏览;当type1是最三天，2是最一周，3是近一月
		},"click");
	}
	//销毁
	function destroy(){
		$(pageId+" #tran_order").html("");
		$(pageId + " .visc_wrapper").show();
		$(pageId + " .fix_add").hide();
		$(pageId+" .no_data_box").hide();
		flag=1;
		type=2;
	}
	var myCollection = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = myCollection;
	
});