/**
 * 新 我的 BrotherZeng设置
 */
define('mall/scripts/userCenter/wdsz.js',function(require, exports, module) {

	var _pageId = "#userCenter_wdsz ";
	var pageCode = "userCenter/wdsz";
	var appUtils = require("appUtils");
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var ytgService = require("ytgService"); // 业务层接口，请求数据
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var domain = gconfig.global.domain;
	var URL = global.url;
	var common = require("common");
	var external = require("external");
	var constants = require("constants");// 常量类
	var curPageNo = ""; // 当前页序号
	var myScroller = null; // 滚动组件
	var VIscroll = require("vIscroll");
	var prePageCode = "";
	var user_id="";
	var face_image="";
	var platform = gconfig.platform;
	// 初始化
	function init() {
		common.initTitle(_pageId);
		
		prePageCode = appUtils.getPageParam("pageCode"); // 上一页面pageCode
		var login_flag = appUtils.getSStorageInfo("_isLoginIn");// 是否登陆
		if(login_flag!="true") {
			$(_pageId+" #aqtu").hide();
			var li="<dt ><img id='my_faceImg' src='images/avatar.jpg' /></dt>" +
			"<dd style='margin-top:5%'> <h9 id='login'>登录</h9><i></i></dd>";
			$(_pageId+" #myDatum").html(li);
			//点击我的页面的登入
			appUtils.bindEvent($(_pageId + " #myDatum"), function(event) {
				appUtils.pageInit(pageCode, "account/userLogin");
				$(_pageId+" #aqtu").show();
				  event.stopPropagation();
			},"click"); 
		}else{
			face_image = appUtils.getPageParam("face_image");//个人头像
			user_id=appUtils.getSStorageInfo("user_id");
			// 初始化个人信息
			queryUserInfo();
		}
		
	}
	// 初始化个人信息
	function queryUserInfo(){
		var user_name=appUtils.getSStorageInfo("user_name");
		var nic_name="";
		var loginType = appUtils.getSStorageInfo("loginType");
		var param;
		if(loginType == "0"){
			param = {
				"user_id":appUtils.getSStorageInfo("user_id"),
				"loginFlag" : "2"  //loginType 1资金账户  2理财户
			};
		}else{
			param = {
				"user_id":appUtils.getSStorageInfo("user_id"),
				"loginFlag":"1"
			};
		}
		ytgService.findUserInfoById({"user_id" : appUtils.getSStorageInfo("yqtid")},function callBack(resultVo){
			var face_image = constants.ytg_img.USER_IMG;
			
			if(Number(resultVo.error_no) == 0){
				var result = resultVo.results[0];
				 face_image = result.face_image_small?result.face_image_small:constants.ytg_img.INVEST_IMG;
				 nic_name=result.user_name;//昵称
			}
			var li="<dt><img id='my_faceImg' src='"+domain+face_image+"'/></dt>" +
			"<dd style='margin-top:5%'> <strong style='margin-top:5%'>"+nic_name+"</strong><p></p>";
			$(_pageId+" #myDatum").html(li);//添加用户名字和二维码
			$(_pageId+" #aqtu").show();
			//我的设置
			appUtils.bindEvent($(_pageId+"#myDatum"),function(){
				var param1={
						"pageCode":pageCode,
						"user_id":appUtils.getSStorageInfo("user_id")
				}
				appUtils.pageInit(pageCode,"account/ytg/mySetting/setInfo",param1);
			},"click")
		});

	};
	function logOut(){
		layerUtils.iConfirm("确定要退出吗？",function(){
			// 清除留痕缓存
			common.moduleJump();
			$("#userCenter_wd #yqgzh h4").html("--");
			$("#userCenter_wd #tycpzh h4").html("--");
			$("#userCenter_wd #userCenter_wd #zhzje").html("--");
			$("#userCenter_wd userCenter_wd #bzjzh").html("--");
			$("#userCenter_wd userCenter_wd #gpzh").html("--");
			/*调用退出登入接口*/
			service.loginOut({},function(data){
				
				var error_no = data.error_no;
				var error_info = data.error_info;
				var result = data.results;
				if(error_no == "0"){
					if(platform != 0){
						// 关闭IM模块
						var param = {
		        			"funcNo" : "50114",
		        			"moduleName" : "im"
		        		};
		        		external.callMessage(param);
		        		//清除云柜台登录标志
						var param1 = {
							"funcNo":"50040",
							"key":"isLogin",
	                        "value":"0"
						}
						external.callMessage(param1);
					}
					
	        		
					appUtils.clearSStorage("_loginInPageCode");
					appUtils.clearSStorage("_loginInPageParam");
					appUtils.clearSStorage("_isLoginIn");
					var islogin = appUtils.getSStorageInfo("_isLoginIn");
					appUtils.setSStorageInfo("firstInstall","1");
					appUtils.setSStorageInfo("ygt_login","0",true);//清除云柜台登录标志
					appUtils.setSStorageInfo("_loginInPageCodeYGT","",true);
					
					appUtils.clearSStorage();
					appUtils.pageInit("userCenter/wdsz","account/index",islogin);
				}else{
					layerUtils.iMsg(error_info);
				}
			});
		});
	}
	// 绑定事件
	function bindPageEvent() {
		// 返回
		appUtils.bindEvent($(_pageId + " .icon_back"), function() {
			if (prePageCode == "") {
				appUtils.pageBack();
			} else {
				appUtils.pageInit(pageCode, prePageCode);
			}
		});
		//投教基地
		appUtils.bindEvent($(_pageId + " .base"), function() {
			var param = {
					"pageCode" : prePageCode
			};
			appUtils.pageInit("userCenter/wdsz", "account/investEduca",param);
		});
		//联系我们
		appUtils.bindEvent($(_pageId + " .contact_us"), function() {
			var param = {
					"pageCode" : prePageCode
			};
			appUtils.pageInit("userCenter/wdsz", "account/contactUs",param);
		});
		//软件设计
		appUtils.bindEvent($(_pageId + " .app_setting"), function() {
			var param = {
					"pageCode" : prePageCode
			};
			layerUtils.iMsg(-1, "正在开发中...");
		});
		//帮助中心
		appUtils.bindEvent($(_pageId + " .help_center"), function() {
			var param = {
					"pageCode" : prePageCode
			};
			layerUtils.iMsg(-1, "正在开发中...");
		});
		//免费条款
		appUtils.bindEvent($(_pageId + " .free_terms"), function() {
			var param = {
					"pageCode" : prePageCode
			};
			layerUtils.iMsg(-1, "正在开发中...");
		});
		
		// 清除缓存
		appUtils.bindEvent($(_pageId + " .qingchu"), function() {
			var weChat = common.weChat();//判断是APP还是pc或浏览器
			if(weChat){//里面是原生调用的内容
				var paramO = {
					"funcNo":"70001"
				};
			var result = external.callMessage(paramO);
				if(result.error_no == "0") {
					layerUtils.iMsg(-1, "清除完成");
				}
			}
			
		});
		
		//安全退出
		appUtils.bindEvent($(_pageId + " #aqtu"), function() {
			logOut();
		});
	}
	// 销毁
	function destroy() {
	}
	var index = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = index;

});