/**
 * 网络视频产品播放页面
 */
define('mall/scripts/video/videoDetailsxq.js',function(require, exports, module){
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var validatorUtil = require("validatorUtil"); 
	var pageId = "#video_videoDetailsxq ";
	var pageCode ="video/videoDetailsxq";
	var common = require("common");
	var constants = require("constants");// 常量类
	var gconfig = require("gconfig");
	var domain = gconfig.global.domain;
	var platform = require("gconfig").platform;
	var external = require("external");
	var global = gconfig.global;
	var URL=global.url;
	var chancel = "";
	var catalog_id="";//产品归宿
	var article_id="";//产品id
	var praise="";//点赞数量
	var pageCodeIn="";//传进来的页面地址
	//初始化
	function init(){
		common.initTitle(pageId);
		
		catalog_id = appUtils.getPageParam("catalog_id");
		article_id = appUtils.getPageParam("article_id");
		pageCodeIn=appUtils.getPageParam("pageCode");
		findvideoById(article_id);//查找网络视频产品的信息
	}
	//查询产品的相关信息
	function findvideoById(article_id){
		service.findvideoById({"article_id":article_id},function(data){
			if(data.error_no==0){
				var result=data.results;
				var app_photo=result[0].app_photo;//图片
				var app_video=result[0].app_video;//视频地址
				  	article_id=result[0].article_id;//产品id
				  	catalog_id=result[0].catalog_id;//类别id
				var movieinfo=result[0].movieinfo;//一段简介
				var publish_date=result[0].publish_date;//创建时间
				var title=result[0].title;//题目
				var product_photo=result[0].product_photo;//资讯产品图片
				
				var product_id=result[0].product_id;//资讯产品id
				var user_id=result[0].user_id;//用户id
				var create_person=result[0].create_person;//创建人姓名
				var face_image = result[0].face_image;// 投顾头像;				 
				//var person_photo=result[0].person_photo;//创建人图片
				var person_movieifo=result[0].person_movieifo;//创建者简介
				var type=result[0].type;//用的是哪的图片
				var photo1="";
				var xingm="";
				var pmovidifo="";
				
				if(face_image!=""&&typeof(face_image)!="undefined"){
					if(type=="0"){//投顾表中的头像
						photo1=domain+face_image;
					}else{
						photo1=URL+face_image;
					}
				}else{
					photo1="images/tx01.png";
				}
				
				if(person_movieifo!=""&&typeof(person_movieifo)!="undefined"){
					pmovidifo=person_movieifo;
				}else{
					pmovidifo="这个人很懒，什么都没有留下！";
				}
				if(create_person!=""&&typeof(create_person)!="undefined"){
					xingm=create_person;
				}else{
					$(pageId+" #preson_id").hide();
				}
				$(pageId+" #preson_id").html("");
				var str="<div user_id='"+user_id+"' class='insert pub_title video_user'><div class='img'><img src='"+photo1+"'></div>" +
						"<div class='pub_title_box'><h5>"+xingm+"</h5>" +
						"<p>"+pmovidifo+"</p></div></div>";
				
				$(pageId+" #preson_id").html(str);
				
				if(product_id!=""&&typeof(product_id)!="undefined"){
					 $(pageId+" #video_photo").html("<img class='photo_tu' product_id="+product_id+" src='"+URL+product_photo+"' alt=''>");
				}else{
					 $(pageId+" #video_photo").hide();
				}
				$(pageId+" #video_coent").html(movieinfo);
				$(pageId+" #title").html(title);
//				$(pageId+" #video_dianji").html("<em>"+praise+"</em>");
				if(platform == "1"){
					chancel = "1";//手机
				}else if(platform == "0"){
					chancel = "0";//PC
				}else if(platform == "2"){
					chancel = "2";//IOS
				}
				if( chancel=="0"){//pc
					 $(pageId +" .video_box").html("");
					 $(pageId +" .video_box").html("<video id='video1' width='100%' height='100%' controls='controls'><source src='"+app_video+"' type='video/mp4' />你的浏览器不支持html5的video标签</video>");	
				}else{//原生
					$(pageId+" #video_p").html("");
					$(pageId+" #video_p").append("<img  width='100%' class='video_photo' src='images/videophoto.png'/>");
					$(pageId+" .video_box").attr("app_video",app_video);
					appUtils.bindEvent($(pageId+" .video_photo"),function(){
						if(app_video != "" ){
							var param = {
									"funcNo":"50275",
									"title":" ",
									"mediaUrl":app_video
							};
							external.callMessage(param);
						}
				},"click");
				}
			}
			//跳出创建者首页
			appUtils.bindEvent($(pageId+" .video_user"),function(){
				var user_id=$(this).attr("user_id");
				appUtils.setSStorageInfo("article_id",article_id);
				if(user_id!=""&&typeof(user_id)!="undefined"){
					common.grzyTz(user_id,pageCode);//翼投顾中个人主页跳转统一方法
				}
			},"click");
			
			//点击进入资讯产品详情页
			appUtils.bindEvent($(pageId+".photo_tu"),function(){
				var product_id=$(this).attr("product_id");
				var param={
					"catalog_id":catalog_id,
					"article_id":article_id,
					"product_id":product_id,
					"product_type":"7",
					"pageCode":pageCode
				};
				appUtils.pageInit(pageCode, "mall/itemsFinanIn",param);
			},"click");
			
		});
	}
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(pageId+".icon_back"),function(){
			var param={
				"catalog_id":catalog_id,
				"article_id":article_id
			};
			if(pageCodeIn=="mall/itemsFinanIn"){
				appUtils.pageInit(pageCode, "video/videoHome",param);
			}else if(pageCodeIn!=""&&typeof(pageCodeIn)!="undefined"){
				appUtils.pageInit(pageCode, pageCodeIn,param);
			}else{
				appUtils.pageInit(pageCode, "video/videoHome",param);
			}
		},"click");
//		//点赞
//		appUtils.bindEvent($(pageId+".video_dianji"),function(){
//			
//		},"click");
	}
	//销毁
	function destroy(){
		$(pageId +" .video_box").html("");
		$(pageId+" #remark_list").html("");
		$(pageId+" #preson_id").html("");
		$(pageId+" #preson_id").show();
	}
	
	var videoDetailsxq = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	// 暴露对外的接口
	module.exports = videoDetailsxq;
	
});