/**
 * 网络视频列表（改版） 
 */
define('mall/scripts/video/videoList.js',function(require, exports, module) {
	var pageId = "#video_videoList ";
	var pageCode ="video/videoList";
	var appUtils = require("appUtils");
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var platform = require("gconfig").platform;
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var commonUtils = require("commonUtils");
	var common = require("common");
	var curPageNo = ""; // 当前页序号
	var curPageNo1 = ""; // 当前页序号
	var catalog_id="";
	var type=true;//检查排序true为倒序，false为顺序
	var dropload=require("dropload");
	var me="";
	// 初始化
	function init() {
		common.initTitle(pageId);
		
		curPageNo = 1;
		curPageNo1= 1;
		type=true;
		catalog_id = appUtils.getPageParam("catalog_id");
		queryTitle(catalog_id);//倒序排序
	}
	//查询列表倒序
	function queryTitle(catalog_id){
		$(pageId+" .dropload-down").remove();//先删除样式
		$(pageId+" #list").html("");
		//初始化滑动组件
		var dropload = $(pageId +".khfxWarp").dropload({
	        scrollArea: $(pageId +".khfxWarp"),
	        loadDownFn: function (me) {
	        	setTimeout(function(){
	        		//调用方法
	        		var param = {
        				"page":curPageNo,
        				"pageSize":"5",
        				"catalog_id":catalog_id
	        		};
	        		service.testTitle(param,function(data){
	        			if(data.error_no==0){
	        				var result=data.results;
		        			if(curPageNo == 1){//处理没有数据的情况
	        					if(result.length==0){
	        						$(pageId + " #list").hide();
	        						$(pageId+" .dropload-down").hide();
	        					}else{
	        						$(pageId + " #list").show();
	        						$(pageId+" .dropload-down").show();
	        					}
	        				}else{
	    						if(result.length==0){
	    							me.lock();
	    				            // 显示无数据
	    				            me.noData();
	    				            me.loading = false;
	    				            me.resetload();//加载数据
	    						}
	    					}
		        			curPageNo++;
	        				var str="<ul class='a1'>";
	        				for(var i=0;i<result.length;i++){
	        					var app_photo = result[i].app_photo;//图片
	        					var title = result[i].title;//标题
	        					var publish_date = result[i].publish_date;//日期
	        					var article_id = result[i].article_id;//视频id
	        					var movieinfo = result[i].movieinfo;//简介
	        					publish_date = publish_date.substring(0,4)+"."+publish_date.substring(5,7)+"."+publish_date.substring(8,10);//转换的日期
	        					str += "<li class='pub_title videodt' article_id="+article_id+"><div class='img'><img src='http://www.avicsec.com"+app_photo+"'></div>" +
	        							"<div class='pub_title_box'><h3 class='tit'>"+title+"</h3>" +
	        							"<p class='a1'>"+publish_date+"</p><p class='a2'>"+movieinfo+"</p>" +
	        							"</div></li>";
	        				}
	        				if(result.length<5){
                                // 再往下已经没有数据
                                // 锁定
                                me.lock();
                                // 显示无数据
                                me.noData();
                                me.loading = false;
                            }
	        				str+="</ul>";
	        				$(pageId +".khfxPane").append(str);
	        				me.resetload();
//	        				//进入视频详情
	        				appUtils.bindEvent($(pageId + " .videodt"), function(){
	        					var article_id = $(this).attr("article_id");
	        					var	param={
	        						"catalog_id":catalog_id,
	        						"article_id":article_id,
	        						"pageCode":pageCode
	        					};
	        					appUtils.pageInit(pageCode,"video/videoDetailsxq",param);
	        				},"click");
	        			}else{
	        				layerUtils.iAlert(data.error_info,-1);
	        			}
	        		},{"isShowWait":false});
	    		},50);
	        }
	    });
	}
	//倒序查询视频列表
	function queryVideoList(catalog_id){
		$(pageId+" .dropload-down").remove();
		$(pageId + " #list").html("");
		var dropload = $(pageId+'.khfxWarp').dropload({
	        scrollArea: $(pageId+'.khfxWarp'),
	        loadDownFn: function (me) {
	        	setTimeout(function(){
	        		console.log(2222);
	        		//调用方法
	        		var param1 = {
	        				"page":curPageNo1,
	        				"pageSize":"5",
	        				"catalog_id":catalog_id,
	        				"flag":"2"//2表示是顺序
	        		};
	        		service.testTitle(param1,function(data){
	        			if(data.error_no==0){
	        				var result=data.results;
	        				if(curPageNo1 == 1){//处理没有数据的情况
	        					if(result.length==0){
	        						$(pageId + " #list").hide();
	        						$(pageId+" .dropload-down").hide();
	        					}else{
	        						$(pageId + " #list").show();
	        						$(pageId+" .dropload-down").show();
	        					}
	        				}else{
	    						if(result.length==0){
	    							me.lock();
	    				            // 显示无数据
	    				            me.noData();
	    				            me.loading = false;
	    				            me.resetload();//加载数据
	    						}
	    					}
	        				curPageNo1++;
	        				var str="<ul class='a1'>";
	        				for(var i=0;i<result.length;i++){
	        					var app_photo = result[i].app_photo;//图片
	        					var title = result[i].title;//标题
	        					var publish_date = result[i].publish_date;//日期
	        					var article_id = result[i].article_id;//视频id
	        					var movieinfo = result[i].movieinfo;//简介
	        					publish_date = publish_date.substring(0,4)+"."+publish_date.substring(5,7)+"."+publish_date.substring(8,10);//转换的日期
	        					str += "<li class='pub_title videodt' article_id="+article_id+" ><div class='img'><img src='http://www.avicsec.com"+app_photo+"'></div>" +
	        							"<div class='pub_title_box'><h3 class='tit'>"+title+"</h3>" +
	        							"<p class='a1'>"+publish_date+"</p><p class='a2'>"+movieinfo+"</p>" +
	        							"</div></li>";
	        				}
	        				if(result.length<5){
                                // 再往下已经没有数据
                                // 锁定
                                me.lock();
                                // 显示无数据
                                me.noData();
                                me.loading = false;
                            }
	        				str+="</ul>";
	        				$(pageId+" #list").append(str);
	        				me.resetload();
	        				//进入视频详情
	        				appUtils.bindEvent($(pageId + " .videodt"), function(){
	        					var article_id = $(this).attr("article_id");
	        					var	param={
	        							"catalog_id":catalog_id,
	        							"article_id":article_id,
	        							"pageCode":pageCode
	        					};
	        					appUtils.pageInit(pageCode,"video/videoDetailsxq",param);
	        				},"click");
	        			}else{
	        				layerUtils.iAlert(data.error_info,-1);
	        			}
	        		},{"isShowWait":false});
	    		},500);
	        }
	    });
	}

	// 绑定事件
	function bindPageEvent() {
		// 返回
		appUtils.bindEvent($(pageId + " .icon_back"), function() {
			appUtils.pageInit(pageCode, "video/videoHome");
		});
		//排序
		appUtils.bindEvent($(pageId + " .icon_back_xs"), function() {
			$(pageId+" #list").html("");
			if(type==true){//当前是倒序，点击后变顺序
				curPageNo1=1;
				queryVideoList(catalog_id);
				type=false;
			}else{
				curPageNo=1;
				queryTitle(catalog_id);
				type=true;
			}
		});
	}
	// 销毁
	function destroy() {
		type="";
		$(pageId+" #list").html("");
		$(pageId+" .dropload-down").remove();
		 me.loading = false;
		 //dropload.domDown=false;
	}

	var videoList = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口   
	module.exports = videoList;
});
