/**
 * 新首页 BrotherZeng
 */
define('mall/scripts/account/PlayGame.js',function(require, exports, module){
	var	pageCode = "account/PlayGame";
	var _pageId = "#account_PlayGame ";
	var external = require("external");
	var appUtils = require("appUtils"); 
	var ytgService = require("ytgService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var platform=require("gconfig").platform;
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL=global.url;
	var common = require("common");
	var constants=require("constants");//常量类
	var	curPageNo = ""; // 当前页序号
	var	myScroller = null; // 滚动组件
	var	VIscroll = require("vIscroll");
	//下标0的元素表示头部滑动，1、2、3分别表示推荐理财、推荐基金和推荐资讯
	var customHIscroll= [{"scroll":null,"_init":false},{"scroll":null,"_init":false},{"scroll":null,"_init":false}];
	var HIscroll =require("hIscroll");
	var picLoadTimer = null;
	//初始化
	function init(){
		common.initTitle(_pageId);
		// 样式兼容性问题
		common.loadNewCss();
	}
	
	
	//绑定事件
	function bindPageEvent(){
		// 主页
		appUtils.bindEvent($(_pageId+" #index"),function(){
			appUtils.pageInit(pageCode,"account/index");
		});
		// 翼启投
		appUtils.bindEvent($(_pageId+" #yqt"),function(){
			appUtils.pageInit(pageCode,"account/ytg/yqt");
		});
		// 理财
		appUtils.bindEvent($(_pageId+" #lc"),function(){
			appUtils.pageInit(pageCode,"mall/moneyShop");
		});
		// 生活
		appUtils.bindEvent($(_pageId+" #sh"),function(){
			appUtils.pageInit(pageCode,"life/lifeIndex");
		});
		// 我的
		appUtils.bindEvent($(_pageId+" #wd"),function(){
			appUtils.pageInit(pageCode,"userCenter/wd");
		});
		// 进入大赛
		appUtils.bindEvent($(_pageId+" #saichang"),function(){
			appUtils.pageInit(pageCode,"account/PlayGame");
		});
		appUtils.bindEvent($(_pageId + ".icon_back"), function(e){
			appUtils.pageBack();
		}); 
		// 发现
		appUtils.bindEvent($(_pageId+" #faxian"),function(){
			appUtils.pageInit(pageCode,"account/ytg/yqt");
		});

		
	}
	
	/* function queryPortList(){
		 var param={
					"curPage" : 1,
					"numPerPage" : 3
			};
		 ytgService.queryPortfolioList(param,function callBack(resultVo){
				if(0==Number(resultVo.error_no)){
					var result = resultVo.results;
					fillHotPortfolioData(result);
				}else if(resultVo.error_no=="-40834302"){
					$(_pageId + "#portfolioList").empty();
					$(_pageId + "#portfolioList").html('<h3 style="text-align:center;">暂无热门组合</h3>');
				}else{
					layerUtils.iAlert("热门组合加载失败:"+resultVo.error_info,-1);
				}
			});
		 
	 }
	//填充热门组合数据
		function fillHotPortfolioData(result){
			var html="";
			$(_pageId + " #masterList").html();
			
		   for(var i=0;i<result.length;i++){
			   
			  html+='<div class="master_box"><dl><dt><img src="images/avatar.jpg" alt=""></dt><dd>';
			  html+='<strong>'+result[i].invest_name+'<em><img src="images/level_01.png" width="16" alt="">黄金导师</em><em class="star">8</em></strong>';
			  html+='<ul class="mt10"><li><p>收益率<strong>'+(result[i].month_yield*100).toFixed(2)+'%</strong></p>';
			  html+='</li><li><p>胜率<strong>'+(result[i].winer*1000).toFixed(2)+'</strong></p></li></ul></dd></dl>';
			  html+='<div class="master_story mt10"><div class="story">';
			  html+='<strong><i>组</i>'+result[i].portfolio_name+'<span>创建以来<em class="redcol">+ '+(result[i].total_yield*100).toFixed(2)+'%</em></span></strong>';
			  var stock=result[i].stock_code;
			   if("" !=stock){
				   html+='<p>重仓股'+result[i].stock_name+'<span>仓位占比<em>30.03%</em></span></p></div>';
			   }else{
				   html+='<p>暂无重仓股<span>仓位占比<em>0%</em></span></p></div>';
			   }
			  html+='<div class="story"><strong><i>产</i>中航投研'+i+'号<em class="tips">荣耀发行</em></strong>';
			  html+='<p>追踪趋势 拥抱财富<span class="subscribe pull-right"><img src="images/read.png" width="8" alt=""><em>1507</em>人已订阅</span></p>';
			  html+='</div></div></div>';
		 }
		   $(_pageId + " #masterList").append(html);
		}*/
	
	

	/*	 *//**
		  * 查询热门观点
		  *//*
		function queryHotView(){
			var param={
					"row_num" : 3
			};
			ytgService.queryHotViewPage(param,function callBack(resultVo){
				if(0==Number(resultVo.error_no)){
					var result = resultVo.results;
					if(result != null && result.length > 0){
						fillHotPointData(result);
					}
					else{
						$(_pageId + "#pointList").empty();
						$(_pageId + "#pointList").html('<h3 style="text-align:center;">暂无热门观点</h3>');
					}
				}else{
					layerUtils.iAlert("热门观点加载失败:"+resultVo.error_info,-1);
				}
			});
		} 
		
		
		*//**
		 * 热门/最新观点查询后绑定数据
		 *//*
		function fillHotPointData(result){
			 $(_pageId + "#pointList").html("");
				var html = "";
				for(var i = 0;i<result.length;i++)
				{
					var title=result[i].title;
					var content=result[i].content;
					if(title.length>=18){
						title=title.substring(0,17)+".......";
					}
					if(content.length>=50){
						content=content.substring(0,49)+".......";
					}
					html+='<div class="idea_inner"><dl><dt><img src="images/avatar.jpg" alt=""></dt>';
					html+='<dd><strong>'+result[i].user_name+'<em>'+result[i].read_num+'</em></strong><ul><li>';
					html+='<p>收益率<strong>'+(result[i].month_one_yields*100).toFixed(2)+'%</strong></p></li><li><p>胜率<strong>'+(result[i].winer*1000).toFixed(2)+'</strong></p>';
					html+='</li></ul></dd></dl><div class="article_box">';
					html+='<strong>'+title+'</strong><p>'+content+'</p>';
					html+='<p class="time_box">'+result[i].create_time+'</p></div></div>';
				}
				$(_pageId + "#pointList").append(html);
			}*/
		
		
	//销毁
	function destroy(){
		common.clearNewCss();
      
	}
	
	var PlayGame = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	// 暴露对外的接口
	module.exports = PlayGame;
	
});