/**
 * 转账查询
 */
define('mall/scripts/account/changeQuery.js',function(require, exports, module) {
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var service = require("serviceImp").getInstance(); //业务层接口，请求数据
	var global = gconfig.global;
	var dateUtils= require("dateUtils");
	var layerUtils = require("layerUtils");
	var validatorUtil = require("validatorUtil");
	var putils = require("putils");
	var bankCode="";
	var trans_type="";
	var _pageId="#account_changeQuery ";
	var common=require("common");
	/*初始化*/
	function init()
	{
		common.initTitle(_pageId);
		$(_pageId+" .down-popup-box li:eq(0)").show().siblings("li").hide();
//		$(_pageId+" .down-popup-box li:eq(1)").hide();	
//		$(_pageId+" .down-popup-box li:eq(2)").hide();
	}

	function bindPageEvent() 
	{
		/* 绑定返回事件 */
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
		
//		/* 隐藏 */
//		appUtils.bindEvent($(_pageId+" .trans_type"),function(){
//			$(_pageId+" #banktype").hide();
//			$(_pageId+" #moneytype").hide();
//		});

//		/* 绑定LOGO事件 */
//		appUtils.bindEvent($(_pageId+" .header .logo"),function(){
//			appUtils.pageInit("account/changeQuery","mall/moneyShop",{});
//		});

//		/* 绑定返回首页事件 */
//		appUtils.bindEvent($(_pageId+" .icon_mall"),function(){
//			appUtils.pageInit("account/changeQuery","mall/moneyShop",{});
//		});
		
		/* 下一步(确认查询)*/
		appUtils.bindEvent($(_pageId+" .tran-btn .thinkive-btn a") ,function(){
			if(verifyInfo()){
//				trans_type=$(_pageId+" #trade_type").val();
				var param = {
					"fund_account" : appUtils.getSStorageInfo("fund_account"),
					"page" : "1",
					"numPerPage" : "6",
					"trans_type" : trans_type,
					"bank_no" :  appUtils.getPageParam().bank_no,
					"money_type" :  "",
					"start_date" :  $(_pageId+" #minDate").val(),
					"end_date" :  $(_pageId+" #maxDate").val(),
					"min_money":$(_pageId+" #minAmount").val(),
					"max_money":$(_pageId+" #maxAmount").val()
				};
				appUtils.pageInit("account/changeQuery","userCenter/turnHistory",param);
			}
			
		});
		
		//判断金额输入是否合法
		appUtils.bindEvent($(_pageId+" #minAmount"),function(){
//			var buyNum =$(_pageId+" #minAmount").val();
//			if(buyNum!="0"){
//				if(!/^((0\.)|([1-9]+\.?))\d{0,2}$/.test(buyNum)){
//					 layerUtils.iMsg(-1,"请输入合法金额数字且小数点最多保留两位!");
//					 $(_pageId+" #minAmount").val("");
//				 }
//			}
			putils.numberLimit($(this));
			},"keyup");
		//判断金额输入是否合法
		appUtils.bindEvent($(_pageId+" #maxAmount"),function(){
//			var buyNum =$(_pageId+" #maxAmount").val();
//			if(buyNum!="0"){
//				if(!/^((0\.)|([1-9]+\.?))\d{0,2}$/.test(buyNum)){
//					 layerUtils.iMsg(-1,"请输入合法金额数字且小数点最多保留两位!");
//					 $(_pageId+" #maxAmount").val("");
//				 }
//			}
			putils.numberLimit($(this));
			},"keyup");

		/* 绑定时间事件 */
		appUtils.bindEvent($(_pageId+" .tran-box .info-date"),function(){
			dateUtils.initDateUI("account_changeQuery");
		});
		//首页
	    appUtils.bindEvent($(_pageId+" .nav-index"),function(){
	    	appUtils.pageInit("account/changeQuery","mall/moneyShop");
	    });
	    //转账
	    appUtils.bindEvent($(_pageId+" .nav-tranf"),function(){
	    	appUtils.pageInit("account/changeQuery","userCenter/turnMoney");
	    });
	    //我的产品
	    appUtils.bindEvent($(_pageId+" .nav-produce"),function(){
	    	appUtils.pageInit("account/changeQuery","userCenter/holdingProducts");
	    });
	    //个人中心
	    appUtils.bindEvent($(_pageId+" .nav-center"),function(){
	    	appUtils.pageInit("account/changeQuery","userCenter/index");
	    });
	    appUtils.bindEvent($(_pageId+" .down-popup-box li"),function(e){
			if($(this).is(':visible')&&!$(_pageId+" .down-popup-box li").filter(this).siblings("li").is(':visible')){
			}else{
				if($(this).attr("value")=="0"){
					trans_type = "";
				}else{
					trans_type = $(this).attr("value");
				}
				$(_pageId+" .down-popup-box li").filter(this).show().attr("data-are-you","yes").siblings("li").hide().attr("data-are-you","no");
				e.stopPropagation();
			}
		});
	    appUtils.bindEvent($(_pageId+" .down-popup-box"),function(e){
			$(_pageId+" .down-popup-box").find("li[data-are-you=yes]").show().siblings("li").hide();
			$(_pageId+" .down-popup-box li").show();
			e.stopPropagation();
		});
	}

	/* 信息验证*/
	function verifyInfo(){
		var start_date = $(_pageId+" #minDate").val();
		var end_date = $(_pageId+" #maxDate").val();
		var min_num=$(_pageId+" #minAmount").val();
		var max_num=$(_pageId+" #maxAmount").val();
		// 验证有效期的格式
		var dateReg = /^[1-3]\d{3}-(0|1)\d-[0-3]\d$/;
		if(start_date!=null&&start_date!=""&&!(dateReg.test(start_date) && validatorUtil.isDate(start_date)))
		{
			layerUtils.iMsg(-1,"您输入的时间格式有问题，请重新输入!");
			return false;
		}

		if(start_date!=null&&start_date!=""&&!(dateReg.test(end_date) && validatorUtil.isDate(end_date)))
		{
			layerUtils.iMsg(-1,"您输入的时间格式有问题，请重新输入!");
			return false;
		}

		if(Date.parse(start_date) > Date.parse(end_date))
		{
			layerUtils.iMsg(-1,"开始时间不能大于结束时间，请重新输入!");
			return false;
		}
		
		if(max_num!=""&&min_num!=""&&parseFloat(max_num)<parseFloat(min_num)){
			layerUtils.iMsg(-1,"最小金额不能大于最大金额，请重新输入!");
			return false;
		}

		return true;

	}


	function destroy()
	{
		//清除数据
		$(_pageId+" #minDate").val("");
		$(_pageId+" #maxDate").val("");
		$(_pageId+" #minAmount").val("");
		$(_pageId+" #maxAmount").val("");
	}

	var changeQuery = 
	{
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};

	module.exports = changeQuery;

});