/**
 * 图文详情
 */
define('mall/scripts/account/graphicDetails.js',function(require, exports, module){
	var appUtils = require("appUtils");
	var _pageId = "#account_graphicDetails ";
	var service = require("mobileService"); //业务层接口，请求数据
	var putils = require("putils");
	var layerUtils = require("layerUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL=global.url;
	var common=require("common");
	//初始化
	function init(){

		common.initTitle(_pageId);
		var imginfo = appUtils.getPageParam("imginfo");
		//$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height()-$(_pageId+".header-con").height()-1)+"px"});
		$(_pageId+" .financial-banner").html('<img src="'+URL + imginfo +'" alt="" title="">');
	}
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
	}
	
	//销毁
	function destroy(){
		
	}
	
	var graphicDetails =
	{
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};

	module.exports = graphicDetails;
	
});