/*
 * 商城首页
 */
define('mall/scripts/mall/moneyShop.js',function(require, exports, module) {
	//require("mall/css/self_confirm.css");
	var appUtils = require("appUtils");
	var putils = require("putils");
	var service = require("mobileService"); //业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var HIscroll =require("hIscroll");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var constants=require("constants");//常量类
	var product_id;
	//下标0的元素表示头部滑动，1、2、3分别表示推荐理财、推荐基金和推荐资讯
	var customHIscroll= [{"scroll":null,"_init":false},{"scroll":null,"_init":false},{"scroll":null,"_init":false}];
	var _pageId = "#account_mainPage ";
	var	pageCode = "mall/moneyShop";
	var URL=global.url;
	var common = require("common");
	var product_type=null;
	var VIscroll = require("vIscroll");//滑动组件
	var pagingScrollArray = [{"scroll":null,"_init":false}];//滑动组件
	var picLoadTimer = null;
	
	function init() {
		common.initTitle(_pageId);
		/*common.initLoginStyle();*/
		//common.initFootbutton(_pageId,pageCode);
		var isMainPageHeight = $(window).height();		
		var sessionMainHeight = appUtils.getSStorageInfo("isMainPageHeight");
		if(sessionMainHeight){
			$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":(sessionMainHeight-$(_pageId+".new-header").height()-$(_pageId+".new-footer-con").height()-1)+"px"});
		}else{
			$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height()-$(_pageId+".new-header").height()-$(_pageId+".new-footer-con").height()-1)+"px"});
			appUtils.setSStorageInfo("isMainPageHeight",isMainPageHeight);
		}
		$(_pageId+" .hid").css("color","#fff");
		loadAdv();
		initAdScroller1();
		// 查询IM未读消息
		//common.queryImMessageNum();
	}
	
	function func(){
		var banner = $(_pageId+" #banner_ul").html();
		if(banner==""||banner==null){
			loadAdv();
		}
		else
		{
			initAdScroller(); // 初始化广告滚动组件
		}
	}
	
	/*
	 * 查询IM未读消息
	 * 
	 */
	function queryImMessageNum(){
		var param = {
				"username" : appUtils.getSStorageInfo("mobile_phone")
			};
		service.queryImMessageNum(param, function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			$(_pageId+" .icon_xx").html("");
			if (error_no == 0){
				var number = data.results[0].number;
				if(number>0) {
					$(_pageId+" .icon_xx").html("<em>"+number+"</em>");
				}else {
					$(_pageId+" .icon_xx").html("");
				}
			}else{
				$(_pageId+" .icon_xx").html("");
			}
		});
	}
	/**
	 * 初始化图片滚动组件
	 */
	function initAdScroller1()
	{
		clearInterval(picLoadTimer);
		picLoadTimer = null;
		if(customHIscroll[0].scroll)
		{
			customHIscroll[0].scroll.destroy();
			customHIscroll[0].scroll = null;
		}
		var config = {
			wrapper: $(_pageId+" #wrapper"), //wrapper对象
			scroller: $(_pageId+" #scroller" ), //scroller对象
			perCount: 1,  //每个可视区域显示的子元素
			showTab: true, //是否有导航点
			tabDiv: $(_pageId+" #nav"), //导航点集合对象
			auto: true, //是否自动播放
			interval: null, //自动播放定时器
			wrapperObj: null
		};
		customHIscroll[0].scroll = new HIscroll(config); 
		customHIscroll[0]._init = true;
		$(_pageId+" .bot_banner").show();
	}
	
	function initScroll(){
		//控制显示
		if(!pagingScrollArray[0]._init){
			var pagingConfig = {
				isPagingType:false,
				visibleHeight: $(_pageId).height()-$(".header").height()-$(_pageId+".footer-box").height(),
				container : $(_pageId+" #container_gmjj"), //container元素
				wrapper: $(_pageId+" #wrapper_gmjj"), //wrapper元素
				downHandle : function() {
					appUtils.pageInit("mall/moneyShop","mall/moneyShop",{});
				},
				upHandle : function(){
					appUtils.pageInit("mall/moneyShop","mall/moneyShop",{});
				}
			};
			pagingScrollArray[0].scroll = new VIscroll(pagingConfig); //初始化
			pagingScrollArray[0]._init = true; //尽量只初始化一次，保持性能
		}else{
			pagingScrollArray[0].scroll.refresh();
		}
	}

	function bindPageEvent() {
//		// 登陆
//		appUtils.bindEvent($(_pageId + " .left_text"), function() {
//			appUtils.pageInit("mall/moneyShop", "account/userLogin");
//		});
		
//		// 主页
//		appUtils.bindEvent($(_pageId+" #index"),function(){
//			appUtils.pageInit("account/ytg/yqt","account/index");
//		});
//		// 翼启投
//		appUtils.bindEvent($(_pageId+" #yqt"),function(){
//			appUtils.pageInit("account/ytg/yqt","account/ytg/yqt");
//		});
//		// 理财
//		appUtils.bindEvent($(_pageId+" #lc"),function(){
//			appUtils.pageInit("account/ytg/yqt","mall/moneyShop");
//		});
//		// 生活
//		appUtils.bindEvent($(_pageId+" #sh"),function(){
//			appUtils.pageInit("account/ytg/yqt","life/lifeIndex");
//		});
//		// 我的
//		appUtils.bindEvent($(_pageId+" #wd"),function(){
//			appUtils.pageInit("account/ytg/yqt","userCenter/wd");
//		});
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			common.backModule();
		});
		appUtils.bindEvent($(_pageId+" .icon_xx"),function(){
			common.isNewVin();
		});
		// 登陆
		appUtils.bindEvent($(_pageId + " .left_text"), function() {
			appUtils.pageInit(pageCode, "account/userLogin");
		},"click");
		// 搜索
		appUtils.bindEvent($(_pageId + " .icon_search"), function() {
		});
		// 主页
		appUtils.bindEvent($(_pageId + " #index"), function(event) {
			 event.stopPropagation();
			appUtils.pageInit(pageCode, "account/index");
		},"touchstart");
		appUtils.bindEvent($(_pageId+" #index"),function(){
			appUtils.pageInit("mall/moneyShop","account/index");
		});
		// 翼启投
		appUtils.bindEvent($(_pageId + " #yqt"), function(event) {
			 event.stopPropagation();
			appUtils.pageInit(pageCode, "account/ytg/yqt");
		},"touchstart");
		appUtils.bindEvent($(_pageId+" #yqt"),function(){
			appUtils.pageInit("mall/moneyShop","account/ytg/yqt");
		});
		// 理财
		appUtils.bindEvent($(_pageId + " #lc"), function(event) {
			 event.stopPropagation();
			appUtils.pageInit(pageCode, "mall/moneyShop");
		},"touchstart");
		appUtils.bindEvent($(_pageId+" #lc"),function(){
			appUtils.pageInit("mall/moneyShop","mall/moneyShop");
		});
		// 生活
		appUtils.bindEvent($(_pageId + " #sh"), function(event) {
			 event.stopPropagation();
			appUtils.pageInit(pageCode, "life/lifeIndex");
		},"touchstart");
		appUtils.bindEvent($(_pageId+" #sh"),function(){
			appUtils.pageInit("mall/moneyShop","life/lifeIndex");
		});
		// 我的
		appUtils.bindEvent($(_pageId + " #wd"), function(event) {
			appUtils.setSStorageInfo("_loginInPageCode","userCenter/wd");//保存要跳转的页面
			 event.stopPropagation();
			appUtils.pageInit(pageCode, "userCenter/wd");
		},"touchstart");
		// 设置
		appUtils.bindEvent($(_pageId + " .icon_set"), function() {
			//appUtils.setSStorageInfo("_loginInPageCode","userCenter/wd");//保存要跳转的页面
			var param = {
				"pageCode" : pageCode
			};
			appUtils.pageInit(pageCode, "userCenter/wdsz",param);
		},"click");
		appUtils.bindEvent($(_pageId+" #wd"),function(){
			appUtils.pageInit("mall/moneyShop","userCenter/wd");
		});
		// 广告图点击事件
		appUtils.bindEvent($(_pageId+" #lczqbanner1"),function(){
			var pageInParam = {
					"prePageCode" : pageCode,
					"backUrl" : "mall/moneyShop"
			};
			appUtils.pageInit("mall/moneyShop","groupExclusive/zmkm",{"backparam":pageInParam});
		});
		// 广告图点击事件
		appUtils.bindEvent($(_pageId+" #lczqbanner2"),function(){
			var pageInParam = {
					"prePageCode" : pageCode,
					"backUrl" : "mall/moneyShop"
			};
			appUtils.pageInit("mall/moneyShop","groupExclusive/jfslzq",{"backparam":pageInParam});
		});
	}

	function loadAdv(){
		if(!customHIscroll[0]._init){
			var param = {
					"group_id":"4"
			};
			service.getAdv(param,function(data){
				var error_no=data.error_no;
				var error_info=data.error_info;
				if(error_no==0){
					var ads=data.results;
					var adItems="";
					var date_info = new Date().getTime();
					for(var i=0;i<ads.length;i++){
						var name = ads[i].name;
						var description = ads[i].description;
						var picture = ads[i].picture;
						adItems += '<li data-url="'+ads[i].url+'"><h2>'+name+'</h2><div class="clearfix"><img src="'+URL+picture+'" alt="" title="">'+
                     			   '<p>'+description+'</p></div></li>';
					}
					$(_pageId+" .invest-list").html(adItems);
					appUtils.bindEvent($(_pageId+" .invest-list li"),function(){
						appUtils.setSStorageInfo("prePageCode","mall/moneyShop");
						var url = $(this).attr("data-url");
						var product_url = url.substring(0,url.indexOf("?"));
						var index = url.indexOf("=");
						if(index != -1){
							var id = url.substring(index+1);
						}
						if(product_url == "mall/finanOrder/confirmOrder")
						{
							var param = {
								"product_id" : id,
								"pageCode" : "mall/moneyShop"
							};
							appUtils.pageInit("mall/moneyShop","mall/itemsFinan",param);							
						}
						else if(product_url == "mall/itemsFinan")
						{
							var param = {
								"product_type" : id,
								"pageCode" : "mall/moneyShop"
							};
							appUtils.pageInit("mall/moneyShop",product_url,param);
						}else if(product_url == "account/home"){
							var param = {
									"product_type" : id,
									"pageCode" : "mall/moneyShop"
								};
								appUtils.pageInit("mall/moneyShop",product_url,param);
						}else if(product_url == "mall/fundList"){
							var param = {
									"product_type" : id,
									"pageCode" : "mall/moneyShop"
								};
								appUtils.pageInit("mall/moneyShop",product_url,param);
						}
					});
				}else{
					layerUtils.iMsg(-1,error_info);
				}
			});
		}
	}

	function showFinancialProduct(){
		var config = {
			wrapper: $(_pageId+" .pro_box #wrapper_tjlc"), //wrapper对象
			scroller: $(_pageId+" .pro_box #scroller_tjlc" ), //scroller对象
			perCount: 2,  //每个可视区域显示的子元素
			showTab: false, //是否有导航点
			tabDiv: null, //导航点集合对象
			auto: false, //是否自动播放
			interval: null, //自动播放定时器
			wrapperObj: null
		};
		customHIscroll[1].scroll = new HIscroll(config); //初始化，需要做if(!hIscroll._init)判断
		customHIscroll[1]._init = true; //尽量只初始化一次，保持性能（如果是项目开发，这句和下一句可以忽略）
	}
     function selfConfirmUtils(conMsg,yesBtn, noBtn,yesFunc, noFunc){
    	 yesBtn = yesBtn || '确认';
    	 noBtn = noBtn || '取消';
    	 $("#tips_info").html(conMsg);
    	 $("#self_yes").html(yesBtn);
    	 $("#self_no").html(noBtn);
    	 appUtils.bindEvent($("#self_yes"),function(){
    		 yesFunc();
    		 $("#confirm_open").hide();
    		 return false;
    	 });
    	  appUtils.bindEvent($("#self_no"),function(){
    		 noFunc();
    		 $("#confirm_open").hide();
    		 return false;
    	 });
     }
	function destroy(){
	}
	
	/**
	 * 初始化广告滚动组件
	 */
	function initAdScroller()
	{
		clearInterval(picLoadTimer);
		picLoadTimer = null;
		if(customHIscroll[0].scroll)
		{
			customHIscroll[0].scroll.destroy();
			customHIscroll[0].scroll = null;
		}
		var config = {
			wrapper: $(_pageId+" #ad_pic"), //wrapper对象
			scroller: $(_pageId+" #banner_ul" ), //scroller对象
			perCount: 1,  //每个可视区域显示的子元素
			showTab: true, //是否有导航点
			tabDiv: $(_pageId+" #ad_index"), //导航点集合对象
			auto: true, //是否自动播放
			interval: null, //自动播放定时器
			wrapperObj: null
		};
		customHIscroll[0].scroll = new HIscroll(config); 
		customHIscroll[0]._init = true;
		$(_pageId+" #ad_pic ul li").show();
	}

	var mainPage = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = mainPage;
});