﻿/**
 * APP启动页
 */
define('mall/scripts/account/pageGuide.js',function(require, exports, module) {
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global; 	
	var _pageId = "#account_pageGuide ";
	
	var common = require("common");
	var URL=global.url;	
	function init() {
		common.initTitle(_pageId);
		startNotice();
	}
	/**
	 * 活动广告
	 */
	 function startNotice(){
		 service.noticeimg({},function(data){
			var error_no = data.error_no;
			var flag="";
			var notice_img1= "";
			var notice_img2= "";
			var notice_img3= "";
			if(error_no=="0"){
				var results = data.results;
				 flag=results[0].flag;
				 notice_img1= results[0].notice_img1;//第一张图片
				 notice_img2= results[0].notice_img2;//第二张图片
				 notice_img3= results[0].notice_img3;//第三张图片
				 if(flag=="1"){//在时间里面	
					var time=setTimeout(function(){
						appUtils.pageInit("account/pageGuide","account/index");
					 }, 5000);  //定时任务5秒刷新一次
					var str="";
					$(_pageId+" #notice_img").html("");
					if(notice_img3!=""&&typeof(notice_img3)!="undefined"){//表示有三张图片
						str="<div class='tupu' id='notice_img1' style='height:33.33%'><img src='"+URL+notice_img1+"' alt=''>" +
							"</div><div class='tupu' id='notice_img2' style='height:33.33%'><img src='"+URL+notice_img2+"' alt=''>" +
							"</div><div class='tupu' id='notice_img3' style='height:33.33%'><img src='"+URL+notice_img3+"' alt=''></div>"+
							"<div class='notice_taoguo'><div class='ui buttons'><a href='javaScript:void(0);' class='btn_skip'>跳过</a></div></div>";
						$(_pageId+" .tupu").css("height","33.33%");
					}else if(notice_img2!=""&&typeof(notice_img2)!="undefined"){//表示有两张图片
						str="<div class='tupu' id='notice_img1' style='height:50%'><img src='"+URL+notice_img1+"' alt=''>" +
							"</div><div class='tupu' id='notice_img2' style='height:50%'><img src='"+URL+notice_img2+"' alt=''>" +
							"</div>"+"<div class='notice_taoguo'><div class='ui buttons'><a href='javaScript:void(0);' class='btn_skip'>跳过</a></div></div>";
					}else if(notice_img1!=""&&typeof(notice_img1)!="undefined"){//表示只有一张图片
						str="<div class='tupu' id='notice_img1' style='height:100%'><img src='"+URL+notice_img1+"' alt=''>" +
							"</div>"+"<div class='notice_taoguo'><div class='ui buttons'><a href='javaScript:void(0);' class='btn_skip'>跳过</a></div></div>";
						$(_pageId+" .tupu").css("height","100%");
					}else{
						$(_pageId+" #notice_img").html("");
					}
					$(_pageId+" #notice_img").html(str);
					appUtils.bindEvent($(_pageId + " #notice_img1"), function() {//点第一张图
					clearTimeout(time);  //取消任务	
						appUtils.pageInit("account/pageGuide", "mall/moneyShop");					
					},"click");
					appUtils.bindEvent($(_pageId + " #notice_img2"), function() {//点第二张图
					clearTimeout(time);  //取消任务						
						appUtils.pageInit("account/pageGuide", "life/lifeIndex");
					},"click");
					appUtils.bindEvent($(_pageId + " #notice_img3"), function() {//点第三张图	
					clearTimeout(time);  //取消任务						
						appUtils.pageInit("account/pageGuide", "mall/moneyShop");
					},"click");
					//跳过
					appUtils.bindEvent($(_pageId + " .btn_skip"), function() {//回到首页	
					clearTimeout(time);  //取消任务						
						appUtils.pageInit("account/pageGuide","account/index");
					},"click");	
				}else{				
					appUtils.pageInit("account/pageGuide","account/index");
				}
			}else{
				appUtils.pageInit("account/pageGuide","account/index");
			}
		},{isShowWait:false});
	 }

	function bindPageEvent() {
		appUtils.bindEvent($(_pageId + ".icon_back"), function(e){
			appUtils.pageBack();
		}); 
	}

	function destroy() {
		$(_pageId+" #Adver_id").hide();
		$(_pageId+" #notice_img").hide();
		$(_pageId+" #notice_img").html("");
		
	}

	

	var pageGuide = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = pageGuide;
});