/**
 * 选择支付方式
 */
define('mall/scripts/account/payNianfei.js',function(require, exports, module){
	var appUtils = require("appUtils");
	var	layerUtils = require("layerUtils");
	var	service = require("mobileService");
	var	common = require("common");
	var	_pageId = "#account_payNianfei ";
	var external = require("external");
	var validatorUtil= require("validatorUtil");
	var platform = require("gconfig").platform;
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var keyPanel = require("keyPanel");//软键盘
	var putils = require("putils");
	var curInputId = null;
	var pwdTimer = null; // 密码输入框计时器
	var constants=require("constants");//常量类
	var fundacc;  //资金账号
 	
	//下标0的元素表示头部滑动，1、2、3分别表示推荐理财、推荐基金和推荐资讯
	var customHIscroll= [{"scroll":null,"_init":false},{"scroll":null,"_init":false},{"scroll":null,"_init":false}];
	var HIscroll =require("hIscroll");
	var picLoadTimer = null;
	
	var tadm = "";// 产品机构
	var product_id = ""; // 产品id
	var tot_price = ""; // 金额tot_price
	var productType = "7";
	var sub_type = ""; 
	var dingy_type = "";  // 订阅周期
	//初始化
	function init()
	{
		common.initTitle(_pageId);
		$(_pageId).css("background","#fff");
		$(_pageId+" .hid").css({"width":"70px","color":"#fff"});
		$(_pageId+" .pay_main .type_list dd").css({"font-size":"12px","margin-left":"1%"});
		$(_pageId+" .fix_add").css("margin-top","5%");
		var isMainPageHeight = $(window).height();		
		var sessionMainHeight = appUtils.getSStorageInfo("isMainPageHeight");
		if(sessionMainHeight)
		{
			$(_pageId+".main").css({
				"overflow-y":"auto",
				"overflow-x":"hidden",
				"height":(sessionMainHeight-$(_pageId+" .new-header").height()-1)+"px"
			});
		}
		else
		{
			$(_pageId+".main").css({
				"overflow-y":"auto",
				"overflow-x":"hidden",
				"height":($(window).height()-$(_pageId+" .new-header").height()-1)+"px"
			});
			appUtils.setSStorageInfo("isMainPageHeight",isMainPageHeight);
		}
		
		
		queryNianfeiInfo();
		selectPayMethod();
		
		
		
		window.customKeyboardEvent = {
			keyBoardInputFunction: inputEvent
		};
	}
	
	// 查询年费信息
	function queryNianfeiInfo() {
		// 
		var param = {
				"product_id":"99",
				"productType":"99"
		};
		var callBack = function(data)
		{
			if(data)
			{
				if(data.error_no == "0")
				{
					// 信息
					var results = data.results;
					
					tadm = results[0].iss_code;
					product_id = results[0].inst_id;
					
					 tot_price = results[0].original_price; // 金额tot_price
					 sub_type = results[0].fee_way; 
					 dingy_type = results[0].sub_cycle;  // 订阅周期
					var inst_sname = results[0].inst_sname; 
					
					$(_pageId+" .value_box strong").html(putils.fmoney(results[0].original_price) + "<span>元</span>");
					$(_pageId+" .value_name strong").html(inst_sname);
					findAgreement(); // 查询产品协议
				}
				else
				{
					layerUtils.iMsg(-1,data.error_info);
					return false;
				}
			}
		};
		service.finanInfo(param,callBack);
	}
	/**
	 * 选择支付方式(保证金支付、银行卡支付)
	 */
	function selectPayMethod()
	{
		var param;
		var loginType = appUtils.getSStorageInfo("loginType"); //loginType 0手机账户登录1保证金账户登录
		if(loginType == "0")
		{
			param = {
				"phoneNo" : appUtils.getSStorageInfo("mobile_phone"), //手机账户
				"bzjClientNo" : "",
				"user_id" : appUtils.getSStorageInfo("user_id")
			};
		}
		else
		{
			param = {
				"phoneNo" : "",
				"bzjClientNo" : appUtils.getSStorageInfo("FID_KHH"), //保证金账户
				"user_id" : appUtils.getSStorageInfo("user_id")
			};
		}
		service.selectPayMethod(param,function(data){
			if(data.error_no != "0")
			{
				layerUtils.iMsg(-1,data.error_info);
				return false;
			}
			else
			{
				var results = data.results;
				var bankstr = "";
				var navstr = "";
				for(var i = 0;i<results.length;i++)
				{
					var isChange = results[i].isChange;
					if(isChange == "1") //isChange 1没绑定账户	2已绑定账户
					{
						$(_pageId+" .fix_add").show(); //没绑定账户，页面显示"+"提示用户绑定账户
						$(_pageId+" .fix_add").css("margin-top","20%");
						$(_pageId+" #finanPay").attr("isChange",isChange);
						$(_pageId+" #otcPay").attr("isChange",isChange);
						if(loginType == "0")
						{
							$(_pageId+" #finanPay").attr("checked",true); //自动勾选理财账户
							$(_pageId+" #finanPay").attr("khh",appUtils.getSStorageInfo("client_no"));
							$(_pageId+" #finanPay").attr("userId",appUtils.getSStorageInfo("user_id"));
							
							var bank_account = results[i].bank_account;
							bankstr += '<div class="pay_box part" fund_account="'+results[i].fund_account+'"><div class="inner">'+
					                        '<span class="bank_name">'+results[i].bankName+'</span>'+
					                        '<h5>'+bank_account.substring(0,4)+' **** **** '+bank_account.substring(bank_account.length-4,bank_account.length)+'</h5>'+
					                        '<p>已绑定的三方支付方式</p><span class="union"></span></div></div>';
							if(i%2 == 0)	//导航点，每两张银行卡一个导航点
							{
								if(i == 0)
								{
									navstr += '<em class="active"></em>';
								}
								else
								{
									navstr += '<em></em>';
								}
							}
							$(_pageId+" #scroller").html(bankstr);
							$(_pageId+" #nav").html(navstr);
							if(i == results.length - 1)
							{
								$(_pageId+" .bank_list").show();
							}
							initAdScroller();  //初始化银行卡滑动组件
							selectBankCard(); //绑定选择银行卡事件
							$(_pageId+" #otcpay").hide();
							$(_pageId+" #otcaccount").hide();
							$(_pageId+" #bankpay").show();
							
							$(_pageId+" .fix_add").css("padding","1.05rem 0 0.1rem");
							
						}
						else
						{
							$(_pageId+" #otcPay").attr("checked",true); //自动勾选保证金账户
							$(_pageId+" #otcPay").attr("khh",appUtils.getSStorageInfo("FID_KHH"));
							$(_pageId+" #otcPay").attr("userId",appUtils.getSStorageInfo("user_id"));
							$(_pageId+" .type_list dd").html("资金账号：" + appUtils.getSStorageInfo("FID_KHH"));
							$(_pageId+" .bank_list").hide();
							$(_pageId+" #otcpay").show();
							$(_pageId+" #otcaccount").show();
							$(_pageId+" #bankpay").hide();
						}
					}
					else
					{
						var khh = results[i].khh;
						var source = results[i].source;
						var userId = results[i].userId;
						$(_pageId+" #otcPay").attr("isChange",isChange);
						$(_pageId+" #finanPay").attr("isChange",isChange);
						$(_pageId+" .fix_add").hide();
						$(_pageId+" .bank_list").show();
						$(_pageId+" #otcpay").show();
						$(_pageId+" #otcaccount").show();
						$(_pageId+" #bankpay").show();
						if(source == "1") //保证金
						{
							$(_pageId+" #otcPay").attr("khh",khh);
							$(_pageId+" #otcPay").attr("source",source);
							$(_pageId+" #otcPay").attr("userId",userId);
							$(_pageId+" .type_list dd").html("资金账号：" + khh);
						}
						else //理财户
						{
							$(_pageId+" #finanPay").attr("khh",khh);
							$(_pageId+" #finanPay").attr("source",source);
							$(_pageId+" #finanPay").attr("userId",userId);
							
							var bank_account = results[i].bank_account;
							bankstr += '<div class="pay_box part" fund_account="'+results[i].fund_account+'"><div class="inner">'+
					                        '<span class="bank_name">'+results[i].bankName+'</span>'+
					                        '<h5>'+bank_account.substring(0,4)+' **** **** '+bank_account.substring(bank_account.length-4,bank_account.length)+'</h5>'+
					                        '<p>已绑定的三方支付方式</p><span class="union"></span></div></div>';
							if(i%2 == 0)
							{
								if(i == 0)
								{
									navstr += '<em class="active"></em>';
								}
								else
								{
									navstr += '<em></em>';
								}
							}
							$(_pageId+" #scroller").html(bankstr);
							$(_pageId+" #nav").html(navstr);
							initAdScroller();  //初始化银行卡滑动组件
							selectBankCard(); //绑定选择银行卡事件
						}
					}
				}
			}
		});
	}
	
	/**
	 *  绑定选择银行卡事件
	 */
	function selectBankCard()
	{
		appUtils.bindEvent($(_pageId+" .scroll_bank .pay_box .inner"),function(){
			$(this).css("border-color","#CC1D58").parent().siblings().children().css("border-color","#DBE1E6");
			$(_pageId+" #finanPay").attr("checked",true); //自动勾选理财账户
		});
	}
	
	/**
	 * 检查是否选择银行卡
	 */
	function checkBankCard()
	{
		var fund_account;
		var $bankCardArr = $(_pageId+" .scroll_bank .pay_box .inner");
		var m = 0;
		for(var i = 0;i < $bankCardArr.length;i++)
		{
			var styleValue = $($bankCardArr[i]).attr("style")
			if(styleValue != undefined)
			{
				if(styleValue.indexOf("(204, 29, 88)") != -1)
				{
					m++;
					fund_account = $($bankCardArr[i]).parent().attr("fund_account");
				}
			}
		}
		if(m == 0)
		{
			layerUtils.iMsg(-1,"您还没选择银行卡");
			return false;
		}
		return fund_account
	}
	
	/**
	 * 是否开OTC户
	 */
	function isOpenOTC(risk_level,user_name,identity_num)
	{
		
		var user_id = $(_pageId+" input:checked").attr("userId");
		var khh = $(_pageId+" input:checked").attr("khh");
		
		var param = {
			"user_id": user_id,
        	"khh": khh,//客户号
        	"tadm": tadm,//机构代码
        	"risk_level": risk_level //风险等级
		};
		service.checkRiskAssessment(param,function(data){
			if(data.error_no != "0")
			{
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false
			}
			else
			{
				var results = data.results;
				var isKh = results[0].isKh;
				var isCp = results[0]. isCp;
				if(isKh == "1")	//是否需要开户	1需要   0不要
				{
					var param = {
						"product_id" : product_id,
						"isKh" : isKh,
						"isCp": isCp,
						"khh" : khh,
						"risk_level" : risk_level,
						"user_name" : user_name,
						"identity_num" : identity_num,
						"tot_price" :tot_price,
						"user_id" : user_id
					};
					appUtils.pageInit("account/payNianfei","account/otcAccountRisk",param);
				}
			}
		});
	}
	
	/**
	 * 下单(OTC)
	 */
	function doOrder(pwd)
	{
		service.getRSAKey({},function(data){
			if(data.error_no == "0")
			{
				var modulus = data.results[0].modulus;
				var publicExponent = data.results[0].publicExponent;
				var endecryptUtils = require("endecryptUtils");
				var trade_pwd = endecryptUtils.rsaEncrypt(modulus,publicExponent,pwd);
				
				var user_id = $(_pageId+" input:checked").attr("userId");
				var khh = $(_pageId+" input:checked").attr("khh");
				 var jjrparam = {
				            funcNo: "50041",
				            key: "khuserId" 
				 };
				 var result = external.callMessage(jjrparam);
				 var khuserid = "";
					 
				 if(result.error_no == "0" || result.error_no == "1") {
					 khuserid = result.results[0].value;
				 }
				
					var param = {
						"user_id" : user_id,//用户ID
						"product_id" : product_id,//产品ID
						"khh" : khh,//客户号
						"trade_pwd" : trade_pwd,//交易密码
						"source" : "1",//获取来源  1. 表示 保证金  2.表示理财户   默认 表示保证金
						"tot_price" :tot_price,
						"business_type" : "",
						"productType":productType,
						"sub_type":sub_type,
						"sub_cycle":dingy_type,
						"isNianfei":"1",  // 年费属性
						"khuserid":khuserid
					};
			
				
				service.placeOrder(param,function(data){
					if(data.error_no != "0")
					{
						$(_pageId+" .psd-box span").html("");//清空●
						$(_pageId + " #tradePwd").val(""); // 清除密码
						$(_pageId+" .yh-mask").hide();//隐藏密码输入框
						if(platform == 0)
						{
							keyPanel.closeKeyPanel();
						}
				   	 	hideKeyboard();//隐藏原生键盘
						layerUtils.iMsg(-1,data.error_info);
						layerUtils.iLoading(false);
						return false;
					}
					else
					{
						order_id = data.results[0].order_id;
						var param = {
							"funcNo":"50101",
							"moduleName":"open",
							"params" : {"url":"account/accountResult"}
						};
						external.callMessage(param);
					}
				});
			}
		});
	}
	
	/**
	 * 下单(理财户) 
	 */
	function buyProduct(pwd)
	{
		var user_id=appUtils.getSStorageInfo("user_id");
		
		service.getRSAKey({},function(data){
			if(data.error_no=="0")
			{
				var modulus = data.results[0].modulus;
				var publicExponent =data.results[0].publicExponent;
				var endecryptUtils = require("endecryptUtils");
				var trade_pwd=endecryptUtils.rsaEncrypt(modulus,publicExponent,pwd);
				var user_id = $(_pageId+" input:checked").attr("userId");
				var khh = $(_pageId+" input:checked").attr("khh");
			
				var order_channel = 0;
				if(platform=="1")
				{
					order_channel =2;
				}
				else if(platform=="2")
				{
				      order_channel=1;
				}
				else
				{
					 order_channel=0;
				}
		
					var param1=
					{
						"client_no":khh,
						"user_id":user_id,
						"product_id":product_id,
						"tot_price":tot_price,
						"order_channel":order_channel,
						"source":"2",
						"trade_pwd":trade_pwd,
						"fund_account" : fundacc,
						"productType":"7",
						"sub_type":sub_type,
						"sub_cycle":dingy_type
					};
				service.finanPuy(param1,function(data){
					if(data.error_no!="0")
					{
						$(_pageId+" .psd-box span").html("");
				   	 	$(_pageId+" #layerCustom_pwd_again").val("");
						$(_pageId + " #tradePwd").val(""); // 清除密码
						$(_pageId+" .yh-mask").hide();
						if(platform == 0)
						{
							keyPanel.closeKeyPanel();
						}
				   	 	hideKeyboard();
						layerUtils.iMsg(-1,data.error_info);
						layerUtils.iLoading(false);
						return false;
					}
					order_id=data.results[0].order_id;
					
					var param = {
						"funcNo":"50101",
						"moduleName":"open",
						"params" : {"url":"account/accountResult"}
					};
					external.callMessage(param);
				},false);
			}
		},false);
	}
	
	/**
	 * 获取资金账号信息
	 */
	function getOTCAccountInfo(khh)
	{
		var param = {
			"fid_khh" : khh,
			"fid_exflg" : "1"
		};
		var callBack = function(data)
		{
			if(data)
			{
				if(data.error_no == "0")
				{
					var results = data.results;
					
					var risk_level = results[0].FID_TZZFL; //风险等级
					var user_name = results[0].FID_KHXM; //客户姓名
					var identity_num = results[0].FID_ZJBH; //身份证号码
					
					isOpenOTC(risk_level,user_name,identity_num); //判断是否开OTC户
				}
				else
				{
					layerUtils.iMsg(-1,data.error_info);
					return false;
				}
			}
		};
		service.getOTCInfo(param,callBack);
	}
	
	/**
	 * 购买产品
	 */
	function purchaseProducts()
	{
		var khh = $(_pageId+" input:checked").attr("khh");
		var loginType = appUtils.getSStorageInfo("loginType");
		var isChange = $(_pageId+" input:radio").attr("isChange");
		
		if(isChange == "1")
		{
			if(loginType == "0")
			{
				if($(_pageId+" #otcPay").is(":checked"))
				{
					layerUtils.iMsg(-1,"您还没绑定保证金账户");
					return false;
				}
				
				fundacc = checkBankCard();  //检查是否选择银行卡
				if(fundacc == false)
				{
					return false;	
				}
			}
			else
			{
				if($(_pageId+" #finanPay").is(":checked"))
				{
					layerUtils.iMsg(-1,"您还没绑定理财账户");
					return false;
				}
				sign(); //协议签署
			}
		}
		else
		{
			var source = $(_pageId+" input:checked").attr("source");
			if(source == "1") //当为1，为保证金支付，需要判断是否要开OTC户
			{ 
				getOTCAccountInfo(khh); //获取资金账号信息
				sign(); //协议签署
			}
			else
			{
				
				fundacc = checkBankCard(); //检查是否选择银行卡
				if(fundacc == false)
				{
					return false;
				}
			}
		}
		
		if(!$(_pageId+" #checkBox").hasClass("firm-order-checkbox sec"))
		{
			layerUtils.iMsg(-1,"请阅读同意并签署此协议！");
			return false;
		}
		
		$(_pageId+" #jyje").html(putils.fmoney(tot_price)+"元");
		$(_pageId+" .yh-mask").show();
		$(_pageId+" .psd-box span").html("");
		$(_pageId+" #layerCustom_pwd_again").val("");
		$(_pageId + " #tradePwd").val(""); // 清除密码
		var $input = $(_pageId + " #tradePwd");
		
		if(platform == 0)
		{
			$input.parents(".psd-popup").css("top", "80px");
			keyPanel.init_keyPanel(function(value){
				var text = $input.val();
				if(value == "del")
				{
					var len = text.length;
					$(_pageId+" .psd-box span:eq("+(len-1)+")").html("");
					$input.val(text.slice(0, -1));
				}
				else
				{
					if(text.length<6)
					{
						$input.val(text+value);
						var len = (text+value).length;
						$(_pageId+" .psd-box span:eq("+(len-1)+")").html("●");
						
						if(len == 6)
						{
							if(isChange == "1")
							{
								if(loginType == "0")
								{
									buyProduct(text+value);
								}
								else
								{
									doOrder(text+value);
								}
							}
							else
							{
								var source = $(_pageId+" input:checked").attr("source");
								if(source == "2") //source 1保证金 2理财户
								{ 
									buyProduct(text+value);
								}
								else
								{
								    doOrder(text+value);
								}
							}
						}
					 }
					else
					{
					    layerUtils.iMsg(-1, "交易密码最多 6位!");
					}
				}
			}, $input);
		}
		else
		{
			$input.parents(".psd-popup").css("top", "80px");
			callKeyboard($input); // 调用键盘
		}
		appUtils.bindEvent($(_pageId+".yh-mask"),function(e){
			hideKeyboard(); // 隐藏原生键盘
			$(".yh-mask").hide();
			$(_pageId+" .psd-box span").html("");
			$(_pageId+" #layerCustom_pwd_again").val("");
			$(_pageId + " #tradePwd").val(""); // 清除密码
			if(platform == 0)
			{
				keyPanel.closeKeyPanel();
			}
			e.stopPropagation();
		});
		appUtils.bindEvent($(_pageId+".psd-popup"),function(e){
			e.stopImmediatePropagation();
		});
	}
	
	//提交订单
	function commitOrder()
	{
		
		service.getRSAKey({},function(data){
			if(data.error_no=="0")
			{
				var modulus = data.results[0].modulus;
				var publicExponent =data.results[0].publicExponent;
				var endecryptUtils = require("endecryptUtils");
				//var trade_pwd=endecryptUtils.rsaEncrypt(modulus,publicExponent,$.trim($(_pageId+" #trade_pwd").val()));
				var param =
				{
					"user_id":$(_pageId+" input:checked").attr("userId"),
					"product_id":product_id,
					"trade_pwd":"",
					"risk_type_id":"CTP"
				};
				service.checkOrderSubmit(param,function(data) 
						{
						if(data.error_no!="0")
						{
							layerUtils.iMsg(-1,data.error_info);
							layerUtils.iLoading(false);
							return false;
						}
						var perData=data.results;
						
				});
			}
		});
	}
	
	/**
	 * 协议签署
	 */
	function sign(){
		var user_id = appUtils.getSStorageInfo("user_id");
		var param = {
			"user_id":$(_pageId+" input:checked").attr("userId"),
			"product_id":product_id,
	        "agreement_id":""
		};
		service.signAgreement(param,function(data){
			if(data.error_no!="0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				layerUtils.iMsg(0,"签署失败，请重新签署或联系客户，失败原因："+data.results[0].error_info);
				return false;
			}else{
				
			}
		});
	}
	
	/**
	 * 初始化银行卡滚动组件
	 */
	function initAdScroller()
	{
		clearInterval(picLoadTimer);
		picLoadTimer = null;
		if(customHIscroll[0].scroll)
		{
			customHIscroll[0].scroll.destroy();
			customHIscroll[0].scroll = null;
		}
		var config = {
			wrapper: $(_pageId+" #wrapper"), //wrapper对象
			scroller: $(_pageId+" #scroller" ), //scroller对象
			perCount: 2,  //每个可视区域显示的子元素
			showTab: true, //是否有导航点
			tabDiv: $(_pageId+" #nav"), //导航点集合对象
			auto: false, //是否自动播放
			interval: null, //自动播放定时器
			wrapperObj: null
		};
		customHIscroll[0].scroll = new HIscroll(config); 
		customHIscroll[0]._init = true;
		$(_pageId+" .pay_box").show();
	}
	
	/**
	 * 调用原生键盘
	 * @param $input 显示在页面的输入框
	 */
	function callKeyboard($input)
	{
		curInputId = $input.attr("id");
		var invokeParam = {
			moduleName: "common", // String	目标模块名	N
			source: "mall", // String	源模块	Y
			funcNo: "50210", // String	功能号	Y	
			pageId: _pageId.substring(1), // String	页面Id	Y	
			eleId: curInputId, // String	元素Id	Y	
			doneLable: "done", // String	完成按钮显示字符		
			keyboardType: "3" // 1：英文键盘，2：股票键盘，3：数字键盘，4：随机数字键盘，9：系统键盘
		}
		external.callMessage(invokeParam);
	}
	
	/**
	 * 隐藏原生键盘
	 */
	function hideKeyboard()
	{
		var invokeParam = {
			funcNo: "50211", // String	功能号	Y
			moduleName: "common"
		}
		external.callMessage(invokeParam);
	}
	
	/**
	 * 原生键盘的输入事件
	 * @param curKeyCode 当前输入值
	 */
	function inputEvent(curKeyCode)
	{
		var $curInput = $(_pageId + "#" + curInputId);
		var curVal = $curInput.val();
		// {"CLEAR":-2, "DONE": -3, "DEL": -5}; //常量，键盘上面的按键对应编码（-2表示清空，-3表示完成，-5表示删除）
		switch(Number(curKeyCode))
		{
			case -2: 
				$(_pageId + " .psd-box span").html("");
				break;
			case -3:
				break;
			case -5:
				$(_pageId + " .psd-box span:eq(" + curVal.length + ")").html("");
				break;
			default:
				clearTimeout(pwdTimer);
				pwdTimer = null;
				$(_pageId + " .psd-box span:eq(" + (curVal.length - 1) + ")").html(curKeyCode);
				if(curVal.length == 6)
				{
					var isChange = $(_pageId+" input:radio").attr("isChange");
					var loginType = appUtils.getSStorageInfo("loginType");
					if(isChange == "1")
					{
						if(loginType == "0")
						{
							buyProduct(curVal);
						}
						else
						{
							doOrder(curVal);
						}
					}
					else
					{
						var source = $(_pageId+" input:checked").attr("source");
		    			if(source == "2") //source 1保证金 2理财户
		    			{ 
							buyProduct(curVal);
						}
		    			else
		    			{
							doOrder(curVal);
						}
					}
				}
				pwdTimer = setTimeout(function(){
					$(_pageId + " .psd-box span").each(function(){
						if($(this).html() != "")
						{
							$(this).html("●");
						}
					});
				}, 500);
				break;
		}
	}
	
	//绑定事件
	function bindPageEvent()
	{
		//协议签署、风险测评、资金判断
		appUtils.bindEvent($(_pageId+" #checkBox"),function(){
			hideKeyboard(); // 隐藏原生键盘
			if($(this).hasClass("firm-order-checkbox sec")){
				$(this).removeClass().addClass("firm-order-checkbox");
			}else{
				$(this).removeClass().addClass("firm-order-checkbox sec");
			}
		},"click");
		
		/**
		 * 返回
		 */
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			// BrotherZeng
			appUtils.pageInit("account/payNianfei","account/index");
		});
		/**
		 * 选择支付方式
		 */
		appUtils.bindEvent($(_pageId+" .type_list dt span label"),function(){
			$(this).prev().attr("checked",true);
			if($(_pageId+" #otcPay").is(":checked"))
			{
				$(_pageId+" .scroll_bank .pay_box .inner").removeAttr("style");
			}
		});
		/**
		 * 确认支付
		 */
		appUtils.bindEvent($(_pageId+" #confirmPay"),function(){
			 
			 	if($(_pageId+" #finanPay").is(":checked"))
			 	{
			 		layerUtils.iMsg(-1,"不支持该支付方式");
			 		return false;
			 	}
			if($(_pageId+" input:radio").is(":checked"))
			{
				purchaseProducts();
			}
			else
			{
				layerUtils.iMsg(-1,"请选择支付方式");
			}
		});
		/**
		 * 点击绑定账户
		 */
		appUtils.bindEvent($(_pageId+" .fix_add a"),function(){
			appUtils.pageInit("account/payNianfei","account/bindAccount");
		});
	}
	
	//判断是否签署协议(1有 0没有)
	function  findAgreement()
	{
		var user_id = appUtils.getSStorageInfo("user_id");
		/*var product_id=pageInParam.product_id;*/
		var isOnlineSign = true ; // 是否支持网上开通电子签名协议
		var flag = true ;		  // 签署协议标识，true 为已签署
		var showDataList =[];
		var _agreement_id ;
		var _agreement_title ;
		var results=null; //保存结果集

		var param =
		{
			"user_id":user_id,
			"product_id":product_id
		};

		service.findAgreement(param,function(data){
			if(data.error_no != "0"){
				layerUtils.iMsg(-1,data.error_info);
				layerUtils.iLoading(false);
				return false;
			}
			results= data.results;
			var allProtocolStr = ""; // 所有协议字符串

			for (var i  =0; i < results.length; i++){
				if(results[i].agreement_type=="1"||results[i].agreement_type=="0"){
					if(results[i].agreement_title!=null && results[i].agreement_title!=""){
						allProtocolStr += '<li><a href="javascript:void(0);" contract_type="'+results[i].contract_type+'" agreement_type="'+results[i].agreement_type+'" agreement_content="'+results[i].agreement_content+'" agreement_id="'+results[i].agreement_id+'" agreement_url="'+results[i].url+'">'+results[i].agreement_title+'</a></li>';
					}
				}
			}
			$(_pageId+" #proContent").html(allProtocolStr);
//			BindProtListEvent(); // 绑定协议下拉列表的点击事件
			
			//绑定协议事件
			appUtils.bindEvent($(_pageId+" #proContent li a"),function(){
				var agreement_url = $(this).attr("agreement_url");
				var agreement_title = $(this).html();
				viewProtocol(agreement_url,agreement_title);
			});
		});
	}
	
	/**
	 * 查看产品协议
	 */
	function viewProtocol(agreement_url,agreement_title){
		if(platform == "1"){
			var param={
				moduleName: "mall", // String	目标模块名	N	
				source: "mall", // String	源模块	Y
				funcNo: "50240",
				url: URL+agreement_url,
				title: agreement_title
			};
			external.callMessage(param);
		}else if(platform == "2"){
			var param={
				funcNo: "50240",
				url: URL+agreement_url,
				title: agreement_title
			};
			external.callMessage(param);
		}
	}
	
	appUtils.bindEvent($(_pageId+" input[keyboard-plugin='true']"),function(e){
			callKeyboard($(this)); // 调用键盘
			
	    	e.stopPropagation();
	});
	
	//销毁
	function destroy()
	{
		$(_pageId+" .yh-mask").hide();
		$(_pageId+" #layerCustom_pwd_again").val("");
		$(_pageId + " .psd-box span").html(""); // 清除密码的"·"
		$(_pageId+" input:checked").attr("checked",false);
		if(platform == 0)
		{
			keyPanel.closeKeyPanel();
		}
		hideKeyboard(); // 隐藏原生键盘
	}
	
	var payNianfei = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	
	// 暴露对外的接口
	module.exports = payNianfei;
	
});