define('mall/scripts/account/strategyPointarticle.js',function(require, exports, module) {
	var appUtils = require("appUtils");
	var putils = require("putils");
	var service = require("mobileService"); //业务层接口，请求数据
	var layerUtils = require("layerUtils");
	var HIscroll =require("hIscroll");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var URL=global.url;
	var constants = require("constants");//常量类
	var _pageId="#account_strategyPointarticle ";
	var external = require("external");
	var common=require("common");
	//初始化
	function init(){
		common.initTitle(_pageId);
		
		queryContent();
	}
	
	//查询文章内容
	function queryContent(){
		var param = {
			"article_id" : appUtils.getPageParam().article_id
		};
		service.getContent(param,function(data){
			if(data.error_no == "0"){
				var results = data.results[0];
				var content = results.content;
				var app_video =  results.app_video;//视频地址
				var author = results.author;
				var publish_date = results.publish_date;
				var title = results.title;
				if(app_video==""){
					$(_pageId+" .artcle-tit h2").html(title);
					$(_pageId+" .artcle-tit p span").html(publish_date);
					$(_pageId+" .artcle-tit p em").html(author).css("margin-left","5%");
					$(_pageId+" .artcle-con p").html(content);
					var imgObj = $(_pageId+" .artcle-con p img");
					if(imgObj.length != 0){
						for(var j = 0;j < imgObj.length;j++){
							var imgUrl = $(imgObj[j]).attr("src");
							imgUrl = "http://www.avicsec.com" + imgUrl;
							$(imgObj[j]).attr("src",imgUrl);
						}
					}
				}else{
					$(_pageId+" .artcle-tit h2").html(title);
					$(_pageId+" .artcle-tit p span").html(publish_date);
					$(_pageId+" .artcle-tit p em").html(author).css("margin-left","5%");
					$(_pageId+" #avic_type").html("<img src='images/videophoto.png' class='video_photo' alt='' title=''>");
					$(_pageId+" .video_box").attr("app_video",app_video);
					appUtils.bindEvent($(_pageId+" .video_photo"),function(){
						if(app_video != "" ){
							var param = {
									"funcNo":"50275",
									"title":title,
									"mediaUrl":app_video
							};
							external.callMessage(param);
						}
				},"click");
				}
				
			}else{
				layerUtils.iMsg(-1,data.error_info);
				return false;
			}
		});
	}
	
	//绑定事件
	function bindPageEvent(){
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
	}
	
	//销毁
	function destroy(){
	}
	
	var strategyPointarticle = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = strategyPointarticle;
	
});