 /**
  * 注册成功
  */
define('mall/scripts/account/testSuccess.js',function(require, exports, module){ 
	var appUtils = require("appUtils"),
		layerUtils = require("layerUtils"),
		service = require("mobileService").getInstance(),
		global = require("gconfig").global, 
		_pageId = "#account_testSuccess ";
	var common=require("common");
	function init(){
		common.initTitle(_pageId);
		$(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height()-$(_pageId+".header").height())+"px"});
	}
	
	//绑定事件
	function bindPageEvent(){
		var _curPageCode = appUtils.getSStorageInfo("_curPageCode");//当前页 pageCode
		appUtils.bindEvent($(_pageId + ".icon_back"),function(){
			appUtils.pageBack();
        });
	    appUtils.bindEvent($(_pageId + "#to_add"),function(){//继续添加
			appUtils.pageInit(_curPageCode, "account/testAccount", {});
        });
	    appUtils.bindEvent($(_pageId + "#to_mall"),function(){
		    appUtils.pageInit(_curPageCode, "mall/moneyShop", {});
        });
	}
	function destroy(){
	}

	var testSuccess = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	// 暴露对外的接口
	module.exports = testSuccess;
});