/**
 * 年末冲刺活动
 */
define('mall/scripts/account/ytg/endyearSprint.js',function(require, exports, module){
	var	pageCode = "account/ytg/endyearSprint";
	var _pageId = "#account_ytg_endyearSprint ";
	var external = require("external");
	var appUtils = require("appUtils"); 
	var service = require("mobileService"); // 业务层接口，请求数据
	var ytgService = require("ytgService"); // 业务层接口，请求数据
	var layerUtils = require("layerUtils"); 
	var platform=require("gconfig").platform;
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var domain = gconfig.global.domain;
	var URL=global.url;
	var common = require("common");
	var constants=require("constants");//常量类
	var picLoadTimer = null;
	var aflag = "1";
	var bflag = "1";
	var cflag = "1";
	var flag1=true;
	var flag2=true;
	var top=null;
	var counttype="总数";
	//初始化
	function init(){
		common.initTitle(_pageId);
		aflag="8";
		bflag="1";
		cflag="1";
		$("#xhlist li").eq(2).hide();
		$("#xhlist li").eq(3).hide();
		$(_pageId +".header .tab_box1 a").eq(0).addClass("active");
		$(_pageId +"#xhlist li").eq(0).find("a").css("border-color","red");
		$(_pageId +"#zblist li").eq(0).find("a").css("border-color","red");
		querynmcc();
	}
	
	function querynmcc(type) {
			var param = {
				"aflag" : aflag,
				"bflag" : bflag,
				"cflag" : cflag
			};
			console.log("入参是："+param.aflag+"_"+param.bflag+"_"+param.cflag);
			service.queryNmcc(param,function(data) {
								var error_no = data.error_no;
								var error_info = data.error_info;
								var bdData = data.results;
								$(_pageId + " #bdShow").html("");
								if(aflag=="1"){
									counttype="新开户数（户）";
								}else if(aflag=="2"){
									counttype="有效户数（户）";
								}else if(aflag=="3"){
									counttype="信用有效户数（户）";
								}else if(aflag=="4"){
									counttype="融资融券规模（万元）";
								}else if(aflag=="5"){
									counttype="股票质押规模（万元）";
								}else if(aflag=="6"){
									counttype="中航混改销售额（万元）";
								}else if(aflag=="7"){
									counttype="翼钱罐销售额（万元）";
								}else if(aflag=="8"){
									counttype="当日开户数（户）";
								}else{
									counttype="错误";
								}
								
								if (error_no == 0) {
									if(bdData.length==0){
										top="<tr><td><p>暂无数据<p></td></tr>";
										$(_pageId + " #bdShow").append(top);
									}else{
										for ( var i = 0; i < bdData.length; i++) {
											if("1"==bflag){ 
												var khdy = bdData[i].khdy;
												var count = parseFloat(bdData[i].count);
												var mb = parseFloat(bdData[i].mb);
												var dcl = bdData[i].dcl+"%";
												if("1"==aflag||"8"==aflag){
													top ="<tr><td><p>考核单元</p><p><span >"+khdy+"</span></p></td><td><p>"+counttype+"</p><p><span>"+count+"</span></p></td>";
												}else{
													top ="<tr><td><p>考核单元</p><p><span >"+khdy+"</span></p></td><td><p>"+counttype+"</p><p><span>"+count+"</span></p></td><td><p>目标值</p><p><span>"+mb+"</span></p></td>"
												    +"<td><p>达成率</p><p><span>"+dcl+"</span></p></td></tr>";
												}
						                    }else if("2"==bflag){
												var khdy = bdData[i].khdy;
												var count = parseFloat(bdData[i].count);
												var yyb = bdData[i].yyb;
												top ="<tr><td><p>营业部</p><p><span >"+yyb+"</span></p></td><td><p>考核单元</p><p><span>"+khdy+"</span></p></td><td><p>"+counttype+"</p><p><span>"+count+"</span></p></td></tr>";
						                    }else{
						                    	var khdy = bdData[i].khdy;
												var count = parseFloat(bdData[i].count);
												var ryxm = bdData[i].ryxm;
												var yyb = bdData[i].yyb;
												top ="<tr><td><p>姓名</p><p><span >"+ryxm+"</span></p></td><td><p>营业部</p><p><span>"+yyb+"</span></p></td><td><p>考核单元</p><p><span>"+khdy+"</span></p></td>"
											    +"<td><p>"+counttype+"</p><p><span>"+count+"</span></p></td></tr>";
						                    }
											$(_pageId + " #bdShow").append(top);
										}
									}
								} else {
									layerUtils.iMsg(-1, error_info);
								}
							});
			
	};
	
	
	//绑定事件
	function bindPageEvent(){
		appUtils.bindEvent($(_pageId +"#xhlist li"),function(e){
			cflag=$(this).attr("cflag");
			$(this).find("a").css("border-color","red");
			$(this).siblings().find("a").css("border-color","#d2d2d2");
			querynmcc();
		});
		
		appUtils.bindEvent($(_pageId +".header .tab_box1 a"),function(e){
			bflag=$(this).attr("bflag");
			$(this).addClass("active");
			$(this).siblings().removeClass("active");
			if(bflag=="1"){
				if(aflag!="1"&&aflag!="8"){
					$("#xhlist li").eq(2).show();
					$("#xhlist li").eq(3).show();
				}else{
					$("#xhlist li").eq(2).hide();
					$("#xhlist li").eq(3).hide();
				}
			}else{
				$("#xhlist li").eq(2).hide();
				$("#xhlist li").eq(3).hide();
			}
			querynmcc();
		});
		
		appUtils.bindEvent($(_pageId +"#zblist li"),function(e){
			aflag=$(this).attr("aflag");
			$(this).find("a").css("border-color","red");
			$(this).siblings().find("a").css("border-color","#d2d2d2");
			if(aflag=="1"||aflag=="8"){
				$("#xhlist li").eq(2).hide();
				$("#xhlist li").eq(3).hide();
			}else{
				if(bflag=="1"){
					$("#xhlist li").eq(2).show();
					$("#xhlist li").eq(3).show();	
				}else{
					$("#xhlist li").eq(2).hide();
					$("#xhlist li").eq(3).hide();
				}
			}
			querynmcc();
		});
		
		//返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageInit(pageCode,"userCenter/wd");
		});
	}
	

	//销毁
	function destroy(){
		$(_pageId +"#xhlist li").find("a").css("border-color","#d2d2d2");
		$(_pageId +"#zblist li").find("a").css("border-color","#d2d2d2");
		$(_pageId +".header .tab_box1 a").removeClass("active");
	}
	
	var endyearSprint = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	// 暴露对外的接口
	module.exports = endyearSprint;
	
});