define(function(require,exports,module){
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		  gconfig = require("gconfig"),
		  layerUtils = require("layerUtils"),
		  global = gconfig.global,
		  _pageId = "#account_openNotice";
	var external = require("external");
	var platform = gconfig.platform;
	/* 私有业务模块的全局变量 end */
	var hashslingerNo = "";
	var tjrPhone = "";
	var yyb = "";
	var qzid = "";
	var qdid = "";
	var sinaid = "";
	var common = require("common");
	function init()
	{
		external.callMessage({"funcNo": "50100","moduleName":"open"});
		common.initTitle(_pageId);
		// 获取渠道经纪人等信息
		hashslingerNo = appUtils.getPageParam("hashslingerNo");
		tjrPhone = appUtils.getPageParam("tjrPhone");
		yyb = appUtils.getPageParam("yyb");
		qzid = appUtils.getPageParam("qzid");
		qdid = appUtils.getPageParam("qdid");
		sinaid = appUtils.getPageParam("sinaid");
		// 通知
		//external.callMessage({"funcNo": "50100","moduleName":"open"});
	}
	
	function bindPageEvent()
	{
		appUtils.bindEvent($(_pageId + " .icon_back"), function(){
				var param = {
							moduleName: "open", // String	目标模块名	N
							funcNo: "50114"
							};
				external.callMessage(param);
		});
		
		appUtils.bindEvent($(_pageId + " #khjc"), function(){
			var param = {
									"funcNo" : "50275",
									"title" : "开户教程",
									"mediaUrl" : "http://61.144.205.111:8800/upload/20151203/kh.mp4"
								};
								external.callMessage(param);
		});

		appUtils.bindEvent($(_pageId + " .ct_btn"), function(){
			var param = {
					"hashslingerNo": hashslingerNo,
					"tjrPhone": tjrPhone,
					"yyb": yyb,
					"qzid": qzid,
					"qdid": qdid,
					"sinaid":sinaid
				};
			appUtils.pageInit("account/openNotice", "account/msgVerify", param);
		});    
	}
	
	function destroy()
	{

	}

	var openNotice = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	/**
	 * 清除项目中的html
	 */
	/*$("#bodyContent .page").each(function(){
		$(this).remove();
	});*/

	
	module.exports = openNotice;
});
