/**
 * 填写个人信息
 */
define(function(require, exports, module){ 
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
	    service = require("serviceImp").getInstance(),  //业务层接口，请求数据
		global = require("gconfig").global,
		platform = require("gconfig").platform,
		layerUtils = require("layerUtils"),
		utils = require("utils"),
		manId = "",
		womenId = "",
		checkNum = "",
		validatorUtil = require("validatorUtil"),
		idCardModify = false,  // 身份证是否被手工修改
		videoFlag = "";
		_pageId = "#account_personInfo";
	var external = require("external");
	var curInputId = null;
	var pwdTimer = null; // 密码输入框计时器
	var gconfig = require("gconfig");
	var common = require("common");
	/* 私有业务模块的全局变量 end */
	function init()
	{
		common.initTitle(_pageId);
		cleanPageElement();  // 清除页面元素
		checkNum = "0";
		window.selDateCallback = selDateCallback;
		_pageId = "#account_personInfo";
		if(appUtils.getSStorageInfo("ssFlag")=="1") {
			$(_pageId+ " #tax_resident_type .dropdown").html("中国税收居民");
			$(_pageId+ " #tax_resident_type .tit").html("");
		}
		
		//window.calendarCallback = calendarCallback;  // 全局调用日期插件方法
		//  从上传照片页面进入
		if(appUtils.getSStorageInfo("_prePageCode") == "account/uploadPhoto" || appUtils.getSStorageInfo("_prePageCode") == "account/uploadPhotoChange")
		{
			// 根据传入的值，填充页面的数据
			$(_pageId+" .name").val(appUtils.getPageParam("custname"));	  // 客户姓名
			$(_pageId+" .idCardNo").val(appUtils.getPageParam("idno"));	 // 身份证号
			$(_pageId+" .signDepartment").val(appUtils.getPageParam("policeorg"));	// 签发机关
			$(_pageId+" .idCardAddress").val(appUtils.getPageParam("native"));	// 证件地址
			$(_pageId+" .address").val(appUtils.getPageParam("native"));	// 联系地址和证件地址设置相同的
			$(_pageId+" .idBeginDate").val(appUtils.getPageParam("idbegindate"));  //起始期限
			$(_pageId+" .idEndDate").val(appUtils.getPageParam("idenddate"));  //结束期限
			$(_pageId+" .zipCode").val(appUtils.getPageParam("postid"));  //邮编
			$(_pageId+" .selectOccupationval").val(appUtils.getPageParam("selectOccupationval"));  //职业补充
			
			
			// 如果是由新开流程跳转到转户流程， 并且有设置过学历和职业，那么初始化页面时,
			// 职业和学历和上次的选择保持不变
			var photosInfo = appUtils.getSStorageInfo("photosInfo");
			// 显示之前所选职业
			if(photosInfo != null && photosInfo.isChangeProcess == "true" && photosInfo.fillInformationInParam.occupation.text != "请选择职业")
			{
				$(_pageId+" .selectOccupation").text(photosInfo.fillInformationInParam.occupation.text);
				$(_pageId+" .selectOccupation").attr("value",photosInfo.fillInformationInParam.occupation.value);
			}
			// 显示之前所选学历
			if(photosInfo != null && photosInfo.isChangeProcess == "true" && photosInfo.fillInformationInParam.degree.text != "请选择学历")
			{
				$(_pageId+" .selectDegree").text(photosInfo.fillInformationInParam.degree.text);
				$(_pageId+" .selectDegree").attr("value",photosInfo.fillInformationInParam.degree.value);
			}
			
		}
		else
		{
			$(_pageId+" .name").val(appUtils.getSStorageInfo("custname"));	  // 客户姓名
			$(_pageId+" .idCardNo").val(appUtils.getSStorageInfo("idCardNo"));	 // 身份证号
			$(_pageId+" .signDepartment").val(appUtils.getSStorageInfo("policeorg"));	// 签发机关
			$(_pageId+" .idCardAddress").val(appUtils.getSStorageInfo("native"));	// 证件地址
			$(_pageId+" .address").val(appUtils.getSStorageInfo("addr"));	 // 联系地址和证件地址设置相同的
			$(_pageId+" .zipCode").val(appUtils.getSStorageInfo("postid"));  //邮编
			$(_pageId+" .idBeginDate").val(appUtils.getSStorageInfo("idbegindate"));  // 证件开始日期			
			$(_pageId+" .idEndDate").val(appUtils.getSStorageInfo("idenddate"));  //结束期限
			
			$(_pageId+" .company").val(appUtils.getSStorageInfo("company"));  //结束期限
			$(_pageId+" .position").val(appUtils.getSStorageInfo("position"));  //结束期限
			
			
			
			
			//$(_pageId+" .occupation").val(appUtils.getSStorageInfo("occupation"));  //结束期限
			
			/*第二联系人取消
			$(_pageId+" .secondcontactname").val(appUtils.getSStorageInfo("secondcontactname"));  //结束期限
			$(_pageId+" .secondcontacttel").val(appUtils.getSStorageInfo("secondcontacttel"));  //结束期限
			$(_pageId+" .secondcontactrelation").val(appUtils.getSStorageInfo("secondcontactrelation"));  //结束期限
			*/
			
	
			
			// 
		}

		if(appUtils.getSStorageInfo("_prePageCode") == "account/videoNotice") {
			videoFlag = "1"; //从双向视频跳过来
		}
		queryDataDict();  // 获取职业和学历列表
		queryFury(); // 获取服务人员
		
//		window.customKeyboardEvent = {
//			keyBoardInputFunction: inputEvent
//		};
		$(_pageId + " .sel_list ul").css({
			height: $(window).height() / 2 - 40 + "px"
		});
		$(_pageId+ " #checkedBoxTrue").find("b").hasClass("checkon")==true?$(_pageId+" .selectCreditRecord").parent().hide():$(_pageId+" .selectCreditRecord").parent().show();
	}
	
	function bindPageEvent()
	{
		appUtils.bindEvent($(_pageId+" #writeInfo_end_check"),function(){
			
			if($(this).attr("checked")=="checked"){
				$(_pageId+" .idEndDate").val('3000-12-31');  //结束期限
				$(_pageId + " .idEndDate").attr("disabled","disabled");
			}else{
				$(_pageId+" .idEndDate").val(appUtils.getSStorageInfo("idenddate"));  //结束期限
				// appUtils.getSStorageInfo("idenddate")
				$(_pageId + " .idEndDate").removeAttr("disabled");
			}
		},"change");
		/* 姓名输入框绑定失去焦点事件 */
		appUtils.bindEvent($(_pageId+" .name"),function(){
	       		validateName($(this));
		},"blur");
		
		/* 绑定返回 */
		appUtils.bindEvent($(_pageId+"  .icon_back"),function(){
			//appUtils.pageInit("account/personInfo","account/uploadPhoto",{});
			//appUtils.pageBack();
			pageBack();
		});
		
		/* 点击页面其他元素隐藏下拉列表 */
		appUtils.bindEvent($(_pageId),function(e){
			// 隐藏下拉列表
			$(_pageId+" .sel_list").slideUp("fast",function(){
			if(platform == '1'){
				$("body #bodyContent").css("overflow","auto");
				}
			});	
			e.stopPropagation();	// 阻止冒泡
			//hideKeyboard(); // 隐藏原生键盘
		});
		
		/* 选择职业 */
		appUtils.bindEvent($(_pageId+" .selectOccupation"),function(e){
			$(_pageId+" .job ul li").removeClass("active");
			// 显示选择职业的下拉列表
			$(_pageId+" .sel_list:eq(0)").slideDown("fast",function(){
			   if(platform == '1'){
				$("body #bodyContent").css("overflow","hidden");
				}
			});		
			e.stopPropagation();	// 阻止冒泡
		});
		
		/* 选择职业补充 */
		appUtils.bindEvent($(_pageId+" .selectOccupationex"),function(e){
			$(_pageId+" .occupationalex ul li").removeClass("active");
			// 显示选择职业的下拉列表
			$(_pageId+" .occupationalex:eq(0)").slideDown("fast",function(){
			   if(platform == '1'){
				$("body #bodyContent").css("overflow","hidden");
				}
			});		
			e.stopPropagation();	// 阻止冒泡
		});
		
		/* 选择学历 */
		appUtils.bindEvent($(_pageId+" .selectDegree"),function(e){
			$(_pageId+" .education ul li").removeClass("active");
			// 显示选择学历的下拉列表
			$(_pageId+" .sel_list:eq(1)").slideDown("fast",function(){
			  if(platform == '1'){
				$("body #bodyContent").css("overflow","hidden");
				}
			});	
			e.stopPropagation(); // 阻止冒泡
		});
		
		/* 限制名字的长度 */
		appUtils.bindEvent($(_pageId+" .name"),function(){
			utils.dealIPhoneMaxLength(this,8);  //处理iphone兼容
		},"input");
		
		/* 限制身份证的长度 */
		appUtils.bindEvent($(_pageId+" .idCardNo"),function(){
			utils.dealIPhoneMaxLength(this,18);  //处理iphone兼容
		},"input");

		/* 限制邮编在IOS上的长度 */
//		appUtils.bindEvent($(_pageId+" .zipCode"),function(){
//			utils.dealIPhoneMaxLength(this,6); //处理iphone兼容
//		},"input");
		
		/* 绑定选择日期的事件 */
		appUtils.bindEvent($(_pageId+" input[date-plugin='true']"),function(e){
			console.log("调用日期插件...");
			utils.selectDate(this);  // 通过壳子调用系统的日历插件 
		});
		
		//受益人
		appUtils.bindEvent($(_pageId+ " #benefit_person"),function(){
			$(_pageId+ " #benefit_person").find("b").hasClass("checkon")==true?$(_pageId+ " #benefit_person").find("b").removeClass("checkon"):$(_pageId+ " #benefit_person").find("b").addClass("checkon");
			if(!$(_pageId+ " #benefit_person").find("b").hasClass("checkon")){
				layerUtils.iAlert("抱歉,账户实际受益人必须是您本人,否则不允许继续开户,请确认.",-1,function(){
					$(_pageId+ " #benefit_person").find("b").addClass("checkon")
				});
			}
		});

		//控制人
		appUtils.bindEvent($(_pageId+ " #control_person"),function(){
			$(_pageId+ " #control_person").find("b").hasClass("checkon")==true?$(_pageId+ " #control_person").find("b").removeClass("checkon"):$(_pageId+ " #control_person").find("b").addClass("checkon");
			if(!$(_pageId+" #control_person").find("b").hasClass("checkon")){
				layerUtils.iAlert("抱歉,账户实际控制人必须是您本人,否则不允许继续开户,请确认.",-1,function(){
					$(_pageId+ " #control_person").find("b").addClass("checkon")
				});
			}
		});
		
		
		//是否与证件地址一致
		appUtils.bindEvent($(_pageId+ " #lxdz_person"),function(){
			$(_pageId+ " #lxdz_person").find("b").hasClass("checkon")==true? [$(_pageId+ " #lxdz_person").find("b").removeClass("checkon"),$(_pageId+" .address").val("")]:[$(_pageId+ " #lxdz_person").find("b").addClass("checkon"),$(_pageId+" .address").val($(_pageId+" .idCardAddress").val())];
		});
		
		//诚信良好记录按钮切换
		appUtils.bindEvent($(_pageId+ " #checkedBoxTrue"),function(){
			if($(_pageId+ " #checkedBoxTrue").find("b").hasClass("checkon")){
				$(_pageId+ " #checkedBoxTrue").find("b").removeClass("checkon");
			}else{
				//$(_pageId+" .creditRecord").parent().show();
				$(_pageId+ " #checkedBoxTrue").find("b").addClass("checkon");
			}
			if(!$(_pageId+ " #checkedBoxTrue").find("b").hasClass("checkon")){
				$(_pageId+" .selectCreditRecord").parent().show();
			}else{
				$(_pageId+" .selectCreditRecord").parent().hide();
			}
			//$(_pageId+ " #checkedBoxTrue").find("b").hasClass("checkon")==true?[$(_pageId+" .creditRecord").parent().hide(),$(_pageId+ " #checkedBoxTrue").find("b").removeClass("checkon")]:[$(_pageId+" .creditRecord").parent().show(),$(_pageId+ " #checkedBoxTrue").find("b").addClass("checkon")];
		});
		
		/* 选择关系
		appUtils.bindEvent($(_pageId+" .secondcontactrelation"),function(e){
			$(_pageId+" .sel_list").slideUp("fast",function(){
				$("body #bodyContent").css("overflow","auto");
			});	
			
		//	$(_pageId+" .select_benefit_gx ul li").removeClass("active");
			// 显示选择职业的下拉列表
			$(_pageId+" .sel_list:eq(2)").slideDown("fast",function(){
				$("body #bodyContent").css("overflow","hidden");
			});		
			e.stopPropagation();	// 阻止冒泡
		});
		*/
		
		/* 点击页面其他元素隐藏下拉列表 */
		appUtils.bindEvent($(_pageId+" #sure_next"), function(e) {
			var creditRrecord_text="",creditRrecord_code="";
			$.each($(".creditRrecord ul li"),function(){
				if($(this).hasClass("active")){
					//check_val +=$(this).find("span").text()+",";
					creditRrecord_code += $(this).find("span").attr("value")+",";
					creditRrecord_text += $(this).find("span").text()+"、";
				}
			});
			//appUtils.setSStorageInfo("credit_record", $(_pageId + " .record0" + i).attr("value"));
			appUtils.setSStorageInfo("credit_record",creditRrecord_code.substring(0,creditRrecord_code.length-1));
			$(_pageId + " .selectCreditRecord").text(creditRrecord_text);
			// 隐藏下拉列表
			$(_pageId + " .sel_list:eq(3)").slideUp("fast", function() {
				$("body #bodyContent").css("overflow", "auto");
			});
			e.stopPropagation(); // 阻止冒泡
		});
		
		appUtils.bindEvent($(_pageId + " .selectCreditRecord"), function(e) {
			$(_pageId+" .sel_list").slideUp("fast",function(){
				$("body #bodyContent").css("overflow","auto");
			});	
	//		$(_pageId + " .creditRrecord ul li").removeClass("active");
			// 显示选择职业的下拉列表
			$(_pageId + " .sel_list:eq(3)").slideDown("fast", function() {
				$("body #bodyContent").css("overflow", "hidden");
			});
			e.stopPropagation(); // 阻止冒泡
		});
		
		
		/* 绑定下一步 */
		appUtils.bindEvent($(_pageId+" .fix_bot .ct_btn"),function(){
			if(verifyInfo())  // 校验数据
			{
				service.whetherTime({"user_id" : appUtils.getSStorageInfo("user_id")},function(data){
						var error_no = data.error_no;
						var error_info = data.error_info;
						if(error_no == 0)
						{
							if(data.results[0].hcflag == '2'||data.results[0].hcflag == '3'||data.results[0].hcflag == '4'){ //核查时间内直接提交
								getProtocolInfo(data.results[0].hcflag);  // 需要签署协议
							}else{
								submitInfo(data.results[0].hcflag);  //提交用户信息  不需要签署协议
							}
							
						}
				});
			}
		});
		
		appUtils.bindEvent($(_pageId+" input[keyboard-plugin='true']"),function(e){
				hideKeyboard(); // 隐藏原生键盘
				callKeyboard($(this)); // 调用键盘
		    	e.stopPropagation();
			});
		
		/* 税收居民 */
		appUtils.bindEvent($(_pageId+" #tax_resident_type"),function(){
			appUtils.setSStorageInfo("idCardNo",$(_pageId+" .idCardNo").val());
			appUtils.setSStorageInfo("custname",$(_pageId+" .name").val());
			appUtils.setSStorageInfo("policeorg",$(_pageId+" .signDepartment").val());
			appUtils.setSStorageInfo("native",$(_pageId+" .idCardAddress").val());
			appUtils.setSStorageInfo("addr",$(_pageId+" .address").val());
			appUtils.setSStorageInfo("postid",$(_pageId+" .zipCode").val());
			appUtils.setSStorageInfo("idbegindate",$(_pageId+" .idBeginDate").val());
			appUtils.setSStorageInfo("idenddate",$(_pageId+" .idEndDate").val());
			
			
			
			appUtils.setSStorageInfo("company", $(_pageId+" .company").val());
			appUtils.setSStorageInfo("position", $(_pageId+" .position").val());
			appUtils.pageInit("account/personInfo","account/taxResidentType",{});
		});
	}

	/* 处理返回按钮 */
	function pageBack()
	{
		var currentStep = appUtils.getSStorageInfo("currentStep");
		// 当前完成步骤为：已成功上传身份证 或者 由视频返回到资料提交页，处理返回按钮
		if(appUtils.getSStorageInfo("personInfo") == "exist" || currentStep == "uploadimg")
		{
			appUtils.setSStorageInfo("currentStep","uploadimg");
			appUtils.setSStorageInfo("idInfo","exist");  // 标记用户完成照片上传
			appUtils.pageInit("account/personInfo","account/uploadPhoto",{});
		}
		// 正常开户处理返回按钮
		else
		{
			appUtils.pageBack();
		}
	}
	
	function getProtocolInfo(flag){
		//查询承诺书
	    service.getProtocolInfo({"econtract_no":"1024","user_id" : appUtils.getSStorageInfo("user_id")}, function(data) {
	        if(data.error_no==0){
	        	layerUtils.iAlert(data.results[0].econtract_content,"",function(){
	        		submitInfo(flag);
	        	});
	        }
	    });
	}
	
	
	function destroy()
	{
		service.destroy();
		hideKeyboard(); // 隐藏原生键盘
	}
	/**
    	 * 调用原生键盘
    	 * @param $input 显示在页面的输入框
    	 */
	function callKeyboard($input)
	{
		curInputId = $input.attr("id");
		var invokeParam = {
			moduleName: "open", // String	目标模块名	N
			source: "open", // String	源模块	Y
			funcNo: "50210", // String	功能号	Y
			pageId: _pageId.substring(1), // String	页面Id	Y
			eleId: curInputId, // String	元素Id	Y
			doneLable: "done", // String	完成按钮显示字符
			keyboardType: "9" // 1：英文键盘，2：股票键盘，3：数字键盘，4：随机数字键盘，9：系统键盘
		};
		external.callMessage(invokeParam);
	}

	/**
	 * 隐藏原生键盘
	 */
	function hideKeyboard()
	{
		var invokeParam = {
			funcNo: "50211", // String	功能号	Y
			moduleName: "open",
			mode:"0"
		};
		external.callMessage(invokeParam);
	}

	
	/**
	 * 原生键盘的输入事件
	 * @param curKeyCode 当前输入值
	 */
	function inputEvent(curKeyCode)
	{
		var $curInput = $(_pageId + "#" + curInputId);
		var curVal = $curInput.val();
		//curTxt = typeof(curTxt) == "undefined" ? "" : curTxt;
		// {"CLEAR":-2, "DONE": -3, "DEL": -5}; //常量，键盘上面的按键对应编码（-2表示清空，-3表示完成，-5表示删除）
		switch(Number(curKeyCode))
		{
			case -2: 
				$curInput.val("");
				break;
			case -3:
				break;
			case -5:
				$curInput.val(curVal);
				break;
			default:
				if(curVal.length >= 1)
				{
					$curInput.val(curVal);
				}
				clearTimeout(pwdTimer);
				pwdTimer = null;
				break;
		}
	}
	/*提交开户信息*/
	function submitInfo(flag)
	{
		// 开户信息资料提交
		var param = setSubmitDataParam();
		param.flag = flag;
		service.submitUserInfo(param,function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			if(error_no == 0)
			{
				appUtils.setSStorageInfo("idCardNo",$(_pageId+" .idCardNo").val());
				appUtils.setSStorageInfo("custname",$(_pageId+" .name").val());
				appUtils.setSStorageInfo("policeorg",$(_pageId+" .signDepartment").val());
				appUtils.setSStorageInfo("native",$(_pageId+" .idCardAddress").val());
				appUtils.setSStorageInfo("addr",$(_pageId+" .address").val());
				appUtils.setSStorageInfo("postid",$(_pageId+" .zipCode").val());
				appUtils.setSStorageInfo("idbegindate",$(_pageId+" .idBeginDate").val());
				appUtils.setSStorageInfo("idenddate",$(_pageId+" .idEndDate").val());
				
				
				
				appUtils.setSStorageInfo("company", $(_pageId+" .company").val());
				appUtils.setSStorageInfo("position", $(_pageId+" .position").val());
			//	appUtils.setSStorageInfo("occupation", $(_pageId+" .occupation").val());

				/**
				appUtils.setSStorageInfo("secondcontactname", $(_pageId+" .secondcontactname").val());
				appUtils.setSStorageInfo("secondcontacttel", $(_pageId+" .secondcontacttel").val());
				appUtils.setSStorageInfo("secondcontactrelation", $(_pageId+" .secondcontactrelation").val());
				*/
				
				//新开，则走新开流程
				if(appUtils.getSStorageInfo("openChannel") == "new")
				{
					// 跳转到视频见证页面
                	appUtils.pageInit("account/personInfo","account/videoNotice",{});
//					var param = {
//						"user_name":$(_pageId+" .name").val(),
//						"id_no":$(_pageId+" .idCardNo").val(),
//						"mobile_no":appUtils.getSStorageInfo("mobileNo"),
//						"user_id":appUtils.getSStorageInfo("user_id")
//					};
//					//如果公安验证三次都失败，则直接走双向视频
//					if(checkNum < "3") {
//						//公安验证
//						console.log("param"+JSON.stringify(param));
//						service.verification(param,function(data){
//							console.log("公安验证"+JSON.stringify(data));
//							var error_no = data.error_no;
//							var error_info = data.error_info;
//							var result = data.results;
//							if(error_no == "0" && result.length != 0) {
//								var policePhotoFlag = result[0].policePhotoFlag;
//								if(policePhotoFlag == "1") {
//									if(videoFlag == "1") {
//										appUtils.pageInit("account/personInfo","account/videoNotice",{});
//									} else {
//										appUtils.pageInit("account/personInfo","account/videoNotice",{});
//									}
//								}else if(policePhotoFlag == "0") {
//									checkNum = parseInt(checkNum) + 1;
//									layerUtils.iConfirm("抱歉！未能获取您的公安部头像信息，请选择临柜办理或人工服务，点击人工服务跳转到双向视频见证页面！", function(){
//					                    	appUtils.pageInit("account/personInfo","account/videoNotice",{});
//					                   },function(){
//					                   	return false;
//					                   });
//								}
//							}
//							else if("-50155000" == error_no)
//							{
//								layerUtils.iLoading(false);
////								   checkNum = parseInt(checkNum) + 1;
////									var onlyNum = 3-checkNum;
////									layerUtils.iMsg(-1,"姓名身份证校验失败,请确认！剩余次数："+onlyNum);
//								layerUtils.iAlert(error_info+"，点击确定进入人工视频见证开户",-1,function(){
//									appUtils.pageInit("account/personInfo","account/videoNotice",{});
//								});
//							}
//							else {
//								layerUtils.iLoading(false);
//								layerUtils.iAlert(data.error_info);  // 填写资料失败，弹出提示
//							}
//						});
//					} else {
//						appUtils.pageInit("account/personInfo","account/videoNotice",{});
//					}
				}
				// 转户，则走转户流程
				else if(appUtils.getSStorageInfo("openChannel") == "change")
				{
					// 转户，模拟视频见证通过，否则下载证书的时候后台  会出现 cert_uid 错误
					var syncQQUserInfoParam = {
						user_id : appUtils.getSStorageInfo("user_id")
					};
					// 模拟视频通过
					service.syncQQUserInfo(syncQQUserInfoParam,function(data){
						var error_no = data.error_no;
						var error_info = data.error_info;
						if(error_no == 0)
						{
							if(appUtils.getSStorageInfo("flag")  == "1"){   //1:需要证书   0:不需要证书
									// 跳转到数字证书页面
							      appUtils.pageInit("account/personInfo","account/digitalCertificate",{});
							   }else{
							   	    appUtils.pageInit("account/personInfo","account/riskAssessment",{});
							   }
						}
						else 
						{
							layerUtils.iLoading(false);
							layerUtils.iAlert(error_info,-1);
						}
					});
				}
			}
			// 转户走了新开，提示走转户
			else if(error_no == -50152819)
			{
				layerUtils.iLoading(false);
				utils.layerTwoButton("系统检测到您已开立证券账户为：【"+error_info+"】，请进行转户流程!","马上转户","退出系统",function(){
					changeState(); // 走转户流程
				},function(){
					require("external").callMessage({"funcNo":"59000"}); //退出app
				});
			}
			// 新开走了转户，提示走新开流程
			else if(error_no == -50152820)
			{
				appUtils.setSStorageInfo("idCardNo",$(_pageId+" .idCardNo").val());
				appUtils.setSStorageInfo("custname",$(_pageId+" .name").val());
				layerUtils.iLoading(false);
				utils.layerTwoButton("您未开通股东账户，请走新开流程!","立即开户","退出系统",function(){
					newOpen();  //走新开流程
				},function(){
					require("external").callMessage({"funcNo":"59000"}); //退出app
				});
			}
			// 新开查到单边市场
			else if(error_no == -50152829)
			{
				appUtils.setSStorageInfo("idCardNo",$(_pageId+" .idCardNo").val());
				appUtils.setSStorageInfo("custname",$(_pageId+" .name").val());
				layerUtils.iLoading(false);
				utils.layerTwoButton("系统检测到您已开立证券账户为：【"+error_info+"】","继续开户","马上转户",function(){
					newOpen();  // 走新开流程
				},function(){
					changeState(); // 走转户流程
				});
			}
			else
			{
				layerUtils.iLoading(false);
				layerUtils.iAlert(data.error_info);  // 填写资料失败，弹出提示
			}
		},false);
	}
	
	/* 改变流程状态，走转户 */
	function changeState()
	{
		// session中的openChannel改为转户
		appUtils.setSStorageInfo("openChannel","change");
		var newopenParam = {
			user_id : appUtils.getSStorageInfo("user_id"),
			uploadimg_flag:"0", 
			opacctkind_flag:"1"  // 转户
		}
		service.queryChangeState(newopenParam,function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			if(error_no == 0)
			{
				// 跳转之前，修改 session 中 photosInfo 的 fillInformationInParam
				var photosInfo = appUtils.getSStorageInfo("photosInfo");
				// 设置 photosInfo 的 isChangeProcess 属性，true 是更改流程
				photosInfo.isChangeProcess = true;
				photosInfo.fillInformationInParam.idno = $(_pageId+" .idCardNo").val();
				photosInfo.fillInformationInParam.custname = $(_pageId+" .name").val();
				photosInfo.fillInformationInParam.native = $(_pageId+" .idCardAddress").val();  // 证件地址
				photosInfo.fillInformationInParam.policeorg = $(_pageId+" .signDepartment").val();  // 签发机关
				photosInfo.fillInformationInParam.birthday = $(_pageId+" .idCardNo").attr("birthday");  // 出生日期
				photosInfo.fillInformationInParam.idbegindate = $(_pageId+" .idBeginDate").val();
				photosInfo.fillInformationInParam.idenddate = $(_pageId+" .idEndDate").val();
				photosInfo.fillInformationInParam.postid = $(_pageId+" .zipCode").val();  // 邮政编码

				appUtils.setSStorageInfo("policeorg", photosInfo.fillInformationInParam.policeorg);
				appUtils.setSStorageInfo("native", photosInfo.fillInformationInParam.native);
				appUtils.setSStorageInfo("addr", photosInfo.fillInformationInParam.native);
				appUtils.setSStorageInfo("postid", photosInfo.fillInformationInParam.postid);
				appUtils.setSStorageInfo("idbegindate", photosInfo.fillInformationInParam.idbegindate);
				appUtils.setSStorageInfo("idenddate", photosInfo.fillInformationInParam.idenddate);
				
				appUtils.setSStorageInfo("company", $(_pageId+" .company").val());
				appUtils.setSStorageInfo("position", $(_pageId+" .position").val());
			//	appUtils.setSStorageInfo("occupation", $(_pageId+" .occupation").val());

				/*
				appUtils.setSStorageInfo("secondcontactname", $(_pageId+" .secondcontactname").val());
				appUtils.setSStorageInfo("secondcontacttel", $(_pageId+" .secondcontacttel").val());
				appUtils.setSStorageInfo("secondcontactrelation", $(_pageId+" .secondcontactrelation").val());
				*/
				
				// 职业
				photosInfo.fillInformationInParam.occupation = {
					"text" : $(_pageId+" .selectOccupation").text(),
					"value" : $(_pageId+" .selectOccupation").attr("value")
				};
				// 学历
				photosInfo.fillInformationInParam.degree = {
					"text" : $(_pageId+" .selectDegree").text(),
					"value" : $(_pageId+" .selectDegree").attr("value")
				};
				// 重新设置  session 中 photosInfo
				appUtils.setSStorageInfo("photosInfo",photosInfo);
				// 跳到转户的上传照片页面
				appUtils.pageInit("account/personInfo","account/uploadPhotoChange",{});
			}
			else
			{
				layerUtils.iLoading(false);
				layerUtils.iAlert(data.error_info,-1);
			}
		},false);
	}
	
	/*走新开户*/
	function newOpen()
	{
		// session中的openChannel改为新开
		appUtils.setSStorageInfo("openChannel","new");
		var newopenParam = {
			user_id : appUtils.getSStorageInfo("user_id"),
			uploadimg_flag:"1",  //身份证上传成功
			opacctkind_flag:"0"  //新开户
		}
		service.queryChangeState(newopenParam,function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			if(error_no == 0)
			{
				// 再次调用提交用户信息接口, 添加入参submitflag =0
				var param = setSubmitDataParam();
				param.submitflag = "0" ;
				service.submitUserInfo(param,function(data){
					var error_no = data.error_no;
					var error_info = data.error_info;
					if(error_no == 0)
					{
						if(videoFlag == "1") {
							appUtils.pageInit("account/personInfo","account/videoNotice",{});
						} else {
							appUtils.pageInit("account/personInfo","account/videoNotice",{});
						}
					}
					else
					{
						layerUtils.iLoading(false);
						layerUtils.iAlert(data.error_info);  
					}
				});
			}
			else
			{
				layerUtils.iLoading(false);
				layerUtils.iAlert(data.error_info,-1);
			}
		},false);
	}
	
	/* 根据身份证号进行判断性别: 倒数第二位数字，偶数为女，基数为男 */
	function checkSexId(idno)
	{
		var value = idno.charAt(idno.length-2); // 身份证倒数第二位数字
		var isnum = value%2; 
		var sexid = "";
		if(isnum == womenId)
		{
			sexid = womenId;
		}
		else
		{
			sexid = manId;
		}
		return sexid;
	}
	
	/* 获取用户信息*/
	function setSubmitDataParam()
	{
		var idno = $(_pageId+" .idCardNo").val();  // 身份证号
		// 判断性别，根据身份证传入男或女，也可以通过身份证号进行判断
		var sexId = "";
		if(appUtils.getPageParam("gender") == "男")
		{
			sexId = manId;
		}
		else if(appUtils.getPageParam("gender") == "女")
		{
			sexId = womenId;
		}
		else
		{
			sexId = checkSexId(idno); // 根据身份证判断
		}
		
		// 获取系统版本号
		var vs = "H5";
		if(platform!="0") {
			var oVersion = external.callMessage({funcNo: "50010"});
			oVersion = gconfig.platform == 0 ? {} :oVersion ;
			oVersion = oVersion.results[0];
			vs  = oVersion.nativeVersion;
			if(platform=="1"){ 
				vs  = oVersion.nativeVersion+"_ANDROID";
				
			}else {
				vs  = oVersion.nativeVersionSn+"_IOS";
			}
		}
		
		
		
		
		var param = {
			"user_id" : appUtils.getSStorageInfo("user_id"),
			"infocolect_channel" : iBrowser.pc ? 0 : 3, // 信息来源渠道 0：PC  3：手机
			"idtype" : "00", // 证件类别，数据字典中定义的是 00
			"idno" : idno,  // 身份证号
			"ethnicname" : appUtils.getSStorageInfo("ethnicname"), // 民族
			"custname" : $(_pageId+" .name").val(),
			"birthday" : $(_pageId+" .idCardNo").attr("birthday"),  // 身份证修改了，出生日期也要修改
			"idbegindate" : $(_pageId+" .idBeginDate").val(),  // 证件开始日期
			"idenddate" : $(_pageId+" .idEndDate").val(),  // 证件结束日期
			"native" : $(_pageId+" .idCardAddress").val().replace(/\s+/g,""),  // 证件地址
			"policeorg" : $(_pageId+" .signDepartment").val(),  // 签发机关
			"usersex" : sexId,  // 用户性别，男 0 女 1
			"nationality" : "156",  // 屏蔽，待解决  // 国籍地区，必须写 156
			"addr" : $(_pageId+" .address").val().replace(/\s+/g,""),  // 联系地址
			"postid" : $(_pageId+" .zipCode").val(),  // 邮政编码
			"edu" : $(_pageId+" .selectDegree").val(),  // 学历代码
			"recommendno" : $(_pageId+" .input_form .reference").val(),  //推荐人号码
			"profession_code" : $(_pageId+" .selectOccupation").val(),  // 职业代码
			"profession_name" : $(_pageId+" .selectOccupationex").val(),  // 职业补充
			"branchno" : appUtils.getSStorageInfo("branchno"),   // 营业部代码
			"commission" : appUtils.getSStorageInfo("commission"),  // 营业部代码佣金代码
			"provinceno" : "",  // 省份代码, 屏蔽, 待解决 
			"cityno" : "",  // 城市代码
			"ipaddr" : appUtils.getSStorageInfo("ip"),  // ip 地址，在获取 短信验证码 的时候，就已经把 ip 和 mac 保存到 session 里面了
			"macaddr" : appUtils.getSStorageInfo("mac"),  // mac 地址
			"idcardmodify" : idCardModify ? 1 : 0,  // 身份证是否被手动修改，被修改传 1 ，否则传 0
			
			"benefit_person":$(_pageId + " .name").val().replace(/\s+/g, ""), //受益人
			"control_person":$(_pageId + " .name").val().replace(/\s+/g, ""), //控制人
			/*
			"secondcontactname":$(_pageId+" .secondcontactname").val(),//第二联系人姓名 
			"secondcontacttel":$(_pageId+" .secondcontacttel").val(),//第二联系人电话
			"secondcontactrelation":$(_pageId+" .secondcontactrelation").val(),//第二联系人关系
		*/
			"credit_record":$(_pageId+ " #checkedBoxTrue").find("b").hasClass("checkon")?"":appUtils.getSStorageInfo("credit_record"),//诚信记录
			
			"company":$(_pageId+" .company").val(),
			"position":$(_pageId+" .position").val(),
			"appVersion":vs
		//	"occupation":$(_pageId+" .occupation").val()
			
		};
		return param;
	}
	// 获取服务人员，如果有则添加
	 function queryFury(){
		 
		 var occupationalParam = {"phoneNo" : appUtils.getSStorageInfo("mobileNo")};
		 
			service.queryFury(occupationalParam,function(data){
				var error_no = data.error_no,
				      error_info = data.error_info;
				if(error_no == "0" && data.results.length != 0)
				{
					var occupational = data.results;
					for(var i=0;i<occupational.length;i++)
					{
						console.log(occupational.hashslingerno+"___");
//						$(_pageId+" .reference").val(occupational[i].hashslingerno);
						var hashslingerno = occupational[i].hashslingerno;
						if(hashslingerno != "" || hashslingerno != null){
							$(_pageId+" .reference").attr("disabled","disabled").val(hashslingerno);
						}else{
							$(_pageId+" .reference").removeAttr("disabled");
						}
					}
				}
				else
				{
					layerUtils.iLoading(false);
					//layerUtils.iMsg(-1,error_info);  // 提示错误信息
				}
			},false,true,handleTimeout);
	 }
	
	/* 获取职业、学历、性别列表*/
	function queryDataDict()
	{
		// 获取职业
		var profession_code = appUtils.getSStorageInfo("profession_code");  // 获取session中的职业 
		if(profession_code=="99") {
						// 显示职业补充输入框
						$(_pageId + " #selectOccupationval").show();
						// 查询
						queryOccupationex();
					}else {
						$(_pageId+"  .selectOccupationval").val("");
						$(_pageId + " #selectOccupationval").hide();
					}
		var occupationalParam = {"enum_type" : "occupational"};
		service.queryDataDict(occupationalParam,function(data){
			var error_no = data.error_no,
			      error_info = data.error_info;
			$(_pageId+" .sel_list:eq(0) ul li").remove();  // 首先清空数据
			if(error_no == "0" && data.results.length != 0)
			{
				var occupational = data.results;
				for(var i=0;i<occupational.length;i++)
				{
					var str = "<li><span class='occupation0"+i+"' value='"+occupational[i].item_value+"'>"+occupational[i].item_name+"</span></li>"
					$(_pageId+" .sel_list:eq(0) ul").append(str);
					if(profession_code != "" && occupational[i].item_value == profession_code)
					{
						$(_pageId+" .selectOccupation").text(occupational[i].item_name);
						$(_pageId+" .selectOccupation").val(occupational[i].item_value);
					    dealCompanyPosition(occupational[i].item_value);
					}
					BindSelectOccupation(i);	 // 预绑定选择职业的事件
				}
				queryAdapter();  // 再获取学历
			}
			else
			{
				layerUtils.iLoading(false);
				layerUtils.iMsg(-1,error_info);  // 提示错误信息
			}
		},false,true,handleTimeout);
	}
	
	/* 获取学历 */
	function queryAdapter()
	{
		var edu = appUtils.getSStorageInfo("edu");  // 获取session中的学历 
		var adapterParam = {"enum_type" : "adapter"};
		service.queryDataDict(adapterParam,function(data){
			var error_no = data.error_no,
      		      error_info = data.error_info;
			$(_pageId+" .sel_list:eq(1) ul li").remove();  // 首先清空数据
			if(error_no == "0" && data.results.length != 0)
			{
				var adapter = data.results;
				for(var i=0;i<adapter.length;i++)
				{
					var str = "<li><span class='degree0"+i+"' value='"+adapter[i].item_value+"'>"+adapter[i].item_name+"</span></li>"
					$(_pageId+" .sel_list:eq(1) ul").append(str);
					if(edu != "" && adapter[i].item_value == edu)
					{
						$(_pageId+" .selectDegree").text(adapter[i].item_name);
						$(_pageId+" .selectDegree").val(adapter[i].item_value);
					}
					BindSelectDegree(i);  // 预绑定选择学历的事件	
				}
				querySex();  // 获取性别
			}
			else
			{
				layerUtils.iLoading(false);
				layerUtils.iMsg(-1,error_info);  // 提示错误信息
			}
		},false,true,handleTimeout);
	}
	
	// 获取职业补充字典
	function queryOccupationex()
	{
		var profession_excode = appUtils.getSStorageInfo("profession_excode");  // 获取session中的职业 
		var occupationalexParam = {"enum_type" : "occupational_extend"};
		service.queryDataDict(occupationalexParam,function(data){
			var error_no = data.error_no,
			      error_info = data.error_info;
			$(_pageId+" .occupationalex:eq(0) ul li").remove();  // 首先清空数据
			if(error_no == "0" && data.results.length != 0)
			{
				var occupationalex = data.results;
				for(var i=0;i<occupationalex.length;i++)
				{
					var str = "<li><span class='occupationex0"+i+"' value='"+occupationalex[i].item_value+"'>"+occupationalex[i].item_name+"</span></li>"
					$(_pageId+" .occupationalex:eq(0) ul").append(str);
					if(profession_excode != "" && occupationalex[i].item_value == profession_excode)
					{
						$(_pageId+" .selectOccupationex").text(occupationalex[i].item_name);
						$(_pageId+" .selectOccupationex").val(occupationalex[i].item_value);
					}
					BindSelectOccupationex(i);	 // 预绑定选择职业的事件
				}
			}
			else
			{
				layerUtils.iLoading(false);
				layerUtils.iMsg(-1,error_info);  // 提示错误信息
			}
		});
	}

	/* 获取性别 */
	function querySex()
	{
		var sexParam = {"enum_type" : "sex"};
		service.queryDataDict(sexParam,function(data){
			var error_no = data.error_no,
	              error_info = data.error_info;
			if(error_no == "0" && data.results.length != 0)
			{
				var sex = data.results;
				var sexvalue = "";
				for(var i = 0; i<sex.length; i++)
				{
					sexvalue = sex[i].item_name;
					if(sexvalue == "男")
					{
						manId = sex[i].item_value;
					}
					if(sexvalue == "女")
					{
						womenId = sex[i].item_value;
					}
				}
				credit_record();
			}
			else
			{
				layerUtils.iMsg(-1,error_info);  // 提示错误信息
			}
		},true,true,handleTimeout);
	}
	
	/* 处理请求超时 */
	function handleTimeout()
	{
		layerUtils.iConfirm("请求超时，是否重新加载？",function(){
			queryDataDict();  // 再次获取职业和学历
		});
	}
	
	/* 预绑定选择职业补充的事件 */
	function BindSelectOccupationex(i)
	{
		appUtils.bindEvent($(_pageId+" .occupationalex:eq(0) ul .occupationex0"+i),function(e){
			$(_pageId+" .selectOccupationex").attr("value",$(_pageId+" .occupationex0"+i).attr("value"));
			$(this).parent().addClass("active").siblings().removeClass("active");
			var check_val =$(_pageId+" .occupationex0"+i).text();
			$(_pageId+" .selectOccupationex").text(check_val);
			$(_pageId+" .occupationalex:eq(0)").slideUp("fast",function(){
				$("body #bodyContent").css("overflow","auto");
			});	
			e.stopPropagation();	// 阻止冒泡
		});
	}
	
	/* 预绑定选择职业的事件 */
	function BindSelectOccupation(i)
	{
		appUtils.bindEvent($(_pageId+" .sel_list:eq(0) ul .occupation0"+i),function(e){
			$(_pageId+" .selectOccupation").attr("value",$(_pageId+" .occupation0"+i).attr("value"));
			$(this).parent().addClass("active").siblings().removeClass("active");
			var check_val =$(_pageId+" .occupation0"+i).text();
			var occupationid =$(_pageId+" .occupation0"+i).attr("value");
			if(occupationid=="99") {
				// 显示职业补充输入框
				$(_pageId + " #selectOccupationval").show();
				// 查询
				queryOccupationex();
			}else {
				$(_pageId+"  .selectOccupationval").val("");
				$(_pageId + " #selectOccupationval").hide();
			}
			$(_pageId+" .selectOccupation").text(check_val);
			$(_pageId+" .sel_list:eq(0)").slideUp("fast",function(){
				$("body #bodyContent").css("overflow","auto");
			});	
			dealCompanyPosition(occupationid);
			e.stopPropagation();	// 阻止冒泡
		});
	}
	
	function dealCompanyPosition(key){
		if(key == '6'){
			$(_pageId+' .company').val('').attr('placeholder','请填写营业执照上的名称(选填)');
			$(_pageId+' .position').val('').parent().hide();
		}else if(key == '7' || key == '9'|| key == '5'|| key == '11'){
			$(_pageId+' .company').val('').parent().hide();
			$(_pageId+' .position').val('').parent().hide();
		}else{
			$(_pageId+' .company').attr('placeholder','请输入您的工作单位(选填)');
			$(_pageId+' .company').parent().show();
			$(_pageId+' .position').parent().show();
		}
	}
	
	
	/*  预绑定选择学历的事件 */
	function BindSelectDegree(i)
	{
		appUtils.bindEvent($(_pageId+" .sel_list:eq(1) ul .degree0"+i),function(e){
			// strong 不能用 val() 方法设置 value ，用的话无效
			$(_pageId+" .selectDegree").attr("value",$(_pageId+" .degree0"+i).attr("value"));
			$(this).parent().addClass("active").siblings().removeClass("active");
			var check_val =$(_pageId+" .degree0"+i).text();
			$(_pageId+" .selectDegree").text(check_val);
			$(_pageId+" .sel_list:eq(1)").slideUp("fast",function(){
			  if(platform == '1'){
				$("body #bodyContent").css("overflow","auto");
				}
			});	
			e.stopPropagation();  // 阻止冒泡
		});
	}
	
	/* 验证输入姓名合法性 */
	function validateName(obj){
		var name=obj.val();
		if(!validatorUtil.isCnAndEn(name)){
			layerUtils.iMsg(-1,"姓名格式不正确");
			return false;
		}
	}
	/* 信息提交校验 */
	function verifyInfo()
	{
		var name = $(_pageId+" .user_form .name").val();	//姓名
		var idCardNo = $(_pageId+" .user_form .idCardNo").val();	//身份证
		var signDepartment = $(_pageId+" .user_form .signDepartment").val();  //签发机关
		var idCardAddress = $(_pageId+" .user_form .idCardAddress").val();  //证件地址
		var address = $(_pageId+" .user_form .address").val();  //联系地址
		var idBeginDate = $(_pageId+" .user_form .idBeginDate").val();  //起始期限
		var idEndDate = $(_pageId+" .user_form .idEndDate").val();  //结束期限
		var zipCode = $(_pageId+" .user_form .zipCode").val();  //邮编
		var selectOccupation = $(_pageId+" .selectOccupation").val();  //职业
		
		var selectOccupationval = $(_pageId+"  .selectOccupationex").val();  //职业
		var selectDegree = $(_pageId+" .input_form .selectDegree").text();  //学历
		var recommendno = $(_pageId+" .input_form .reference").val();  //推荐人
		/*
		
		
		var secondcontactname = $(_pageId+" .secondcontactname").val();//第二联系人姓名 
		var secondcontacttel = $(_pageId+" .secondcontacttel").val();//第二联系人电话
		var secondcontactrelation = $(_pageId+" .secondcontactrelation").val();//第二联系人关系
		*/
		var credit_record=$(_pageId+ " .user_form .selectCreditRecord").text(); //诚信记录 
		
		var company =$(_pageId+ " .company").val();   // 工作
		var position =$(_pageId+ " .position").val(); // 职务
	//	var occupation =$(_pageId+ " .occupation").val(); // 行业

		
		/*

		if(secondcontactname == "")
		{
			layerUtils.iMsg(-1,"第二联系人姓名不能为空");
			return false;
		}
		if(!validatorUtil.isCnAndEn(secondcontactname)){
			layerUtils.iMsg(-1,"第二联系人姓名格式不正确");
			return false;
		}
		if(secondcontactname.length>8){
			layerUtils.iMsg(-1,"第二联系人姓名长度超过限制");
			return false;
		}
		if(secondcontacttel==""){
			layerUtils.iMsg(-1,"第二联系人电话不能为空");
			return false;
		}
		if(!validatorUtil.isMobile(secondcontacttel)){
			layerUtils.iMsg(-1,"第二联系人电话格式不正确");
			return false;
		}
		
		if(secondcontactrelation=="请选择关系" || secondcontactrelation==""){
			layerUtils.iMsg(-1,"第二联系人关系不能为空");
			return false;
		}
	*/
		if(!$(_pageId+" #checkedBoxTrue").find("b").hasClass("checkon")){
			if(credit_record=="请选择记录" || credit_record==""){
				layerUtils.iMsg(-1, "不良诚信记录不能为空");
				return false;
			}
		}
		
		if(appUtils.getSStorageInfo("ssFlag")!="1") { 
			layerUtils.iMsg(-1, "请选择个人税收居民身份类别");
			return false;
		}
		
		/*
		if(name==secondcontactname){
			layerUtils.iMsg(-1, "第二联系人姓名不能为本人姓名。");
			return false;
		}
		if(secondcontacttel==appUtils.getSStorageInfo("mobileNo")){
			layerUtils.iMsg(-1, "第二联系人手机号码不能为本人手机号码。");
			return false;
		}
	*/
		if(name == "")
		{
			layerUtils.iMsg(-1,"姓名不能为空");
			return false;
		}
		if(!validatorUtil.isCnAndEn(name)){
			layerUtils.iMsg(-1,"姓名格式不正确");
			return false;
		}
		if(idCardNo == "")
		{
			layerUtils.iMsg(-1,"身份证不能为空");
			return false;
		}
		if(signDepartment == "")
		{
			layerUtils.iMsg(-1,"签发机关不能为空");
			return false;
		}
		if(idCardAddress == "")
		{
			layerUtils.iMsg(-1,"证件地址不能为空");
			return false;
		}
		if(address == "")
		{
			layerUtils.iMsg(-1,"联系地址不能为空");
			return false;
		}else {
			if(address.length < 8){      
				layerUtils.iMsg(-1, "联系地址过短");
				return false;
			} else if(!/.*\d+.*/.test(address)){
				layerUtils.iMsg(-1, "联系地址（详细地址）必须包含数字门牌号码");
           	 	return false;
			}
		}
		
		
		
		
		if(idBeginDate == "")
		{
			layerUtils.iMsg(-1,"身份证起始期限不能为空");
			return false;
		}
		if(idEndDate == "")
		{
			layerUtils.iMsg(-1,"身份证结束期限不能为空");
			return false;
		}
		if(Date.parse(new Date(idBeginDate)) > Date.parse(new Date(idEndDate))){
			layerUtils.iMsg(-1,"身份证起始日期大于结束日期");
			return false;
		}
		if(Date.parse(new Date()) > Date.parse(new Date(idEndDate))){
			layerUtils.iMsg(-1,"身份证已过期");
			return false;
		}
		if(zipCode == "")
		{
			layerUtils.iMsg(-1,"邮编不能为空");
			return false;
		}
		if(!require("validatorUtil").isPostalCode(zipCode))
		{
			layerUtils.iMsg(-1,"邮编格式不正确,请重新输入");
			return false;
		}
		if(selectOccupation == "")
		{
			layerUtils.iMsg(-1,"职业不能为空");
			return false;
		}
		if(selectOccupation == "99")
		{
			if(selectOccupationval=="") {
				layerUtils.iMsg(-1,"职业不能为空");
				return false;
			}
		}
		if(selectDegree == "请选择教育程度")
		{
			layerUtils.iMsg(-1,"教育程度不能为空");
			return false;
		}
		// 发送身份证存在性检查之前，前端验证身份证的格式
		if(!validatorUtil.isCardID(idCardNo))
		{
			layerUtils.iMsg(-1,"请输入正确的身份证号码!");
			return false;
		}
		
		
		/**
		if(company=="请输入工作单位" || company==""){
			layerUtils.iMsg(-1,"工作单位不能为空!");
			return false;
		}
		if(position=="请输入职务" || position==""){
			layerUtils.iMsg(-1,"职务不能为空!");
			return false;
		}
		
		
		
		if(!validatorUtil.isCnAndEnNumeric(company))
		{
			layerUtils.iMsg(-1,"工作单位格式不正确!");
			return false;
		}
		if(!validatorUtil.isCnAndEnNumeric(position))
		{
			layerUtils.iMsg(-1,"职务格式不正确!");
			return false;
		}
		*/
//		if(!validatorUtil.isCnAndEnNumeric(occupation))
//		{
//			layerUtils.iMsg(-1,"行业格式不正确!");
//			return false;
//		}
		if((recommendno != "")&&(!validatorUtil.isNumeric(recommendno)))
		{
			layerUtils.iMsg(-1,"服务人员号码格式不正确!");
			return false;
		}
		
		

		
		
		// 对不满 18 以及70岁以上周岁进行控制 432901194910102029
//		if(idCardNo.length == 18)
//		{
//			var dateStr = idCardNo.substring(6,10)+"/"+idCardNo.substring(10,12)+"/"+idCardNo.substring(12,14),
//				  userAge = new Date().getTime() - Date.parse(dateStr);
//			userAge = userAge / (365*24*60*60*1000);
//			if(parseInt(userAge) <18 )
//			{
//				layerUtils.iAlert("您的年龄未满 18 周岁，不允许开户!",-1);
//				return false;
//			}
//			if(parseInt(userAge)>70 ){
//				layerUtils.iAlert("您的年龄大于 70 周岁，不允许开户!",-1);
//				return false;
//			}
//		}
		// 验证有效期的格式
		var dateReg = /^[1-3]\d{3}-(0|1)\d-[0-3]\d$/;
		if(!(dateReg.test(idBeginDate) && validatorUtil.isDate(idBeginDate)))
		{
			layerUtils.iMsg(-1,"有效期的起始时间不符合格式!");
			return false;
		}
		if(!(dateReg.test(idEndDate) && validatorUtil.isDate(idEndDate)))
		{
			layerUtils.iMsg(-1,"有效期的结束时间不符合格式!");
			return false;
		}
		if(new Date(idBeginDate).getTime() - new Date().getTime() >= 0)
		{
			layerUtils.iMsg(-1,"有效期的起始时间不能大于当前日期!");
			return false;
		}
		// 校验身份证期限是否符合格式
		idBeginDate = idBeginDate.replaceAll("-","/");
		idEndDate = idEndDate.replaceAll("-","/");
		if(Date.parse(idBeginDate) >= Date.parse(idEndDate))
		{
			layerUtils.iMsg(-1,"有效期的起始时间必须小于结束时间!");
			return false;
		}
		// 页面入参的 身份证号 ，身份证号最多只允许修改五位
		if(appUtils.getPageParam("idno"))
		{
			var pageInIdCardNo = appUtils.getPageParam("idno");
		}
		else
		{
			var pageInIdCardNo = appUtils.getSStorageInfo("idCardNo");
		}
		var countDiffe = 0;  // 计算身份证修改的位数
		for(var i =0 ;i < idCardNo.length;i++)
		{
			var oneIdNo = idCardNo.charAt(i),
				  oneInIdNo =  pageInIdCardNo.charAt(i);
			if(oneIdNo != oneInIdNo)
			{
				countDiffe++;
			}
		}
		// 如果被修改的位数不等于 0 ，countDiffe 为 true
		if(countDiffe != 0)
		{
			idCardModify = true;
		}
		// 未被修改，idCardModify 为 false
		else
		{
			idCardModify = false;
		}
		if(countDiffe > 5)
		{
			utils.layerTwoButton("您好,发现您的证件号码与上传的差异过大，请您确认是否需要更换身份证?","重新上传身份证","重新确认身份证",function(){
				if(appUtils.getSStorageInfo("openChannel") == "new")
				{
					appUtils.pageInit("account/personInfo","account/uploadPhoto",{});
				}
				else if(appUtils.getSStorageInfo("openChannel") == "change")
				{
					appUtils.pageInit("account/personInfo","account/uploadPhotoChange",{});
				}
			},function(){
				return false;
			});
			return false;
		}
		// 设置出生日期
		$(_pageId+" .idCardNo").attr("birthday",idCardNo.substring(6,10)+"-"+idCardNo.substring(10,12)+"-"+idCardNo.substring(12,14));
		return true;
	}
	
	/* 日历的回调函数 */
	/*function calendarCallback(data)
	{
		// 回调数据中的 data 是字符串，需解析
		if(typeof(data)=="string"){
			data = JSON.parse(data);
		}
		$(_pageId+" #"+data.selector).val(data.date);
		//$(_pageId+" .clearfix .t2").removeAttr("checked");
	}*/
		/* 日历的回调函数 */
    	function selDateCallback(data) {
    		// 回调数据中的 data 是字符串，需解析
    		if (typeof(data) == "string") {
    			data = JSON.parse(data);
    		}
    		var thisData = data.date.split("-");
    		var month = thisData[1];
    		var day = thisData[2];
    		if(thisData[1].length==1)
    		{
    			month = "0"+thisData[1];
    		}
    		if(thisData[2].length==1)
    		{
    			day = "0"+thisData[2];
    		}
    		$(_pageId + " #" + data.selector).val(thisData[0]+"-"+month+"-"+day);
    	}
	
	
	//获取诚信记录
	function credit_record()
	{
		var credit_record = appUtils.getSStorageInfo("credit_record")?appUtils.getSStorageInfo("credit_record"):""; // 获取session中的学历
		var credit_recordParam = {
				"enum_type": "credit_record"
		};
		service.queryDataDict(credit_recordParam, function(data) {
			var error_no = data.error_no,
				error_info = data.error_info;

			$(_pageId + " .sel_list:eq(3) ul li").remove(); // 首先清空数据
			if (error_no == "0" && data.results.length != 0) {
				var record = data.results;
				var text ="";code="";
				for (var i = 0; i < record.length; i++) {
					var str = "<li><span class='record0" + i + "' value='" + record[i].item_value + "'>" + record[i].item_name + "</span></li>"
					$(_pageId + " .sel_list:eq(3) ul").append(str);
					for (var a = 0; a < credit_record.split(",").length; a++){
                        if (credit_record != "" && record[i].item_value == credit_record.split(",")[a]) {
                                text += record[i].item_name+",";
                                code += record[i].item_value+"、";
                        }
					}
					BindcreditRecord(i); // 预绑定选择学历的事件
				}
				queryRelation();
				if(text==""){
					text="请选择记录";
				}
				$(_pageId + " .selectCreditRecord").text(text);
                $(_pageId + " .selectCreditRecord").attr("value",code);
			} else {
				layerUtils.iLoading(false);
				layerUtils.iMsg(-1, error_info); // 提示错误信息
			}
		});
	}
	
	function BindcreditRecord(i){
		appUtils.bindEvent($(_pageId + " .sel_list:eq(3) ul .record0" + i), function(e) {
			$(_pageId + " .selectCreditRecord").attr("value", $(_pageId + " .record0" + i).attr("value"));
			if($(this).parent().hasClass("active")){
				$(this).parent().removeClass("active")
			}else{
				$(this).parent().addClass("active");
			}
			e.stopPropagation(); // 阻止冒泡
		});
	}
	
	//获取关系
	function queryRelation(){
		var relation = appUtils.getSStorageInfo("relation");  // 获取session中的学历 
		var adapterParam = {"enum_type" : "actual_person_relation"};
		service.queryDataDict(adapterParam,function(data){
			var error_no = data.error_no,
      		      error_info = data.error_info;
			$(_pageId+" .sel_list:eq(2) ul li").remove();  // 首先清空数据
			if(error_no == "0" && data.results.length != 0)
			{
				var adapter = data.results;
				for(var i=0;i<adapter.length;i++)
				{
					var str = "<li><span class='relation0"+i+"' value='"+adapter[i].item_value+"'>"+adapter[i].item_name+"</span></li>"
					$(_pageId+" .sel_list:eq(2) ul").append(str);
					if(relation != "" && adapter[i].item_value == relation)
					{
						$(_pageId+" .select_benefit_gx").text(adapter[i].item_name);
						$(_pageId+" .select_benefit_gx").val(adapter[i].item_value);
					}
					//BindSelectRelation(i);  // 预绑定选择学历的事件	
				}
			}
			else
			{
				layerUtils.iLoading(false);
				layerUtils.iAlert(error_info,-1);  // 提示错误信息
			}
		});
	}

	//点击关系
	/**
	function BindSelectRelation(i){
		appUtils.bindEvent($(_pageId+" .sel_list:eq(2) ul .relation0"+i),function(e){
			// strong 不能用 val() 方法设置 value ，用的话无效
			$(_pageId+" .secondcontactrelation").attr("value",$(_pageId+" .relation0"+i).attr("value"));
			$(this).parent().addClass("active").siblings().removeClass("active");
			var check_val =$(_pageId+" .relation0"+i).text();
			$(_pageId+" .secondcontactrelation").text(check_val);
			$(_pageId+" .sel_list:eq(2)").slideUp("fast",function(){
				$("body #bodyContent").css("overflow","auto");
			});	
			e.stopPropagation();  // 阻止冒泡
		});
	}
*/
	
	
	/* 清理界面元素*/
	function cleanPageElement()
	{
		$(_pageId+" .selectOccupation").html("请选择职业");  //清理职业
		$(_pageId+" .selectDegree").html("请选择教育程度");  //清理学历
	}
	
	var personInfo = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"pageBack" : pageBack,
		"destroy" : destroy
	};
	
	module.exports = personInfo;
});
