/**
* 查看协议
*/
define(function(require,exports,module){
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		layerUtils = require("layerUtils"),
		_pageId = "#cyb_showProtocol";
	var mobileService = require("mobileService");
	var external = require("external");
	var platform = gconfig.platform;
	function init(){
		// 清除原有数据
		//$(_pageId+" .top_title h2").text("");
		$(_pageId+" .title").text("");
		$(_pageId+" .title p").text("");
		var protocol_id = appUtils.getPageParam("protocol_id");
		var param = {
			"agree_no" : protocol_id,
			"version":""
		}
		//查询协议内容
		mobileService.getProtocolInfo(param,function(data){
			if(error_no = data.error_no)
			{
//				$(_pageId+" .top_title h2").text(data.results[0].econtract_name);
//				$(_pageId+" .rule_entry p").append(data.results[0].econtract_content);
				$(_pageId+" .title").text(data.results[0].agree_name);
				$(_pageId+" .title p").append(data.results[0].content);
			}
			else
			{
				layerUtils.iAlert(data.error_info,-1);
			}
		});
	}
	function bindPageEvent(){
		// 绑定返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			appUtils.pageBack();
		});
		
		//绑定返回按钮
		appUtils.bindEvent($(_pageId+" .ct_btn"),function(){
			appUtils.pageInit("cyb/showProtocol","cyb/signProtocol",{});
		});
		
		//绑定home键 跳转到主界面
		appUtils.bindEvent($(_pageId+" .icon_home"), function(){
			if(platform=="1") {
				var param = {
				    	"funcNo" : "50101",
				    	"moduleName" : "mall",
				    	"params" : {"url":"userCenter/wd"}
				    };
				external.callMessage(param);
			}else {
				appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
			}
		});
	}
	function destroy(){
		// 将协议内容置空
//		$(_pageId+" .top_title h2").text("");
//		$(_pageId+" .rule_entry p").text("");
		$(_pageId+" .title").text("");
		$(_pageId+" .title p").text("");
		mobileService.destroy();
	}
	
	var showProtocol = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = showProtocol;
});