/**
 * 主菜单
 */
define(function(require, exports, module){ 
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		layerUtils = require("layerUtils"),

		fundsFlag = "",  //资金状况 1 满足  2 不满足
		riskFlag = "",   //风险评测状况 1 满足  2 不满足 
		knowledgeFlag = "", //知识评测状况 1 满足  2 不满足
		signFlag = "", //协议签署状况 1 签署了 2 没有签署
		gconfig = require("gconfig"),	
        trdaccount = "", //知识测评结果 1 通过 2 没有通过
		stockder = "", //选择沪A 账号 1 选了 2 没选

		_pageId = "#ggt_mainPage";
	var mobileService = require("mobileService");
	var external = require("external");
	var platform = gconfig.platform;

	var shaArray;
	/* 私有业务模块的全局变量 end */
	
	function init()
	{
		shaArray= null;
		//初始化操作
		initHandle();
	}

    //保存 沪A 账号
    function submitSha()
    {
        /*var trdaccount = "";
        $(_pageId+" .icon_check").each(function(){
            if($(this).hasClass("checked")) {
                trdaccount += $(this).html()+",";
            }
        });
        trdaccount = trdaccount.substring(0,trdaccount.lastIndexOf(','));*/
        var param = {
            "user_id":appUtils.getSStorageInfo("user_id"),
            "trdaccount":appUtils.getSStorageInfo("trdaccountA")
        };
        mobileService.getStockHolder(param,function(data){
            console.log("yangrui"+JSON.stringify(data));
            var error_no = data.error_no,
                error_info = data.error_info,
                result = data.accountInfoList;
            if(error_no == "0"){
                /*stockder="1";
                 appUtils.setSStorageInfo("stockder",stockder);
                 appUtils.pageInit("account/stockHolder","account/mainPage",{});*/
                //添加到跑批
                var param = {
                    "user_id":appUtils.getSStorageInfo("user_id")
                };
                //开通港股通权限
                mobileService.openAccount(param,function(data){

                    var error_no = data.error_no;
                    var error_info = data.error_info;
                    if(error_no == "0"){
                        appUtils.pageInit("ggt/mainPage","ggt/result",{});
                    }else{
                        layerUtils.iAlert(error_info,-1);
                        return false;
                    }
                });

            }else{
                layerUtils.iAlert(error_info,-1);
            }
        });
    }


	function bindPageEvent()
	{
		//绑定资金菜单
		appUtils.bindEvent($(_pageId+" #funds"),function(){
			appUtils.pageInit("ggt/mainPage","ggt/netInfo",{});
		});
		//绑定风险等级测试
		appUtils.bindEvent($(_pageId+" #riskTest"),function(){
			appUtils.pageInit("ggt/mainPage","ggt/riskInfo",{});
		});
		//绑定知识测评
		appUtils.bindEvent($(_pageId+" #knowledgeTest"),function(){
			appUtils.pageInit("ggt/mainPage","ggt/knowledge",{});
		});
		//绑定电子签约
		appUtils.bindEvent($(_pageId+" #elecSign"),function(){
			appUtils.pageInit("ggt/mainPage","ggt/signProtocol",{});
		});

        //回访问卷
        appUtils.bindEvent($(_pageId+" #pilgrimage"),function(){
            appUtils.pageInit("ggt/mainPage","ggt/pilgrimage",{});
        });
        //选择股东号
        appUtils.bindEvent($(_pageId+" #stockHolder"),function(){
            appUtils.pageInit("ggt/mainPage","ggt/stockHolder", shaArray);
        });

		//绑定home键 跳转到主界面
		appUtils.bindEvent($(_pageId+" .icon_home"), function(){
			if(platform=="1") {
				var param = {
				    	"funcNo" : "50101",
				    	"moduleName" : "mall",
				    	"params" : {"url":"userCenter/wd"}
				    };
				external.callMessage(param);
			}else {
				appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
			}
		});
		
		//绑定提交港股通权限的按钮
		appUtils.bindEvent($(_pageId+" .ct_btn"),function(){
			if(!$(_pageId+" .ct_btn").hasClass("disable")){

                console.log("yangrui___ 添加到跑批 ");
                //先提交 沪A 账号
                submitSha();
                /*//添加到跑批
				var param = {
					"user_id":appUtils.getSStorageInfo("user_id")
				};
				//开通港股通权限
				mobileService.openAccount(param,function(data){

					var error_no = data.error_no;
					var error_info = data.error_info;
					if(error_no == "0"){

						appUtils.pageInit("account/mainPage","account/result",{});
					}else{
						layerUtils.iAlert(error_info,-1);
						return false;
					}
				});*/
			} else {
				layerUtils.iAlert("请满足上面的条件在开通港股通",-1);
			}
		});

		//处理返回
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
			//清楚所有缓存
			appUtils.clearSStorage();
			/**
			 * 清除项目中的html
			 */
			$("#bodyContent .page").each(function(){
				$(this).remove();
			});
			if(platform=="1") {
				var param = {
				    	"funcNo" : "50101",
				    	"moduleName" : "mall",
				    	"params" : {"url":"userCenter/wd"}
				    };
				external.callMessage(param);
			}else {
				appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
			}
		});
	}
	
	//初始化操作
	function initHandle(){
		var value = appUtils.getSStorageInfo("marketvalue"),   //在主菜单显示账户资金
			rating_lvl = appUtils.getSStorageInfo("subitemname"),    //在主菜单显示风险评测等级
			knowledgeScore = appUtils.getSStorageInfo("knowledgeScore");   //在主菜单显示知识评测等级
		var totalValue = appUtils.getSStorageInfo("totalValue"); //在主菜单显示账户总资产

		fundsFlag = appUtils.getSStorageInfo("fundsFlag");
		riskFlag = appUtils.getSStorageInfo("riskFlag");
		knowledgeFlag = appUtils.getSStorageInfo("knowledgeFlag");
		signFlag = appUtils.getSStorageInfo("signFlag");

        trdaccount = appUtils.getSStorageInfo("trdaccount");
        stockder = appUtils.getSStorageInfo("stockder");

        shaArray = appUtils.getPageParam();

        console.log("yangrui___trd"+trdaccount);
        console.log("yangrui___stk"+stockder);

		var _prePageCode = appUtils.getSStorageInfo("_prePageCode");
		var sign = appUtils.getSStorageInfo("sign"); //是否已经签署了协议
		var risk = appUtils.getSStorageInfo("risk"); //是否已经做了风险评测
		var knowledge = appUtils.getSStorageInfo("knowledge"); //是否已经选择了沪A 股东账号
		//判断从子页面跳到主菜单
		if(_prePageCode != "business/index"){
            console.log("yangrui_________bus");
            //问卷回访
            if(trdaccount == "1"){
                $(_pageId+" .must_list ul li:eq(4)").removeClass("lost");
                $(_pageId+" .must_list ul li:eq(4)").addClass("over");
                /*if(totalValue != null || totalValue != undefined || totalValue != ""){
                    $(_pageId+" #funds span").removeClass("ared");
                    $(_pageId+" #funds span").html(value);
                }*/
            }else if(trdaccount == "2"){
                $(_pageId+" .must_list ul li:eq(4)").removeClass("over");
                $(_pageId+" .must_list ul li:eq(4)").addClass("lost");
               /* if(totalValue != null || totalValue != undefined || totalValue != ""){
                    $(_pageId+" #funds span").addClass("ared");
                    $(_pageId+" #funds span").html(totalValue);
                }*/
            }

            if(stockder == "1"){
                $(_pageId+" .must_list ul li:eq(5)").removeClass("lost");
                $(_pageId+" .must_list ul li:eq(5)").addClass("over");
                /*if(totalValue != null || totalValue != undefined || totalValue != ""){
                 $(_pageId+" #funds span").removeClass("ared");
                 $(_pageId+" #funds span").html(value);
                 }*/
            }else if(stockder == "2"){
                $(_pageId+" .must_list ul li:eq(5)").removeClass("over");
                $(_pageId+" .must_list ul li:eq(5)").addClass("lost");
                /* if(totalValue != null || totalValue != undefined || totalValue != ""){
                 $(_pageId+" #funds span").addClass("ared");
                 $(_pageId+" #funds span").html(totalValue);
                 }*/
            }

			//资金状况
			if(fundsFlag == "1"){
				$(_pageId+" .must_list ul li:eq(0)").removeClass("lost");
				$(_pageId+" .must_list ul li:eq(0)").addClass("over");
				if(totalValue != null || totalValue != undefined || totalValue != ""){
					$(_pageId+" #funds span").removeClass("ared");
					$(_pageId+" #funds span").html(value);
				}
			}else if(fundsFlag == "2"){
				$(_pageId+" .must_list ul li:eq(0)").removeClass("over");
				$(_pageId+" .must_list ul li:eq(0)").addClass("lost");
				if(totalValue != null || totalValue != undefined || totalValue != ""){
					$(_pageId+" #funds span").addClass("ared");
					$(_pageId+" #funds span").html(totalValue);
				}
			}
			//风险评测
			if(riskFlag == "1"){
				$(_pageId+" .must_list ul li:eq(1)").removeClass("lost");
				$(_pageId+" .must_list ul li:eq(1)").addClass("over");
				if(rating_lvl != null || rating_lvl != undefined || rating_lvl != ""){
					$(_pageId+" #riskTest span").removeClass("ared");
					$(_pageId+" #riskTest span").html(rating_lvl);
				}
			}else if(riskFlag == "2"){
				$(_pageId+" .must_list ul li:eq(1)").removeClass("over");
				$(_pageId+" .must_list ul li:eq(1)").addClass("lost");
				if(rating_lvl != null || rating_lvl != undefined || rating_lvl != ""){
					$(_pageId+" #riskTest span").addClass("ared");
					$(_pageId+" #riskTest span").html(rating_lvl);
				}
			}
			//知识评测
			if(knowledgeFlag == "1"){
				$(_pageId+" .must_list ul li:eq(2)").removeClass("lost");
				$(_pageId+" .must_list ul li:eq(2)").addClass("over");
				if(knowledgeScore != null || knowledgeScore != undefined || knowledgeScore != ""){
					$(_pageId+" #knowledgeTest span").removeClass("ared");
					$(_pageId+" #knowledgeTest span").html(knowledgeScore);
				}
			}else if(knowledgeFlag == "2"){
				$(_pageId+" .must_list ul li:eq(2)").removeClass("over");
				$(_pageId+" .must_list ul li:eq(2)").addClass("lost");
				if(knowledgeScore != null || knowledgeScore != undefined || knowledgeScore != ""){
					$(_pageId+" #knowledgeTest span").addClass("ared");
					$(_pageId+" #knowledgeTest span").html(knowledgeScore);
				}
			}
			//协议签署
			if(signFlag == "1"){
				$(_pageId+" .must_list ul li:eq(3)").removeClass("lost");
				$(_pageId+" .must_list ul li:eq(3)").addClass("over");
			}else if(signFlag == "2"){
				$(_pageId+" .must_list ul li:eq(3)").removeClass("over");
				$(_pageId+" .must_list ul li:eq(3)").addClass("lost");
			}
		} else {
			// 显示账户总资产
			$(_pageId+" #funds span").html(totalValue);
			// 协议已经签署
			if(sign == "1") {
				signFlag = "1";
				appUtils.setSStorageInfo("signFlag", signFlag);
				$(_pageId+" .must_list ul li:eq(3)").removeClass("lost");
				$(_pageId+" .must_list ul li:eq(3)").addClass("over");
			}
			// 已经做了风险评测
			if(risk == "1") {
				var survey_score = appUtils.getSStorageInfo("riskvalue"); //风险评测分数
				if(survey_score >= 85) {
					riskFlag = "1";
					appUtils.setSStorageInfo("riskFlag", riskFlag);
					$(_pageId+" .must_list ul li:eq(1)").removeClass("lost");
					$(_pageId+" .must_list ul li:eq(1)").addClass("over");
					$(_pageId+" #riskTest span").removeClass("ared");
					$(_pageId+" #riskTest span").html(rating_lvl);
				} else {
					riskFlag = "2";
					appUtils.setSStorageInfo("riskFlag", riskFlag);
					$(_pageId+" .must_list ul li:eq(1)").removeClass("over");
					$(_pageId+" .must_list ul li:eq(1)").addClass("lost");
					$(_pageId+" #riskTest span").addClass("ared");
					$(_pageId+" #riskTest span").html(rating_lvl);
				}
			} else {
				//$(_pageId+" #riskTest span").addClass("ared");
				$(_pageId+" #riskTest span").html(rating_lvl);
			}
			
			// 已经做了知识评测
			if(knowledge == "1") {
				knowledge_score = appUtils.getPageParam("zscpvalue");
				if(knowledge_score >= 85) {
					knowledgeFlag = "1";
					appUtils.setSStorageInfo("knowledgeFlag", knowledgeFlag);
					$(_pageId+" .must_list ul li:eq(2)").removeClass("lost");
					$(_pageId+" .must_list ul li:eq(2)").addClass("over");
					if(knowledgeScore != null || knowledgeScore != undefined || knowledgeScore != ""){
						$(_pageId+" #knowledgeTest span").removeClass("ared");
						$(_pageId+" #knowledgeTest span").html(knowledgeScore);
					}
				} else {
					knowledgeFlag = "2";
					appUtils.setSStorageInfo("knowledgeFlag", knowledgeFlag);
					$(_pageId+" .must_list ul li:eq(2)").addClass("lost");
					$(_pageId+" .must_list ul li:eq(2)").removeClass("over");
					if(knowledgeScore != null || knowledgeScore != undefined || knowledgeScore != ""){
						$(_pageId+" #knowledgeTest span").addClass("ared");
						$(_pageId+" #knowledgeTest span").html(knowledgeScore);
					}
				}
			}
		}
		
		//判断提交港股通权限按钮的功能
		if(fundsFlag == "1" && riskFlag == "1" && knowledgeFlag == "1" && signFlag == "1"){
			$(_pageId+" .ct_btn").removeClass("disable");
		}
	}
	
	function destroy()
	{
		mobileService.destroy();
	}

	
	/* 清理界面元素*/
	/*function cleanPageElement()
	{
		
	}*/
	
	var mainPage = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = mainPage;
});
