/**
* 结果页
*/
define(function(require,exports,module){
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		gconfig = require("gconfig"),	
		_pageId = "#ggt_result";
	var mobileService = require("mobileService");
	var external = require("external");
	var platform = gconfig.platform;
	
	function init(){
		var _prePageCode = appUtils.getSStorageInfo("_prePageCode");
		if(_prePageCode != "ggt/mainPage") {
			//电话号码
			var mobileNum = appUtils.getSStorageInfo("mobile"),
				state = appUtils.getSStorageInfo("state"),  //港股通开通标志
				// state = appUtils.getSStorageInfo("state"),  //港股通开通标志
				failReason = appUtils.getSStorageInfo("ggtopen_remark"),   //失败原因
				sha_open = appUtils.getSStorageInfo("sha_open"), //是否有沪A
				sha_bind = appUtils.getSStorageInfo("sha_bind");  //是否指定沪A
			//var h1css = {color:'red'};
			$(_pageId+" .result_main p strong").html(mobileNum);
			/*if(sha_open == "0" || (sha_open == "1" && sha_bind == "0")) {
				$(_pageId+ " .result_main div").removeClass("icon_ok");
				$(_pageId+ " .result_main div").addClass("icon_fail");
				$(_pageId+ " .result_main h5").addClass("fail");
				$(_pageId+ " .result_main h5").html("无法操作");
				$(_pageId+ " .result_main p").html("您没有沪A账户或者没有指定到该券商");
				$(_pageId+ " #confirm").hide();
				$(_pageId+ " #back").show();
				//$(_pageId+ " .bottom_tips").hide();
			} else */
			if(state == "4" && state == "2"){
//				$(_pageId+" .icon").addClass("icon3");
//				$(_pageId+" .succes_main h1").css(h1css);
//				$(_pageId+" .succes_main h1").html("开通失败");
//				$(_pageId+" .notice").html("失败原因:"+failReason);
				$(_pageId+ " .result_main div").removeClass("icon_ok");
				$(_pageId+ " .result_main div").addClass("icon_fail");
				$(_pageId+ " .result_main h5").addClass("fail");
				$(_pageId+ " .result_main h5").html("开通失败");
				$(_pageId+ " .result_main p").html("");
				$(_pageId+ " #confirm").hide();
				$(_pageId+ " #back").show();
				//$(_pageId+ " .bottom_tips").hide();
			}
		else {
			$(_pageId+ " .result_main div").addClass("icon_ok");
			$(_pageId+ " .result_main div").removeClass("icon_fail");
			$(_pageId+ " .result_main h5").removeClass("fail");
			$(_pageId+ " .result_main h5").html("提交开通");
			$(_pageId+ " .result_main p").html("恭喜您的港股通申请已成功提交，我们将在一个工作日内审核完成，并告知您申请结果！");
			$(_pageId+ " #confirm").show();
			$(_pageId+ " #back").hide();
			//$(_pageId+" .spel p strong").html(appUtils.getSStorageInfo("mobile"));
		}
		/*} else {
             $(_pageId+ " .result_main div").addClass("icon_ok");
             $(_pageId+ " .result_main div").removeClass("icon_fail");
             $(_pageId+ " .result_main h5").removeClass("fail");
             $(_pageId+ " .result_main h5").html("成功开通");
             $(_pageId+ " .result_main p").html("恭喜您即日起便可以投资港股，交易情况将以短信形式发送至您的手机。");
             $(_pageId+ " #confirm").show();
             $(_pageId+ " #back").hide();
             //$(_pageId+" .spel p strong").html(appUtils.getSStorageInfo("mobile"));
             }*/
	}
	};
	function bindPageEvent(){
		console.log("yangrui");

		
		//绑定home键 跳转到主界面
		appUtils.bindEvent($(_pageId+" .icon_home"), function(){
			console.log("yangruilllll________home");
			if(platform=="1") {
				var param = {
				    	"funcNo" : "50101",
				    	"moduleName" : "mall",
				    	"params" : {"url":"userCenter/wd"}
				    };
				external.callMessage(param);
			}else {
				appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
			}
		});

		appUtils.bindEvent($(_pageId+" #confirm"), function(){
			console.log("yangruilllll________con");
			if(platform=="1") {
				var param = {
				    	"funcNo" : "50101",
				    	"moduleName" : "mall",
				    	"params" : {"url":"userCenter/wd"}
				    };
				external.callMessage(param);
			}else {
				appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
			}
		});

		appUtils.bindEvent($(_pageId+" #back"), function(){
			console.log("yangruilllll______back");
			//appUtils.pageInit("account/result", "account/mainPage",{});
			appUtils.pageBack();
		});

		appUtils.bindEvent($(_pageId+" .icon_back"), function(){
			//appUtils.pageInit("account/result", "account/mainPage",{});
			appUtils.pageBack();
		});
	}
	
	function destroy(){
		mobileService.destroy();
	}
	
	var result = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = result;
});
