/**
 * 获取沪A股东账号
 */
define(function(require, exports, module){
    /* 私有业务模块的全局变量 begin */
    var appUtils = require("appUtils"),
        global = require("gconfig").global,
        gconfig = require("gconfig"),
        layerUtils = require("layerUtils"),
        Map = require("map"),
        fristMap = null,  //  存放所有相关协议
        protocolArray = new Array(),  // 存放协议签名值
        countProtocol = 0, // 计算签署成功的数量
        trdaccount = "",  //1代表签了协议，2代表未签协议
        _pageId = "#huiGou_index";
    var mobileService = require("mobileService");
    var external = require("external");
    var trach="";
    var platform = gconfig.platform;
    var common = require("common");
    function init()
    {
    	/*if(platform != 0){
			getUserInfo();
		}else{
			//查询协议
	        getSign();
		}*/
    
    	getSign();
    
    }

    //绑定
    function bindPageEvent(){
        /* 绑定签署协议*/
        appUtils.bindEvent($(_pageId+" .rule_check span"),function(e){
            $(this).toggleClass("checked"); //  切换勾选样式
            e.stopPropagation();
        });

        //绑定提交申请
        appUtils.bindEvent($(_pageId+" .ct_btn"),function(){
            if(!$(_pageId+" #sign").hasClass("checked")) {
                if(appUtils.getSStorageInfo("cunzaihuiGou")=="1"){
                    layerUtils.iMsg(-1, "请勾选协议");
                    return false;
                }else{
                    layerUtils.iMsg(-1, "您所有的账号均已开通!");
                    return false;
                }
            } else if(!$(_pageId+" .account_list .icon_check").hasClass("checked")) {
                if(appUtils.getSStorageInfo("cunzaihuiGou")=="1"){
                    layerUtils.iMsg(-1, "请勾选至少一个交易账号");
                    return false;
                }else{
                    layerUtils.iMsg(-1, "您所有的账号均已开通!");
                    return false;
                }
            } else {
                //验签
                getSignProtocl();
            }
        });

        //绑定返回按钮
        appUtils.bindEvent($(_pageId+" .icon_back"),function(){
        	common.moduleJump();
        });

        //绑定home键 跳转到主界面
        appUtils.bindEvent($(_pageId+" .icon_home"), function(){
        	common.moduleJump();
        });

        appUtils.bindEvent($(_pageId+" #confirm"), function(){
        	common.moduleJump();
        });

        appUtils.bindEvent($(_pageId+" #backStep"), function(){
        	common.moduleJump();
        });
    }

    function destroy()
    {
        $(_pageId+" .main:eq(0)").show();
        $(_pageId+" .main:eq(1)").hide();
        $(_pageId+" .main:eq(2)").hide();
        mobileService.destroy();
    }

    //国债逆回购权限办理数据获取
    function getGznhg() {
    	var userInfo=sessionStorage.getItem("userInfo2");
		//user_id保存到session
 		if( JSON.parse(userInfo).user_id) {
 			appUtils.setSStorageInfo("user_id",  JSON.parse(userInfo).user_id);
 			
 		}
        var getGznhg = {
            "user_id":appUtils.getSStorageInfo("user_id")
        };
        mobileService.getGznhg(getGznhg, function(data) {
            console.log("zhaocheng"+JSON.stringify(data));
            var error_no = data.error_no,
                error_info = data.error_info,
                result = data.results;
            var innerHtml = "";
            if(error_no == "0") {
                if(result == undefined) {
                    $(_pageId+" .main:eq(0)").hide();
                    $(_pageId+" .main:eq(1)").show();
                    $(_pageId+" .main:eq(2)").hide();
                } else {
                    for(var i=0; i<result.length; i++) {
                        if(result[i].open_flag == "1") {
                            innerHtml += "<li><a class='icon_check disable' href='javascript:void(0)'>"+result[i].trdacct+"</a><a href='javascript:void(0)' class='account_right'>已开通</a></li>";
                        } else {
                            if(result[i].apply_state == "0" || result[i].apply_state == "3") {
                                innerHtml += "<li><a class='icon_check disable' href='javascript:void(0)'>"+result[i].trdacct+"</a><a href='javascript:void(0)' class='account_right'>成功</a></li>";
                            } else if(result[i].apply_state == "2"){
                                innerHtml += "<li><a class='icon_check checked' href='javascript:void(0)'>"+result[i].trdacct+"</a><a href='javascript:void(0)' class='account_error' id=\"protocol0"+i+"\" decription=\""+result[i].description+"\">失败</a></li>";
                            } else {
                                //判断是否存在 可勾选的 选项
                                appUtils.setSStorageInfo("cunzaihuiGou","1");
                                innerHtml += "<li><a class='icon_check' href='javascript:void(0)'>"+result[i].trdacct+"</a></li>";
                            }
                        }
                        /*if(result[i].choose_flag == "1") {
                            $(_pageId+" .main:eq(0)").hide();
                            $(_pageId+" .main:eq(1)").hide();
                            $(_pageId+" .main:eq(2)").show();
                        } else {

                        }*/
                        appUtils.preBindEvent($(_pageId+" .account_list"), "#protocol0"+i, function(e){
                            console.log("111");
                            if($(this).html() == "失败") {
                                layerUtils.iAlert($(this).attr("decription"));
                            }
                            e.stopPropagation();
                        });
                    }
                    $(_pageId+" .account_list").html(innerHtml);

                    appUtils.bindEvent($(_pageId+" .icon_check"), function(e){
                        if(!$(this).hasClass("disable")) {
                            $(this).toggleClass("checked"); //  切换勾选样式
                        }
                        e.stopPropagation();
                    });
                }
            } else {
                layerUtils.iAlert(error_info);
                return false;
            }
        });
    }

    //获取协议
    function getSign(){
        var param = {
            "category_englishname":"",
            "category_no":"gznhgxy",
            "econtract_no":""
        };
        mobileService.getSign(param,function(data){
            var error_no = data.error_no,
                error_info = data.error_info,
                result = data.results;
            if(error_no == "0" && result.length != 0){
                fristMap = new Map();
                var results = data.results,
                    allProtocols = "";
                var protocolMap = null;
                for(var i=0;i<results.length;i++)
                {
                    protocolMap = new Map();
                    protocolMap.put("protocolid",results[i].agree_no);	//协议id
                    protocolMap.put("protocolname",results[i].agree_name);	//协议名
                    protocolMap.put("summary",results[i].md5_content);	//协议内容MD5,签名摘要信息
                    allProtocols += "<li><a href=\"javascript:;\" protocol-id=\""+results[i].agree_no+"\" id=\"protocol0"+i+"\">《"+
                    results[i].agree_name+"》</a></li>";
                    // 预绑定查看协议的事件
                    appUtils.preBindEvent($(_pageId+" .rule_list"),"#protocol0"+i,function(e){
                        appUtils.pageInit("huiGou/signProtocol","huiGou/showProtocol",{"protocol_id" : $(this).attr("protocol-id")});
                        e.stopPropagation();
                    });
                    fristMap.put(i,protocolMap);
                }
                $(_pageId+" .rule_list").html(allProtocols);

                //国债逆回购权限办理数据获取
                getGznhg();
            }else{
                layerUtils.iAlert(error_info,-1);
            }
        },true,true,handleTimeout);
    }

    /* 处理请求超时 */
    function handleTimeout()
    {
        layerUtils.iConfirm("请求超时，是否重新加载？",function(){
            getSign();  // 再次获取协议
        });
    }

    /* 获取签名值 */
    function getSignProtocl()
    {
        var keys = fristMap.keys();  // 协议的数量
        // 检查是否勾选签署协议
        if($(_pageId+" .rule_check span").hasClass("checked"))
        {
            layerUtils.iLoading(true);  // 开启等待层。。。
            var oneData  = fristMap.get(keys[countProtocol]); // 取出一个协议
            var protocolid = oneData.get("protocolid"); // 协议ID
            var protocolname = oneData.get("protocolname");  //协议名称
            var summary = oneData.get("summary");  // 协议内容MD5,签名摘要信息
            // 添加值到数组中
            var protocol = {
                "protocol_id" : protocolid,
                "summary" : summary
            }
            protocolArray.push(protocol);
            countProtocol++;
            if(countProtocol < keys.length)  // 通过比较，获取每个协议的签名值
            {
                getSignProtocl();
            }else{
                submitProtocol();  //提交协议
            }
        }
        else
        {
            layerUtils.iAlert("请阅读并勾选同意签署以上全部协议！",-1);
            return false;
        }
    }

    /* 处理请求超时 */
    function handleTimeout()
    {
        layerUtils.iConfirm("请求超时，是否重新加载？",function(){
            getSign();  // 再次获取协议
        });
    }

    /* 保存 */
    function submitProtocol()
    {
        var traccount = "";
        $(_pageId+" .icon_check").each(function(){
            if($(this).hasClass("checked")) {
                traccount += $(this).html()+",";
            }
        });
        traccount = traccount.substring(0,traccount.lastIndexOf(','));
        console.log("zhaocheng++++"+traccount);
        var param = {
            "user_id":appUtils.getSStorageInfo("user_id"),
            "trdaccount":traccount,
            "jsondata" : JSON.stringify(protocolArray),
            "ipaddr" : "",
            "macaddr" : "",
            "checksign" : "0",
            "sign_source_flag" : "1"
        };
        console.log("zhaocheng111111"+JSON.stringify(param));
        mobileService.getGuoZh(param,function(data){
            console.log("yangrui"+JSON.stringify(data));
            var error_no = data.error_no,
                error_info = data.error_info,
                result = data.accountInfoList;
            if(error_no == "0"){
                trdaccount="1";
                appUtils.setSStorageInfo("trdaccount",trdaccount);
                appUtils.pageInit("huiGou/index","huiGou/result",{});
            }else{
                layerUtils.iAlert(error_info,-1);
            }
        },true,true,handleTimeout);
    }
    //从原生内存缓存中获取用户信息
    function getUserInfo() {
        var param = {
            "funcNo":"50041",
            "key":"userInfo"
        };
        var result = external.callMessage(param);
        if(result.error_no == "0" || result.error_no == "1") {
            if(JSON.stringify(result.results[0]) == "{}") {
                return false;
            }
            userInfo = result.results[0].value;
            var param = {
                "funcNo":"50041",
                "key":"zqAccount"
            };
            var result = external.callMessage(param);
            if(result.error_no == "0" || result.error_info == "1") {
                zqAccount = result.results[0].value;
            console.log("zhaocheng@@@+++"+zqAccount);
            //把从内存缓存中的数据取出来存到H5缓存中
            setUserInfo();
                } else {
                layerUtils.iAlert(result.error_info);
                return false;
            }
        } else {
            layerUtils.iAlert(result.error_info);
            return false;
        }
    }

    //把从原生内存缓存中取到的用户信息保存到session中
    function setUserInfo() {
        //user_id保存到session
        if(userInfo.user_id) {
            appUtils.setSStorageInfo("user_id", userInfo.user_id);
        }
        //登陆账号保存到session
        if(userInfo.login_id) {
            appUtils.setSStorageInfo("login_id", userInfo.login_id);
        }
        //证件类型保存到session
        if(userInfo.identity_type) {
            appUtils.setSStorageInfo("identity_type", userInfo.identity_type);
        }
        //证件号码保存到session
        if(userInfo.identity_num) {
            appUtils.setSStorageInfo("identity_num", userInfo.identity_num);
        }
        //姓名保存到session
        if(userInfo.name) {
            appUtils.setSStorageInfo("name", userInfo.name);
        }
        //是否是交易用户 保存到session
        if(userInfo.is_trade) {
            appUtils.setSStorageInfo("is_trade", userInfo.is_trade);
        }
        //交易账户保存到session
        if(userInfo.trade_account) {
            appUtils.setSStorageInfo("trade_account", userInfo.trade_account);
        }
        //昵称保存到session
        if(userInfo.nick_name) {
            appUtils.setSStorageInfo("nick_name", userInfo.nick_name);
        }
        //sex性别保存到session
        if(userInfo.sex) {
            appUtils.setSStorageInfo("sex", userInfo.sex);
        }
        //birthday生日保存到session
        if(userInfo.birthday) {
            appUtils.setSStorageInfo("birthday", userInfo.birthday);
        }
        //mobile手机保存到session
        if(userInfo.mobile) {
            appUtils.setSStorageInfo("mobile", userInfo.mobile);
        }
        //login_by_mobile手机绑定保存到session
        if(userInfo.login_by_mobile) {
            appUtils.setSStorageInfo("login_by_mobile", userInfo.login_by_mobile);
        }
        //email邮箱保存到session
        if(userInfo.email) {
            appUtils.setSStorageInfo("email", userInfo.email);
        }
        //login_by_email绑定邮箱保存到session
        if(userInfo.login_by_email) {
            appUtils.setSStorageInfo("login_by_email", userInfo.login_by_email);
        }
        //telephone固定电话绑定到session
        if(userInfo.telephone) {
            appUtils.setSStorageInfo("telephone", userInfo.telephone);
        }
        //address通信住址保存到session
        if(userInfo.address) {
            appUtils.setSStorageInfo("address", userInfo.address);
        }
        //post_code邮编保存到session
        if(userInfo.post_code) {
            appUtils.setSStorageInfo("post_code", userInfo.post_code);
        }
        //qq_microblog QQ微博账号保存到session
        if(userInfo.qq_microblog) {
            appUtils.setSStorageInfo("qq_microblog", userInfo.qq_microblog);
        }
        //sina_microblog 新浪微博账号保存到session
        if(userInfo.sina_microblog) {
            appUtils.setSStorageInfo("sina_microblog", userInfo.sina_microblog);
        }
        //QQ号保存到session
        if(userInfo.qq) {
            appUtils.setSStorageInfo("qq", userInfo.qq);
        }
        //wechat号保存到session
        if(userInfo.wechat) {
            appUtils.setSStorageInfo("wechat", userInfo.wechat);
        }
        //recommend_person推荐人保存到session
        if(userInfo.recommend_person) {
            appUtils.setSStorageInfo("recommend_person", userInfo.recommend_person);
        }
        //last_login_time上次登录时间保存到session
        if(userInfo.last_login_time) {
            appUtils.setSStorageInfo("last_login_time", userInfo.last_login_time);
        }
        //occupational职业保存到session
        if(userInfo.occupational) {
            appUtils.setSStorageInfo("occupational", userInfo.occupational);
        }
        //adapter学历保存到session
        if(userInfo.adapter) {
            appUtils.setSStorageInfo("adapter", userInfo.adapter);
        }
        //certuid证书用户id保存到session
        if(userInfo.certuid) {
            appUtils.setSStorageInfo("certuid", userInfo.certuid);
        }
        //branch_no营业部保存到session
        if(userInfo.branch_no) {
            appUtils.setSStorageInfo("branch_no", userInfo.branch_no);
        }
        //emergency_name应急联系人姓名保存到session
        if(userInfo.emergency_name) {
            appUtils.setSStorageInfo("emergency_name", userInfo.emergency_name);
        }
        //emergency_relation与应急联系人关系保存到session
        if(userInfo.emergency_relation) {
            appUtils.setSStorageInfo("emergency_relation", userInfo.emergency_relation);
        }
        //emergency_tel应急联系人固定电话保存到session
        if(userInfo.emergency_tel) {
            appUtils.setSStorageInfo("emergency_tel", userInfo.emergency_tel);
        }
        //emergency_mobile应急联系人手机保存到session
        if(userInfo.emergency_mobile) {
            appUtils.setSStorageInfo("emergency_mobile", userInfo.emergency_mobile);
        }
        //emergency_email应急联系人邮箱保存到session
        if(userInfo.emergency_email) {
            appUtils.setSStorageInfo("emergency_email", userInfo.emergency_email);
        }
        //authentication_state实名认证,绑定银行卡 保存到session
        if(userInfo.authentication_state) {
            appUtils.setSStorageInfo("authentication_state", userInfo.authentication_state);
        }
        //org_id机构ID(第三方接口)保存到session
        if(userInfo.org_id) {
            appUtils.setSStorageInfo("org_id", userInfo.org_id);
        }
        //emergency_address应急联系人联系地址保存到session
        if(userInfo.emergency_address) {
            appUtils.setSStorageInfo("emergency_address", userInfo.emergency_address);
        }
        //type_code类别代码保存到session
        if(userInfo.type_code) {
            appUtils.setSStorageInfo("type_code", userInfo.type_code);
        }
        //type_name类别名称保存到session
        if(userInfo.type_name) {
            appUtils.setSStorageInfo("type_name", userInfo.type_name);
        }
        //vip_level会员等级保存到session
        if(userInfo.vip_level) {
            appUtils.setSStorageInfo("vip_level", userInfo.vip_level);
        }
        //http://61.144.205.101:8082/m/mall/index.html#!/userCenter/wd
        if(userInfo.total_integration) {
            appUtils.setSStorageInfo("total_integration", userInfo.total_integration);
        }
        if(userInfo.curr_loginid) {
            appUtils.setSStorageInfo("curr_loginid", userInfo.curr_loginid);
        }
        appUtils.setSStorageInfo("zqAccount", zqAccount);
        //查询协议
        getSign();
    }

    var signProtocol = {
        "init" : init,
        "bindPageEvent" : bindPageEvent,
        "destroy" : destroy
    };

    module.exports = signProtocol;
});
