
define(function(require, exports, module){
	var pageId = "#zl_MoneyPwd ";
	var  layerUtils = require('layerUtils'),
	       appUtils = require("appUtils"),
	       validatorUtil=require('validatorUtil');
	var  validata = require("validatorUtil");
	var  layerUtils = require("layerUtils");
	var  mobileService = require("mobileService");

	var pageIds = "account_MoneyPwd";
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var external = require("external");

	var external = require("external");
	var platform = gconfig.platform;
	var moduleName = "";
	var tipsTimer = null;
	var curInputId = null;
	var pwdTimer = null; // 密码输入框计时器
 	//--1初始化
	function init(){
		var param = {
                "funcNo": "60021",
                "navTitle": "修改资金密码"
            };
            external.callMessage(param);
		$(pageId+" #oldpwd").html("");
		$(pageId+" #newpwd").html("");
		$(pageId+" #checkpwd").html("");
		window.customKeyboardEvent = {
			keyBoardInputFunction: inputEvent
		};
	}
	
      	//--2绑定事件
   	function bindPageEvent(){
   		   //--2.1返回
   		appUtils.bindEvent($(pageId+".icon_back"),function(){
   			appUtils.pageBack();
   		});
   		//初始化登录密码键盘
		appUtils.bindEvent($(pageId+" input[keyboard-plugin='true']"),function(e){
			callKeyboard($(this)); // 调用键盘
			$(this).parent().addClass("focus_txt").siblings().removeClass("focus_txt");
			e.stopPropagation();
		});

		//点击页面关闭软键盘
		appUtils.bindEvent($(pageId),function(e){
			hideKeyboard(); // 隐藏原生键盘
			e.stopPropagation();
		});
   		//点击查看旧密码的
		appUtils.bindEvent($(pageId+" .input_text #old"),function(){
			if($(pageId + " .input_text input")[0].type == 'text'){
				$(pageId + " .input_text #old").removeClass("show");
				$(pageId + " .input_text input")[0].type = 'password';
			}else{
				$(pageId + " .input_text #old").addClass("show");
				$(pageId + " .input_text input")[0].type = 'text';
			}
		});
		//点击查看新密码的
		appUtils.bindEvent($(pageId+" .input_text #new"),function(){
			if($(pageId + " .input_text input")[1].type == 'text'){
				$(pageId + " .input_text #new").removeClass("show");
				$(pageId + " .input_text input")[1].type = 'password';
			}else{
				$(pageId + " .input_text #new").addClass("show");
				$(pageId + " .input_text input")[1].type = 'text';
			}
		});
		//点击查看确认密码的
		appUtils.bindEvent($(pageId+" .input_text #check"),function(){
			if($(pageId + " .input_text input")[2].type == 'text'){
				$(pageId + " .input_text #check").removeClass("show");
				$(pageId + " .input_text input")[2].type = 'password';
			}else{
				$(pageId + " .input_text #check").addClass("show");
				$(pageId + " .input_text input")[2].type = 'text';
			}
		});
   		//--2.3修改密码
   		appUtils.bindEvent($(pageId+".ct_btn"),function(){
   			Alterpwd();
   		});
   		appUtils.bindEvent($(pageId+" #oldpwd"), function(){
   			var password = $(pageId+" #oldpwd").val();
   			if(password.length !=6){
   				layerUtils.iAlert("资金密码必须为6位数！");
   			}
           },"blur");
           appUtils.bindEvent($(pageId+" #newpwd"), function(){
   			var newPwd = $(pageId+" #newpwd").val();
   			if(newPwd.length !=6){
   				layerUtils.iAlert("资金密码必须为6位数！");
   			}
   		},"blur");
   		appUtils.bindEvent($(pageId+" #checkpwd"), function(){
   			var newPwd = $(pageId+" #newpwd").val();
   			var checkPwd = $(pageId+" #checkpwd").val();
   			if(newPwd!=checkPwd){
   				layerUtils.iAlert("两次输入密码不一致！");
   			}
   		},"blur");
   	}
/**
    	 * 调用原生键盘
    	 * @param $input 显示在页面的输入框
    	 */
	function callKeyboard($input)
	{
		curInputId = $input.attr("id");
		var invokeParam = {
			moduleName: "common", // String	目标模块名	N
			source: "zl", // String	源模块	Y
			funcNo: "50210", // String	功能号	Y
			pageId: pageId.substring(1), // String	页面Id	Y
			eleId: curInputId, // String	元素Id	Y
			doneLable: "done", // String	完成按钮显示字符
			keyboardType: "3" // 1：英文键盘，2：股票键盘，3：数字键盘，4：随机数字键盘，9：系统键盘
		};
		external.callMessage(invokeParam);
	}

	/**
	 * 隐藏原生键盘
	 */
	function hideKeyboard()
	{
		var invokeParam = {
			funcNo: "50211", // String	功能号	Y
			moduleName: "common"
		};
		external.callMessage(invokeParam);
	}


	/**
	 * 原生键盘的输入事件
	 * @param curKeyCode 当前输入值
	 */
	function inputEvent(curKeyCode)
	{
		var $curInput = $(pageId + "#" + curInputId);
		var curVal = $curInput.val();
		//curTxt = typeof(curTxt) == "undefined" ? "" : curTxt;
		// {"CLEAR":-2, "DONE": -3, "DEL": -5}; //常量，键盘上面的按键对应编码（-2表示清空，-3表示完成，-5表示删除）
		switch(Number(curKeyCode))
		{
			case -2:
				$curInput.val("");
				break;
			case -3:
				break;
			case -5:
				$curInput.val(curVal);
				break;
			default:
				if(curVal.length >= 1)
				{
					$curInput.val(curVal);
				}
				clearTimeout(pwdTimer);
				pwdTimer = null;
				break;
		}
	}

	//--3销毁页面，单页面时候要用,
	function destroy(){
		
	}

	//--4修改资金密码密码
	function Alterpwd(){
	    var user_id =appUtils.getSStorageInfo("user_id") ;
		var zj_account=appUtils.getSStorageInfo("fund_account");
	    var oldPassword=$(pageId+"#oldpwd").val();
		var zj_password=$(pageId+"#newpwd").val();
		console.log("yangrui___ 新密码"+zj_password);
	    var param={
			  "user_id":user_id,
			  "zj_account":zj_account,
			  "oldPassword":oldPassword,
			  "zj_password":zj_password,
	  	}
	  	mobileService.Moneypwd(param,function(data){
			var errorNo = data.error_no;
			var errorInfo = data.error_info;
			console.log("yangrui____ 修改密码："+JSON.stringify(data));
			if(errorNo==0){
				layerUtils.iAlert("您的密码修改成功！");
				appUtils.pageInit("account/Alter","account/UserCenter");
			}
			else{
				layerUtils.iAlert(errorInfo);
				return false;
			}
	  	})
	}

	var  MoneyPwd = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// --暴露对外的接口
	module.exports = MoneyPwd;
});