/**
 * 账户实际控制人
 */
define(function(require,exports,module){
    var appUtils = require("appUtils");
    var gconfig = require("gconfig");
    var global = gconfig.global;
    var validata = require("validatorUtil");
    var layerUtils = require("layerUtils");
    var _pageId ="#zl_control ";
    var pageId = "zl_control";
    var mobileService = require("mobileService");
    
    
    
    function init(){
		var param = {
                "funcNo": "60021",
                "navTitle": "修改账户实际控制人、受益人"
            };
            external.callMessage(param);
        //初始化页面
        initPage();
    }

    function initPage(){
    	var account_controller=appUtils.getPageParam("account_controller");
        var account_beneficiary=appUtils.getPageParam("account_beneficiary");
        alert(account_controller);
        alert(account_beneficiary);
        if(account_controller=="本人"){
        	$("#zhbr").attr("checked","checked");//账户本人
        }else{
        	$("#zhbr").attr("checked");
        }
        if(account_beneficiary=="本人"){
        	   $("#sybr").attr("checked","checked");//收益本人
        }else{
        	$("#zhbr").attr("checked");
        }
    }

    function bindPageEvent(){
        // 绑定返回
        appUtils.bindEvent($(_pageId+" .icon_back"),function(){
        	var param = {
                    "funcNo": "50114",
                    "moduleName": "open"
                };
		external.callMessage(param);
        });

        //绑定确定按钮
        appUtils.bindEvent($(_pageId+" .combtns"),function(){
       	 
         if($("#zhbr").attr("checked")=="checked"){
             var zhbrParam = 1;
         }else {
             layerUtils.iAlert("您的账户实际控制人必须是本人",-1);
             return;
         }
         if($("#sybr").attr("checked")=="checked"){
             var sybrParam = 1;
         }else{
             layerUtils.iAlert("您的账户实际受益人必须是本人",-1);
             return;
         }
			var user_id =appUtils.getSStorageInfo("user_id") ;
			var zj_account=appUtils.getSStorageInfo("fund_account");
            var param = {
                "user_id":user_id,
                "zj_account" : zj_account,
                "zhbrParam" : zhbrParam,
                "sybrParam" : sybrParam
            };
            //提交账户修改控制人接口
            mobileService.applyAccountControl(param,function(data){
                var error_no = data.error_no,
                    error_info = data.error_info;
                if(error_no == "0"){
                    layerUtils.iAlert("您的账户信息修改已完成，即将返回首页",-1,function(){
                    	var param = {
    		                    "funcNo": "50114",
    		                    "moduleName": "open"
    		                };
    				external.callMessage(param);
                    });
                }else{
                    layerUtils.iAlert(error_info,-1,function () {
                    	var param = {
    		                    "funcNo": "50114",
    		                    "moduleName": "open"
    		                };
    				external.callMessage(param);
                    });
                }
            },true,true,null);
        });

    }

    //销毁
    function destroy(){
        mobileService.destroy();
    }

    var control = {
        "init" : init,
        "bindPageEvent" : bindPageEvent,
        "destroy" : destroy
    };

    module.exports = control;
});