
define(function(require, exports, module){
	var pageId = "#zl_updateBL ";
	var  layerUtils = require('layerUtils'),
	   appUtils = require("appUtils"),
	   validatorUtil=require('validatorUtil');
	var  validata = require("validatorUtil");
	var  layerUtils = require("layerUtils");
	var  mobileService = require("mobileService");
	var pageIds = "myAccount_Alter";
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var external = require("external");
	var flag=true;
	
 	//--1初始化
	function init(){
		var param = {
                "funcNo": "60021",
                "navTitle": "修改不良诚信记录"
            };
            external.callMessage(param);
		appUtils.setSStorageInfo("bx","1");
        var Credit_record=appUtils.getSStorageInfo("credit_record");//不良诚信记录
        if(Credit_record=="1"||Credit_record=="2"||Credit_record=="3"||Credit_record=="4"||Credit_record=="5"||Credit_record=="6"||Credit_record=="7"){
        	flag=false;   //之前有除了0以外的记录的话就不能改
        }
        $(pageId + " li").each(function(){
		    $(this).removeClass("active");
		});
		$(pageId + " li[dm='"+Credit_record+"']").addClass("active");
	}
	
   	//--2绑定事件
	function bindPageEvent(){
		   //--2.1返回
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			appUtils.pageInit("zl/updateBL","zl/UserCenter");
		});
		appUtils.bindEvent($(pageId+" li"),function(){
			if(!flag){
				layerUtils.iAlert("存在历史不良诚信记录无法修改！");
				return false;
			}
			var dm=$(this).attr("dm");
			UpdateBL(dm);
		},"click");
	}

	//--4用户信息
    function  UpdateBL(dm){
		var user_id =appUtils.getSStorageInfo("user_id") ;
			var zj_account=appUtils.getSStorageInfo("fund_account");
			var newbldm=dm;//新的不良代码
		var param={
			  "user_id":user_id,
			  "zj_account":zj_account,
			  "bldm":newbldm
		}
		mobileService.updateUserbl(param,function(data){
			var errorNo = data.error_no;
			var errorInfo = data.error_info;
			if(errorNo==0){
				appUtils.setSStorageInfo("credit_record", newbldm);
				layerUtils.iAlert("您的不良诚信记录修改成功！");
				appUtils.setSStorageInfo("newCredit_record", newbldm);
				appUtils.pageInit("zl/updateBL","zl/UserCenter");
			}
			else{
				layerUtils.iAlert(errorInfo);
				return false;
			}
		})
	}

	//--3销毁页面，单页面时候要用,
	function destroy(){
	}


	var Alter = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// --暴露对外的接口
	module.exports = Alter;
});