define(function(require, exports, module){
	var pageId = "#zl_updateXL ";
	var  layerUtils = require('layerUtils'),
	   appUtils = require("appUtils"),
	   validatorUtil=require('validatorUtil');
	var  validata = require("validatorUtil");
	var  mobileService = require("mobileService");
	var pageIds = "myAccount_Alter";
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var external = require("external");

	function init(){
		var param = {
                "funcNo": "60021",
                "navTitle": "修改学历"
            };
            external.callMessage(param);
		appUtils.setSStorageInfo("bx","1");
		var Adapter=appUtils.getSStorageInfo("adapter");//学历
		$(pageId + " li").each(function(){
		    $(this).removeClass("active");
		});
		$(pageId + " li[dm='"+Adapter+"']").addClass("active");
	}
	
	function bindPageEvent(){
		appUtils.bindEvent($(pageId+" .icon_back"),function(){
			appUtils.pageInit("zl/updateXL","zl/UserCenter");
		});
		appUtils.bindEvent($(pageId+" li"),function(){
			var dm=$(this).attr("dm");
			UpdateXL(dm);
		},"click");
	}

    function  UpdateXL(dm){
		var user_id =appUtils.getSStorageInfo("user_id") ;
			var zj_account=appUtils.getSStorageInfo("fund_account");
			var newxldm=dm; //新的学历代码
		var param={
			  "user_id":user_id,
			  "zj_account":zj_account,
			  "xldm":newxldm
		}
		mobileService.updateUserXl(param,function(data){
			var errorNo = data.error_no;
			var errorInfo = data.error_info;
			layerUtils.iAlert(errorNo);
			if(errorNo==0){
				appUtils.setSStorageInfo("adapter", newxldm);
				layerUtils.iAlert("您的学历修改成功！");
				appUtils.setSStorageInfo("newAdapter", newxldm);
				appUtils.pageInit("zl/updateXL","zl/UserCenter");
			}
			else{
				layerUtils.iAlert(errorInfo);
				return false;
			}
		});
	}

	function destroy(){
	}


	var Alter = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	module.exports = Alter;
});