/**
*  email对账单
*/
define(function(require,exports,module) {
    var appUtils = require("appUtils"),
        global = require("gconfig").global,
        layerUtils = require("layerUtils"),
        validatorUtil = require("validatorUtil"),
        //_pageId = "#permissionOpen_EmailAccountStateMent";
        _pageId = "#account_EmailAccountStateMent ";
	var mobileService = require("mobileService");
    function init() {
    	queryEmailAccount();//查询并显示邮箱绑定情况
    }
    
    /* 处理请求超时 */
    function handleTimeout() {
    
    }
    
    //查询并显示邮箱绑定情况
    function queryEmailAccount(){
    	var param  = {
//    		"user_id" : appUtils.getSStorageInfo("user_id")
    		"user_id" : appUtils.getSStorageInfo("userInfo",true).user_id	
    	}
    	
    	mobileService.queryEmailAccount(param,function(data){
    		var error_no = data.error_no;
    		var error_info = data.error_info;
    		var results = data.results;
    		if(error_no==0){
    			var query_flag = results[0].query_flag;
    			if(query_flag=="0"){
			        $(_pageId+" #open").hide();
    				$(_pageId+" #newOpen").hide();
    				$(_pageId+" #off").show();
    				$(_pageId+" #openEmail").hide();
    				$(_pageId+" #newOpenEmail").hide();
    				$(_pageId+" #offEmail").show();
    			}else{
				var status = results[0].status;
    				if(status == "0"){
    					$(_pageId+" #open").hide();
	    				$(_pageId+" #newOpen").show();
	    				$(_pageId+" #off").hide();
	    				$(_pageId+" #openEmail").hide();
	    				$(_pageId+" #newOpenEmail").show();
	    				$(_pageId+" #offEmail").hide();
	    				$(_pageId+" .email_span").html(results[0].email);
    				}else{
    					$(_pageId+" #open").show();
	    				$(_pageId+" #newOpen").hide();
	    				$(_pageId+" #off").hide();
	    				$(_pageId+" #openEmail").show();
	    				$(_pageId+" #newOpenEmail").hide();
	    				$(_pageId+" #offEmail").hide();
	    				$(_pageId+" .email_span").html(results[0].email);
    				}
    			}
    		}else{
    			layerUtils.iAlert(error_info);
    		}
    	});
    }
    //添加Email邮箱
    function addEmail(){
    	var param  = {
//    		"user_id" : appUtils.getSStorageInfo("user_id"),
    		"user_id" : appUtils.getSStorageInfo("userInfo",true).user_id,	
    		"op_type":"1",
            "email":$(_pageId+" #EmailAdd").val()
    	}
    	mobileService.updateEmailAccount(param,function(data){
    		var error_no = data.error_no;
    		var error_info = data.error_info;
    		if(error_no == 0){	
    			appUtils.pageInit("account/EmailAccountStateMent", "account/EmailAccountStateMent", {});
    		}else{
    			layerUtils.iAlert(error_info);
    		}
    	})
    }
    //取消Email邮箱
    function delEmail(){
    	var param  = {
//    		"user_id" : appUtils.getSStorageInfo("user_id"),
    		"user_id" : appUtils.getSStorageInfo("userInfo",true).user_id,	
    		"op_type":"4",
            "email":$(_pageId+" .email_span").html()
    	}
    	mobileService.updateEmailAccount(param,function(data){
    		var error_no = data.error_no;
    		var error_info = data.error_info;
    		if(error_no == 0){
    			appUtils.pageInit("account/EmailAccountStateMent", "account/EmailAccountStateMent", {});
    		}else{
    			layerUtils.iAlert(error_info);
    		}
    	})
    }
    //重新绑定Email邮箱
    function newEmail(){
    	var param  = {
//    		"user_id" : appUtils.getSStorageInfo("user_id"),
    		"user_id" : appUtils.getSStorageInfo("userInfo",true).user_id,	
    		"op_type":"3",
            "email":$(_pageId+" .email_span").html()
    	}
    	mobileService.updateEmailAccount(param,function(data){
    		var error_no = data.error_no;
    		var error_info = data.error_info;
    		if(error_no == 0){
    			appUtils.pageInit("account/EmailAccountStateMent", "account/EmailAccountStateMent", {});
    		}else{
    			layerUtils.iAlert(error_info);
    		}
    	})
    }
    //验证邮箱的 js
    function isEmail(str){
	  var reg = /^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+(\.[a-zA-Z0-9_-])+/;
	  return reg.test(str);
	}
    
    function bindPageEvent() {
        //绑定home键 跳转到主界面
        appUtils.bindEvent($(_pageId+" .icon_home"), function(){
        	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");//2017-3-14日修改
        });
        //绑定返回键
        appUtils.bindEvent($(_pageId+" .icon_back"), function(){
        	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");//2017-3-14日修改
        });
        /* 绑定提交新Email邮箱*/
        appUtils.bindEvent($(_pageId+" #offEmail"),function(e){
        	console.log("yangrui___"+isEmail($(_pageId+" #EmailAdd").val()));
        	
        	var emailVal = $(_pageId+"#EmailAdd").val();
			if(emailVal=="")
			{
				layerUtils.iMsg(-1, "邮箱地址不能为空");
			}else 
			if(!isEmail(emailVal))
			{
				layerUtils.iMsg(-1, "邮箱格式输入有误！");
			}else{
				addEmail();
			}
        	
//        	if(isEmail($(_pageId+" #EmailAdd").val())){
//        		addEmail();
//        	}else{
//        		layerUtils.iAlert("邮箱格式错误!");
//        	}
        });
        /* 绑定取消Email邮箱*/
        appUtils.bindEvent($(_pageId+" #openEmail"),function(e){
        	delEmail();
        });
        /* 重新绑定Email邮箱*/
        appUtils.bindEvent($(_pageId+" #newOpenEmail"),function(e){
        	newEmail();
        });
        /* 修改Email邮箱*/
        appUtils.bindEvent($(_pageId+" .email_span"),function(e){
        	appUtils.pageInit("account/EmailAccountStateMent", "account/EmailUpdate", {});
        });
    }
    function destroy() {
    	
    }

    var EmailAccountStateMent = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };

    module.exports = EmailAccountStateMent;
});
