/**
 * 委托方式
 */
define(function(require, exports, module) {
    var appUtils = require("appUtils");
    var gconfig = require("gconfig");
    var global = gconfig.global;
    var validata = require("validatorUtil");
    var layerUtils = require("layerUtils");
    var _pageId = "#account_editDelegate ";
    var mobileService = require("mobileService");
    var external = require("external");
	 var common_sso = require("common_sso");
    //定义全局变量
    var flag;//是否有修改的委托方式
    var errorName;//修改失败的委托方式
    var agreeTypes;//2017-4-11日修改
    var updateStr;

    function init() {
		external.callMessage({"funcNo": "50100","moduleName":"open"}); 
    	var param = {
                "funcNo": "60021",
                "navTitle": "委托方式"
            };
		external.callMessage(param);
		var callback = function(result){
		if(result.error_no!="0"){
				var urlDirect = window.location.href;
				urlDirect = urlDirect.split('www')[0]+"www/m/login/index.html";
				layerUtils.iAlert(result.error_info,-1,function(){
					 appUtils.sendDirect(urlDirect);
				});
			}else{
				flag = true;
				updateStr ="";
				errorName = "";
				initPage();	
			}
		};
		var isLogin = require("external").callMessage({"funcNo":"50041","key":"isLogin"});
		if(isLogin.results[0].value == "1"){
				flag = true;
				updateStr ="";
				errorName = "";
				getUserInfo();
		}else{
			common_sso.zhongZhuLogin(callback);
		}
			
			
			
    	
    }
	function getUserInfo() {
		if(platform == 0){
			userInfo = appUtils.getSStorageInfo("userInfo");
			var zqAccount = appUtils.getSStorageInfo("zqAccount", true);
			appUtils.setSStorageInfo("zqAccount", zqAccount);
			common_sso.synUserInof(userInfo,initPage);
				
		}else{
			var param = {
				"funcNo":"50041",
				"key":"userInfo"
			};
			var result = external.callMessage(param);
			if(result.error_no == "0" || result.error_no == "1") {
				if(JSON.stringify(result.results[0]) == "{}") {
					return false;
				}
				userInfo = result.results[0].value;
				var param = {
					"funcNo":"50041",
					"key":"zqAccount"
				};
				var result = external.callMessage(param);
				if(result.error_no == "0" || result.error_info == "1") {
					zqAccount = result.results[0].value;
					console.log("zhaocheng@@@+++"+zqAccount);
					appUtils.setSStorageInfo("zqAccount", zqAccount);
					//把从内存缓存中的数据取出来存到H5缓存中
				common_sso.synUserInof(userInfo,initPage);
				} else {
					layerUtils.iAlert(result.error_info);
					return false;
				}
			} else {
				layerUtils.iAlert(result.error_info);
				return false;
			}
		}
	}
    function bindPageEvent() {
        //预绑定选择是否开通某个委托方式
        appUtils.preBindEvent($(_pageId+" .wtclass_list"),"a", function(){
            changeState($(this));
        });
        appUtils.bindEvent($(_pageId+" .button"), function(){
        	//清空之前的数据
        	flag = true;
        	updateStr = "";
           // 提交委托方式变更
            $(_pageId+" .wtclass_list li").each(function(){
                if($(this).find('span').attr('entrust_status')!=$(this).find('a').attr('entrust_status'))
                {
                    flag = false;
                    var type;
                    var code;
                    type = $(this).find('span').attr('entrust_status');
                    code = $(this).find('span').attr('entrust_code');
//    				entrust_update.entrust_name = $(this).find('span').text();
    				updateStr=updateStr+code+"_"+type+";";
                }
            });
            if (flag)
            {
                layerUtils.iAlert("委托方式未做修改");
                return;
            }
            if ($(_pageId+" #rule_check").is(":visible") && !$(_pageId+" #rule_check input").is(":checked")) {
                layerUtils.iAlert("请勾选同意以上协议");
                return;
            }
            submitEdit();

        });

        // 绑定返回
        appUtils.bindEvent($(_pageId+" .icon_back"), function() {
            appUtils.clearSStorage("pageFlag");
            var param = {
                    "funcNo": "50114",
                    "moduleName": "open"
                };
		external.callMessage(param);
        });

        // 绑定回到首页
        appUtils.bindEvent($(_pageId+" .icon_home"), function() {
        	var param = {
                    "funcNo": "50114",
                    "moduleName": "open"
                };
		external.callMessage(param);
        });
    }

    function destroy(){

    }

    // 初始化页面，获取委托方式信息
    function initPage() {
        var getDelegate = {
             "user_id":appUtils.getSStorageInfo("user_id"),
            "zj_account":appUtils.getSStorageInfo("fund_account")
        }
        mobileService.getDelegate(getDelegate, function(data){
            var error_no = data.error_no;
            var error_info = data.error_info;
            if(error_no == "0" && data.results.length != 0) {
                var results = data.results;
                var itemElement = "";
                var agreeArray = new Array();
                for(var i =0; i<results.length; i++) {
                    var item = results[i],
                        entrust_name = item.entrust_name,  // 委托方式名称
                        entrust_status = item.entrust_status, // 开通状态：0未开通,1已开通
                        entrust_code = item.entrust_code, // 委托方式代码
                        allow_close = item.allow_close, //是否可以关闭
                        allow_open = item.allow_open, //是否可以开通
                        need_agree = item.need_agree, //是否需要协议
                        agree_Type = item.agree_type; //协议类型
                    	agree_type= item.agree_id;//协议ID

                    //开通状态：未开通
                    if(entrust_status == "0") {
//						if(allow_open == "1"){//可开通的
                        itemElement +="<li><span entrust_code='"+entrust_code+"' entrust_status='"+entrust_status+"' >"+entrust_name+"<a class='sele_icon' entrust_status='"+entrust_status+"' need_agree='"+need_agree+"' agree_type='"+agree_type+"' href='javascript:void(0);'></a></li>";
//						}else{//不可开通的
//							itemElement +="<li><span entrust_code='"+entrust_code+"' entrust_status='"+entrust_status+"' >"+entrust_name+"<a class='sele_icon disable' entrust_status='"+entrust_status+"' need_agree='"+need_agree+"' agree_type='"+agree_type+"' href='javascript:void(0);'></a></li>";
//						}
                    } else if(entrust_status == "1") {//开通状态：已开通
//						if(allow_close == "1"){//可关闭的
                        itemElement +="<li><span entrust_code='"+entrust_code+"' entrust_status='"+entrust_status+"'>"+entrust_name+"<a class='sele_icon open' entrust_status='"+entrust_status+"' need_agree='"+need_agree+"' agree_type='"+agree_type+"' href='javascript:void(0);'></a></li>";
//						}else{//不可关闭的
//							itemElement +="<li><span entrust_code='"+entrust_code+"' entrust_status='"+entrust_status+"'>"+entrust_name+"<a class='sele_icon open disable' entrust_status='"+entrust_status+"' need_agree='"+need_agree+"' agree_type='"+agree_type+"' href='javascript:void(0);'></a></li>";
//						}
                    }
                    if(need_agree=="1" && entrust_status == "0"){
                        agreeArray.push(agree_type);
                    }
                }
                $(_pageId+" .wtclass_list").html(itemElement);
                //获取所有协议
                agreeTypes = agreeArray.join();
                if(validata.isNotEmpty(agreeTypes)){
                    getSign(agreeTypes);
                }
            } else {
//                layerUtils.iAlert(error_info,-1);
//                return false;
            	layerUtils.iAlert(error_info,-1,function(){
            		var param = {
		                    "funcNo": "50114",
		                    "moduleName": "open"
		                };
				external.callMessage(param);
//    				 return false;
    			});
            }
        });
    }
    //获取协议
    function getSign(agreeTypess){
        var param = {
//           "type_code":agreeTypess
        	"agree_no":agreeTypess
        };
        mobileService.getSign(param,function(data){
            var error_no = data.error_no,
                error_info = data.error_info;
            if(error_no == "0"){
                var ruleList = data.results;
                var html = '<input type="checkbox" id="checkbox" /><label>已阅读并同意<br>';
                switch (appUtils.getSStorageInfo("isChecked"))
                {//勾选状态的回显
                    case "1":
                        html = '<input type="checkbox" checked="checked" id="checkbox"/><label>已阅读并同意<br>';
                        break;
                    default:
                        break;
                }
                appUtils.setSStorageInfo("isChecked","");
                if(ruleList!=null)
                {
                    for (var i=0;i<ruleList.length;i++)
                    {
//                        html += '<div id="'+ruleList[i]['type_code']+'" style="display:none;" ><a href="javascript:void(0);" agree_no="'+ruleList[i]['agree_no']+'">《'+ruleList[i]['agree_name']+'》</a></div>';
//                        html += '<div id="'+ruleList[i]['type_code']+'"><a href="javascript:void(0);" agree_no="'+ruleList[i]['agree_no']+'">《'+ruleList[i]['agree_name']+'》</a></div>';
//                        html += '<div id="'+ruleList[i]['type_code']+'" style="display: none;"><a href="javascript:void(0);" agree_no="'+ruleList[i]['agree_no']+'">《'+ruleList[i]['agree_name']+'》</a></div>';
                        html += '<div id="'+ruleList[i]['agree_no']+'" style="display: none;"><a href="javascript:void(0);" agree_no="'+ruleList[i]['agree_no']+'">《'+ruleList[i]['agree_name']+'》</a></div>';
                    }
                    html += '</label>';
                    $(_pageId+" #rule_check").html(html);
                    //绑定-查看协议
                    appUtils.bindEvent($(_pageId+" #rule_check a"),function(){
                        //记录勾选的委托方式和协议勾选
                        var entrust_choose=new Array();
                        $(_pageId+" .wtclass_list li").each(function()
                        {
                            if($(this).find('span').attr('entrust_status')!=$(this).find('a').attr('entrust_status'))
                            {
                                entrust_choose.push($(this).find('span').attr('entrust_code'));
                            }
                        });
                        entrust_choose = entrust_choose.join();
                        appUtils.setSStorageInfo("entrust_choose",entrust_choose);
                        if($(_pageId+" #rule_check input").is(":checked"))
                        {
                            appUtils.setSStorageInfo("isChecked","1");
                        }else
                        {
                            appUtils.setSStorageInfo("isChecked","0");
                        }
                        //跳转到协议内容页
                        appUtils.pageInit("account/editDelegate","account/showProtocol",{"protocol_id" : $(this).attr("agree_no")});
                    });
                    //如果上一页是协议内容页，则回显勾选的账户情况和对应的协议列表
                    if (appUtils.getSStorageInfo("_prePageCode") == "account/showProtocol")
                    {
                        var entrust_choose = appUtils.getSStorageInfo("entrust_choose").split(',');
                        for (var i = 0; i < entrust_choose.length; i++)
                        {
                            $(_pageId+" .wtclass_list li").each(function(){
                                if ($(this).find('span').attr('entrust_code')==entrust_choose[i])
                                {
                                    changeState($(this).find('a'));
                                }
                            });
                        }

                    }
                }
            }else{
                layerUtils.iAlert(error_info,-1);
            }
        },true,true,null);
    }

    // 提交委托方式变更
    function submitEdit() {
        var submitJson = {
                 "user_id":appUtils.getSStorageInfo("user_id"),
            "zj_account":appUtils.getSStorageInfo("fund_account"),
                "updateStr":updateStr
            };
            mobileService.editDelegate(submitJson, function(data){
                var error_no = data.error_no;
                var error_info = data.error_info;
//              var results = data.results[0];
                if(error_no != "0") {
                   // error_flag = false;
//                    errorName = errorName + results.entrust_names +"委托方式修改失败！";//2017-4-14日在做修改
                     layerUtils.iAlert(error_info,-1,function(){
                    	window.location.reload();
                    });
                }else{
                  layerUtils.iAlert("修改成功！",0,function(){
              		window.location.reload();
                  });
                }
                
                
//                if (validata.isNotEmpty(errorName))
//                {
//                    layerUtils.iAlert(errorName,-1,function(){
//                		window.location.reload();
//                    });
//                }else
//                {
//                    // 跳转到业务办理列表页
//                    layerUtils.iAlert("修改成功！",-1,function(){
//                		window.location.reload();
//                    });
//                }
            });
    }

    //改变选择状态
    function changeState($this){
        if(!$this.hasClass("disable"))
        {
            $this.toggleClass("open");
            if($this.hasClass("open"))
            {
                $this.parent().attr("entrust_status", "1");
                if($this.attr("entrust_status")!="1"&&$this.attr("need_agree")=="1")
                {//未开通且需要协议的情况--显示协议
                    var agree_type = $this.attr("agree_type");
                    $(_pageId+" #"+agree_type).show();
                    $(_pageId+" #rule_check").show();
                }
            } else
            {
                $this.parent().attr("entrust_status", "0");
                if($this.attr("entrust_status")!="1"&&$this.attr("need_agree")=="1")
                {//未开通且需要协议的情况--隐藏协议
                    var agree_type = $this.attr("agree_type");
                    $(_pageId+" #"+agree_type).hide();
                    //如果所有的协议都隐藏了，就吧协议的模块都隐藏
                    var is_visible = false;
                    $(_pageId+" #rule_check div").each(function(){
                        if($(this).is(":visible"))
                        {
                            is_visible = true;
                        }
                    });
                    if(!is_visible){
                        $(_pageId+" #rule_check").hide();
                    }
                }
            }
        }
    }

    var editDelegate = {
        "init" : init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };
    module.exports = editDelegate;
});
