/**
* LOF基金权限开通结果页
*/
define(function(require,exports,module) {
    var appUtils = require("appUtils"),
        global = require("gconfig").global,
        layerUtils = require("layerUtils"),
        _pageId = "#account_newTBMResult ";
    var mobileService = require("mobileService");
    var external = require("external");
    var openflag = ""; 
	var asset_flag="";
	var account_flag="";

    function init() {
    	var errorTipHtml = appUtils.getSStorageInfo("errorTipHtml"); 
//    	if(!!errorTipHtml){//错误信息不为空
    	if(errorTipHtml){//错误信息不为空
    	    asset_flag = appUtils.getSStorageInfo("asset_flag_session");//
            account_flag = appUtils.getSStorageInfo("account_flag_session");//
    		$(_pageId+" .content").addClass("white");
			$(_pageId+" .top_tips").html('<p class="error"><span>办理条件不满足</span></p>');
    		$(_pageId+" .result_main").show();
    		$(_pageId+" .result_flag").hide();
    		$(_pageId+" .result_main .must_list ul").html(errorTipHtml);
    	}else{//开通申请成功
    		$(_pageId+" .result_main").hide();
    		$(_pageId+" .result_flag").show();
    	}
    }
   
    function bindPageEvent() {
        //绑定home键 跳转到主界面
        appUtils.bindEvent($(_pageId+" .icon_home"), function(){
//            appUtils.pageInit("permissionOpen/newTBMResult", "account/addIndex",{});
        	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
        });
        
        //绑定回退按钮
        appUtils.bindEvent($(_pageId+" .icon_back"), function(){
//            appUtils.pageBack();
        	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
        });
        
        //确认按钮
        appUtils.bindEvent($(_pageId+" .ce_btn"), function(){
        	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
        });
        
        
        /**********资质不满足跳转页面**********/
    	if(asset_flag =="0"){
			appUtils.bindEvent($(_pageId+" .must_list ul li").eq(0), function(){
				//增开增开增开
				 layerUtils.iMsg(-1,"资产 敬请期待");
        	});
		}	
    	
    	if(account_flag =="0"){
			appUtils.bindEvent($(_pageId+" .must_list ul li").eq(1), function(){
				//增开增开增开
				 layerUtils.iMsg(-1,"增开 敬请期待");
        	});
		}	    
	
        /**********资质不满足跳转页面**********/
    }
   

    function destroy() {
    	appUtils.clearSStorage("errorTipHtml");//清楚错误信息缓存
    	appUtils.clearSStorage("asset_flag_session");//清楚错误信息缓存
    	appUtils.clearSStorage("account_flag_session");//清楚错误信息缓存
//    	appUtils.clearSStorage("trdtime_flag_session");//清楚错误信息缓存
    	$(_pageId+" #result_flag").removeClass("icon_ok").addClass("icon_fail");
		$(_pageId+" .must_list ul").show();
		$(_pageId+" .must_list h5").html("");
		$(_pageId+" .ct_btn a").text("返回");
    }

    var newTBMResult = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };

    module.exports = newTBMResult;
});