
/**
 * 风险测评-结果
 */
define('mall/scripts/userCenter/riskResults.js',function(require, exports, module) {
    var appUtils = require("appUtils");
    var gconfig = require("gconfig");
    var mobileService = require("mobileService"); //业务层接口，请求数据
    var global = gconfig.global;
    var layerUtils = require("layerUtils");
    var fundUtils = require("mall/scripts/common/fundUtils");
    var common = require("common");
    var _pageId="#account_riskResults ";
    var product_code="";

    /*初始化*/
    function init() {
        // $(_pageId+".main").css({"overflow-y":"auto","overflow-x":"hidden","height":($(window).height())+"px"});

        var khh = appUtils.getSStorageInfo("khh");//判断返回是够绑定了客户号
        if (khh == "") {
            var param2 = {
                "counTer": "请您用客户号登入！"
            };
            common.popupMethod(param2);
            appUtils.pageInit("userCenter/riskResults", "userCenter/wd");
        } else {
            //初始化页面
            initPage();
            //适当性签名告知函
            getSign();

            // 	var  param={
            // 			"fid_khh": khh
            // 		};
            // 		service.findFundFxce(param,function(data){
            // 			if(data.error_no=="0"){
            // 				var result=data.results;
            // 				var risk_level=result[0].fid_fxcsnl;//测评的结果
            // 				var fid_jjfxpgrq = result[0].fid_jjfxpgrq;//测评的时间
            // 				var type=result[0].type;
            // 				if(risk_level!=""&&typeof(risk_level)!="undefined"){//有风险等级的
            // 					if(type=="1"){//表示过期了
            // 						$(_pageId+" #fund_overdue").html("您的风险评测状态为 :已过期 ");
            // 					}else{
            // 						var risk_name;
            // 						if(risk_level == "1"){
            // 							risk_name = "保守型";
            // 						}else if(risk_level == "2"){
            // 							risk_name = "谨慎型";
            // 						}else if(risk_level == "3"){
            // 							risk_name = "稳健型";
            // 						}else if(risk_level == "4"){
            // 							risk_name = "积极型";
            // 						}else if(risk_level == "5"){
            // 							risk_name = "激进型";
            // 						}
            // 					$(_pageId+" .risk-result-con").find("h4").html(risk_name);
            // 					$(_pageId+" #fund_type").html("您的风险评测结果为 : "+risk_name);
            // 					$(_pageId+" #fund_time").html("您的风险评测时间为 : "+fid_jjfxpgrq);
            // 					$(_pageId+" #fund_overdue").html("您的风险评测状态为 :正常 ");
            // 				}
            // 				}else{//没有做风险测评的
            // 					appUtils.pageInit("userCenter/riskResults","userCenter/fundRisk");
            // 				}
            // 			}
            // 		});
            // }
        }

    }
        function bindPageEvent()
        {
            /* 绑定返回事件 */
            appUtils.bindEvent($(_pageId+" .icon_back"),function(){
                appUtils.pageInit("userCenter/riskResults","userCenter/wd");
            });

            /* 重新测评 */
            // appUtils.bindEvent($(_pageId+" .risk-result-btn .thinkive a"),function(){
            // 	var param={
            // 			"pageCode":"userCenter_riskResults"
            // 	};
            // 	appUtils.pageInit("userCenter/riskResults","userCenter/fundRisk",param);
            // });

            /* 重新测评 */
            appUtils.bindEvent($(_pageId+" #reset"),function(){
                var param={
                    "pageCode":"userCenter_riskResults"
                };
                appUtils.pageInit("userCenter/riskResults","userCenter/fundRisk",param);
            });

            //点击下一步按钮
            appUtils.bindEvent($(_pageId+" #next"),function(){

                if(!$(_pageId+" #check_off").hasClass("on")){
                    layerUtils.iAlert("您还未勾选相关协议，请先勾选",-1);
                    return;
                }
                //验签以及插入流水
                selectSign();
            });

            //点击签署协议
            appUtils.bindEvent($(_pageId+" #check_off"),function(){
                if(this.hasClass("on")){
                    this.removeClass("on");
                }else{
                    this.addClass("on");
                }
            });
        }


        //初始化页面
        function initPage(){

            var check_off=appUtils.getSStorageInfo("check_off");
            if(check_off){
                $(_pageId+" #check_off").addClass("on");
            }else{
                $(_pageId+" #check_off").removeClass("on");
            }

            var  user_id = appUtils.getSStorageInfo("userInfo",true).user_id;
            var  zj_account=appUtils.getSStorageInfo("zqAccount",true);
            var  param={
                "user_id": user_id,
                "zj_account": zj_account,
                "op_source": "5"
            };

            //业务办理查询风险测评结果
            mobileService.ZQaccount(param,function(data){
                if(data.error_no=="0"){
                    var result=data.results[0];
                    var risk_level=result.risklevel;//风险等级
                    var riskvalue=result.riskvalue;//风险分数
                    var status=result.status;//风险测评是否过期状态
                    var subitemname=result.subitemname;//风险名称
                    var service_time="";//拟投资期限
                    var service_varieties="";//拟投资品种
                    var service_level="";//建议办理业务

                    if(risk_level!=""&&typeof(risk_level)!="undefined") {//有风险等级的
                        if (status == "0") {//表示过期了 ping_c
                            $(_pageId + " #mainShow").find("h5").html("已过期");
                            $(_pageId + " #mainShow").find("p").html("您的风险评测状态为:已过期 ");
                            //  $(_pageId+" #next").hide();//要求客户做风险测评，告知函取消
                        } else {
                            $(_pageId + " #ping_c").show();
                            var risk_name = "";
                            var risk_desrc = "";
                            if (risk_level == "1") {
                                risk_name = "保守型";
                                risk_desrc = "低风险产品";
                            } else if (risk_level == "2") {
                                risk_name = "谨慎型";
                                risk_desrc = "中低风险或低风险产品";
                            } else if (risk_level == "3") {
                                risk_name = "稳健型";
                                risk_desrc = "中高风险、中风险、中低风险或低风险产品";
                            } else if (risk_level == "4") {
                                risk_name = "积极型";
                                risk_desrc = "中高风险、中风险、中低风险或低风险产品";
                            } else if (risk_level == "5") {
                                risk_name = "激进型";
                                risk_desrc = "高风险、中高风险、中风险、中低风险或低风险产品";
                            }
                            if (risk_name == null || risk_name == "") {
                                risk_name = subitemname;
                            }
                            $(_pageId + " #mainShow").find("h5").html(risk_name);
                            $(_pageId + " #mainShow").find("p").html("您当前的风险等级适合买一些" + risk_desrc);

                            //测评须知
                            $(_pageId + " #service_time").html(service_time);
                            $(_pageId + " #service_varieties").html(service_varieties);
                            $(_pageId + " #service_level").html(service_level);

                        }
                    }
                }
            });
        }


            //获取协议
            function getSign(){
                var param = {
                    // "user_id":appUtils.getSStorageInfo("user_id",true),
                    // "protocol_type":"gzh"
                    "agree_no":"gzh"
                };
                mobileService.gzhProtocol(param,function(data){
                    var error_no = data.error_no,
                        error_info = data.error_info;
                    if(error_no == "0"){
                        var results = data.results,
                            allProtocols = "";
                        //获取相关数据
                        if(results[0].id){//ID
                            appUtils.setSStorageInfo("id", results[0].id);
                        }
                        if(results[0].business_id){//业务ID
                            appUtils.setSStorageInfo("business_id", results[0].business_id);
                        }
                        if(results[0].business_code){//业务类型
                            appUtils.setSStorageInfo("business_code", results[0].business_code);
                        }
                        if(results[0].agree_name){//协议名称
                            appUtils.setSStorageInfo("agree_name", results[0].agree_name);
                        }
                        if(results[0].agree_no){//协议编号
                            appUtils.setSStorageInfo("agree_no", results[0].agree_no);
                        }
                        if(results[0].agree_version){//协议版本
                            appUtils.setSStorageInfo("agree_version", results[0].agree_version);
                        }
                        if(results[0].out_date){//过期时间
                            appUtils.setSStorageInfo("out_date", results[0].out_date);
                        }

                        allProtocols += "<a href=\"javascript:;\" protocol-id=\""+results[0].id+"\" id=\"protocol0\">《"+results[0].agree_name+"》</a>";
                        $(_pageId+" #xyShow").html(allProtocols);
                        // 预绑定查看协议的事件
                        appUtils.preBindEvent($(_pageId+" #xyShow"),"#protocol0",function(e){
                            if($(_pageId+" #check_off").hasClass("on")){
                                appUtils.setSStorageInfo("check_off", true);
                            }else{
                                appUtils.setSStorageInfo("check_off", false);
                            }
                            appUtils.pageInit("userCenter/fundRisk","userCenter/showProtocol",{"protocol_id" : $(this).attr("protocol-id")});
                            e.stopPropagation();
                        });
                    }else{
                        layerUtils.iAlert(error_info,-1,function () {
                            appUtils.pageInit("userCenter/fundRisk","userCenter/wd");
                        });
                    }
                });
            }

            //获取签名值
            function selectSign(){
                var param = {
                    "fundaccount":appUtils.getSStorageInfo("zqAccount",true),
                    "user_id":appUtils.getSStorageInfo("user_id",true),
                    "name":appUtils.getSStorageInfo("name"),
                    "type":appUtils.getSStorageInfo("agree_type"),
                    "protocol_name":appUtils.getSStorageInfo("agree_name"),
                    "protocol_version":appUtils.getSStorageInfo("agree_version"),
                    "signing_status":1,//1为签署   0未签署
                    "signature_channel":global.opSource,//签署渠道
                    "channel_type":global.opSource,//渠道类型
                    "channel_version_number":appUtils.getSStorageInfo("agree_version"),//渠道版本号
                    "md5":appUtils.getSStorageInfo("md5"),//MD5值
                    "protocol_content":appUtils.getSStorageInfo("agree_content")  //协议内容
                };
                mobileService.insertSignProtocol(param,function(data){
                    if(data.error_no == "0"){
                           appUtils.pageInit("userCenter/fundRisk","userCenter/wd");
                    }else{
                        layerUtils.iMsg("-1",data.error_info,function (){
                            appUtils.pageInit("userCenter/fundRisk","userCenter/wd");
                        });
                        return false;
                    }
                });
            }

            function destroy()
            {
                mobileService.destroy();
            }

            var riskResults =
                {
                    "init" : init,
                    "bindPageEvent": bindPageEvent,
                    "destroy": destroy
                };

            module.exports = riskResults;

        });
