/**
* 结果页
*/
define(function(require,exports,module) {
    var appUtils = require("appUtils"),
        global = require("gconfig").global,
        layerUtils = require("layerUtils"),
        _pageId = "#permissionOpen_failInfo ";
    var mobileService = require("mobileService");
    var permissionOpen_error_busi;

    function init() {
    	var permissionOpen_error_info = appUtils.getSStorageInfo("permissionOpen_error_info");
    	var permissionOpen_error_account = appUtils.getSStorageInfo("permissionOpen_error_account");
    	permissionOpen_error_busi = appUtils.getSStorageInfo("permissionOpen_error_busi");
    	$(_pageId+" #error_info").text(permissionOpen_error_info);
    	$(_pageId+" #error_stkbd").html(permissionOpen_error_account);
    };
    
    
    function bindPageEvent() {
        //绑定home键 跳转到主界面
        appUtils.bindEvent($(_pageId+" .icon_home"), function(){
//            appUtils.pageInit("permissionOpen/failInfo", "account/addIndex",{});
        	appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
        });
		//绑定返回按钮
		appUtils.bindEvent($(_pageId+" .icon_back"),function(){
//			appUtils.pageBack();
			appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
		});
		//绑定重新申请按钮
		appUtils.bindEvent($(_pageId+" #button"),function(){
			if(permissionOpen_error_busi=="finishingStock"){
				reFinishingStock();
			}else if(permissionOpen_error_busi=="riskWarning"){
				reRiskWarning();
			}else if(permissionOpen_error_busi=="LOF"){
				reLOF();
			}else if(permissionOpen_error_busi=="goldETF"){
				reGoldETF();
			}else if(permissionOpen_error_busi=="nationalDebt"){
				reNationalDebt();
			}else if(permissionOpen_error_busi=="otc"){
				reOtc();
			}
		});
		
    }
    //重新申请退市股票
    function reFinishingStock(){
//    	var param ={
//    			"user_id" : appUtils.getSStorageInfo("user_id")
//    			};
    	var param ={
    			"user_id":appUtils.getSStorageInfo("userInfo",true).user_id
    			};
        mobileService.confirmFinishingStock(param,function(data){
        	  var error_no = data.error_no,
                error_info = data.error_info;
            if(error_no == "0"){
                appUtils.setSStorageInfo("permissionOpen_error_info","");
                appUtils.setSStorageInfo("permissionOpen_error_account","");
                appUtils.setSStorageInfo("permissionOpen_error_busi","");
            	appUtils.pageInit("permissionOpen/failInfo", "permissionOpen/finishingStockIndex",{});
            }else{
                layerUtils.iAlert(error_info,-1);
            }
        });
    }
    //重新申请风险警示
    function reRiskWarning(){
//    	var param ={"user_id" : appUtils.getSStorageInfo("user_id")};
    	var param ={
    			"user_id":appUtils.getSStorageInfo("userInfo",true).user_id
    			};
        mobileService.confirmRiskWarning(param,function(data){
        	var error_no = data.error_no,
                error_info = data.error_info;
            if(error_no == "0"){
                appUtils.setSStorageInfo("permissionOpen_error_info","");
                appUtils.setSStorageInfo("permissionOpen_error_account","");
                appUtils.setSStorageInfo("permissionOpen_error_busi","");
            	appUtils.pageInit("permissionOpen/failInfo", "permissionOpen/riskWarningIndex",{});
            }else{
                layerUtils.iAlert(error_info,-1);
            }
        });
    }
    //重新申请LOF
    function reLOF(){
//    	var param ={"user_id" : appUtils.getSStorageInfo("user_id")};
    	var param ={
    			"user_id":appUtils.getSStorageInfo("userInfo",true).user_id
    			};
        mobileService.confirmLOF(param,function(data){
        	var error_no = data.error_no,
                error_info = data.error_info;
            if(error_no == "0"){
                appUtils.setSStorageInfo("permissionOpen_error_info","");
                appUtils.setSStorageInfo("permissionOpen_error_account","");
                appUtils.setSStorageInfo("permissionOpen_error_busi","");
            	appUtils.pageInit("permissionOpen/failInfo", "permissionOpen/LOFIndex",{});
            }else{
                layerUtils.iAlert(error_info,-1);
            }
        });
    }
    //重新申请黄金ETF
    function reGoldETF(){
//    	var param ={"user_id" : appUtils.getSStorageInfo("user_id")};
    	var param ={
    			"user_id":appUtils.getSStorageInfo("userInfo",true).user_id
    			};
        mobileService.confirmGoldETF(param,function(data){
        	var error_no = data.error_no,
                error_info = data.error_info;
            if(error_no == "0"){
                appUtils.setSStorageInfo("permissionOpen_error_info","");
                appUtils.setSStorageInfo("permissionOpen_error_account","");
                appUtils.setSStorageInfo("permissionOpen_error_busi","");
            	appUtils.pageInit("permissionOpen/failInfo", "permissionOpen/goldETFIndex",{});
            }else{
                layerUtils.iAlert(error_info,-1);
            }
        });
    }
    //重新申请国债逆回购
    function reNationalDebt(){
//    	var param ={"user_id" : appUtils.getSStorageInfo("user_id")};
    	var param ={
    			"user_id":appUtils.getSStorageInfo("userInfo",true).user_id
    			};
        mobileService.confirmNationalDebt(param,function(data){
        	var error_no = data.error_no,
                error_info = data.error_info;
            if(error_no == "0"){
                appUtils.setSStorageInfo("permissionOpen_error_info","");
                appUtils.setSStorageInfo("permissionOpen_error_account","");
                appUtils.setSStorageInfo("permissionOpen_error_busi","");
            	appUtils.pageInit("permissionOpen/failInfo", "permissionOpen/nationalDebtIndex",{});
            }else{
                layerUtils.iAlert(error_info,-1);
            }
        });
    }
    //重新申请OTC
    function reOtc(){
    	var param ={
//    			"user_id" : appUtils.getSStorageInfo("user_id")
    			"user_id":appUtils.getSStorageInfo("userInfo",true).user_id
    			,"fund_account":appUtils.getSStorageInfo("zqAccount",true)};
  	    mobileService.otcConfirm(param,function(data){
        	var error_no = data.error_no,
                error_info = data.error_info;
            if(error_no == "0"){
                appUtils.setSStorageInfo("permissionOpen_error_info","");
                appUtils.setSStorageInfo("permissionOpen_error_account","");
                appUtils.setSStorageInfo("permissionOpen_error_busi","");
            	appUtils.pageInit("permissionOpen/failInfo", "permissionOpen/otc",{});
            }else{
                layerUtils.iAlert(error_info,-1);
            }
        });
    }
    
    function destroy() {
        $(_pageId).remove();
    }

    var failInfo = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };

    module.exports = failInfo;
});