define(function(require, exports, module) {
    var appUtils = require("appUtils");
    var gconfig = require("gconfig");
    var global = gconfig.global;
    var validata = require("validatorUtil");
    var layerUtils = require("layerUtils");
    var _pageId ="#threeDepository_bankPassword ";
    var pageId = "threeDepository_bankPassword";
    var mobileService = require("mobileService");
    var external = require("external");
	var endecryptUtils = require("endecryptUtils");
	var modulus,publicExponent;//加密串
	
    function init() {
    	   $(_pageId+" #password").val("");
    }

    function bindPageEvent() {
        appUtils.bindEvent($(_pageId+" .icon_home"), function(){
            appUtils.clearSStorage("inputMoney");
            appUtils.clearSStorage("selectBankCard");
            appUtils.clearSStorage("selectBank_url");
            appUtils.clearSStorage("bank_code");
            appUtils.clearSStorage("fund_accountBank");
            appUtils.clearSStorage("fund_account_bank");//清楚本次操作的资金账号
//          appUtils.pageInit("threeDepository/bankPassword", "account/addIndex", {});
            appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");  
        });

        //绑定返回
        appUtils.bindEvent($(_pageId+" .icon_back"), function(){
            appUtils.pageBack();
        });

        // 提交密码
        appUtils.bindEvent($(_pageId+" .ce_btn"), function(){
        	var zjpwd =$(_pageId+" #password").val();
        	if(zjpwd == "") {
                layerUtils.iAlert("请输入资金密码");
                return false;
            }
        	rsa(zjpwd);
        });
    }
    
	function rsa(pwd){
//		//密码传输加密
////		var pwd = $(_pageId + " #password").attr("value");
//		var pwd = $(_pageId + " .input_form #password").val();
////		alert(pwd);
////		return;
			if(modulus && publicExponent){
				pwd = endecryptUtils.rsaEncrypt(modulus,publicExponent,pwd);
				submit(pwd);
			}else{
//				mobileService.getRsaKey({},function(data){    2017-4-9日修改
				mobileService.getRSAKey({},function(data){
					if(data && data!=null){
						if(data.error_no == "0"){
							var result = data.results;
							modulus = result[0]["modulus"];
							publicExponent = result[0]["publicExponent"];
							pwd = endecryptUtils.rsaEncrypt(modulus,publicExponent,pwd);
							submit(pwd);
						}else{
							layerUtils.iAlert(data.error_info,-1);
							return false;
						}
					}else{
						layerUtils.iAlert("网络错误，请重试",-1);
						return false;
					}
				});
			}
	}
    
    function submit(pwd){
        	var handleMoney = {
//              "user_id":appUtils.getSStorageInfo("user_id"),
//              "fund_account":appUtils.getSStorageInfo("curr_loginid"), // 资金账号
//				"op_account":appUtils.getSStorageInfo("curr_loginid"), // 银证转账操作的资金帐号
//				"bank_code":appUtils.getSStorageInfo("bank_code"), // 银行编号
//				"money_type":"0", // 货币种类
//				"bankNum":appUtils.getSStorageInfo("account"), //银行卡号
//              "money":appUtils.getSStorageInfo("fetch_balance"), //金额
//              "PINCode":$(_pageId+" .text").val(), //银行卡密码
//              "flag":"1"  // 0充值 1提现
          		
          		"user_id":appUtils.getSStorageInfo("userInfo",true).user_id,
                  "fund_account":appUtils.getSStorageInfo("zqAccount",true), // 资金账号
  				"op_account":appUtils.getSStorageInfo("fund_account_bank"), // 银证转账操作的资金帐号"op_account": \
  				"bank_code":appUtils.getSStorageInfo("bank_code"), // 银行编号
  				"money_type":"0", // 货币种类
  				"bankNum":appUtils.getSStorageInfo("account"), //银行卡号
                  "money":appUtils.getSStorageInfo("fetch_balance"), //金额
                  "PINCode":pwd, //银行卡密码
//                  "PINCode":"123321", //银行卡密码
                  "flag":"1"  // 0充值 1提现
          };
          mobileService.handleMoney(handleMoney, function(data){
              var error_no = data.error_no;
              var error_info = data.error_info;
              if(error_no == "0") {
              	appUtils.clearSStorage("checkTradeRecored");//交易记录条件是否满足
				appUtils.clearSStorage("checkCurrBusiness");//在途业务条件是否满足
				appUtils.clearSStorage("checkBalance");//余额条件是否满足
//					appUtils.clearSStorage("checkInterestBase");//利息基数条件是否满足
                  appUtils.pageInit("threeDepository/bankPassword", "threeDepository/bankCardChangeInfo",{});
              }else{
                  layerUtils.iAlert(error_info);
                  return false;
              }
          });
    }
    
    
    function destroy() {
    	$(_pageId+" #password").val("");	
    	mobileService.destroy();
    }

    var bankPassword = {
        "init" : init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };
    module.exports = bankPassword;
});
