define(function(require, exports, module) {
	var appUtils = require("appUtils");
	var gconfig = require("gconfig");
	var global = gconfig.global;
	var validatorUtil = require("validatorUtil");
	var layerUtils = require("layerUtils");
	var _pageId ="#threeDepository_thirdDepository ";
	var mobileService = require("mobileService");
	var external = require("external");
	var utils = require("utils");
	var fund_account = null;
	var protocol = null;  // 协议保存
	var pageId = "threeDepository_thirdDepository";
	var platform = gconfig.platform;
	var userInfo;
	var iscard;
	var zzispwd;
	var zzbindtype;
	//将三方存管页面的信息保存在此，以便从选择协议展示页面返回回来获取不了
	var	saveOriginalParam = {
		"banckName" : "",		//银行名称
		"bankcode" : "",		//银行编号
		"iscard" : "",			//是否需要银行卡
		"zzbindtype" : "",		//银行绑定类型
		"bankcard" : "",		//银行卡号
		"bankpwd" : "", 		//银行密码
		"pwdShowVal" : "",		//密码显示值
		"protocol_id" : ""  	//协议编号
	};
	var endecryptUtils = require("endecryptUtils");
	var modulus,publicExponent;//加密串
	//数字键盘
//	var KeyPanel = require('keyPanel');
//	var myKeyPanel = new KeyPanel();
//    var keyboard;
    
	function init() {
		$(_pageId+" .rule_check").hide();  //隐藏协议展示
		if(platform == "0"){
			$(_pageId+" .input_form input").removeAttr("readonly");
		}
	
			
//		if (appUtils.getSStorageInfo("_prePageCode") == "myAccount/accountInfo") {
//			appUtils.setSStorageInfo("pageFlag", "myAccount/accountInfo");
//		}
		
		//选择了银行后返回
		if(appUtils.getSStorageInfo("_prePageCode") == "threeDepository/bankList") {
			$(_pageId+" .bank_select").html("");
			$(_pageId+" #selectBank strong").text("选择银行");  // 清理银行卡的名字
			$(_pageId+" #bankcode").val("");  // 清理银行卡号
			$(_pageId+" #password").val(""); // 清理银行密码
			$(_pageId+" .rule_check").hide();  //隐藏协议展示
			var bankInfo = appUtils.getPageParam();
			if (bankInfo!=null) {
				var bankcode = bankInfo.bankcode;
				var banckName = bankInfo.bankname;
				zzbindtype = bankInfo.zzbindtype;
				var bank_small_url = bankInfo.bank_small_url;
				iscard = bankInfo.iscard;
				zzispwd = bankInfo.zzispwd;
				var agree_no = bankInfo.agree_no;
				addBankItem(banckName,bankcode,zzbindtype,bank_small_url,iscard,agree_no,zzispwd);
			}
		}//从协议内容页面进入
		else if(appUtils.getSStorageInfo("_prePageCode") == "threeDepository/showProtocol")
		{
			$(_pageId+" .bank_select").html("<img src="+appUtils.getSStorageInfo("oriBankUrl")+">"+appUtils.getSStorageInfo("oriBanckName")+"");
			$(_pageId+" .input_form .bank_select").attr("bankcode",appUtils.getSStorageInfo("oriBankcode"));					//银行编号
			$(_pageId+" .input_form .bank_select").attr("iscard",appUtils.getSStorageInfo("oriIscard"));  						//是否需要卡号
			$(_pageId+" .input_form .bank_select").attr("zzbindtype",appUtils.getSStorageInfo("oriZzbindtype"));  				//银行绑定方式
			if (validatorUtil.isNotEmpty(appUtils.getSStorageInfo("oriBankcard"))) {
				$(_pageId+" .input_form #bankcode").val(appUtils.getSStorageInfo("oriBankcard")); 	
			}
			if (validatorUtil.isNotEmpty(appUtils.getSStorageInfo("oriBankpwd"))) {
				$(_pageId+" .input_form #password").val(appUtils.getSStorageInfo("oriBankpwd")); //返回密码值
			}
//			id = appUtils.getSStorageInfo("oriBankcode");
			var agree_nos = appUtils.getSStorageInfo("agree_no");
			getDepositoryAgreement(agree_nos);  // 获取银行协议内容
			addBankItem(appUtils.getSStorageInfo("oriBanckName"),appUtils.getSStorageInfo("oriBankcode"),appUtils.getSStorageInfo("oriZzbindtype"),
			appUtils.getSStorageInfo("oriBankUrl"),appUtils.getSStorageInfo("oriIscard"),agree_nos,appUtils.getSStorageInfo("oriZzispwd"));
			
			if (appUtils.getSStorageInfo("oriIs_checked")=="checked") {
				$(_pageId+" #checkbox").attr("checked",true);
			}
		}
		else{
			cleanPageElement();
		}
	}

	function bindPageEvent() {
		///////////////////////键盘start//////////////////////////////////
   		/**
		 * 点击页面其他地方隐藏键盘
		 */
//		appUtils.bindEvent($(_pageId), function(e){
////			myKeyPanel.close();
//			e.stopPropagation();
//		}, "click");
//		
		/**
		 * 点击输入框
		 */
//		appUtils.bindEvent($(_pageId + " .field .input"), function(e){
//			var keyPanelConfig = {
//					isSaveDom: false, // 是否保存键盘 DOM 在页面中
//					beforeInitFunc: function(){
//						console.log("beforeInitFunc");
//					},
//					afterInitFunc: function(){
//						console.log("afterInitFunc");
//					},
//					beforeCloseFunc: function(){
//						console.log("beforeCloseFunc");
//					},
//					afterCloseFunc: function(){
//						console.log("afterCloseFunc");
//					}
//			};
//			var isPwd = $(_pageId + " .field .input").index(this) == 1 ? true : false; // 数字键盘采用密码输入
//			myKeyPanel.init(this, 2, isPwd, keyPanelConfig);
//			e.stopPropagation();
//		}, "click");
		
		/**
		 * 键盘输入事件
		 */
//		appUtils.bindEvent($(_pageId + " .field .input"), function(e){
////			console.log($(this).attr("value") + "当前操作：" + e.detail["optType"] + "，当前输入值：" + e.detail["curValue"]);
//			//限制密码输入长度
//			if($(this).attr("id")=="password"){
//				var value = $(this).attr("value");
//				if (value.length>6) {
//					value = value.substr(0,6);
//					$(this).attr("value",value);
//					var html = $(this).find("em").html().substr(0,6);
//					$(this).find("em").html(html);
//				}
//			}
//			//限制银行卡号输入长度
//			if($(this).attr("id")=="bankcode"){
//				var value = $(this).attr("value");
//				if (value.length>19) {
//					value = value.substr(0,19);
//					$(this).attr("value",value);
//					var html = $(this).find("em").html().substr(0,19);
//					$(this).find("em").html(html);
//				}
//			}
//			e.stopPropagation();
//		}, "input");
		
		////////////////////////////键盘end/////////////////////////////////////
		//绑定选择银行
		appUtils.bindEvent($(_pageId+" #selectBank"), function(e){
//			myKeyPanel.close();
			e.stopPropagation();
			appUtils.setSStorageInfo("returnPage","threeDepository/thirdDepository");
			appUtils.pageInit("threeDepository/thirdDepository", "threeDepository/bankList",{});
		});
		
		//绑定返回
		appUtils.bindEvent($(_pageId+" .icon_back"), function(e){
//			myKeyPanel.close();
			e.stopPropagation();
			
			/*******************************2017-4-6日修改 返回先不做处理*************************************/
//			if(appUtils.getSStorageInfo("accountInfoFlag")=="accountInfoFlag") {
//				appUtils.clearSStorage("accountInfoFlag");
//				appUtils.pageInit("threeDepository/thirdDepository", "myAccount/accountInfo", {});
//			}else if(appUtils.getSStorageInfo("_prePageCode")=="account/index"){
////				appUtils.clearSStorage("pageFlag");
//				appUtils.pageInit("threeDepository/thirdDepository", "account/index", {});
//			}else if(appUtils.getSStorageInfo("_prePageCode")=="chargeMoney/selectBank"){
////				appUtils.clearSStorage("pageFlag");
//				appUtils.pageInit("threeDepository/thirdDepository", "chargeMoney/selectBank", {});
//			}else if(appUtils.getSStorageInfo("_prePageCode")=="tx/selectBank"){
////				appUtils.clearSStorage("pageFlag");
//				appUtils.pageInit("threeDepository/thirdDepository", "tx/selectBank", {});
//			}else if(appUtils.getSStorageInfo("addBackCard") == "addBackCard"){
//				appUtils.clearSStorage("addBackCard");
//				appUtils.pageInit("threeDepository/thirdDepository", "threeDepository/showBankCard",{});
//			}else{
// //				appUtils.clearSStorage("pageFlag");
//				appUtils.pageInit("threeDepository/thirdDepository", "account/index", {});
//			}
			
			appUtils.pageInit("threeDepository/thirdDepository", "threeDepository/showBankCard",{});
			/********************************************************************/
			
		});

		/* 签署银行相关协议  */
		appUtils.bindEvent($(_pageId+" #checkbox"),function(e){
//			myKeyPanel.close();
		});
		
		/* 银行卡号输入控制（每四位分隔） */
//		appUtils.bindEvent($(_pageId+" .bankcard"),function(){
//			utils.dealIPhoneMaxLength(this,21); // 处理iphone兼容
//			utils.showBigNo(this,2);  // 调用放大镜插件
//		},"input");
		
		// 绑定开通三方存管
		appUtils.bindEvent($(_pageId+" #button"), function(e){
//			myKeyPanel.close();
		 	// 验证是否选择银行
			if (!validateSelectBank()) {
				return false;
			}
			//银行卡号和密码的校验判断
			if(zzbindtype == 1)   // 判断一步式
			{
				if(!validateBankCorrect())  // 验证银行卡号
				{
					return false;
				}
				if(zzispwd == 1)  // 验证是否需要密码
				{
					if(!validateBankPwd())
					{
						return false;
					}
				}
			}
			if(zzbindtype == 2)  // 判断预指定(二步式)
			{
				if(iscard == 1)  // 需要银行卡
				{
					if(!validateBankCorrect())  // 验证银行卡号
					{
						return false;
					}
				}
			}
			if(zzbindtype == 3)  // 判断预指定(二步式)和一步式都支持
			{
				if(iscard == 1)  // 需要银行卡
				{
					if(!validateBankCorrect())  // 验证银行卡号
					{
						return false;
					}
				}
				else // 银行卡选填
				{
//					if($(_pageId+" #bankcode").attr("value")!=""){
					if($(_pageId+" #bankcode").val() != ""){
						if(!validateBankCorrect())  // 验证银行卡号
						{
							return false;
						}
					}
				}
				
				if(zzispwd == 1)  // 验证是否需要密码
				{
					if(!validateBankPwd())
					{
						return false;
					}
				}
				
			}
//			if(!$(_pageId+" #checkbox").attr("checked")==true){
			if($(_pageId+" #checkbox").prop("checked")==false){
				layerUtils.iAlert("请勾选同意三方存管协议",-1);
				return false;
			} else {
				//验签
				getSignProtocl(protocol);
			}
		});
		// 绑定回到首页
		appUtils.bindEvent($(_pageId+" .icon_home"), function(e) {
//			myKeyPanel.close();
			e.stopPropagation();
//			appUtils.pageInit("threeDepository/thirdDepository", "account/addIndex", {});
			appUtils.sendDirect("../mall/index.html#!/userCenter/wd.html");
		});
	}
	
	function destroy() {
//		myKeyPanel.close();
		$(_pageId+" .bank_select").html("");
		$(_pageId+" #selectBank strong").text("选择银行");  // 清理银行卡的名字
		$(_pageId+" #bankcode").val("");  // 清理银行卡号
		$(_pageId+" #password").val(""); // 清理银行密码
		$(_pageId+" .rule_check").hide();  //隐藏协议展示
	}
	
	/* 为选择银行列表添加选中银行数据 */
	function addBankItem(banckName,bankcode,zzbindtype,bank_small_url,iscard,agree_no,zzispwd) {
		// 显示银行的签约信息
		$(_pageId+" .bank_select").html("<img src="+bank_small_url+">"+banckName+"");
		$(_pageId+" .bank_select").attr("bankcode", bankcode);
		$(_pageId+" .bank_select").attr("iscard",iscard);
		$(_pageId+" .bank_select").attr("zzbindtype",zzbindtype);
		getDepositoryAgreement(agree_no);  // 获取银行协议内容
		if(zzbindtype == 1)   // 判断一步式
		{
			if(zzispwd == 0)  // 不需要输入密码
			{
				$(_pageId+" #bank_tip").html("此银行为一步式银行，只需要账号");
				$(_pageId+" #bankcardPwd").hide();  // 隐藏银行密码输入框
			}
			else   // 需要输入密码
			{
				$(_pageId+" #bank_tip").html("此银行为一步式银行，需要账号和密码");
				$(_pageId+" #bankcardPwd").show();  // 显示银行密码输入框
			}
			$(_pageId+" #bankcard").show();  //显示银行卡
		}
		if(zzbindtype == 2)  // 判断预指定(二步式)
		{
			if(iscard == 1)  // 需要银行卡
			{
				$(_pageId+" #bank_tip").html("此银行为预指定银行，只需要账号");
				$(_pageId+" #bankcard").show();  //显示银行卡
				$(_pageId+" #bankcardPwd").hide();  // 隐藏银行密码输入框
			}
			else // 不需要银行卡
			{
				$(_pageId+" #bank_tip").html("此银行为预指定银行，不需要账号和密码");
				$(_pageId+" #bankcard").hide();  //隐藏银行卡
				$(_pageId+" #bankcardPwd").hide();  // 隐藏银行密码输入框
			}
		}
		if(zzbindtype == 3)  // 判断预指定(二步式)和一步式都支持
		{
			if(iscard == 1)  // 需要银行卡
			{
				$(_pageId+" #bankcard").show();  //显示银行卡
				if(zzispwd == 0)  // 不需要输入密码
				{
					$(_pageId+" #bank_tip").html("此银行同时支持一步式和预指定绑定，账号为必填");
					$(_pageId+" #bankcardPwd").hide();  // 隐藏银行密码输入框
				}
				else   // 需要输入密码
				{
					$(_pageId+" #bank_tip").html("此银行同时支持一步式和预指定绑定，账号为必填，密码可选填");
					$(_pageId+" #bankcardPwd").show();  // 显示银行密码输入框
				}
			}
			else // 不需要银行卡
			{
				$(_pageId+" #bankcard").show();  //显示银行卡
				if(zzispwd == 0)  // 不需要输入密码
				{
					$(_pageId+" #bank_tip").html("此银行同时支持一步式和预指定绑定，账号为选填");
					$(_pageId+" #bankcardPwd").hide();  // 隐藏银行密码输入框
				}
				else   // 需要输入密码
				{
					$(_pageId+" #bank_tip").html("此银行同时支持一步式和预指定绑定，账号为选填，密码为必填");
					$(_pageId+" #bankcardPwd").show();  // 显示银行密码输入框
				}
			}
			
		}
	}

	/* 获取存管银行签约电子协议列表 */
	function getDepositoryAgreement(agree_no)
	{
		$(_pageId+" #protocolName").html("");  // 清空协议
		appUtils.setSStorageInfo("agree_no",agree_no);
		// 查询存管银行协议
		var param = {
			"agree_name":"",
			"type_code":"",
			"agree_no":agree_no
		};
		mobileService.getSign(param,function(data){
			$(_pageId+" #protocolName").html("");
			if(data.error_no == 0)
			{
				if(data.results&&data.results.length>=1)
				{
					protocol = data.results[0];
					$(_pageId+" .rule_check").show();
					$(_pageId+" #protocolName").html("《"+protocol.agree_name+"》");
					$(_pageId+" #protocolName").attr("protocolId",protocol.agree_no);
					$(_pageId+" #protocolName").attr("protocolMd5",protocol.md5_content);
					// 预绑定查看银行协议内容的事件
					appUtils.preBindEvent($(_pageId+" #protocolName").parent(),"#protocolName",function(){
//						appUtils.setSStorageInfo("bankPwd",$(_pageId+" #password").attr("value"),true);
//						appUtils.setSStorageInfo("bankNum",$(_pageId+" #bankcode").attr("value"));
//						appUtils.setSStorageInfo("bankPwd",$(_pageId+" #password").val());
						appUtils.setSStorageInfo("bankNum",$(_pageId+" #bankcode").val());
						saveOriginalParam.banckName = $(_pageId+" .input_form #selectBank strong").text();			//银行名称
						saveOriginalParam.bank_url = $(_pageId+" .input_form #selectBank").find("img").attr("src");
						saveOriginalParam.bankcode = $(_pageId+" .input_form .bank_select").attr("bankcode");					//银行编号
						saveOriginalParam.iscard = $(_pageId+" .input_form .bank_select").attr("iscard");  						//是否需要卡号
						saveOriginalParam.zzispwd = zzispwd;																	//是否需要密码
						saveOriginalParam.zzbindtype = $(_pageId+" .input_form .bank_select").attr("zzbindtype");  				//银行绑定方式
//						saveOriginalParam.bankcard = $(_pageId+" #bankcode").attr("value"); 								//银行卡号
//						saveOriginalParam.bankpwd = $(_pageId+" #password").attr("value");  		//银行密码
						saveOriginalParam.bankcard = $(_pageId+" #bankcode").val(); 								//银行卡号
						saveOriginalParam.bankpwd = $(_pageId+" #password").val();
						saveOriginalParam.protocol_id = $(_pageId+" #protocolName").attr("protocolId");
						saveOriginalParam.is_checked = $(_pageId+" #checkbox").attr("checked");
						appUtils.setSStorageInfo("returnPage","threeDepository/thirdDepository");
						appUtils.pageInit("threeDepository/thirdDepository","threeDepository/showProtocol",saveOriginalParam);
//						appUtils.pageInit("threeDepository/thirdDepository","threeDepository/showProtocol",{"protocol_id":$(_pageId+" #protocolName").attr("protocolId")});
					});
				}
			}
			else
			{
				layerUtils.iAlert(data.error_info,-1);
			}
		});
	}
	
	/* 获取签名值 */
	function getSignProtocl(protocol)
	{
		// 进行协议签署
		var protocolArray = new Array();  // 协议数组
		// 检查是否勾选签署协议
		layerUtils.iLoading(true);  // 开启等待层。。。
		var protocolid = protocol.agree_no; // 协议ID
		var protocolname = protocol.agree_name;  //协议名称
		var summary = protocol.md5_content;  // 协议内容MD5,签名摘要信息
		// 添加值到数组中
		var protocol = {
			"protocol_id" : protocolid,
			"summary" : summary
		}
		protocolArray.push(protocol);
		submitProtocol(protocolArray) //提交协议
	}
	
	// 提交协议
	function submitProtocol(protocolArray){
		var signProtocolParam = {
//			"user_id" : appUtils.getSStorageInfo("user_id"),
			"user_id":appUtils.getSStorageInfo("userInfo",true).user_id,
			"jsondata" : JSON.stringify(protocolArray),
			"ipaddr" : "",
			"macaddr" : "",
			"checksign" : "0",
			"sign_source_flag" : "1",
			"business_code":"ygt",
			"business_item":"sfcg_bind",
			"certType":"0"
		};
		
		mobileService.checkSignProtocol(signProtocolParam,function(data){
			var error_no = data.error_no,
				error_info = data.error_info;
			if(error_no == "0"){
				// 开通三方存管
//				if(validatorUtil.isEmpty($(_pageId + " #password").attr("value"))){
//				if(validatorUtil.isEmpty($(_pageId + " #password").val())){
				if($(_pageId +" #bankcardPwd").is(":hidden") || validatorUtil.isEmpty($(_pageId + " #password").val())){
					openThirdDepository();
				}else{
					rsa();
				}
			}else{
				protocolArray = new Array();
				layerUtils.iAlert(error_info,-1);
				return false;
			}
		});
	}
	
	//密码传输加密
	function rsa(){
		//密码传输加密
//		var pwd = $(_pageId + " #password").attr("value");
		var pwd = $(_pageId + " .input_form #password").val();
//		alert(pwd);
//		return;
			if(modulus && publicExponent){
				pwd = endecryptUtils.rsaEncrypt(modulus,publicExponent,pwd);
				openThirdDepository(pwd);
			}else{
//				mobileService.getRsaKey({},function(data){    2017-4-9日修改
				mobileService.getRSAKey({},function(data){
					if(data && data!=null){
						if(data.error_no == "0"){
							var result = data.results;
							modulus = result[0]["modulus"];
							publicExponent = result[0]["publicExponent"];
							pwd = endecryptUtils.rsaEncrypt(modulus,publicExponent,pwd);
							openThirdDepository(pwd);
						}else{
							layerUtils.iAlert(data.error_info,-1);
							return false;
						}
					}else{
						layerUtils.iAlert("网络错误，请重试",-1);
						return false;
					}
				});
			}
	}
	// 开通三方存管
	function openThirdDepository(pwd){
		var bindBank = {
//			"user_id":appUtils.getSStorageInfo("user_id"),
//			"backCardId":$(_pageId+" .bank_select").attr("bankcode"),
//			"cardNo":$(_pageId+" #bankcode").attr("value"),
//			"cardPassword":pwd,
//			"zj_account":appUtils.getSStorageInfo("curr_loginid")
				
				"user_id":appUtils.getSStorageInfo("userInfo",true).user_id,
				"backCardId":$(_pageId+" .bank_select").attr("bankcode"),
				"cardNo":$(_pageId+" #bankcode").val(),
				"cardPassword":pwd,
				"zj_account":appUtils.getSStorageInfo("zqAccount",true)
		};
		mobileService.bindBank(bindBank, function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			var results;
			if(data.results&&data.results.length>=1){
				results =data.results[0].message;
			}
			if(error_no == "0") {
//				if(appUtils.getSStorageInfo("addBackCard") == "addBackCard"){
//					appUtils.clearSStorage("addBackCard");
//					appUtils.pageInit("threeDepository/thirdDepository", "threeDepository/showBankCard",{});
//				}else{
//					appUtils.pageInit("threeDepository/thirdDepository", "threeDepository/showBankCard",{});
//				}
					//清除临时缓存
//					appUtils.setSStorageInfo("returnPage","");
//					appUtils.setSStorageInfo("oriBanckName","");						//银行名称
//					appUtils.setSStorageInfo("oriBankUrl","");							//图标路径
//					appUtils.setSStorageInfo("oriBankcode","");						    //银行编号
//					appUtils.setSStorageInfo("oriIscard","");								//是否需要卡号
//					appUtils.setSStorageInfo("oriZzispwd","");								//是否需要密码
//					appUtils.setSStorageInfo("oriZzbindtype","");						//银行绑定方式
//					appUtils.setSStorageInfo("oriBankcard","");							//银行卡号
//					appUtils.setSStorageInfo("oriBankpwd","");							//银行密码
//					appUtils.setSStorageInfo("oriIs_checked","");
//					appUtils.setSStorageInfo("zjpwd","");	//资金密码
					appUtils.clearSStorage("returnPage");
					appUtils.clearSStorage("oriBanckName");						//银行名称
					appUtils.clearSStorage("oriBankUrl");							//图标路径
					appUtils.clearSStorage("oriBankcode");						    //银行编号
					appUtils.clearSStorage("oriIscard");								//是否需要卡号
					appUtils.clearSStorage("oriZzispwd");								//是否需要密码
					appUtils.clearSStorage("oriZzbindtype");						//银行绑定方式
					appUtils.clearSStorage("oriBankcard");							//银行卡号
					appUtils.clearSStorage("oriBankpwd");							//银行密码
					appUtils.clearSStorage("oriIs_checked");
					appUtils.clearSStorage("zjpwd");	//资金密码
					appUtils.clearSStorage("bankNum");	//清空银行卡号
//					appUtils.clearSStorage(true);//清空所有缓存
//					layerUtils.iAlert(results,0,function(){
//						appUtils.pageInit("threeDepository/thirdDepository", "threeDepository/showBankCard",{});
//					});
					layerUtils.iAlert("信息提交成功,请等待审核",0,function(){
						appUtils.pageInit("threeDepository/thirdDepository", "threeDepository/showBankCard",{});
					});
			} else {
				layerUtils.iAlert(error_info,-1);
				return false;
			}
		});
	}

	/* 验证是否选择银行  */
	function validateSelectBank() {
		var obj = $(_pageId + " .bank_select");
		var value = obj.html();
		if (validatorUtil.isEmpty(value) || value == "选择银行") {
			layerUtils.iMsg(-1, "请选择银行");
			return false;
		}
		return true;
	}

	/* 检验银行卡填写是否正确 */
	function validateBankCorrect() {
//		var bankcard = $(_pageId + " #bankcode").attr("value");
		var bankcard = $(_pageId + " #bankcode").val();
		if (validatorUtil.isEmpty(bankcard)) 
		{
			layerUtils.iMsg(-1, "银行卡号不能为空！");
			return false;
		}
		if (!validatorUtil.isBankCode(bankcard)) {
			layerUtils.iMsg(-1, "银行卡号格式错误，请重新输入！");
			return false;
		}
		return true;
	}

	/* 验证银行密码 */
	function validateBankPwd() {
//		var cardPwd = $(_pageId + " #password").attr("value");//$(_pageId + " #password").val()
		var cardPwd = $(_pageId + " #password").val();
		if (validatorUtil.isEmpty(cardPwd)) 
		{
			layerUtils.iMsg(-1, "银行卡密码不能为空！");
			return false;
		}
		if (!validatorUtil.isNumeric(cardPwd) || cardPwd.length != 6) {
			layerUtils.iMsg(-1, "银行卡密码格式错误，请重新输入！");
			return false;
		}
		return true;
	}

	/* 清理界面元素 */
	function cleanPageElement()
	{
		$(_pageId+" #selectBank strong").text("选择银行");  // 清理银行卡的名字
		$(_pageId+" #bankcode").val("");  // 清理银行卡号
		$(_pageId+" #password").val(""); // 清理银行密码
		$(_pageId+" .rule_check").hide();  //隐藏协议展示
	}

	var thirdDepository = {
		"init" : init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	module.exports = thirdDepository;
});
